/*     */ package cs.admin.ffr;
/*     */ 
/*     */ import cs.admin.excel.GenSydwExcel;
/*     */ import cs.admin.excel.SaveExcelProgressDialog;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.tableinfo.common.StatisticSydwFfrNum;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveFfrExcelProgressDialog
/*     */   extends SaveExcelProgressDialog
/*     */ {
/*     */   private String groupid;
/*  19 */   public int creatresult = 0;
/*     */   private String searchtype;
/*     */   private String searchcont;
/*     */   private int searchflag;
/*     */   private int textflag;
/*     */   private SearchFfrController ssc;
/*     */   private String filepath;
/*  26 */   private PageInfo page = new PageInfo();
/*     */   
/*     */   private int type;
/*     */   
/*     */   private String dataFlag;
/*     */   
/*     */   private String start;
/*     */   private String end;
/*     */   private String ffrState;
/*     */   private IRunnableWithProgress runnable;
/*     */   
/*     */   public SaveFfrExcelProgressDialog(Shell shell, String label, String title, String groupid, String filename, String searchtype, String searchcont, int searchflag, int textflag, SearchFfrController ssc, PageInfo page, int type, String dataFlag, String start, String end, String ffrState) {
/*  38 */     super(shell, label, title);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  68 */     this.runnable = new IRunnableWithProgress()
/*     */       {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
/*  71 */           monitor.beginTask(SaveFfrExcelProgressDialog.this.label, SaveFfrExcelProgressDialog.this.page.getTpage());
/*  72 */           monitor.setTaskName("接受数据中......");
/*  73 */           monitor.worked(1);
/*     */           
/*  75 */           if ("CountAllFFR".equals(SaveFfrExcelProgressDialog.this.searchtype)) {
/*  76 */             StatisticSydwFfrNum al = SaveFfrExcelProgressDialog.this.ssc.getStatisticFfrByGroupId(SaveFfrExcelProgressDialog.this.groupid, SaveFfrExcelProgressDialog.this.ffrState);
/*     */             
/*  78 */             if (al != null) {
/*  79 */               String flag = (new GenSydwExcel()).genCountAllFFRExcel(SaveFfrExcelProgressDialog.this.filepath, "党群机关登记数据汇总表", al);
/*  80 */               if (flag != null) {
/*  81 */                 SaveFfrExcelProgressDialog.this.wrongfile = String.valueOf(SaveFfrExcelProgressDialog.this.wrongfile) + flag;
/*     */               }
/*     */             } else {
/*  84 */               SaveFfrExcelProgressDialog.this.wrongfile = String.valueOf(SaveFfrExcelProgressDialog.this.wrongfile) + "\n没有数据，未下载成功！";
/*     */             } 
/*     */           } else {
/*  87 */             for (int i = 0; i < SaveFfrExcelProgressDialog.this.page.getTpage(); i++) {
/*  88 */               if (monitor.isCanceled()) {
/*  89 */                 SaveFfrExcelProgressDialog.this.creatresult = -1; return;
/*     */               } 
/*  91 */               monitor.setTaskName("正在接受第" + (i + 1) + "页数据.....");
/*  92 */               ArrayList<PageInfo> al = new ArrayList();
/*     */               
/*  94 */               al = SaveFfrExcelProgressDialog.this.ssc.getAllFfrExcel(SaveFfrExcelProgressDialog.this.searchtype, SaveFfrExcelProgressDialog.this.searchcont, SaveFfrExcelProgressDialog.this.groupid, 
/*  95 */                   SaveFfrExcelProgressDialog.this.searchflag, SaveFfrExcelProgressDialog.this.textflag, SaveFfrExcelProgressDialog.this.page, SaveFfrExcelProgressDialog.this.type, SaveFfrExcelProgressDialog.this.start, SaveFfrExcelProgressDialog.this.end, SaveFfrExcelProgressDialog.this.ffrState);
/*     */               
/*  97 */               if (al != null && al.size() > 0) {
/*  98 */                 PageInfo p = al.get(0);
/*  99 */                 SaveFfrExcelProgressDialog.this.page.setTotalnum(p.getTotalnum());
/* 100 */                 al.remove(0);
/*     */                 
/* 102 */                 String flag = "";
/* 103 */                 if ("ALL".equals(SaveFfrExcelProgressDialog.this.dataFlag)) {
/* 104 */                   flag = (new GenSydwExcel()).genAllFieldsFfrExcel(SaveFfrExcelProgressDialog.this.filepath, "搜索结果第" + (i + 1) + "页", al, SaveFfrExcelProgressDialog.this.page);
/*     */                 } else {
/* 106 */                   flag = (new GenSydwExcel()).genAllFfrExcel(SaveFfrExcelProgressDialog.this.filepath, "搜索结果第" + (i + 1) + "页", al, SaveFfrExcelProgressDialog.this.page);
/*     */                 } 
/* 108 */                 if (flag != null) {
/* 109 */                   SaveFfrExcelProgressDialog.this.wrongfile = String.valueOf(SaveFfrExcelProgressDialog.this.wrongfile) + flag;
/*     */                 }
/*     */               } else {
/* 112 */                 SaveFfrExcelProgressDialog.this.wrongfile = String.valueOf(SaveFfrExcelProgressDialog.this.wrongfile) + "\n没有第" + SaveFfrExcelProgressDialog.this.page.getCpage() + "页数据，未下载成功！";
/* 113 */               }  Thread.sleep(100L);
/*     */               
/* 115 */               monitor.worked(1);
/* 116 */               SaveFfrExcelProgressDialog.this.page.nextpage();
/*     */             } 
/*     */           } 
/* 119 */           monitor.setTaskName("接受数据完毕！");
/* 120 */           monitor.done();
/* 121 */           SaveFfrExcelProgressDialog.this.creatresult = 1;
/*     */         }
/*     */       };
/*     */     this.filepath = filename;
/*     */     this.groupid = groupid;
/*     */     this.searchflag = searchflag;
/*     */     this.searchtype = searchtype;
/*     */     this.searchcont = searchcont;
/*     */     this.textflag = textflag;
/*     */     this.ssc = ssc;
/*     */     this.page.setPAGESIZE(1000);
/*     */     this.page.setTotalnum(page.getTotalnum());
/*     */     this.type = type;
/*     */     this.dataFlag = dataFlag;
/*     */     this.start = start;
/*     */     this.end = end;
/*     */     this.ffrState = ffrState;
/*     */   }
/*     */   
/*     */   public void run(boolean fork, boolean cancelable) {
/*     */     try {
/*     */       run(fork, cancelable, this.runnable);
/*     */     } catch (InvocationTargetException e) {
/*     */       e.printStackTrace();
/*     */     } catch (InterruptedException e) {
/*     */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\ffr\SaveFfrExcelProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */