/*     */ package cs.admin.ffr;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.ffr.operation.withinput.FfrInputDialog;
/*     */ import cs.sydj.common.CommonSaveEXCELResultDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Cursor;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SearchFfrHistoryNameView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.admin.ffr.SearchFfrHistoryNameView";
/*     */   private Text text_page;
/*     */   private Text text_unifyCode;
/*     */   private Text text_sydwname;
/*     */   private Button button_prior;
/*     */   private Button button_next;
/*     */   private Button button_report;
/*     */   private Label label_6;
/*     */   private Label label_7;
/*     */   private Label label_4;
/*     */   private Label label;
/*     */   private Table table_data;
/*     */   private TableViewer tableViewer;
/*  83 */   private TableCursor cursor = null;
/*     */   private TableLayout tableLayout;
/*     */   private Composite composite;
/*     */   private Composite composite_table;
/*  87 */   private Composite container = null;
/*     */   
/*  89 */   protected ToolBarManager toolbarmanager = null;
/*     */   
/*  91 */   private ArrayList list = new ArrayList();
/*  92 */   private SearchFfrManage searchFfrManage = new SearchFfrManage();
/*  93 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*  94 */   private int selectColums = 10;
/*     */   
/*  96 */   int totalRows = 0;
/*  97 */   int maxCount = 15;
/*  98 */   int startNo = 1;
/*  99 */   int currentPage = 1;
/* 100 */   int totalPages = 0;
/*     */ 
/*     */   
/*     */   boolean hasNextPage = false;
/*     */ 
/*     */   
/*     */   boolean hasPrePage = false;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 110 */     this.container = new Composite(parent, 0);
/* 111 */     this.container.setBackground(Display.getCurrent().getSystemColor(1));
/* 112 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/* 114 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container, 2816);
/* 115 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 116 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 117 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 118 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 120 */     this.composite = new Composite((Composite)scrolledComposite, 0);
/* 121 */     this.composite.setBackground(Display.getCurrent().getSystemColor(1));
/* 122 */     this.composite.setLayout((Layout)new FormLayout());
/* 123 */     this.composite.setSize(800, 700);
/*     */     
/* 125 */     this.composite_table = new Composite(this.composite, 0);
/*     */     
/* 127 */     FormData fd_composite_table = new FormData();
/* 128 */     fd_composite_table.bottom = new FormAttachment(0, 600);
/* 129 */     fd_composite_table.top = new FormAttachment(0, 155);
/* 130 */     this.composite_table.setLayoutData(fd_composite_table);
/* 131 */     this.composite_table.setBackground(Display.getCurrent().getSystemColor(1));
/* 132 */     this.composite_table.setLayout((Layout)new FillLayout());
/*     */     
/* 134 */     this.tableViewer = new TableViewer(this.composite_table, 68352);
/* 135 */     this.table_data = this.tableViewer.getTable();
/* 136 */     this.table_data.setLinesVisible(true);
/* 137 */     this.table_data.setHeaderVisible(true);
/* 138 */     PublicUtil.setTableHeight(this.table_data);
/* 139 */     PublicUtil.setMouseHands(this.table_data, "0");
/*     */     
/* 141 */     this.tableLayout = new TableLayout();
/* 142 */     this.table_data.setLayout((Layout)this.tableLayout);
/*     */     
/* 144 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 145 */     TableColumn newColumnTableColumn_unify = new TableColumn(this.table_data, 16777216);
/* 146 */     newColumnTableColumn_unify.setAlignment(16777216);
/* 147 */     newColumnTableColumn_unify.setText("统一社会信用代码");
/*     */     
/* 149 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 150 */     TableColumn newColumnTableColumn_code = new TableColumn(this.table_data, 16777216);
/* 151 */     newColumnTableColumn_code.setAlignment(16777216);
/* 152 */     newColumnTableColumn_code.setText("证书号");
/*     */     
/* 154 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(30));
/* 155 */     TableColumn newColumnTableColumn_name = new TableColumn(this.table_data, 16384);
/* 156 */     newColumnTableColumn_name.setText("历次名称");
/*     */     
/* 158 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 159 */     TableColumn newColumnTableColumn_date = new TableColumn(this.table_data, 16777216);
/* 160 */     newColumnTableColumn_date.setText("时间");
/*     */     
/* 162 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 163 */     TableColumn newColumnTableColumn_state = new TableColumn(this.table_data, 16777216);
/* 164 */     newColumnTableColumn_state.setText("状态");
/*     */     
/* 166 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 167 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FfrHistoryNameLabelProvider());
/*     */     
/* 169 */     Label label_1 = new Label(this.composite, 0);
/* 170 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 171 */     FormData fd_label_1 = new FormData();
/* 172 */     fd_label_1.top = new FormAttachment(0, 56);
/* 173 */     fd_label_1.right = new FormAttachment(0, 165);
/* 174 */     fd_label_1.left = new FormAttachment(0, 57);
/* 175 */     label_1.setLayoutData(fd_label_1);
/* 176 */     label_1.setAlignment(131072);
/* 177 */     label_1.setText("统一社会信用代码：");
/*     */     
/* 179 */     this.label = new Label(this.composite, 0);
/* 180 */     this.label.setBackground(Display.getCurrent().getSystemColor(1));
/* 181 */     FormData fd_label = new FormData();
/* 182 */     fd_label.top = new FormAttachment(0, 80);
/* 183 */     fd_label.right = new FormAttachment(0, 165);
/* 184 */     fd_label.left = new FormAttachment(0, 95);
/* 185 */     this.label.setLayoutData(fd_label);
/* 186 */     this.label.setAlignment(131072);
/* 187 */     this.label.setText("单位名称：");
/*     */     
/* 189 */     this.text_unifyCode = new Text(this.composite, 2048);
/* 190 */     FormData fd_text_3 = new FormData();
/* 191 */     fd_text_3.right = new FormAttachment(0, 370);
/* 192 */     fd_text_3.bottom = new FormAttachment(0, 71);
/* 193 */     fd_text_3.top = new FormAttachment(0, 52);
/* 194 */     fd_text_3.left = new FormAttachment(0, 170);
/* 195 */     this.text_unifyCode.setLayoutData(fd_text_3);
/*     */     
/* 197 */     this.text_sydwname = new Text(this.composite, 2048);
/* 198 */     this.text_sydwname.setBackground(Display.getCurrent().getSystemColor(1));
/* 199 */     FormData fd_text_4 = new FormData();
/* 200 */     fd_text_4.right = new FormAttachment(0, 370);
/* 201 */     fd_text_4.bottom = new FormAttachment(0, 95);
/* 202 */     fd_text_4.top = new FormAttachment(0, 76);
/* 203 */     fd_text_4.left = new FormAttachment(0, 170);
/* 204 */     this.text_sydwname.setLayoutData(fd_text_4);
/*     */     
/* 206 */     Button button = new Button(this.composite, 0);
/*     */     
/* 208 */     button.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/query.png"));
/* 209 */     FormData fd_button = new FormData();
/* 210 */     fd_button.bottom = new FormAttachment(0, 133);
/* 211 */     fd_button.top = new FormAttachment(0, 110);
/* 212 */     fd_button.right = new FormAttachment(0, 235);
/* 213 */     fd_button.left = new FormAttachment(0, 170);
/* 214 */     button.setLayoutData(fd_button);
/* 215 */     button.setText("查 询");
/* 216 */     button.setCursor(new Cursor(null, 21));
/* 217 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 219 */             SearchFfrHistoryNameView.this.list = SearchFfrHistoryNameView.this.searchFfrManage
/*     */               
/* 221 */               .searchFfrHistoryNameList(SearchFfrHistoryNameView.this.groupId, SearchFfrHistoryNameView.this.text_sydwname.getText(), SearchFfrHistoryNameView.this.text_unifyCode.getText(), SearchFfrHistoryNameView.this.currentPage, SearchFfrHistoryNameView.this.maxCount);
/* 222 */             SearchFfrHistoryNameView.this.setFenYe(SearchFfrHistoryNameView.this.list, SearchFfrHistoryNameView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 227 */     this.button_report = new Button(this.composite, 0);
/* 228 */     FormData gridLayout_report = new FormData();
/* 229 */     gridLayout_report.top = new FormAttachment(0, 110);
/* 230 */     gridLayout_report.left = new FormAttachment((Control)button, 70, 16384);
/* 231 */     gridLayout_report.height = 23;
/* 232 */     this.button_report.setLayoutData(gridLayout_report);
/* 233 */     this.button_report.setText("另存为Excel");
/* 234 */     this.button_report.setCursor(new Cursor(null, 21));
/* 235 */     this.button_report.setImage(CacheImage.getINSTANCE()
/* 236 */         .getImage("cs.sydj", "icons/systemManage/office_excel.png"));
/* 237 */     this.button_report.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 239 */             SearchFfrHistoryNameView.this.list = SearchFfrHistoryNameView.this.searchFfrManage
/* 240 */               .searchFfrHistoryNameList(SearchFfrHistoryNameView.this.groupId, SearchFfrHistoryNameView.this.text_sydwname.getText(), SearchFfrHistoryNameView.this.text_unifyCode.getText(), 1, SearchFfrHistoryNameView.this.totalRows);
/*     */             try {
/* 242 */               CommonSaveEXCELResultDialog s = new CommonSaveEXCELResultDialog(
/* 243 */                   SearchFfrHistoryNameView.this.container.getShell(), SearchFfrHistoryNameView.this.list, "机关群团历次名称", "historyName");
/* 244 */               s.open();
/* 245 */             } catch (Exception e2) {
/* 246 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 252 */     Composite composite_fenye = new Composite(this.composite, 0);
/* 253 */     GridLayout gridLayout_1 = new GridLayout();
/* 254 */     gridLayout_1.numColumns = 2;
/* 255 */     composite_fenye.setLayout((Layout)gridLayout_1);
/* 256 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 257 */     FormData fd_composite_fenye = new FormData();
/* 258 */     fd_composite_fenye.right = new FormAttachment((Control)this.composite_table, 0, 131072);
/* 259 */     fd_composite_fenye.bottom = new FormAttachment(0, 640);
/* 260 */     fd_composite_fenye.top = new FormAttachment(0, 600);
/* 261 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 263 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 264 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 265 */     composite_1.setLayoutData(new GridData(16384, 4, false, false));
/* 266 */     GridLayout gridLayout = new GridLayout();
/* 267 */     gridLayout.marginTop = 3;
/* 268 */     gridLayout.verticalSpacing = 0;
/* 269 */     gridLayout.numColumns = 7;
/* 270 */     gridLayout.marginWidth = 0;
/* 271 */     gridLayout.marginHeight = 0;
/* 272 */     gridLayout.horizontalSpacing = 2;
/* 273 */     composite_1.setLayout((Layout)gridLayout);
/*     */     
/* 275 */     Label label_1_1 = new Label(composite_1, 0);
/* 276 */     label_1_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 277 */     label_1_1.setText("页次：");
/*     */     
/* 279 */     this.label_4 = new Label(composite_1, 131072);
/* 280 */     this.label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 281 */     GridData gd_label_2 = new GridData(4, 16777216, true, false);
/* 282 */     this.label_4.setLayoutData(gd_label_2);
/* 283 */     if (this.totalPages == 0) {
/* 284 */       this.label_4.setText("0/0");
/*     */     } else {
/* 286 */       this.label_4.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 289 */     Label label_3 = new Label(composite_1, 0);
/* 290 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 291 */     label_3.setText("页  每页");
/*     */     
/* 293 */     Label label_4_1 = new Label(composite_1, 0);
/* 294 */     label_4_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 295 */     GridData gd_label_4 = new GridData(4, 16777216, true, false);
/* 296 */     label_4_1.setLayoutData(gd_label_4);
/* 297 */     label_4_1.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 299 */     Label label_5 = new Label(composite_1, 0);
/* 300 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 301 */     label_5.setText("行  共");
/*     */     
/* 303 */     this.label_7 = new Label(composite_1, 0);
/* 304 */     this.label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 305 */     GridData gd_label_6 = new GridData(16384, 16777216, true, false);
/* 306 */     this.label_7.setLayoutData(gd_label_6);
/* 307 */     this.label_7.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 309 */     Label label_7_1 = new Label(composite_1, 0);
/* 310 */     label_7_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 311 */     label_7_1.setText("行");
/*     */     
/* 313 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 314 */     GridLayout gridLayout_2 = new GridLayout();
/* 315 */     gridLayout_2.numColumns = 6;
/* 316 */     composite_2.setLayout((Layout)gridLayout_2);
/* 317 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 318 */     composite_2.setLayoutData(new GridData(131072, 4, true, false));
/*     */ 
/*     */     
/* 321 */     this.button_prior = new Button(composite_2, 0);
/* 322 */     this.button_prior.setBackground(Display.getCurrent().getSystemColor(1));
/* 323 */     this.button_prior.setText("上一页");
/* 324 */     this.button_prior.setCursor(new Cursor(null, 21));
/* 325 */     if (!this.hasPrePage)
/* 326 */       this.button_prior.setEnabled(false); 
/* 327 */     this.button_prior.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 329 */             SearchFfrHistoryNameView.this.list = SearchFfrHistoryNameView.this.searchFfrManage
/* 330 */               .searchFfrHistoryNameList(SearchFfrHistoryNameView.this.groupId, SearchFfrHistoryNameView.this.text_sydwname.getText(), SearchFfrHistoryNameView.this.text_unifyCode.getText(), (SearchFfrHistoryNameView.this.currentPage - 2) * SearchFfrHistoryNameView.this.maxCount + 1, SearchFfrHistoryNameView.this.maxCount);
/* 331 */             SearchFfrHistoryNameView.this.setFenYe(SearchFfrHistoryNameView.this.list, SearchFfrHistoryNameView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 336 */     this.button_next = new Button(composite_2, 0);
/* 337 */     this.button_next.setBackground(Display.getCurrent().getSystemColor(1));
/* 338 */     this.button_next.setText("下一页");
/* 339 */     this.button_next.setCursor(new Cursor(null, 21));
/* 340 */     if (!this.hasNextPage)
/* 341 */       this.button_next.setEnabled(false); 
/* 342 */     this.button_next.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 344 */             SearchFfrHistoryNameView.this.list = SearchFfrHistoryNameView.this.searchFfrManage
/*     */               
/* 346 */               .searchFfrHistoryNameList(SearchFfrHistoryNameView.this.groupId, SearchFfrHistoryNameView.this.text_sydwname.getText(), SearchFfrHistoryNameView.this.text_unifyCode.getText(), SearchFfrHistoryNameView.this.currentPage * SearchFfrHistoryNameView.this.maxCount + 1, SearchFfrHistoryNameView.this.maxCount);
/* 347 */             SearchFfrHistoryNameView.this.setFenYe(SearchFfrHistoryNameView.this.list, SearchFfrHistoryNameView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 351 */     Label label_10 = new Label(composite_2, 0);
/* 352 */     label_10.setBackground(Display.getCurrent().getSystemColor(1));
/* 353 */     label_10.setText("转至第");
/*     */     
/* 355 */     this.text_page = new Text(composite_2, 2048);
/* 356 */     this.text_page.setLayoutData(new GridData(50, -1));
/* 357 */     this.text_page.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 359 */     Label label_11 = new Label(composite_2, 0);
/* 360 */     label_11.setBackground(Display.getCurrent().getSystemColor(1));
/* 361 */     label_11.setText("页");
/*     */     
/* 363 */     Button goButton = new Button(composite_2, 0);
/* 364 */     goButton.setBackground(Display.getCurrent().getSystemColor(1));
/* 365 */     goButton.setText("GO");
/* 366 */     goButton.setCursor(new Cursor(null, 21));
/* 367 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 369 */             if (VerifyFunction.isNumeric(SearchFfrHistoryNameView.this.text_page.getText())) {
/* 370 */               int aa = Integer.parseInt(SearchFfrHistoryNameView.this.text_page.getText());
/* 371 */               if (aa > SearchFfrHistoryNameView.this.totalPages) {
/* 372 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 374 */                 SearchFfrHistoryNameView.this.list = SearchFfrHistoryNameView.this.searchFfrManage
/*     */                   
/* 376 */                   .searchFfrHistoryNameList(SearchFfrHistoryNameView.this.groupId, SearchFfrHistoryNameView.this.text_sydwname.getText(), SearchFfrHistoryNameView.this.text_unifyCode.getText(), (aa - 1) * SearchFfrHistoryNameView.this.maxCount + 1, SearchFfrHistoryNameView.this.maxCount);
/* 377 */                 SearchFfrHistoryNameView.this.setFenYe(SearchFfrHistoryNameView.this.list, aa);
/*     */               } 
/*     */             } else {
/* 380 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 385 */     this.list = this.searchFfrManage.searchFfrHistoryNameList(this.groupId, "", "", this.currentPage, this.maxCount);
/* 386 */     setFenYe(this.list, this.currentPage);
/*     */     
/* 388 */     this.label_6 = new Label(this.composite, 258);
/* 389 */     fd_composite_table.right = new FormAttachment((Control)this.label_6, 0, 131072);
/* 390 */     fd_composite_table.right = new FormAttachment((Control)this.label_6, 0, 131072);
/* 391 */     fd_composite_fenye.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 392 */     fd_composite_table.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 393 */     FormData fd_label_6 = new FormData();
/* 394 */     fd_label_6.right = new FormAttachment(100, -35);
/* 395 */     fd_label_6.top = new FormAttachment(0, 41);
/* 396 */     fd_label_6.left = new FormAttachment(0, 35);
/* 397 */     this.label_6.setLayoutData(fd_label_6);
/*     */     
/* 399 */     Label label_9 = new Label(this.composite, 0);
/* 400 */     label_9.setBackground(Display.getCurrent().getSystemColor(1));
/* 401 */     FormData fd_label_9 = new FormData();
/* 402 */     fd_label_9.right = new FormAttachment(0, 280);
/* 403 */     fd_label_9.top = new FormAttachment(0, 25);
/* 404 */     fd_label_9.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 405 */     label_9.setLayoutData(fd_label_9);
/* 406 */     label_9.setText("历次名称查询>>");
/* 407 */     label_9.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 409 */     scrolledComposite.setContent((Control)this.composite);
/* 410 */     initializeToolBar();
/* 411 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 418 */     if (this.cursor != null)
/* 419 */       this.cursor.dispose(); 
/* 420 */     this.cursor = new TableCursor(this.table_data, 0);
/* 421 */     this.cursor.setBackground(this.table_data.getDisplay()
/* 422 */         .getSystemColor(26));
/* 423 */     this.cursor.setForeground(this.table_data.getDisplay()
/* 424 */         .getSystemColor(27));
/* 425 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 427 */             int colums = SearchFfrHistoryNameView.this.cursor.getColumn();
/* 428 */             if (colums == 0) {
/* 429 */               SearchFfrHistoryNameView.this.openFfrDetailDialog();
/*     */             }
/* 431 */             SearchFfrHistoryNameView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 434 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 437 */             int colums = SearchFfrHistoryNameView.this.cursor.getColumn();
/* 438 */             if (colums == SearchFfrHistoryNameView.this.selectColums && 
/* 439 */               colums == 0) {
/* 440 */               SearchFfrHistoryNameView.this.openFfrDetailDialog();
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 451 */     for (int i = 0; i < this.table_data.getItemCount(); i++) {
/*     */       
/* 453 */       this.table_data.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 454 */       this.table_data.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFenYe(ArrayList<CertPrintModel> list, int nextCurrentPage) {
/* 465 */     this.totalRows = 0;
/* 466 */     if (list != null && list.size() > 0) {
/* 467 */       this.totalRows = ((CertPrintModel)list.get(0)).getTotalRows();
/*     */     }
/* 469 */     PageUtil pu = new PageUtil(this.maxCount, nextCurrentPage, this.totalRows);
/* 470 */     this.totalPages = pu.getTotalPages();
/* 471 */     this.currentPage = pu.getCurrentPage();
/* 472 */     this.hasNextPage = pu.isHasNextPage();
/* 473 */     this.hasPrePage = pu.isHasPreviousPage();
/* 474 */     this.startNo = pu.getStartNum();
/*     */     
/* 476 */     this.tableViewer.setInput(list);
/* 477 */     setFontColor();
/* 478 */     setCursor();
/*     */     
/* 480 */     if (this.totalPages == 0) {
/* 481 */       this.label_4.setText("0/0");
/* 482 */       this.button_report.setEnabled(false);
/*     */     } else {
/* 484 */       this.label_4.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/* 485 */       this.button_report.setEnabled(true);
/*     */     } 
/* 487 */     this.label_7.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 488 */     this.label_7.getParent().getParent().layout();
/* 489 */     this.button_prior.setEnabled(this.hasPrePage);
/* 490 */     this.button_next.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 497 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 498 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 505 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 506 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openFfrDetailDialog() {
/* 518 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 519 */     CertPrintModel sydwInfo = (CertPrintModel)select.getFirstElement();
/* 520 */     if (!PublicUtil.isNull(sydwInfo.getUnifyCode())) {
/* 521 */       DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */       
/* 524 */       ArrayList<InstaurationFRInfo> insinfolist = oper.QueryFfrInfo(sydwInfo.getUnitId(), "");
/* 525 */       InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 526 */       if (insinfolist.size() > 0) {
/* 527 */         frinfo = insinfolist.get(0);
/*     */       }
/* 529 */       FfrInputDialog dialog = new FfrInputDialog(
/* 530 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 531 */           frinfo, UnitState.FFRLOGOUT, true, Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 532 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\ffr\SearchFfrHistoryNameView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */