/*     */ package cs.admin.search;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import server.admin.search.SearchManage;
/*     */ import server.admin.statistic.StatisticManage;
/*     */ import server.admin.statistic.StatisticMoveInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.FddbrInfo;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ import server.tableinfo.common.SydwAllInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SearchSYDWController
/*     */ {
/*     */   private GljgUserInfo user;
/*  38 */   private SearchManage sm = new SearchManage();
/*     */   
/*     */   public SearchSYDWController(GljgUserInfo user) {
/*  41 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SearchSYDWController() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByTypeState(HashMap args) {
/*  55 */     String info = String.valueOf(args.get("info"));
/*  56 */     String groupid = String.valueOf(args.get("groupid"));
/*  57 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/*  58 */     int textFlag = ((Integer)args.get("textFlag")).intValue();
/*  59 */     PageInfo page = (PageInfo)args.get("page");
/*  60 */     int type = ((Integer)args.get("type")).intValue();
/*  61 */     String sydwState = null;
/*  62 */     String instType = null;
/*  63 */     if (args.get("sydwState") != null) {
/*  64 */       sydwState = String.valueOf(args.get("sydwState"));
/*     */     }
/*  66 */     if (args.get("instType") != null) {
/*  67 */       instType = String.valueOf(args.get("instType"));
/*     */     }
/*     */     
/*  70 */     SYDWInfo si = new SYDWInfo();
/*  71 */     switch (type) {
/*     */       case 0:
/*  73 */         si.setUNIFY_CODE(info);
/*     */         break;
/*     */       case 1:
/*  76 */         si.setSYDW_CODE(info);
/*     */         break;
/*     */       case 2:
/*  79 */         si.setSYDW_NAME_FIRST(info);
/*     */         break;
/*     */       case 3:
/*  82 */         si.setJBDW_NAME(info);
/*     */         break;
/*     */       case 4:
/*  85 */         si.setFDDBR_NAME(info);
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/*  90 */     if (PublicUtil.isNull(sydwState)) {
/*  91 */       if (PublicUtil.isNull(instType))
/*     */       {
/*  93 */         return this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */       }
/*     */       
/*  96 */       return this.sm.searchSYDW2(si, groupid, searchFlag, textFlag, page, "", instType);
/*     */     } 
/*     */     
/*  99 */     if (PublicUtil.isNull(instType))
/*     */     {
/* 101 */       return this.sm.searchSYDW1(si, groupid, searchFlag, textFlag, page, sydwState);
/*     */     }
/*     */     
/* 104 */     return this.sm.searchSYDW2(si, groupid, searchFlag, textFlag, page, sydwState, instType);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByTypeStateFromEs(HashMap args) {
/* 116 */     String info = String.valueOf(args.get("info"));
/* 117 */     String groupid = String.valueOf(args.get("groupid"));
/* 118 */     String districtCode = String.valueOf(args.get("districtCode"));
/* 119 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/* 120 */     int textFlag = ((Integer)args.get("textFlag")).intValue();
/* 121 */     PageInfo page = (PageInfo)args.get("page");
/* 122 */     int type = ((Integer)args.get("type")).intValue();
/* 123 */     String sydwState = null;
/* 124 */     String instType = null;
/* 125 */     if (args.get("sydwState") != null) {
/* 126 */       sydwState = String.valueOf(args.get("sydwState"));
/*     */     }
/* 128 */     if (args.get("instType") != null) {
/* 129 */       instType = String.valueOf(args.get("instType"));
/*     */     }
/*     */     
/* 132 */     SYDWInfo si = new SYDWInfo();
/* 133 */     si.setAPPLY_TYPE(args.get("type").toString());
/* 134 */     switch (type) {
/*     */       case 0:
/* 136 */         si.setUNIFY_CODE(info);
/*     */         break;
/*     */       case 1:
/* 139 */         si.setSYDW_CODE(info);
/*     */         break;
/*     */       case 2:
/* 142 */         si.setSYDW_NAME_FIRST(info);
/*     */         break;
/*     */       case 3:
/* 145 */         si.setJBDW_NAME(info);
/*     */         break;
/*     */       case 4:
/* 148 */         si.setFDDBR_NAME(info);
/*     */         break;
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 154 */     return this.sm.searchSydwFromEs(si, groupid, districtCode, searchFlag, textFlag, page, sydwState, instType);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByTypeState(String info, String groupid, int searchFlag, int textFlag, PageInfo page, int type, String sydwState, String instType) {
/* 165 */     SYDWInfo si = new SYDWInfo();
/* 166 */     switch (type) {
/*     */       case 0:
/* 168 */         si.setUNIFY_CODE(info);
/*     */         break;
/*     */       case 1:
/* 171 */         si.setSYDW_CODE(info);
/*     */         break;
/*     */       case 2:
/* 174 */         si.setSYDW_NAME_FIRST(info);
/*     */         break;
/*     */       case 3:
/* 177 */         si.setJBDW_NAME(info);
/*     */         break;
/*     */       case 4:
/* 180 */         si.setFDDBR_NAME(info);
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 185 */     if (sydwState == null) {
/* 186 */       return this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */     }
/* 188 */     return this.sm.searchSYDW1(si, groupid, searchFlag, textFlag, page, sydwState);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByType(String info, String groupid, int searchFlag, int textFlag, PageInfo page, int type, String instType) {
/* 200 */     SYDWInfo si = new SYDWInfo();
/* 201 */     switch (type) {
/*     */       case 0:
/* 203 */         si.setUNIFY_CODE(info);
/*     */         break;
/*     */       case 1:
/* 206 */         si.setSYDW_CODE(info);
/*     */         break;
/*     */       case 2:
/* 209 */         si.setSYDW_NAME_FIRST(info);
/* 210 */         return this.sm.searchSydwHistoryName(si, groupid, searchFlag, textFlag, page, instType);
/*     */       case 3:
/* 212 */         si.setJBDW_NAME(info);
/*     */         break;
/*     */       case 4:
/* 215 */         si.setFDDBR_NAME(info);
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 220 */     if (PublicUtil.isNull(instType))
/*     */     {
/* 222 */       return this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */     }
/*     */     
/* 225 */     return this.sm.searchSYDW2(si, groupid, searchFlag, textFlag, page, "", instType);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByTypeFromEs(String info, String groupid, String districtCode, int searchFlag, int textFlag, PageInfo page, int type, String instType) {
/* 238 */     SYDWInfo si = new SYDWInfo();
/* 239 */     si.setAPPLY_TYPE(String.valueOf(type));
/* 240 */     switch (type) {
/*     */       case 0:
/* 242 */         si.setUNIFY_CODE(info);
/*     */         break;
/*     */       case 1:
/* 245 */         si.setSYDW_CODE(info);
/*     */         break;
/*     */       case 2:
/* 248 */         si.setSYDW_NAME_FIRST(info);
/*     */       case 3:
/* 250 */         si.setJBDW_NAME(info);
/*     */         break;
/*     */       case 4:
/* 253 */         si.setFDDBR_NAME(info);
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 258 */     return this.sm.searchSydwFromEs(si, groupid, districtCode, searchFlag, textFlag, page, "", instType);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchByFddbrName(String fddbrname, String groupid, int searchFlag, PageInfo page) {
/* 263 */     SYDWInfo si = new SYDWInfo();
/* 264 */     si.setFDDBR_NAME(fddbrname);
/*     */     
/* 266 */     return this.sm.searchSYDW(si, groupid, searchFlag, 0, page);
/*     */   }
/*     */   
/*     */   public SYDWInfo getSYDW(String sydwID) {
/* 270 */     return this.sm.getSYDW(sydwID);
/*     */   }
/*     */   
/*     */   public ArrayList getSubGLJG(String groupid) {
/* 274 */     return this.sm.getSubGLJG(groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchBySydwcode(String sydwcode, String groupid, int searchFlag, PageInfo page) {
/* 285 */     SYDWInfo si = new SYDWInfo();
/* 286 */     si.setSYDW_CODE(sydwcode);
/*     */     
/* 288 */     return this.sm.searchSYDW(si, groupid, searchFlag, 0, page);
/*     */   }
/*     */   
/*     */   public ArrayList creatRoot() {
/* 292 */     InfoEntity ie = new InfoEntity();
/* 293 */     ie.setName(this.user.getGroupname());
/* 294 */     ie.setDJGLJG(true);
/* 295 */     ie.setId(this.user.getGroupid());
/* 296 */     ie.setDistrictCode(this.user.getDistrictcode());
/*     */     
/* 298 */     if (this.user.getDistrictcode().equals("100000")) {
/* 299 */       ie.setId("1");
/* 300 */       ie.setName("国家事业单位登记管理局");
/*     */     } 
/*     */     
/* 303 */     ArrayList<InfoEntity> al = new ArrayList();
/* 304 */     al.add(ie);
/* 305 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAllExcel(String searchtype, String condition, String groupid, int searchFlag, int textFlag, PageInfo page, String state, String instType) {
/* 311 */     SYDWInfo si = new SYDWInfo();
/* 312 */     if (searchtype.equals("sydwcode"))
/* 313 */       si.setSYDW_CODE(condition); 
/* 314 */     if (searchtype.equals("unifycode")) {
/* 315 */       si.setUNIFY_CODE(condition);
/* 316 */     } else if (searchtype.equals("sydwname")) {
/* 317 */       si.setSYDW_NAME_FIRST(condition);
/* 318 */     } else if (searchtype.equals("jbdwname")) {
/* 319 */       si.setJBDW_NAME(condition);
/* 320 */     } else if (searchtype.equals("fddbrname")) {
/* 321 */       si.setFDDBR_NAME(condition);
/* 322 */     }  if (PublicUtil.isNull(state)) {
/* 323 */       if (PublicUtil.isNull(instType))
/*     */       {
/* 325 */         return this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */       }
/*     */       
/* 328 */       return this.sm.searchSYDW2(si, groupid, searchFlag, textFlag, page, "", instType);
/*     */     } 
/*     */     
/* 331 */     if (PublicUtil.isNull(instType))
/*     */     {
/* 333 */       return this.sm.searchSYDW1(si, groupid, searchFlag, textFlag, page, state);
/*     */     }
/*     */     
/* 336 */     return this.sm.searchSYDW2(si, groupid, searchFlag, textFlag, page, state, instType);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAllExcelFromEs(String searchtype, String condition, String groupid, String districtCode, int searchFlag, int textFlag, PageInfo page, String state, String instType) {
/* 344 */     SYDWInfo si = new SYDWInfo();
/* 345 */     si.setNOTES("download");
/* 346 */     if ("sydwcode".equals(searchtype)) {
/* 347 */       si.setSYDW_CODE(condition);
/* 348 */       si.setAPPLY_TYPE("1");
/* 349 */     } else if ("unifycode".equals(searchtype)) {
/* 350 */       si.setUNIFY_CODE(condition);
/* 351 */       si.setAPPLY_TYPE("0");
/* 352 */     } else if ("sydwname".equals(searchtype)) {
/* 353 */       si.setSYDW_NAME_FIRST(condition);
/* 354 */       si.setAPPLY_TYPE("2");
/* 355 */     } else if ("jbdwname".equals(searchtype)) {
/* 356 */       si.setJBDW_NAME(condition);
/* 357 */       si.setAPPLY_TYPE("3");
/* 358 */     } else if ("fddbrname".equals(searchtype)) {
/* 359 */       si.setFDDBR_NAME(condition);
/* 360 */       si.setAPPLY_TYPE("4");
/* 361 */     } else if ("basictable".equals(searchtype)) {
/* 362 */       si.setAPPLY_TYPE("10");
/*     */     } 
/* 364 */     return this.sm.searchSydwFromEs(si, groupid, districtCode, searchFlag, textFlag, page, state, instType);
/*     */   }
/*     */   
/*     */   public FddbrInfo getFddbr(String sydwID) {
/* 368 */     return this.sm.getFddbr(sydwID);
/*     */   }
/*     */   
/*     */   public ArrayList getAlterations(String sydwID) {
/* 372 */     return this.sm.getAlterations(sydwID);
/*     */   }
/*     */   
/*     */   public ArrayList getReissues(String sydwID) {
/* 376 */     return this.sm.getReissues(sydwID);
/*     */   }
/*     */   
/*     */   public ArrayList getWritenoffs(String sydwID) {
/* 380 */     return this.sm.getWritenoffs(sydwID);
/*     */   }
/*     */   
/*     */   public ArrayList getAnnuals(String sydwID) {
/* 384 */     return this.sm.getAnnuals(sydwID);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchBySydwName(String name, String groupid, int searchFlag, int textFlag, PageInfo page) {
/* 389 */     SYDWInfo si = new SYDWInfo();
/* 390 */     si.setSYDW_NAME_FIRST(name);
/*     */     
/* 392 */     ArrayList al = this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */     
/* 394 */     return al;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchByJbdwName(String jbdwname, String groupid, int searchFlag, int textFlag, PageInfo page) {
/* 399 */     SYDWInfo si = new SYDWInfo();
/* 400 */     si.setJBDW_NAME(jbdwname);
/*     */     
/* 402 */     return this.sm.searchSYDW(si, groupid, searchFlag, textFlag, page);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchByCombine(String sql, String groupid, int searchFlag, PageInfo page) {
/* 407 */     return this.sm.searchByCombine(sql, groupid, searchFlag, page);
/*     */   }
/*     */   
/*     */   public StatisticMoveInfo statisticMoveInfo(String groupid, String parentid) {
/* 411 */     if (parentid == null || parentid.length() == 0 || 
/* 412 */       parentid.equals("3478")) {
/* 413 */       parentid = this.user.getDistrictcode();
/*     */     }
/* 415 */     return (new StatisticManage()).statisticMoveInfo(groupid, parentid, 
/* 416 */         "", "", 1);
/*     */   }
/*     */   
/*     */   public SydwAllInfoModel searchSydwDetailInfo(String sydwCode, boolean bFddbrInfo, boolean bAlter, boolean bAnnualCheck, boolean bReIssue, boolean bLogout) {
/* 420 */     return this.sm.searchSydwDetailInfo(sydwCode, bFddbrInfo, bAlter, bAnnualCheck, bReIssue, bLogout);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchPrintUnify(String stime, String etime, String groupid, int searchFlag, int sendFlag, PageInfo page) {
/* 436 */     return this.sm.searchPrintUnify(stime, etime, groupid, searchFlag, sendFlag, page);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String statisticPrintUnify(String stime, String etime, String groupid, int searchFlag, int sendFlag) {
/* 449 */     return this.sm.statisticPrintUnify(stime, etime, groupid, searchFlag, sendFlag);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwJianCha(HashMap args) {
/* 464 */     String stime = String.valueOf(args.get("stime"));
/* 465 */     String etime = String.valueOf(args.get("etime"));
/* 466 */     String groupid = String.valueOf(args.get("groupid"));
/* 467 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/* 468 */     String type = String.valueOf(args.get("type"));
/* 469 */     PageInfo page = (PageInfo)args.get("page");
/* 470 */     return this.sm.searchSydwJianCha(stime, etime, groupid, searchFlag, type, page);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwJianCha(String stime, String etime, String groupid, int searchFlag, String type, PageInfo page) {
/* 486 */     return this.sm.searchSydwJianCha(stime, etime, groupid, searchFlag, type, page);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countAllSydwFRData(String groupid, int searchFlag, String endDate) {
/* 498 */     return this.sm.countAllSydwFRData(groupid, searchFlag, endDate);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countAllDqjgData(String groupid, int searchFlag, String endDate) {
/* 509 */     return this.sm.countAllDqjgData(groupid, searchFlag, endDate);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countSydwOrFfrData(String groupid, String searchType, String endDate) {
/* 520 */     return this.sm.countSydwOrFfrData(groupid, searchType, endDate);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchHylbInfo(String groupid, int searchFlag) {
/* 533 */     return this.sm.searchHylbInfo(groupid, searchFlag);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCgjgInfo(String groupid, int searchFlag, String sydwJglb, String tableName, String scope) {
/* 546 */     return this.sm.searchCgjgInfo(groupid, searchFlag, sydwJglb, tableName, scope);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCgjgCode(String sydwJglb) {
/* 559 */     return this.sm.searchCgjgCode(sydwJglb);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCommonSydwInfoList(String tableName, String condition, int startNo, int maxCount) {
/* 572 */     return this.sm.searchCommonSydwInfoList(tableName, condition, startNo, maxCount);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCommonSydwInfoExcel(String tableName, String condition) {
/* 583 */     return this.sm.searchCommonSydwInfoExcel(tableName, condition);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList amountAllFRData(String groupid, String endDate) {
/* 594 */     return this.sm.amountAllFRData(groupid, endDate);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\SearchSYDWController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */