/*     */ package cs.admin.search.table;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.SaveSearchExcelProgressDialog;
/*     */ import cs.admin.search.SearchSYDWController;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveEXCELResultDialog
/*     */   extends Dialog
/*     */ {
/*  32 */   protected String result = null;
/*     */   protected Shell shell;
/*  34 */   protected String name = "";
/*  35 */   protected String type = "";
/*     */   
/*     */   protected String suffix;
/*     */   
/*     */   private SearchSYDWController ssc;
/*     */   
/*     */   private String searchtype;
/*     */   
/*     */   private String searchcont;
/*     */   
/*     */   private String groupid;
/*     */   
/*     */   private String districtCode;
/*     */   private String groupname;
/*     */   private int searchflag;
/*     */   private int textflag;
/*     */   private PageInfo page;
/*     */   private boolean[] showcolumn;
/*     */   private String sydwState;
/*     */   private String instType;
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, int style) {
/*  57 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent) {
/*  66 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, SearchSYDWController ssc, String name, String searchtype, String searchcont, String groupid, String groupname, int searchflag, int textflag, PageInfo page, boolean[] showcolumn, String sydwState) {
/*  83 */     super(parent);
/*  84 */     this.ssc = ssc;
/*  85 */     this.name = name;
/*  86 */     this.suffix = "xls";
/*  87 */     this.searchtype = searchtype;
/*  88 */     this.searchcont = searchcont;
/*  89 */     this.groupid = groupid;
/*  90 */     this.groupname = groupname;
/*  91 */     this.searchflag = searchflag;
/*  92 */     this.textflag = textflag;
/*  93 */     this.page = page;
/*  94 */     this.showcolumn = showcolumn;
/*  95 */     this.sydwState = sydwState;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, SearchSYDWController ssc, String name, String searchtype, String searchcont, String groupid, String groupname, int searchflag, int textflag, PageInfo page, boolean[] showcolumn, String sydwState, String instType) {
/* 113 */     super(parent);
/* 114 */     this.ssc = ssc;
/* 115 */     this.name = name;
/* 116 */     this.suffix = "xls";
/* 117 */     this.searchtype = searchtype;
/* 118 */     this.searchcont = searchcont;
/* 119 */     this.groupid = groupid;
/* 120 */     this.groupname = groupname;
/* 121 */     this.searchflag = searchflag;
/* 122 */     this.textflag = textflag;
/* 123 */     this.page = page;
/* 124 */     this.showcolumn = showcolumn;
/* 125 */     this.sydwState = sydwState;
/* 126 */     this.instType = instType;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, SearchSYDWController ssc, String name, String searchtype, String searchcont, String groupid, String districtCode, String groupname, int searchflag, int textflag, PageInfo page, boolean[] showcolumn, String sydwState, String instType) {
/* 133 */     super(parent);
/* 134 */     this.ssc = ssc;
/* 135 */     this.name = name;
/* 136 */     this.suffix = "xls";
/* 137 */     this.searchtype = searchtype;
/* 138 */     this.searchcont = searchcont;
/* 139 */     this.groupid = groupid;
/* 140 */     this.districtCode = districtCode;
/* 141 */     this.groupname = groupname;
/* 142 */     this.searchflag = searchflag;
/* 143 */     this.textflag = textflag;
/* 144 */     this.page = page;
/* 145 */     this.showcolumn = showcolumn;
/* 146 */     this.sydwState = sydwState;
/* 147 */     this.instType = instType;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, SearchSYDWController ssc, String name, String searchtype, String searchcont, String groupid, String groupname, int searchflag, int textflag, PageInfo page, boolean[] showcolumn) {
/* 164 */     super(parent);
/* 165 */     this.ssc = ssc;
/* 166 */     this.name = name;
/* 167 */     this.suffix = "xls";
/* 168 */     this.searchtype = searchtype;
/* 169 */     this.searchcont = searchcont;
/* 170 */     this.groupid = groupid;
/* 171 */     this.groupname = groupname;
/* 172 */     this.searchflag = searchflag;
/* 173 */     this.textflag = textflag;
/* 174 */     this.page = page;
/* 175 */     this.showcolumn = showcolumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveEXCELResultDialog(Shell parent, SearchSYDWController ssc, String name, String searchtype, String searchcont, String groupid, String districtCode, String groupname, int searchflag, int textflag, PageInfo page, boolean[] showcolumn) {
/* 182 */     super(parent);
/* 183 */     this.ssc = ssc;
/* 184 */     this.name = name;
/* 185 */     this.suffix = "xls";
/* 186 */     this.searchtype = searchtype;
/* 187 */     this.searchcont = searchcont;
/* 188 */     this.groupid = groupid;
/* 189 */     this.districtCode = districtCode;
/* 190 */     this.groupname = groupname;
/* 191 */     this.searchflag = searchflag;
/* 192 */     this.textflag = textflag;
/* 193 */     this.page = page;
/* 194 */     this.showcolumn = showcolumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 205 */     createContents();
/* 206 */     PublicUtil.setCenter(this.shell);
/* 207 */     this.shell.open();
/* 208 */     this.shell.layout();
/* 209 */     Display display = getParent().getDisplay();
/* 210 */     while (!this.shell.isDisposed()) {
/* 211 */       if (!display.readAndDispatch())
/* 212 */         display.sleep(); 
/*     */     } 
/* 214 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 221 */     this.shell = new Shell(getParent(), 67680);
/* 222 */     GridLayout gridLayout = new GridLayout();
/* 223 */     gridLayout.numColumns = 3;
/* 224 */     this.shell.setLayout((Layout)gridLayout);
/* 225 */     this.shell.setSize(350, 180);
/* 226 */     this.shell.setText("搜索结果下载");
/*     */     
/* 228 */     Label label = new Label((Composite)this.shell, 0);
/* 229 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 230 */         false, 2, 1);
/* 231 */     gd_label.widthHint = 183;
/* 232 */     label.setLayoutData(gd_label);
/* 233 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 234 */     label.setText("您想保存此文件吗？");
/*     */ 
/*     */     
/* 237 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 238 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, 
/* 239 */         false);
/* 240 */     gd_sadLabel.widthHint = 100;
/* 241 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 244 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 245 */     label_2.setLayoutData(new GridData());
/*     */     
/* 247 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 248 */     GridData gd_label_1 = new GridData(131072, 16777216, false, 
/* 249 */         true);
/* 250 */     label_1.setLayoutData(gd_label_1);
/* 251 */     label_1.setText("名称：");
/*     */     
/* 253 */     CLabel label_info = new CLabel((Composite)this.shell, 0);
/* 254 */     GridData gd_label_info = new GridData();
/* 255 */     label_info.setLayoutData(gd_label_info);
/* 256 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 260 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 261 */     composite.setLayoutData(new GridData(16777216, 1024, false, 
/* 262 */           false));
/* 263 */     GridLayout gridLayout_1 = new GridLayout();
/* 264 */     gridLayout_1.numColumns = 3;
/* 265 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 267 */     Button button = new Button(composite, 0);
/* 268 */     button.setText("打开");
/* 269 */     button.setVisible(false);
/* 270 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 283 */     Button button_1 = new Button(composite, 0);
/* 284 */     button_1.setLayoutData(new GridData());
/* 285 */     button_1.setText("保存");
/* 286 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 288 */             DirectoryDialog save = new DirectoryDialog(SaveEXCELResultDialog.this.shell);
/*     */             
/* 290 */             save.setText(String.valueOf(SaveEXCELResultDialog.this.name) + "保存");
/* 291 */             save.setMessage("选择保存目录：");
/*     */ 
/*     */             
/* 294 */             String fileName = save.open();
/* 295 */             if (fileName != null) {
/*     */ 
/*     */               
/*     */               try {
/* 299 */                 ArrayList al = new ArrayList();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                 
/* 306 */                 SaveSearchExcelProgressDialog ss = new SaveSearchExcelProgressDialog(
/* 307 */                     SaveEXCELResultDialog.this.shell, "接受数据中...", "正在生成Excel中...", SaveEXCELResultDialog.this.groupid, SaveEXCELResultDialog.this.districtCode, 
/* 308 */                     fileName, SaveEXCELResultDialog.this.searchtype, SaveEXCELResultDialog.this.searchcont, SaveEXCELResultDialog.this.searchflag, SaveEXCELResultDialog.this.textflag, SaveEXCELResultDialog.this.ssc, 
/* 309 */                     SaveEXCELResultDialog.this.page, SaveEXCELResultDialog.this.showcolumn, SaveEXCELResultDialog.this.sydwState, SaveEXCELResultDialog.this.instType);
/* 310 */                 ss.run(true, true);
/* 311 */                 int r = ss.creatresult;
/* 312 */                 if (r == 0) {
/* 313 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 314 */                       "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 316 */                 if (r == -1) {
/*     */                   
/* 318 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 319 */                       "下载未完成！");
/*     */                 }
/* 321 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 322 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 323 */                       "下载完成!\n以下Excel文件未下载成功：" + 
/* 324 */                       ss.wrongfile);
/*     */                 } else {
/* 326 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 327 */                       "全部Excel文件下载完成!");
/*     */ 
/*     */ 
/*     */ 
/*     */                 
/*     */                 }
/*     */ 
/*     */ 
/*     */ 
/*     */               
/*     */               }
/* 338 */               catch (Exception e) {
/* 339 */                 e.printStackTrace();
/* 340 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 341 */                     "生成Excel文件错误，下载失败");
/*     */                 
/*     */                 return;
/*     */               } 
/* 345 */               SaveEXCELResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 351 */     Button button_2 = new Button(composite, 0);
/* 352 */     button_2.setText("取消");
/* 353 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 355 */             SaveEXCELResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\table\SaveEXCELResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */