/*     */ package cs.admin.statistic.Dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.statistic.table.SydwStateTableLabelProvider;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CountFRInfo;
/*     */ 
/*     */ 
/*     */ public class CommonSydwStateCountDialog
/*     */   extends Dialog
/*     */ {
/*     */   private TableViewer tableViewer;
/*     */   private Table table_1;
/*     */   private Composite group;
/*     */   private ArrayList list;
/*     */   private Composite composite_3;
/*  44 */   int totalRows = 0;
/*  45 */   int startNo = 1;
/*  46 */   int currentPage = 1;
/*  47 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  50 */   private TableCursor cursor = null;
/*  51 */   int maxCount = 15;
/*  52 */   protected int selectColums = 32;
/*     */   
/*     */   private Composite container;
/*     */   private Composite composite_1;
/*     */   private ArrayList al;
/*     */   private String title;
/*     */   private String endTime;
/*     */   
/*     */   public CommonSydwStateCountDialog(Shell parentShell) {
/*  61 */     super(parentShell);
/*  62 */     setShellStyle(66560);
/*     */   }
/*     */   
/*     */   public CommonSydwStateCountDialog(Shell parentShell, String title, ArrayList al, String endTime) {
/*  66 */     super(parentShell);
/*  67 */     setShellStyle(66560);
/*  68 */     this.title = title;
/*  69 */     this.al = al;
/*  70 */     this.endTime = endTime;
/*     */   }
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/*  74 */     this.container = new Composite(arg0, 0);
/*  75 */     this.container.setLayout((Layout)new FillLayout());
/*  76 */     this.container.setBackground(Display.getCurrent().getSystemColor(1));
/*  77 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container, 2816);
/*     */     
/*  79 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/*  80 */     scrolledComposite.setExpandHorizontal(true);
/*  81 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/*  82 */     this.composite_1.setLocation(0, 0);
/*  83 */     this.composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/*  84 */     GridLayout gridLayout_2 = new GridLayout();
/*  85 */     gridLayout_2.marginRight = 15;
/*  86 */     gridLayout_2.marginLeft = 15;
/*  87 */     gridLayout_2.marginTop = 15;
/*  88 */     gridLayout_2.verticalSpacing = 15;
/*  89 */     this.composite_1.setLayout((Layout)gridLayout_2);
/*  90 */     this.group = new Composite(this.composite_1, 0);
/*  91 */     this.group.setBackground(Display.getCurrent().getSystemColor(1));
/*  92 */     GridLayout gridLayout = new GridLayout();
/*  93 */     gridLayout.marginWidth = 0;
/*  94 */     gridLayout.horizontalSpacing = 0;
/*  95 */     gridLayout.marginHeight = 0;
/*  96 */     gridLayout.numColumns = 4;
/*  97 */     this.group.setLayout((Layout)gridLayout);
/*  98 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 100 */     Label label_2 = new Label(this.group, 0);
/* 101 */     label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 102 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 4, 1));
/* 103 */     label_2.setText(this.title);
/* 104 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 106 */     this.composite_3 = new Composite(this.composite_1, 0);
/* 107 */     GridData gd_composite_3 = new GridData(4, 16777216, true, false);
/* 108 */     gd_composite_3.heightHint = 150;
/* 109 */     this.composite_3.setLayoutData(gd_composite_3);
/* 110 */     GridLayout gridLayout_5 = new GridLayout();
/* 111 */     gridLayout_5.marginHeight = 0;
/* 112 */     gridLayout_5.horizontalSpacing = 0;
/* 113 */     gridLayout_5.verticalSpacing = 0;
/* 114 */     gridLayout_5.marginWidth = 0;
/* 115 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*     */     
/* 117 */     this.tableViewer = new TableViewer(this.composite_3, 67584);
/* 118 */     this.table_1 = this.tableViewer.getTable();
/* 119 */     this.table_1.setLayoutData(new GridData(4, 4, true, true));
/* 120 */     this.table_1.setLinesVisible(true);
/* 121 */     this.table_1.setHeaderVisible(true);
/*     */     
/* 123 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 124 */         16777216);
/* 125 */     newColumnTableColumn_1.setWidth(80);
/* 126 */     newColumnTableColumn_1.setText("登记总数");
/*     */     
/* 128 */     TableColumn sydwCodeY = new TableColumn(this.table_1, 16777216);
/* 129 */     sydwCodeY.setWidth(80);
/* 130 */     sydwCodeY.setText("正常数");
/*     */     
/* 132 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 133 */         16777216);
/* 134 */     newColumnTableColumn_2.setWidth(80);
/* 135 */     newColumnTableColumn_2.setText("已冻结数");
/*     */     
/* 137 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 138 */         16777216);
/* 139 */     newColumnTableColumn_3.setWidth(80);
/* 140 */     newColumnTableColumn_3.setText("已废止数");
/*     */     
/* 142 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 143 */         16777216);
/* 144 */     newColumnTableColumn_4.setWidth(80);
/* 145 */     newColumnTableColumn_4.setText("已吊销数");
/*     */     
/* 147 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 148 */         16777216);
/* 149 */     newColumnTableColumn_5.setWidth(80);
/* 150 */     newColumnTableColumn_5.setText("已注销数");
/*     */     
/* 152 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 153 */         16777216);
/* 154 */     newColumnTableColumn_6.setWidth(0);
/* 155 */     newColumnTableColumn_6.setResizable(false);
/*     */     
/* 157 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 158 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new SydwStateTableLabelProvider());
/*     */ 
/*     */     
/* 161 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/* 162 */     PublicUtil.setTableWidth(this.composite_3, this.table_1, "1.67:1.66:1.66:1.66:1.66:1.65:0.02");
/* 163 */     PublicUtil.setMouseHands(this.table_1, "1#2#3#4#5");
/* 164 */     scrolledComposite.setContent((Control)this.composite_1);
/* 165 */     this.composite_1.setSize(550, 200);
/*     */     
/* 167 */     getData(this.startNo);
/* 168 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo) {
/* 175 */     this.list = this.al;
/* 176 */     Object object = this.list;
/* 177 */     this.tableViewer.setInput(object);
/* 178 */     setFontColor();
/* 179 */     setCursor();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 184 */     super.configureShell(newShell);
/* 185 */     newShell.setText(this.title);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 190 */     createButton(parent, 1, "关 闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 198 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 199 */       this.table_1.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 200 */       this.table_1.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/* 201 */       this.table_1.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 202 */       this.table_1.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 203 */       this.table_1.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 204 */       this.table_1.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 205 */       this.table_1.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 206 */       this.table_1.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/* 207 */       this.table_1.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 208 */       this.table_1.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 216 */     if (this.cursor != null)
/*     */     {
/* 218 */       this.cursor.dispose(); } 
/* 219 */     this.cursor = new TableCursor(this.table_1, 0);
/* 220 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 221 */         .getSystemColor(26));
/* 222 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 223 */         .getSystemColor(27));
/* 224 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 226 */             int colums = CommonSydwStateCountDialog.this.cursor.getColumn();
/* 227 */             if (colums == CommonSydwStateCountDialog.this.selectColums && 
/* 228 */               colums >= 1) {
/* 229 */               CommonSydwStateCountDialog.this.openSydwListDialog(colums);
/*     */             }
/*     */             
/* 232 */             CommonSydwStateCountDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 235 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 238 */             int colums = CommonSydwStateCountDialog.this.cursor.getColumn();
/* 239 */             if (colums == CommonSydwStateCountDialog.this.selectColums && 
/* 240 */               colums >= 1) {
/* 241 */               CommonSydwStateCountDialog.this.openSydwListDialog(colums);
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void openSydwListDialog(int colums) {
/* 249 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 250 */     CountFRInfo cfi = (CountFRInfo)select.getFirstElement();
/*     */     
/* 252 */     String districtcode = cfi.getDistrictCode();
/* 253 */     String groupid = cfi.getGroupId();
/* 254 */     String districtcodeSql = "";
/* 255 */     int searchFlag = 0;
/*     */     
/* 257 */     if (searchFlag == 1) {
/*     */       
/* 259 */       if (districtcode.equals("100000")) {
/* 260 */         districtcodeSql = " t.district_code like '100000' ";
/* 261 */       } else if (districtcode.endsWith("0000")) {
/* 262 */         districtcodeSql = " t.district_code like '" + districtcode.substring(0, 2) + "%' ";
/* 263 */       } else if (districtcode.endsWith("00")) {
/* 264 */         districtcodeSql = " t.district_code like '" + districtcode.substring(0, 4) + "%' ";
/*     */       } else {
/* 266 */         districtcodeSql = " t.district_code = '" + districtcode + "' ";
/*     */       }
/*     */     
/* 269 */     } else if (groupid.equals("1") || groupid.equals("3478")) {
/* 270 */       districtcodeSql = " t.district_code like '100000' ";
/*     */     } else {
/* 272 */       districtcodeSql = " t.district_code = '" + districtcode + "' ";
/*     */     } 
/* 274 */     if (districtcodeSql == null || "".equals(districtcodeSql)) {
/* 275 */       districtcodeSql = "1 = 1";
/*     */     }
/*     */     
/* 278 */     String strTable = "sydw_info";
/* 279 */     String stateSql = " and t.sydw_state = 0 ";
/* 280 */     switch (colums) {
/*     */       case 1:
/* 282 */         if (this.endTime != null && !"".equals(this.endTime)) {
/* 283 */           stateSql = " and t.sydw_state = 0  and to_char(t.inst_date, 'yyyy-mm-dd') <= '" + this.endTime + "'"; break;
/*     */         } 
/* 285 */         stateSql = " and t.sydw_state = 0 ";
/*     */         break;
/*     */       case 2:
/* 288 */         if (this.endTime != null && !"".equals(this.endTime)) {
/* 289 */           stateSql = " and t.sydw_state = 3  and to_char(t.inst_date, 'yyyy-mm-dd') <= '" + this.endTime + "'"; break;
/*     */         } 
/* 291 */         stateSql = " and t.sydw_state = 3 ";
/*     */         break;
/*     */       case 3:
/* 294 */         if (this.endTime != null && !"".equals(this.endTime)) {
/* 295 */           stateSql = " and t.sydw_state = 1  and to_char(t.inst_date, 'yyyy-mm-dd') <= '" + this.endTime + "'"; break;
/*     */         } 
/* 297 */         stateSql = " and t.sydw_state = 1 ";
/*     */         break;
/*     */       case 4:
/* 300 */         if (this.endTime != null && !"".equals(this.endTime)) {
/* 301 */           stateSql = " and t.sydw_state = 2  and to_char(t.inst_date, 'yyyy-mm-dd') <= '" + this.endTime + "'"; break;
/*     */         } 
/* 303 */         stateSql = " and t.sydw_state = 2 ";
/*     */         break;
/*     */       case 5:
/* 306 */         strTable = "sydw_written_off";
/* 307 */         if (this.endTime != null && !"".equals(this.endTime)) {
/* 308 */           stateSql = " and to_char(t.WRITE_OFF_DATE, 'yyyy-mm-dd') <= '" + this.endTime + "'"; break;
/*     */         } 
/* 310 */         stateSql = "";
/*     */         break;
/*     */     } 
/* 313 */     String condition = "where " + districtcodeSql + stateSql;
/* 314 */     String title = "事业单位列表>>" + cfi.getGroupName();
/*     */     
/* 316 */     CommonSydwInfoListDialog sydwList = new CommonSydwInfoListDialog(
/* 317 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), title, condition, strTable);
/* 318 */     sydwList.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\Dialog\CommonSydwStateCountDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */