/*     */ package cs.admin.statistic.Dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.statistic.SaveAnnualExcelProgressDialog;
/*     */ import cs.admin.statistic.StatisticSYDWController;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveAnnualStaEXCELResultDialog
/*     */   extends Dialog
/*     */ {
/*  33 */   protected String result = null;
/*     */   protected Shell shell;
/*  35 */   protected String name = "";
/*  36 */   protected String type = "";
/*     */   
/*     */   protected String suffix;
/*     */   
/*     */   private StatisticSYDWController ssc;
/*     */   
/*     */   private String groupid;
/*     */   
/*     */   private int searchflag;
/*     */   
/*     */   private PageInfo page;
/*     */   
/*     */   private String title;
/*     */   private int annualtype;
/*     */   private boolean[] showcolumn;
/*     */   private String annualYear;
/*     */   
/*     */   public SaveAnnualStaEXCELResultDialog(Shell parent, int style) {
/*  54 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveAnnualStaEXCELResultDialog(Shell parent) {
/*  63 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveAnnualStaEXCELResultDialog(Shell parent, StatisticSYDWController ssc, String title, int annualtype, String groupid, int searchflag, PageInfo page, boolean[] showcolumn, String annualYear) {
/*  81 */     super(parent);
/*  82 */     this.ssc = ssc;
/*  83 */     this.name = (title != null) ? title.substring(0, title.length() - 1) : "";
/*  84 */     this.suffix = "xls";
/*  85 */     this.annualtype = annualtype;
/*  86 */     this.groupid = groupid;
/*  87 */     this.title = title;
/*  88 */     this.searchflag = searchflag;
/*  89 */     this.page = page;
/*  90 */     this.showcolumn = showcolumn;
/*  91 */     this.annualYear = annualYear;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 100 */     createContents();
/* 101 */     PublicUtil.setCenter(this.shell);
/* 102 */     this.shell.open();
/* 103 */     this.shell.layout();
/* 104 */     Display display = getParent().getDisplay();
/* 105 */     while (!this.shell.isDisposed()) {
/* 106 */       if (!display.readAndDispatch())
/* 107 */         display.sleep(); 
/*     */     } 
/* 109 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 116 */     this.shell = new Shell(getParent(), 67680);
/* 117 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/* 118 */     this.shell.setBackgroundMode(1);
/* 119 */     GridLayout gridLayout = new GridLayout();
/* 120 */     gridLayout.numColumns = 3;
/* 121 */     this.shell.setLayout((Layout)gridLayout);
/* 122 */     this.shell.setSize(350, 180);
/* 123 */     this.shell.setText(String.valueOf(this.title) + "下载");
/*     */     
/* 125 */     Label label = new Label((Composite)this.shell, 0);
/* 126 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 127 */         false, 2, 1);
/* 128 */     gd_label.widthHint = 183;
/* 129 */     label.setLayoutData(gd_label);
/* 130 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 131 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 134 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 135 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, 
/* 136 */         false);
/* 137 */     gd_sadLabel.widthHint = 100;
/* 138 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 141 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 142 */     label_2.setLayoutData(new GridData());
/*     */     
/* 144 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 145 */     GridData gd_label_1 = new GridData(131072, 16777216, false, 
/* 146 */         true);
/* 147 */     label_1.setLayoutData(gd_label_1);
/* 148 */     label_1.setText("名称：");
/*     */     
/* 150 */     Label label_info = new Label((Composite)this.shell, 64);
/* 151 */     GridData gd_label_info = new GridData(4, 16777216, true, false);
/* 152 */     label_info.setLayoutData(gd_label_info);
/* 153 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 157 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 158 */     composite.setLayoutData(new GridData(16777216, 1024, false, 
/* 159 */           false));
/* 160 */     GridLayout gridLayout_1 = new GridLayout();
/* 161 */     gridLayout_1.numColumns = 3;
/* 162 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 164 */     Button button = new Button(composite, 0);
/* 165 */     button.setText("打开");
/* 166 */     button.setVisible(false);
/* 167 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */     
/* 173 */     Button button_1 = new Button(composite, 0);
/* 174 */     button_1.setLayoutData(new GridData());
/* 175 */     button_1.setText("保存");
/* 176 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 178 */             DirectoryDialog save = new DirectoryDialog(SaveAnnualStaEXCELResultDialog.this.shell);
/* 179 */             save.setText(String.valueOf(SaveAnnualStaEXCELResultDialog.this.name) + "保存");
/* 180 */             save.setMessage("选择保存目录：");
/* 181 */             String fileName = save.open();
/* 182 */             if (fileName != null) {
/*     */               
/*     */               try {
/* 185 */                 SaveAnnualExcelProgressDialog ss = new SaveAnnualExcelProgressDialog(
/* 186 */                     SaveAnnualStaEXCELResultDialog.this.shell, "接受数据中...", "正在生成Excel中...", SaveAnnualStaEXCELResultDialog.this.name, SaveAnnualStaEXCELResultDialog.this.groupid, 
/* 187 */                     fileName, SaveAnnualStaEXCELResultDialog.this.annualtype, SaveAnnualStaEXCELResultDialog.this.searchflag, SaveAnnualStaEXCELResultDialog.this.ssc, SaveAnnualStaEXCELResultDialog.this.page, SaveAnnualStaEXCELResultDialog.this.showcolumn, SaveAnnualStaEXCELResultDialog.this.annualYear);
/* 188 */                 ss.run(true, true);
/* 189 */                 int r = ss.creatresult;
/* 190 */                 if (r == 0) {
/* 191 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 192 */                       "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 194 */                 if (r == -1) {
/*     */                   
/* 196 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 197 */                       "下载未完成！");
/*     */                 }
/* 199 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 200 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 201 */                       "下载完成!\n以下Excel文件未下载成功：" + 
/* 202 */                       ss.wrongfile);
/*     */                 } else {
/* 204 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 205 */                       "全部Excel文件下载完成!");
/*     */                 } 
/* 207 */               } catch (Exception e) {
/* 208 */                 e.printStackTrace();
/* 209 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 210 */                     "生成Excel文件错误，下载失败");
/*     */                 
/*     */                 return;
/*     */               } 
/* 214 */               SaveAnnualStaEXCELResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 219 */     Button button_2 = new Button(composite, 0);
/* 220 */     button_2.setText("取消");
/* 221 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 223 */             SaveAnnualStaEXCELResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 227 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 228 */     label_2_1.setLayoutData(new GridData());
/* 229 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\Dialog\SaveAnnualStaEXCELResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */