/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.SearchSYDWController;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.search.table.CountAllFRTableLabelProvider;
/*     */ import cs.admin.search.table.SYDWResultExcelDialog;
/*     */ import cs.admin.search.table.SaveEXCELResultDialog;
/*     */ import cs.admin.search.table.SearchTableContentProvider;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Cursor;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CountFRInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticCountAllFRView
/*     */   extends ViewPart
/*     */ {
/*     */   private boolean sydwDetailFlag = false;
/*     */   private Table table;
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label_2;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*  84 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  85 */   private Calendar calendar = Calendar.getInstance();
/*     */   
/*  87 */   private Shell shell = null;
/*  88 */   private Composite comp = null;
/*     */   
/*     */   private SearchSYDWController sumController;
/*  91 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private String parentid;
/*     */   private String groupid;
/*     */   private String groupname;
/*  98 */   private int searchFlag = 0;
/*     */   
/*     */   private Button button;
/*     */   
/* 102 */   private TableColumn[] tableColumn = new TableColumn[11];
/* 103 */   private boolean[] showcolumn = new boolean[11];
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   
/*     */   private Composite composite_3;
/*     */   private Composite composite;
/*     */   private Label lable_note;
/*     */   private Button button_back;
/* 111 */   private TableCursor cursor = null;
/* 112 */   private int selectColums = 10;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 116 */     this.comp = arg0;
/* 117 */     this.shell = arg0.getShell();
/* 118 */     arg0.setBackgroundMode(1);
/* 119 */     arg0
/* 120 */       .setBackground(Display.getCurrent().getSystemColor(
/* 121 */           1));
/* 122 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 124 */     this.composite_6 = new Composite(arg0, 0);
/* 125 */     GridLayout gridLayout_5 = new GridLayout();
/* 126 */     gridLayout_5.verticalSpacing = 0;
/* 127 */     gridLayout_5.marginTop = 20;
/* 128 */     gridLayout_5.marginBottom = 10;
/* 129 */     gridLayout_5.numColumns = 3;
/* 130 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 133 */     this.label = new CLabel(this.composite_6, 0);
/* 134 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 135 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 136 */         false);
/* 137 */     gd_label.widthHint = 450;
/* 138 */     this.label.setLayoutData(gd_label);
/* 139 */     this.label.setText("统计分析>>事业单位法人登记数据汇总");
/*     */ 
/*     */ 
/*     */     
/* 143 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 145 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 149 */     this.composite_3 = new Composite(this.composite_6, 0);
/* 150 */     this.composite_3.setBackgroundMode(2);
/* 151 */     this.composite_3.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 152 */     GridLayout gridLayout_3 = new GridLayout();
/* 153 */     gridLayout_3.numColumns = 2;
/* 154 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 156 */     this.button_9 = new Button(this.composite_3, 16);
/* 157 */     this.button_9.setText("本级登记管理机关");
/* 158 */     this.button_9.setSelection(true);
/*     */     
/* 160 */     this.button_10 = new Button(this.composite_3, 16);
/* 161 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */ 
/*     */     
/* 164 */     Label label_2_1 = new Label(this.composite_6, 0);
/* 165 */     label_2_1
/* 166 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 167 */     label_2_1.setText(" ");
/*     */     
/* 169 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 170 */     this.tree_1 = this.treeViewer.getTree();
/* 171 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/* 172 */         false);
/* 173 */     gd_tree_1.heightHint = 190;
/* 174 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 176 */     Label label_6_1 = new Label(this.composite_6, 0);
/* 177 */     label_6_1
/* 178 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 179 */     label_6_1.setText(" ");
/*     */ 
/*     */     
/* 182 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 183 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 184 */           false));
/* 185 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 187 */     Button button_6 = new Button(composite_2, 0);
/* 188 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 190 */             InfoEntity select = null;
/* 191 */             IStructuredSelection i = (IStructuredSelection)StatisticCountAllFRView.this.treeViewer
/* 192 */               .getSelection();
/*     */             
/* 194 */             StatisticCountAllFRView.this.searchFlag = 0;
/*     */             
/* 196 */             if (StatisticCountAllFRView.this.button_10.getSelection()) {
/* 197 */               StatisticCountAllFRView.this.searchFlag = 1;
/*     */             }
/* 199 */             if (i == null) {
/* 200 */               StatisticCountAllFRView.this.parentid = null;
/* 201 */               StatisticCountAllFRView.this.groupid = StatisticCountAllFRView.this.user.getGroupid();
/* 202 */               StatisticCountAllFRView.this.groupname = StatisticCountAllFRView.this.user.getGroupname();
/*     */             } else {
/* 204 */               select = (InfoEntity)i.getFirstElement();
/* 205 */               if (select == null) {
/* 206 */                 StatisticCountAllFRView.this.parentid = null;
/* 207 */                 StatisticCountAllFRView.this.groupid = StatisticCountAllFRView.this.user.getGroupid();
/* 208 */                 StatisticCountAllFRView.this.groupname = StatisticCountAllFRView.this.user.getGroupname();
/*     */               } else {
/* 210 */                 StatisticCountAllFRView.this.parentid = select.getGroupid();
/* 211 */                 StatisticCountAllFRView.this.groupid = select.getId();
/* 212 */                 StatisticCountAllFRView.this.groupname = select.getName();
/*     */               } 
/*     */             } 
/* 215 */             StatisticCountAllFRView.this.startSearch();
/*     */           }
/*     */         });
/*     */     
/* 219 */     button_6.setText("确定");
/* 220 */     button_6.setCursor(new Cursor(null, 21));
/*     */ 
/*     */ 
/*     */     
/* 224 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 226 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 227 */         .getSystemColor(1));
/* 228 */     this.scrolledComposite.setBackgroundMode(1);
/*     */     
/* 230 */     this.scrolledComposite.setCapture(true);
/* 231 */     this.scrolledComposite.setExpandVertical(true);
/* 232 */     this.scrolledComposite.setExpandHorizontal(true);
/* 233 */     this.scrolledComposite.setMinHeight(480);
/* 234 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 236 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 237 */     GridLayout gridLayout_4 = new GridLayout();
/* 238 */     gridLayout_4.numColumns = 2;
/* 239 */     gridLayout_4.verticalSpacing = 3;
/* 240 */     gridLayout_4.marginTop = 20;
/* 241 */     gridLayout_4.marginRight = 25;
/* 242 */     gridLayout_4.marginLeft = 25;
/* 243 */     gridLayout_4.marginBottom = 10;
/* 244 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*     */     
/* 246 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 247 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 248 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 249 */     this.label_4.setText("统计分析>>事业单位法人登记数据汇总结果");
/*     */     
/* 251 */     this.button_back = new Button(this.composite_1, 8388608);
/* 252 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 254 */             StatisticCountAllFRView.this.initSearch();
/*     */           }
/*     */         });
/* 257 */     GridData gd_button_back = new GridData(131072, 16777216, 
/* 258 */         false, false);
/* 259 */     gd_button_back.heightHint = 18;
/* 260 */     gd_button_back.widthHint = 45;
/* 261 */     this.button_back.setLayoutData(gd_button_back);
/* 262 */     this.button_back.setText("返回");
/* 263 */     Label label_1_1 = new Label(this.composite_1, 258);
/*     */     
/* 265 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/* 266 */           false, 2, 1));
/* 267 */     label_1_1.setText("Label");
/*     */     
/* 269 */     this.label_3 = new Label(this.composite_1, 64);
/* 270 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/* 271 */     this.label_3.setText("Label");
/*     */ 
/*     */ 
/*     */     
/* 275 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*     */     
/* 277 */     this.table = this.tableViewer.getTable();
/* 278 */     this.table.setLinesVisible(true);
/* 279 */     this.table.setHeaderVisible(true);
/*     */     
/* 281 */     GridData gd_table = new GridData(4, 4, true, false, 
/* 282 */         2, 10);
/* 283 */     gd_table.heightHint = 412;
/* 284 */     this.table.setLayoutData(gd_table);
/* 285 */     PublicUtil.setTableHeight(this.table);
/* 286 */     PublicUtil.setMouseHands(this.table, "2#3#4#5#6#7#8");
/*     */     
/* 288 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */           public void handleEvent(Event event)
/*     */           {
/* 292 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 298 */     this.button = new Button(this.composite_1, 8388608);
/* 299 */     this.button.setLayoutData(new GridData(-1, 18));
/* 300 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 303 */               PageInfo page = new PageInfo();
/*     */               
/* 305 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticCountAllFRView.this.shell, 
/* 306 */                   StatisticCountAllFRView.this.sumController, "事业单位法人登记数据汇总表", "CountAllSydwFR", "", 
/* 307 */                   StatisticCountAllFRView.this.groupid, StatisticCountAllFRView.this.groupname, StatisticCountAllFRView.this.searchFlag, 0, 
/* 308 */                   page, StatisticCountAllFRView.this.showcolumn);
/* 309 */               s.open();
/* 310 */             } catch (Exception e2) {
/* 311 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 315 */     this.button.setText("另存为Excel");
/* 316 */     this.button.setCursor(new Cursor(null, 21));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 321 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 323 */     initAll();
/*     */   }
/*     */   
/*     */   void initAll() {
/* 327 */     initializeToolBar();
/* 328 */     initSearchController();
/*     */     
/* 330 */     initTypeView();
/* 331 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 332 */     initTypeView();
/* 333 */     initTable();
/* 334 */     refreshTable();
/* 335 */     initSearch();
/* 336 */     initTree();
/*     */     
/* 338 */     setFontColor();
/* 339 */     setCursor();
/*     */   }
/*     */   
/*     */   private void startSearch() {
/* 343 */     initResult();
/*     */   }
/*     */   
/*     */   private void initTree() {
/* 347 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 348 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 349 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 350 */     this.treeViewer.refresh();
/*     */   }
/*     */   
/*     */   private void initSearchController() {
/* 354 */     this.sumController = new SearchSYDWController(this.user);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initTypeView() {}
/*     */ 
/*     */   
/*     */   private void initTable() {
/* 363 */     int i = -1;
/* 364 */     this.showcolumn[++i] = true;
/* 365 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 366 */     this.tableColumn[i].setText("序号");
/*     */     
/* 368 */     this.showcolumn[++i] = true;
/* 369 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 370 */     this.tableColumn[i].setAlignment(16384);
/* 371 */     this.tableColumn[i].setText("登记管理机关");
/*     */     
/* 373 */     this.showcolumn[++i] = true;
/* 374 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 375 */     this.tableColumn[i].setAlignment(16777216);
/* 376 */     this.tableColumn[i].setText("登记总数");
/*     */     
/* 378 */     this.showcolumn[++i] = true;
/* 379 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 380 */     this.tableColumn[i].setAlignment(16777216);
/* 381 */     this.tableColumn[i].setText("正常数");
/*     */     
/* 383 */     this.showcolumn[++i] = true;
/* 384 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 385 */     this.tableColumn[i].setAlignment(16777216);
/* 386 */     this.tableColumn[i].setText("已冻结数");
/*     */     
/* 388 */     this.showcolumn[++i] = true;
/* 389 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 390 */     this.tableColumn[i].setAlignment(16777216);
/* 391 */     this.tableColumn[i].setText("已废止数");
/*     */     
/* 393 */     this.showcolumn[++i] = true;
/* 394 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 395 */     this.tableColumn[i].setAlignment(16777216);
/* 396 */     this.tableColumn[i].setText("已吊销数");
/*     */     
/* 398 */     this.showcolumn[++i] = true;
/* 399 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 400 */     this.tableColumn[i].setAlignment(16777216);
/* 401 */     this.tableColumn[i].setText("已注销数");
/*     */     
/* 403 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CountAllFRTableLabelProvider());
/* 404 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*     */   }
/*     */   
/*     */   private void refreshTable() {
/* 408 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 409 */       if (this.tableColumn[i] != null) {
/* 410 */         if (this.showcolumn[i]) {
/* 411 */           if (this.tableColumn[i].getText().equals("登记管理机关")) {
/* 412 */             this.tableColumn[i].setWidth(500);
/* 413 */           } else if (this.tableColumn[i].getText().equals("序号")) {
/* 414 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */           } else {
/* 416 */             this.tableColumn[i].setWidth(152);
/*     */           } 
/* 418 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 420 */           this.tableColumn[i].setWidth(0);
/* 421 */           this.tableColumn[i].setResizable(false);
/*     */         } 
/*     */       }
/*     */     } 
/* 425 */     this.table.update();
/*     */   }
/*     */   
/*     */   private void initSearch() {
/* 429 */     this.button_10.setSelection(false);
/* 430 */     this.button_9.setSelection(true);
/*     */     
/* 432 */     this.searchFlag = 0;
/* 433 */     this.groupid = "";
/* 434 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 435 */     this.comp.layout();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 439 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 440 */     this.tableViewer.setInput(resetInfos(this.sumController.countAllSydwFRData(this.groupid, this.searchFlag, "")));
/* 441 */     this.comp.layout();
/* 442 */     setFontColor();
/* 443 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 453 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 454 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<CountFRInfo> al) {
/* 458 */     int allCount = 0;
/* 459 */     int writeOffCount = 0;
/* 460 */     int abolishCount = 0;
/* 461 */     int donjieCount = 0;
/* 462 */     int diaoxiaoCount = 0;
/* 463 */     int nowCount = 0;
/* 464 */     int spCount = 0;
/* 465 */     int fpCount = 0;
/* 466 */     int npCount = 0;
/*     */     
/* 468 */     for (int i = 0; i < al.size(); i++) {
/* 469 */       CountFRInfo cfi = al.get(i);
/* 470 */       allCount = allCount + cfi.getAllCount() + cfi.getWriteOffCount();
/* 471 */       writeOffCount += cfi.getWriteOffCount();
/* 472 */       abolishCount += cfi.getAbolishCount();
/* 473 */       donjieCount += cfi.getDonjieCount();
/* 474 */       diaoxiaoCount += cfi.getDiaoxiaoCount();
/* 475 */       nowCount += cfi.getNowCount();
/* 476 */       spCount += cfi.getSpCount();
/* 477 */       fpCount += cfi.getFpCount();
/* 478 */       npCount += cfi.getNpCount();
/*     */     } 
/*     */     
/* 481 */     this.label_3.setText("共搜索到[" + al.size() + "]条符合条件的信息，共有事业单位 [" + allCount + 
/* 482 */         "]家，其中正常事业单位[" + nowCount + "]家，已冻结事业单位[" + donjieCount + "]家，已废止事业单位[" + abolishCount + 
/* 483 */         "]家，已吊销事业单位[" + diaoxiaoCount + "]家，已注销事业单位[" + writeOffCount + 
/* 484 */         "]家。");
/* 485 */     return al;
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 489 */     text.setText(text.getText().trim());
/* 490 */     if (text.getText().trim().length() == 0) {
/* 491 */       text.setText(text.getText().trim());
/* 492 */       showInputErr(text, info);
/* 493 */       return false;
/*     */     } 
/* 495 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 500 */     text.setText(text.getText().trim());
/* 501 */     if (length == -1) {
/* 502 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 503 */         text.setText(text.getText().trim());
/* 504 */         showInputErr(text, info);
/* 505 */         return false;
/*     */       } 
/* 507 */       return true;
/* 508 */     }  if (length == 0) {
/* 509 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 510 */         text.setText(text.getText().trim());
/* 511 */         showInputErr(text, info);
/* 512 */         return false;
/*     */       } 
/* 514 */       return true;
/*     */     } 
/* 516 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 517 */       text.getText().trim().length() != length) {
/* 518 */       text.setText(text.getText().trim());
/* 519 */       showInputErr(text, info);
/* 520 */       return false;
/*     */     } 
/* 522 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 528 */     text.setText(text.getText().trim());
/* 529 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 530 */     mbox.setMessage(info);
/* 531 */     mbox.setText("错误提示");
/* 532 */     mbox.open();
/* 533 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 538 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 539 */     mbox.setMessage(info);
/* 540 */     mbox.setText("错误提示");
/* 541 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 546 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 548 */     mbox.setMessage(info);
/* 549 */     mbox.setText("信息提示");
/* 550 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @Deprecated
/*     */   public class Operation
/*     */   {
/*     */     public void showSYDWInfo(SYDWInfo sydw) {
/* 560 */       (new SYDWResultExcelDialog(StatisticCountAllFRView.this.shell, StatisticCountAllFRView.this.sumController, sydw)).open();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setFontColor() {
/* 568 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 569 */       this.table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 570 */       this.table.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 571 */       this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 572 */       this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 573 */       this.table.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 574 */       this.table.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/* 575 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 576 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/* 577 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 578 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/* 579 */       this.table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 580 */       this.table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/* 581 */       this.table.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 582 */       this.table.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/* 583 */       this.table.getItem(i).setFont(9, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 584 */       this.table.getItem(i).setForeground(9, SWTResourceManager.getColor(37, 26, 181));
/* 585 */       this.table.getItem(i).setFont(10, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 586 */       this.table.getItem(i).setForeground(9, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCursor() {
/* 594 */     if (this.cursor != null)
/* 595 */       this.cursor.dispose(); 
/* 596 */     this.cursor = new TableCursor(this.table, 0);
/* 597 */     this.cursor.setBackground(this.table.getDisplay()
/* 598 */         .getSystemColor(26));
/* 599 */     this.cursor.setForeground(this.table.getDisplay()
/* 600 */         .getSystemColor(27));
/* 601 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 603 */             int colums = StatisticCountAllFRView.this.cursor.getColumn();
/* 604 */             if (colums > 1 && colums < 8) {
/* 605 */               StatisticCountAllFRView.this.openDetailDialog("cs.admin.statistic.StatisticSYDWNewView");
/* 606 */             } else if (colums >= 8 && colums <= 10) {
/* 607 */               StatisticCountAllFRView.this.openDetailDialog("cs.admin.statistic.StatisticAnnualPublishView");
/*     */             } 
/* 609 */             StatisticCountAllFRView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 612 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 615 */             int colums = StatisticCountAllFRView.this.cursor.getColumn();
/* 616 */             if (colums == StatisticCountAllFRView.this.selectColums) {
/* 617 */               if (colums > 1 && colums < 8) {
/* 618 */                 StatisticCountAllFRView.this.openDetailDialog("cs.admin.statistic.StatisticSYDWNewView");
/* 619 */               } else if (colums >= 8 && colums <= 10) {
/* 620 */                 StatisticCountAllFRView.this.openDetailDialog("cs.admin.statistic.StatisticAnnualPublishView");
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void openDetailDialog(String view) {
/*     */     try {
/* 629 */       IViewReference[] iViewReferences = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getViewReferences();
/* 630 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView("cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/* 631 */       for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 632 */         String otherid = iViewReference.getId();
/* 633 */         if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoShowLi") && !otherid.equals("cs.sydj.sys.ui.NavigationChangetoQuntuan") && 
/* 634 */           !otherid.equals("cs.sydj.sys.ui.NavigationAdmin") && 
/* 635 */           !"cs.admin.intro.plainView".equals(view)) {
/* 636 */           IViewPart iViewPart = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView(otherid);
/* 637 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iViewPart);
/* 638 */           iViewPart = null;
/*     */         }  b++; }
/*     */       
/* 641 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/*     */       
/* 643 */       IViewPart iview = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView("cs.admin.intro.plainView");
/* 644 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iview);
/* 645 */       iview = null;
/*     */     }
/* 647 */     catch (Exception e1) {
/* 648 */       e1.printStackTrace();
/*     */       try {
/* 650 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/* 651 */       } catch (PartInitException e) {
/* 652 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticCountAllFRView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */