/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.SearchSYDWController;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.search.table.CountSydwTableLabelProvider;
/*     */ import cs.admin.search.table.SYDWResultExcelDialog;
/*     */ import cs.admin.search.table.SaveEXCELResultDialog;
/*     */ import cs.admin.search.table.SearchTableContentProvider;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Cursor;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CountFRInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticCountSydwView
/*     */   extends ViewPart
/*     */ {
/*     */   private final boolean sydwDetailFlag = false;
/*     */   private Table table;
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label_2;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*     */   private Text text;
/*  74 */   private final GljgUserInfo user = GljgUserInfo.getInstance();
/*  75 */   private final Calendar calendar = Calendar.getInstance();
/*     */   
/*  77 */   private Shell shell = null;
/*  78 */   private Composite comp = null;
/*     */   
/*     */   private SearchSYDWController sumController;
/*  81 */   private final StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private String parentid;
/*     */   private String groupid;
/*     */   private String groupname;
/*  88 */   private int searchFlag = 0;
/*     */   
/*     */   private Button button;
/*     */   
/*  92 */   private final TableColumn[] tableColumn = new TableColumn[6];
/*  93 */   private final boolean[] showcolumn = new boolean[6];
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   
/*     */   private Composite composite_3;
/*     */   private Composite composite;
/*     */   private Label lable_note;
/*     */   private Button button_back;
/* 101 */   private TableCursor cursor = null;
/* 102 */   private final int selectColums = 10;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 106 */     this.comp = arg0;
/* 107 */     this.shell = arg0.getShell();
/* 108 */     arg0.setBackgroundMode(1);
/* 109 */     arg0
/* 110 */       .setBackground(Display.getCurrent().getSystemColor(
/* 111 */           1));
/* 112 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 114 */     this.composite_6 = new Composite(arg0, 0);
/* 115 */     GridLayout gridLayout_5 = new GridLayout();
/* 116 */     gridLayout_5.verticalSpacing = 0;
/* 117 */     gridLayout_5.marginTop = 20;
/* 118 */     gridLayout_5.marginBottom = 10;
/* 119 */     gridLayout_5.numColumns = 3;
/* 120 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 123 */     this.label = new CLabel(this.composite_6, 0);
/* 124 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 125 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 126 */         false);
/* 127 */     gd_label.widthHint = 450;
/* 128 */     this.label.setLayoutData(gd_label);
/* 129 */     this.label.setText("统计分析>>发改委事业单位数量上报统计");
/*     */ 
/*     */ 
/*     */     
/* 133 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 135 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 139 */     Composite composite_7 = new Composite(this.composite_6, 0);
/* 140 */     composite_7.setLayoutData(new GridData(16384, 16777216, false, 
/* 141 */           false));
/* 142 */     GridLayout gridLayout_2 = new GridLayout();
/* 143 */     gridLayout_2.numColumns = 3;
/* 144 */     composite_7.setLayout((Layout)gridLayout_2);
/*     */     
/* 146 */     Label label_5 = new Label(composite_7, 16384);
/* 147 */     label_5.setText("统计时间截止至：");
/*     */     
/* 149 */     this.text = new Text(composite_7, 2056);
/* 150 */     this.text.setBackground(Display.getCurrent().getSystemColor(1));
/* 151 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 152 */     gd_text.widthHint = 85;
/* 153 */     this.text.setLayoutData(gd_text);
/*     */     
/* 155 */     Button dotbutton = new Button(composite_7, 8389632);
/* 156 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 158 */             Text text = StatisticCountSydwView.this.text;
/* 159 */             int width = (text.getLocation()).x;
/* 160 */             int height = (text.getLocation()).y;
/* 161 */             while (text.getParent() != null) {
/* 162 */               Composite composite = text.getParent();
/* 163 */               width += (composite.getLocation()).x;
/* 164 */               height += (composite.getLocation()).y;
/*     */             } 
/* 166 */             (new CalendarDialog(StatisticCountSydwView.this.shell, StatisticCountSydwView.this.text, width, height)).open();
/*     */           }
/*     */         });
/* 169 */     GridData gd_dotbutton = new GridData(16, 16);
/* 170 */     dotbutton.setLayoutData(gd_dotbutton);
/* 171 */     dotbutton.setText("…");
/*     */ 
/*     */     
/* 174 */     Label label_2_1 = new Label(this.composite_6, 0);
/* 175 */     label_2_1
/* 176 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 177 */     label_2_1.setText(" ");
/* 178 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 179 */     this.tree_1 = this.treeViewer.getTree();
/* 180 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/* 181 */         false);
/* 182 */     gd_tree_1.heightHint = 190;
/* 183 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 185 */     Label label_6_1 = new Label(this.composite_6, 0);
/* 186 */     label_6_1
/* 187 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 188 */     label_6_1.setText(" ");
/*     */ 
/*     */     
/* 191 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 192 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 193 */           false));
/* 194 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 196 */     Button button_6 = new Button(composite_2, 0);
/* 197 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 199 */             InfoEntity select = null;
/* 200 */             IStructuredSelection i = (IStructuredSelection)StatisticCountSydwView.this.treeViewer
/* 201 */               .getSelection();
/*     */             
/* 203 */             if (i == null) {
/* 204 */               StatisticCountSydwView.this.parentid = null;
/* 205 */               StatisticCountSydwView.this.groupid = StatisticCountSydwView.this.user.getGroupid();
/* 206 */               StatisticCountSydwView.this.groupname = StatisticCountSydwView.this.user.getGroupname();
/*     */             } else {
/* 208 */               select = (InfoEntity)i.getFirstElement();
/* 209 */               if (select == null) {
/* 210 */                 StatisticCountSydwView.this.parentid = null;
/* 211 */                 StatisticCountSydwView.this.groupid = StatisticCountSydwView.this.user.getGroupid();
/* 212 */                 StatisticCountSydwView.this.groupname = StatisticCountSydwView.this.user.getGroupname();
/*     */               } else {
/* 214 */                 StatisticCountSydwView.this.parentid = select.getGroupid();
/* 215 */                 StatisticCountSydwView.this.groupid = select.getId();
/* 216 */                 StatisticCountSydwView.this.groupname = select.getName();
/*     */               } 
/*     */             } 
/* 219 */             StatisticCountSydwView.this.startSearch();
/*     */           }
/*     */         });
/*     */     
/* 223 */     button_6.setText("确定");
/* 224 */     button_6.setCursor(new Cursor(null, 21));
/*     */ 
/*     */ 
/*     */     
/* 228 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 230 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 231 */         .getSystemColor(1));
/* 232 */     this.scrolledComposite.setBackgroundMode(1);
/*     */     
/* 234 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/* 238 */     this.scrolledComposite.setExpandVertical(true);
/* 239 */     this.scrolledComposite.setExpandHorizontal(true);
/* 240 */     this.scrolledComposite.setMinHeight(960);
/* 241 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 243 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 244 */     GridLayout gridLayout_4 = new GridLayout();
/* 245 */     gridLayout_4.numColumns = 2;
/* 246 */     gridLayout_4.verticalSpacing = 3;
/* 247 */     gridLayout_4.marginTop = 20;
/* 248 */     gridLayout_4.marginRight = 25;
/* 249 */     gridLayout_4.marginLeft = 25;
/* 250 */     gridLayout_4.marginBottom = 10;
/* 251 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*     */     
/* 253 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 254 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 255 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 256 */     this.label_4.setText("统计分析>>发改委事业单位数量上报统计结果");
/*     */     
/* 258 */     this.button_back = new Button(this.composite_1, 8388608);
/* 259 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 261 */             StatisticCountSydwView.this.initSearch();
/*     */           }
/*     */         });
/* 264 */     GridData gd_button_back = new GridData(131072, 16777216, 
/* 265 */         false, false);
/* 266 */     gd_button_back.heightHint = 18;
/* 267 */     gd_button_back.widthHint = 45;
/* 268 */     this.button_back.setLayoutData(gd_button_back);
/* 269 */     this.button_back.setText("返回");
/* 270 */     Label label_1_1 = new Label(this.composite_1, 258);
/*     */     
/* 272 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/* 273 */           false, 2, 1));
/* 274 */     label_1_1.setText("Label");
/*     */     
/* 276 */     this.label_3 = new Label(this.composite_1, 64);
/* 277 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/* 278 */     this.label_3.setText("Label");
/*     */ 
/*     */ 
/*     */     
/* 282 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*     */     
/* 284 */     this.table = this.tableViewer.getTable();
/* 285 */     this.table.setLinesVisible(true);
/* 286 */     this.table.setHeaderVisible(true);
/*     */     
/* 288 */     GridData gd_table = new GridData(4, 4, true, false, 
/* 289 */         2, 10);
/* 290 */     gd_table.heightHint = 430;
/* 291 */     this.table.setLayoutData(gd_table);
/* 292 */     PublicUtil.setTableHeight(this.table);
/* 293 */     PublicUtil.setMouseHands(this.table, "2#3");
/*     */     
/* 295 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 302 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 309 */     this.button = new Button(this.composite_1, 8388608);
/* 310 */     this.button.setLayoutData(new GridData(-1, 18));
/* 311 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 314 */               PageInfo page = new PageInfo();
/*     */               
/* 316 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticCountSydwView.this.shell, 
/* 317 */                   StatisticCountSydwView.this.sumController, "发改委事业单位数量上报统计", "countSydw", "", 
/* 318 */                   StatisticCountSydwView.this.groupid, StatisticCountSydwView.this.groupname, StatisticCountSydwView.this.searchFlag, 0, 
/* 319 */                   page, StatisticCountSydwView.this.showcolumn, StatisticCountSydwView.this.text.getText());
/* 320 */               s.open();
/* 321 */             } catch (Exception e2) {
/* 322 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 326 */     this.button.setText("另存为Excel");
/* 327 */     this.button.setCursor(new Cursor(null, 21));
/*     */     
/* 329 */     Label label_introduce = new Label(this.composite_1, 64);
/* 330 */     label_introduce.setForeground(Display.getCurrent().getSystemColor(3));
/* 331 */     label_introduce.setFont(SWTResourceManager.getFont("宋体", 12, 0, false, false));
/* 332 */     label_introduce.setLayoutData(new GridData(4, 16777216, true, false, 2, 1));
/* 333 */     label_introduce.setText("注：\n存量数：系统中未注销的事业单位总数（冻结原因标记为“已撤销待注销”的事业单位不在统计范围）。\n已发证：2016年1月1日后打印《事业单位法人证书》的事业单位数。\n已完成映射：系统内已赋予统一社会信用代码的事业单位数。");
/*     */     
/* 335 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 337 */     initAll();
/*     */   }
/*     */   
/*     */   void initAll() {
/* 341 */     initializeToolBar();
/* 342 */     initSearchController();
/*     */     
/* 344 */     initTypeView();
/* 345 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 346 */     initTypeView();
/* 347 */     initTable();
/* 348 */     refreshTable();
/* 349 */     initSearch();
/* 350 */     initTree();
/*     */     
/* 352 */     setCursor();
/*     */   }
/*     */   
/*     */   private void startSearch() {
/* 356 */     initResult();
/*     */   }
/*     */   
/*     */   private void initTree() {
/* 360 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 361 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 362 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 363 */     this.treeViewer.refresh();
/*     */   }
/*     */   
/*     */   private void initSearchController() {
/* 367 */     this.sumController = new SearchSYDWController(this.user);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initTypeView() {}
/*     */ 
/*     */   
/*     */   private void initTable() {
/* 376 */     int i = -1;
/* 377 */     this.showcolumn[++i] = true;
/* 378 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 379 */     this.tableColumn[i].setText("序号");
/*     */     
/* 381 */     this.showcolumn[++i] = true;
/* 382 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 383 */     this.tableColumn[i].setAlignment(16384);
/* 384 */     this.tableColumn[i].setText("登记管理机关");
/*     */     
/* 386 */     this.showcolumn[++i] = true;
/* 387 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 388 */     this.tableColumn[i].setAlignment(16777216);
/* 389 */     this.tableColumn[i].setText("存量数");
/*     */     
/* 391 */     this.showcolumn[++i] = true;
/* 392 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 393 */     this.tableColumn[i].setAlignment(16777216);
/* 394 */     this.tableColumn[i].setText("已发证");
/*     */     
/* 396 */     this.showcolumn[++i] = true;
/* 397 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 398 */     this.tableColumn[i].setAlignment(16777216);
/* 399 */     this.tableColumn[i].setText("已完成映射");
/*     */     
/* 401 */     this.showcolumn[++i] = true;
/* 402 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 403 */     this.tableColumn[i].setAlignment(16777216);
/* 404 */     this.tableColumn[i].setText("完成映射百分比");
/*     */     
/* 406 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CountSydwTableLabelProvider());
/* 407 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*     */   }
/*     */   
/*     */   private void refreshTable() {
/* 411 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 412 */       if (this.tableColumn[i] != null) {
/* 413 */         if (this.showcolumn[i]) {
/* 414 */           if (this.tableColumn[i].getText().equals("登记管理机关")) {
/* 415 */             this.tableColumn[i].setWidth(600);
/*     */           } else {
/* 417 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */           } 
/* 419 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 421 */           this.tableColumn[i].setWidth(0);
/* 422 */           this.tableColumn[i].setResizable(false);
/*     */         } 
/*     */       }
/*     */     } 
/* 426 */     this.table.update();
/*     */   }
/*     */   
/*     */   private void initSearch() {
/* 430 */     this.searchFlag = 0;
/* 431 */     this.groupid = "";
/* 432 */     this.text.setText(PublicUtil.getNowDate());
/* 433 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 434 */     this.comp.layout();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 438 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 439 */     this.tableViewer.setInput(resetInfos(this.sumController.countSydwOrFfrData(this.groupid, "countSydw", this.text.getText())));
/* 440 */     this.comp.layout();
/* 441 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 450 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 451 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<CountFRInfo> al) {
/* 455 */     int groupCount = 0;
/*     */     
/* 457 */     for (int i = 0; i < al.size(); i++) {
/* 458 */       CountFRInfo cfi = al.get(i);
/* 459 */       groupCount += cfi.getAllCount();
/*     */     } 
/*     */     
/* 462 */     this.label_3.setText("共搜索到[" + al.size() + "]条符合条件的信息，共有事业单位 [" + groupCount + "]家。");
/* 463 */     return al;
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 467 */     text.setText(text.getText().trim());
/* 468 */     if (text.getText().trim().length() == 0) {
/* 469 */       text.setText(text.getText().trim());
/* 470 */       showInputErr(text, info);
/* 471 */       return false;
/*     */     } 
/* 473 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 478 */     text.setText(text.getText().trim());
/* 479 */     if (length == -1) {
/* 480 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 481 */         text.setText(text.getText().trim());
/* 482 */         showInputErr(text, info);
/* 483 */         return false;
/*     */       } 
/* 485 */       return true;
/* 486 */     }  if (length == 0) {
/* 487 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 488 */         text.setText(text.getText().trim());
/* 489 */         showInputErr(text, info);
/* 490 */         return false;
/*     */       } 
/* 492 */       return true;
/*     */     } 
/* 494 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 495 */       text.getText().trim().length() != length) {
/* 496 */       text.setText(text.getText().trim());
/* 497 */       showInputErr(text, info);
/* 498 */       return false;
/*     */     } 
/* 500 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 506 */     text.setText(text.getText().trim());
/* 507 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 508 */     mbox.setMessage(info);
/* 509 */     mbox.setText("错误提示");
/* 510 */     mbox.open();
/* 511 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 516 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 517 */     mbox.setMessage(info);
/* 518 */     mbox.setText("错误提示");
/* 519 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 524 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 526 */     mbox.setMessage(info);
/* 527 */     mbox.setText("信息提示");
/* 528 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   @Deprecated
/*     */   public class Operation
/*     */   {
/*     */     public void showSYDWInfo(SYDWInfo sydw) {
/* 538 */       (new SYDWResultExcelDialog(StatisticCountSydwView.this.shell, StatisticCountSydwView.this.sumController, sydw)).open();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCursor() {
/* 546 */     if (this.cursor != null)
/* 547 */       this.cursor.dispose(); 
/* 548 */     this.cursor = new TableCursor(this.table, 0);
/* 549 */     this.cursor.setBackground(this.table.getDisplay()
/* 550 */         .getSystemColor(26));
/* 551 */     this.cursor.setForeground(this.table.getDisplay()
/* 552 */         .getSystemColor(27));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticCountSydwView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */