/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import server.admin.statistic.StatisticManage;
/*     */ import server.admin.statistic.StatisticMoveInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticSYDWController
/*     */ {
/*     */   private GljgUserInfo user;
/*  32 */   private StatisticManage sm = new StatisticManage();
/*     */ 
/*     */   
/*     */   public StatisticSYDWController() {}
/*     */   
/*     */   public StatisticSYDWController(GljgUserInfo user) {
/*  38 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList creatRoot() {
/*  46 */     InfoEntity ie = new InfoEntity();
/*  47 */     ie.setName(this.user.getGroupname());
/*  48 */     ie.setDJGLJG(true);
/*  49 */     ie.setId(this.user.getGroupid());
/*     */     
/*  51 */     if (this.user.getDistrictcode().equals("100000")) {
/*  52 */       ie.setId("1");
/*  53 */       ie.setName("国家事业单位登记管理局");
/*     */     } 
/*     */ 
/*     */     
/*  57 */     ArrayList<InfoEntity> al = new ArrayList();
/*     */     
/*  59 */     al.add(ie);
/*  60 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticMoveInfo statisticMoveInfo(String groupid, String parentid, String starttime, String endtime) {
/*  66 */     if (parentid == null || parentid.length() == 0 || 
/*  67 */       parentid.equals("3478")) {
/*  68 */       parentid = this.user.getDistrictcode();
/*     */     }
/*  70 */     return this.sm.statisticMoveInfo(groupid, parentid, starttime, endtime, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticData(String yearinput, int yearselection, int tableselection, PageInfo pageInfo) {
/*     */     String groupid;
/*  77 */     if (this.user.getDistrictcode().equals("100000")) {
/*  78 */       groupid = "1";
/*     */     } else {
/*  80 */       groupid = this.user.getGroupid();
/*  81 */     }  return this.sm.statisticData(yearinput, yearselection, tableselection, 
/*  82 */         groupid, pageInfo);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList statisticAllData(String yearinput, int yearselection, int tableselection) {
/*     */     String groupid;
/*  88 */     if (this.user.getDistrictcode().equals("100000")) {
/*  89 */       groupid = "1";
/*     */     } else {
/*  91 */       groupid = this.user.getGroupid();
/*  92 */     }  return this.sm.statisticAllData(yearinput, yearselection, tableselection, 
/*  93 */         groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualStatistics(int annualtype, String groupid, int searchFlag, PageInfo page, String annualYear) {
/*  99 */     return this.sm.getAnnualStatistics(annualtype, groupid, searchFlag, page, annualYear);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualPublishStatistics(int annualtype, String groupid, int searchFlag, PageInfo page, String annualYear) {
/* 105 */     return this.sm.getAnnualPublishStatistics(annualtype, groupid, searchFlag, page, annualYear);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisticsAnnualPublish(HashMap args) {
/* 120 */     int annualtype = ((Integer)args.get("annualtype")).intValue();
/* 121 */     String groupid = String.valueOf(args.get("groupid"));
/* 122 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/* 123 */     PageInfo page = (PageInfo)args.get("page");
/* 124 */     String annualYear = String.valueOf(args.get("annualYear"));
/* 125 */     return this.sm.getStatisticsAnnualPublish(annualtype, groupid, searchFlag, page, annualYear);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisticsAnnualPublish(int annualtype, String groupid, int searchFlag, PageInfo page, String annualYear) {
/* 141 */     return this.sm.getStatisticsAnnualPublish(annualtype, groupid, searchFlag, page, annualYear);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatistic(HashMap args) {
/* 157 */     String stime = String.valueOf(args.get("stime"));
/* 158 */     String etime = String.valueOf(args.get("etime"));
/* 159 */     String groupid = String.valueOf(args.get("groupid"));
/* 160 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/* 161 */     PageInfo page = (PageInfo)args.get("page");
/* 162 */     int searchtype = ((Integer)args.get("searchType")).intValue();
/* 163 */     switch (searchtype) {
/*     */       case 0:
/* 165 */         return this.sm.statisticofInstauration(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 1:
/* 168 */         return this.sm.statisticofAlteration(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 2:
/* 171 */         return this.sm.statisticofAnnualCheck(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 3:
/* 174 */         return this.sm.statisticofWrittenoff(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 4:
/* 177 */         return this.sm.statisticofReissue(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 5:
/* 180 */         return this.sm.statisticofReins(stime, etime, groupid, searchFlag, page);
/*     */     } 
/*     */ 
/*     */     
/* 184 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatistic(String stime, String etime, String groupid, int searchFlag, PageInfo page, int searchtype) {
/* 201 */     switch (searchtype) {
/*     */       case 0:
/* 203 */         return this.sm.statisticofInstauration(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 1:
/* 206 */         return this.sm.statisticofAlteration(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 2:
/* 209 */         return this.sm.statisticofAnnualCheck(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 3:
/* 212 */         return this.sm.statisticofWrittenoff(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 4:
/* 215 */         return this.sm.statisticofReissue(stime, etime, groupid, searchFlag, page);
/*     */       
/*     */       case 5:
/* 218 */         return this.sm.statisticofReins(stime, etime, groupid, searchFlag, page);
/*     */     } 
/*     */ 
/*     */     
/* 222 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofAll(HashMap args) {
/* 237 */     String stime = String.valueOf(args.get("stime"));
/* 238 */     String etime = String.valueOf(args.get("etime"));
/* 239 */     String groupid = String.valueOf(args.get("groupid"));
/* 240 */     int searchFlag = ((Integer)args.get("searchFlag")).intValue();
/* 241 */     int type = ((Integer)args.get("type")).intValue();
/* 242 */     switch (type) {
/*     */       case 0:
/* 244 */         return this.sm.getStatisicAllInst(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 1:
/* 247 */         return this.sm.getStatisicAllAlter(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 2:
/* 250 */         return this.sm.getStatisicAllAnnualCheckNP(stime, etime, groupid, 
/* 251 */             searchFlag);
/*     */       
/*     */       case 3:
/* 254 */         return this.sm.getStatisicAllWrittenoff(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 6:
/* 257 */         return this.sm.getStatisicAllFDDBR(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 10:
/* 260 */         return this.sm.getStatisicAllSYDW(stime, etime, groupid, searchFlag);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 265 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofAll(String stime, String etime, String groupid, int searchFlag, int type) {
/* 280 */     switch (type) {
/*     */       case 0:
/* 282 */         return this.sm.getStatisicAllInst(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 1:
/* 285 */         return this.sm.getStatisicAllAlter(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 2:
/* 288 */         return this.sm.getStatisicAllAnnualCheckNP(stime, etime, groupid, 
/* 289 */             searchFlag);
/*     */       
/*     */       case 3:
/* 292 */         return this.sm.getStatisicAllWrittenoff(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 6:
/* 295 */         return this.sm.getStatisicAllFDDBR(stime, etime, groupid, searchFlag);
/*     */       
/*     */       case 10:
/* 298 */         return this.sm.getStatisicAllSYDW(stime, etime, groupid, searchFlag);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 303 */     return null;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticSYDWController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */