/*     */ package cs.ffr.operation.notice;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FfrNoticeCustomizeEditDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text;
/*     */   private String groupId;
/*     */   private String content;
/*     */   
/*     */   public FfrNoticeCustomizeEditDialog(Shell parentShell, String groupId, String content) {
/*  31 */     super(parentShell);
/*  32 */     this.groupId = groupId;
/*  33 */     this.content = content;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  42 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  43 */     Composite container = (Composite)super.createDialogArea(parent);
/*  44 */     GridLayout gridLayout = new GridLayout();
/*  45 */     gridLayout.marginRight = 25;
/*  46 */     gridLayout.marginLeft = 25;
/*  47 */     gridLayout.marginTop = 25;
/*  48 */     container.setLayout((Layout)gridLayout);
/*  49 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/*  51 */     Label label = new Label(container, 0);
/*  52 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/*  53 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  54 */     label.setText("回复意见");
/*     */     
/*  56 */     Label label_1 = new Label(container, 258);
/*  57 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  59 */     this.text = new Text(container, 2624);
/*  60 */     this.text.setTextLimit(2000);
/*  61 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  62 */     gd_text.heightHint = 220;
/*  63 */     this.text.setLayoutData(gd_text);
/*  64 */     this.text.setText(this.content);
/*     */     
/*  66 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  75 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  76 */     createButton(parent, 0, "保存", 
/*  77 */         true);
/*  78 */     createButton(parent, 1, 
/*  79 */         "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/*  87 */     return new Point(500, 375);
/*     */   }
/*     */   protected void configureShell(Shell newShell) {
/*  90 */     super.configureShell(newShell);
/*  91 */     newShell.setText("修改自定义回复意见");
/*     */   }
/*     */   protected void buttonPressed(int buttonId) {
/*  94 */     if (buttonId == 0) {
/*  95 */       OtherHandle oh = new OtherHandle();
/*  96 */       String reply = String.valueOf(oh.oprtFfrNotice(this.groupId, this.text.getText()));
/*  97 */       if (reply != null && "0".equals(reply)) {
/*  98 */         SydjMessageDialog.openInformation(null, "", "保存成功！");
/*     */       }
/*     */     } 
/* 101 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\notice\FfrNoticeCustomizeEditDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */