/*     */ package cs.ffr.operation.shouli;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.ffr.operation.withinput.WithinputFfrAcceptAuditListsDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.commons.WithinputIsNew;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ 
/*     */ public class FfrShouliView
/*     */   extends ViewPart
/*     */ {
/*  57 */   protected int operType = 0;
/*  58 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  70 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  71 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  72 */   private ArrayList list = new ArrayList();
/*  73 */   String alertMsg = "";
/*     */   
/*  75 */   int totalRows = 0;
/*  76 */   int maxCount = 15;
/*  77 */   int startNo = 1;
/*  78 */   int currentPage = 1;
/*  79 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  83 */   private String sydwnameStr = "";
/*  84 */   private TableCursor cursor = null;
/*  85 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  91 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/*  95 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/*  99 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 103 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 107 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 111 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 120 */     Composite container = new Composite(parent, 0);
/* 121 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 122 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 124 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 125 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 126 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 127 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 128 */     scrolledComposite.setExpandHorizontal(true);
/*     */ 
/*     */     
/* 131 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 132 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 133 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 134 */     this.composite_total.setSize(800, 600);
/*     */     
/* 136 */     Composite composite = new Composite(this.composite_total, 0);
/* 137 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 139 */     FormData fd_composite = new FormData();
/* 140 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 141 */     fd_composite.top = new FormAttachment(0, 20);
/* 142 */     composite.setLayoutData(fd_composite);
/* 143 */     GridLayout gridLayout = new GridLayout();
/* 144 */     gridLayout.numColumns = 3;
/* 145 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 147 */     Label label = new Label(composite, 0);
/* 148 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 149 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 150 */     label.setText("请输入机构名称（第一名称）：");
/*     */     
/* 152 */     this.text = new Text(composite, 2048);
/* 153 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 154 */     gd_text.widthHint = 200;
/* 155 */     this.text.setLayoutData(gd_text);
/*     */     
/* 157 */     Button button = new Button(composite, 0);
/* 158 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 159 */     gd_button.heightHint = 20;
/* 160 */     button.setLayoutData(gd_button);
/* 161 */     button.setText("查询");
/*     */     
/* 163 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 164 */     this.table = this.tableViewer.getTable();
/* 165 */     FormData fd_table = new FormData();
/*     */     
/* 167 */     fd_table.bottom = new FormAttachment(0, 439);
/* 168 */     fd_table.right = new FormAttachment(100, -35);
/* 169 */     fd_table.top = new FormAttachment(0, 95);
/* 170 */     fd_table.left = new FormAttachment(0, 35);
/* 171 */     this.table.setLayoutData(fd_table);
/* 172 */     this.table.setLinesVisible(true);
/* 173 */     this.table.setHeaderVisible(true);
/* 174 */     PublicUtil.setTableHeight(this.table);
/* 175 */     PublicUtil.setMouseHands(this.table, "0#3#6#7");
/*     */     
/* 177 */     this.tableLayout = new TableLayout();
/* 178 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 180 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(12));
/* 181 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 182 */     newColumnTableColumn.setAlignment(16777216);
/* 183 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 185 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 186 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table, 16777216);
/* 187 */     newColumnTableColumn_0.setAlignment(16777216);
/* 188 */     newColumnTableColumn_0.setText("编号");
/*     */     
/* 190 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 191 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 192 */     newColumnTableColumn_3.setText("办理状态");
/*     */     
/* 194 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(50));
/* 195 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 196 */     newColumnTableColumn_1.setText("机构名称");
/*     */     
/* 198 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 199 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 200 */     newColumnTableColumn_5.setText("机构性质");
/*     */     
/* 202 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 203 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 204 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 206 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 207 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 208 */     newColumnTableColumn_4.setText("操作");
/*     */     
/* 210 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 211 */     TableColumn newColumnTableColumn_41 = new TableColumn(this.table, 16777216);
/* 212 */     newColumnTableColumn_41.setText("查看");
/*     */     
/* 214 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 215 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*     */ 
/*     */     
/* 218 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 220 */             FfrShouliView.this.totalRows = 0;
/* 221 */             FfrShouliView.this.currentPage = 1;
/* 222 */             FfrShouliView.this.sydwnameStr = FfrShouliView.this.text.getText();
/* 223 */             FfrShouliView.this.list = FfrShouliView.this.dataManage.getWithinputFfrInfo(FfrShouliView.this.groupid, FfrShouliView.this.startNo, FfrShouliView.this.maxCount, FfrShouliView.this.sydwnameStr, FfrShouliView.this.type, "accept", FfrShouliView.this.operType);
/* 224 */             FfrShouliView.this.setFenYe(FfrShouliView.this.list, FfrShouliView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 229 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 230 */     GridLayout gridLayout_4 = new GridLayout();
/* 231 */     gridLayout_4.numColumns = 2;
/* 232 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 233 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 234 */     FormData fd_composite_fenye = new FormData();
/* 235 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 236 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 237 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 238 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 239 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 241 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 242 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 243 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 244 */     GridLayout gridLayout_2 = new GridLayout();
/* 245 */     gridLayout_2.marginTop = 3;
/* 246 */     gridLayout_2.verticalSpacing = 0;
/* 247 */     gridLayout_2.marginWidth = 0;
/* 248 */     gridLayout_2.marginHeight = 0;
/* 249 */     gridLayout_2.horizontalSpacing = 2;
/* 250 */     gridLayout_2.numColumns = 7;
/* 251 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 253 */     Label label_1 = new Label(composite_1, 0);
/* 254 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 255 */     label_1.setText("页次：");
/*     */     
/* 257 */     this.label_2 = new Label(composite_1, 131072);
/* 258 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 259 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 260 */     if (this.totalPages == 0) {
/* 261 */       this.label_2.setText("0/0");
/*     */     } else {
/* 263 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 266 */     Label label_3 = new Label(composite_1, 0);
/* 267 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 268 */     label_3.setText("页  每页");
/*     */     
/* 270 */     Label label_4 = new Label(composite_1, 0);
/* 271 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 272 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 273 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 275 */     Label label_5 = new Label(composite_1, 0);
/* 276 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 277 */     label_5.setText("行  共");
/*     */     
/* 279 */     this.label_6 = new Label(composite_1, 0);
/* 280 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 281 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 282 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 284 */     Label label_7 = new Label(composite_1, 0);
/* 285 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 286 */     label_7.setText("行");
/*     */ 
/*     */     
/* 289 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 290 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 291 */     GridLayout gridLayout_1 = new GridLayout();
/* 292 */     gridLayout_1.numColumns = 6;
/* 293 */     composite_2.setLayout((Layout)gridLayout_1);
/* 294 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 296 */     this.button_1 = new Button(composite_2, 0);
/* 297 */     this.button_1.setText("上一页");
/* 298 */     if (!this.hasPreviousPage) {
/* 299 */       this.button_1.setEnabled(false);
/*     */     }
/* 301 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 303 */             FfrShouliView.this.list = FfrShouliView.this.dataManage.getWithinputFfrInfo(FfrShouliView.this.groupid, (FfrShouliView.this.currentPage - 2) * FfrShouliView.this.maxCount + 1, FfrShouliView.this.maxCount, FfrShouliView.this.sydwnameStr, FfrShouliView.this.type, "accept", FfrShouliView.this.operType);
/* 304 */             FfrShouliView.this.setFenYe(FfrShouliView.this.list, FfrShouliView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 308 */     this.button_2 = new Button(composite_2, 0);
/* 309 */     this.button_2.setText("下一页");
/* 310 */     if (!this.hasNextPage) {
/* 311 */       this.button_2.setEnabled(false);
/*     */     }
/* 313 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 315 */             FfrShouliView.this.list = FfrShouliView.this.dataManage.getWithinputFfrInfo(FfrShouliView.this.groupid, FfrShouliView.this.currentPage * FfrShouliView.this.maxCount + 1, FfrShouliView.this.maxCount, FfrShouliView.this.sydwnameStr, FfrShouliView.this.type, "accept", FfrShouliView.this.operType);
/* 316 */             FfrShouliView.this.setFenYe(FfrShouliView.this.list, FfrShouliView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 320 */     Label label_10 = new Label(composite_2, 0);
/* 321 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 322 */     label_10.setText("转至第");
/*     */     
/* 324 */     this.text_2 = new Text(composite_2, 2048);
/* 325 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 327 */     Label label_11 = new Label(composite_2, 0);
/* 328 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 329 */     label_11.setText("页");
/*     */     
/* 331 */     Button goButton = new Button(composite_2, 0);
/* 332 */     goButton.setText("GO");
/*     */     
/* 334 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 336 */             if (VerifyFunction.isNumeric(FfrShouliView.this.text_2.getText())) {
/* 337 */               int aa = Integer.parseInt(FfrShouliView.this.text_2.getText());
/* 338 */               if (aa > FfrShouliView.this.totalPages) {
/* 339 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 341 */                 FfrShouliView.this.list = FfrShouliView.this.dataManage.getWithinputFfrInfo(FfrShouliView.this.groupid, (aa - 1) * FfrShouliView.this.maxCount + 1, FfrShouliView.this.maxCount, FfrShouliView.this.sydwnameStr, FfrShouliView.this.type, "accept", FfrShouliView.this.operType);
/* 342 */                 FfrShouliView.this.setFenYe(FfrShouliView.this.list, aa);
/* 343 */                 FfrShouliView.this.setFontColor();
/* 344 */                 FfrShouliView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 347 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 353 */     Label label_9 = new Label(this.composite_total, 0);
/* 354 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 355 */     FormData fd_label_9 = new FormData();
/* 356 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 357 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 358 */     fd_label_9.top = new FormAttachment(0, 85);
/* 359 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 361 */     this.label_12 = new Label(this.composite_total, 0);
/* 362 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 363 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 364 */     FormData fd_label_12 = new FormData();
/* 365 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 366 */     fd_label_12.top = new FormAttachment(0, 70);
/* 367 */     fd_label_12.right = new FormAttachment(0, 240);
/* 368 */     this.label_12.setLayoutData(fd_label_12);
/* 369 */     this.label_12.setText("机构列表");
/*     */     
/* 371 */     scrolledComposite.setContent((Control)this.composite_total);
/* 372 */     createActions();
/* 373 */     initializeToolBar();
/* 374 */     initializeMenu();
/*     */     
/* 376 */     initTypeView();
/*     */     
/* 378 */     this.list = this.dataManage.getWithinputFfrInfo(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, this.type, "accept", this.operType);
/* 379 */     this.tableViewer.setInput(this.list);
/* 380 */     if (this.list != null && this.list.size() > 0) {
/* 381 */       this.totalRows = ((WithinputInfo)this.list.get(0)).getTotalRows();
/* 382 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 383 */       this.totalPages = pu.getTotalPages();
/* 384 */       this.currentPage = pu.getCurrentPage();
/* 385 */       this.hasNextPage = pu.isHasNextPage();
/* 386 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 388 */       setFenYe(this.list, this.currentPage);
/* 389 */       setFontColor();
/* 390 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 398 */     if (this.cursor != null)
/* 399 */       this.cursor.dispose(); 
/* 400 */     this.cursor = new TableCursor(this.table, 0);
/* 401 */     this.cursor.setBackground(this.table.getDisplay()
/* 402 */         .getSystemColor(26));
/* 403 */     this.cursor.setForeground(this.table.getDisplay()
/* 404 */         .getSystemColor(27));
/* 405 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 407 */             int colums = FfrShouliView.this.cursor.getColumn();
/* 408 */             if (colums == 0 || colums == 3) {
/* 409 */               FfrShouliView.this.openInsDetailDialog();
/*     */             }
/* 411 */             if (colums == 6) {
/* 412 */               FfrShouliView.this.openInsListDialog();
/*     */             }
/* 414 */             if (colums == 7) {
/* 415 */               FfrShouliView.this.openFileListDialog();
/*     */             }
/* 417 */             FfrShouliView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 420 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 423 */             int colums = FfrShouliView.this.cursor.getColumn();
/* 424 */             if (colums == FfrShouliView.this.selectColums) {
/* 425 */               if (colums == 0 || colums == 3) {
/* 426 */                 FfrShouliView.this.openInsDetailDialog();
/*     */               }
/* 428 */               if (colums == 6) {
/* 429 */                 FfrShouliView.this.openInsListDialog();
/*     */               }
/* 431 */               if (colums == 7) {
/* 432 */                 FfrShouliView.this.openFileListDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void openInsDetailDialog() {
/* 440 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 441 */       .getSelection();
/* 442 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*     */     
/* 444 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 447 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 448 */     insinfolist = oper.queryFfrApplyInfo(insinfo.getSydwid(), insinfo.getRealid());
/* 449 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 450 */     if (insinfolist.size() > 0) {
/* 451 */       frinfo = insinfolist.get(0);
/*     */     }
/*     */     
/* 454 */     insinfolist = oper.QueryFfrInfo(insinfo.getSydwid(), "");
/* 455 */     InstaurationFRInfo frInfoOld = new InstaurationFRInfo();
/* 456 */     if (insinfolist.size() > 0) {
/* 457 */       frInfoOld = insinfolist.get(0);
/*     */     }
/* 459 */     ArrayList branchlist = new ArrayList();
/* 460 */     if (1 == this.type) {
/*     */       
/* 462 */       FfrBiangengShouliDialog dialog = new FfrBiangengShouliDialog(
/* 463 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 464 */           .getShell(), frinfo, frInfoOld, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 465 */       if (dialog.open() == 0) {
/* 466 */         boolean checkUpdate = false;
/*     */         
/* 468 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 469 */           checkUpdate = true;
/*     */         } else {
/*     */           
/* 472 */           this.alertMsg = this.dataManage
/*     */             
/* 474 */             .isNew("1", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 475 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 476 */             WithinputIsNew win = new WithinputIsNew();
/* 477 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 478 */             if ("true".equals(win.getIsnew())) {
/* 479 */               checkUpdate = true;
/*     */             }
/*     */           } else {
/* 482 */             checkUpdate = true;
/*     */           } 
/*     */         } 
/*     */ 
/*     */         
/* 487 */         if (checkUpdate) {
/* 488 */           String Flag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 489 */               GljgUserInfo.getInstance().getGroupid(), 
/* 490 */               GljgUserInfo.getInstance().getUserid(), 
/* 491 */               GljgUserInfo.getInstance().getRealname(), 
/* 492 */               GljgUserInfo.getInstance().getDistrictcode(), "accept");
/* 493 */           if (Flag != null) {
/* 494 */             if ("true".equals(Flag)) {
/*     */               
/* 496 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息成功！");
/*     */             } else {
/*     */               
/* 499 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息失败！");
/*     */               
/*     */               return;
/*     */             } 
/*     */           }
/*     */         } 
/*     */       } 
/*     */     } else {
/* 507 */       FfrShouliDialog dialog = new FfrShouliDialog(
/* 508 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 509 */           .getShell(), frinfo, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 510 */       if (dialog.open() == 0) {
/* 511 */         boolean checkUpdate = false;
/*     */         
/* 513 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 514 */           checkUpdate = true;
/*     */         } else {
/*     */           
/* 517 */           this.alertMsg = this.dataManage
/*     */             
/* 519 */             .isNew("1", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 520 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 521 */             WithinputIsNew win = new WithinputIsNew();
/* 522 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 523 */             if ("true".equals(win.getIsnew())) {
/* 524 */               checkUpdate = true;
/*     */             }
/*     */           } else {
/* 527 */             checkUpdate = true;
/*     */           } 
/*     */         } 
/*     */ 
/*     */         
/* 532 */         if (checkUpdate) {
/* 533 */           String Flag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 534 */               GljgUserInfo.getInstance().getGroupid(), 
/* 535 */               GljgUserInfo.getInstance().getUserid(), 
/* 536 */               GljgUserInfo.getInstance().getRealname(), 
/* 537 */               GljgUserInfo.getInstance().getDistrictcode(), "accept");
/* 538 */           if (Flag != null) {
/* 539 */             if ("true".equals(Flag)) {
/*     */               
/* 541 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息成功！");
/*     */             } else {
/*     */               
/* 544 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息失败！");
/*     */               
/*     */               return;
/*     */             } 
/*     */           }
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 553 */     this.list = this.dataManage.getWithinputFfrInfo(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, this.type, "accept", this.operType);
/* 554 */     this.tableViewer.setInput(this.list);
/* 555 */     setFontColor();
/* 556 */     setCursor();
/*     */   }
/*     */   
/*     */   private void openInsListDialog() {
/* 560 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 561 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 562 */     WithinputFfrAcceptAuditListsDialog dialog = new WithinputFfrAcceptAuditListsDialog(
/* 563 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 564 */         .getShell(), insinfo);
/* 565 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 572 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 573 */       this.table.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 574 */       this.table.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 576 */       if ("复核退回".equals(this.table.getItem(i).getText(2))) {
/* 577 */         this.table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 1, false, false));
/* 578 */         this.table.getItem(i).setForeground(2, SWTResourceManager.getColor(255, 0, 0));
/*     */       } 
/*     */       
/* 581 */       this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 582 */       this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 583 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 584 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/* 585 */       this.table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 586 */       this.table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<WithinputInfo> list, int nextcurrentPage) {
/* 591 */     this.totalRows = 0;
/* 592 */     if (list != null && list.size() > 0) {
/* 593 */       this.totalRows = ((WithinputInfo)list.get(0)).getTotalRows();
/*     */     }
/* 595 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 596 */     this.totalPages = pu.getTotalPages();
/* 597 */     this.currentPage = pu.getCurrentPage();
/* 598 */     this.hasNextPage = pu.isHasNextPage();
/* 599 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 600 */     this.startNo = pu.getStartNum();
/*     */     
/* 602 */     this.tableViewer.setInput(list);
/* 603 */     setFontColor();
/* 604 */     setCursor();
/* 605 */     if (this.totalPages == 0) {
/* 606 */       this.label_2.setText("0/0");
/*     */     } else {
/* 608 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 610 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 611 */     this.label_6.getParent().getParent().layout();
/* 612 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 613 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 627 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 628 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 635 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 636 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */   
/*     */   private void openFileListDialog() {
/* 648 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 649 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 650 */     FfrFileListDialog xv = new FfrFileListDialog(
/* 651 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 652 */         insinfo.getAppylid(), insinfo.getApplytime().substring(0, 4));
/* 653 */     xv.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\shouli\FfrShouliView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */