/*     */ package cs.ffr.operation.withinput.print;
/*     */ 
/*     */ import cs.ffr.operation.withinput.WithinputCgjgUpperView;
/*     */ import cs.ffr.operation.withinput.WithinputCgjgView;
/*     */ import cs.ffr.operation.withinput.WithinputFfrView;
/*     */ import cs.ffr.operation.withinput.WithinputFzjgView;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.cert.print.PrintJob;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FfrPrintAction
/*     */ {
/*     */   private TableViewer tv;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Combo combo;
/*     */   private boolean flag = false;
/*     */   private boolean isPrint = false;
/*     */   public static int direction;
/*     */   private String certId;
/*     */   private String unitName;
/*     */   private String holdUnit;
/*     */   private String type;
/*     */   private WithinputFfrView ffr;
/*     */   private WithinputCgjgView ffrCgjg;
/*     */   private WithinputCgjgUpperView ffrCgjgUpper;
/*     */   private WithinputFzjgView ffrFzjg;
/*     */   private int maxCount;
/*     */   private int currentPage;
/*     */   
/*     */   public FfrPrintAction(TableViewer tv, CheckboxTableViewer ctv, Combo combo, boolean isPrint, boolean flag, int direction, String certId, String unitName, String holdUnit, String type, Object cert) {
/*  60 */     this.tv = tv;
/*  61 */     this.ctv = ctv;
/*  62 */     this.combo = combo;
/*  63 */     this.isPrint = isPrint;
/*  64 */     this.flag = flag;
/*  65 */     FfrPrintAction.direction = direction;
/*  66 */     this.certId = certId;
/*  67 */     this.unitName = unitName;
/*  68 */     this.holdUnit = holdUnit;
/*  69 */     this.type = type;
/*  70 */     if (type != null && "12".equals(type)) {
/*  71 */       this.ffrCgjg = (WithinputCgjgView)cert;
/*  72 */     } else if (type != null && "121".equals(type)) {
/*  73 */       this.ffrCgjgUpper = (WithinputCgjgUpperView)cert;
/*  74 */     } else if (type != null && "22".equals(type)) {
/*  75 */       this.ffrFzjg = (WithinputFzjgView)cert;
/*     */     } else {
/*  77 */       this.ffr = (WithinputFfrView)cert;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTemplate() {
/*     */     try {
/*  85 */       ArrayList list = null;
/*  86 */       String text = this.combo.getText();
/*  87 */       String value = (String)this.combo.getData(text);
/*  88 */       String imagPath = "certtemplate/certpic/dqjghanyu.png";
/*  89 */       int pageStyle = 4;
/*  90 */       if ("0".equals(value)) {
/*  91 */         SydjMessageDialog.openInformation(null, "提示", "请选择语言模板");
/*     */         return;
/*     */       } 
/*  94 */       if ("dqjghanyu".equals(value)) {
/*  95 */         imagPath = "certtemplate/certpic/dqjghanyu.png";
/*  96 */         pageStyle = 4;
/*     */       } 
/*  98 */       if ("dqjgzangyu".equals(value)) {
/*  99 */         imagPath = "certtemplate/certpic/dqjgzangyu.png";
/* 100 */         pageStyle = 4;
/*     */       } 
/* 102 */       if ("dqjgmengyu".equals(value)) {
/* 103 */         imagPath = "certtemplate/certpic/dqjgmengyu.png";
/* 104 */         pageStyle = 4;
/*     */       } 
/* 106 */       if ("dqjgweiyu".equals(value)) {
/* 107 */         imagPath = "certtemplate/certpic/dqjgweiyu.png";
/* 108 */         pageStyle = 4;
/*     */       } 
/*     */       
/* 111 */       list = PrintJob.getTemplateInfo(value);
/* 112 */       if (list == null) {
/* 113 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 116 */       if (list.size() == 0) {
/* 117 */         SydjMessageDialog.openInformation(null, "提示", "模板文件不存在");
/*     */         return;
/*     */       } 
/* 120 */       FfrSetPrintDialog dialog = new FfrSetPrintDialog(
/* 121 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 122 */           list, imagPath, direction, pageStyle, value, text);
/* 123 */       dialog.open();
/* 124 */     } catch (Exception e) {
/* 125 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void print() {
/* 134 */     int nTag = 0;
/*     */     
/* 136 */     int nCount = 0;
/* 137 */     if (this.type != null && "12".equals(this.type)) {
/* 138 */       this.maxCount = this.ffrCgjg.getMaxCount();
/* 139 */       this.currentPage = this.ffrCgjg.getCurrentPage();
/* 140 */     } else if (this.type != null && "121".equals(this.type)) {
/* 141 */       this.maxCount = this.ffrCgjgUpper.getMaxCount();
/* 142 */       this.currentPage = this.ffrCgjgUpper.getCurrentPage();
/* 143 */     } else if (this.type != null && "22".equals(this.type)) {
/* 144 */       this.maxCount = this.ffrFzjg.getMaxCount();
/* 145 */       this.currentPage = this.ffrFzjg.getCurrentPage();
/*     */     } else {
/* 147 */       this.maxCount = this.ffr.getMaxCount();
/* 148 */       this.currentPage = this.ffr.getCurrentPage();
/*     */     } 
/*     */     try {
/* 151 */       String data = this.combo.getText();
/* 152 */       String value = (String)this.combo.getData(data);
/* 153 */       if ("0".equals(value)) {
/* 154 */         SydjMessageDialog.openInformation(null, "提示", "请选择语言模板");
/*     */         return;
/*     */       } 
/* 157 */       if (this.ctv != null) {
/* 158 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 159 */         if (chkObj.length == 0) {
/* 160 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录"); return;
/*     */         } 
/* 162 */         if (chkObj.length > 100) {
/* 163 */           SydjMessageDialog.openInformation(null, "提示", 
/* 164 */               "批量打印时每批不能超过100条！");
/*     */           
/*     */           return;
/*     */         } 
/* 168 */         ArrayList<PrintContentModel> list = PrintJob.getTemplateInfo(value);
/*     */         
/* 170 */         int pageSize = 4;
/* 171 */         if (list != null) {
/* 172 */           String[] str = PrintJob.getImageAndSize(value).split(
/* 173 */               "&");
/* 174 */           pageSize = Integer.valueOf(str[1]).intValue();
/*     */           
/* 176 */           PrintContentModel model2 = list
/* 177 */             .get(0);
/* 178 */           Point point = new Point(model2.getX(), model2.getY());
/* 179 */           model2.setX(0);
/* 180 */           model2.setY(0);
/*     */           
/* 182 */           CertOperationPrint print = new CertOperationPrint();
/* 183 */           ArrayList<CertPrintModel> dataList = new ArrayList();
/* 184 */           for (int i = 0; i < chkObj.length; i++) {
/* 185 */             CertPrintModel model = (CertPrintModel)chkObj[i];
/* 186 */             dataList.add(model);
/*     */           } 
/* 188 */           dataList = print.printViewAndDown(dataList, this.type);
/* 189 */           if (dataList != null) {
/* 190 */             ArrayList<ArrayList<PrintContentModel>> multList = new ArrayList();
/* 191 */             for (int j = 0; j < dataList.size(); j++) {
/* 192 */               ArrayList<PrintContentModel> lists = new ArrayList();
/* 193 */               lists.add(model2);
/* 194 */               PringItemModel item = (PringItemModel)dataList
/* 195 */                 .get(j);
/* 196 */               for (int k = 1; k < list.size(); k++) {
/* 197 */                 PrintContentModel mod = new PrintContentModel();
/* 198 */                 PrintContentModel md = list
/* 199 */                   .get(k);
/* 200 */                 mod.setChanged(md.isChanged());
/* 201 */                 mod.setContent(md.getContent());
/* 202 */                 mod.setFont(md.getFont());
/* 203 */                 mod.setFontStyle(md.getFontStyle());
/* 204 */                 mod.setHeight(md.getHeight());
/* 205 */                 mod.setId(md.getId());
/* 206 */                 mod.setSize(md.getSize());
/* 207 */                 mod.setToopTrip(md.getToopTrip());
/* 208 */                 mod.setWidth(md.getWidth());
/* 209 */                 mod.setX(md.getX());
/* 210 */                 mod.setY(md.getY());
/* 211 */                 if (mod.getId().equals("id"))
/* 212 */                   mod.setContent(item.getUnifyCode()); 
/* 213 */                 if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 214 */                   nTag = -1;
/*     */                 }
/* 216 */                 if (mod.getId().equals("deadLine"))
/* 217 */                   mod.setContent(item.getDeadLine()); 
/* 218 */                 if (mod.getId().equals("name"))
/* 219 */                   mod.setContent(item.getUnitName()); 
/* 220 */                 if (mod.getId().equals("service"))
/* 221 */                   mod.setContent(item.getService()); 
/* 222 */                 if (mod.getId().equals("address"))
/* 223 */                   mod.setContent(item.getAddress()); 
/* 224 */                 if (mod.getId().equals("delegate"))
/* 225 */                   mod.setContent(item.getDelegate()); 
/* 226 */                 if (mod.getId().equals("finance"))
/* 227 */                   mod.setContent(item.getFinance()); 
/* 228 */                 if (mod.getId().equals("openMoney"))
/* 229 */                   mod.setContent(item.getOpenMoney()); 
/* 230 */                 if (mod.getId().equals("openUint"))
/* 231 */                   mod.setContent(item.getHoldUnit()); 
/* 232 */                 if (mod.getId().equals("annualMark"))
/* 233 */                   mod.setContent(PublicUtil.getAnnualCheckMark()); 
/* 234 */                 if (mod.getId().equals("remark"))
/* 235 */                   mod.setContent(item.getRemark()); 
/* 236 */                 if (md.getId().equals("idcode")) {
/* 237 */                   mod.setContent(item.getIdcode());
/* 238 */                   if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 239 */                     nTag = -1;
/*     */                   }
/*     */                 } 
/* 242 */                 lists.add(mod);
/*     */               } 
/* 244 */               if (nTag == 0) {
/* 245 */                 multList.add(lists);
/* 246 */               } else if (nTag == -1) {
/* 247 */                 nCount++;
/* 248 */                 nTag = 0;
/*     */               } 
/*     */             } 
/* 251 */             if (multList.size() > 0) {
/* 252 */               PrintJob.multPrint(direction, pageSize, 
/* 253 */                   multList, point, value);
/*     */             }
/* 255 */             if (nCount == dataList.size()) {
/* 256 */               SydjMessageDialog.openInformation(null, "提示", "所选单位信息缺失，暂不能打印。\n请查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 261 */             if (nCount > 0 && nCount < dataList.size()) {
/* 262 */               SydjMessageDialog.openInformation(null, "提示", "所选单位中有[" + nCount + "]个单位信息缺失，暂不能打印。\n" + 
/* 263 */                   "请查看组织机构代码是否为空；\n" + 
/* 264 */                   "如为空请按照实际情况填写组织机构代码并保存；\n" + 
/* 265 */                   "填写后如仍不能打印，请联系系统维护人员！");
/*     */             }
/*     */           }
/*     */         
/*     */         }
/*     */       
/*     */       } 
/* 272 */     } catch (Exception e) {
/* 273 */       e.printStackTrace();
/* 274 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\withinput\print\FfrPrintAction.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */