/*     */ package cs.sydj.common;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ public class AnnexDealDialog
/*     */   extends Dialog {
/*  24 */   private int returnValue = 1;
/*     */   private String fileName;
/*     */   private String annexState;
/*     */   private String aftModState;
/*     */   
/*     */   public String getAftModState() {
/*  30 */     return this.aftModState;
/*     */   }
/*     */   
/*     */   public void setAftModState(String aftModState) {
/*  34 */     this.aftModState = aftModState;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnexDealDialog(Shell parentShell, String fileName, String annexState) {
/*  44 */     super(parentShell);
/*  45 */     this.fileName = fileName;
/*  46 */     this.annexState = annexState;
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/*  51 */     super.open();
/*  52 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  62 */     parent.setBackground(Display.getCurrent()
/*  63 */         .getSystemColor(1));
/*  64 */     parent.setBackgroundMode(1);
/*  65 */     Composite container = (Composite)super.createDialogArea(parent);
/*  66 */     GridLayout gridLayout = new GridLayout();
/*  67 */     gridLayout.marginTop = 25;
/*  68 */     gridLayout.marginRight = 25;
/*  69 */     gridLayout.marginLeft = 25;
/*  70 */     gridLayout.verticalSpacing = 0;
/*  71 */     gridLayout.horizontalSpacing = 0;
/*  72 */     gridLayout.numColumns = 8;
/*  73 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  75 */     Label label_14 = new Label(container, 2);
/*  76 */     label_14.setLayoutData(new GridData(4, 4, false, false, 
/*  77 */           1, 12));
/*     */     
/*  79 */     Label label_8 = new Label(container, 258);
/*     */     
/*  81 */     label_8.setLayoutData(new GridData(4, 16777216, false, false, 
/*  82 */           6, 1));
/*     */     
/*  84 */     Label label_15 = new Label(container, 2);
/*  85 */     label_15.setLayoutData(new GridData(4, 4, false, false, 
/*  86 */           1, 12));
/*     */     
/*  88 */     Composite composite = new Composite(container, 0);
/*  89 */     GridData gd_composite = new GridData(4, 16777216, true, 
/*  90 */         false, 6, 1);
/*  91 */     gd_composite.heightHint = 25;
/*  92 */     composite.setLayoutData(gd_composite);
/*  93 */     GridLayout gridLayout_1 = new GridLayout();
/*  94 */     gridLayout_1.numColumns = 2;
/*  95 */     composite.setLayout((Layout)gridLayout_1);
/*  96 */     composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  97 */     Label label = new Label(composite, 0);
/*  98 */     label.setText("■");
/*  99 */     label.setForeground(SWTResourceManager.getColor(208, 81, 4));
/* 100 */     Label label_1 = new Label(composite, 0);
/* 101 */     label_1.setLayoutData(new GridData(4, 4, true, false));
/* 102 */     label_1.setText("修改附件状态：");
/*     */     
/* 104 */     Label label_9 = new Label(container, 258);
/*     */     
/* 106 */     GridData gd_label_9 = new GridData(4, 16777216, false, 
/* 107 */         false, 6, 1);
/* 108 */     label_9.setLayoutData(gd_label_9);
/*     */     
/* 110 */     Composite composite_2 = new Composite(container, 0);
/* 111 */     composite_2.setLayoutData(new GridData(4, 16777216, false, 
/* 112 */           false));
/* 113 */     GridLayout gridLayout_3 = new GridLayout();
/* 114 */     gridLayout_3.horizontalSpacing = 0;
/* 115 */     gridLayout_3.verticalSpacing = 0;
/* 116 */     gridLayout_3.numColumns = 2;
/* 117 */     composite_2.setLayout((Layout)gridLayout_3);
/*     */     
/* 119 */     Label label_2 = new Label(composite_2, 0);
/* 120 */     GridData gd_label_2 = new GridData(16384, 1024, false, 
/* 121 */         false);
/* 122 */     label_2.setLayoutData(gd_label_2);
/* 123 */     label_2.setForeground(SWTResourceManager.getColor(208, 81, 4));
/* 124 */     label_2.setText("■");
/*     */     
/* 126 */     Label label_3 = new Label(composite_2, 0);
/* 127 */     GridData gd_label_3 = new GridData(16384, 1024, false, 
/* 128 */         false);
/* 129 */     label_3.setLayoutData(gd_label_3);
/* 130 */     label_3.setText("选择上传方式：");
/*     */     
/* 132 */     final Button button_4 = new Button(container, 16);
/* 133 */     GridData gd_button_4 = new GridData(16384, 128, false, 
/* 134 */         false);
/* 135 */     gd_button_4.heightHint = 25;
/* 136 */     button_4.setLayoutData(gd_button_4);
/* 137 */     button_4.setBackground(Display.getCurrent()
/* 138 */         .getSystemColor(1));
/* 139 */     button_4.setText("邮件未收到");
/*     */     
/* 141 */     final Button button_5 = new Button(container, 16);
/* 142 */     button_5.setLayoutData(new GridData(-1, 25));
/* 143 */     button_5.setBackground(Display.getCurrent()
/* 144 */         .getSystemColor(1));
/* 145 */     button_5.setText("传真未收到");
/*     */ 
/*     */     
/* 148 */     final Button button_6 = new Button(container, 16);
/* 149 */     button_6.setLayoutData(new GridData(-1, 25));
/* 150 */     button_6.setBackground(Display.getCurrent()
/* 151 */         .getSystemColor(1));
/* 152 */     button_6.setText("邮件已收到或已面交");
/*     */     
/* 154 */     final Button button_7 = new Button(container, 16);
/* 155 */     button_7.setLayoutData(new GridData(-1, 25));
/* 156 */     button_7.setBackground(Display.getCurrent()
/* 157 */         .getSystemColor(1));
/* 158 */     button_7.setText("传真已收到");
/*     */     
/* 160 */     Label label_10 = new Label(container, 258);
/*     */     
/* 162 */     GridData gd_label_10 = new GridData(4, 16777216, false, 
/* 163 */         false, 6, 1);
/* 164 */     gd_label_10.heightHint = 15;
/* 165 */     label_10.setLayoutData(gd_label_10);
/*     */     
/* 167 */     Label label_4 = new Label(container, 0);
/* 168 */     label_4.setLayoutData(new GridData(131072, 128, false, false));
/* 169 */     label_4.setText("附件标题：");
/*     */     
/* 171 */     Label label_5 = new Label(container, 64);
/* 172 */     GridData gd_label_5 = new GridData(4, 4, true, 
/* 173 */         false, 5, 1);
/* 174 */     gd_label_5.heightHint = 52;
/* 175 */     label_5.setLayoutData(gd_label_5);
/* 176 */     label_5.setText(this.fileName);
/*     */     
/* 178 */     Composite composite_3 = new Composite(container, 0);
/* 179 */     composite_3.setLayoutData(new GridData(16777216, 4, false, 
/* 180 */           false, 6, 1));
/* 181 */     GridLayout gridLayout_4 = new GridLayout();
/* 182 */     gridLayout_4.numColumns = 2;
/* 183 */     composite_3.setLayout((Layout)gridLayout_4);
/*     */     
/* 185 */     Button button_9 = new Button(composite_3, 0);
/* 186 */     button_9
/* 187 */       .setLayoutData(new GridData(4, 16777216, false, false));
/* 188 */     button_9.setText("修改");
/*     */     
/* 190 */     Button button_8 = new Button(composite_3, 0);
/* 191 */     GridData gd_button_8 = new GridData(4, 16777216, false, 
/* 192 */         false);
/* 193 */     button_8.setLayoutData(gd_button_8);
/* 194 */     button_8.setText("取消");
/*     */     
/* 196 */     Label label_11 = new Label(container, 258);
/*     */     
/* 198 */     label_11.setLayoutData(new GridData(4, 16777216, false, false, 
/* 199 */           6, 1));
/*     */     
/* 201 */     Composite composite_1 = new Composite(container, 0);
/* 202 */     composite_1.setLayoutData(new GridData(4, 16777216, true, 
/* 203 */           false, 6, 1));
/* 204 */     GridLayout gridLayout_2 = new GridLayout();
/* 205 */     gridLayout_2.numColumns = 2;
/* 206 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 208 */     Label label_6 = new Label(composite_1, 0);
/* 209 */     label_6.setText("■");
/* 210 */     label_6.setForeground(SWTResourceManager.getColor(208, 81, 4));
/* 211 */     Label label_1_1 = new Label(composite_1, 0);
/* 212 */     label_1_1
/* 213 */       .setLayoutData(new GridData(4, 16777216, true, false));
/* 214 */     label_1_1.setText("修改附件状态：");
/* 215 */     composite_1.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 216 */     Label label_12 = new Label(container, 258);
/*     */     
/* 218 */     label_12.setLayoutData(new GridData(4, 16777216, false, false, 
/* 219 */           6, 1));
/*     */     
/* 221 */     Label label_7 = new Label(container, 64);
/* 222 */     GridData gd_label_7 = new GridData(16777216, 16777216, true, 
/* 223 */         true, 6, 1);
/* 224 */     gd_label_7.heightHint = 69;
/* 225 */     label_7.setLayoutData(gd_label_7);
/* 226 */     label_7.setText("附件“" + this.fileName + "” " + this.annexState);
/* 227 */     label_7.setFont(SWTResourceManager.getFont("楷体_GB2312", 11, 1));
/* 228 */     Label label_13 = new Label(container, 258);
/*     */     
/* 230 */     label_13.setLayoutData(new GridData(4, 16777216, false, false, 
/* 231 */           6, 1));
/*     */ 
/*     */ 
/*     */     
/* 235 */     button_9.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 237 */             AnnexDealDialog.this.returnValue = 0;
/* 238 */             if (button_4.getSelection()) {
/* 239 */               AnnexDealDialog.this.aftModState = "3";
/*     */             }
/* 241 */             if (button_5.getSelection()) {
/* 242 */               AnnexDealDialog.this.aftModState = "4";
/*     */             }
/* 244 */             if (button_6.getSelection()) {
/* 245 */               AnnexDealDialog.this.aftModState = "5";
/*     */             }
/* 247 */             if (button_7.getSelection()) {
/* 248 */               AnnexDealDialog.this.aftModState = "6";
/*     */             }
/* 250 */             if (!AnnexDealDialog.this.getShell().isDisposed())
/* 251 */               AnnexDealDialog.this.getShell().dispose(); 
/*     */           }
/*     */         });
/* 254 */     button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 256 */             AnnexDealDialog.this.returnValue = 1;
/* 257 */             if (!AnnexDealDialog.this.getShell().isDisposed())
/* 258 */               AnnexDealDialog.this.getShell().dispose(); 
/*     */           }
/*     */         });
/* 261 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 271 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 279 */     return new Point(600, 400);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 283 */     super.configureShell(newShell);
/* 284 */     newShell.setText("查看附件");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\AnnexDealDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */