/*     */ package cs.sydj.common;
/*     */ 
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.Calendar;
/*     */ import java.util.Properties;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.DateTime;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CalendarDialog
/*     */   extends Dialog
/*     */ {
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private Text text;
/*     */   private DateTime date;
/*     */   private Point point;
/*     */   private Button delButton;
/*     */   private Button tdButton;
/*     */   private Button clButton;
/*     */   
/*     */   public CalendarDialog(Shell parent, int style) {
/*  47 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CalendarDialog(Shell parent, Text text, int x, int y) {
/*  59 */     this(parent, 0);
/*  60 */     this.text = text;
/*  61 */     this.point = new Point(x, y + 47);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CalendarDialog(Shell parent, Text text, Point point) {
/*  73 */     this(parent, 0);
/*  74 */     this.text = text;
/*  75 */     this.point = point;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  84 */     createContents();
/*  85 */     this.shell.open();
/*  86 */     this.shell.layout();
/*  87 */     Display display = getParent().getDisplay();
/*  88 */     while (!this.shell.isDisposed()) {
/*  89 */       if (!display.readAndDispatch())
/*  90 */         display.sleep(); 
/*     */     } 
/*  92 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  99 */     Properties props = System.getProperties();
/* 100 */     String osName = props.getProperty("os.name");
/* 101 */     if ("Windows XP".equals(osName)) {
/* 102 */       this.shell = new Shell(getParent(), 67592);
/*     */       
/* 104 */       this.shell.setBackground(Display.getCurrent()
/* 105 */           .getSystemColor(1));
/* 106 */       GridLayout gridLayout = new GridLayout();
/* 107 */       gridLayout.verticalSpacing = 0;
/* 108 */       gridLayout.marginWidth = 0;
/* 109 */       gridLayout.marginHeight = 0;
/* 110 */       gridLayout.horizontalSpacing = 0;
/* 111 */       this.shell.setLayout((Layout)gridLayout);
/* 112 */       this.shell.setSize(268, 165);
/* 113 */       this.shell.setText("SWT Dialog");
/* 114 */       this.shell.setLocation(this.point);
/* 115 */       this.date = new DateTime((Composite)this.shell, 1024);
/* 116 */       this.date.setFocus();
/* 117 */       if (this.text.getText().length() > 0) {
/*     */         try {
/* 119 */           Calendar c = Calendar.getInstance();
/* 120 */           c.setTime((new SimpleDateFormat("yyyy-MM-dd"))
/* 121 */               .parse(this.text.getText()));
/* 122 */           this.date.setDate(c.get(1), 
/* 123 */               c.get(2), c.get(5));
/* 124 */         } catch (Exception e1) {
/* 125 */           e1.printStackTrace();
/*     */         } 
/*     */       }
/* 128 */       Composite composite = new Composite((Composite)this.shell, 0);
/* 129 */       composite.setBackground(Display.getCurrent()
/* 130 */           .getSystemColor(1));
/* 131 */       composite.setLayout((Layout)new FormLayout());
/* 132 */       GridData gd_composite = new GridData(4, 4, 
/* 133 */           true, true);
/* 134 */       composite.setLayoutData(gd_composite);
/*     */       
/* 136 */       this.delButton = new Button(composite, 8388608);
/* 137 */       FormData fd_button = new FormData();
/* 138 */       fd_button.right = new FormAttachment(0, 90);
/* 139 */       fd_button.top = new FormAttachment(0, 3);
/* 140 */       fd_button.left = new FormAttachment(0, 37);
/* 141 */       this.delButton.setLayoutData(fd_button);
/* 142 */       this.delButton.setText("清除");
/*     */       
/* 144 */       this.tdButton = new Button(composite, 8388608);
/* 145 */       FormData fd_button_1 = new FormData();
/* 146 */       fd_button_1.top = new FormAttachment(0, 3);
/* 147 */       fd_button_1.right = new FormAttachment(0, 159);
/* 148 */       fd_button_1.left = new FormAttachment(0, 111);
/* 149 */       this.tdButton.setLayoutData(fd_button_1);
/* 150 */       this.tdButton.setText("今日");
/*     */       
/* 152 */       this.clButton = new Button(composite, 8388608);
/* 153 */       FormData fd_button_2 = new FormData();
/* 154 */       fd_button_2.right = new FormAttachment(0, 235);
/* 155 */       fd_button_2.top = new FormAttachment(0, 3);
/* 156 */       fd_button_2.left = new FormAttachment(0, 186);
/* 157 */       this.clButton.setLayoutData(fd_button_2);
/* 158 */       this.clButton.setText("关闭");
/*     */     } else {
/* 160 */       this.shell = new Shell(getParent(), 67592);
/*     */       
/* 162 */       this.shell.setBackground(Display.getCurrent()
/* 163 */           .getSystemColor(1));
/* 164 */       GridLayout gridLayout = new GridLayout();
/* 165 */       gridLayout.verticalSpacing = 0;
/* 166 */       gridLayout.marginWidth = 0;
/* 167 */       gridLayout.marginHeight = 0;
/* 168 */       gridLayout.horizontalSpacing = 0;
/* 169 */       this.shell.setLayout((Layout)gridLayout);
/* 170 */       this.shell.setSize(213, 191);
/* 171 */       this.shell.setText("SWT Dialog");
/* 172 */       this.shell.setLocation(this.point);
/* 173 */       this.date = new DateTime((Composite)this.shell, 1024);
/* 174 */       this.date.setLayoutData(new GridData(212, -1));
/* 175 */       this.date.setFocus();
/* 176 */       if (this.text.getText().length() > 0) {
/*     */         try {
/* 178 */           Calendar c = Calendar.getInstance();
/* 179 */           c.setTime((new SimpleDateFormat("yyyy-MM-dd"))
/* 180 */               .parse(this.text.getText()));
/* 181 */           this.date.setDate(c.get(1), 
/* 182 */               c.get(2), c.get(5));
/* 183 */         } catch (Exception e1) {
/* 184 */           e1.printStackTrace();
/*     */         } 
/*     */       }
/* 187 */       Composite composite = new Composite((Composite)this.shell, 0);
/* 188 */       composite.setBackground(Display.getCurrent()
/* 189 */           .getSystemColor(1));
/* 190 */       composite.setLayout((Layout)new FormLayout());
/* 191 */       GridData gd_composite = new GridData(4, 4, 
/* 192 */           true, true);
/* 193 */       composite.setLayoutData(gd_composite);
/*     */       
/* 195 */       this.delButton = new Button(composite, 8388608);
/* 196 */       FormData fd_button = new FormData();
/* 197 */       fd_button.right = new FormAttachment(0, 58);
/* 198 */       fd_button.left = new FormAttachment(0, 5);
/* 199 */       this.delButton.setLayoutData(fd_button);
/* 200 */       this.delButton.setText("清除");
/*     */       
/* 202 */       this.tdButton = new Button(composite, 8388608);
/* 203 */       fd_button.top = new FormAttachment((Control)this.tdButton, 0, 128);
/* 204 */       FormData fd_button_1 = new FormData();
/* 205 */       fd_button_1.top = new FormAttachment((Control)this.delButton, 0, 128);
/* 206 */       fd_button_1.right = new FormAttachment(0, 128);
/* 207 */       fd_button_1.left = new FormAttachment(0, 80);
/* 208 */       this.tdButton.setLayoutData(fd_button_1);
/* 209 */       this.tdButton.setText("今日");
/*     */       
/* 211 */       this.clButton = new Button(composite, 8388608);
/* 212 */       FormData fd_button_2 = new FormData();
/* 213 */       fd_button_2.top = new FormAttachment((Control)this.tdButton, 0, 128);
/* 214 */       fd_button_2.right = new FormAttachment(0, 204);
/* 215 */       fd_button_2.left = new FormAttachment(0, 155);
/* 216 */       this.clButton.setLayoutData(fd_button_2);
/* 217 */       this.clButton.setText("关闭");
/*     */     } 
/* 219 */     setActions();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 226 */     this.date.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 228 */             CalendarDialog.this.setReturnValue();
/*     */           }
/*     */         });
/* 231 */     this.date.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDoubleClick(MouseEvent e) {
/* 233 */             CalendarDialog.this.setReturnValue();
/* 234 */             CalendarDialog.this.shell.dispose();
/*     */           }
/*     */           
/*     */           public void mouseDown(MouseEvent e) {
/* 238 */             CalendarDialog.this.setReturnValue();
/*     */           }
/*     */         });
/* 241 */     this.delButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 243 */             CalendarDialog.this.text.setText("");
/*     */           }
/*     */         });
/* 246 */     this.tdButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 248 */             CalendarDialog.this.text.setText(PublicUtil.getNowDate());
/*     */           }
/*     */         });
/* 251 */     this.clButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 253 */             CalendarDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setReturnValue() {
/* 262 */     String year = String.valueOf(this.date.getYear());
/* 263 */     String month = (this.date.getMonth() + 1 < 10) ? ("0" + 
/* 264 */       String.valueOf(this.date.getMonth() + 1)) : String.valueOf(
/* 265 */         this.date.getMonth() + 1);
/* 266 */     String day = (this.date.getDay() < 10) ? ("0" + String.valueOf(this.date.getDay())) : 
/* 267 */       String.valueOf(this.date.getDay());
/* 268 */     this.text.setText(String.valueOf(year) + "-" + month + "-" + day);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\CalendarDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */