/*     */ package cs.sydj.common;
/*     */ 
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.Calendar;
/*     */ import java.util.Date;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.DateTime;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CalenderChoose
/*     */   extends Dialog
/*     */ {
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private Text bnText;
/*     */   private int x;
/*     */   private int y;
/*     */   private int width;
/*     */   private int heigth;
/*     */   private int absxp;
/*     */   private int absyp;
/*     */   
/*     */   public CalenderChoose(Shell parent, int style) {
/*  40 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public CalenderChoose(Shell parent, int style, Text text, int x, int y, int width, int height) {
/*  45 */     super(parent, style);
/*  46 */     this.bnText = text;
/*  47 */     this.x = x;
/*  48 */     this.y = y;
/*  49 */     this.width = width;
/*  50 */     this.heigth = height;
/*  51 */     this.absxp = (this.bnText.getBounds()).x + width + x;
/*  52 */     this.absyp = (this.bnText.getBounds()).y + (this.bnText.getBounds()).height + this.heigth + 
/*  53 */       y;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CalenderChoose(Shell parent) {
/*  62 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public CalenderChoose(Shell parent, int style, Text text, int width, int height) {
/*  67 */     super(parent, style);
/*  68 */     this.bnText = text;
/*  69 */     this.absxp = width;
/*  70 */     this.absyp = height;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  79 */     createContents();
/*  80 */     this.shell.open();
/*  81 */     this.shell.layout();
/*  82 */     Display display = getParent().getDisplay();
/*  83 */     while (!this.shell.isDisposed()) {
/*  84 */       if (!display.readAndDispatch())
/*  85 */         display.sleep(); 
/*     */     } 
/*  87 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  94 */     this.shell = new Shell(getParent(), 67680);
/*  95 */     this.shell.setLayout((Layout)new FillLayout());
/*  96 */     this.shell.setSize(272, 159);
/*  97 */     this.shell.setLocation(this.absxp, this.absyp);
/*  98 */     this.shell.setText("日期选择");
/*  99 */     final DateTime dateTime = new DateTime((Composite)this.shell, 1024);
/* 100 */     if (this.bnText.getText().length() > 0) {
/*     */       try {
/* 102 */         Date date = (new SimpleDateFormat("yyyy-MM-dd")).parse(
/* 103 */             this.bnText.getText());
/* 104 */         Calendar c = Calendar.getInstance();
/* 105 */         c.setTime(date);
/* 106 */         dateTime.setDate(c.get(1), c.get(2), 
/* 107 */             c.get(5));
/* 108 */       } catch (Exception e1) {
/* 109 */         e1.printStackTrace();
/*     */       } 
/*     */     }
/* 112 */     dateTime.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 114 */             String year = String.valueOf(dateTime.getYear());
/* 115 */             String month = (dateTime.getMonth() + 1 < 10) ? ("0" + 
/* 116 */               String.valueOf(dateTime.getMonth() + 1)) : 
/* 117 */               String.valueOf(dateTime.getMonth() + 1);
/* 118 */             String day = (dateTime.getDay() < 10) ? ("0" + 
/* 119 */               String.valueOf(dateTime.getDay())) : 
/* 120 */               String.valueOf(dateTime.getDay());
/* 121 */             CalenderChoose.this.bnText.setText(String.valueOf(year) + "-" + month + "-" + day);
/*     */           }
/*     */         });
/* 124 */     dateTime.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 126 */             String year = String.valueOf(dateTime.getYear());
/* 127 */             String month = (dateTime.getMonth() + 1 < 10) ? ("0" + 
/* 128 */               String.valueOf(dateTime.getMonth() + 1)) : 
/* 129 */               String.valueOf(dateTime.getMonth() + 1);
/* 130 */             String day = (dateTime.getDay() < 10) ? ("0" + 
/* 131 */               String.valueOf(dateTime.getDay())) : 
/* 132 */               String.valueOf(dateTime.getDay());
/* 133 */             CalenderChoose.this.bnText.setText(String.valueOf(year) + "-" + month + "-" + day);
/*     */           }
/*     */ 
/*     */           
/*     */           public void widgetDefaultSelected(SelectionEvent e) {}
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   public static void main(String[] args) {
/* 143 */     Display display = new Display();
/* 144 */     Shell shell = new Shell(display);
/* 145 */     shell.setLayout((Layout)new FillLayout());
/* 146 */     shell.setSize(300, 300);
/* 147 */     shell.open();
/* 148 */     Text text = new Text((Composite)shell, 0);
/* 149 */     text.setBounds(0, 0, 100, 20);
/* 150 */     CalenderChoose cal = new CalenderChoose(shell, 0, text, 0, 0, 
/* 151 */         100, 100);
/* 152 */     cal.open();
/* 153 */     while (!shell.isDisposed()) {
/* 154 */       if (!display.readAndDispatch())
/* 155 */         display.sleep(); 
/*     */     } 
/* 157 */     display.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\CalenderChoose.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */