/*     */ package cs.sydj.common.LoadDOC;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.util.HashMap;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OpenOrLoadDialog
/*     */   extends Dialog
/*     */ {
/*     */   protected Object result;
/*     */   protected Shell shell;
/*  25 */   protected String name = "";
/*  26 */   protected String type = "";
/*  27 */   protected String template = "";
/*     */ 
/*     */ 
/*     */   
/*     */   protected HashMap resultMap;
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenOrLoadDialog(Shell parent, int style) {
/*  36 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenOrLoadDialog(Shell parent) {
/*  44 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenOrLoadDialog(Shell parent, String name, String type, String template, HashMap result) {
/*  57 */     super(parent);
/*  58 */     this.name = name;
/*  59 */     this.type = type;
/*  60 */     this.template = template;
/*  61 */     this.resultMap = result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  69 */     createContents();
/*  70 */     PublicUtil.setCenter(this.shell);
/*  71 */     this.shell.open();
/*  72 */     this.shell.layout();
/*     */     
/*  74 */     Display display = getParent().getDisplay();
/*  75 */     while (!this.shell.isDisposed()) {
/*  76 */       if (!display.readAndDispatch())
/*  77 */         display.sleep(); 
/*     */     } 
/*  79 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  86 */     this.shell = new Shell(getParent(), 67680);
/*  87 */     this.shell.setSize(403, 180);
/*  88 */     this.shell.setText("文件下载");
/*     */     
/*  90 */     Label label = new Label((Composite)this.shell, 0);
/*  91 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/*  92 */     label.setText("您想打开或保存此文件吗？");
/*  93 */     label.setBounds(15, 15, 175, 19);
/*     */     
/*  95 */     Label label_1 = new Label((Composite)this.shell, 0);
/*  96 */     label_1.setText("名称：");
/*  97 */     label_1.setBounds(75, 45, 42, 19);
/*     */     
/*  99 */     Label label_1_1 = new Label((Composite)this.shell, 0);
/* 100 */     label_1_1.setBounds(75, 73, 42, 19);
/* 101 */     label_1_1.setText("类型：");
/*     */     
/* 103 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 104 */     label_2.setText(this.name);
/* 105 */     label_2.setBounds(123, 45, 264, 29);
/*     */     
/* 107 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 108 */     label_2_1.setBounds(123, 73, 264, 36);
/* 109 */     label_2_1.setText(this.type);
/*     */     
/* 111 */     Button button = new Button((Composite)this.shell, 0);
/* 112 */     button.setText("打开");
/* 113 */     button.setBounds(155, 115, 72, 23);
/* 114 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 116 */             LoadWordFile lwf = new LoadWordFile(OpenOrLoadDialog.this.shell, OpenOrLoadDialog.this.template, OpenOrLoadDialog.this.name, OpenOrLoadDialog.this.resultMap);
/* 117 */             lwf.openWord();
/* 118 */             OpenOrLoadDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 122 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 123 */     button_1.setBounds(233, 115, 72, 23);
/* 124 */     button_1.setText("保存");
/* 125 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 127 */             LoadWordFile lwf = new LoadWordFile(OpenOrLoadDialog.this.shell, OpenOrLoadDialog.this.template, OpenOrLoadDialog.this.name, OpenOrLoadDialog.this.resultMap);
/* 128 */             lwf.loadWord();
/* 129 */             OpenOrLoadDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 133 */     Button button_2 = new Button((Composite)this.shell, 0);
/* 134 */     button_2.setBounds(311, 115, 72, 23);
/* 135 */     button_2.setText("取消");
/* 136 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 138 */             OpenOrLoadDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\LoadDOC\OpenOrLoadDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */