/*     */ package cs.sydj.common.LoadDOC;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import java.util.List;
/*     */ import server.sydj.operation.commons.AnnualCheckGuangxi;
/*     */ import server.sydj.operation.commons.AnnualCheckJiangxi;
/*     */ import server.sydj.operation.commons.AnnualCheckSub;
/*     */ import server.sydj.operation.commons.AnnualCheckTableContentModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.LogOutTableContentModel;
/*     */ import server.sydj.operation.commons.PrintProof;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.credit.punish.CreditXzcf;
/*     */ import server.sydj.operation.shouli.biangeng.BianGengFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReplaceMap
/*     */ {
/*     */   public HashMap getFRInsApplyMap(InstaurationFRInfo frinfo, ArrayList<InstaurationFRInfo> branchlist) {
/*  30 */     HashMap<String, String> map = new HashMap<String, String>();
/*  31 */     String othername = "";
/*  32 */     if (frinfo.getSYDW_NAME_SECOND() != null && frinfo.getSYDW_NAME_SECOND().length() > 0) {
/*  33 */       othername = frinfo.getSYDW_NAME_SECOND();
/*     */     }
/*  35 */     if (frinfo.getSYDW_NAME_THIRD() != null && frinfo.getSYDW_NAME_THIRD().length() > 0) {
/*  36 */       othername = String.valueOf(othername) + "、";
/*  37 */       othername = String.valueOf(othername) + frinfo.getSYDW_NAME_THIRD();
/*     */     } 
/*  39 */     if (frinfo.getSYDW_NAME_OTHER() != null && frinfo.getSYDW_NAME_OTHER().length() > 0) {
/*  40 */       othername = String.valueOf(othername) + "、";
/*  41 */       othername = String.valueOf(othername) + frinfo.getSYDW_NAME_OTHER();
/*     */     } 
/*  43 */     if (othername != null && othername.length() > 0) {
/*  44 */       othername = "（" + othername + "）";
/*     */     }
/*  46 */     map.put("$sydwnameTitle$", frinfo.getSYDW_NAME_FIRST());
/*  47 */     map.put("$sydwname$", String.valueOf(frinfo.getSYDW_NAME_FIRST()) + othername);
/*  48 */     map.put("$applydate$", PublicUtil.getCNTime(frinfo.getAPPLY_DATE()));
/*  49 */     map.put("$address$", frinfo.getADDRESS());
/*  50 */     map.put("$jbdwname$", frinfo.getJBDW_NAME());
/*  51 */     if (frinfo.getJBDW_DISPLAY_NAME().length() > 0) {
/*  52 */       map.put("$jbdwdisplayname$", "、" + frinfo.getJBDW_DISPLAY_NAME());
/*     */     } else {
/*  54 */       map.put("$jbdwdisplayname$", null);
/*     */     } 
/*  56 */     String assets = frinfo.getASSETS_SOURCE();
/*  57 */     if (frinfo.getASSETS_SOURCE_ADD() != null && frinfo.getASSETS_SOURCE_ADD().length() > 0)
/*  58 */       assets = String.valueOf(assets) + "、" + frinfo.getASSETS_SOURCE_ADD(); 
/*  59 */     map.put("$assetssource$", assets);
/*  60 */     map.put("$assetssum$", frinfo.getASSETS_SUM());
/*  61 */     map.put("$fixed$", frinfo.getFIXED_ASSETS());
/*  62 */     map.put("$floating$", frinfo.getFLOATING_ASSETS());
/*  63 */     map.put("$other$", frinfo.getOTHER_ASSETS());
/*  64 */     map.put("$accountbank$", frinfo.getACCOUNT_BANK());
/*  65 */     map.put("$accountnumber$", frinfo.getACCOUNT_NUMBER());
/*  66 */     map.put("$authdept$", frinfo.getAUTH_DEPT());
/*  67 */     map.put("$paperid$", frinfo.getPAPER_ID());
/*  68 */     map.put("$certifiedexequatur$", frinfo.getCERTIFIED_EXEQUATUR());
/*  69 */     map.put("$level$", PublicUtil.getSYDWLevel(frinfo.getSYDW_LEVEL()));
/*  70 */     map.put("$staff$", frinfo.getAUTH_STAFF());
/*  71 */     map.put("$pract$", frinfo.getPRACT_NUM()); int i;
/*  72 */     for (i = 0; i < branchlist.size(); i++) {
/*  73 */       InstaurationFRInfo ifr = new InstaurationFRInfo();
/*  74 */       ifr = branchlist.get(i);
/*  75 */       map.put("$brname" + i + "$", ifr.getBRANCH_NAME());
/*  76 */       map.put("$braddress" + i + "$", ifr.getBRANCH_ADDRESS());
/*  77 */       map.put("$brleader" + i + "$", ifr.getBRANCH_LEADER());
/*     */     } 
/*  79 */     if (branchlist.size() < 5) {
/*  80 */       for (i = branchlist.size(); i < 5; i++) {
/*  81 */         map.put("$brname" + i + "$", null);
/*  82 */         map.put("$braddress" + i + "$", null);
/*  83 */         map.put("$brleader" + i + "$", null);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/*  88 */     String strTemp = frinfo.getTENET_OPERATION();
/*  89 */     if (strTemp != null) {
/*  90 */       strTemp = strTemp.replaceAll("<", "《");
/*  91 */       strTemp = strTemp.replaceAll(">", "》");
/*     */     } 
/*     */     
/*  94 */     map.put("$tenetoperation$", strTemp);
/*  95 */     map.put("$fddbropinion$", frinfo.getFDDBR_OPINION());
/*  96 */     map.put("$FDDNAME$", frinfo.getFDDBR_NAME());
/*  97 */     map.put("$FDDDATE$", PublicUtil.getCNTime(frinfo.getFDDBR_OPIN_DATE()));
/*  98 */     map.put("$JBDW_OPINION$", frinfo.getJBDW_OPINION());
/*  99 */     map.put("$JBDWDATE$", PublicUtil.getCNTime(frinfo.getJBDW_OPIN_DATE()));
/* 100 */     map.put("$ACCEPTOR_OPINION$", frinfo.getACCEPTOR_OPINION());
/* 101 */     map.put("$ACCEPTOR$", frinfo.getACCEPTOR());
/* 102 */     map.put("$ACCEPT_DATE$", PublicUtil.getCNTime(frinfo.getACCEPT_DATE()));
/* 103 */     map.put("$AUDITOR_OPINION$", frinfo.getAUDITOR_OPINOIN());
/* 104 */     map.put("$AUDITOR$", frinfo.getAUDITOR());
/* 105 */     map.put("$AUDITOR_DATE$", PublicUtil.getCNTime(frinfo.getAUDITOR_DATE()));
/* 106 */     map.put("$APPROVE_OPINION$", frinfo.getAPPROVE_OPINION());
/* 107 */     map.put("$APPROVER$", frinfo.getAPPROVER());
/* 108 */     map.put("$APPROVE_DATE$", PublicUtil.getCNTime(frinfo.getAPPROVE_DATE()));
/* 109 */     map.put("$NOTES$", frinfo.getNOTES());
/* 110 */     map.put("$LINK_MAN$", frinfo.getLINK_MAN());
/* 111 */     map.put("$LINK_TEL$", frinfo.getLINK_TEL());
/* 112 */     map.put("$POST_CODE$", frinfo.getPOST_CODE());
/* 113 */     if (frinfo.getUNIFY_CODE() == null || frinfo.getUNIFY_CODE().length() == 0) {
/* 114 */       map.put("sydw_code", null);
/*     */     } else {
/* 116 */       map.put("sydw_code", frinfo.getUNIFY_CODE());
/*     */     } 
/*     */     
/* 119 */     return map;
/*     */   }
/*     */ 
/*     */   
/*     */   public HashMap getFDDBRInsApplyMap(InstaurationFddbrInfo frinfo, ArrayList<InstaurationFddbrInfo> fddbrResumelist) {
/* 124 */     HashMap<String, String> map = new HashMap<String, String>();
/* 125 */     map.put("$FR_NAME$", frinfo.getFR_NAME());
/* 126 */     map.put("$USED_NAME$", frinfo.getUSED_NAME());
/* 127 */     map.put("$SEX$", "0".equals(frinfo.getSEX()) ? "男" : "女");
/* 128 */     map.put("$BIRTHDAY$", frinfo.getBIRTHDAY());
/* 129 */     map.put("$ID_NUMBER$", frinfo.getID_NUMBER());
/* 130 */     map.put("$RACE$", frinfo.getRACE());
/* 131 */     map.put("$CURR_DUTY$", frinfo.getCURR_DUTY());
/* 132 */     map.put("$TECHNICAL$", frinfo.getTECHNICAL_POST());
/* 133 */     map.put("$POLITICAL$", frinfo.getPOLITICAL_STATUS());
/* 134 */     map.put("$EDUCATION$", frinfo.getEDUCATION_LEVEL());
/* 135 */     map.put("$WORK_ENTERPRISE$", frinfo.getWORK_ENTERPRISE());
/* 136 */     map.put("$HOME_ADDR$", frinfo.getHOME_ADDR());
/* 137 */     map.put("$REGISTERED_DISTRICT$", frinfo.getREGISTERED_DISTRICT());
/*     */     
/* 139 */     int count = 0;
/* 140 */     if (!fddbrResumelist.isEmpty()) {
/* 141 */       count = fddbrResumelist.size();
/*     */     }
/* 143 */     if (count < 10) {
/* 144 */       count = 10;
/*     */     }
/*     */     
/* 147 */     for (int i = 0; i < count; i++) {
/* 148 */       InstaurationFddbrInfo ifr = new InstaurationFddbrInfo();
/* 149 */       if (i + 1 <= fddbrResumelist.size()) {
/* 150 */         ifr = fddbrResumelist.get(i);
/* 151 */         if (ifr != null) {
/* 152 */           if (ifr.getBEGIN_DATE() != null && ifr.getBEGIN_DATE().length() > 0) {
/* 153 */             map.put("sydjBEGIN_DATE" + i, String.valueOf(ifr.getBEGIN_DATE()) + "--" + ifr.getEND_DATE());
/*     */           } else {
/* 155 */             map.put("sydjBEGIN_DATE" + i, "");
/*     */           } 
/* 157 */           if (ifr.getWORK_ENTERPRISE_RESUME() != null && ifr.getWORK_ENTERPRISE_RESUME().length() > 0) {
/* 158 */             map.put("sydjWORK_ENTERPRISE_RESUME" + i, ifr.getWORK_ENTERPRISE_RESUME());
/*     */           } else {
/* 160 */             map.put("sydjWORK_ENTERPRISE_RESUME" + i, "");
/*     */           } 
/* 162 */           if (ifr.getDUTY() != null && ifr.getDUTY().length() > 0) {
/* 163 */             map.put("sydjDUTY" + i, ifr.getDUTY());
/*     */           } else {
/* 165 */             map.put("sydjDUTY" + i, "");
/*     */           } 
/*     */         } 
/*     */       } else {
/* 169 */         map.put("sydjBEGIN_DATE" + i, "");
/* 170 */         map.put("sydjWORK_ENTERPRISE_RESUME" + i, "");
/* 171 */         map.put("sydjDUTY" + i, "");
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 176 */     map.put("$JBDW_RSB_OPINION$", frinfo.getJBDW_RSB_OPINION());
/* 177 */     map.put("$ACCEPTOR_OPINION$", frinfo.getACCEPTOR_OPINION());
/* 178 */     map.put("$ACCEPTOR$", frinfo.getACCEPTOR());
/* 179 */     map.put("$ACCEPTOR_DATE$", PublicUtil.getCNTime(frinfo.getACCEPTOR_DATE()));
/* 180 */     map.put("$AUDITOR_OPINION$", frinfo.getAUDITOR_OPINION());
/* 181 */     map.put("$AUDITOR$", frinfo.getAUDITOR());
/* 182 */     map.put("$AUDITOR_DATE$", PublicUtil.getCNTime(frinfo.getAUDITOR_DATE()));
/* 183 */     map.put("$APPROVE_OPINION$", frinfo.getAPPROVE_OPINION());
/* 184 */     map.put("$APPROVER$", frinfo.getAPPROVER());
/* 185 */     map.put("$APPROVE_DATE$", PublicUtil.getCNTime(frinfo.getAPPROVE_DATE()));
/* 186 */     map.put("$NOTES$", frinfo.getNOTES());
/* 187 */     map.put("FDDBR_TEL", frinfo.getFDDBR_TEL());
/*     */     
/* 189 */     return map;
/*     */   }
/*     */ 
/*     */   
/*     */   public HashMap getFRBianGengApplyMap(InstaurationShouLiInfo insinfo, BianGengFRInfo frinfo, ArrayList<BianGengFRInfo> biangenglist) {
/* 194 */     HashMap<String, String> map = new HashMap<String, String>();
/* 195 */     map.put("sydw_code", insinfo.getUnifyCode());
/* 196 */     map.put("$sydwname$", insinfo.getSydwname());
/* 197 */     map.put("$FDDBR_NAME$", frinfo.getFDDBR_NAME());
/* 198 */     map.put("$applydate$", PublicUtil.getCNTime(insinfo.getApplydate()));
/*     */     
/* 200 */     String mcfrom = "";
/* 201 */     String mcto = "";
/* 202 */     boolean nameBianGeng = false;
/* 203 */     int reasonHeight = 0;
/* 204 */     int mcIndex = 0;
/* 205 */     for (int i = 0; i < biangenglist.size(); i++) {
/* 206 */       BianGengFRInfo bgfr = new BianGengFRInfo();
/* 207 */       bgfr = biangenglist.get(i);
/* 208 */       if ("举办单位的变更".equals(bgfr.getITEM_NAME())) {
/* 209 */         map.put("Item" + reasonHeight, "举办单位");
/* 210 */         if (bgfr.getFROM_INFO().indexOf("##") > -1) {
/* 211 */           map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO().replaceFirst("##", "、").replace("##", ""));
/*     */         } else {
/* 213 */           map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO());
/*     */         } 
/* 215 */         if (bgfr.getTO_INFO().indexOf("##") > -1) {
/* 216 */           map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO().replaceFirst("##", "、").replace("##", ""));
/*     */         } else {
/* 218 */           map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO());
/*     */         } 
/* 220 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 221 */         reasonHeight++;
/*     */       }
/* 223 */       else if ("开办资金的变更".equals(bgfr.getITEM_NAME())) {
/* 224 */         map.put("Item" + reasonHeight, "开办资金");
/* 225 */         map.put("ItemFrom" + reasonHeight, String.valueOf(bgfr.getFROM_INFO()) + "万元");
/* 226 */         map.put("ItemTo" + reasonHeight, String.valueOf(bgfr.getTO_INFO()) + "万元");
/* 227 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 228 */         reasonHeight++;
/*     */       }
/* 230 */       else if ("经费来源的变更".equals(bgfr.getITEM_NAME())) {
/* 231 */         map.put("Item" + reasonHeight, "经费来源");
/* 232 */         if (bgfr.getFROM_INFO().indexOf("（") > -1) {
/* 233 */           map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO().replaceFirst("（", "、").replace("）", ""));
/*     */         } else {
/* 235 */           map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO());
/*     */         } 
/* 237 */         if (bgfr.getTO_INFO().indexOf("（") > -1) {
/* 238 */           map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO().replaceFirst("（", "、").replace("）", ""));
/*     */         } else {
/* 240 */           map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO());
/*     */         } 
/* 242 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 243 */         reasonHeight++;
/*     */       }
/* 245 */       else if ("法定代表人的变更".equals(bgfr.getITEM_NAME())) {
/* 246 */         map.put("Item" + reasonHeight, "法定代表人");
/* 247 */         map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO());
/* 248 */         map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO());
/* 249 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 250 */         reasonHeight++;
/*     */       }
/* 252 */       else if ("宗旨和业务范围的变更".equals(bgfr.getITEM_NAME())) {
/* 253 */         map.put("Item" + reasonHeight, "宗旨和业务范围");
/* 254 */         map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO());
/* 255 */         map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO());
/* 256 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 257 */         reasonHeight++;
/*     */       }
/* 259 */       else if ("住所的变更".equals(bgfr.getITEM_NAME())) {
/* 260 */         map.put("Item" + reasonHeight, "住所");
/* 261 */         map.put("ItemFrom" + reasonHeight, bgfr.getFROM_INFO());
/* 262 */         map.put("ItemTo" + reasonHeight, bgfr.getTO_INFO());
/* 263 */         map.put("Reason" + reasonHeight, bgfr.getREASON());
/* 264 */         reasonHeight++;
/*     */       }
/* 266 */       else if (bgfr.getITEM_NAME().contains("名称的变更")) {
/* 267 */         if ("第一名称的变更".equals(bgfr.getITEM_NAME())) {
/* 268 */           mcIndex = reasonHeight;
/* 269 */           map.put("Item" + mcIndex, "名称");
/* 270 */           mcfrom = bgfr.getFROM_INFO();
/* 271 */           mcto = bgfr.getTO_INFO();
/*     */         } 
/* 273 */         if (!nameBianGeng) {
/* 274 */           map.put("Reason" + mcIndex, bgfr.getREASON());
/* 275 */           reasonHeight++;
/*     */         } 
/* 277 */         nameBianGeng = true;
/*     */       } 
/*     */     } 
/* 280 */     String otherNameFrom = "";
/* 281 */     String otherNameTo = ""; int j;
/* 282 */     for (j = 0; j < biangenglist.size(); j++) {
/* 283 */       BianGengFRInfo bgfr = new BianGengFRInfo();
/* 284 */       bgfr = biangenglist.get(j);
/* 285 */       if ("第二名称的变更".equals(bgfr.getITEM_NAME())) {
/* 286 */         if (bgfr.getFROM_INFO().length() > 0) {
/* 287 */           otherNameFrom = String.valueOf(otherNameFrom) + bgfr.getFROM_INFO() + "、";
/*     */         }
/* 289 */         if (bgfr.getTO_INFO().length() > 0) {
/* 290 */           otherNameTo = String.valueOf(otherNameTo) + bgfr.getTO_INFO() + "、";
/*     */         }
/*     */       } 
/*     */     } 
/* 294 */     for (j = 0; j < biangenglist.size(); j++) {
/* 295 */       BianGengFRInfo bgfr = new BianGengFRInfo();
/* 296 */       bgfr = biangenglist.get(j);
/* 297 */       if ("第三名称的变更".equals(bgfr.getITEM_NAME())) {
/* 298 */         if (bgfr.getFROM_INFO().length() > 0) {
/* 299 */           otherNameFrom = String.valueOf(otherNameFrom) + bgfr.getFROM_INFO() + "、";
/*     */         }
/* 301 */         if (bgfr.getTO_INFO().length() > 0) {
/* 302 */           otherNameTo = String.valueOf(otherNameTo) + bgfr.getTO_INFO() + "、";
/*     */         }
/*     */       } 
/*     */     } 
/* 306 */     for (j = 0; j < biangenglist.size(); j++) {
/* 307 */       BianGengFRInfo bgfr = new BianGengFRInfo();
/* 308 */       bgfr = biangenglist.get(j);
/* 309 */       if ("第四名称的变更".equals(bgfr.getITEM_NAME())) {
/* 310 */         if (bgfr.getFROM_INFO().length() > 0) {
/* 311 */           otherNameFrom = String.valueOf(otherNameFrom) + bgfr.getFROM_INFO() + "、";
/*     */         }
/* 313 */         if (bgfr.getTO_INFO().length() > 0) {
/* 314 */           otherNameTo = String.valueOf(otherNameTo) + bgfr.getTO_INFO() + "、";
/*     */         }
/*     */       } 
/*     */     } 
/* 318 */     if (mcfrom.length() > 0 || mcto.length() > 0) {
/* 319 */       if (otherNameFrom.length() > 0) {
/* 320 */         if (otherNameFrom.lastIndexOf("、") > -1) {
/* 321 */           otherNameFrom = otherNameFrom.substring(0, otherNameFrom.lastIndexOf("、"));
/*     */         }
/* 323 */         otherNameFrom = "（" + otherNameFrom + "）";
/*     */       } 
/* 325 */       map.put("ItemFrom" + mcIndex, String.valueOf(mcfrom) + otherNameFrom);
/* 326 */       if (otherNameTo.length() > 0) {
/* 327 */         if (otherNameTo.lastIndexOf("、") > -1) {
/* 328 */           otherNameTo = otherNameTo.substring(0, otherNameTo.lastIndexOf("、"));
/*     */         }
/* 330 */         otherNameTo = "（" + otherNameTo + "）";
/*     */       } 
/* 332 */       map.put("ItemTo" + mcIndex, String.valueOf(mcto) + otherNameTo);
/*     */     } 
/* 334 */     for (j = reasonHeight; j < 7; j++) {
/* 335 */       map.put("Item" + j, "");
/* 336 */       map.put("ItemFrom" + j, "");
/* 337 */       map.put("ItemTo" + j, "");
/* 338 */       map.put("Reason" + j, "");
/*     */     } 
/*     */     
/* 341 */     map.put("$ACCEPTOR_OPINION$", frinfo.getACCEPTOR_OPINION());
/* 342 */     map.put("$ACCEPTOR$", frinfo.getACCEPTOR());
/* 343 */     map.put("$ACCEPTOR_DATE$", PublicUtil.getCNTime(frinfo.getACCEPT_DATE()));
/* 344 */     map.put("$AUDITOR_OPINION$", frinfo.getAUDITOR_OPINOIN());
/* 345 */     map.put("$AUDITOR$", frinfo.getAUDITOR());
/* 346 */     map.put("$AUDITOR_DATE$", PublicUtil.getCNTime(frinfo.getAUDITOR_DATE()));
/* 347 */     map.put("$APPROVE_OPINION$", frinfo.getAPPROVE_OPINION());
/* 348 */     map.put("$APPROVER$", frinfo.getAPPROVER());
/* 349 */     map.put("$APPROVE_DATE$", PublicUtil.getCNTime(frinfo.getAPPROVE_DATE()));
/* 350 */     map.put("$CERTI_SEN$", frinfo.getCERTI_SENDER());
/* 351 */     map.put("$SEND_DATE$", PublicUtil.getCNTime(frinfo.getCERTI_SEND_DATE()));
/* 352 */     map.put("$CERTI_RE$", frinfo.getCERTI_RECIEVER());
/* 353 */     map.put("$RECIEVE_DATE$", PublicUtil.getCNTime(frinfo.getCERTI_RECIEVE_DATE()));
/* 354 */     map.put("$NOTES$", frinfo.getNOTES());
/* 355 */     map.put("$LINK_MAN$", frinfo.getLINK_MAN());
/* 356 */     map.put("$LINK_TEL$", frinfo.getLINK_TEL());
/* 357 */     map.put("postcode", frinfo.getFDDBR_NAME());
/*     */     
/* 359 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getLogOutFileMap(LogOutTableContentModel file) {
/* 366 */     HashMap<String, String> map = new HashMap<String, String>();
/* 367 */     map.put("$certId$", file.getUnifyCode());
/* 368 */     map.put("$unitName$", file.getUnitName());
/* 369 */     if (file.getUnitName() != null) {
/* 370 */       map.put("$unitName1$", file.getUnitName().contains("（") ? 
/* 371 */           file.getUnitName().substring(0, file.getUnitName().indexOf("（")) : file.getUnitName());
/*     */     } else {
/* 373 */       map.put("$unitName1$", "");
/* 374 */     }  map.put("$legalRepresentative$", file.getLegalRepresentative());
/*     */     
/* 376 */     map.put("$applyDate$", PublicUtil.getCNTime(file.getApplyDate()));
/* 377 */     map.put("$logOutReason$", file.getLogOutReason());
/* 378 */     map.put("$lqdOrgChrOpinion$", file.getLqdOrgChrOpinion());
/* 379 */     map.put("$lqdOrgChrSignDate$", PublicUtil.getCNTime(file.getLqdOrgChrSignDate()));
/* 380 */     map.put("$holdUnitOpinion$", file.getHoldUnitOpinion());
/* 381 */     map.put("$holdUnitSignDate$", PublicUtil.getCNTime(file.getHoldUnitSignDate()));
/* 382 */     map.put("$appOrganOpinion$", file.getAppOrganOpinion());
/* 383 */     map.put("$appOrganSignDate$", PublicUtil.getCNTime(file.getAppOrganSignDate()));
/* 384 */     map.put("$acptOpinion$", file.getAcptOpinion());
/* 385 */     map.put("$acptSign$", file.getAcptSign());
/* 386 */     map.put("$acptSignDate$", PublicUtil.getCNTime(file.getAcptSignDate()));
/* 387 */     System.out.println(file.getAcptSignDate());
/* 388 */     map.put("$checkOpinion$", file.getCheckOpinion());
/*     */     
/* 390 */     map.put("$checkSign$", file.getCheckSign());
/* 391 */     map.put("$checkSignDate$", PublicUtil.getCNTime(file.getCheckSignDate()));
/* 392 */     map.put("$approveOpinion$", file.getApproveOpinion());
/* 393 */     map.put("$appOrgSign$", file.getAppOrgSign());
/* 394 */     map.put("$appOrgSignDate$", PublicUtil.getCNTime(file.getAppOrgSignDate()));
/* 395 */     map.put("$badgeHandInState$", file.getBadgeHandInState());
/* 396 */     map.put("$note$", file.getNote());
/* 397 */     map.put("$sender$", file.getSender());
/* 398 */     map.put("$sendDate$", PublicUtil.getCNTime(file.getSendDate()));
/* 399 */     map.put("$reciver$", file.getReciver());
/* 400 */     map.put("$reciveDate$", PublicUtil.getCNTime(file.getReciveDate()));
/* 401 */     map.put("$linkMan$", file.getLinkMan());
/* 402 */     map.put("$linkTel$", file.getLinkTel());
/* 403 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getJDSMap(SydwInfo info, CreditXzcf xzcf) {
/* 410 */     HashMap<String, String> map = new HashMap<String, String>();
/* 411 */     map.put("$sydwName1$", info.getSYDW_NAME_FIRST());
/* 412 */     map.put("$unifyCode$", info.getUNIFY_CODE());
/* 413 */     map.put("$addr$", info.getADDRESS());
/* 414 */     map.put("$fddbr$", info.getFDDBR_NAME());
/* 415 */     map.put("$jbdw$", info.getJBDW_NAME());
/* 416 */     map.put("$sydwName2$", info.getJBDW_NAME());
/* 417 */     map.put("$createDate$", xzcf.getCreateDate().split("-")[0]);
/* 418 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getGZSMap(SydwInfo info, CreditXzcf xzcf) {
/* 426 */     HashMap<String, String> map = new HashMap<String, String>();
/* 427 */     map.put("$sydwName$", info.getSYDW_NAME_FIRST());
/* 428 */     map.put("$addr$", info.getADDRESS());
/* 429 */     map.put("$fddbr$", info.getFDDBR_NAME());
/* 430 */     map.put("$jbdw$", info.getJBDW_NAME());
/* 431 */     map.put("$createDate$", xzcf.getCreateDate().split("-")[0]);
/* 432 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getCertFileMap(CertTableContentModel file) {
/* 440 */     HashMap<String, String> map = new HashMap<String, String>();
/* 441 */     map.put("$certId$", file.getUnifyCode());
/* 442 */     map.put("$unitName$", file.getUnitName());
/* 443 */     if (file.getUnitName() != null) {
/* 444 */       map.put("$unitName1$", file.getUnitName().contains("（") ? 
/* 445 */           file.getUnitName().substring(0, file.getUnitName().indexOf("（")) : file.getUnitName());
/*     */     } else {
/* 447 */       map.put("$unitName1$", "");
/* 448 */     }  map.put("$legalRepresentative$", file.getLegalRepresentative());
/*     */     
/* 450 */     map.put("$applyDate$", PublicUtil.getCNTime(file.getApplyDate()));
/* 451 */     map.put("$original$", file.getOriginal());
/* 452 */     map.put("$copy$", file.getCopy());
/* 453 */     map.put("$reGetReason$", file.getReGetReason());
/* 454 */     map.put("$legRepOpinon$", file.getLegRepOpinon());
/* 455 */     map.put("$legRepSign$", file.getLegRepSign());
/* 456 */     map.put("$legRepSignDate$", PublicUtil.getCNTime(file.getLegRepSignDate()));
/* 457 */     map.put("$holdUnitOpinion$", file.getHoldUnitOpinion());
/* 458 */     map.put("$holdUnitSignDate$", PublicUtil.getCNTime(file.getHoldUnitSignDate()));
/* 459 */     map.put("$acptOpinion$", file.getAcptOpinion());
/* 460 */     map.put("$acptSign$", file.getAcptSign());
/* 461 */     map.put("$acptSignDate$", PublicUtil.getCNTime(file.getAcptSignDate()));
/* 462 */     map.put("$checkOpinion$", file.getCheckOpinion());
/* 463 */     map.put("$checkSign$", file.getCheckSign());
/* 464 */     map.put("$checkSignDate$", PublicUtil.getCNTime(file.getCheckSignDate()));
/* 465 */     map.put("$approveOpinion$", file.getApproveOpinion());
/* 466 */     map.put("$appOrgSign$", file.getAppOrgSign());
/* 467 */     map.put("$appOrgSignDate$", PublicUtil.getCNTime(file.getAppOrgSignDate()));
/* 468 */     map.put("$newCertId$", file.getNewCertId());
/* 469 */     map.put("$copyCount$", file.getCopyCount());
/* 470 */     map.put("$sender$", file.getSender());
/* 471 */     map.put("$reciver$", file.getReciver());
/* 472 */     map.put("$sendDate$", PublicUtil.getCNTime(file.getSendDate()));
/* 473 */     map.put("$note$", file.getNote());
/* 474 */     map.put("$linkMan$", file.getLinkMan());
/* 475 */     map.put("$linkTel$", file.getLinkTel());
/* 476 */     map.put("$postCode$", file.getPostCode());
/* 477 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getAnnualCheckFileMap(AnnualCheckTableContentModel file) {
/* 484 */     HashMap<String, String> map = new HashMap<String, String>();
/* 485 */     map.put("$certId$", file.getUnifyCode());
/* 486 */     map.put("$year$", file.getYear());
/* 487 */     map.put("$unitName$", file.getUnitName());
/* 488 */     if (file.getUnitName() != null) {
/* 489 */       map.put("$unitName1$", file.getUnitName().contains("（") ? 
/* 490 */           file.getUnitName().substring(0, file.getUnitName().indexOf("（")) : file.getUnitName());
/*     */     } else {
/* 492 */       map.put("$unitName1$", "");
/* 493 */     }  map.put("$legalRepresentative$", file.getLegalRepresentative());
/* 494 */     map.put("$webName$", file.getWebName());
/* 495 */     map.put("$applyDate$", PublicUtil.getCNTime(file.getApplyDate()));
/* 496 */     map.put("$devBusState$", file.getDevBusState());
/* 497 */     map.put("$address$", file.getAddress());
/* 498 */     map.put("$outlayOrigin$", file.getOutlayOrigin());
/* 499 */     map.put("$initiaFund$", file.getInitiaFund());
/* 500 */     map.put("$lastSurplus$", file.getLastSurplus());
/* 501 */     map.put("$totalIncome$", file.getTotalIncome());
/* 502 */     map.put("$fiscalRevenue$", file.getFiscalRevenue());
/* 503 */     map.put("$thisSurplus$", file.getThisSurplus());
/* 504 */     map.put("$totalExpenditure$", file.getTotalExpenditure());
/* 505 */     map.put("$niyTonIfayabun$", file.getNiyTonIfayabun());
/* 506 */     map.put("$punAndAssessment$", file.getPunAndAssessment());
/* 507 */     map.put("$donAndimbUseState$", file.getDonAndimbUseState());
/* 508 */     map.put("$lastStaffing$", file.getLastStaffing());
/* 509 */     map.put("$thisStaffing$", file.getThisStaffing());
/* 510 */     map.put("$lastJobholder$", file.getLastJobholder());
/* 511 */     map.put("$thisJobholder$", file.getThisJobholder());
/* 512 */     map.put("$bankOfDeposit$", file.getBankOfDeposit());
/* 513 */     map.put("$bankAccount$", file.getBankAccount());
/* 514 */     map.put("$holdUnitOpinion$", file.getHoldUnitOpinion());
/* 515 */     map.put("$holdUnitSignDate$", PublicUtil.getCNTime(file.getHoldUnitSignDate()));
/* 516 */     map.put("$acptOpinion$", file.getAcptOpinion());
/* 517 */     map.put("$acptSign$", file.getAcptSign());
/* 518 */     map.put("$acptSignDate$", PublicUtil.getCNTime(file.getAcptSignDate()));
/* 519 */     map.put("$checkOpinion$", file.getCheckOpinion());
/* 520 */     map.put("$checkSign$", file.getCheckSign());
/* 521 */     map.put("$checkSignDate$", PublicUtil.getCNTime(file.getCheckSignDate()));
/* 522 */     map.put("$approveOpinion$", file.getApproveOpinion());
/* 523 */     map.put("$appOrgSign$", file.getAppOrgSign());
/* 524 */     map.put("$appOrgSignDate$", PublicUtil.getCNTime(file.getAppOrgSignDate()));
/* 525 */     map.put("$note$", file.getNote());
/* 526 */     map.put("$linkMan$", file.getLinkMan());
/* 527 */     map.put("$linkTel$", file.getLinkTel());
/*     */     
/* 529 */     map.put("$currTenetOperation$", file.getCurrTenetOperation());
/* 530 */     map.put("$currJbdwName$", file.getCurrJbdwName());
/* 531 */     map.put("$implementations$", file.getImplementations());
/* 532 */     map.put("$licenseValidity$", file.getLicenseValidity());
/* 533 */     map.put("$sydwOpinion$", file.getSydwOpinion());
/* 534 */     map.put("$sydwOpinDate$", file.getSydwOpinDate());
/*     */     
/* 536 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getAnnualCheckGuangxiFileMap(AnnualCheckTableContentModel file) {
/* 543 */     HashMap<String, String> map = new HashMap<String, String>();
/* 544 */     ArrayList<AnnualCheckSub> list = new ArrayList<AnnualCheckSub>();
/* 545 */     ArrayList<ArrayList<AnnualCheckSub>> list2 = new ArrayList<ArrayList<AnnualCheckSub>>();
/* 546 */     AnnualCheckSub acs = new AnnualCheckSub();
/* 547 */     AnnualCheckGuangxi annualCheckGx = file.getAnnualCheckGx();
/*     */     
/* 549 */     map.put("$certId$", file.getUnifyCode());
/*     */     
/* 551 */     map.put("$year$", file.getYear());
/*     */     
/* 553 */     map.put("$unitName$", file.getUnitName());
/* 554 */     if (file.getUnitName() != null) {
/* 555 */       map.put("$unitName1$", file.getUnitName().contains("（") ? 
/* 556 */           file.getUnitName().substring(0, file.getUnitName().indexOf("（")) : file.getUnitName());
/*     */     } else {
/* 558 */       map.put("$unitName1$", "");
/*     */     } 
/* 560 */     map.put("$legalRepresentative$", file.getLegalRepresentative());
/*     */     
/* 562 */     map.put("$applyDate$", PublicUtil.getCNTime(file.getApplyDate()));
/*     */     
/* 564 */     map.put("$address$", file.getAddress());
/*     */     
/* 566 */     map.put("$outlayOrigin$", file.getOutlayOrigin());
/*     */     
/* 568 */     map.put("$initiaFund$", file.getInitiaFund());
/*     */     
/* 570 */     map.put("$lastSurplus$", file.getLastSurplus());
/*     */     
/* 572 */     map.put("$thisSurplus$", file.getThisSurplus());
/*     */     
/* 574 */     map.put("$totalIncome$", file.getTotalIncome());
/*     */     
/* 576 */     map.put("$fiscalRevenue$", file.getFiscalRevenue());
/*     */     
/* 578 */     map.put("$totalExpenditure$", file.getTotalExpenditure());
/*     */     
/* 580 */     map.put("$punAndAssessment$", file.getPunAndAssessment());
/*     */     
/* 582 */     map.put("$donAndimbUseState$", file.getDonAndimbUseState());
/*     */     
/* 584 */     map.put("$thisJobholder$", file.getThisJobholder());
/*     */     
/* 586 */     map.put("$holdUnitOpinion$", file.getHoldUnitOpinion());
/*     */     
/* 588 */     map.put("$holdUnitSignDate$", PublicUtil.getCNTime(file.getHoldUnitSignDate()));
/*     */     
/* 590 */     map.put("$linkMan$", file.getLinkMan());
/*     */     
/* 592 */     map.put("$linkTel$", file.getLinkTel());
/*     */     
/* 594 */     map.put("$currTenetOperation$", file.getCurrTenetOperation());
/*     */     
/* 596 */     map.put("$currJbdwName$", file.getCurrJbdwName());
/*     */     
/* 598 */     map.put("$implementations$", file.getImplementations());
/*     */     
/* 600 */     map.put("$licenseValidity$", file.getLicenseValidity());
/*     */     
/* 602 */     map.put("$sydwOpinion$", file.getSydwOpinion());
/*     */     
/* 604 */     map.put("$sydwOpinDate$", PublicUtil.getCNTime(file.getSydwOpinDate()));
/*     */     
/* 606 */     if (annualCheckGx == null)
/* 607 */       return map; 
/*     */     int i;
/* 609 */     for (i = 0; i < 10; i++) {
/*     */       
/* 611 */       map.put("$0" + i + "0$", "");
/* 612 */       map.put("$0" + i + "1$", "");
/*     */       
/* 614 */       map.put("$1" + i + "$", "");
/*     */       
/* 616 */       map.put("$2" + i + "$", "");
/* 617 */       map.put("$3" + i + "$", "");
/*     */       
/* 619 */       map.put("$5" + i + "0$", "");
/* 620 */       map.put("$5" + i + "1$", "");
/* 621 */       map.put("$5" + i + "2$", "");
/*     */       
/* 623 */       map.put("$6" + i + "0$", "");
/* 624 */       map.put("$6" + i + "1$", "");
/* 625 */       for (int m = 0; m < 10; m++) {
/*     */         
/* 627 */         map.put("$1" + i + m + "0$", "");
/*     */         
/* 629 */         map.put("$1" + i + m + "1$", "");
/*     */       } 
/*     */     } 
/*     */     
/* 633 */     list = annualCheckGx.getGyfwgcgsList();
/* 634 */     for (i = 0; i < list.size(); i++) {
/* 635 */       acs = list.get(i);
/* 636 */       map.put("$0" + i + "0$", acs.getSubName());
/* 637 */       map.put("$0" + i + "1$", acs.getSubValue());
/*     */     } 
/*     */     
/* 640 */     map.put("$ddjs$", annualCheckGx.getGyfwgcgsDdjsVal());
/*     */     
/* 642 */     map.put("$ywnljsqk$", annualCheckGx.getGyfwgcgsYwnljsqkVal());
/*     */     
/* 644 */     map.put("$xxgkjqtqk$", annualCheckGx.getGyfwgcgsXxgkjqtqkVal());
/*     */     
/* 646 */     list2 = annualCheckGx.getGyfwzlhzlZnList();
/* 647 */     int nZlhzlZnxh = list2.size();
/* 648 */     int[] nZlhzlXmmc = new int[nZlhzlZnxh]; int j;
/* 649 */     for (j = 0; j < nZlhzlZnxh; j++) {
/* 650 */       ArrayList<AnnualCheckSub> acsList = list2.get(j);
/* 651 */       nZlhzlXmmc[j] = acsList.size();
/*     */     } 
/* 653 */     for (j = 0; j < nZlhzlZnxh; j++) {
/* 654 */       ArrayList<AnnualCheckSub> acsList = list2.get(j);
/* 655 */       map.put("$1" + j + "$", ((AnnualCheckSub)acsList.get(0)).getSubName());
/* 656 */       for (int m = 0; m < nZlhzlXmmc[j]; m++) {
/* 657 */         AnnualCheckSub acs2 = acsList.get(m);
/* 658 */         map.put("$1" + j + m + "0$", acs2.getSubName2());
/* 659 */         map.put("$1" + j + m + "1$", acs2.getSubValue());
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 664 */     String gylb = "1";
/* 665 */     gylb = annualCheckGx.getSydwGylb();
/* 666 */     if ("1".equals(gylb)) {
/*     */       
/* 668 */       map.put("$20$", file.getInitiaFund());
/*     */       
/* 670 */       map.put("$30$", annualCheckGx.getKbzjBz());
/*     */       
/* 672 */       map.put("$21$", file.getTotalIncome());
/*     */       
/* 674 */       map.put("$31$", annualCheckGx.getSrhjBz());
/*     */       
/* 676 */       map.put("$22$", file.getFiscalRevenue());
/*     */       
/* 678 */       map.put("$32$", annualCheckGx.getCzbksrBz());
/*     */       
/* 680 */       map.put("$23$", file.getTotalExpenditure());
/*     */       
/* 682 */       map.put("$33$", annualCheckGx.getZchjBz());
/*     */       
/* 684 */       map.put("$24$", annualCheckGx.getSrzcb());
/*     */       
/* 686 */       map.put("$34$", annualCheckGx.getSrzcbBz());
/*     */       
/* 688 */       map.put("$25$", annualCheckGx.getGyzczsyzcbl());
/*     */       
/* 690 */       map.put("$35$", annualCheckGx.getGyzczsyzcblBz());
/*     */       
/* 692 */       map.put("$26$", annualCheckGx.getRyzczsyzcbl());
/*     */       
/* 694 */       map.put("$36$", annualCheckGx.getRyzczsyzcblBz());
/* 695 */     } else if ("2".equals(gylb)) {
/*     */       
/* 697 */       map.put("$20$", file.getInitiaFund());
/*     */       
/* 699 */       map.put("$30$", annualCheckGx.getKbzjBz());
/*     */       
/* 701 */       map.put("$21$", annualCheckGx.getJfzjl());
/*     */       
/* 703 */       map.put("$31$", annualCheckGx.getJfzjlBz());
/*     */       
/* 705 */       map.put("$22$", annualCheckGx.getRyzczsyzcbl());
/*     */       
/* 707 */       map.put("$32$", annualCheckGx.getRyzczsyzcblBz());
/*     */       
/* 709 */       map.put("$23$", annualCheckGx.getGyzczsyzcbl());
/*     */       
/* 711 */       map.put("$33$", annualCheckGx.getGyzczsyzcblBz());
/*     */       
/* 713 */       map.put("$24$", annualCheckGx.getZcfzl());
/*     */       
/* 715 */       map.put("$34$", annualCheckGx.getZcfzlBz());
/*     */       
/* 717 */       map.put("$25$", annualCheckGx.getSrzzl());
/*     */       
/* 719 */       map.put("$35$", annualCheckGx.getSrzzlBz());
/*     */       
/* 721 */       map.put("$26$", annualCheckGx.getZczzl());
/*     */       
/* 723 */       map.put("$36$", annualCheckGx.getZczzlBz());
/*     */       
/* 725 */       map.put("$26$", annualCheckGx.getSrzcb());
/*     */       
/* 727 */       map.put("$36$", annualCheckGx.getSrzcbBz());
/*     */     } 
/*     */     
/* 730 */     list = annualCheckGx.getGzmydList(); int k;
/* 731 */     for (k = 0; k < list.size(); k++) {
/* 732 */       acs = list.get(k);
/* 733 */       map.put("$5" + k + "0$", acs.getSubName());
/* 734 */       map.put("$5" + k + "1$", acs.getSubValue());
/* 735 */       map.put("$5" + k + "2$", acs.getNote());
/*     */     } 
/*     */     
/* 738 */     list = annualCheckGx.getGyfwzxList();
/* 739 */     for (k = 0; k < list.size(); k++) {
/* 740 */       acs = list.get(k);
/* 741 */       map.put("$6" + k + "0$", acs.getSubName());
/* 742 */       map.put("$6" + k + "1$", acs.getSubValue());
/*     */     } 
/* 744 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getBulletinMap(String content, String bulletinNum, String bulletinCount) {
/* 751 */     HashMap<String, String> map = new HashMap<String, String>();
/* 752 */     map.put("$bulletinCount$", bulletinCount);
/* 753 */     map.put("$bulletinContent$", content);
/* 754 */     map.put("$bulletinNum$", bulletinNum);
/* 755 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getBulletinMap(String content) {
/* 762 */     HashMap<String, String> map = new HashMap<String, String>();
/* 763 */     map.put("$bulletincontent$", content);
/* 764 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public List<HashMap<String, String>> getSydwList(List<String> arrSydw, List<String> cs) {
/* 771 */     List<HashMap<String, String>> arrResult = new ArrayList<HashMap<String, String>>();
/* 772 */     for (int i = 0; i < arrSydw.size(); i++) {
/* 773 */       HashMap<String, String> map = new HashMap<String, String>();
/* 774 */       map.put("$sy$", arrSydw.get(i));
/* 775 */       map.put("$cs$", cs.get(i));
/* 776 */       arrResult.add(map);
/*     */     } 
/* 778 */     return arrResult;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getSDHCMap(SydwInfo info, String groupName, CreditXzcf xzcf) {
/* 785 */     HashMap<String, String> map = new HashMap<String, String>();
/* 786 */     map.put("$sydwName$", info.getSYDW_NAME_FIRST());
/* 787 */     map.put("$unifyCode$", info.getUNIFY_CODE());
/* 788 */     if (xzcf != null) {
/* 789 */       map.put("$sdhc$", xzcf.getSySdhc());
/*     */     } else {
/* 791 */       map.put("$sdhc$", "");
/*     */     } 
/* 793 */     if (info.getDISTRICT_CODE().equals("100000")) {
/* 794 */       map.put("$groupName$", "国家事业单位登记管理局");
/*     */     } else {
/* 796 */       map.put("$groupName$", groupName);
/*     */     } 
/* 798 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getProofInfoMap(PrintProof pp) {
/* 804 */     HashMap<String, String> map = new HashMap<String, String>();
/* 805 */     map.put("$sydwName$", pp.getSydwName());
/* 806 */     map.put("$unifyCode$", pp.getUnifyCode());
/* 807 */     map.put("$fromInfo$", pp.getFromInfo());
/* 808 */     map.put("$officeSeal$", pp.getOfficialSeal());
/* 809 */     map.put("$createDate$", PublicUtil.getCNTime(pp.getCreateDate()));
/*     */     
/* 811 */     return map;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashMap getAnnualCheckJiangxiFileMap(AnnualCheckTableContentModel file) {
/* 818 */     HashMap<String, String> map = new HashMap<String, String>();
/* 819 */     AnnualCheckJiangxi annualCheckJx = file.getAnnualCheckJx();
/*     */ 
/*     */     
/* 822 */     map.put("$certId$", file.getUnifyCode());
/*     */     
/* 824 */     map.put("$year$", file.getYear());
/*     */     
/* 826 */     map.put("$unitName$", file.getUnitName());
/* 827 */     if (file.getUnitName() != null) {
/* 828 */       map.put("$unitName1$", file.getUnitName().contains("（") ? 
/* 829 */           file.getUnitName().substring(0, file.getUnitName().indexOf("（")) : file.getUnitName());
/*     */     } else {
/* 831 */       map.put("$unitName1$", "");
/*     */     } 
/* 833 */     map.put("$legalRepresentative$", file.getLegalRepresentative());
/*     */     
/* 835 */     map.put("$applyDate$", PublicUtil.getCNTime(file.getApplyDate()));
/*     */     
/* 837 */     map.put("$address$", file.getAddress());
/*     */     
/* 839 */     map.put("$outlayOrigin$", file.getOutlayOrigin());
/*     */     
/* 841 */     map.put("$initiaFund$", file.getInitiaFund());
/*     */     
/* 843 */     map.put("$lastSurplus$", file.getLastSurplus());
/*     */     
/* 845 */     map.put("$thisSurplus$", file.getThisSurplus());
/*     */     
/* 847 */     map.put("$totalIncome$", file.getTotalIncome());
/*     */     
/* 849 */     map.put("$fiscalRevenue$", file.getFiscalRevenue());
/*     */     
/* 851 */     map.put("$totalExpenditure$", file.getTotalExpenditure());
/*     */     
/* 853 */     map.put("$punAndAssessment$", file.getPunAndAssessment());
/*     */     
/* 855 */     map.put("$donAndimbUseState$", file.getDonAndimbUseState());
/*     */     
/* 857 */     map.put("$thisJobholder$", file.getThisJobholder());
/*     */     
/* 859 */     map.put("$holdUnitOpinion$", file.getHoldUnitOpinion());
/*     */     
/* 861 */     map.put("$holdUnitSignDate$", PublicUtil.getCNTime(file.getHoldUnitSignDate()));
/*     */     
/* 863 */     map.put("$linkMan$", file.getLinkMan());
/*     */     
/* 865 */     map.put("$linkTel$", file.getLinkTel());
/*     */     
/* 867 */     map.put("$currTenetOperation$", file.getCurrTenetOperation());
/*     */     
/* 869 */     map.put("$currJbdwName$", file.getCurrJbdwName());
/*     */     
/* 871 */     map.put("$implementations$", file.getImplementations());
/*     */     
/* 873 */     map.put("$licenseValidity$", file.getLicenseValidity());
/*     */     
/* 875 */     map.put("$sydwOpinion$", file.getSydwOpinion());
/*     */     
/* 877 */     map.put("$sydwOpinDate$", PublicUtil.getCNTime(file.getSydwOpinDate()));
/*     */     
/* 879 */     map.put("$webName$", file.getWebName());
/*     */     
/* 881 */     if (annualCheckJx == null) {
/* 882 */       return map;
/*     */     }
/*     */     
/* 885 */     map.put("$ddjs$", annualCheckJx.getDdjs());
/*     */     
/* 887 */     map.put("$djkhjg$", PublicUtil.getDjkhjgName(annualCheckJx.getDjkhjg()));
/*     */     
/* 889 */     map.put("$szpyjg$", PublicUtil.getSzpyjgName(annualCheckJx.getSzpyjg()));
/*     */     
/* 891 */     map.put("$djtbby$", annualCheckJx.getDjtbby());
/*     */     
/* 893 */     map.put("$djtbpp$", annualCheckJx.getDjtbpp());
/*     */ 
/*     */     
/* 896 */     map.put("$zdjs$", annualCheckJx.getZdjs());
/*     */     
/* 898 */     map.put("$zdjsZczd$", annualCheckJx.getZdjsZczd());
/*     */     
/* 900 */     map.put("$zdjsNbgl$", annualCheckJx.getZdjsNbgl());
/*     */     
/* 902 */     map.put("$zdjsHygz$", annualCheckJx.getZdjsHygz());
/*     */ 
/*     */     
/* 905 */     map.put("$fwnljs$", annualCheckJx.getFwnljs());
/*     */     
/* 907 */     map.put("$fwxnFwgf$", annualCheckJx.getFwxnFwgf());
/*     */     
/* 909 */     map.put("$fwxnYwlc$", annualCheckJx.getFwxnYwlc());
/*     */     
/* 911 */     map.put("$fwxnFwfs$", annualCheckJx.getFwxnFwfs());
/*     */ 
/*     */     
/* 914 */     map.put("$tbbyhjqk$", annualCheckJx.getTbbyhjqk());
/*     */     
/* 916 */     map.put("$tbppcfqk$", annualCheckJx.getTbppcfqk());
/*     */     
/* 918 */     map.put("$sstsqk$", annualCheckJx.getSstsqk());
/*     */     
/* 920 */     map.put("$xyjl$", annualCheckJx.getXyjl());
/*     */     
/* 922 */     map.put("$other$", annualCheckJx.getOther());
/*     */ 
/*     */     
/* 925 */     map.put("$jxkhjg$", PublicUtil.getJxkhjgName(annualCheckJx.getJxkhjg()));
/*     */     
/* 927 */     map.put("$jxkhfz$", annualCheckJx.getJxkhfz());
/*     */ 
/*     */     
/* 930 */     ArrayList<AnnualCheckSub> acsLxznList = annualCheckJx.getLxznList();
/* 931 */     if (acsLxznList != null && acsLxznList.size() > 0) {
/* 932 */       int znCount = acsLxznList.size();
/*     */       
/* 934 */       for (int j = 1; j <= znCount; j++) {
/* 935 */         AnnualCheckSub acSub = acsLxznList.get(j - 1);
/*     */         
/* 937 */         map.put("$zn" + String.valueOf(j) + "$", acSub.getSubValue());
/* 938 */         ArrayList<HashMap<String, String>> znSubList = acSub.getSubPropList();
/* 939 */         if (znSubList != null && znSubList.size() > 0) {
/* 940 */           int znSubCount = znSubList.size();
/* 941 */           for (int m = 1; m <= znSubCount; m++) {
/* 942 */             HashMap<String, String> znDetail = znSubList.get(m - 1);
/*     */             
/* 944 */             map.put("$gznr" + String.valueOf(j) + m + "$", 
/* 945 */                 znDetail.get("gznr" + String.valueOf(j) + m));
/*     */             
/* 947 */             map.put("$mbrw" + String.valueOf(j) + m + "$", 
/* 948 */                 znDetail.get("mbrw" + String.valueOf(j) + m));
/*     */             
/* 950 */             map.put("$ywhd" + String.valueOf(j) + m + "$", 
/* 951 */                 znDetail.get("kzhdqk" + String.valueOf(j) + m));
/*     */             
/* 953 */             map.put("$cbjg" + String.valueOf(j) + m + "$", 
/* 954 */                 znDetail.get("cbjg" + String.valueOf(j) + m));
/*     */             
/* 956 */             map.put("$zbryzj" + String.valueOf(j) + m + "$", 
/* 957 */                 znDetail.get("zbryzj" + String.valueOf(j) + m));
/*     */             
/* 959 */             map.put("$zbrygl" + String.valueOf(j) + m + "$", 
/* 960 */                 znDetail.get("zbrygl" + String.valueOf(j) + m));
/*     */             
/* 962 */             map.put("$zbryzhj" + String.valueOf(j) + m + "$", 
/* 963 */                 znDetail.get("zbryzhj" + String.valueOf(j) + m));
/*     */             
/* 965 */             map.put("$zbrygq" + String.valueOf(j) + m + "$", 
/* 966 */                 znDetail.get("zbrygq" + String.valueOf(j) + m));
/*     */             
/* 968 */             map.put("$zbryqt" + String.valueOf(j) + m + "$", 
/* 969 */                 znDetail.get("zbryqt" + String.valueOf(j) + m));
/*     */             
/* 971 */             map.put("$qtbwyg" + String.valueOf(j) + m + "$", 
/* 972 */                 znDetail.get("qtbwyg" + String.valueOf(j) + m));
/*     */             
/* 974 */             map.put("$gzlqz" + String.valueOf(j) + m + "$", 
/* 975 */                 znDetail.get("gzlqz" + String.valueOf(j) + m));
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 983 */     return map;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\LoadDOC\ReplaceMap.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */