/*     */ package cs.sydj.common;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.operation.noticeunit.instauration.InstaurationNoticeUnitOperation;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NoticeunitCustomizeEditDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text;
/*     */   private String type;
/*     */   private String content;
/*     */   
/*     */   public NoticeunitCustomizeEditDialog(Shell parentShell, String type, String content) {
/*  30 */     super(parentShell);
/*  31 */     this.type = type;
/*  32 */     this.content = content;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  41 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  42 */     Composite container = (Composite)super.createDialogArea(parent);
/*  43 */     GridLayout gridLayout = new GridLayout();
/*  44 */     gridLayout.marginRight = 25;
/*  45 */     gridLayout.marginLeft = 25;
/*  46 */     gridLayout.marginTop = 25;
/*  47 */     container.setLayout((Layout)gridLayout);
/*  48 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/*  50 */     Label label = new Label(container, 0);
/*  51 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/*  52 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  53 */     label.setText("回复意见");
/*     */     
/*  55 */     Label label_1 = new Label(container, 258);
/*  56 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  58 */     this.text = new Text(container, 2624);
/*  59 */     this.text.setTextLimit(2000);
/*  60 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  61 */     gd_text.heightHint = 220;
/*  62 */     this.text.setLayoutData(gd_text);
/*  63 */     this.text.setText(this.content);
/*     */     
/*  65 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  74 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  75 */     createButton(parent, 0, "保存", 
/*  76 */         true);
/*  77 */     createButton(parent, 1, 
/*  78 */         "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/*  86 */     return new Point(500, 375);
/*     */   }
/*     */   protected void configureShell(Shell newShell) {
/*  89 */     super.configureShell(newShell);
/*  90 */     newShell.setText("修改自定义回复意见");
/*     */   }
/*     */   protected void buttonPressed(int buttonId) {
/*  93 */     if (buttonId == 0) {
/*  94 */       InstaurationNoticeUnitOperation inuo = new InstaurationNoticeUnitOperation();
/*  95 */       String reply = inuo.saveCustomizeContent(this.text.getText(), this.type);
/*  96 */       if (reply != null && "true".equals(reply)) {
/*  97 */         SydjMessageDialog.openInformation(null, "", "保存成功！");
/*     */       }
/*     */     } 
/* 100 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\NoticeunitCustomizeEditDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */