/*     */ package cs.sydj.common;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.inter.Progress;
/*     */ import java.lang.reflect.Method;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import org.eclipse.swt.events.KeyEvent;
/*     */ import org.eclipse.swt.events.KeyListener;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ProcessWaitDialog
/*     */   extends Dialog
/*     */   implements Runnable
/*     */ {
/*     */   private Thread tRead;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*  42 */   protected Display display = getParent().getDisplay();
/*     */   
/*  44 */   private Class myclass = null;
/*  45 */   private Method method = null;
/*     */ 
/*     */   
/*     */   private String className;
/*     */   
/*     */   private String methodName;
/*     */   
/*     */   private HashMap parameter;
/*     */   
/*     */   private Progress uiProgress;
/*     */ 
/*     */   
/*     */   public ProcessWaitDialog(Shell parent, int style) {
/*  58 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ProcessWaitDialog(Shell parent) {
/*  66 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  75 */     createContents();
/*     */     
/*  77 */     this.tRead = new Thread(this);
/*  78 */     this.tRead.start();
/*  79 */     this.shell.open();
/*  80 */     this.shell.layout();
/*  81 */     this.shell.addKeyListener(new KeyListener()
/*     */         {
/*     */           public void keyPressed(KeyEvent e) {}
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           public void keyReleased(KeyEvent e) {
/*  89 */             if (e.keyCode == 27 && 
/*  90 */               ProcessWaitDialog.this.tRead.getState() == Thread.State.TERMINATED) {
/*  91 */               ProcessWaitDialog.this.shell.dispose();
/*     */             }
/*     */           }
/*     */         });
/*     */ 
/*     */     
/*  97 */     while (!this.shell.isDisposed()) {
/*  98 */       if (!this.display.readAndDispatch())
/*  99 */         this.display.sleep(); 
/*     */     } 
/* 101 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 107 */     this.shell = new Shell(getParent(), 67616);
/* 108 */     this.shell.setSize(445, 381);
/* 109 */     this.shell.setText("提示");
/* 110 */     Label label = new Label((Composite)this.shell, 0);
/* 111 */     label.setAlignment(16777216);
/* 112 */     label.setText("正在执行操作，请稍候...");
/* 113 */     label.setFont(SWTResourceManager.getFont("", 20, 1));
/* 114 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 115 */     label.setBounds(40, 155, 330, 30);
/* 116 */     initializeBounds();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() {
/* 126 */     this.display.asyncExec(new Runnable() {
/*     */           public void run() {
/* 128 */             ProcessWaitDialog.this.shell.close();
/* 129 */             ProcessWaitDialog.this.shell.dispose();
/*     */             try {
/* 131 */               ProcessWaitDialog.this.uiProgress.callBackRefresh(ProcessWaitDialog.this.parameter);
/* 132 */             } catch (Exception e) {
/* 133 */               e.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setUIProgress(Progress uiProgress) {
/* 147 */     this.uiProgress = uiProgress;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNoUIProgress(String className, String methodName, HashMap parameter) {
/* 162 */     this.className = className;
/* 163 */     this.methodName = methodName;
/* 164 */     this.parameter = parameter;
/*     */   }
/*     */   
/*     */   public void run() {
/*     */     try {
/* 169 */       if (this.className != null && this.className.length() > 0 && 
/* 170 */         this.methodName != null && this.methodName.length() > 0) {
/* 171 */         this.myclass = Class.forName(this.className);
/* 172 */         this.method = this.myclass.getMethod(this.methodName, new Class[] { HashMap.class });
/*     */       } 
/* 174 */       if (this.parameter.get("resultType") != null) {
/* 175 */         if ("String".equals(this.parameter.get("resultType"))) {
/* 176 */           String result = (String)this.method.invoke(
/* 177 */               this.myclass.newInstance(), new Object[] { this.parameter });
/* 178 */           if (result == null || result.trim().length() == 0) {
/* 179 */             this.parameter.put("success", "false");
/*     */           } else {
/* 181 */             this.parameter.put("success", "true");
/*     */           } 
/* 183 */           this.parameter.put("result", result);
/* 184 */         } else if ("ArrayList".equals(this.parameter.get("resultType"))) {
/* 185 */           ArrayList al = (ArrayList)this.method.invoke(
/* 186 */               this.myclass.newInstance(), new Object[] { this.parameter });
/* 187 */           if (al == null || al.size() == 0) {
/* 188 */             this.parameter.put("success", "false");
/*     */           } else {
/* 190 */             this.parameter.put("success", "true");
/*     */           } 
/* 192 */           this.parameter.put("result", al);
/*     */         } 
/*     */       }
/* 195 */     } catch (Exception e) {
/* 196 */       e.printStackTrace();
/* 197 */       this.parameter.put("success", "false");
/*     */     } 
/* 199 */     close();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 210 */     PublicUtil.setCenter(this.shell);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\ProcessWaitDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */