/*     */ package cs.sydj.common;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.instauration.ShouLiInstaurationDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.operation.login.Users;
/*     */ 
/*     */ 
/*     */ public class SendToOtherAuditDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Combo combo;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*  29 */   private ShouLiInstaurationDataManage dataManage = new ShouLiInstaurationDataManage();
/*  30 */   private ArrayList list = new ArrayList();
/*  31 */   String applyId = "";
/*  32 */   String realId = "";
/*     */   
/*  34 */   int backParameter = 0;
/*     */   
/*     */   public int getBackParameter() {
/*  37 */     return this.backParameter;
/*     */   }
/*     */   
/*     */   public void setBackParameter(int backParameter) {
/*  41 */     this.backParameter = backParameter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SendToOtherAuditDialog(Shell parent, int style) {
/*  50 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SendToOtherAuditDialog(Shell parent, String applyId, String realId) {
/*  58 */     this(parent, 0);
/*  59 */     this.applyId = applyId;
/*  60 */     this.realId = realId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  68 */     createContents();
/*  69 */     PublicUtil.setCenter(this.shell);
/*  70 */     this.shell.open();
/*  71 */     this.shell.layout();
/*  72 */     Display display = getParent().getDisplay();
/*  73 */     while (!this.shell.isDisposed()) {
/*  74 */       if (!display.readAndDispatch())
/*  75 */         display.sleep(); 
/*     */     } 
/*  77 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  84 */     this.list = this.dataManage.getSendToDept(GljgUserInfo.getInstance().getGroupid());
/*     */     
/*  86 */     this.shell = new Shell(getParent(), 67680);
/*  87 */     this.shell.setLayout((Layout)new FillLayout());
/*  88 */     this.shell.setSize(260, 151);
/*  89 */     this.shell.setText("转送至其他部门");
/*     */     
/*  91 */     Composite composite = new Composite((Composite)this.shell, 0);
/*  92 */     composite.setBackgroundMode(2);
/*  93 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*  94 */     GridLayout gridLayout = new GridLayout();
/*  95 */     gridLayout.verticalSpacing = 20;
/*  96 */     gridLayout.marginTop = 20;
/*  97 */     gridLayout.numColumns = 2;
/*  98 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 100 */     Label label = new Label(composite, 0);
/* 101 */     label.setText("转送到：");
/*     */     
/* 103 */     this.combo = new Combo(composite, 8);
/* 104 */     this.combo.setLayoutData(new GridData(4, 16777216, true, false));
/* 105 */     this.combo.add("=========请选择=========");
/* 106 */     this.combo.setData("=========请选择=========", null);
/* 107 */     this.combo.select(0);
/* 108 */     if (this.list != null) {
/* 109 */       for (int i = 0; i < this.list.size(); i++) {
/* 110 */         Users user = new Users();
/* 111 */         user = this.list.get(i);
/* 112 */         if (user.getGroupname().indexOf("三处") >= 0 || 
/* 113 */           user.getGroupname().indexOf("四处") >= 0) {
/* 114 */           this.combo.add(user.getGroupname());
/* 115 */           this.combo.setData(user.getGroupname(), user.getGroupid());
/*     */         } 
/*     */       } 
/*     */     }
/*     */     
/* 120 */     Button button = new Button(composite, 0);
/* 121 */     GridData gd_button = new GridData(16777216, 16777216, false, false, 2, 1);
/* 122 */     gd_button.widthHint = 52;
/* 123 */     button.setLayoutData(gd_button);
/* 124 */     button.setText("确 定");
/*     */ 
/*     */     
/* 127 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 129 */             if (SendToOtherAuditDialog.this.combo.getData(SendToOtherAuditDialog.this.combo.getText()) != null) {
/* 130 */               String reply = SendToOtherAuditDialog.this.dataManage.SendToOtherAuditDept(SendToOtherAuditDialog.this.applyId, SendToOtherAuditDialog.this.realId, (String)SendToOtherAuditDialog.this.combo.getData(SendToOtherAuditDialog.this.combo.getText()));
/* 131 */               if (reply != null && "true".equals(reply)) {
/* 132 */                 SendToOtherAuditDialog.this.setBackParameter(2);
/* 133 */                 SydjMessageDialog.openInformation(null, "提示", "此单位审核材料已转送至 " + SendToOtherAuditDialog.this.combo.getText() + "！");
/* 134 */                 if (!SendToOtherAuditDialog.this.shell.isDisposed())
/* 135 */                   SendToOtherAuditDialog.this.shell.dispose(); 
/*     */               } else {
/* 137 */                 SydjMessageDialog.openInformation(null, "提示", "转送过程出现异常，请与系统管理员联系！");
/* 138 */                 if (!SendToOtherAuditDialog.this.shell.isDisposed())
/* 139 */                   SendToOtherAuditDialog.this.shell.dispose(); 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\SendToOtherAuditDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */