/*     */ package cs.sydj.common;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import java.io.File;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.Viewer;
/*     */ import org.eclipse.jface.viewers.ViewerSorter;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import server.sydj.operation.commons.BulltinModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Sorter
/*     */   extends ViewerSorter
/*     */ {
/*     */   private int sortType;
/*     */   private String culomnName;
/*  29 */   public static int indexs = 0;
/*     */   
/*     */   public Sorter(int sortType, String columnName) {
/*  32 */     this.sortType = sortType;
/*  33 */     this.culomnName = columnName;
/*     */   }
/*     */   
/*     */   public int compare(Viewer viewer, Object obj1, Object obj2) {
/*  37 */     BulltinModel md1 = (BulltinModel)obj1;
/*  38 */     BulltinModel md2 = (BulltinModel)obj2;
/*  39 */     int flag = 0;
/*     */     try {
/*  41 */       switch (this.sortType) {
/*     */         case 0:
/*  43 */           if (this.culomnName.equals("unifyCode")) {
/*  44 */             flag = md1.getUnifyCode().compareTo(md2.getUnifyCode()); break;
/*     */           } 
/*  46 */           flag = md1.getAppDate().compareTo(md2.getAppDate());
/*     */           break;
/*     */         
/*     */         case 1:
/*  50 */           if (this.culomnName.equals("unifyCode")) {
/*  51 */             flag = md2.getUnifyCode().compareTo(md1.getUnifyCode()); break;
/*     */           } 
/*  53 */           flag = md2.getAppDate().compareTo(md1.getAppDate());
/*     */           break;
/*     */       } 
/*     */ 
/*     */ 
/*     */     
/*  59 */     } catch (Exception ex) {
/*  60 */       flag = 0;
/*     */     } 
/*  62 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setSort(Composite composite, final String fileName, final TableViewer tv, final Button button) {
/*  75 */     indexs = 0;
/*  76 */     composite
/*  77 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  78 */     GridLayout gridLayout_1 = new GridLayout();
/*  79 */     gridLayout_1.numColumns = 2;
/*  80 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/*  82 */     Label label_3 = new Label(composite, 0);
/*  83 */     label_3.setText("排序：");
/*     */     
/*  85 */     final Combo combo = new Combo(composite, 0);
/*  86 */     combo.setLayoutData(new GridData(4, 16777216, true, false));
/*  87 */     combo.add("按统一社会信用代码升序", 0);
/*  88 */     combo.add("按统一社会信用代码降序", 1);
/*  89 */     combo.add("按核准时间升序", 2);
/*  90 */     combo.add("按核准时间降序", 3);
/*  91 */     ArrayList list = null;
/*  92 */     int index = 0;
/*     */     try {
/*  94 */       String path = PublicUtil.getRealPath("certtemplate/params/" + 
/*  95 */           fileName + ".xml");
/*  96 */       File file = new File(path);
/*  97 */       if (file.exists()) {
/*  98 */         list = (new PaperSource()).parserXml(path);
/*     */       }
/* 100 */       if (list != null)
/* 101 */         index = Integer.valueOf(String.valueOf(list.get(0))).intValue(); 
/* 102 */       indexs = index;
/* 103 */     } catch (Exception e) {
/* 104 */       e.printStackTrace();
/*     */     } 
/* 106 */     combo.select(index);
/* 107 */     setSorts(index, tv);
/* 108 */     combo.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 111 */               String column = "";
/* 112 */               int sort = 0;
/* 113 */               switch (combo.getSelectionIndex()) {
/*     */                 case 0:
/* 115 */                   column = "unifyCode";
/* 116 */                   sort = 0;
/*     */                   break;
/*     */                 case 1:
/* 119 */                   column = "unifyCode";
/* 120 */                   sort = 1;
/*     */                   break;
/*     */                 case 2:
/* 123 */                   column = "appDate";
/* 124 */                   sort = 0;
/*     */                   break;
/*     */                 case 3:
/* 127 */                   column = "appDate";
/* 128 */                   sort = 1;
/*     */                   break;
/*     */                 default:
/* 131 */                   column = "unifyCode";
/* 132 */                   sort = 0;
/*     */                   break;
/*     */               } 
/*     */               
/* 136 */               PaperSource paper = new PaperSource();
/* 137 */               ArrayList<String> zhbList = new ArrayList();
/* 138 */               zhbList.add(String.valueOf(combo.getSelectionIndex()));
/* 139 */               paper.BuildXMLDoc(zhbList, fileName, null);
/* 140 */               tv.setSorter(new Sorter(sort, column));
/* 141 */               button.setSelection(false);
/* 142 */               Sorter.indexs = combo.getSelectionIndex();
/* 143 */               Sorter.setFontColor(tv);
/*     */             }
/* 145 */             catch (Exception e1) {
/* 146 */               e1.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void setFontColor(TableViewer tv) {
/* 156 */     for (int i = 0; i < tv.getTable().getItemCount(); i++) {
/* 157 */       tv.getTable().getItem(i)
/* 158 */         .setFont(
/* 159 */           3, 
/* 160 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 161 */             false, false));
/* 162 */       tv.getTable().getItem(i).setForeground(3, 
/* 163 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   public static void setSorts(int index, TableViewer tv) {
/*     */     try {
/* 169 */       int sort = 0;
/* 170 */       String column = "";
/* 171 */       switch (index) {
/*     */         case 0:
/* 173 */           column = "unifyCode";
/* 174 */           sort = 0;
/*     */           break;
/*     */         case 1:
/* 177 */           column = "unifyCode";
/* 178 */           sort = 1;
/*     */           break;
/*     */         case 2:
/* 181 */           column = "appDate";
/* 182 */           sort = 0;
/*     */           break;
/*     */         case 3:
/* 185 */           column = "appDate";
/* 186 */           sort = 1;
/*     */           break;
/*     */         default:
/* 189 */           column = "unifyCode";
/* 190 */           sort = 0;
/*     */           break;
/*     */       } 
/* 193 */       tv.setSorter(new Sorter(sort, column));
/* 194 */       setFontColor(tv);
/* 195 */     } catch (Exception e) {
/* 196 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\Sorter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */