/*     */ package cs.sydj.common;
/*     */ 
/*     */ import cs.ffr.operation.withinput.FfrInputDialog;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.ModifyInsFRDialog;
/*     */ import cs.sydj.operation.shouli.instauration.FRApplicationDialog;
/*     */ import cs.sydj.operation.withinput.ReIns.WithinputReInsFRDialog;
/*     */ import cs.sydj.operation.withinput.instauration.WithinputInsFRDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import server.sydj.operation.commons.OrgnizationTreeModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TreeHylbCategory
/*     */   extends Dialog
/*     */ {
/*     */   private Text text;
/*     */   private TreeViewer treeViewer;
/*     */   private ArrayList list;
/*     */   private Tree tree;
/*     */   private String type;
/*     */   
/*     */   public TreeHylbCategory(Shell parentShell) {
/*  50 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public TreeHylbCategory(Shell parentShell, Text text, ArrayList list, String type) {
/*  55 */     super(parentShell);
/*  56 */     this.text = text;
/*  57 */     this.list = list;
/*  58 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  68 */     Composite container = (Composite)super.createDialogArea(parent);
/*  69 */     container.setLayout((Layout)new FillLayout());
/*     */     
/*  71 */     Group group = new Group(container, 0);
/*  72 */     group.setText("选择行业类别");
/*  73 */     group.setLayout((Layout)new GridLayout());
/*     */     
/*  75 */     this.treeViewer = new TreeViewer((Composite)group, 2048);
/*  76 */     this.tree = this.treeViewer.getTree();
/*  77 */     this.tree.setLayoutData(new GridData(4, 4, true, true));
/*  78 */     this.treeViewer.setContentProvider((IContentProvider)new TreeHylbContentProvider());
/*  79 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLabelProvider());
/*  80 */     this.treeViewer.setInput(this.list);
/*     */     
/*  82 */     Label label = new Label((Composite)group, 0);
/*  83 */     label.setText("提示：请选择最后一级行业类别");
/*  84 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  94 */     createButton(parent, 0, "确定", true);
/*  95 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/* 100 */     IStructuredSelection select = (IStructuredSelection)this.treeViewer
/* 101 */       .getSelection();
/* 102 */     OrgnizationTreeModel org = (OrgnizationTreeModel)select
/* 103 */       .getFirstElement();
/* 104 */     if (!org.isHavePoint()) {
/* 105 */       this.text.setText(org.getName());
/* 106 */       if ("shouli_sheli".equals(this.type)) {
/* 107 */         FRApplicationDialog.industry_code = org.getGroupId();
/* 108 */       } else if ("withinput_sheli".equals(this.type)) {
/* 109 */         WithinputInsFRDialog.industry_code = org.getGroupId();
/* 110 */       } else if ("dataAdjust".equals(this.type)) {
/* 111 */         InstallApplyDialog.industry_code = org.getGroupId();
/* 112 */       } else if ("modifydate_sheli".equals(this.type)) {
/* 113 */         ModifyInsFRDialog.industry_code = org.getGroupId();
/* 114 */       } else if ("withinput_Resheli".equals(this.type)) {
/* 115 */         WithinputReInsFRDialog.industry_code = org.getGroupId();
/* 116 */       } else if ("ffrDataAdjust".equals(this.type)) {
/* 117 */         FfrInputDialog.industry_code = org.getGroupId();
/*     */       } 
/*     */       
/* 120 */       super.okPressed();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 129 */     return new Point(500, 375);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 133 */     super.configureShell(newShell);
/* 134 */     newShell.setText("行业类别");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\TreeHylbCategory.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */