/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.data.modify.DataModifyOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.AttachModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DataQueryAttachsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ArrayList attachs;
/*     */   private Composite composite_3;
/*     */   private Group group;
/*  46 */   private int addAttachSum = 0;
/*     */   
/*  48 */   final Label[] attachsLabel_1 = new Label[30];
/*  49 */   Text[] attachsText = new Text[30];
/*  50 */   final GridData[] attachsData1 = new GridData[30];
/*  51 */   final Button[] attachsButton_view = new Button[30];
/*  52 */   final GridData[] attachsData2 = new GridData[30];
/*  53 */   final Button[] attachsButton_delete = new Button[30];
/*  54 */   final GridData[] attachsData3 = new GridData[30];
/*     */ 
/*     */   
/*  57 */   Button[] old_attachsButton = null;
/*  58 */   Button[] old_attachsButton_view = null;
/*  59 */   Button[] old_attachsButton_delete = null;
/*     */   
/*  61 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  62 */   private InsAttachmentInfo attInfo = new InsAttachmentInfo();
/*  63 */   String[] att_ext_name = new String[] { "GIF", "gif", "BMP", "bmp", "JPEG", "jpeg", 
/*  64 */       "JPG", "jpg", "DOC", "doc", "DOCX", "docx", "TXT", "txt", 
/*  65 */       "XLS", "xls", "XLSX", "xlsx", "ZIP", "zip", "RAR", "rar" };
/*     */ 
/*     */   
/*     */   private Button button;
/*     */ 
/*     */   
/*     */   private Button button_1;
/*     */   
/*     */   private String year;
/*     */ 
/*     */   
/*     */   public DataQueryAttachsDialog(Shell parentShell, ArrayList attachs, InsAttachmentInfo attInfo, TableViewer table, String type, String year, String flg) {
/*  77 */     super(parentShell);
/*  78 */     setShellStyle(66560);
/*  79 */     this.attachs = attachs;
/*  80 */     this.attInfo = attInfo;
/*  81 */     this.year = year;
/*  82 */     if (attachs != null) {
/*  83 */       this.addAttachSum += attachs.size();
/*     */     }
/*  85 */     this.old_attachsButton = new Button[attachs.size()];
/*  86 */     this.old_attachsButton_view = new Button[attachs.size()];
/*  87 */     this.old_attachsButton_delete = new Button[attachs.size()];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  97 */     parent.setBackground(Display.getCurrent()
/*  98 */         .getSystemColor(1));
/*  99 */     parent.setBackgroundMode(2);
/* 100 */     Composite container = (Composite)super.createDialogArea(parent);
/* 101 */     container.setLayout((Layout)new GridLayout());
/*     */     
/* 103 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 104 */         container, 768);
/* 105 */     scrolledComposite.setLayoutData(new GridData(4, 4, true, 
/* 106 */           true));
/* 107 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 108 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 109 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 111 */     this.group = new Group((Composite)scrolledComposite, 0);
/* 112 */     this.group.setLayoutData(new GridData(4, 4, true, true));
/* 113 */     GridLayout gridLayout = new GridLayout();
/* 114 */     gridLayout.horizontalSpacing = 0;
/* 115 */     gridLayout.verticalSpacing = 0;
/* 116 */     gridLayout.marginWidth = 0;
/* 117 */     gridLayout.marginHeight = 0;
/* 118 */     this.group.setLayout((Layout)gridLayout);
/*     */     
/* 120 */     if ("0".equals(this.attInfo.getAttachstate())) {
/* 121 */       Label label_9 = new Label((Composite)this.group, 258);
/*     */       
/* 123 */       label_9.setLayoutData(new GridData(4, 16777216, false, 
/* 124 */             false));
/* 125 */       Label label_8 = new Label((Composite)this.group, 0);
/* 126 */       label_8.setLayoutData(new GridData(16384, 16777216, true, 
/* 127 */             false));
/* 128 */       label_8.setText("  点击附件名称查看附件：");
/*     */       
/* 130 */       Label label_10 = new Label((Composite)this.group, 322);
/*     */       
/* 132 */       label_10.setLayoutData(new GridData(4, 16777216, true, 
/* 133 */             false));
/*     */       
/* 135 */       this.composite_3 = new Composite((Composite)this.group, 0);
/* 136 */       this.composite_3.setLayoutData(new GridData(4, 4, false, 
/* 137 */             false));
/* 138 */       GridLayout gridLayout_1 = new GridLayout();
/* 139 */       gridLayout_1.numColumns = 3;
/* 140 */       this.composite_3.setLayout((Layout)gridLayout_1);
/*     */       
/* 142 */       setData();
/*     */     } 
/*     */     
/* 145 */     if (!"0".equals(this.attInfo.getAttachstate())) {
/* 146 */       Label label_80 = new Label((Composite)this.group, 258);
/*     */       
/* 148 */       label_80.setLayoutData(new GridData(4, 16777216, false, 
/* 149 */             false));
/*     */       
/* 151 */       Composite composite = new Composite((Composite)this.group, 0);
/* 152 */       composite.setLayoutData(new GridData(4, 16777216, true, 
/* 153 */             false));
/* 154 */       GridLayout gridLayout_1 = new GridLayout();
/* 155 */       gridLayout_1.numColumns = 2;
/* 156 */       composite.setLayout((Layout)gridLayout_1);
/* 157 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 158 */       Label label1 = new Label(composite, 0);
/* 159 */       label1.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 160 */       label1.setText("■");
/* 161 */       label1.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 162 */       Label label_20 = new Label(composite, 0);
/* 163 */       label_20.setText("查看附件状态：");
/*     */       
/* 165 */       Label label_100 = new Label((Composite)this.group, 322);
/*     */       
/* 167 */       label_100.setLayoutData(new GridData(4, 16777216, true, 
/* 168 */             false));
/*     */       
/* 170 */       Label label_40 = new Label((Composite)this.group, 64);
/* 171 */       label_40.setFont(
/* 172 */           SWTResourceManager.getFont("楷体_GB2312", 12, 1));
/* 173 */       GridData gd_label_40 = new GridData(16777216, 16777216, 
/* 174 */           true, false);
/* 175 */       gd_label_40.heightHint = 60;
/* 176 */       label_40.setLayoutData(gd_label_40);
/* 177 */       label_40.setText("附件“" + 
/* 178 */           this.attInfo.getFilename() + 
/* 179 */           "”" + 
/* 180 */           PublicUtil.getAnnexStat(Integer.valueOf(this.attInfo
/* 181 */               .getAttachstate()).intValue()));
/*     */     } 
/*     */     
/* 184 */     if ("事业单位章程草案".equals(this.attInfo.getFilename()) || 
/* 185 */       "住所证明".equals(this.attInfo.getFilename()) || 
/* 186 */       "登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/*     */       
/* 188 */       Label label_7 = new Label((Composite)this.group, 258);
/*     */       
/* 190 */       label_7.setLayoutData(new GridData(4, 16777216, true, 
/* 191 */             false));
/*     */       
/* 193 */       Composite composite = new Composite((Composite)this.group, 0);
/* 194 */       composite.setLayoutData(new GridData(4, 16777216, true, 
/* 195 */             false));
/* 196 */       GridLayout gridLayout_1 = new GridLayout();
/* 197 */       gridLayout_1.numColumns = 2;
/* 198 */       composite.setLayout((Layout)gridLayout_1);
/* 199 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 200 */       Label label1 = new Label(composite, 0);
/* 201 */       label1.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 202 */       label1.setText("■");
/* 203 */       label1.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 204 */       Label label_12 = new Label(composite, 0);
/* 205 */       label_12.setText("文件说明：");
/* 206 */       label1.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 207 */       Label label_13 = new Label((Composite)this.group, 258);
/*     */       
/* 209 */       label_13.setLayoutData(new GridData(4, 16777216, true, 
/* 210 */             false));
/*     */       
/* 212 */       Composite composite_4 = new Composite((Composite)this.group, 0);
/* 213 */       composite_4.setBackground(Display.getCurrent()
/* 214 */           .getSystemColor(1));
/* 215 */       composite_4.setLayoutData(new GridData(4, 4, true, 
/* 216 */             false));
/* 217 */       composite_4.setLayout((Layout)new GridLayout());
/*     */       
/* 219 */       if ("事业单位章程草案".equals(this.attInfo.getFilename())) {
/* 220 */         Label label_14 = new Label(composite_4, 0);
/* 221 */         label_14.setLayoutData(new GridData(16777216, 16777216, 
/* 222 */               true, false));
/* 223 */         label_14.setImage(
/* 224 */             CacheImage.getINSTANCE()
/* 225 */             .getImage("cs.sydj", "icons/ZhangChengCaoAn.GIF"));
/*     */       } 
/*     */       
/* 228 */       if ("住所证明".equals(this.attInfo.getFilename())) {
/* 229 */         Label label_15 = new Label(composite_4, 0);
/* 230 */         label_15.setLayoutData(new GridData(16777216, 16777216, 
/* 231 */               true, false));
/* 232 */         label_15.setImage(
/* 233 */             CacheImage.getINSTANCE()
/* 234 */             .getImage("cs.sydj", "icons/ZhuSuoZhengMing.GIF"));
/*     */       } 
/*     */       
/* 237 */       if ("登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/* 238 */         Label label_16 = new Label(composite_4, 0);
/* 239 */         label_16.setLayoutData(new GridData(16777216, 16777216, 
/* 240 */               true, false));
/* 241 */         label_16.setImage(CacheImage.getINSTANCE()
/*     */             
/* 243 */             .getImage("cs.sydj", "icons/YaoQiuQiTaWenJian.GIF"));
/*     */       } 
/*     */     } 
/*     */     
/* 247 */     Label label_2 = new Label((Composite)this.group, 258);
/* 248 */     label_2.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 250 */     this.group.setSize(this.group.computeSize(-1, -1));
/* 251 */     scrolledComposite.setContent((Control)this.group);
/* 252 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 259 */     for (int i = 0; i < this.attachs.size(); i++) {
/* 260 */       AttachModel model = this.attachs.get(i);
/*     */       
/* 262 */       this.old_attachsButton[i] = new Button(this.composite_3, 8388608);
/* 263 */       this.old_attachsButton[i].setText(String.valueOf(String.valueOf(i + 1)) + "、" + 
/* 264 */           model.getAttachName());
/* 265 */       addOldAttachButtonListener(this.old_attachsButton[i], model, i);
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void addOldAttachButtonListener(Button bt, final AttachModel model, final int iOrder) {
/* 271 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 273 */             if ("true".equals(model.getIsOpen())) {
/* 274 */               ViewAllImageDialog dialog = new ViewAllImageDialog(
/* 275 */                   DataQueryAttachsDialog.this.getShell(), DataQueryAttachsDialog.this.attachs, iOrder, DataQueryAttachsDialog.this.year);
/* 276 */               dialog.open();
/*     */             } else {
/* 278 */               OpenAndSaveFileDialog dialog = new OpenAndSaveFileDialog(
/* 279 */                   DataQueryAttachsDialog.this.getShell(), String.valueOf(model.getAttachName()), 
/* 280 */                   String.valueOf(model.getType()), 
/* 281 */                   String.valueOf(model.getExtType()), 
/* 282 */                   String.valueOf(model.getAttachId()), DataQueryAttachsDialog.this.year);
/*     */               
/* 284 */               dialog.open();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 299 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 303 */     if (buttonId == 0) {
/* 304 */       if (this.attInfo.getAttachstate().equals("0")) {
/* 305 */         submitAttachs();
/*     */       }
/* 307 */       else if (this.button.getSelection()) {
/* 308 */         submitAttachs();
/*     */       }
/* 310 */       else if (this.button_1.getSelection()) {
/* 311 */         if (modAttaState("1")) {
/* 312 */           SydjMessageDialog.openInformation(getShell(), "提示", 
/* 313 */               "修改成功！");
/*     */         } else {
/* 315 */           SydjMessageDialog.openInformation(getShell(), "提示", 
/* 316 */               "修改失败！");
/*     */         }
/*     */       
/* 319 */       } else if (modAttaState("2")) {
/* 320 */         SydjMessageDialog.openInformation(getShell(), "提示", 
/* 321 */             "修改成功！");
/*     */       } else {
/* 323 */         SydjMessageDialog.openInformation(getShell(), "提示", 
/* 324 */             "修改失败！");
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 330 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void submitAttachs() {
/* 339 */     boolean isModified = isModified();
/* 340 */     if (isModified) {
/* 341 */       DataModifyOperation modify = new DataModifyOperation();
/* 342 */       InsAttachmentInfo iai = new InsAttachmentInfo();
/* 343 */       iai = this.attInfo;
/* 344 */       for (int i = 0; i < this.attachsText.length; i++) {
/* 345 */         if (this.attachsText[i] != null && 
/* 346 */           this.attachsText[i].getText().trim().length() > 0) {
/* 347 */           String filePath = this.attachsText[i].getText().trim();
/* 348 */           String ext_name = filePath.substring(
/* 349 */               filePath.lastIndexOf(".") + 1);
/*     */           try {
/* 351 */             if (PublicUtil.checkAttachSize(filePath)) {
/* 352 */               iai.setEXT_NAME(ext_name);
/* 353 */               iai.setStatechangedate(this.year);
/* 354 */               iai.setJbdwid(this.attInfo.getJbdwid());
/* 355 */               String replyStr = modify.uploadAttachs1(iai, 
/* 356 */                   filePath);
/* 357 */               if (replyStr == null || replyStr.length() == 0) {
/* 358 */                 SydjMessageDialog.openError(getShell(), "错误", 
/* 359 */                     "上传失败！");
/*     */               } else {
/*     */                 
/* 362 */                 iai.setATTACH_GROUP_ID(replyStr);
/*     */               } 
/*     */             } else {
/* 365 */               SydjMessageDialog.openWarning(getShell(), "警告", 
/* 366 */                   String.valueOf(filePath) + "大于100K，未上传！");
/*     */             } 
/* 368 */           } catch (FileNotFoundException e) {
/* 369 */             SydjMessageDialog.openError(getShell(), "错误", String.valueOf(filePath) + 
/* 370 */                 "文件不存在！");
/*     */           } 
/*     */         } 
/*     */       } 
/* 374 */       SydjMessageDialog.openInformation(getShell(), "", "上传成功！");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean modAttaState(String state) {
/* 384 */     boolean flag = true;
/* 385 */     DataModifyOperation modify = new DataModifyOperation();
/* 386 */     FileModel mod = new FileModel();
/* 387 */     mod.setApplyId(this.attInfo.getApplyid());
/* 388 */     mod.setGroupId(GljgUserInfo.getInstance().getGroupid());
/* 389 */     mod.setId(this.attInfo.getRealid());
/* 390 */     mod.setAnnexId(this.attInfo.getAttachid());
/* 391 */     mod.setFileName(this.attInfo.getFilename());
/* 392 */     mod.setUnitId(this.attInfo.getSydwid());
/* 393 */     mod.setHoldUnitId(this.attInfo.getJbdwid());
/* 394 */     mod.setAnnexStat(state);
/* 395 */     mod.setSubDate(this.year);
/* 396 */     String flags = modify.dealSingleAnnex(mod);
/* 397 */     if (flags == null) {
/* 398 */       flag = false;
/*     */     }
/* 400 */     else if ("true".equals(flags)) {
/* 401 */       flag = true;
/*     */     } else {
/* 403 */       flag = false;
/*     */     } 
/*     */     
/* 406 */     return flag;
/*     */   }
/*     */   
/*     */   protected boolean isModified() {
/* 410 */     for (int i = 0; i < this.attachsText.length; i++) {
/* 411 */       if (this.attachsText[i] != null && 
/* 412 */         this.attachsText[i].getText().trim().length() > 0) {
/* 413 */         return true;
/*     */       }
/*     */     } 
/* 416 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 424 */     return new Point(800, 600);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 429 */     super.initializeBounds();
/* 430 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 434 */     super.configureShell(newShell);
/* 435 */     newShell.setText("附件状态");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\DataQueryAttachsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */