/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.InputStream;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveImgFileDialog
/*     */   extends Dialog
/*     */ {
/*  40 */   protected String result = "cancel";
/*     */   protected Shell shell;
/*  42 */   protected String name = "";
/*  43 */   protected String type = "";
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */   
/*     */   private String attachId;
/*     */   
/*     */   private String year;
/*     */   
/*     */   private String filePath;
/*     */ 
/*     */   
/*     */   public SaveImgFileDialog(Shell parent, int style) {
/*  56 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveImgFileDialog(Shell parent) {
/*  65 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveImgFileDialog(Shell parent, String name, String type, String suffix, String attachId) {
/*  81 */     super(parent);
/*  82 */     this.name = name;
/*  83 */     this.type = type;
/*  84 */     this.suffix = suffix;
/*  85 */     this.attachId = attachId;
/*     */   }
/*     */   
/*     */   public SaveImgFileDialog(Shell parent, String filePath) {
/*  89 */     super(parent);
/*  90 */     this.filePath = filePath;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveImgFileDialog(Shell parent, String name, String type, String suffix, String attachId, String year) {
/* 106 */     super(parent);
/* 107 */     this.name = name;
/* 108 */     this.type = type;
/* 109 */     this.suffix = suffix;
/* 110 */     this.attachId = attachId;
/* 111 */     this.year = year;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 120 */     createContents();
/* 121 */     PublicUtil.setCenter(this.shell);
/* 122 */     this.shell.open();
/* 123 */     this.shell.layout();
/* 124 */     Display display = getParent().getDisplay();
/* 125 */     while (!this.shell.isDisposed()) {
/* 126 */       if (!display.readAndDispatch())
/* 127 */         display.sleep(); 
/*     */     } 
/* 129 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 136 */     this.shell = new Shell(getParent(), 67680);
/* 137 */     this.shell.setSize(403, 180);
/* 138 */     this.shell.setText("文件下载");
/*     */     
/* 140 */     Label label = new Label((Composite)this.shell, 0);
/* 141 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 142 */     label.setText("确定保存此文件吗？");
/* 143 */     label.setBounds(15, 15, 175, 19);
/*     */     
/* 145 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 146 */     button_1.setBounds(233, 115, 72, 23);
/* 147 */     button_1.setText("保存");
/* 148 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 150 */             SaveDialog save = new SaveDialog(SaveImgFileDialog.this.shell);
/* 151 */             save.setFileName(SaveImgFileDialog.this.filePath);
/* 152 */             save.setFilterPath(SaveImgFileDialog.this.filePath);
/* 153 */             String[] str = SaveImgFileDialog.this.filePath.split("\\.");
/* 154 */             String pfix = "jpg";
/* 155 */             if (str != null && str.length >= 2) {
/* 156 */               pfix = str[str.length - 1];
/*     */             }
/* 158 */             save.setFilterExtensions(new String[] { "*." + pfix });
/* 159 */             String fileName = save.open();
/* 160 */             File oldfile = new File(SaveImgFileDialog.this.filePath);
/* 161 */             InputStream inStream = null;
/* 162 */             FileOutputStream fs = null;
/*     */             try {
/* 164 */               int bytesum = 0;
/* 165 */               int byteread = 0;
/*     */               
/* 167 */               if (oldfile.exists()) {
/* 168 */                 inStream = new FileInputStream(SaveImgFileDialog.this.filePath);
/* 169 */                 fs = new FileOutputStream(fileName);
/* 170 */                 byte[] buffer = new byte[1444];
/* 171 */                 while ((byteread = inStream.read(buffer)) != -1) {
/* 172 */                   bytesum += byteread;
/* 173 */                   fs.write(buffer, 0, byteread);
/*     */                 } 
/* 175 */                 inStream.close();
/* 176 */                 fs.close();
/*     */               } 
/* 178 */             } catch (Exception e) {
/* 179 */               e.printStackTrace();
/*     */             } finally {
/* 181 */               SaveImgFileDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 186 */     Button button_2 = new Button((Composite)this.shell, 0);
/* 187 */     button_2.setBounds(311, 115, 72, 23);
/* 188 */     button_2.setText("取消");
/* 189 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 191 */             SaveImgFileDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\SaveImgFileDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */