/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.io.File;
/*     */ import java.net.URL;
/*     */ import javax.imageio.ImageIO;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.resource.ImageDescriptor;
/*     */ import org.eclipse.jface.resource.ImageRegistry;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.PaintEvent;
/*     */ import org.eclipse.swt.events.PaintListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.layout.RowLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Canvas;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ViewImageDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Combo combo;
/*     */   private Label label;
/*     */   private Label label_1;
/*     */   private String fileName;
/*     */   private String imagePath;
/*     */   private Canvas canvas;
/*     */   private Group group;
/*     */   private ImageRegistry reg;
/*     */   private Image image;
/*     */   private float width;
/*     */   private float heigth;
/*     */   private Composite container;
/*     */   private Composite composite;
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private Button button;
/*     */   private Button buttonR1;
/*     */   private Button buttonR2;
/*     */   
/*     */   public ViewImageDialog(Shell parentShell, String fileName, String imagePath) {
/*  65 */     super(parentShell);
/*  66 */     setShellStyle(66560);
/*  67 */     this.fileName = fileName;
/*  68 */     this.imagePath = imagePath;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  78 */     parent.setCapture(true);
/*  79 */     parent.setBackgroundMode(2);
/*  80 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  81 */     parent.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/*  83 */             ViewImageDialog.this.setSize();
/*     */           }
/*     */         });
/*  86 */     parent.setRedraw(true);
/*  87 */     this.container = (Composite)super.createDialogArea(parent);
/*  88 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/*  90 */     this.group = new Group(this.container, 0);
/*  91 */     this.group.setLayout((Layout)new GridLayout());
/*     */     
/*  93 */     this.label = new Label((Composite)this.group, 0);
/*     */     
/*  95 */     Label label_2 = new Label((Composite)this.group, 258);
/*  96 */     label_2.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */     
/*  99 */     this.composite = new Composite((Composite)this.group, 0);
/* 100 */     this.composite.setLayout((Layout)new RowLayout());
/* 101 */     this.composite.setLayoutData(new GridData(16777216, 16777216, true, 
/* 102 */           false));
/*     */     
/* 104 */     this.label_1 = new Label(this.composite, 0);
/*     */ 
/*     */     
/* 107 */     this.combo = new Combo(this.composite, 0);
/*     */     
/* 109 */     this.button = new Button(this.composite, 0);
/* 110 */     this.button.setText("下载");
/*     */     
/* 112 */     this.buttonR1 = new Button(this.composite, 0);
/* 113 */     this.buttonR1.setText("旋转90度");
/*     */     
/* 115 */     this.buttonR2 = new Button(this.composite, 0);
/* 116 */     this.buttonR2.setText("旋转180度");
/*     */     
/* 118 */     this.scrolledComposite = new ScrolledComposite((Composite)this.group, 2816);
/*     */     
/* 120 */     this.scrolledComposite.setRedraw(true);
/* 121 */     this.scrolledComposite.setLayoutData(new GridData(4, 4, true, 
/* 122 */           true));
/*     */     
/* 124 */     this.canvas = new Canvas((Composite)this.scrolledComposite, 0);
/*     */     
/* 126 */     this.scrolledComposite.setContent((Control)this.canvas);
/* 127 */     setData();
/* 128 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 138 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 146 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 150 */     super.configureShell(newShell);
/* 151 */     newShell.setText("查看附件");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData() {
/* 158 */     this.label.setText("查看附件：" + this.fileName);
/* 159 */     this.label_1.setText("请选择将图片放缩的比例：");
/* 160 */     this.combo.add("放缩比例");
/* 161 */     this.combo.add("10%");
/* 162 */     this.combo.add("25%");
/* 163 */     this.combo.add("50%");
/* 164 */     this.combo.add("75%");
/* 165 */     this.combo.add("100%");
/* 166 */     this.combo.add("150%");
/* 167 */     this.combo.add("200%");
/* 168 */     this.combo.setData("放缩比例", "1");
/* 169 */     this.combo.setData("10%", "0.1");
/* 170 */     this.combo.setData("25%", "0.25");
/* 171 */     this.combo.setData("50%", "0.5");
/* 172 */     this.combo.setData("75%", "0.75");
/* 173 */     this.combo.setData("100%", "1");
/* 174 */     this.combo.setData("150%", "1.5");
/* 175 */     this.combo.setData("200%", "2");
/* 176 */     this.combo.select(0);
/* 177 */     setImageCanves();
/* 178 */     this.combo.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 180 */             String str = ViewImageDialog.this.combo.getText();
/* 181 */             String data = (String)ViewImageDialog.this.combo.getData(str);
/* 182 */             ViewImageDialog.this.width = Float.parseFloat(data);
/* 183 */             ViewImageDialog.this.heigth = Float.parseFloat(data);
/* 184 */             ViewImageDialog.this.setSize();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 189 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 191 */             SaveImgFileDialog dialog = new SaveImgFileDialog(ViewImageDialog.this.getShell(), ViewImageDialog.this.imagePath);
/* 192 */             dialog.open();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 197 */     this.buttonR1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {
/*     */             try {
/* 201 */               BufferedImage src = ImageIO.read(new File(ViewImageDialog.this.imagePath));
/* 202 */               src = PublicUtil.rotate(src, Double.parseDouble("90"));
/* 203 */               ImageIO.write(src, "jpg", new File(ViewImageDialog.this.imagePath));
/*     */               
/* 205 */               ViewImageDialog.this.reg.remove("attach");
/* 206 */               ViewImageDialog.this.reg.dispose();
/*     */               
/* 208 */               ViewImageDialog.this.setImageCanves();
/* 209 */               ViewImageDialog.this.width = Float.parseFloat("1");
/* 210 */               ViewImageDialog.this.heigth = Float.parseFloat("1");
/* 211 */               ViewImageDialog.this.combo.select(5);
/*     */               
/* 213 */               ViewImageDialog.this.setSize();
/* 214 */             } catch (Exception ex) {
/* 215 */               ex.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 221 */     this.buttonR2.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {
/*     */             try {
/* 225 */               BufferedImage src = ImageIO.read(new File(ViewImageDialog.this.imagePath));
/* 226 */               src = PublicUtil.rotate(src, Double.parseDouble("180"));
/* 227 */               ImageIO.write(src, "jpg", new File(ViewImageDialog.this.imagePath));
/*     */               
/* 229 */               ViewImageDialog.this.reg.remove("attach");
/* 230 */               ViewImageDialog.this.reg.dispose();
/*     */               
/* 232 */               ViewImageDialog.this.setImageCanves();
/*     */               
/* 234 */               ViewImageDialog.this.width = Float.parseFloat("1");
/* 235 */               ViewImageDialog.this.heigth = Float.parseFloat("1");
/* 236 */               ViewImageDialog.this.combo.select(5);
/*     */               
/* 238 */               ViewImageDialog.this.setSize();
/* 239 */             } catch (Exception ex) {
/* 240 */               ex.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setImageCanves() {
/*     */     try {
/* 251 */       this.reg = new ImageRegistry();
/* 252 */       URL url = new URL("file:\\" + this.imagePath);
/* 253 */       ImageDescriptor des = ImageDescriptor.createFromURL(url);
/* 254 */       this.reg.put("attach", des);
/* 255 */       this.image = this.reg.get("attach");
/* 256 */       if (this.combo.getText().equals("放缩比例")) {
/* 257 */         this.width = 1.0F;
/* 258 */         this.heigth = 1.0F;
/*     */       } 
/* 260 */       this.canvas.addPaintListener(new PaintListener() {
/*     */             public void paintControl(PaintEvent arg0) {
/* 262 */               if (ViewImageDialog.this.image != null) {
/* 263 */                 arg0.gc
/* 264 */                   .drawImage(
/* 265 */                     ViewImageDialog.this.image, 
/* 266 */                     0, 
/* 267 */                     0, 
/* 268 */                     (ViewImageDialog.this.image.getBounds()).width, 
/* 269 */                     (ViewImageDialog.this.image.getBounds()).height, 
/* 270 */                     ((ViewImageDialog.this.group.getBounds()).width > 
/* 271 */                     (ViewImageDialog.this.image.getBounds()).width * 
/* 272 */                     ViewImageDialog.this.width) ? (int)((
/* 273 */                     (ViewImageDialog.this.group.getBounds()).width - 
/* 274 */                     (ViewImageDialog.this.image.getBounds()).width * 
/* 275 */                     ViewImageDialog.this.width) / 2.0F) : 0, 
/* 276 */                     0, 
/* 277 */                     (int)((ViewImageDialog.this.image.getBounds()).width * ViewImageDialog.this.width), 
/* 278 */                     (int)((ViewImageDialog.this.image.getBounds()).height * ViewImageDialog.this.heigth));
/*     */               }
/*     */             }
/*     */           });
/* 282 */     } catch (Exception e) {
/* 283 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean close() {
/* 289 */     this.reg.remove("attach");
/* 290 */     this.reg.dispose();
/* 291 */     return super.close();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 297 */     super.initializeBounds();
/* 298 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setSize() {
/* 305 */     this.canvas
/* 306 */       .setSize((int)((((getShell().getBounds()).width - 30) > 
/* 307 */         (this.image.getBounds()).width * 
/* 308 */         this.width) ? ((getShell().getBounds()).width - 30) : (
/* 309 */         (this.image.getBounds()).width * 
/* 310 */         this.width)), 
/* 311 */         (int)((((getShell().getBounds()).height - 110) > 
/* 312 */         (this.image.getBounds()).height * 
/* 313 */         this.heigth) ? ((getShell().getBounds()).height - 110) : (
/* 314 */         (this.image.getBounds()).height * this.heigth)));
/* 315 */     this.canvas.redraw();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\ViewImageDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */