/*     */ package cs.sydj.common.pagetab;
/*     */ 
/*     */ public class PageUtil
/*     */ {
/*   5 */   private int currentPage = 1;
/*   6 */   public int totalPages = 0;
/*   7 */   private int pageSize = 0;
/*   8 */   private int totalRows = 0;
/*   9 */   private int startNum = 1;
/*  10 */   private int nextPage = 0;
/*  11 */   private int previousPage = 0;
/*     */ 
/*     */   
/*     */   private boolean hasNextPage = false;
/*     */ 
/*     */   
/*     */   private boolean hasPreviousPage = false;
/*     */ 
/*     */ 
/*     */   
/*     */   public PageUtil(int pageSize, int currentPage, int totalRows) {
/*  22 */     this.pageSize = pageSize;
/*  23 */     this.currentPage = currentPage;
/*  24 */     this.totalRows = totalRows;
/*     */     
/*  26 */     if (totalRows % pageSize == 0) {
/*  27 */       this.totalPages = totalRows / pageSize;
/*     */     } else {
/*  29 */       this.totalPages = totalRows / pageSize + 1;
/*     */     } 
/*  31 */     if (currentPage >= this.totalPages) {
/*  32 */       this.hasNextPage = false;
/*  33 */       currentPage = this.totalPages;
/*     */     } else {
/*  35 */       this.hasNextPage = true;
/*     */     } 
/*  37 */     if (currentPage <= 1) {
/*  38 */       this.hasPreviousPage = false;
/*  39 */       currentPage = 1;
/*     */     } else {
/*  41 */       this.hasPreviousPage = true;
/*  42 */       this.startNum = (currentPage - 1) * pageSize + 1;
/*     */     } 
/*  44 */     this.nextPage = currentPage + 1;
/*  45 */     if (this.nextPage >= this.totalPages) {
/*  46 */       this.nextPage = this.totalPages;
/*     */     }
/*  48 */     this.previousPage = currentPage - 1;
/*  49 */     if (this.previousPage <= 1) {
/*  50 */       this.previousPage = 1;
/*     */     }
/*     */   }
/*     */   
/*     */   public boolean isHasNextPage() {
/*  55 */     return this.hasNextPage;
/*     */   }
/*     */   
/*     */   public boolean isHasPreviousPage() {
/*  59 */     return this.hasPreviousPage;
/*     */   }
/*     */   
/*     */   public int getNextPage() {
/*  63 */     return this.nextPage;
/*     */   }
/*     */   
/*     */   public void setNextPage(int nextPage) {
/*  67 */     this.nextPage = nextPage;
/*     */   }
/*     */   
/*     */   public int getPreviousPage() {
/*  71 */     return this.previousPage;
/*     */   }
/*     */   
/*     */   public void setPreviousPage(int previousPage) {
/*  75 */     this.previousPage = previousPage;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/*  79 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/*  83 */     this.currentPage = currentPage;
/*     */   }
/*     */   
/*     */   public int getPageSize() {
/*  87 */     return this.pageSize;
/*     */   }
/*     */   
/*     */   public void setPageSize(int pageSize) {
/*  91 */     this.pageSize = pageSize;
/*     */   }
/*     */   
/*     */   public int getTotalPages() {
/*  95 */     return this.totalPages;
/*     */   }
/*     */   
/*     */   public void setTotalPages(int totalPages) {
/*  99 */     this.totalPages = totalPages;
/*     */   }
/*     */   
/*     */   public int getTotalRows() {
/* 103 */     return this.totalRows;
/*     */   }
/*     */   
/*     */   public void setTotalRows(int totalRows) {
/* 107 */     this.totalRows = totalRows;
/*     */   }
/*     */   
/*     */   public void setHasNextPage(boolean hasNextPage) {
/* 111 */     this.hasNextPage = hasNextPage;
/*     */   }
/*     */   
/*     */   public void setHasPreviousPage(boolean hasPreviousPage) {
/* 115 */     this.hasPreviousPage = hasPreviousPage;
/*     */   }
/*     */   
/*     */   public int getStartNum() {
/* 119 */     return this.startNum;
/*     */   }
/*     */   
/*     */   public void setStartNum(int startNum) {
/* 123 */     this.startNum = startNum;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\pagetab\PageUtil.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */