/*     */ package cs.sydj.intro;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.VerifyRoleRight;
/*     */ import cs.sydj.common.VersionUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.StatusBarContribution;
/*     */ import cs.sydj.sys.ui.NavigationAdmin;
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.image.ImageObserver;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Collections;
/*     */ import javax.imageio.ImageIO;
/*     */ import javax.swing.ImageIcon;
/*     */ import org.eclipse.core.runtime.Platform;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ICoolBarManager;
/*     */ import org.eclipse.jface.action.IStatusLineManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.resource.ImageDescriptor;
/*     */ import org.eclipse.osgi.service.resolver.BundleDescription;
/*     */ import org.eclipse.osgi.service.resolver.State;
/*     */ import org.eclipse.swt.graphics.ImageData;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.IWorkbenchWindow;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.actions.ActionFactory;
/*     */ import org.eclipse.ui.application.ActionBarAdvisor;
/*     */ import org.eclipse.ui.application.IActionBarConfigurer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ApplicationActionBarAdvisor
/*     */   extends ActionBarAdvisor
/*     */ {
/*     */   private ActionFactory.IWorkbenchAction introAction;
/*     */   private IAction adminPersAction;
/*     */   private IAction quntuanPersAction;
/*     */   private IAction sydjPersAction;
/*     */   private Action topImageAction;
/*     */   private Action topImageAction1;
/*     */   private Action dataSyncAction;
/*     */   
/*     */   private class TopImageAction
/*     */     extends Action
/*     */   {
/*     */     public TopImageAction(boolean flag) {
/* 128 */       setId("TOP_IMAGE");
/* 129 */       if (flag) {
/* 130 */         setImageDescriptor(new ImageDescriptor()
/*     */             {
/*     */               public ImageData getImageData() {
/*     */                 try {
/* 134 */                   String srcPath = PublicUtil.getRealPath("topimage\\admin_logo.jpg");
/* 135 */                   String groupPath = PublicUtil.getRealPath("topimage\\group.png");
/* 136 */                   String namePath = PublicUtil.getRealPath("topimage\\user.png");
/*     */                   
/* 138 */                   String groupName = GljgUserInfo.getInstance().getGroupname();
/* 139 */                   String userName = GljgUserInfo.getInstance().getUsername();
/*     */ 
/*     */                   
/* 142 */                   VerifyRoleRight verifyRole = new VerifyRoleRight();
/*     */                   
/* 144 */                   if (PublicUtil.checkDistrictCode()) {
/* 145 */                     if (verifyRole
/* 146 */                       .haveRoleRight(new String[] { "编办领导" })) {
/* 147 */                       groupName = "办领导";
/* 148 */                       userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/* 149 */                     } else if (verifyRole
/* 150 */                       .haveRoleRight(new String[] { "编办纪委" })) {
/* 151 */                       groupName = "机关纪委";
/* 152 */                       userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "同志您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/* 153 */                     } else if (verifyRole
/* 154 */                       .haveRoleRight(new String[] { "局领导" })) {
/* 155 */                       groupName = "局领导";
/* 156 */                       userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "同志您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/* 157 */                     } else if (verifyRole
/* 158 */                       .haveRoleRight(new String[] { "监督检查处" })) {
/* 159 */                       userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "同志您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/*     */                     } else {
/* 161 */                       userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "同志您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/*     */                     } 
/*     */                   } else {
/* 164 */                     userName = String.valueOf(GljgUserInfo.getInstance().getRealname()) + "同志您好，欢迎您登录" + "中央编办网上机关赋码和事业单位登记管理系统" + "。";
/*     */                   } 
/*     */ 
/*     */                   
/* 168 */                   BufferedImage imageBf = ImageIO.read(new FileInputStream(srcPath));
/* 169 */                   Graphics2D g = imageBf.createGraphics();
/* 170 */                   g.setColor(Color.BLACK);
/*     */                   
/* 172 */                   g.setFont(new Font("楷体", 0, 16));
/*     */                   
/* 174 */                   Image groupImg = (new ImageIcon(groupPath)).getImage();
/* 175 */                   Image userImg = (new ImageIcon(namePath)).getImage();
/*     */                   
/* 177 */                   g.drawImage(groupImg, 360, imageBf.getHeight() / 2 - 12, (ImageObserver)null);
/* 178 */                   g.drawString(groupName, 379, imageBf.getHeight() / 2);
/* 179 */                   g.drawImage(userImg, 640, imageBf.getHeight() / 2 - 12, (ImageObserver)null);
/* 180 */                   g.drawString(userName, 659, imageBf.getHeight() / 2);
/* 181 */                   g.dispose();
/* 182 */                   String disPath = PublicUtil.getRealPath("topimage/" + GljgUserInfo.getInstance().getGroupid() + GljgUserInfo.getInstance().getUserid() + ".jpg");
/* 183 */                   ImageIO.write(imageBf, "JPG", new File(disPath));
/*     */                   
/* 185 */                   ImageData image = new ImageData(disPath);
/* 186 */                   return image;
/* 187 */                 } catch (Exception e) {
/* 188 */                   e.printStackTrace();
/*     */                   
/* 190 */                   return null;
/*     */                 }  }
/*     */             });
/*     */       } else {
/* 194 */         setImageDescriptor(new ImageDescriptor()
/*     */             {
/*     */               public ImageData getImageData() {
/*     */                 try {
/* 198 */                   ImageData image = new ImageData(
/* 199 */                       PublicUtil.getRealPath("topimage/" + 
/* 200 */                         GljgUserInfo.getInstance()
/* 201 */                         .getGroupid() + 
/* 202 */                         GljgUserInfo.getInstance()
/* 203 */                         .getUserid() + ".jpg"));
/* 204 */                   return image;
/* 205 */                 } catch (Exception e) {
/* 206 */                   e.printStackTrace();
/*     */                   
/* 208 */                   return null;
/*     */                 } 
/*     */               }
/*     */             });
/*     */       } 
/*     */     } public void run() {}
/*     */   } private Update update = null; public static ICoolBarManager coolbar; public IToolBarManager toolBar = null; String _version = ""; private StatusBarContribution statusBarContribution; public ApplicationActionBarAdvisor(IActionBarConfigurer configurer) { super(configurer); } protected void makeActions(IWorkbenchWindow window) { if (window.getWorkbench().getIntroManager().hasIntro()) { this.introAction = ActionFactory.INTRO.create(window); register((IAction)this.introAction); }
/*     */      this.adminPersAction = (IAction)new AdminPersAction(); register(this.adminPersAction); this.quntuanPersAction = (IAction)new QuntuanPersAction(); register(this.quntuanPersAction); this.sydjPersAction = (IAction)new sydjPersAction(); register(this.sydjPersAction); this.topImageAction = new TopImageAction(true); register((IAction)this.topImageAction); this.topImageAction1 = new TopImageAction(false); register((IAction)this.topImageAction1); State state = Platform.getPlatformAdmin().getState(); BundleDescription[] descriptions = state.getBundles(); ArrayList<String> list = new ArrayList<String>(); for (int i = 0; i < descriptions.length; i++) { if ("cs.sydj".equals(descriptions[i].getSymbolicName()))
/*     */         list.add(descriptions[i].getVersion().toString());  }
/*     */      Collections.sort(list); String msg = "登录用户：" + GljgUserInfo.getInstance().getRealname(); this._version = list.get(list.size() - 1); this.statusBarContribution = new StatusBarContribution(msg, this._version); this.statusBarContribution.setVisible(true); VersionUtil.getInstance().setVersion(this._version); } protected void fillStatusLine(IStatusLineManager statusLine) { statusLine.add((IContributionItem)this.statusBarContribution); } public void fillCoolBar(ICoolBarManager coolBar) { coolbar = coolBar; coolbar.removeAll(); this.toolBar = (IToolBarManager)new ToolBarManager(8388608); coolbar.add(this.toolBar); if (ApplicationWorkbenchWindowAdvisor.flag) { this.toolBar.add((IAction)this.topImageAction); }
/*     */     else
/*     */     { this.toolBar.add((IAction)this.topImageAction1); }
/* 220 */      coolbar.update(true); } private static class AdminPersAction extends Action { public AdminPersAction() { setId("ADMIN_PERSPECTIVE");
/* 221 */       setText("进入事业单位内部办公系统"); }
/*     */ 
/*     */     
/*     */     public void run() {
/* 225 */       ApplicationWorkbenchWindowAdvisor.flag = false;
/* 226 */       ApplicationWorkbenchWindowAdvisor.bar
/* 227 */         .fillCoolBar(ApplicationActionBarAdvisor.coolbar);
/*     */       
/* 229 */       ApplicationWorkbenchWindowAdvisor.showPerspective("cs.admin.intro.AdminPerspective");
/* 230 */       ApplicationActionBarAdvisor.showTop(1);
/*     */     } }
/*     */ 
/*     */   
/*     */   private static class QuntuanPersAction extends Action {
/*     */     public QuntuanPersAction() {
/* 236 */       setId("Quntuan_PERSPECTIVE");
/* 237 */       setText("进入党群机关管理系统");
/*     */     }
/*     */     
/*     */     public void run() {
/* 241 */       ApplicationWorkbenchWindowAdvisor.flag = false;
/* 242 */       ApplicationWorkbenchWindowAdvisor.bar
/* 243 */         .fillCoolBar(ApplicationActionBarAdvisor.coolbar);
/*     */       
/* 245 */       ApplicationWorkbenchWindowAdvisor.showPerspective("cs.admin.intro.QuntuanPerspective");
/* 246 */       ApplicationActionBarAdvisor.showTop(1);
/*     */     }
/*     */   }
/*     */   
/*     */   private static class sydjPersAction extends Action {
/*     */     public sydjPersAction() {
/* 252 */       setId("SYDJ_PERSPECTIVE");
/* 253 */       setText("进入网上登记系统");
/*     */     }
/*     */     
/*     */     public void run() {
/* 257 */       ApplicationWorkbenchWindowAdvisor.flag = true;
/* 258 */       ApplicationWorkbenchWindowAdvisor.bar
/* 259 */         .fillCoolBar(ApplicationActionBarAdvisor.coolbar);
/*     */       
/* 261 */       ApplicationWorkbenchWindowAdvisor.showPerspective("cs.sydj.perspective");
/* 262 */       ApplicationActionBarAdvisor.showTop(0);
/*     */     }
/*     */   }
/*     */   
/*     */   private static void showTop(int i) {
/* 267 */     String navigate = null;
/* 268 */     String view = null;
/* 269 */     String otherna = null;
/* 270 */     switch (i) {
/*     */       case 1:
/* 272 */         view = "cs.admin.home.AdminHomeView";
/* 273 */         navigate = "cs.sydj.sys.ui.NavigationAdmin";
/* 274 */         otherna = "cs.sydj.sys.ui.NavigationChangetoShowLi";
/*     */         break;
/*     */       default:
/* 277 */         view = "cs.sydj.operation.homepage.HomePages";
/* 278 */         navigate = "cs.sydj.sys.ui.NavigationShouLi";
/* 279 */         otherna = "cs.sydj.sys.ui.NavigationChangetoAdmin"; break;
/*     */     } 
/*     */     try {
/* 282 */       IViewReference[] iViewReferences = PlatformUI.getWorkbench()
/* 283 */         .getActiveWorkbenchWindow().getActivePage()
/* 284 */         .getViewReferences();
/* 285 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 286 */         .getActivePage()
/* 287 */         .showView("cs.admin.intro.plainView"); byte b; int j; IViewReference[] arrayOfIViewReference1;
/* 288 */       for (j = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < j; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 289 */         String otherid = iViewReference.getId();
/* 290 */         if (!otherid.equals(otherna) && !otherid.equals(navigate) && 
/* 291 */           !"cs.admin.intro.plainView".equals(view)) {
/*     */           
/* 293 */           IViewPart iViewPart = PlatformUI.getWorkbench()
/* 294 */             .getActiveWorkbenchWindow().getActivePage()
/* 295 */             .findView(otherid);
/* 296 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 297 */             .getActivePage().hideView(iViewPart);
/* 298 */           iViewPart = null;
/*     */         }  b++; }
/*     */       
/* 301 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 302 */         .getActivePage().showView(view);
/*     */       
/* 304 */       IViewPart iview = PlatformUI.getWorkbench()
/* 305 */         .getActiveWorkbenchWindow().getActivePage().findView(
/* 306 */           "cs.admin.intro.plainView");
/* 307 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 308 */         .getActivePage().hideView(iview);
/* 309 */       iview = null;
/*     */       
/* 311 */       if (i == 1) {
/* 312 */         NavigationAdmin naviView = 
/* 313 */           (NavigationAdmin)PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 314 */           .getActivePage().findView(
/* 315 */             "cs.sydj.sys.ui.NavigationAdmin");
/* 316 */         naviView.initView();
/*     */       } 
/* 318 */     } catch (Exception e1) {
/* 319 */       e1.printStackTrace();
/*     */       try {
/* 321 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 322 */           .getActivePage().showView(view);
/* 323 */       } catch (PartInitException e) {
/*     */         
/* 325 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\intro\ApplicationActionBarAdvisor.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */