/*     */ package cs.sydj.operation.abolish;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AbolishOperation
/*     */ {
/*  15 */   String operation = "CertAbolish";
/*  16 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  17 */   String messagexml = null;
/*  18 */   String replyxml = null;
/*     */   
/*  20 */   ArrayList result = new ArrayList();
/*  21 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getUnits(String groupId, String districtCode, String certId, String name, String state, int startNo, int maxCount) {
/*  36 */     this.messageParameter.put("name", name);
/*  37 */     this.messageParameter.put("certId", certId);
/*  38 */     this.messageParameter.put("groupId", groupId);
/*  39 */     this.messageParameter.put("districtCode", districtCode);
/*  40 */     this.messageParameter.put("state", state);
/*  41 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  42 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  43 */     this.messagexml = 
/*  44 */       MessageXML.MessageToXML(this.operation, "getUnits", this.messageParameter);
/*     */     try {
/*  46 */       this.sender = new MessageSender(
/*  47 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  48 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  49 */       this.replyxml = this.sender
/*  50 */         .sendMessage(this.messagexml, "xml");
/*  51 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  52 */     } catch (JMSException e) {
/*  53 */       e.printStackTrace();
/*     */     }
/*  55 */     catch (Exception e) {
/*  56 */       e.printStackTrace();
/*     */     } 
/*  58 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getUnits(HashMap args) {
/*  69 */     String groupId = String.valueOf(args.get("groupId"));
/*  70 */     String districtCode = String.valueOf(args.get("districtCode"));
/*  71 */     String certId = String.valueOf(args.get("certId"));
/*  72 */     String name = String.valueOf(args.get("name"));
/*  73 */     String state = String.valueOf(args.get("state"));
/*  74 */     int startNo = ((Integer)args.get("startNo")).intValue();
/*  75 */     int maxCount = ((Integer)args.get("maxCount")).intValue();
/*  76 */     String type = String.valueOf(args.get("type"));
/*     */     
/*  78 */     if ("1".equals(type))
/*     */     {
/*  80 */       return getUnits(groupId, districtCode, certId, name, state, startNo, maxCount);
/*     */     }
/*     */     
/*  83 */     return getExcelUnits(groupId, districtCode, certId, name, state);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getExcelUnits(String groupId, String districtCode, String certId, String name, String state) {
/*  96 */     this.messageParameter.put("name", name);
/*  97 */     this.messageParameter.put("certId", certId);
/*  98 */     this.messageParameter.put("groupId", groupId);
/*  99 */     this.messageParameter.put("districtCode", districtCode);
/* 100 */     this.messageParameter.put("state", state);
/* 101 */     this.messagexml = 
/* 102 */       MessageXML.MessageToXML(this.operation, "getExcelUnits", this.messageParameter);
/*     */     try {
/* 104 */       this.sender = new MessageSender(
/* 105 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 106 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 107 */       this.replyxml = this.sender
/* 108 */         .sendMessage(this.messagexml, "xml");
/* 109 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 110 */     } catch (JMSException e) {
/* 111 */       e.printStackTrace();
/*     */     }
/* 113 */     catch (Exception e) {
/* 114 */       e.printStackTrace();
/*     */     } 
/* 116 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList check(ArrayList items, String districtCode) {
/* 123 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/* 124 */     this.messageParameter.put("districtCode", districtCode);
/* 125 */     this.messagexml = 
/* 126 */       MessageXML.MessageToXML(this.operation, "check", this.messageParameter);
/*     */     try {
/* 128 */       this.sender = new MessageSender(
/* 129 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 130 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 131 */       this.replyxml = this.sender
/* 132 */         .sendMessage(this.messagexml, "xml");
/* 133 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 134 */     } catch (JMSException e) {
/* 135 */       e.printStackTrace();
/*     */     }
/* 137 */     catch (Exception e) {
/* 138 */       e.printStackTrace();
/*     */     } 
/* 140 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String abolish(ArrayList units, String oper, String reasion, String date, String districtCode) {
/* 148 */     this.messageParameter.put("units", MessageXML.getReplyXML(units));
/* 149 */     this.messageParameter.put("oper", oper);
/* 150 */     this.messageParameter.put("reason", reasion);
/* 151 */     this.messageParameter.put("date", date);
/* 152 */     this.messageParameter.put("districtCode", districtCode);
/* 153 */     this.messagexml = 
/* 154 */       MessageXML.MessageToXML(this.operation, "abolish", this.messageParameter);
/*     */     try {
/* 156 */       this.sender = new MessageSender(
/* 157 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 158 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 159 */       this.replyxml = this.sender
/* 160 */         .sendMessage(this.messagexml, "short");
/* 161 */     } catch (JMSException e) {
/* 162 */       e.printStackTrace();
/*     */     }
/* 164 */     catch (Exception e) {
/* 165 */       e.printStackTrace();
/*     */     } 
/* 167 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String delete(ArrayList units, String districtCode) {
/* 174 */     this.messageParameter.put("units", MessageXML.getReplyXML(units));
/* 175 */     this.messageParameter.put("districtCode", districtCode);
/* 176 */     this.messagexml = 
/* 177 */       MessageXML.MessageToXML(this.operation, "delete", this.messageParameter);
/*     */     try {
/* 179 */       this.sender = new MessageSender(
/* 180 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 181 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 182 */       this.replyxml = this.sender
/* 183 */         .sendMessage(this.messagexml, "short");
/* 184 */     } catch (JMSException e) {
/* 185 */       e.printStackTrace();
/*     */     }
/* 187 */     catch (Exception e) {
/* 188 */       e.printStackTrace();
/*     */     } 
/* 190 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String remove(ArrayList units, String oper, String reasion, String date, String districtCode) {
/* 198 */     this.messageParameter.put("units", MessageXML.getReplyXML(units));
/* 199 */     this.messageParameter.put("oper", oper);
/* 200 */     this.messageParameter.put("reason", reasion);
/* 201 */     this.messageParameter.put("date", date);
/* 202 */     this.messageParameter.put("districtCode", districtCode);
/* 203 */     this.messagexml = 
/* 204 */       MessageXML.MessageToXML(this.operation, "remove", this.messageParameter);
/*     */     try {
/* 206 */       this.sender = new MessageSender(
/* 207 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 208 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 209 */       this.replyxml = this.sender
/* 210 */         .sendMessage(this.messagexml, "short");
/* 211 */     } catch (JMSException e) {
/* 212 */       e.printStackTrace();
/*     */     }
/* 214 */     catch (Exception e) {
/* 215 */       e.printStackTrace();
/*     */     } 
/* 217 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList beforeModify(String unitId) {
/* 224 */     this.messageParameter.put("unitId", unitId);
/* 225 */     this.messagexml = 
/* 226 */       MessageXML.MessageToXML(this.operation, "beforeModify", this.messageParameter);
/*     */     try {
/* 228 */       this.sender = new MessageSender(
/* 229 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 230 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 231 */       this.replyxml = this.sender
/* 232 */         .sendMessage(this.messagexml, "xml");
/* 233 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 234 */     } catch (JMSException e) {
/* 235 */       e.printStackTrace();
/*     */     }
/* 237 */     catch (Exception e) {
/* 238 */       e.printStackTrace();
/*     */     } 
/* 240 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String modify(String unitId, String oper, String reasion, String date) {
/* 247 */     this.messageParameter.put("unitId", unitId);
/* 248 */     this.messageParameter.put("oper", oper);
/* 249 */     this.messageParameter.put("reason", reasion);
/* 250 */     this.messageParameter.put("date", date);
/* 251 */     this.messagexml = 
/* 252 */       MessageXML.MessageToXML(this.operation, "modify", this.messageParameter);
/*     */     try {
/* 254 */       this.sender = new MessageSender(
/* 255 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 256 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 257 */       this.replyxml = this.sender
/* 258 */         .sendMessage(this.messagexml, "short");
/* 259 */     } catch (JMSException e) {
/* 260 */       e.printStackTrace();
/*     */     }
/* 262 */     catch (Exception e) {
/* 263 */       e.printStackTrace();
/*     */     } 
/* 265 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList detail(String unitId, int startNo, int maxCount) {
/* 272 */     this.messageParameter.put("unitId", unitId);
/* 273 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 274 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 275 */     this.messagexml = 
/* 276 */       MessageXML.MessageToXML(this.operation, "detail", this.messageParameter);
/*     */     try {
/* 278 */       this.sender = new MessageSender(
/* 279 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 280 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 281 */       this.replyxml = this.sender
/* 282 */         .sendMessage(this.messagexml, "xml");
/* 283 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 284 */     } catch (JMSException e) {
/* 285 */       e.printStackTrace();
/*     */     }
/* 287 */     catch (Exception e) {
/* 288 */       e.printStackTrace();
/*     */     } 
/* 290 */     return this.result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\abolish\AbolishOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */