/*     */ package cs.sydj.operation.abolish;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.OverSeeModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DetailDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Text text_1;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_1;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private Table table;
/*     */   private ArrayList list;
/*     */   private String unitName;
/*  51 */   int totalRows = 0;
/*  52 */   int startNo = 1;
/*  53 */   int currentPage = 1;
/*  54 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  57 */   int maxCount = 15;
/*  58 */   private AbolishOperation oper = new AbolishOperation();
/*     */ 
/*     */ 
/*     */   
/*     */   private String unitId;
/*     */ 
/*     */ 
/*     */   
/*     */   public DetailDialog(Shell parentShell) {
/*  67 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public DetailDialog(Shell parentShell, ArrayList list, String unitName, String unitId) {
/*  72 */     super(parentShell);
/*  73 */     this.list = list;
/*  74 */     this.unitName = unitName;
/*  75 */     this.unitId = unitId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  85 */     parent.setBackgroundMode(2);
/*  86 */     parent.setBackground(Display.getCurrent()
/*  87 */         .getSystemColor(1));
/*  88 */     Composite container = (Composite)super.createDialogArea(parent);
/*  89 */     container.setBackgroundMode(2);
/*  90 */     container.setBackground(Display.getCurrent()
/*  91 */         .getSystemColor(1));
/*     */     
/*  93 */     Label label = new Label(container, 64);
/*  94 */     label.setLayoutData(new GridData(16384, 16777216, true, false));
/*  95 */     label.setText(String.valueOf(this.unitName) + ">>废止历史");
/*     */     
/*  97 */     final TableViewer tableViewer = new TableViewer(container, 67586);
/*  98 */     this.table = tableViewer.getTable();
/*  99 */     this.table.setLinesVisible(true);
/* 100 */     this.table.setHeaderVisible(true);
/* 101 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 103 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 104 */         0);
/* 105 */     newColumnTableColumn.setWidth(40);
/* 106 */     newColumnTableColumn.setText("序号");
/*     */     
/* 108 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 109 */         0);
/* 110 */     newColumnTableColumn_1.setWidth(216);
/* 111 */     newColumnTableColumn_1.setText("废止原因");
/*     */     
/* 113 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 114 */         0);
/* 115 */     newColumnTableColumn_2.setWidth(79);
/* 116 */     newColumnTableColumn_2.setText("废止时间");
/*     */     
/* 118 */     tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 119 */     tableViewer.setLabelProvider((IBaseLabelProvider)new TableViewerDetailLabelProvider());
/* 120 */     PublicUtil.setTableHeight(tableViewer.getTable());
/*     */     
/* 122 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 123 */         0);
/* 124 */     newColumnTableColumn_3.setWidth(70);
/* 125 */     newColumnTableColumn_3.setText("废止人");
/*     */     
/* 127 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 128 */         0);
/* 129 */     newColumnTableColumn_4.setWidth(202);
/* 130 */     newColumnTableColumn_4.setText("撤销废止原因");
/*     */     
/* 132 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 133 */         0);
/* 134 */     newColumnTableColumn_5.setWidth(90);
/* 135 */     newColumnTableColumn_5.setText("撤销废止时间");
/*     */     
/* 137 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 138 */         0);
/* 139 */     newColumnTableColumn_6.setWidth(73);
/* 140 */     newColumnTableColumn_6.setText("撤销人");
/* 141 */     PublicUtil.setTableHeight(this.table);
/* 142 */     tableViewer.setInput(this.list);
/*     */     
/* 144 */     this.compage = new Composite(container, 0);
/* 145 */     GridData gd_compage = new GridData(4, 128, true, 
/* 146 */         false, 5, 1);
/* 147 */     this.compage.setLayoutData(gd_compage);
/* 148 */     GridLayout gridLayout = new GridLayout();
/* 149 */     gridLayout.verticalSpacing = 0;
/* 150 */     gridLayout.numColumns = 7;
/* 151 */     this.compage.setLayout((Layout)gridLayout);
/* 152 */     this.compage.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*     */     
/* 154 */     this.page = new Label(this.compage, 0);
/* 155 */     this.page.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 156 */     this.page.setText("页次：");
/*     */     
/* 158 */     this.nowPage = new Label(this.compage, 0);
/* 159 */     this.nowPage.setLayoutData(new GridData());
/* 160 */     this.nowPage.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 161 */     this.nowPage.setText("Label");
/*     */     
/* 163 */     this.everyPageRows = new Label(this.compage, 0);
/* 164 */     this.everyPageRows.setLayoutData(new GridData());
/* 165 */     this.everyPageRows.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 166 */     this.everyPageRows.setText("Label");
/*     */     
/* 168 */     this.allRows = new Label(this.compage, 0);
/* 169 */     this.allRows.setLayoutData(new GridData());
/* 170 */     this.allRows.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 171 */     this.allRows.setText("Label");
/*     */     
/* 173 */     this.composite_1 = new Composite(this.compage, 0);
/* 174 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 175 */         false);
/* 176 */     this.composite_1.setLayoutData(gd_composite_1);
/* 177 */     GridLayout gridLayout_1 = new GridLayout();
/* 178 */     gridLayout_1.numColumns = 4;
/* 179 */     this.composite_1.setLayout((Layout)gridLayout_1);
/* 180 */     this.composite_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*     */     
/* 182 */     this.priorPage = new Button(this.composite_1, 0);
/* 183 */     this.priorPage.setEnabled(false);
/* 184 */     this.priorPage.setText("上一页");
/*     */     
/* 186 */     this.nextPage = new Button(this.composite_1, 0);
/* 187 */     this.nextPage.setEnabled(false);
/* 188 */     this.nextPage.setText("下一页");
/*     */     
/* 190 */     Label label_1 = new Label(this.composite_1, 0);
/* 191 */     label_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 192 */     label_1.setText("转至第");
/*     */     
/* 194 */     this.text_1 = new Text(this.composite_1, 2048);
/* 195 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 196 */     gd_text.widthHint = 46;
/* 197 */     this.text_1.setLayoutData(gd_text);
/*     */     
/* 199 */     Label label_1_1 = new Label(this.compage, 0);
/* 200 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 201 */     label_1_1.setText("页");
/*     */     
/* 203 */     this.goButton = new Button(this.compage, 0);
/* 204 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 205 */     this.goButton.setText("GO");
/* 206 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 210 */             DetailDialog.this.list = DetailDialog.this.oper
/* 211 */               .detail(DetailDialog.this.unitId, (DetailDialog.this.currentPage - 2) * DetailDialog.this.maxCount + 1, DetailDialog.this.maxCount);
/* 212 */             tableViewer.setInput(DetailDialog.this.list);
/* 213 */             DetailDialog.this.setPages(DetailDialog.this.currentPage - 1);
/*     */           }
/*     */         });
/* 216 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 219 */             DetailDialog.this.list = 
/* 220 */               DetailDialog.this.oper.detail(DetailDialog.this.unitId, DetailDialog.this.currentPage * DetailDialog.this.maxCount + 1, DetailDialog.this.maxCount);
/* 221 */             tableViewer.setInput(DetailDialog.this.list);
/* 222 */             DetailDialog.this.setPages(DetailDialog.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 226 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 228 */             if (VerifyFunction.isNumeric(DetailDialog.this.text_1.getText())) {
/* 229 */               int aa = Integer.parseInt(DetailDialog.this.text_1.getText());
/* 230 */               if (aa > DetailDialog.this.totalPages) {
/* 231 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 233 */                 DetailDialog.this.list = DetailDialog.this.oper
/* 234 */                   .detail(DetailDialog.this.unitId, (aa - 1) * DetailDialog.this.maxCount + 1, DetailDialog.this.maxCount);
/* 235 */                 tableViewer.setInput(DetailDialog.this.list);
/* 236 */                 DetailDialog.this.setPages(aa);
/*     */               } 
/*     */             } else {
/* 239 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/* 243 */     setPages(this.startNo);
/* 244 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 251 */     if (this.list.size() == 0) {
/* 252 */       this.totalRows = 0;
/*     */     } else {
/* 254 */       this.totalRows = ((OverSeeModel)this.list.get(0)).getCounts();
/* 255 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 256 */     this.totalPages = pu.getTotalPages();
/* 257 */     this.currentPage = pu.getCurrentPage();
/* 258 */     this.hasNextPage = pu.isHasNextPage();
/* 259 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 260 */     if (this.totalPages == 0) {
/* 261 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 263 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 265 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 266 */     this.allRows.setText("共" + this.totalRows + "行");
/* 267 */     if (!this.hasPreviousPage) {
/* 268 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 270 */       this.priorPage.setEnabled(true);
/* 271 */     }  if (!this.hasNextPage) {
/* 272 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 274 */       this.nextPage.setEnabled(true);
/* 275 */     }  if (this.totalPages > 1) {
/* 276 */       this.goButton.setEnabled(true);
/* 277 */       this.text_1.setEnabled(true);
/*     */     } else {
/* 279 */       this.goButton.setEnabled(false);
/* 280 */       this.text_1.setEnabled(false);
/*     */     } 
/* 282 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 292 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 300 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 304 */     super.configureShell(newShell);
/* 305 */     newShell.setText("废止历史列表");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 311 */     super.initializeBounds();
/* 312 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\abolish\DetailDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */