/*     */ package cs.sydj.operation.authorize;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AuthorizeSaveExcelResultDialog
/*     */   extends Dialog
/*     */ {
/*  32 */   protected String result = null;
/*     */   protected Shell shell;
/*  34 */   protected String sheetName = "";
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */   
/*     */   private ArrayList<?> list;
/*     */   
/*     */   private String dataType;
/*     */ 
/*     */   
/*     */   public AuthorizeSaveExcelResultDialog(Shell parent, int style) {
/*  46 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AuthorizeSaveExcelResultDialog(Shell parent) {
/*  55 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AuthorizeSaveExcelResultDialog(Shell parent, ArrayList<?> list, String sheetName, String dataType) {
/*  68 */     super(parent);
/*  69 */     this.list = list;
/*  70 */     this.sheetName = sheetName;
/*  71 */     this.dataType = dataType;
/*  72 */     this.suffix = "xls";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  81 */     createContents();
/*  82 */     PublicUtil.setCenter(this.shell);
/*  83 */     this.shell.open();
/*  84 */     this.shell.layout();
/*  85 */     Display display = getParent().getDisplay();
/*  86 */     while (!this.shell.isDisposed()) {
/*  87 */       if (!display.readAndDispatch())
/*  88 */         display.sleep(); 
/*     */     } 
/*  90 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  97 */     this.shell = new Shell(getParent(), 67680);
/*  98 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  99 */     this.shell.setBackgroundMode(1);
/* 100 */     GridLayout gridLayout = new GridLayout();
/* 101 */     gridLayout.numColumns = 3;
/* 102 */     this.shell.setLayout((Layout)gridLayout);
/* 103 */     this.shell.setSize(350, 180);
/* 104 */     this.shell.setText(String.valueOf(this.sheetName) + "下载");
/*     */     
/* 106 */     Label label = new Label((Composite)this.shell, 0);
/* 107 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 108 */     gd_label.widthHint = 183;
/* 109 */     label.setLayoutData(gd_label);
/* 110 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 111 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 114 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 115 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 116 */     gd_sadLabel.widthHint = 100;
/* 117 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 120 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 121 */     label_2.setLayoutData(new GridData());
/*     */     
/* 123 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 124 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 125 */     label_1.setLayoutData(gd_label_1);
/* 126 */     label_1.setText("名称：");
/*     */     
/* 128 */     Label label_info = new Label((Composite)this.shell, 64);
/* 129 */     GridData gd_label_info = new GridData(4, 16777216, true, false);
/* 130 */     label_info.setLayoutData(gd_label_info);
/* 131 */     label_info.setText(this.sheetName);
/*     */ 
/*     */ 
/*     */     
/* 135 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 136 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 137 */     GridLayout gridLayout_1 = new GridLayout();
/* 138 */     gridLayout_1.numColumns = 3;
/* 139 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 141 */     Button button = new Button(composite, 0);
/* 142 */     button.setText("打开");
/* 143 */     button.setVisible(false);
/* 144 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */     
/* 149 */     Button button_1 = new Button(composite, 0);
/* 150 */     button_1.setLayoutData(new GridData());
/* 151 */     button_1.setText("保存");
/* 152 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 154 */             DirectoryDialog save = new DirectoryDialog(AuthorizeSaveExcelResultDialog.this.shell);
/* 155 */             save.setText(String.valueOf(AuthorizeSaveExcelResultDialog.this.sheetName) + "保存");
/* 156 */             save.setMessage("选择保存目录：");
/* 157 */             String fileName = save.open();
/* 158 */             if (fileName != null) {
/*     */               try {
/* 160 */                 AuthorizeSaveExcelProgressDialog ss = new AuthorizeSaveExcelProgressDialog(
/* 161 */                     AuthorizeSaveExcelResultDialog.this.shell, AuthorizeSaveExcelResultDialog.this.list, "接受数据中...", "正在生成Excel中...", 
/* 162 */                     fileName, AuthorizeSaveExcelResultDialog.this.sheetName, AuthorizeSaveExcelResultDialog.this.dataType);
/* 163 */                 ss.run(true, true);
/* 164 */                 int r = ss.creatresult;
/* 165 */                 if (r == 0) {
/* 166 */                   SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 168 */                 if (r == -1) {
/* 169 */                   SydjMessageDialog.openInformation(null, "提示", "下载未完成！");
/*     */                 }
/* 171 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 172 */                   SydjMessageDialog.openInformation(null, "提示", "下载完成!\n以下Excel文件未下载成功：" + ss.wrongfile);
/*     */                 } else {
/* 174 */                   SydjMessageDialog.openInformation(null, "提示", "全部Excel文件下载完成!");
/*     */                 }
/*     */               
/* 177 */               } catch (Exception e) {
/* 178 */                 e.printStackTrace();
/* 179 */                 SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */                 return;
/*     */               } 
/* 182 */               AuthorizeSaveExcelResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 187 */     Button button_2 = new Button(composite, 0);
/* 188 */     button_2.setText("取消");
/* 189 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 191 */             AuthorizeSaveExcelResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 195 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 196 */     label_2_1.setLayoutData(new GridData());
/* 197 */     label_2_1.setText("");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\AuthorizeSaveExcelResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */