/*     */ package cs.sydj.operation.authorize.apply;
/*     */ 
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.sydw.SYDWcetiInfo;
/*     */ import server.sydj.sysmanage.sydw.SYDWcetiInfoManage;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ public class AuthorizeApplyController
/*     */ {
/*     */   private GljgUserInfo user;
/*  15 */   private SYDWcetiInfoManage cetiDataManage = new SYDWcetiInfoManage();
/*  16 */   private AuthorizeSydwDataManage authDataManage = new AuthorizeSydwDataManage();
/*     */   
/*     */   public AuthorizeApplyController(GljgUserInfo user) {
/*  19 */     this.user = user;
/*     */   }
/*     */   
/*     */   public ArrayList creatRoot() {
/*  23 */     InfoEntity ie = new InfoEntity();
/*  24 */     ie.setName(this.user.getGroupname());
/*  25 */     ie.setDJGLJG(true);
/*  26 */     ie.setId(this.user.getGroupid());
/*     */     
/*  28 */     if (this.user.getDistrictcode().equals("100000")) {
/*  29 */       ie.setId("1");
/*  30 */       ie.setName("国家事业单位登记管理局");
/*     */     } 
/*     */     
/*  33 */     ArrayList<InfoEntity> al = new ArrayList();
/*  34 */     al.add(ie);
/*  35 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList createWszxRoot() {
/*  43 */     InfoEntity ie = new InfoEntity();
/*  44 */     ie.setDJGLJG(true);
/*  45 */     ie.setId("1");
/*  46 */     ie.setName("国家事业单位登记管理局");
/*  47 */     ArrayList<InfoEntity> al = new ArrayList();
/*  48 */     al.add(ie);
/*  49 */     return al;
/*     */   }
/*     */   
/*     */   public ArrayList creatInput(String sydwCode, String sydwName, String groupId, PageInfo page) {
/*  53 */     SYDWcetiInfo sydw = new SYDWcetiInfo();
/*  54 */     sydw.setGroupid((groupId != null && groupId.length() > 0) ? groupId : null);
/*  55 */     sydw.setSydwcode((sydwCode != null && sydwCode.length() > 0) ? sydwCode : null);
/*  56 */     sydw.setSYDWName((sydwName != null && sydwName.length() > 0) ? sydwName : null);
/*  57 */     return this.authDataManage.searchAuthorizeSYDW(sydw, page);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int executeAuthorizeUp(Object[] checkObjs, String moveToGroupId, String SourceGroupName, String DestGroupName, String destcode) {
/*  70 */     ArrayList<SYDWcetiInfo> al = new ArrayList<SYDWcetiInfo>(); byte b; int i; Object[] arrayOfObject;
/*  71 */     for (i = (arrayOfObject = checkObjs).length, b = 0; b < i; ) { Object check = arrayOfObject[b];
/*  72 */       SYDWcetiInfo sydw = (SYDWcetiInfo)check;
/*  73 */       if (!sydw.getGroupid().equals(moveToGroupId))
/*  74 */         al.add(sydw); 
/*     */       b++; }
/*     */     
/*  77 */     if (al.isEmpty()) {
/*  78 */       return 0;
/*     */     }
/*  80 */     int result = this.authDataManage.executeAuthorizeUp(al, moveToGroupId, this.user, 
/*  81 */         SourceGroupName, DestGroupName, destcode);
/*  82 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int executeAuthorizeDown(Object[] checkObjs, String moveToGroupId, String SourceGroupName, String DestGroupName, String destcode, String authType, String applyReason) {
/*  97 */     ArrayList<SYDWcetiInfo> al = new ArrayList<SYDWcetiInfo>(); byte b; int i; Object[] arrayOfObject;
/*  98 */     for (i = (arrayOfObject = checkObjs).length, b = 0; b < i; ) { Object check = arrayOfObject[b];
/*  99 */       SYDWcetiInfo sydw = (SYDWcetiInfo)check;
/* 100 */       if (!sydw.getGroupid().equals(moveToGroupId))
/* 101 */         al.add(sydw); 
/*     */       b++; }
/*     */     
/* 104 */     if (al.isEmpty()) {
/* 105 */       return 0;
/*     */     }
/* 107 */     int result = this.authDataManage.executeAuthorizeDown(al, moveToGroupId, this.user, 
/* 108 */         SourceGroupName, DestGroupName, destcode, authType, applyReason);
/* 109 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList checkSYDWWhole(Object[] checkObjs, String moveToGroupId) {
/* 121 */     ArrayList<SYDWcetiInfo> al = new ArrayList<SYDWcetiInfo>(); byte b; int i; Object[] arrayOfObject;
/* 122 */     for (i = (arrayOfObject = checkObjs).length, b = 0; b < i; ) { Object check = arrayOfObject[b];
/* 123 */       SYDWcetiInfo sydw = (SYDWcetiInfo)check;
/* 124 */       if (!sydw.getGroupid().equals(moveToGroupId))
/* 125 */         al.add(sydw);  b++; }
/*     */     
/* 127 */     if (al.isEmpty()) {
/* 128 */       return al;
/*     */     }
/* 130 */     return this.cetiDataManage.checkSYDWWhole(al);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeApplyController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */