/*      */ package cs.sydj.operation.authorize.apply;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import java.util.ArrayList;
/*      */ import org.apache.commons.lang.StringUtils;
/*      */ import org.eclipse.jface.dialogs.Dialog;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Combo;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Group;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import server.sydj.sysmanage.gljg.GLJGInfo;
/*      */ import server.sydj.sysmanage.gljg.GLJGInfoManage;
/*      */ import server.tableinfo.common.CzglCategory;
/*      */ import server.tableinfo.common.CzglTransferInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class AuthorizeApplyDialog
/*      */   extends Dialog
/*      */ {
/*      */   private Text text_first;
/*      */   private Text text_second;
/*      */   private Text text_third;
/*      */   private Text text_other;
/*      */   private Text text_source;
/*      */   private Text text_apply_person;
/*      */   private Text text_apply_time;
/*      */   private Text text_reason;
/*      */   private Text text_target;
/*      */   private Text text_deal_person;
/*      */   private Text text_deal_time;
/*      */   private Combo combo_state;
/*      */   private Combo combo_authType;
/*      */   private Combo combo_authSub;
/*      */   private Combo combo_group;
/*      */   private Text text_reply;
/*      */   private int state;
/*   70 */   private CzglTransferInfo ctInfo = new CzglTransferInfo();
/*   71 */   private GLJGInfoManage gljgManage = new GLJGInfoManage();
/*   72 */   private AuthorizeSydwDataManage dataManage = new AuthorizeSydwDataManage();
/*   73 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*      */   
/*   75 */   private Composite container = null;
/*      */   
/*   77 */   private int returnValue = 1;
/*      */   
/*      */   private Label label_111;
/*      */   private Label label_71;
/*      */   private Label label_121;
/*      */   
/*      */   public int getReturnValue() {
/*   84 */     return this.returnValue;
/*      */   }
/*      */   private Label label_1411; private Group group; private Label label_54;
/*      */   public void setReturnValue(int returnValue) {
/*   88 */     this.returnValue = returnValue;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AuthorizeApplyDialog(Shell parentShell, CzglTransferInfo ctInfo, int state) {
/*  101 */     super(parentShell);
/*  102 */     setShellStyle(66560);
/*  103 */     this.ctInfo = ctInfo;
/*  104 */     this.state = state;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Control createDialogArea(Composite parent) {
/*  114 */     parent.setBackground(Display.getCurrent()
/*  115 */         .getSystemColor(1));
/*  116 */     parent.setBackgroundMode(2);
/*  117 */     this.container = (Composite)super.createDialogArea(parent);
/*  118 */     this.container.setLayout((Layout)new FillLayout());
/*      */     
/*  120 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  121 */         this.container, 2816);
/*  122 */     scrolledComposite.getVerticalBar().setIncrement(15);
/*  123 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/*  124 */     scrolledComposite.setExpandHorizontal(true);
/*      */     
/*  126 */     this.group = new Group((Composite)scrolledComposite, 0);
/*  127 */     this.group.setBackground(
/*  128 */         Display.getCurrent().getSystemColor(1));
/*  129 */     this.group.setLocation(0, 0);
/*  130 */     GridLayout gridLayout = new GridLayout();
/*  131 */     gridLayout.verticalSpacing = 0;
/*  132 */     gridLayout.horizontalSpacing = 0;
/*  133 */     gridLayout.numColumns = 9;
/*  134 */     this.group.setLayout((Layout)gridLayout);
/*      */ 
/*      */     
/*  137 */     Label label_184 = new Label((Composite)this.group, 0);
/*  138 */     label_184.setFont(SWTResourceManager.getFont("", 14, 1));
/*  139 */     label_184.setBackground(Display.getCurrent()
/*  140 */         .getSystemColor(1));
/*  141 */     GridData gd_label_184 = new GridData(16777216, 16777216, 
/*  142 */         false, false, 9, 1);
/*  143 */     gd_label_184.heightHint = 45;
/*  144 */     label_184.setLayoutData(gd_label_184);
/*  145 */     label_184.setText("事业单位授权申请信息表");
/*      */     
/*  147 */     Label label_53 = new Label((Composite)this.group, 0);
/*  148 */     label_53.setLayoutData(new GridData(16384, 16777216, false, false, 2, 1));
/*  149 */     label_53.setText("统一社会信用代码：");
/*      */     
/*  151 */     this.label_54 = new Label((Composite)this.group, 0);
/*  152 */     this.label_54.setLayoutData(new GridData(4, 16777216, true, false, 
/*  153 */           7, 1));
/*  154 */     this.label_54.setText("");
/*      */     
/*  156 */     Label label_183 = new Label((Composite)this.group, 258);
/*  157 */     label_183.setBackground(Display.getCurrent()
/*  158 */         .getSystemColor(1));
/*  159 */     label_183.setLayoutData(new GridData(4, 16777216, false, 
/*  160 */           false, 9, 1));
/*      */ 
/*      */     
/*  163 */     Label label_181 = new Label((Composite)this.group, 2);
/*  164 */     label_181.setBackground(Display.getCurrent()
/*  165 */         .getSystemColor(1));
/*  166 */     GridData gd_label_181 = new GridData(4, 4, false, 
/*  167 */         false);
/*  168 */     gd_label_181.heightHint = 30;
/*  169 */     label_181.setLayoutData(gd_label_181);
/*      */     
/*  171 */     Label label_25 = new Label((Composite)this.group, 0);
/*  172 */     label_25.setBackground(Display.getCurrent()
/*  173 */         .getSystemColor(1));
/*  174 */     label_25.setText("（注：带*的项目必须填）");
/*  175 */     label_25.setLayoutData(new GridData(4, 16777216, false, 
/*  176 */           false, 7, 1));
/*      */     
/*  178 */     Label label_182 = new Label((Composite)this.group, 2);
/*  179 */     label_182.setBackground(Display.getCurrent()
/*  180 */         .getSystemColor(1));
/*  181 */     GridData gd_label_182 = new GridData(4, 4, false, 
/*  182 */         false);
/*  183 */     gd_label_182.heightHint = 30;
/*  184 */     label_182.setLayoutData(gd_label_182);
/*      */     
/*  186 */     Label label_179 = new Label((Composite)this.group, 258);
/*  187 */     label_179.setBackground(Display.getCurrent()
/*  188 */         .getSystemColor(1));
/*  189 */     label_179.setLayoutData(new GridData(4, 4, false, 
/*  190 */           false, 9, 1));
/*      */ 
/*      */     
/*  193 */     Label label_176 = new Label((Composite)this.group, 2);
/*  194 */     label_176.setBackground(Display.getCurrent()
/*  195 */         .getSystemColor(1));
/*  196 */     GridData gd_label_176 = new GridData(4, 16777216, false, 
/*  197 */         false);
/*  198 */     gd_label_176.heightHint = 30;
/*  199 */     label_176.setLayoutData(gd_label_176);
/*      */     
/*  201 */     Label label_175 = new Label((Composite)this.group, 0);
/*  202 */     label_175.setBackground(Display.getCurrent()
/*  203 */         .getSystemColor(1));
/*  204 */     label_175.setLayoutData(new GridData(16777216, 16777216, false, 
/*  205 */           false));
/*  206 */     label_175.setText("事业单位名称（第一名称）");
/*      */     
/*  208 */     Label label_177 = new Label((Composite)this.group, 2);
/*  209 */     label_177.setBackground(Display.getCurrent()
/*  210 */         .getSystemColor(1));
/*  211 */     GridData gd_label_177 = new GridData(4, 4, false, 
/*  212 */         false);
/*  213 */     gd_label_177.heightHint = 30;
/*  214 */     label_177.setLayoutData(gd_label_177);
/*      */     
/*  216 */     this.text_first = new Text((Composite)this.group, 2048);
/*  217 */     this.text_first.setBackground(Display.getCurrent()
/*  218 */         .getSystemColor(1));
/*  219 */     this.text_first.setLayoutData(new GridData(4, 16777216, true, 
/*  220 */           false, 5, 1));
/*  221 */     this.text_first.setEditable(false);
/*      */     
/*  223 */     Label label_178 = new Label((Composite)this.group, 2);
/*  224 */     label_178.setBackground(Display.getCurrent()
/*  225 */         .getSystemColor(1));
/*  226 */     GridData gd_label_178 = new GridData(4, 16777216, false, 
/*  227 */         false);
/*  228 */     gd_label_178.heightHint = 30;
/*  229 */     label_178.setLayoutData(gd_label_178);
/*      */     
/*  231 */     Label label_174 = new Label((Composite)this.group, 258);
/*  232 */     label_174.setBackground(Display.getCurrent()
/*  233 */         .getSystemColor(1));
/*  234 */     label_174.setLayoutData(new GridData(4, 4, false, 
/*  235 */           false, 9, 1));
/*      */ 
/*      */     
/*  238 */     Label label_180222 = new Label((Composite)this.group, 2);
/*  239 */     GridData gd_label_180222 = new GridData(4, 4, 
/*  240 */         false, false);
/*  241 */     gd_label_180222.heightHint = 30;
/*  242 */     label_180222.setLayoutData(gd_label_180222);
/*  243 */     label_180222.setBackground(Display.getCurrent()
/*  244 */         .getSystemColor(1));
/*      */     
/*  246 */     Label label_100222 = new Label((Composite)this.group, 0);
/*  247 */     label_100222.setBackground(Display.getCurrent()
/*  248 */         .getSystemColor(1));
/*  249 */     label_100222.setLayoutData(new GridData(16777216, 16777216, 
/*  250 */           false, false));
/*  251 */     label_100222.setText("事业单位名称（第二名称）");
/*      */     
/*  253 */     Label label_185222 = new Label((Composite)this.group, 2);
/*  254 */     GridData gd_label_185222 = new GridData(4, 4, 
/*  255 */         false, false);
/*  256 */     gd_label_185222.heightHint = 30;
/*  257 */     label_185222.setLayoutData(gd_label_185222);
/*  258 */     label_185222.setBackground(Display.getCurrent()
/*  259 */         .getSystemColor(1));
/*      */     
/*  261 */     this.text_second = new Text((Composite)this.group, 2048);
/*  262 */     this.text_second.setLayoutData(new GridData(4, 16777216, true, 
/*  263 */           false, 5, 1));
/*  264 */     this.text_second.setTextLimit(100);
/*  265 */     this.text_second.setEditable(false);
/*      */     
/*  267 */     Label label_186222 = new Label((Composite)this.group, 2);
/*  268 */     GridData gd_label_186222 = new GridData(4, 4, 
/*  269 */         false, false);
/*  270 */     gd_label_186222.heightHint = 30;
/*  271 */     label_186222.setLayoutData(gd_label_186222);
/*  272 */     label_186222.setBackground(Display.getCurrent()
/*  273 */         .getSystemColor(1));
/*      */     
/*  275 */     Label label_27222 = new Label((Composite)this.group, 258);
/*      */     
/*  277 */     label_27222.setBackground(Display.getCurrent()
/*  278 */         .getSystemColor(1));
/*  279 */     label_27222.setLayoutData(new GridData(4, 16777216, 
/*  280 */           false, false, 9, 1));
/*      */     
/*  282 */     Label label_187222 = new Label((Composite)this.group, 2);
/*  283 */     GridData gd_label_187222 = new GridData(4, 4, 
/*  284 */         false, false);
/*  285 */     gd_label_187222.heightHint = 30;
/*  286 */     label_187222.setLayoutData(gd_label_187222);
/*  287 */     label_187222.setBackground(Display.getCurrent()
/*  288 */         .getSystemColor(1));
/*      */     
/*  290 */     Label label_26222 = new Label((Composite)this.group, 16777216);
/*  291 */     label_26222.setBackground(Display.getCurrent()
/*  292 */         .getSystemColor(1));
/*  293 */     label_26222.setLayoutData(new GridData(16777216, 16777216, 
/*  294 */           false, false));
/*  295 */     label_26222.setText("事业单位名称（第三名称）");
/*      */     
/*  297 */     Label label_188222 = new Label((Composite)this.group, 2);
/*  298 */     GridData gd_label_188222 = new GridData(4, 4, 
/*  299 */         false, false);
/*  300 */     gd_label_188222.heightHint = 30;
/*  301 */     label_188222.setLayoutData(gd_label_188222);
/*  302 */     label_188222.setBackground(Display.getCurrent()
/*  303 */         .getSystemColor(1));
/*      */     
/*  305 */     this.text_third = new Text((Composite)this.group, 2048);
/*  306 */     this.text_third.setLayoutData(new GridData(4, 16777216, true, 
/*  307 */           false, 5, 1));
/*  308 */     this.text_third.setTextLimit(100);
/*  309 */     this.text_third.setEditable(false);
/*      */     
/*  311 */     Label label_189222 = new Label((Composite)this.group, 2);
/*  312 */     GridData gd_label_189222 = new GridData(4, 4, 
/*  313 */         false, false);
/*  314 */     gd_label_189222.heightHint = 30;
/*  315 */     label_189222.setLayoutData(gd_label_189222);
/*  316 */     label_189222.setBackground(Display.getCurrent()
/*  317 */         .getSystemColor(1));
/*      */     
/*  319 */     Label label_99222 = new Label((Composite)this.group, 258);
/*      */     
/*  321 */     label_99222.setBackground(Display.getCurrent()
/*  322 */         .getSystemColor(1));
/*  323 */     label_99222.setLayoutData(new GridData(4, 16777216, 
/*  324 */           false, false, 9, 1));
/*      */     
/*  326 */     Label label_171 = new Label((Composite)this.group, 2);
/*  327 */     label_171.setBackground(Display.getCurrent()
/*  328 */         .getSystemColor(1));
/*  329 */     GridData gd_label_171 = new GridData(4, 16777216, false, 
/*  330 */         false);
/*  331 */     gd_label_171.heightHint = 30;
/*  332 */     label_171.setLayoutData(gd_label_171);
/*      */     
/*  334 */     Label label_170 = new Label((Composite)this.group, 0);
/*  335 */     label_170.setBackground(Display.getCurrent()
/*  336 */         .getSystemColor(1));
/*  337 */     label_170.setLayoutData(new GridData(16777216, 16777216, false, 
/*  338 */           false));
/*  339 */     label_170.setText("事业单位名称（其他名称）");
/*      */     
/*  341 */     Label label_172 = new Label((Composite)this.group, 2);
/*  342 */     label_172.setBackground(Display.getCurrent()
/*  343 */         .getSystemColor(1));
/*  344 */     GridData gd_label_172 = new GridData(4, 16777216, false, 
/*  345 */         false);
/*  346 */     gd_label_172.heightHint = 30;
/*  347 */     label_172.setLayoutData(gd_label_172);
/*      */     
/*  349 */     this.text_other = new Text((Composite)this.group, 2048);
/*  350 */     this.text_other.setLayoutData(new GridData(4, 16777216, true, 
/*  351 */           false, 5, 1));
/*  352 */     this.text_other.setTextLimit(100);
/*  353 */     this.text_other.setEditable(false);
/*      */     
/*  355 */     Label label_173 = new Label((Composite)this.group, 2);
/*  356 */     label_173.setBackground(Display.getCurrent()
/*  357 */         .getSystemColor(1));
/*  358 */     GridData gd_label_173 = new GridData(4, 16777216, false, 
/*  359 */         false);
/*  360 */     gd_label_173.heightHint = 30;
/*  361 */     label_173.setLayoutData(gd_label_173);
/*      */     
/*  363 */     Label label_169 = new Label((Composite)this.group, 258);
/*  364 */     label_169.setBackground(Display.getCurrent()
/*  365 */         .getSystemColor(1));
/*  366 */     label_169.setLayoutData(new GridData(4, 4, false, 
/*  367 */           false, 9, 1));
/*      */ 
/*      */     
/*  370 */     Label label_166 = new Label((Composite)this.group, 2);
/*  371 */     label_166.setBackground(Display.getCurrent()
/*  372 */         .getSystemColor(1));
/*  373 */     GridData gd_label_166 = new GridData(4, 16777216, false, 
/*  374 */         false);
/*  375 */     gd_label_166.heightHint = 30;
/*  376 */     label_166.setLayoutData(gd_label_166);
/*      */     
/*  378 */     Label label_165 = new Label((Composite)this.group, 0);
/*  379 */     label_165.setBackground(Display.getCurrent()
/*  380 */         .getSystemColor(1));
/*  381 */     label_165.setLayoutData(new GridData(16777216, 16777216, false, 
/*  382 */           false));
/*  383 */     label_165.setText("原登记管理机关");
/*      */     
/*  385 */     Label label_167 = new Label((Composite)this.group, 2);
/*  386 */     label_167.setBackground(Display.getCurrent()
/*  387 */         .getSystemColor(1));
/*  388 */     GridData gd_label_167 = new GridData(4, 16777216, false, 
/*  389 */         false);
/*  390 */     gd_label_167.heightHint = 30;
/*  391 */     label_167.setLayoutData(gd_label_167);
/*      */     
/*  393 */     this.text_source = new Text((Composite)this.group, 2048);
/*  394 */     this.text_source.setLayoutData(new GridData(4, 16777216, true, 
/*  395 */           false, 5, 1));
/*  396 */     this.text_source.setTextLimit(60);
/*  397 */     this.text_source.setEditable(false);
/*      */     
/*  399 */     Label label_168 = new Label((Composite)this.group, 2);
/*  400 */     label_168.setBackground(Display.getCurrent()
/*  401 */         .getSystemColor(1));
/*  402 */     GridData gd_label_168 = new GridData(4, 16777216, false, 
/*  403 */         false);
/*  404 */     gd_label_168.heightHint = 30;
/*  405 */     label_168.setLayoutData(gd_label_168);
/*      */     
/*  407 */     Label label_191 = new Label((Composite)this.group, 258);
/*  408 */     label_191.setBackground(Display.getCurrent()
/*  409 */         .getSystemColor(1));
/*  410 */     label_191.setLayoutData(new GridData(4, 4, false, 
/*  411 */           false, 9, 1));
/*      */ 
/*      */     
/*  414 */     Label label_192 = new Label((Composite)this.group, 2);
/*  415 */     label_192.setBackground(Display.getCurrent()
/*  416 */         .getSystemColor(1));
/*  417 */     GridData gd_label_192 = new GridData(4, 16777216, false, 
/*  418 */         false);
/*  419 */     gd_label_192.heightHint = 30;
/*  420 */     label_192.setLayoutData(gd_label_192);
/*      */     
/*  422 */     Label label_193 = new Label((Composite)this.group, 0);
/*  423 */     label_193.setBackground(Display.getCurrent()
/*  424 */         .getSystemColor(1));
/*  425 */     label_193.setLayoutData(new GridData(16777216, 16777216, false, 
/*  426 */           false));
/*  427 */     label_193.setText("申请人");
/*      */     
/*  429 */     Label label_194 = new Label((Composite)this.group, 2);
/*  430 */     label_194.setBackground(Display.getCurrent()
/*  431 */         .getSystemColor(1));
/*  432 */     GridData gd_label_194 = new GridData(4, 16777216, false, 
/*  433 */         false);
/*  434 */     gd_label_194.heightHint = 30;
/*  435 */     label_194.setLayoutData(gd_label_194);
/*      */     
/*  437 */     this.text_apply_person = new Text((Composite)this.group, 2048);
/*  438 */     this.text_apply_person.setLayoutData(new GridData(4, 16777216, true, 
/*  439 */           false));
/*  440 */     this.text_apply_person.setTextLimit(60);
/*  441 */     this.text_apply_person.setEditable(false);
/*      */     
/*  443 */     Label label_195 = new Label((Composite)this.group, 2);
/*  444 */     label_195.setBackground(Display.getCurrent()
/*  445 */         .getSystemColor(1));
/*  446 */     GridData gd_label_195 = new GridData(4, 16777216, false, 
/*  447 */         false);
/*  448 */     gd_label_195.heightHint = 30;
/*  449 */     label_195.setLayoutData(gd_label_195);
/*      */     
/*  451 */     Label label_203 = new Label((Composite)this.group, 16777216);
/*  452 */     label_203.setBackground(Display.getCurrent()
/*  453 */         .getSystemColor(1));
/*  454 */     GridData gd_label_255 = new GridData(16777216, 16777216, false, 
/*  455 */         false);
/*  456 */     gd_label_255.widthHint = 100;
/*  457 */     label_203.setLayoutData(gd_label_255);
/*  458 */     label_203.setText("申请时间");
/*      */     
/*  460 */     Label label_204 = new Label((Composite)this.group, 2);
/*  461 */     label_204.setBackground(Display.getCurrent()
/*  462 */         .getSystemColor(1));
/*  463 */     GridData gd_label_204 = new GridData(4, 16777216, false, 
/*  464 */         false);
/*  465 */     gd_label_204.heightHint = 30;
/*  466 */     label_204.setLayoutData(gd_label_204);
/*      */     
/*  468 */     this.text_apply_time = new Text((Composite)this.group, 2048);
/*  469 */     this.text_apply_time.setLayoutData(new GridData(4, 16777216, true, 
/*  470 */           false));
/*  471 */     this.text_apply_time.setTextLimit(60);
/*  472 */     this.text_apply_time.setEditable(false);
/*      */     
/*  474 */     Label label_205 = new Label((Composite)this.group, 2);
/*  475 */     label_205.setBackground(Display.getCurrent()
/*  476 */         .getSystemColor(1));
/*  477 */     GridData gd_label_205 = new GridData(4, 16777216, false, 
/*  478 */         false);
/*  479 */     gd_label_205.heightHint = 30;
/*  480 */     label_205.setLayoutData(gd_label_205);
/*      */     
/*  482 */     Label label_4 = new Label((Composite)this.group, 258);
/*  483 */     label_4.setBackground(Display.getCurrent()
/*  484 */         .getSystemColor(1));
/*  485 */     label_4.setLayoutData(new GridData(4, 4, false, 
/*  486 */           false, 9, 1));
/*      */ 
/*      */ 
/*      */     
/*  490 */     this.label_111 = new Label((Composite)this.group, 2);
/*  491 */     this.label_111.setBackground(Display.getCurrent()
/*  492 */         .getSystemColor(1));
/*  493 */     this.label_111.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  495 */     this.label_71 = new Label((Composite)this.group, 0);
/*  496 */     this.label_71.setBackground(Display.getCurrent()
/*  497 */         .getSystemColor(1));
/*  498 */     this.label_71.setLayoutData(new GridData(16777216, 16777216, false, 
/*  499 */           false));
/*  500 */     this.label_71.setText("申请原因");
/*      */     
/*  502 */     this.label_121 = new Label((Composite)this.group, 2);
/*  503 */     this.label_121.setBackground(Display.getCurrent()
/*  504 */         .getSystemColor(1));
/*  505 */     this.label_121.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  507 */     this.text_reason = new Text((Composite)this.group, 2624);
/*  508 */     this.text_reason.setBackground(Display.getCurrent()
/*  509 */         .getSystemColor(1));
/*  510 */     GridData gd_text_reply1 = new GridData(4, 16777216, true, 
/*  511 */         false, 5, 1);
/*  512 */     gd_text_reply1.heightHint = 63;
/*  513 */     this.text_reason.setLayoutData(gd_text_reply1);
/*  514 */     this.text_reason.setTextLimit(300);
/*  515 */     this.text_reason.setEditable(false);
/*      */     
/*  517 */     this.label_1411 = new Label((Composite)this.group, 2);
/*  518 */     this.label_1411.setBackground(Display.getCurrent()
/*  519 */         .getSystemColor(1));
/*  520 */     this.label_1411.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  522 */     Label label_180 = new Label((Composite)this.group, 258);
/*  523 */     label_180.setBackground(Display.getCurrent()
/*  524 */         .getSystemColor(1));
/*  525 */     label_180.setLayoutData(new GridData(4, 4, false, 
/*  526 */           false, 9, 1));
/*      */ 
/*      */     
/*  529 */     Label label_302 = new Label((Composite)this.group, 2);
/*  530 */     label_302.setBackground(Display.getCurrent()
/*  531 */         .getSystemColor(1));
/*  532 */     GridData gd_label_302 = new GridData(4, 16777216, false, 
/*  533 */         false);
/*  534 */     gd_label_302.heightHint = 30;
/*  535 */     label_302.setLayoutData(gd_label_302);
/*      */     
/*  537 */     Label label_303 = new Label((Composite)this.group, 0);
/*  538 */     label_303.setBackground(Display.getCurrent()
/*  539 */         .getSystemColor(1));
/*  540 */     label_303.setLayoutData(new GridData(16777216, 16777216, false, 
/*  541 */           false));
/*  542 */     label_303.setText("处理情况(*)");
/*      */     
/*  544 */     Label label_304 = new Label((Composite)this.group, 2);
/*  545 */     label_304.setBackground(Display.getCurrent()
/*  546 */         .getSystemColor(1));
/*  547 */     GridData gd_label_304 = new GridData(4, 16777216, false, false);
/*  548 */     gd_label_304.heightHint = 30;
/*  549 */     label_304.setLayoutData(gd_label_304);
/*      */     
/*  551 */     this.combo_state = new Combo((Composite)this.group, 8);
/*  552 */     this.combo_state.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     
/*  554 */     Label label_305 = new Label((Composite)this.group, 2);
/*  555 */     label_305.setBackground(Display.getCurrent()
/*  556 */         .getSystemColor(1));
/*  557 */     GridData gd_label_305 = new GridData(4, 16777216, false, false);
/*  558 */     gd_label_305.heightHint = 30;
/*  559 */     label_305.setLayoutData(gd_label_305);
/*      */     
/*  561 */     if ("100000".equals(this.districtCode) && "95".equals(this.ctInfo.getOperType())) {
/*  562 */       Label label1 = new Label((Composite)this.group, 16777216);
/*  563 */       label1.setBackground(Display.getCurrent()
/*  564 */           .getSystemColor(1));
/*  565 */       GridData gd_label_503 = new GridData(16777216, 16777216, false, false);
/*  566 */       gd_label_503.widthHint = 100;
/*  567 */       label1.setLayoutData(gd_label_503);
/*  568 */       label1.setText("接收处室(*)");
/*      */       
/*  570 */       Label label2 = new Label((Composite)this.group, 2);
/*  571 */       label2.setBackground(Display.getCurrent()
/*  572 */           .getSystemColor(1));
/*  573 */       GridData gridData1 = new GridData(4, 16777216, false, 
/*  574 */           false);
/*  575 */       gridData1.heightHint = 30;
/*  576 */       label2.setLayoutData(gridData1);
/*      */       
/*  578 */       this.combo_group = new Combo((Composite)this.group, 8);
/*  579 */       this.combo_group.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     } else {
/*      */     
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  586 */     Label label_505 = new Label((Composite)this.group, 2);
/*  587 */     label_505.setBackground(Display.getCurrent()
/*  588 */         .getSystemColor(1));
/*  589 */     GridData gd_label_505 = new GridData(4, 16777216, false, false);
/*  590 */     gd_label_505.heightHint = 30;
/*  591 */     label_505.setLayoutData(gd_label_505);
/*      */     
/*  593 */     Label label_6 = new Label((Composite)this.group, 258);
/*  594 */     label_6.setBackground(Display.getCurrent()
/*  595 */         .getSystemColor(1));
/*  596 */     label_6.setLayoutData(new GridData(4, 4, false, 
/*  597 */           false, 9, 1));
/*      */ 
/*      */     
/*  600 */     Label label_502 = new Label((Composite)this.group, 2);
/*  601 */     label_502.setBackground(Display.getCurrent()
/*  602 */         .getSystemColor(1));
/*  603 */     GridData gd_label_502 = new GridData(4, 16777216, false, 
/*  604 */         false);
/*  605 */     gd_label_502.heightHint = 30;
/*  606 */     label_502.setLayoutData(gd_label_502);
/*      */     
/*  608 */     Label label_503 = new Label((Composite)this.group, 0);
/*  609 */     label_503.setBackground(Display.getCurrent()
/*  610 */         .getSystemColor(1));
/*  611 */     label_503.setLayoutData(new GridData(16777216, 16777216, false, 
/*  612 */           false));
/*  613 */     label_503.setText("授权类型(*)");
/*      */     
/*  615 */     Label label_504 = new Label((Composite)this.group, 2);
/*  616 */     label_504.setBackground(Display.getCurrent()
/*  617 */         .getSystemColor(1));
/*  618 */     GridData gd_label_504 = new GridData(4, 16777216, false, false);
/*  619 */     gd_label_504.heightHint = 30;
/*  620 */     label_504.setLayoutData(gd_label_504);
/*      */     
/*  622 */     this.combo_authType = new Combo((Composite)this.group, 8);
/*  623 */     this.combo_authType.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     
/*  625 */     Label label_605 = new Label((Composite)this.group, 2);
/*  626 */     label_605.setBackground(Display.getCurrent()
/*  627 */         .getSystemColor(1));
/*  628 */     GridData gd_label_605 = new GridData(4, 16777216, false, false);
/*  629 */     gd_label_605.heightHint = 30;
/*  630 */     label_605.setLayoutData(gd_label_605);
/*      */     
/*  632 */     Label label_603 = new Label((Composite)this.group, 16777216);
/*  633 */     label_603.setBackground(Display.getCurrent()
/*  634 */         .getSystemColor(1));
/*  635 */     GridData gd_label_603 = new GridData(16777216, 16777216, false, false);
/*  636 */     gd_label_603.widthHint = 100;
/*  637 */     label_603.setLayoutData(gd_label_603);
/*  638 */     label_603.setText("授权分类");
/*      */     
/*  640 */     Label label_604 = new Label((Composite)this.group, 2);
/*  641 */     label_604.setBackground(Display.getCurrent()
/*  642 */         .getSystemColor(1));
/*  643 */     GridData gd_label_604 = new GridData(4, 16777216, false, 
/*  644 */         false);
/*  645 */     gd_label_604.heightHint = 30;
/*  646 */     label_604.setLayoutData(gd_label_604);
/*      */     
/*  648 */     this.combo_authSub = new Combo((Composite)this.group, 8);
/*  649 */     this.combo_authSub.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     
/*  651 */     Label label_705 = new Label((Composite)this.group, 2);
/*  652 */     label_705.setBackground(Display.getCurrent()
/*  653 */         .getSystemColor(1));
/*  654 */     GridData gd_label_705 = new GridData(4, 16777216, false, false);
/*  655 */     gd_label_705.heightHint = 30;
/*  656 */     label_705.setLayoutData(gd_label_705);
/*      */ 
/*      */     
/*  659 */     Label label_444 = new Label((Composite)this.group, 258);
/*  660 */     label_444.setBackground(Display.getCurrent()
/*  661 */         .getSystemColor(1));
/*  662 */     label_444.setLayoutData(new GridData(4, 4, false, 
/*  663 */           false, 9, 1));
/*      */     
/*  665 */     Label label_222 = new Label((Composite)this.group, 2);
/*  666 */     label_222.setBackground(Display.getCurrent()
/*  667 */         .getSystemColor(1));
/*  668 */     label_222.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  670 */     Label label_271 = new Label((Composite)this.group, 0);
/*  671 */     label_271.setBackground(Display.getCurrent()
/*  672 */         .getSystemColor(1));
/*  673 */     label_271.setLayoutData(new GridData(16777216, 16777216, false, 
/*  674 */           false));
/*  675 */     label_271.setText("处理说明(*)");
/*      */     
/*  677 */     Label label_221 = new Label((Composite)this.group, 2);
/*  678 */     label_221.setBackground(Display.getCurrent()
/*  679 */         .getSystemColor(1));
/*  680 */     label_221.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  682 */     this.text_reply = new Text((Composite)this.group, 2624);
/*  683 */     this.text_reply.setBackground(Display.getCurrent()
/*  684 */         .getSystemColor(1));
/*  685 */     GridData gd_text_reply11 = new GridData(4, 16777216, true, 
/*  686 */         false, 5, 1);
/*  687 */     gd_text_reply11.heightHint = 63;
/*  688 */     this.text_reply.setLayoutData(gd_text_reply11);
/*  689 */     this.text_reply.setTextLimit(300);
/*      */     
/*  691 */     Label label_4411 = new Label((Composite)this.group, 2);
/*  692 */     label_4411.setBackground(Display.getCurrent()
/*  693 */         .getSystemColor(1));
/*  694 */     label_4411.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  696 */     Label label_480 = new Label((Composite)this.group, 258);
/*  697 */     label_480.setBackground(Display.getCurrent()
/*  698 */         .getSystemColor(1));
/*  699 */     label_480.setLayoutData(new GridData(4, 4, false, 
/*  700 */           false, 9, 1));
/*      */ 
/*      */ 
/*      */     
/*  704 */     Label label_692 = new Label((Composite)this.group, 2);
/*  705 */     label_692.setBackground(Display.getCurrent()
/*  706 */         .getSystemColor(1));
/*  707 */     GridData gd_label_692 = new GridData(4, 16777216, false, 
/*  708 */         false);
/*  709 */     gd_label_692.heightHint = 30;
/*  710 */     label_692.setLayoutData(gd_label_692);
/*      */     
/*  712 */     Label label_693 = new Label((Composite)this.group, 0);
/*  713 */     label_693.setBackground(Display.getCurrent()
/*  714 */         .getSystemColor(1));
/*  715 */     label_693.setLayoutData(new GridData(16777216, 16777216, false, 
/*  716 */           false));
/*  717 */     label_693.setText("处理人");
/*      */     
/*  719 */     Label label_694 = new Label((Composite)this.group, 2);
/*  720 */     label_694.setBackground(Display.getCurrent()
/*  721 */         .getSystemColor(1));
/*  722 */     GridData gd_label_694 = new GridData(4, 16777216, false, 
/*  723 */         false);
/*  724 */     gd_label_694.heightHint = 30;
/*  725 */     label_694.setLayoutData(gd_label_694);
/*      */     
/*  727 */     this.text_deal_person = new Text((Composite)this.group, 2048);
/*  728 */     this.text_deal_person.setLayoutData(new GridData(4, 16777216, true, 
/*  729 */           false));
/*  730 */     this.text_deal_person.setTextLimit(60);
/*  731 */     this.text_deal_person.setEditable(false);
/*      */ 
/*      */     
/*  734 */     Label label_702 = new Label((Composite)this.group, 2);
/*  735 */     label_702.setBackground(Display.getCurrent()
/*  736 */         .getSystemColor(1));
/*  737 */     GridData gd_label_702 = new GridData(4, 16777216, false, 
/*  738 */         false);
/*  739 */     gd_label_702.heightHint = 30;
/*  740 */     label_702.setLayoutData(gd_label_702);
/*      */     
/*  742 */     Label label_703 = new Label((Composite)this.group, 0);
/*  743 */     label_703.setBackground(Display.getCurrent()
/*  744 */         .getSystemColor(1));
/*  745 */     label_703.setLayoutData(new GridData(16777216, 16777216, false, 
/*  746 */           false));
/*  747 */     label_703.setText("处理时间");
/*      */     
/*  749 */     Label label_704 = new Label((Composite)this.group, 2);
/*  750 */     label_704.setBackground(Display.getCurrent()
/*  751 */         .getSystemColor(1));
/*  752 */     GridData gd_label_704 = new GridData(4, 16777216, false, 
/*  753 */         false);
/*  754 */     gd_label_704.heightHint = 30;
/*  755 */     label_704.setLayoutData(gd_label_704);
/*      */     
/*  757 */     this.text_deal_time = new Text((Composite)this.group, 2048);
/*  758 */     this.text_deal_time.setLayoutData(new GridData(4, 16777216, true, 
/*  759 */           false));
/*  760 */     this.text_deal_time.setTextLimit(60);
/*  761 */     this.text_deal_time.setEditable(false);
/*      */     
/*  763 */     Label label_905 = new Label((Composite)this.group, 2);
/*  764 */     label_905.setBackground(Display.getCurrent()
/*  765 */         .getSystemColor(1));
/*  766 */     GridData gd_label_905 = new GridData(4, 16777216, false, 
/*  767 */         false);
/*  768 */     gd_label_905.heightHint = 30;
/*  769 */     label_905.setLayoutData(gd_label_905);
/*      */     
/*  771 */     Label label_74 = new Label((Composite)this.group, 258);
/*  772 */     label_74.setBackground(Display.getCurrent()
/*  773 */         .getSystemColor(1));
/*  774 */     label_74.setLayoutData(new GridData(4, 4, false, 
/*  775 */           false, 9, 1));
/*      */ 
/*      */ 
/*      */     
/*  779 */     Label label_666 = new Label((Composite)this.group, 2);
/*  780 */     label_666.setBackground(Display.getCurrent()
/*  781 */         .getSystemColor(1));
/*  782 */     GridData gd_label_666 = new GridData(4, 16777216, false, 
/*  783 */         false);
/*  784 */     gd_label_666.heightHint = 30;
/*  785 */     label_666.setLayoutData(gd_label_666);
/*      */     
/*  787 */     Label label_665 = new Label((Composite)this.group, 0);
/*  788 */     label_665.setBackground(Display.getCurrent()
/*  789 */         .getSystemColor(1));
/*  790 */     label_665.setLayoutData(new GridData(16777216, 16777216, false, 
/*  791 */           false));
/*  792 */     label_665.setText("处理登记管理机关");
/*      */     
/*  794 */     Label label_667 = new Label((Composite)this.group, 2);
/*  795 */     label_667.setBackground(Display.getCurrent()
/*  796 */         .getSystemColor(1));
/*  797 */     GridData gd_label_667 = new GridData(4, 16777216, false, 
/*  798 */         false);
/*  799 */     gd_label_667.heightHint = 30;
/*  800 */     label_667.setLayoutData(gd_label_667);
/*      */     
/*  802 */     this.text_target = new Text((Composite)this.group, 2048);
/*  803 */     this.text_target.setLayoutData(new GridData(4, 16777216, true, 
/*  804 */           false, 5, 1));
/*  805 */     this.text_target.setTextLimit(60);
/*  806 */     this.text_target.setEditable(false);
/*      */     
/*  808 */     Label label_668 = new Label((Composite)this.group, 2);
/*  809 */     label_668.setBackground(Display.getCurrent()
/*  810 */         .getSystemColor(1));
/*  811 */     GridData gd_label_668 = new GridData(4, 16777216, false, 
/*  812 */         false);
/*  813 */     gd_label_668.heightHint = 30;
/*  814 */     label_668.setLayoutData(gd_label_668);
/*      */     
/*  816 */     Label label_691 = new Label((Composite)this.group, 258);
/*  817 */     label_691.setBackground(Display.getCurrent()
/*  818 */         .getSystemColor(1));
/*  819 */     label_691.setLayoutData(new GridData(4, 4, false, 
/*  820 */           false, 9, 1));
/*      */     
/*  822 */     setTextData();
/*  823 */     this.group.setSize(962, 660);
/*  824 */     scrolledComposite.setContent((Control)this.group);
/*      */     
/*  826 */     Label label_56111 = new Label((Composite)this.group, 0);
/*  827 */     label_56111.setBackground(Display.getCurrent()
/*  828 */         .getSystemColor(1));
/*  829 */     label_56111.setText("    ");
/*  830 */     GridData gd_label_56_1 = new GridData(16777216, 128, false, 
/*  831 */         false, 9, 1);
/*  832 */     gd_label_56_1.heightHint = 44;
/*  833 */     label_56111.setLayoutData(gd_label_56_1);
/*      */ 
/*      */     
/*  836 */     Label label_57111 = new Label((Composite)this.group, 0);
/*  837 */     label_57111.setBackground(Display.getCurrent()
/*  838 */         .getSystemColor(1));
/*  839 */     label_57111.setLayoutData(new GridData(16777216, 16777216, false, 
/*  840 */           false, 9, 1));
/*  841 */     label_57111.setText("国家事业单位登记管理局 版权所有");
/*      */     
/*  843 */     setActions();
/*      */     
/*  845 */     return (Control)this.container;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setActions() {
/*  852 */     this.combo_authType.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent event) {
/*  854 */             String sydwJglb = (String)AuthorizeApplyDialog.this.combo_authType.getData(AuthorizeApplyDialog.this.combo_authType.getText());
/*  855 */             ArrayList<CzglCategory> czglCatList = AuthorizeApplyDialog.this.dataManage.getCzglCatList(sydwJglb);
/*  856 */             if (czglCatList != null && czglCatList.size() > 0) {
/*  857 */               AuthorizeApplyDialog.this.combo_authSub.removeAll();
/*  858 */               for (int i = 0; i < czglCatList.size(); i++) {
/*  859 */                 CzglCategory czgl = czglCatList.get(i);
/*  860 */                 AuthorizeApplyDialog.this.combo_authSub.add(czgl.getChuiguanNameDisplay());
/*  861 */                 AuthorizeApplyDialog.this.combo_authSub.setData(czgl.getChuiguanNameDisplay(), czgl.getChuiguanCode());
/*  862 */                 AuthorizeApplyDialog.this.combo_authSub.select(0);
/*      */               } 
/*  864 */               AuthorizeApplyDialog.this.combo_authSub.setEnabled(true);
/*      */             } else {
/*  866 */               AuthorizeApplyDialog.this.combo_authSub.removeAll();
/*  867 */               AuthorizeApplyDialog.this.combo_authSub.setEnabled(false);
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/*  872 */     this.combo_state.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent event) {
/*  874 */             if ("不同意".equals(AuthorizeApplyDialog.this.combo_state.getText())) {
/*  875 */               AuthorizeApplyDialog.this.combo_authType.select(0);
/*  876 */               AuthorizeApplyDialog.this.combo_authType.setEnabled(false);
/*  877 */               AuthorizeApplyDialog.this.combo_authSub.removeAll();
/*  878 */               AuthorizeApplyDialog.this.combo_authSub.setEnabled(false);
/*  879 */               if ("100000".equals(AuthorizeApplyDialog.this.districtCode) && "95".equals(AuthorizeApplyDialog.this.ctInfo.getOperType())) {
/*  880 */                 AuthorizeApplyDialog.this.combo_group.select(3);
/*  881 */                 AuthorizeApplyDialog.this.combo_group.setEnabled(false);
/*      */               } 
/*  883 */               ArrayList<CzglCategory> czglCatList = AuthorizeApplyDialog.this.dataManage.getCzglCatList("80");
/*  884 */               for (int i = 0; i < czglCatList.size(); i++) {
/*  885 */                 CzglCategory czgl = czglCatList.get(i);
/*  886 */                 AuthorizeApplyDialog.this.combo_authSub.add(czgl.getChuiguanNameDisplay());
/*  887 */                 AuthorizeApplyDialog.this.combo_authSub.setData(czgl.getChuiguanNameDisplay(), czgl.getChuiguanCode());
/*      */                 
/*  889 */                 if (czgl.getChuiguanCode().equals(AuthorizeApplyDialog.this.ctInfo.getChuiGuanCode())) {
/*  890 */                   AuthorizeApplyDialog.this.combo_authSub.select(i);
/*      */                 }
/*      */               } 
/*      */             } else {
/*  894 */               AuthorizeApplyDialog.this.combo_authType.setEnabled(true);
/*  895 */               AuthorizeApplyDialog.this.combo_authSub.setEnabled(true);
/*  896 */               if ("100000".equals(AuthorizeApplyDialog.this.districtCode) && "95".equals(AuthorizeApplyDialog.this.ctInfo.getOperType())) {
/*  897 */                 AuthorizeApplyDialog.this.combo_group.setEnabled(true);
/*      */               }
/*      */             } 
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createButtonsForButtonBar(Composite parent) {
/*  912 */     if (this.state == 0) {
/*  913 */       createButton(parent, 0, "确 定", false);
/*  914 */       createButton(parent, 1, "取 消", false);
/*      */     } else {
/*  916 */       createButton(parent, 1, "关 闭", false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Point getInitialSize() {
/*  925 */     return new Point(800, 600);
/*      */   }
/*      */   
/*      */   protected void setTextData() {
/*      */     try {
/*  930 */       this.combo_state.add("请选择");
/*  931 */       this.combo_state.add("同意");
/*  932 */       this.combo_state.add("不同意");
/*  933 */       this.combo_state.setData("请选择", null);
/*  934 */       this.combo_state.setData("同意", "1");
/*  935 */       this.combo_state.setData("不同意", "2");
/*  936 */       if (this.state == 1) {
/*  937 */         this.combo_state.select(1);
/*  938 */       } else if (this.state == 2) {
/*  939 */         this.combo_state.select(2);
/*      */       } else {
/*  941 */         this.combo_state.select(0);
/*      */       } 
/*      */       
/*  944 */       this.combo_authType.add("垂直事业单位");
/*  945 */       this.combo_authType.add("冠字头事业单位");
/*  946 */       this.combo_authType.add("授权事业单位");
/*  947 */       this.combo_authType.setData("垂直事业单位", "80");
/*  948 */       this.combo_authType.setData("冠字头事业单位", "81");
/*  949 */       this.combo_authType.setData("授权事业单位", "82");
/*      */ 
/*      */       
/*  952 */       if (this.ctInfo.getSydwJglb() != null) {
/*  953 */         if ("80".equals(this.ctInfo.getSydwJglb())) {
/*  954 */           this.combo_authType.select(0);
/*  955 */         } else if ("81".equals(this.ctInfo.getSydwJglb())) {
/*  956 */           this.combo_authType.select(1);
/*  957 */         } else if ("82".equals(this.ctInfo.getSydwJglb())) {
/*  958 */           this.combo_authType.select(2);
/*      */         } 
/*      */       } else {
/*  961 */         this.combo_authType.select(0);
/*      */       } 
/*      */       
/*  964 */       if ("100000".equals(this.districtCode) && "95".equals(this.ctInfo.getOperType())) {
/*      */         
/*  966 */         ArrayList<GLJGInfo> gljgGroupList = this.gljgManage.getGroupByParentId("3478");
/*  967 */         for (int j = 0; j < gljgGroupList.size(); j++) {
/*  968 */           GLJGInfo gljg = gljgGroupList.get(j);
/*  969 */           this.combo_group.add(gljg.getGROUP_NAME());
/*  970 */           this.combo_group.setData(gljg.getGROUP_NAME(), gljg.getGROUP_ID());
/*      */           
/*  972 */           if (this.ctInfo.getReplyGroupId() != null) {
/*  973 */             if (this.ctInfo.getReplyGroupId().equals(gljg.getGROUP_ID())) {
/*  974 */               this.combo_group.select(j);
/*      */             }
/*      */           }
/*  977 */           else if ("4772".equals(gljg.getGROUP_ID())) {
/*  978 */             this.combo_group.select(j);
/*      */           } 
/*      */         } 
/*      */       } 
/*      */       
/*  983 */       if (this.state == 0) {
/*  984 */         this.combo_authType.setEnabled(true);
/*  985 */         this.combo_authSub.setEnabled(true);
/*  986 */         if ("100000".equals(this.districtCode)) {
/*  987 */           this.combo_group.setEnabled(true);
/*      */         }
/*      */       } else {
/*  990 */         this.combo_authType.setEnabled(false);
/*  991 */         this.combo_authSub.setEnabled(false);
/*  992 */         if ("100000".equals(this.districtCode) && "95".equals(this.ctInfo.getOperType())) {
/*  993 */           this.combo_group.setEnabled(false);
/*      */         }
/*      */       } 
/*      */       
/*  997 */       ArrayList<CzglCategory> czglCatList = this.dataManage.getCzglCatList(this.ctInfo.getSydwJglb());
/*  998 */       for (int i = 0; i < czglCatList.size(); i++) {
/*  999 */         CzglCategory czgl = czglCatList.get(i);
/* 1000 */         this.combo_authSub.add(czgl.getChuiguanNameDisplay());
/* 1001 */         this.combo_authSub.setData(czgl.getChuiguanNameDisplay(), czgl.getChuiguanCode());
/*      */         
/* 1003 */         if (czgl.getChuiguanCode().equals(this.ctInfo.getChuiGuanCode())) {
/* 1004 */           this.combo_authSub.select(i);
/*      */         }
/*      */       } 
/*      */       
/* 1008 */       if (this.ctInfo.getUnifyCode() != null)
/* 1009 */         this.label_54.setText(this.ctInfo.getUnifyCode()); 
/* 1010 */       if (this.ctInfo.getSydwNameFirst() != null)
/* 1011 */         this.text_first.setText(this.ctInfo.getSydwNameFirst()); 
/* 1012 */       if (this.ctInfo.getSydwNameSecond() != null)
/* 1013 */         this.text_second.setText(this.ctInfo.getSydwNameSecond()); 
/* 1014 */       if (this.ctInfo.getSydwNameThird() != null)
/* 1015 */         this.text_third.setText(this.ctInfo.getSydwNameOther()); 
/* 1016 */       if (this.ctInfo.getSydwNameOther() != null)
/* 1017 */         this.text_other.setText(this.ctInfo.getSydwNameOther()); 
/* 1018 */       if (this.ctInfo.getApplyGroupName() != null)
/* 1019 */         this.text_source.setText(this.ctInfo.getApplyGroupName()); 
/* 1020 */       if (this.ctInfo.getApplyUserName() != null)
/* 1021 */         this.text_apply_person.setText(this.ctInfo.getApplyUserName()); 
/* 1022 */       if (this.ctInfo.getApplyDate() != null)
/* 1023 */         this.text_apply_time.setText(this.ctInfo.getApplyDate()); 
/* 1024 */       if (this.ctInfo.getApplyReason() != null) {
/* 1025 */         this.text_reason.setText(this.ctInfo.getApplyReason());
/*      */       }
/* 1027 */       String replyGljg = this.ctInfo.getReplyGroupName();
/* 1028 */       if (StringUtils.isNotBlank(replyGljg)) {
/* 1029 */         this.text_target.setText(replyGljg);
/* 1030 */       } else if (GljgUserInfo.getInstance().getDistrictcode().equals(this.ctInfo.getReplyDistrictCode())) {
/* 1031 */         this.text_target.setText(replyGljg);
/*      */       } 
/*      */       
/* 1034 */       if (this.state == 0) {
/* 1035 */         this.text_deal_person.setText(GljgUserInfo.getInstance().getRealname());
/* 1036 */         this.text_deal_time.setText(PublicUtil.getNowDate());
/*      */       } else {
/* 1038 */         String replyUSer = this.ctInfo.getReplyUserName();
/* 1039 */         if (StringUtils.isNotBlank(replyUSer)) {
/* 1040 */           this.text_deal_person.setText(replyUSer);
/*      */         }
/* 1042 */         if (this.ctInfo.getReplyDate() != null)
/* 1043 */           this.text_deal_time.setText(this.ctInfo.getReplyDate()); 
/* 1044 */         if (this.ctInfo.getReplyReason() != null)
/* 1045 */           this.text_reply.setText(this.ctInfo.getReplyReason()); 
/* 1046 */         this.text_reply.setEditable(false);
/* 1047 */         this.combo_state.setEnabled(false);
/* 1048 */         int applyState = Integer.parseInt(this.ctInfo.getState());
/* 1049 */         if (applyState == 1)
/* 1050 */           this.combo_state.select(1); 
/* 1051 */         if (applyState == 2) {
/* 1052 */           this.combo_state.select(2);
/*      */         }
/*      */       } 
/* 1055 */     } catch (Exception e) {
/* 1056 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   protected void initializeBounds() {
/* 1062 */     super.initializeBounds();
/* 1063 */     PublicUtil.setCenter(getShell());
/*      */   }
/*      */   
/*      */   protected void configureShell(Shell newShell) {
/* 1067 */     super.configureShell(newShell);
/* 1068 */     newShell.setText("授权事业单位授权申请信息表");
/*      */   }
/*      */ 
/*      */   
/*      */   public int open() {
/* 1073 */     super.open();
/* 1074 */     return this.returnValue;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean checkData() {
/* 1081 */     boolean flag = true;
/*      */     
/* 1083 */     if (this.state == 0 && "请选择".equals(this.combo_state.getText())) {
/* 1084 */       SydjMessageDialog.openInformation(null, "提示", "请选择处理情况!");
/* 1085 */       flag = false;
/* 1086 */       this.combo_state.setFocus();
/* 1087 */       return flag;
/*      */     } 
/*      */     
/* 1090 */     if ("同意".equals(this.combo_state.getText())) {
/* 1091 */       if (this.combo_authType.getText().equals("请选择")) {
/* 1092 */         SydjMessageDialog.openInformation(null, "提示", "请选择授权类型!");
/* 1093 */         flag = false;
/* 1094 */         this.combo_authType.setFocus();
/* 1095 */         return flag;
/*      */       } 
/*      */       
/* 1098 */       if (this.combo_authSub.getEnabled() && 
/* 1099 */         this.combo_authSub.getText().equals("")) {
/* 1100 */         SydjMessageDialog.openInformation(null, "提示", "请选择授权分类!");
/* 1101 */         flag = false;
/* 1102 */         this.combo_authSub.setFocus();
/* 1103 */         return flag;
/*      */       } 
/*      */     } 
/*      */ 
/*      */     
/* 1108 */     if (this.text_reply.getText().trim().equals("")) {
/* 1109 */       SydjMessageDialog.openInformation(null, "提示", "请输入处理说明!");
/* 1110 */       this.text_reply.setFocus();
/* 1111 */       flag = false;
/* 1112 */       return flag;
/*      */     } 
/*      */     
/* 1115 */     return flag;
/*      */   }
/*      */   
/*      */   protected void buttonPressed(int buttonId) {
/* 1119 */     if (buttonId == 1) {
/* 1120 */       this.returnValue = 1;
/* 1121 */       super.buttonPressed(buttonId);
/*      */     } 
/*      */     
/* 1124 */     boolean flag = true;
/* 1125 */     if (buttonId == 0) {
/* 1126 */       flag = checkData();
/* 1127 */       if (flag) {
/*      */         
/* 1129 */         saveData();
/* 1130 */         this.returnValue = 0;
/* 1131 */         super.buttonPressed(buttonId);
/*      */       } else {
/* 1133 */         this.returnValue = 1;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void saveData() {
/* 1144 */     this.ctInfo.setReplyReason(this.text_reply.getText());
/* 1145 */     this.ctInfo.setState((String)this.combo_state.getData(this.combo_state.getText()));
/* 1146 */     this.ctInfo.setReplyUserId(GljgUserInfo.getInstance().getUserid());
/* 1147 */     if ("100000".equals(this.districtCode) && "95".equals(this.ctInfo.getOperType())) {
/* 1148 */       this.ctInfo.setReplyGroupId((String)this.combo_group.getData(this.combo_group.getText()));
/* 1149 */       this.ctInfo.setReplyGroupName(this.combo_group.getText());
/*      */     } else {
/* 1151 */       this.ctInfo.setReplyGroupId(GljgUserInfo.getInstance().getGroupid());
/* 1152 */       this.ctInfo.setReplyGroupName(GljgUserInfo.getInstance().getGroupname());
/*      */     } 
/*      */     
/* 1155 */     String strAuthType = (String)this.combo_authType.getData(this.combo_authType.getText());
/* 1156 */     this.ctInfo.setSydwJglb(strAuthType);
/* 1157 */     this.ctInfo.setChuiGuanCode((String)this.combo_authSub.getData(this.combo_authSub.getText()));
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeApplyDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */