/*     */ package cs.sydj.operation.authorize.apply;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.tableinfo.common.CzglTransferInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AuthorizeDownApplyView
/*     */   extends ViewPart
/*     */ {
/*  65 */   private int state = 1;
/*     */   
/*     */   private Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  77 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*  78 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*  80 */   AuthorizeSydwDataManage dataManage = new AuthorizeSydwDataManage();
/*  81 */   private ArrayList list = new ArrayList();
/*  82 */   String alertMsg = "";
/*     */   
/*  84 */   int totalRows = 0;
/*  85 */   int maxCount = 15;
/*  86 */   int startNo = 1;
/*  87 */   int currentPage = 1;
/*  88 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  92 */   private String sydwnameStr = "";
/*  93 */   private TableCursor cursor = null;
/*  94 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 100 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 104 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 108 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 112 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 116 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 120 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 129 */     Composite container = new Composite(parent, 0);
/* 130 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 131 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 133 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 134 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 135 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 136 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 137 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 139 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 140 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 141 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 142 */     this.composite_total.setSize(800, 600);
/*     */     
/* 144 */     Composite composite = new Composite(this.composite_total, 0);
/* 145 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 147 */     FormData fd_composite = new FormData();
/* 148 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 149 */     fd_composite.top = new FormAttachment(0, 20);
/* 150 */     composite.setLayoutData(fd_composite);
/* 151 */     GridLayout gridLayout = new GridLayout();
/* 152 */     gridLayout.numColumns = 3;
/* 153 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 155 */     Label label = new Label(composite, 0);
/* 156 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 157 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 158 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 160 */     this.text = new Text(composite, 2048);
/* 161 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 162 */     gd_text.widthHint = 200;
/* 163 */     this.text.setLayoutData(gd_text);
/*     */     
/* 165 */     Button button = new Button(composite, 0);
/* 166 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 167 */     gd_button.heightHint = 20;
/* 168 */     button.setLayoutData(gd_button);
/* 169 */     button.setText("查询");
/*     */     
/* 171 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 173 */             AuthorizeDownApplyView.this.totalRows = 0;
/* 174 */             AuthorizeDownApplyView.this.currentPage = 1;
/* 175 */             AuthorizeDownApplyView.this.startNo = 1;
/* 176 */             AuthorizeDownApplyView.this.sydwnameStr = AuthorizeDownApplyView.this.text.getText();
/* 177 */             AuthorizeDownApplyView.this.list = AuthorizeDownApplyView.this.dataManage.getAuthorizeDownApplyInfo(AuthorizeDownApplyView.this.groupId, AuthorizeDownApplyView.this.districtCode, AuthorizeDownApplyView.this.state, AuthorizeDownApplyView.this.startNo, AuthorizeDownApplyView.this.maxCount, AuthorizeDownApplyView.this.sydwnameStr);
/* 178 */             AuthorizeDownApplyView.this.setFenYe(AuthorizeDownApplyView.this.list, AuthorizeDownApplyView.this.currentPage);
/*     */           }
/*     */         });
/*     */     
/* 182 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 183 */     this.table = this.tableViewer.getTable();
/* 184 */     FormData fd_table = new FormData();
/*     */     
/* 186 */     fd_table.bottom = new FormAttachment(0, 439);
/* 187 */     fd_table.right = new FormAttachment(100, -35);
/* 188 */     fd_table.top = new FormAttachment(0, 95);
/* 189 */     fd_table.left = new FormAttachment(0, 35);
/* 190 */     this.table.setLayoutData(fd_table);
/* 191 */     this.table.setLinesVisible(true);
/* 192 */     this.table.setHeaderVisible(true);
/* 193 */     PublicUtil.setTableHeight(this.table);
/* 194 */     PublicUtil.setMouseHands(this.table, "1#5");
/*     */     
/* 196 */     this.tableLayout = new TableLayout();
/* 197 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 199 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 200 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 201 */     newColumnTableColumn.setAlignment(16777216);
/* 202 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 204 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(40));
/* 205 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 206 */     newColumnTableColumn_1.setText("事业单位名称");
/*     */     
/* 208 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 209 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 210 */     newColumnTableColumn_5.setText("现登记管理机关");
/*     */     
/* 212 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 213 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 214 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 216 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 217 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 218 */     newColumnTableColumn_3.setText("申请人");
/*     */     
/* 220 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 221 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 222 */     newColumnTableColumn_4.setText("操作");
/*     */ 
/*     */     
/* 225 */     Label label_9 = new Label(this.composite_total, 0);
/* 226 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 227 */     FormData fd_label_9 = new FormData();
/* 228 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 229 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 230 */     fd_label_9.top = new FormAttachment(0, 85);
/* 231 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 233 */     this.label_12 = new Label(this.composite_total, 0);
/* 234 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 235 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 236 */     FormData fd_label_12 = new FormData();
/* 237 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 238 */     fd_label_12.top = new FormAttachment(0, 70);
/* 239 */     fd_label_12.right = new FormAttachment(0, 240);
/* 240 */     this.label_12.setLayoutData(fd_label_12);
/* 241 */     this.label_12.setText("事业单位列表");
/*     */     
/* 243 */     initTypeView();
/*     */ 
/*     */     
/* 246 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 247 */     GridLayout gridLayout_4 = new GridLayout();
/* 248 */     gridLayout_4.numColumns = 2;
/* 249 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 250 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 251 */     FormData fd_composite_fenye = new FormData();
/* 252 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 253 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 254 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 255 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 256 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 258 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 259 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 260 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 261 */     GridLayout gridLayout_2 = new GridLayout();
/* 262 */     gridLayout_2.marginTop = 3;
/* 263 */     gridLayout_2.verticalSpacing = 0;
/* 264 */     gridLayout_2.marginWidth = 0;
/* 265 */     gridLayout_2.marginHeight = 0;
/* 266 */     gridLayout_2.horizontalSpacing = 2;
/* 267 */     gridLayout_2.numColumns = 7;
/* 268 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 270 */     Label label_1 = new Label(composite_1, 0);
/* 271 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 272 */     label_1.setText("页次：");
/*     */     
/* 274 */     this.label_2 = new Label(composite_1, 131072);
/* 275 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 276 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 277 */     if (this.totalPages == 0) {
/* 278 */       this.label_2.setText("0/0");
/*     */     } else {
/* 280 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 283 */     Label label_3 = new Label(composite_1, 0);
/* 284 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 285 */     label_3.setText("页  每页");
/*     */     
/* 287 */     Label label_4 = new Label(composite_1, 0);
/* 288 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 289 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 290 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 292 */     Label label_5 = new Label(composite_1, 0);
/* 293 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 294 */     label_5.setText("行  共");
/*     */     
/* 296 */     this.label_6 = new Label(composite_1, 0);
/* 297 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 298 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 299 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 301 */     Label label_7 = new Label(composite_1, 0);
/* 302 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 303 */     label_7.setText("行");
/*     */ 
/*     */     
/* 306 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 307 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 308 */     GridLayout gridLayout_1 = new GridLayout();
/* 309 */     gridLayout_1.numColumns = 6;
/* 310 */     composite_2.setLayout((Layout)gridLayout_1);
/* 311 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 313 */     this.button_1 = new Button(composite_2, 0);
/* 314 */     this.button_1.setText("上一页");
/* 315 */     if (!this.hasPreviousPage) {
/* 316 */       this.button_1.setEnabled(false);
/*     */     }
/* 318 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 320 */             AuthorizeDownApplyView.this.list = AuthorizeDownApplyView.this.dataManage.getAuthorizeDownApplyInfo(AuthorizeDownApplyView.this.groupId, AuthorizeDownApplyView.this.districtCode, AuthorizeDownApplyView.this.state, (AuthorizeDownApplyView.this.currentPage - 2) * AuthorizeDownApplyView.this.maxCount + 1, AuthorizeDownApplyView.this.maxCount, AuthorizeDownApplyView.this.sydwnameStr);
/* 321 */             AuthorizeDownApplyView.this.setFenYe(AuthorizeDownApplyView.this.list, AuthorizeDownApplyView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 325 */     this.button_2 = new Button(composite_2, 0);
/* 326 */     this.button_2.setText("下一页");
/* 327 */     if (!this.hasNextPage) {
/* 328 */       this.button_2.setEnabled(false);
/*     */     }
/* 330 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 332 */             AuthorizeDownApplyView.this.list = AuthorizeDownApplyView.this.dataManage.getAuthorizeDownApplyInfo(AuthorizeDownApplyView.this.groupId, AuthorizeDownApplyView.this.districtCode, AuthorizeDownApplyView.this.state, AuthorizeDownApplyView.this.currentPage * AuthorizeDownApplyView.this.maxCount + 1, AuthorizeDownApplyView.this.maxCount, AuthorizeDownApplyView.this.sydwnameStr);
/* 333 */             AuthorizeDownApplyView.this.setFenYe(AuthorizeDownApplyView.this.list, AuthorizeDownApplyView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 337 */     Label label_10 = new Label(composite_2, 0);
/* 338 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 339 */     label_10.setText("转至第");
/*     */     
/* 341 */     this.text_2 = new Text(composite_2, 2048);
/* 342 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 344 */     Label label_11 = new Label(composite_2, 0);
/* 345 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 346 */     label_11.setText("页");
/*     */     
/* 348 */     Button goButton = new Button(composite_2, 0);
/* 349 */     goButton.setText("GO");
/*     */     
/* 351 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 353 */             if (VerifyFunction.isNumeric(AuthorizeDownApplyView.this.text_2.getText())) {
/* 354 */               int aa = Integer.parseInt(AuthorizeDownApplyView.this.text_2.getText());
/* 355 */               if (aa > AuthorizeDownApplyView.this.totalPages) {
/* 356 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 358 */                 AuthorizeDownApplyView.this.list = AuthorizeDownApplyView.this.dataManage.getAuthorizeDownApplyInfo(AuthorizeDownApplyView.this.groupId, AuthorizeDownApplyView.this.districtCode, AuthorizeDownApplyView.this.state, (aa - 1) * AuthorizeDownApplyView.this.maxCount + 1, AuthorizeDownApplyView.this.maxCount, AuthorizeDownApplyView.this.sydwnameStr);
/* 359 */                 AuthorizeDownApplyView.this.setFenYe(AuthorizeDownApplyView.this.list, aa);
/* 360 */                 AuthorizeDownApplyView.this.setFontColor();
/* 361 */                 AuthorizeDownApplyView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 364 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 370 */     Composite composite_button = new Composite(this.composite_total, 0);
/* 371 */     composite_button.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */     
/* 374 */     FormData fd_composite_button = new FormData();
/* 375 */     fd_composite_button.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 376 */     fd_composite_button.bottom = new FormAttachment((Control)composite_fenye, 40, 1024);
/* 377 */     fd_composite_button.top = new FormAttachment((Control)composite_fenye, 0, 1024);
/* 378 */     fd_composite_button.left = new FormAttachment((Control)composite_fenye, 0, 16384);
/* 379 */     composite_button.setLayoutData(fd_composite_button);
/*     */     
/* 381 */     GridLayout gridLayout_button = new GridLayout();
/* 382 */     gridLayout_button.numColumns = 1;
/* 383 */     composite_button.setLayout((Layout)gridLayout_button);
/*     */     
/* 385 */     Button button_huaZhuan = new Button(composite_button, 0);
/* 386 */     GridData gd_button_huaZhuan = new GridData(16777216, 16777216, true, false);
/* 387 */     gd_button_huaZhuan.heightHint = 20;
/* 388 */     button_huaZhuan.setLayoutData(gd_button_huaZhuan);
/* 389 */     button_huaZhuan.setText("事业单位授权");
/*     */ 
/*     */     
/* 392 */     button_huaZhuan.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 394 */             AuthorizeDownApplyDialog dialog = new AuthorizeDownApplyDialog(
/* 395 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 396 */                 .getShell());
/* 397 */             dialog.open();
/*     */             
/* 399 */             AuthorizeDownApplyView.this.list = AuthorizeDownApplyView.this.dataManage.getAuthorizeDownApplyInfo(AuthorizeDownApplyView.this.groupId, AuthorizeDownApplyView.this.districtCode, AuthorizeDownApplyView.this.state, AuthorizeDownApplyView.this.startNo, AuthorizeDownApplyView.this.maxCount, AuthorizeDownApplyView.this.sydwnameStr);
/* 400 */             AuthorizeDownApplyView.this.tableViewer.setInput(AuthorizeDownApplyView.this.list);
/* 401 */             AuthorizeDownApplyView.this.setFontColor();
/* 402 */             AuthorizeDownApplyView.this.setCursor();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 407 */     scrolledComposite.setContent((Control)this.composite_total);
/*     */     
/* 409 */     createActions();
/* 410 */     initializeToolBar();
/* 411 */     initializeMenu();
/*     */     
/* 413 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 414 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AuthorizeDownApplyLableProvider());
/*     */     
/* 416 */     this.list = this.dataManage.getAuthorizeDownApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/* 417 */     if (this.list != null && this.list.size() > 0) {
/* 418 */       this.totalRows = ((CzglTransferInfo)this.list.get(0)).getNum();
/* 419 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 420 */       this.totalPages = pu.getTotalPages();
/* 421 */       this.currentPage = pu.getCurrentPage();
/* 422 */       this.hasNextPage = pu.isHasNextPage();
/* 423 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 425 */       setFenYe(this.list, this.currentPage);
/* 426 */       setFontColor();
/* 427 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 435 */     if (this.cursor != null)
/* 436 */       this.cursor.dispose(); 
/* 437 */     this.cursor = new TableCursor(this.table, 0);
/* 438 */     this.cursor.setBackground(this.table.getDisplay()
/* 439 */         .getSystemColor(26));
/* 440 */     this.cursor.setForeground(this.table.getDisplay()
/* 441 */         .getSystemColor(27));
/* 442 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 444 */             int colums = AuthorizeDownApplyView.this.cursor.getColumn();
/* 445 */             if (colums == 1) {
/* 446 */               AuthorizeDownApplyView.this.openDetailDialog();
/*     */             }
/* 448 */             if (colums == 5) {
/* 449 */               AuthorizeDownApplyView.this.openAuthorizeApplyDialog();
/*     */             }
/* 451 */             AuthorizeDownApplyView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 454 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 457 */             int colums = AuthorizeDownApplyView.this.cursor.getColumn();
/* 458 */             if (colums == AuthorizeDownApplyView.this.selectColums) {
/* 459 */               if (colums == 1) {
/* 460 */                 AuthorizeDownApplyView.this.openDetailDialog();
/*     */               }
/* 462 */               if (colums == 5) {
/* 463 */                 AuthorizeDownApplyView.this.openAuthorizeApplyDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 474 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 475 */     CzglTransferInfo model = (CzglTransferInfo)select.getFirstElement();
/* 476 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */     
/* 478 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 479 */     insinfolist = oper.QueryInstaurationInfo(model.getSydwId(), "false");
/* 480 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 481 */     if (insinfolist.size() > 0) {
/* 482 */       frinfo = insinfolist.get(0);
/*     */     }
/* 484 */     ArrayList branchlist = new ArrayList();
/* 485 */     branchlist = oper.QueryInstBranch(model.getSydwId());
/* 486 */     InstallApplyDialog dialog = new InstallApplyDialog(
/*     */         
/* 488 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 489 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openAuthorizeApplyDialog() {
/* 494 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 495 */       .getSelection();
/* 496 */     CzglTransferInfo cti = (CzglTransferInfo)select.getFirstElement();
/*     */     
/* 498 */     AuthorizeApplyDialog dialog = new AuthorizeApplyDialog(
/* 499 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 500 */         .getShell(), cti, this.state);
/*     */     
/* 502 */     if (dialog.open() == 0) {
/* 503 */       String Flag = this.dataManage.saveAuthorizeTransfer(cti);
/* 504 */       if (Flag != null) {
/* 505 */         if ("true".equals(Flag)) {
/* 506 */           SydjMessageDialog.openInformation(null, "提示", "处理成功！");
/*     */ 
/*     */           
/* 509 */           this.list = this.dataManage.getAuthorizeDownApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/*     */           
/* 511 */           setFenYe(this.list, this.currentPage);
/* 512 */           setFontColor();
/* 513 */           setCursor();
/*     */           return;
/*     */         } 
/* 516 */         SydjMessageDialog.openInformation(null, "提示", "处理失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 527 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 528 */       this.table.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 529 */       this.table.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/* 530 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 531 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CzglTransferInfo> list, int nextcurrentPage) {
/* 536 */     this.totalRows = 0;
/* 537 */     if (list != null && list.size() > 0) {
/* 538 */       this.totalRows = ((CzglTransferInfo)list.get(0)).getNum();
/*     */     }
/* 540 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 541 */     this.totalPages = pu.getTotalPages();
/* 542 */     this.currentPage = pu.getCurrentPage();
/* 543 */     this.hasNextPage = pu.isHasNextPage();
/* 544 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 545 */     this.startNo = pu.getStartNum();
/*     */     
/* 547 */     this.tableViewer.setInput(list);
/* 548 */     setFontColor();
/* 549 */     setCursor();
/* 550 */     if (this.totalPages == 0) {
/* 551 */       this.label_2.setText("0/0");
/*     */     } else {
/* 553 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 555 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 556 */     this.label_6.getParent().getParent().layout();
/* 557 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 558 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 572 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 573 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 580 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 581 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeDownApplyView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */