/*     */ package cs.sydj.operation.authorize.apply;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import cs.sydj.sysmanage.sydwcetiinfomanage.SYDWCetiInfoManageContentProvide;
/*     */ import cs.sydj.sysmanage.sydwcetiinfomanage.SYDWCetiInfoManageLabelProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.forms.events.ExpansionAdapter;
/*     */ import org.eclipse.ui.forms.events.ExpansionEvent;
/*     */ import org.eclipse.ui.forms.events.IExpansionListener;
/*     */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*     */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AuthorizeUpApplyDialog
/*     */   extends Dialog
/*     */ {
/*  64 */   private Composite container = null;
/*     */   
/*     */   private Table table_1;
/*     */   
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   private Combo combo_level;
/*     */   private Text text_reason;
/*  72 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  73 */   private AuthorizeApplyController sumController = new AuthorizeApplyController(
/*  74 */       this.user);
/*  75 */   private OtherHandle oh = new OtherHandle();
/*     */   
/*     */   private TreeViewer treeview;
/*     */   
/*  79 */   private TreeViewerLableProvider tvlabelP = new TreeViewerLableProvider();
/*  80 */   private TreeViewerGLJGProvider tvcontentP = new TreeViewerGLJGProvider();
/*  81 */   private SYDWCetiInfoManageContentProvide scmContP = new SYDWCetiInfoManageContentProvide();
/*  82 */   private SYDWCetiInfoManageLabelProvider scmLabP = new SYDWCetiInfoManageLabelProvider();
/*     */   
/*  84 */   private Shell shell = null;
/*     */   private Tree tree_1;
/*  86 */   private CheckboxTableViewer ctv = null;
/*  87 */   private Label label = null;
/*     */   
/*     */   private ToolBarManager toolBarManage;
/*     */   private Composite composite;
/*     */   private InfoEntity destinyinfo;
/*     */   private InfoEntity treeinfo;
/*     */   private String moveID;
/*     */   private boolean searching = false;
/*     */   private FormToolkit toolkit;
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private PageComposite pageComposit;
/*  98 */   private int minScrollheight = 500;
/*     */   
/* 100 */   private int returnValue = 1;
/*     */   
/*     */   public AuthorizeUpApplyDialog(Shell parentShell) {
/* 103 */     super(parentShell);
/* 104 */     setShellStyle(66560);
/*     */   }
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 109 */     this.shell = parent.getShell();
/* 110 */     parent.setBackground(Display.getCurrent()
/* 111 */         .getSystemColor(1));
/* 112 */     parent.setBackgroundMode(2);
/* 113 */     this.container = (Composite)super.createDialogArea(parent);
/* 114 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/* 116 */     this.scrolledComposite = new ScrolledComposite(this.container, 768);
/*     */     
/* 118 */     this.scrolledComposite.setBackgroundMode(1);
/* 119 */     this.scrolledComposite.setExpandVertical(true);
/* 120 */     this.scrolledComposite.setExpandHorizontal(true);
/* 121 */     this.scrolledComposite.setMinHeight(this.minScrollheight);
/* 122 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 124 */     Composite composite_6 = new Composite((Composite)this.scrolledComposite, 0);
/* 125 */     composite_6.setLayout((Layout)new FormLayout());
/*     */     
/* 127 */     composite_6.setBackground(Display.getCurrent()
/* 128 */         .getSystemColor(1));
/*     */     
/* 130 */     this.treeview = new TreeViewer(composite_6, 2048);
/* 131 */     this.tree_1 = this.treeview.getTree();
/* 132 */     FormData fd_tree_1 = new FormData();
/* 133 */     fd_tree_1.right = new FormAttachment(2, 0);
/* 134 */     fd_tree_1.left = new FormAttachment(2, 12);
/* 135 */     fd_tree_1.bottom = new FormAttachment(2, 485);
/* 136 */     fd_tree_1.top = new FormAttachment(2, 17);
/* 137 */     this.tree_1.setLayoutData(fd_tree_1);
/* 138 */     this.tree_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 140 */             IStructuredSelection i = (IStructuredSelection)AuthorizeUpApplyDialog.this.treeview
/* 141 */               .getSelection();
/* 142 */             if (i != null) {
/* 143 */               AuthorizeUpApplyDialog.this.treeinfo = (InfoEntity)i.getFirstElement();
/* 144 */               AuthorizeUpApplyDialog.this.initRightComposite();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 149 */     this.tree_1.setVisible(false);
/*     */     
/* 151 */     this.composite = new Composite(composite_6, 0);
/* 152 */     FormData fd_composite = new FormData();
/* 153 */     fd_composite.right = new FormAttachment(98, -5);
/* 154 */     fd_composite.left = new FormAttachment((Control)this.tree_1, 3, 131072);
/* 155 */     fd_composite.bottom = new FormAttachment((Control)this.tree_1, 200, 1024);
/* 156 */     fd_composite.top = new FormAttachment(0, 17);
/* 157 */     this.composite.setLayoutData(fd_composite);
/* 158 */     this.composite.setLayout((Layout)new GridLayout());
/* 159 */     this.composite.setBackground(Display.getCurrent()
/* 160 */         .getSystemColor(1));
/*     */     
/* 162 */     TableLayout tableLayout = new TableLayout();
/* 163 */     tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(15));
/* 164 */     tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(25));
/* 165 */     tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(60));
/*     */     
/* 167 */     this.label = new Label(this.composite, 64);
/* 168 */     this.label.setBackground(
/* 169 */         Display.getCurrent().getSystemColor(1));
/* 170 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 171 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 172 */         false);
/* 173 */     this.label.setLayoutData(gd_label);
/* 174 */     this.label.setText("Label");
/*     */     
/* 176 */     Label label_1 = new Label(this.composite, 258);
/*     */     
/* 178 */     GridData gd_label_1 = new GridData(4, 16777216, true, 
/* 179 */         false);
/* 180 */     label_1.setLayoutData(gd_label_1);
/*     */     
/* 182 */     Composite composite_4 = new Composite(this.composite, 0);
/* 183 */     composite_4.setBackground(Display.getCurrent()
/* 184 */         .getSystemColor(1));
/* 185 */     composite_4.setLayout((Layout)new FillLayout(512));
/* 186 */     GridData gd_composite_4 = new GridData();
/* 187 */     composite_4.setLayoutData(gd_composite_4);
/*     */     
/* 189 */     this.toolkit = new FormToolkit(composite_4.getDisplay());
/* 190 */     this.toolkit.adapt(composite_4);
/*     */     
/* 192 */     ExpandableComposite title = this.toolkit.createExpandableComposite(
/* 193 */         composite_4, 44);
/*     */     
/* 195 */     title.setBackground(
/* 196 */         Display.getCurrent().getSystemColor(1));
/* 197 */     title.setForeground(SWTResourceManager.getColor(204, 102, 153));
/* 198 */     title.setText("点击这里搜索");
/*     */     
/* 200 */     Composite composite_5 = this.toolkit.createComposite((Composite)title);
/* 201 */     composite_5.setBackground(Display.getCurrent()
/* 202 */         .getSystemColor(1));
/* 203 */     GridLayout gridLayout_1 = new GridLayout();
/* 204 */     gridLayout_1.marginLeft = 10;
/* 205 */     gridLayout_1.marginWidth = 2;
/* 206 */     gridLayout_1.marginHeight = 2;
/* 207 */     gridLayout_1.verticalSpacing = 2;
/* 208 */     gridLayout_1.horizontalSpacing = 2;
/* 209 */     gridLayout_1.numColumns = 4;
/* 210 */     composite_5.setLayout((Layout)gridLayout_1);
/* 211 */     title.setClient((Control)composite_5);
/*     */     
/* 213 */     CLabel label_2 = new CLabel(composite_5, 0);
/* 214 */     label_2.setBackground(Display.getCurrent()
/* 215 */         .getSystemColor(1));
/* 216 */     label_2.setText("统一社会信用代码：");
/*     */     
/* 218 */     this.text = new Text(composite_5, 2048);
/* 219 */     this.text.setTextLimit(18);
/* 220 */     this.text
/* 221 */       .setBackground(Display.getCurrent().getSystemColor(
/* 222 */           1));
/* 223 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 224 */         false);
/* 225 */     gd_text.widthHint = 150;
/* 226 */     this.text.setLayoutData(gd_text);
/*     */ 
/*     */ 
/*     */     
/* 230 */     CLabel label_3 = new CLabel(composite_5, 0);
/* 231 */     label_3.setBackground(Display.getCurrent()
/* 232 */         .getSystemColor(1));
/* 233 */     label_3.setText("事业单位名称：");
/*     */     
/* 235 */     this.text_1 = new Text(composite_5, 2048);
/* 236 */     this.text_1.setTextLimit(200);
/* 237 */     GridData gd_text_1 = new GridData(4, 16777216, false, 
/* 238 */         false);
/* 239 */     gd_text_1.widthHint = 150;
/* 240 */     this.text_1.setLayoutData(gd_text_1);
/*     */ 
/*     */ 
/*     */     
/* 244 */     Composite composite_1 = new Composite(composite_5, 0);
/* 245 */     composite_1.setBackground(Display.getCurrent()
/* 246 */         .getSystemColor(1));
/* 247 */     GridData gd_composite_1_1 = new GridData(16777216, 16777216, 
/* 248 */         false, false, 3, 1);
/* 249 */     gd_composite_1_1.heightHint = 17;
/* 250 */     composite_1.setLayoutData(gd_composite_1_1);
/* 251 */     GridLayout gridLayout_2 = new GridLayout();
/* 252 */     gridLayout_2.verticalSpacing = 0;
/* 253 */     gridLayout_2.marginWidth = 0;
/* 254 */     gridLayout_2.marginHeight = 0;
/* 255 */     gridLayout_2.horizontalSpacing = 20;
/* 256 */     gridLayout_2.numColumns = 2;
/* 257 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 259 */     Button button = new Button(composite_1, 0);
/* 260 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 262 */             if (AuthorizeUpApplyDialog.this.text.getText().length() > 0 || 
/* 263 */               AuthorizeUpApplyDialog.this.text_1.getText().length() > 0) {
/* 264 */               AuthorizeUpApplyDialog.this.searching = true;
/*     */             } else {
/* 266 */               AuthorizeUpApplyDialog.this.searching = false;
/* 267 */             }  if (AuthorizeUpApplyDialog.this.searching) {
/* 268 */               AuthorizeUpApplyDialog.this.pageComposit.page.setCpage(1);
/* 269 */               AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 274 */     GridData gd_button = new GridData(16777216, 16777216, false, 
/* 275 */         false);
/* 276 */     gd_button.heightHint = 18;
/* 277 */     button.setLayoutData(gd_button);
/* 278 */     button.setText("搜索");
/*     */     
/* 280 */     Button button_1 = new Button(composite_1, 0);
/* 281 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 283 */             AuthorizeUpApplyDialog.this.searching = false;
/* 284 */             AuthorizeUpApplyDialog.this.initSearchGroup();
/* 285 */             AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */     
/* 289 */     button_1.setLayoutData(new GridData(-1, 18));
/* 290 */     button_1.setText("清空");
/*     */ 
/*     */     
/* 293 */     title.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 295 */             if (e.getState()) {
/* 296 */               AuthorizeUpApplyDialog.this.minScrollheight = AuthorizeUpApplyDialog.this.minScrollheight + 55;
/*     */             } else {
/* 298 */               AuthorizeUpApplyDialog.this.minScrollheight = AuthorizeUpApplyDialog.this.minScrollheight - 55;
/*     */             } 
/* 300 */             AuthorizeUpApplyDialog.this.scrolledComposite.setMinHeight(AuthorizeUpApplyDialog.this.minScrollheight);
/*     */             
/* 302 */             AuthorizeUpApplyDialog.this.composite.layout();
/*     */           }
/*     */         });
/*     */     
/* 306 */     Composite composite_7 = new Composite(this.composite, 0);
/* 307 */     GridLayout gridLayout = new GridLayout();
/* 308 */     gridLayout.verticalSpacing = 0;
/* 309 */     gridLayout.marginWidth = 0;
/* 310 */     gridLayout.marginHeight = 0;
/* 311 */     gridLayout.horizontalSpacing = 0;
/* 312 */     composite_7.setLayout((Layout)gridLayout);
/* 313 */     GridData gd_composite_7 = new GridData(4, 128, false, 
/* 314 */         false);
/* 315 */     gd_composite_7.heightHint = 380;
/* 316 */     composite_7.setLayoutData(gd_composite_7);
/*     */     
/* 318 */     this.ctv = CheckboxTableViewer.newCheckList(composite_7, 2048);
/*     */     
/* 320 */     this.table_1 = this.ctv.getTable();
/* 321 */     GridData gd_table_1 = new GridData(4, 4, true, true);
/* 322 */     this.table_1.setLayoutData(gd_table_1);
/* 323 */     this.table_1.setLinesVisible(true);
/* 324 */     this.table_1.setHeaderVisible(true);
/*     */     
/* 326 */     this.table_1.addListener(41, new Listener()
/*     */         {
/*     */           public void handleEvent(Event event)
/*     */           {
/* 330 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 335 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 336 */         16777216);
/* 337 */     newColumnTableColumn.setAlignment(16777216);
/* 338 */     newColumnTableColumn.setWidth(50);
/* 339 */     newColumnTableColumn.setText("序号");
/*     */     
/* 341 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 342 */         16777216);
/* 343 */     newColumnTableColumn_1.setAlignment(16777216);
/* 344 */     newColumnTableColumn_1.setWidth(100);
/* 345 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 347 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 348 */         16777216);
/* 349 */     newColumnTableColumn_2.setAlignment(16384);
/* 350 */     newColumnTableColumn_2.setWidth(165);
/* 351 */     newColumnTableColumn_2.setText("事业单位名称");
/*     */     
/* 353 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 354 */         16777216);
/* 355 */     newColumnTableColumn_3.setAlignment(16777216);
/* 356 */     newColumnTableColumn_3.setResizable(false);
/* 357 */     newColumnTableColumn_3.setText("");
/*     */     
/* 359 */     PublicUtil.setTableWidth(this.composite, this.table_1, "1.5:3:5.49:0.01");
/*     */     
/* 361 */     Composite composite_2 = new Composite(this.composite, 0);
/* 362 */     GridLayout gridLayout_5 = new GridLayout();
/* 363 */     gridLayout_5.verticalSpacing = 0;
/* 364 */     gridLayout_5.marginWidth = 0;
/* 365 */     gridLayout_5.marginHeight = 0;
/* 366 */     gridLayout_5.horizontalSpacing = 0;
/* 367 */     composite_2.setLayout((Layout)gridLayout_5);
/* 368 */     composite_2.setBackground(Display.getCurrent()
/* 369 */         .getSystemColor(1));
/* 370 */     GridData gd_composite_1 = new GridData(4, 16777216, 
/* 371 */         true, false);
/* 372 */     gd_composite_1.heightHint = 20;
/* 373 */     composite_2.setLayoutData(gd_composite_1);
/*     */     
/* 375 */     this.pageComposit = new PageComposite(composite_2, 0);
/*     */     
/* 377 */     this.pageComposit.setShortVersion();
/*     */     
/* 379 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 382 */             AuthorizeUpApplyDialog.this.pageComposit.page.firstpage();
/* 383 */             AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */     
/* 387 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 390 */             AuthorizeUpApplyDialog.this.pageComposit.page.prepage();
/* 391 */             AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 396 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 399 */             AuthorizeUpApplyDialog.this.pageComposit.page.nextpage();
/*     */             
/* 401 */             AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */     
/* 405 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 408 */             AuthorizeUpApplyDialog.this.pageComposit.page.lastpage();
/*     */             
/* 410 */             AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */     
/* 414 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 417 */             if (AuthorizeUpApplyDialog.this.pageComposit.setPageable()) {
/* 418 */               AuthorizeUpApplyDialog.this.initTableView(AuthorizeUpApplyDialog.this.text.getText(), AuthorizeUpApplyDialog.this.text_1.getText());
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 423 */     Composite group_1 = new Composite(this.composite, 0);
/* 424 */     group_1.setBackground(Display.getCurrent()
/* 425 */         .getSystemColor(1));
/* 426 */     GridData gd_group_1 = new GridData(16384, 4, false, 
/* 427 */         false);
/* 428 */     gd_group_1.widthHint = 700;
/* 429 */     group_1.setLayoutData(gd_group_1);
/* 430 */     GridLayout gridLayout_3 = new GridLayout();
/* 431 */     gridLayout_3.marginLeft = 35;
/* 432 */     gridLayout_3.horizontalSpacing = 2;
/* 433 */     gridLayout_3.marginHeight = 0;
/* 434 */     gridLayout_3.verticalSpacing = 2;
/* 435 */     gridLayout_3.marginWidth = 2;
/* 436 */     gridLayout_3.numColumns = 3;
/* 437 */     group_1.setLayout((Layout)gridLayout_3);
/*     */     
/* 439 */     Label label_5 = new Label(group_1, 0);
/* 440 */     label_5.setBackground(Display.getCurrent()
/* 441 */         .getSystemColor(1));
/* 442 */     label_5
/* 443 */       .setLayoutData(new GridData(131072, 16777216, true, true, 1, 1));
/* 444 */     label_5.setText("授权方式： ");
/*     */     
/* 446 */     this.combo_level = new Combo(group_1, 8);
/* 447 */     this.combo_level.setLayoutData(new GridData(16384, 16777216, true, 
/* 448 */           false, 2, 1));
/*     */     
/* 450 */     Label label_7 = new Label(group_1, 0);
/* 451 */     label_7.setBackground(Display.getCurrent()
/* 452 */         .getSystemColor(1));
/* 453 */     label_7.setLayoutData(new GridData(131072, 16777216, false, 
/* 454 */           false, 1, 1));
/* 455 */     label_7.setText("授权原因： ");
/*     */     
/* 457 */     this.text_reason = new Text(group_1, 2624);
/* 458 */     this.text_reason.setBackground(Display.getCurrent()
/* 459 */         .getSystemColor(1));
/* 460 */     GridData gd_text_note = new GridData(16384, 16777216, true, 
/* 461 */         false, 1, 1);
/* 462 */     gd_text_note.heightHint = 70;
/* 463 */     gd_text_note.widthHint = 400;
/* 464 */     this.text_reason.setLayoutData(gd_text_note);
/* 465 */     this.text_reason.setTextLimit(300);
/*     */     
/* 467 */     Composite composite_3 = new Composite(group_1, 0);
/* 468 */     composite_3.setBackground(Display.getCurrent()
/* 469 */         .getSystemColor(1));
/* 470 */     composite_3.setLayoutData(new GridData(16777216, 16777216, false, 
/* 471 */           false, 3, 1));
/* 472 */     GridLayout gridLayout_4 = new GridLayout();
/* 473 */     gridLayout_4.numColumns = 2;
/* 474 */     composite_3.setLayout((Layout)gridLayout_4);
/*     */     
/* 476 */     this.scrolledComposite.setContent((Control)composite_6);
/* 477 */     initUI();
/* 478 */     initData();
/* 479 */     return (Control)this.container;
/*     */   }
/*     */   
/*     */   private void initData() {
/* 483 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 484 */     this.ctv.setContentProvider((IContentProvider)this.scmContP);
/* 485 */     this.treeview.setInput(this.sumController.creatRoot());
/* 486 */     this.destinyinfo = new InfoEntity();
/* 487 */     this.destinyinfo.setId(this.user.getGroupid());
/* 488 */     this.destinyinfo.setName(this.user.getGroupname());
/* 489 */     initRightComposite();
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 493 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/* 494 */     this.ctv.setLabelProvider((IBaseLabelProvider)this.scmLabP);
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 498 */     if (!al.isEmpty()) {
/* 499 */       this.pageComposit.page = al.get(0);
/* 500 */       al.remove(0);
/* 501 */       if (al.isEmpty()) {
/* 502 */         this.pageComposit.label.setText("第0页/共0页");
/* 503 */         this.pageComposit.label.update();
/* 504 */         this.pageComposit.button_up.setEnabled(false);
/* 505 */         this.pageComposit.button_down.setEnabled(false);
/* 506 */         this.pageComposit.button_first.setEnabled(false);
/* 507 */         this.pageComposit.button_last.setEnabled(false);
/*     */       } else {
/*     */         
/* 510 */         if (this.pageComposit.page.getCpage() == 1) {
/* 511 */           this.pageComposit.button_up.setEnabled(false);
/* 512 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/*     */           
/* 515 */           this.pageComposit.button_up.setEnabled(true);
/* 516 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 520 */         if (this.pageComposit.page.getCpage() == 
/* 521 */           this.pageComposit.page.getTpage()) {
/* 522 */           this.pageComposit.button_down.setEnabled(false);
/* 523 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/*     */           
/* 526 */           this.pageComposit.button_down.setEnabled(true);
/* 527 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 531 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 532 */             "页/共" + this.pageComposit.page.getTpage() + "页 共" + 
/* 533 */             this.pageComposit.page.getTotalnum() + "行");
/* 534 */         this.pageComposit.label.update();
/*     */       
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 541 */       this.pageComposit.label.setText("第0页/共0页");
/* 542 */       this.pageComposit.label.update();
/* 543 */       this.pageComposit.button_up.setEnabled(false);
/* 544 */       this.pageComposit.button_down.setEnabled(false);
/* 545 */       this.pageComposit.button_first.setEnabled(false);
/* 546 */       this.pageComposit.button_last.setEnabled(false);
/* 547 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */     
/* 550 */     this.composite.layout();
/* 551 */     this.scrolledComposite.layout();
/* 552 */     return al;
/*     */   }
/*     */ 
/*     */   
/*     */   private void initRightComposite() {
/* 557 */     initSearchGroup();
/* 558 */     initTableView(this.text.getText(), this.text_1.getText());
/* 559 */     initMovePanel();
/*     */   }
/*     */   
/*     */   private void initTableView(String sydwCode, String sydwName) {
/* 563 */     String groupname = "";
/* 564 */     String groupid = "";
/*     */     
/* 566 */     if (this.treeinfo != null) {
/* 567 */       groupid = this.treeinfo.getId();
/* 568 */       groupname = this.treeinfo.getName();
/*     */     } else {
/* 570 */       groupname = this.user.getGroupname();
/* 571 */       groupid = this.user.getGroupid();
/*     */     } 
/* 573 */     this.ctv.setInput(
/* 574 */         resetInfos(this.sumController.creatInput(sydwCode, sydwName, groupid, this.pageComposit.page)));
/* 575 */     this.label.setText("“" + groupname + "”管辖事业单位信息列表");
/* 576 */     this.label.update();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initMovePanel() {
/* 581 */     String currDistrictCode = this.user.getDistrictcode();
/* 582 */     String currGroupId = this.user.getGroupid();
/*     */     
/* 584 */     if (!currDistrictCode.equals("100000")) {
/*     */       
/* 586 */       if (!currDistrictCode.endsWith("0000")) {
/* 587 */         this.combo_level.add("请选择");
/* 588 */         this.combo_level.setData("请选择", null);
/*     */       } 
/*     */       
/* 591 */       this.combo_level.add("中央授权");
/* 592 */       this.combo_level.setData("中央授权", "1");
/*     */       
/* 594 */       if (!currDistrictCode.endsWith("0000")) {
/* 595 */         this.combo_level.add("省以下授权");
/* 596 */         this.combo_level.setData("省以下授权", "2");
/*     */       } 
/*     */       
/* 599 */       if (!currDistrictCode.endsWith("00")) {
/* 600 */         boolean parentLocal = this.oh.checkParentCzglLocal(currGroupId);
/* 601 */         if (parentLocal) {
/* 602 */           this.combo_level.add("市以下授权");
/* 603 */           this.combo_level.setData("市以下授权", "3");
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 609 */     this.combo_level.select(0);
/* 610 */     this.moveID = null;
/*     */   }
/*     */   
/*     */   private void initSearchGroup() {
/* 614 */     this.pageComposit.page.setCpage(1);
/* 615 */     this.text.setText("");
/* 616 */     this.text_1.setText("");
/* 617 */     this.destinyinfo = null;
/*     */   }
/*     */   
/*     */   private void executeMove(Object[] checkObjs) {
/* 621 */     boolean flag = true;
/* 622 */     if (this.combo_level.getText().equals("请选择")) {
/* 623 */       SydjMessageDialog.openInformation(null, "提示", "请选择授权方式!");
/* 624 */       flag = false;
/* 625 */       this.combo_level.setFocus();
/* 626 */     } else if (this.text_reason.getText().trim().equals("")) {
/* 627 */       SydjMessageDialog.openInformation(null, "提示", "请输入授权原因!");
/* 628 */       this.text_reason.setFocus();
/* 629 */       flag = false;
/*     */     } 
/* 631 */     if (flag) {
/* 632 */       int button_id = showQuestBox("确定要申请将所选事业单位授权到" + this.combo_level.getText() + 
/* 633 */           "吗？");
/* 634 */       if (button_id == 64) {
/* 635 */         String cgjgLevel = this.combo_level.getData(this.combo_level.getText()).toString();
/* 636 */         String applyReason = this.text_reason.getText();
/*     */ 
/*     */         
/* 639 */         AuthorizeApplyExcuteProgressDialog ep = new AuthorizeApplyExcuteProgressDialog(
/* 640 */             this.shell, "数据授权申请提交中...", "数据授权申请", this.sumController, 
/* 641 */             checkObjs, "0", applyReason, cgjgLevel, "4772", "up", "", "");
/* 642 */         ep.run(true, false);
/*     */         
/* 644 */         SydjMessageDialog.openInformation(null, "提示", ep.result);
/*     */         
/* 646 */         this.text_reason.setText("");
/* 647 */         initTableView(this.text.getText(), this.text_1.getText());
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 654 */     text.setText(text.getText().trim());
/* 655 */     if (length == -1) {
/* 656 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 657 */         text.setText(text.getText().trim());
/* 658 */         showInputErr(text, info);
/* 659 */         return false;
/*     */       } 
/* 661 */       return true;
/* 662 */     }  if (length == 0) {
/* 663 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 664 */         text.setText(text.getText().trim());
/* 665 */         showInputErr(text, info);
/* 666 */         return false;
/*     */       } 
/* 668 */       return true;
/*     */     } 
/* 670 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 671 */       text.getText().trim().length() != length) {
/* 672 */       text.setText(text.getText().trim());
/* 673 */       showInputErr(text, info);
/* 674 */       return false;
/*     */     } 
/* 676 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 682 */     text.setText(text.getText().trim());
/* 683 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 684 */     mbox.setMessage(info);
/* 685 */     mbox.setText("错误提示");
/* 686 */     mbox.open();
/* 687 */     text.setFocus();
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 691 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 692 */     mbox.setMessage(info);
/* 693 */     mbox.setText("错误提示");
/* 694 */     mbox.open();
/*     */   }
/*     */   
/*     */   private void showOKInfoBox(String info) {
/* 698 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 699 */     mbox.setMessage(info);
/* 700 */     mbox.setText("信息提示");
/* 701 */     mbox.open();
/*     */   }
/*     */   
/*     */   private int showQuestBox(String info) {
/* 705 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 707 */     mbox.setMessage(info);
/* 708 */     mbox.setText("信息提示");
/* 709 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 719 */     createButton(parent, 0, "申请授权所选单位", false);
/* 720 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 724 */     if (buttonId == 1) {
/* 725 */       this.returnValue = 1;
/* 726 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */     
/* 729 */     boolean flag = true;
/* 730 */     if (buttonId == 0 && 
/* 731 */       this.ctv != null) {
/*     */       
/* 733 */       Object[] checkObjs = this.ctv.getCheckedElements();
/* 734 */       if (checkObjs.length > 0) {
/* 735 */         executeMove(checkObjs);
/* 736 */         this.returnValue = 0;
/*     */       } else {
/*     */         
/* 739 */         showInfoBox("请选择要授权的事业单位！");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 746 */     super.open();
/* 747 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 752 */     return new Point(800, 750);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 760 */     super.configureShell(newShell);
/* 761 */     newShell.setText("事业单位授权申请");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeUpApplyDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */