/*     */ package cs.sydj.operation.authorize.apply;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.tableinfo.common.CzglTransferInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AuthorizeUpApplyView
/*     */   extends ViewPart
/*     */ {
/*  65 */   private int state = 0;
/*     */   
/*     */   private Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   private Button button_dsl;
/*     */   private Button button_yjs;
/*     */   private Button button_bjs;
/*  81 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*  82 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*  84 */   AuthorizeSydwDataManage dataManage = new AuthorizeSydwDataManage();
/*  85 */   private ArrayList list = new ArrayList();
/*  86 */   String alertMsg = "";
/*     */   
/*     */   ScrolledComposite scrolledComposite;
/*     */   
/*  90 */   int totalRows = 0;
/*  91 */   int maxCount = 15;
/*  92 */   int startNo = 1;
/*  93 */   int currentPage = 1;
/*  94 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  98 */   private String sydwnameStr = "";
/*  99 */   private TableCursor cursor = null;
/* 100 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 106 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 110 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 114 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 118 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 122 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 126 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 135 */     Composite container = new Composite(parent, 0);
/* 136 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 137 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 139 */     this.scrolledComposite = new ScrolledComposite(container, 2816);
/* 140 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 141 */     this.scrolledComposite.getVerticalBar().setIncrement(15);
/* 142 */     this.scrolledComposite.getHorizontalBar().setIncrement(15);
/* 143 */     this.scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 145 */     this.composite_total = new Composite((Composite)this.scrolledComposite, 0);
/* 146 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 147 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 148 */     this.composite_total.setSize(800, 600);
/*     */     
/* 150 */     Label label_66 = new Label(this.composite_total, 258);
/* 151 */     FormData fd_label_66 = new FormData();
/* 152 */     fd_label_66.top = new FormAttachment(0, 10);
/* 153 */     fd_label_66.left = new FormAttachment(0, 35);
/* 154 */     label_66.setLayoutData(fd_label_66);
/*     */ 
/*     */     
/* 157 */     Composite composite_4 = new Composite(this.composite_total, 0);
/* 158 */     fd_label_66.right = new FormAttachment((Control)composite_4, 0, 131072);
/* 159 */     composite_4.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 160 */     FormData fd_composite_4 = new FormData();
/* 161 */     fd_composite_4.right = new FormAttachment(100, -35);
/* 162 */     fd_composite_4.bottom = new FormAttachment((Control)label_66, 35);
/* 163 */     fd_composite_4.top = new FormAttachment((Control)label_66, 0);
/* 164 */     fd_composite_4.left = new FormAttachment(0, 35);
/* 165 */     composite_4.setLayoutData(fd_composite_4);
/* 166 */     composite_4.setLayout((Layout)new FormLayout());
/*     */     
/* 168 */     this.button_dsl = new Button(composite_4, 16);
/* 169 */     this.button_dsl.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 170 */     FormData fd_button_1 = new FormData();
/* 171 */     fd_button_1.left = new FormAttachment(0, 3);
/* 172 */     fd_button_1.right = new FormAttachment(0, 60);
/* 173 */     fd_button_1.bottom = new FormAttachment(100, -8);
/* 174 */     this.button_dsl.setLayoutData(fd_button_1);
/* 175 */     this.button_dsl.setSelection(true);
/* 176 */     this.button_dsl.setText("待确认");
/* 177 */     addRadioListener(this.button_dsl, "0");
/*     */     
/* 179 */     this.button_yjs = new Button(composite_4, 16);
/* 180 */     this.button_yjs.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 181 */     FormData fd_button_2 = new FormData();
/* 182 */     fd_button_2.left = new FormAttachment(0, 86);
/* 183 */     fd_button_2.right = new FormAttachment(0, 155);
/* 184 */     fd_button_2.bottom = new FormAttachment(100, -8);
/* 185 */     this.button_yjs.setLayoutData(fd_button_2);
/* 186 */     this.button_yjs.setText("已确认");
/* 187 */     addRadioListener(this.button_yjs, "1");
/*     */     
/* 189 */     this.button_bjs = new Button(composite_4, 16);
/* 190 */     this.button_bjs.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 191 */     FormData fd_button_3 = new FormData();
/* 192 */     fd_button_3.bottom = new FormAttachment(100, -8);
/* 193 */     fd_button_3.left = new FormAttachment(0, 181);
/* 194 */     fd_button_3.right = new FormAttachment(0, 250);
/* 195 */     this.button_bjs.setLayoutData(fd_button_3);
/* 196 */     this.button_bjs.setText("不同意");
/* 197 */     addRadioListener(this.button_bjs, "2");
/*     */     
/* 199 */     Composite composite = new Composite(this.composite_total, 0);
/* 200 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 202 */     FormData fd_composite = new FormData();
/* 203 */     fd_composite.right = new FormAttachment((Control)composite_4, 0, 131072);
/* 204 */     fd_composite.bottom = new FormAttachment((Control)composite_4, 40, 1024);
/* 205 */     fd_composite.top = new FormAttachment((Control)composite_4, 0, 1024);
/* 206 */     fd_composite.left = new FormAttachment((Control)composite_4, 0, 16384);
/*     */     
/* 208 */     composite.setLayoutData(fd_composite);
/* 209 */     GridLayout gridLayout = new GridLayout();
/* 210 */     gridLayout.numColumns = 3;
/* 211 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 213 */     Label label = new Label(composite, 0);
/* 214 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 215 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 216 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 218 */     this.text = new Text(composite, 2048);
/* 219 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 220 */     gd_text.widthHint = 200;
/* 221 */     this.text.setLayoutData(gd_text);
/*     */     
/* 223 */     Button button = new Button(composite, 0);
/* 224 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 225 */     gd_button.heightHint = 20;
/* 226 */     button.setLayoutData(gd_button);
/* 227 */     button.setText("查询");
/*     */     
/* 229 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 231 */             AuthorizeUpApplyView.this.totalRows = 0;
/* 232 */             AuthorizeUpApplyView.this.currentPage = 1;
/* 233 */             AuthorizeUpApplyView.this.startNo = 1;
/* 234 */             AuthorizeUpApplyView.this.sydwnameStr = AuthorizeUpApplyView.this.text.getText();
/* 235 */             AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, AuthorizeUpApplyView.this.startNo, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/* 236 */             AuthorizeUpApplyView.this.setFenYe(AuthorizeUpApplyView.this.list, AuthorizeUpApplyView.this.currentPage);
/*     */           }
/*     */         });
/*     */     
/* 240 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 241 */     this.table = this.tableViewer.getTable();
/* 242 */     FormData fd_table = new FormData();
/*     */     
/* 244 */     fd_table.bottom = new FormAttachment(0, 439);
/* 245 */     fd_table.right = new FormAttachment(100, -35);
/* 246 */     fd_table.top = new FormAttachment(0, 95);
/* 247 */     fd_table.left = new FormAttachment(0, 35);
/* 248 */     this.table.setLayoutData(fd_table);
/* 249 */     this.table.setLinesVisible(true);
/* 250 */     this.table.setHeaderVisible(true);
/* 251 */     PublicUtil.setTableHeight(this.table);
/* 252 */     PublicUtil.setMouseHands(this.table, "1#5");
/*     */     
/* 254 */     this.tableLayout = new TableLayout();
/* 255 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 257 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 258 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 259 */     newColumnTableColumn.setAlignment(16777216);
/* 260 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 262 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(40));
/* 263 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 264 */     newColumnTableColumn_1.setText("事业单位名称");
/*     */     
/* 266 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 267 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 268 */     newColumnTableColumn_5.setText("原登记管理机关");
/*     */     
/* 270 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 271 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 272 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 274 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 275 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 276 */     newColumnTableColumn_3.setText("申请人");
/*     */     
/* 278 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 279 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 280 */     newColumnTableColumn_4.setText("操作");
/*     */ 
/*     */     
/* 283 */     Label label_9 = new Label(this.composite_total, 0);
/* 284 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 285 */     FormData fd_label_9 = new FormData();
/* 286 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 287 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 288 */     fd_label_9.top = new FormAttachment(0, 85);
/* 289 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 291 */     this.label_12 = new Label(this.composite_total, 0);
/* 292 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 293 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 294 */     FormData fd_label_12 = new FormData();
/* 295 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 296 */     fd_label_12.top = new FormAttachment(0, 70);
/* 297 */     fd_label_12.right = new FormAttachment(0, 240);
/* 298 */     this.label_12.setLayoutData(fd_label_12);
/* 299 */     this.label_12.setText("事业单位列表");
/*     */     
/* 301 */     if (this.state == 9) {
/* 302 */       this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 303 */       TableColumn newColumnTableColumn_4_1 = new TableColumn(this.table, 16777216);
/* 304 */       newColumnTableColumn_4_1.setText("状态");
/*     */     } 
/*     */ 
/*     */     
/* 308 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 309 */     GridLayout gridLayout_4 = new GridLayout();
/* 310 */     gridLayout_4.numColumns = 2;
/* 311 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 312 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 313 */     FormData fd_composite_fenye = new FormData();
/* 314 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 315 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 316 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 317 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 318 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 320 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 321 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 322 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 323 */     GridLayout gridLayout_2 = new GridLayout();
/* 324 */     gridLayout_2.marginTop = 3;
/* 325 */     gridLayout_2.verticalSpacing = 0;
/* 326 */     gridLayout_2.marginWidth = 0;
/* 327 */     gridLayout_2.marginHeight = 0;
/* 328 */     gridLayout_2.horizontalSpacing = 2;
/* 329 */     gridLayout_2.numColumns = 7;
/* 330 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 332 */     Label label_1 = new Label(composite_1, 0);
/* 333 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 334 */     label_1.setText("页次：");
/*     */     
/* 336 */     this.label_2 = new Label(composite_1, 131072);
/* 337 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 338 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 339 */     if (this.totalPages == 0) {
/* 340 */       this.label_2.setText("0/0");
/*     */     } else {
/* 342 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 345 */     Label label_3 = new Label(composite_1, 0);
/* 346 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 347 */     label_3.setText("页  每页");
/*     */     
/* 349 */     Label label_4 = new Label(composite_1, 0);
/* 350 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 351 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 352 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 354 */     Label label_5 = new Label(composite_1, 0);
/* 355 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 356 */     label_5.setText("行  共");
/*     */     
/* 358 */     this.label_6 = new Label(composite_1, 0);
/* 359 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 360 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 361 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 363 */     Label label_7 = new Label(composite_1, 0);
/* 364 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 365 */     label_7.setText("行");
/*     */ 
/*     */     
/* 368 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 369 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 370 */     GridLayout gridLayout_1 = new GridLayout();
/* 371 */     gridLayout_1.numColumns = 6;
/* 372 */     composite_2.setLayout((Layout)gridLayout_1);
/* 373 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 375 */     this.button_1 = new Button(composite_2, 0);
/* 376 */     this.button_1.setText("上一页");
/* 377 */     if (!this.hasPreviousPage) {
/* 378 */       this.button_1.setEnabled(false);
/*     */     }
/* 380 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 382 */             AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, (AuthorizeUpApplyView.this.currentPage - 2) * AuthorizeUpApplyView.this.maxCount + 1, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/* 383 */             AuthorizeUpApplyView.this.setFenYe(AuthorizeUpApplyView.this.list, AuthorizeUpApplyView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 387 */     this.button_2 = new Button(composite_2, 0);
/* 388 */     this.button_2.setText("下一页");
/* 389 */     if (!this.hasNextPage) {
/* 390 */       this.button_2.setEnabled(false);
/*     */     }
/* 392 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 394 */             AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, AuthorizeUpApplyView.this.currentPage * AuthorizeUpApplyView.this.maxCount + 1, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/* 395 */             AuthorizeUpApplyView.this.setFenYe(AuthorizeUpApplyView.this.list, AuthorizeUpApplyView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 399 */     Label label_10 = new Label(composite_2, 0);
/* 400 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 401 */     label_10.setText("转至第");
/*     */     
/* 403 */     this.text_2 = new Text(composite_2, 2048);
/* 404 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 406 */     Label label_11 = new Label(composite_2, 0);
/* 407 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 408 */     label_11.setText("页");
/*     */     
/* 410 */     Button goButton = new Button(composite_2, 0);
/* 411 */     goButton.setText("GO");
/*     */     
/* 413 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 415 */             if (VerifyFunction.isNumeric(AuthorizeUpApplyView.this.text_2.getText())) {
/* 416 */               int aa = Integer.parseInt(AuthorizeUpApplyView.this.text_2.getText());
/* 417 */               if (aa > AuthorizeUpApplyView.this.totalPages) {
/* 418 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 420 */                 AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, (aa - 1) * AuthorizeUpApplyView.this.maxCount + 1, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/* 421 */                 AuthorizeUpApplyView.this.setFenYe(AuthorizeUpApplyView.this.list, aa);
/* 422 */                 AuthorizeUpApplyView.this.setFontColor();
/* 423 */                 AuthorizeUpApplyView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 426 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 431 */     Composite composite_button = new Composite(this.composite_total, 0);
/* 432 */     composite_button.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */     
/* 435 */     FormData fd_composite_button = new FormData();
/* 436 */     fd_composite_button.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 437 */     fd_composite_button.bottom = new FormAttachment((Control)composite_fenye, 40, 1024);
/* 438 */     fd_composite_button.top = new FormAttachment((Control)composite_fenye, 0, 1024);
/* 439 */     fd_composite_button.left = new FormAttachment((Control)composite_fenye, 0, 16384);
/* 440 */     composite_button.setLayoutData(fd_composite_button);
/*     */     
/* 442 */     GridLayout gridLayout_button = new GridLayout();
/* 443 */     gridLayout_button.numColumns = 1;
/* 444 */     composite_button.setLayout((Layout)gridLayout_button);
/*     */     
/* 446 */     Button button_huaZhuan = new Button(composite_button, 0);
/* 447 */     GridData gd_button_huaZhuan = new GridData(16777216, 16777216, true, false);
/* 448 */     gd_button_huaZhuan.heightHint = 20;
/* 449 */     button_huaZhuan.setLayoutData(gd_button_huaZhuan);
/* 450 */     button_huaZhuan.setText("事业单位授权申请");
/*     */ 
/*     */     
/* 453 */     button_huaZhuan.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 455 */             AuthorizeUpApplyDialog dialog = new AuthorizeUpApplyDialog(
/* 456 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 457 */                 .getShell());
/* 458 */             dialog.open();
/*     */             
/* 460 */             AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, AuthorizeUpApplyView.this.startNo, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/* 461 */             AuthorizeUpApplyView.this.tableViewer.setInput(AuthorizeUpApplyView.this.list);
/* 462 */             AuthorizeUpApplyView.this.setFontColor();
/* 463 */             AuthorizeUpApplyView.this.setCursor();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 468 */     if ("100000".equals(this.districtCode)) {
/* 469 */       button_huaZhuan.setVisible(false);
/*     */     }
/*     */     
/* 472 */     this.scrolledComposite.setContent((Control)this.composite_total);
/* 473 */     createActions();
/* 474 */     initializeToolBar();
/* 475 */     initializeMenu();
/*     */     
/* 477 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 478 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AuthorizeApplyLableProvider(this.state));
/*     */     
/* 480 */     this.list = this.dataManage.getAuthorizeApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/* 481 */     if (this.list != null && this.list.size() > 0) {
/* 482 */       this.totalRows = ((CzglTransferInfo)this.list.get(0)).getNum();
/* 483 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 484 */       this.totalPages = pu.getTotalPages();
/* 485 */       this.currentPage = pu.getCurrentPage();
/* 486 */       this.hasNextPage = pu.isHasNextPage();
/* 487 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 489 */       setFenYe(this.list, this.currentPage);
/* 490 */       setFontColor();
/* 491 */       setCursor();
/*     */     } 
/*     */   }
/*     */   
/*     */   private void addRadioListener(final Button radiobutton, final String applystate) {
/* 496 */     radiobutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 498 */             if (radiobutton.getSelection()) {
/* 499 */               AuthorizeUpApplyView.this.currentPage = 1;
/* 500 */               AuthorizeUpApplyView.this.startNo = 1;
/* 501 */               AuthorizeUpApplyView.this.state = Integer.parseInt(applystate);
/* 502 */               AuthorizeUpApplyView.this.list = AuthorizeUpApplyView.this.dataManage.getAuthorizeApplyInfo(AuthorizeUpApplyView.this.groupId, AuthorizeUpApplyView.this.districtCode, AuthorizeUpApplyView.this.state, AuthorizeUpApplyView.this.startNo, AuthorizeUpApplyView.this.maxCount, AuthorizeUpApplyView.this.sydwnameStr);
/*     */               
/* 504 */               AuthorizeUpApplyView.this.tableViewer.setLabelProvider((IBaseLabelProvider)new AuthorizeApplyLableProvider(AuthorizeUpApplyView.this.state));
/* 505 */               AuthorizeUpApplyView.this.setFenYe(AuthorizeUpApplyView.this.list, AuthorizeUpApplyView.this.currentPage);
/*     */               
/* 507 */               AuthorizeUpApplyView.this.table.layout();
/* 508 */               AuthorizeUpApplyView.this.table.getParent().layout();
/* 509 */               AuthorizeUpApplyView.this.scrolledComposite.layout();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 519 */     if (this.cursor != null)
/* 520 */       this.cursor.dispose(); 
/* 521 */     this.cursor = new TableCursor(this.table, 0);
/* 522 */     this.cursor.setBackground(this.table.getDisplay()
/* 523 */         .getSystemColor(26));
/* 524 */     this.cursor.setForeground(this.table.getDisplay()
/* 525 */         .getSystemColor(27));
/* 526 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 528 */             int colums = AuthorizeUpApplyView.this.cursor.getColumn();
/* 529 */             if (colums == 1) {
/* 530 */               AuthorizeUpApplyView.this.openDetailDialog();
/*     */             }
/* 532 */             if (colums == 5) {
/* 533 */               AuthorizeUpApplyView.this.openAuthorizeApplyDialog();
/*     */             }
/* 535 */             AuthorizeUpApplyView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 538 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 541 */             int colums = AuthorizeUpApplyView.this.cursor.getColumn();
/* 542 */             if (colums == AuthorizeUpApplyView.this.selectColums) {
/* 543 */               if (colums == 1) {
/* 544 */                 AuthorizeUpApplyView.this.openDetailDialog();
/*     */               }
/* 546 */               if (colums == 5) {
/* 547 */                 AuthorizeUpApplyView.this.openAuthorizeApplyDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 556 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 557 */     CzglTransferInfo model = (CzglTransferInfo)select.getFirstElement();
/* 558 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */     
/* 560 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 561 */     insinfolist = oper.QueryInstaurationInfo(model.getSydwId(), "false");
/* 562 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 563 */     if (insinfolist.size() > 0) {
/* 564 */       frinfo = insinfolist.get(0);
/*     */     }
/* 566 */     ArrayList branchlist = new ArrayList();
/* 567 */     branchlist = oper.QueryInstBranch(model.getSydwId());
/* 568 */     InstallApplyDialog dialog = new InstallApplyDialog(
/*     */         
/* 570 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 571 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openAuthorizeApplyDialog() {
/* 576 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 577 */       .getSelection();
/* 578 */     CzglTransferInfo cti = (CzglTransferInfo)select.getFirstElement();
/*     */     
/* 580 */     AuthorizeApplyDialog dialog = new AuthorizeApplyDialog(
/* 581 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 582 */         .getShell(), cti, this.state);
/*     */     
/* 584 */     if (dialog.open() == 0) {
/* 585 */       String Flag = this.dataManage.saveAuthorizeTransfer(cti);
/* 586 */       if (Flag != null) {
/* 587 */         if ("true".equals(Flag)) {
/* 588 */           SydjMessageDialog.openInformation(null, "提示", "处理成功！");
/*     */ 
/*     */           
/* 591 */           this.list = this.dataManage.getAuthorizeApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/*     */           
/* 593 */           setFenYe(this.list, this.currentPage);
/* 594 */           setFontColor();
/* 595 */           setCursor();
/*     */           return;
/*     */         } 
/* 598 */         SydjMessageDialog.openInformation(null, "提示", "处理失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 609 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 610 */       this.table.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 611 */       this.table.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/* 612 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 613 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CzglTransferInfo> list, int nextcurrentPage) {
/* 618 */     this.totalRows = 0;
/* 619 */     if (list != null && list.size() > 0) {
/* 620 */       this.totalRows = ((CzglTransferInfo)list.get(0)).getNum();
/*     */     }
/* 622 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 623 */     this.totalPages = pu.getTotalPages();
/* 624 */     this.currentPage = pu.getCurrentPage();
/* 625 */     this.hasNextPage = pu.isHasNextPage();
/* 626 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 627 */     this.startNo = pu.getStartNum();
/*     */     
/* 629 */     this.tableViewer.setInput(list);
/* 630 */     setFontColor();
/* 631 */     setCursor();
/* 632 */     if (this.totalPages == 0) {
/* 633 */       this.label_2.setText("0/0");
/*     */     } else {
/* 635 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 637 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 638 */     this.label_6.getParent().getParent().layout();
/* 639 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 640 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 654 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 655 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 662 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 663 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeUpApplyView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */