/*     */ package cs.sydj.operation.bulletin;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckDetailDialogShouLi;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.DoubleClickEvent;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IDoubleClickListener;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.HistoryTableAnnualCheckViewerLabelProvider;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AnnualCheckHistoryDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table_1;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private UnitInfoModel annualCheck;
/*     */   private ArrayList historyList;
/*  63 */   private TableCursor cursor = null;
/*     */   private TableViewer tableViewer;
/*  65 */   protected int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialog(Shell parent, int style) {
/*  74 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialog(Shell parent, UnitInfoModel annualCheck, ArrayList historyList) {
/*  79 */     super(parent, 0);
/*  80 */     this.annualCheck = annualCheck;
/*  81 */     this.historyList = historyList;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialog(Shell parent) {
/*  90 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  99 */     createContents();
/* 100 */     PublicUtil.setCenter(this.shell);
/* 101 */     this.shell.open();
/* 102 */     this.shell.layout();
/* 103 */     Display display = getParent().getDisplay();
/* 104 */     while (!this.shell.isDisposed()) {
/* 105 */       if (!display.readAndDispatch())
/* 106 */         display.sleep(); 
/*     */     } 
/* 108 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 115 */     this.shell = new Shell(getParent(), 67680);
/* 116 */     this.shell.setBackgroundMode(1);
/* 117 */     this.shell.setBackground(
/* 118 */         Display.getCurrent().getSystemColor(1));
/* 119 */     this.shell.setLayout((Layout)new FormLayout());
/* 120 */     this.shell.setSize(800, 600);
/* 121 */     this.shell.setText("历史记录");
/*     */     
/* 123 */     Composite group = new Composite((Composite)this.shell, 0);
/* 124 */     GridLayout gridLayout = new GridLayout();
/* 125 */     gridLayout.marginTop = 25;
/* 126 */     gridLayout.marginRight = 25;
/* 127 */     gridLayout.marginLeft = 25;
/* 128 */     group.setLayout((Layout)gridLayout);
/* 129 */     FormData fd_group = new FormData();
/* 130 */     fd_group.bottom = new FormAttachment(100, -60);
/* 131 */     fd_group.right = new FormAttachment(100, -5);
/* 132 */     fd_group.top = new FormAttachment(0, 0);
/* 133 */     fd_group.left = new FormAttachment(0, 0);
/* 134 */     group.setLayoutData(fd_group);
/*     */     
/* 136 */     Object data = this.historyList;
/*     */     
/* 138 */     Label label = new Label(group, 0);
/* 139 */     label.setLayoutData(new GridData());
/* 140 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 141 */     label.setText("Label");
/* 142 */     label.setText("“" + this.annualCheck.getName() + "”年度报告公示申请历史记录");
/* 143 */     label.setFont(
/* 144 */         SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 145 */     Label label_2 = new Label(group, 258);
/* 146 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 148 */     this.tableViewer = new TableViewer(group, 67584);
/* 149 */     this.tableViewer.addDoubleClickListener(new IDoubleClickListener()
/*     */         {
/*     */           public void doubleClick(DoubleClickEvent arg0) {}
/*     */         });
/*     */     
/* 154 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new HistoryTableAnnualCheckViewerLabelProvider());
/* 155 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 156 */     this.table_1 = this.tableViewer.getTable();
/* 157 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 159 */             int colums = AnnualCheckHistoryDialog.this.cursor.getColumn();
/* 160 */             AnnualCheckHistoryDialog.this.openChildrenDialog(colums);
/* 161 */             AnnualCheckHistoryDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 164 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 165 */         false);
/* 166 */     gd_table_1.heightHint = 312;
/* 167 */     this.table_1.setLayoutData(gd_table_1);
/* 168 */     this.table_1.setLinesVisible(true);
/* 169 */     this.table_1.setHeaderVisible(true);
/*     */     
/* 171 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 172 */         0);
/* 173 */     newColumnTableColumn_1.setAlignment(16777216);
/* 174 */     newColumnTableColumn_1.setWidth(91);
/* 175 */     newColumnTableColumn_1.setText("提交次数");
/*     */     
/* 177 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 178 */         0);
/* 179 */     newColumnTableColumn_2.setAlignment(16777216);
/* 180 */     newColumnTableColumn_2.setWidth(100);
/* 181 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 183 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 184 */         0);
/* 185 */     newColumnTableColumn.setAlignment(16777216);
/* 186 */     newColumnTableColumn.setWidth(350);
/* 187 */     newColumnTableColumn.setText("举办单位意见");
/*     */     
/* 189 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 190 */         0);
/* 191 */     newColumnTableColumn_3.setAlignment(16777216);
/* 192 */     newColumnTableColumn_3.setWidth(350);
/* 193 */     newColumnTableColumn_3.setText("受理人意见");
/*     */     
/* 195 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 196 */         0);
/* 197 */     newColumnTableColumn_4.setAlignment(16777216);
/* 198 */     newColumnTableColumn_4.setWidth(350);
/* 199 */     newColumnTableColumn_4.setText("审核人意见");
/*     */     
/* 201 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 202 */         0);
/* 203 */     newColumnTableColumn_5.setAlignment(16777216);
/* 204 */     newColumnTableColumn_5.setWidth(350);
/* 205 */     newColumnTableColumn_5.setText("核准人意见");
/*     */     
/* 207 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 208 */         0);
/* 209 */     newColumnTableColumn_6.setAlignment(16777216);
/* 210 */     newColumnTableColumn_6.setWidth(100);
/* 211 */     newColumnTableColumn_6.setText("核准时间");
/* 212 */     this.tableViewer.setInput(data);
/*     */     
/* 214 */     Label label_1 = new Label(group, 258);
/* 215 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 217 */     Button button = new Button((Composite)this.shell, 0);
/* 218 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 220 */             AnnualCheckHistoryDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 224 */     FormData fd_button = new FormData();
/* 225 */     fd_button.bottom = new FormAttachment(0, 556);
/* 226 */     fd_button.top = new FormAttachment(0, 533);
/* 227 */     fd_button.right = new FormAttachment(0, 781);
/* 228 */     fd_button.left = new FormAttachment(0, 706);
/* 229 */     button.setLayoutData(fd_button);
/* 230 */     button.setText("关闭");
/* 231 */     setFontColor();
/* 232 */     setCursor();
/* 233 */     PublicUtil.setMouseHands(this.table_1, "0");
/* 234 */     PublicUtil.setTableHeight(this.table_1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 241 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 242 */       this.table_1.getItem(i)
/* 243 */         .setFont(
/* 244 */           0, 
/* 245 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 246 */             false, false));
/* 247 */       this.table_1.getItem(i).setForeground(0, 
/* 248 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 256 */     if (this.cursor != null)
/*     */     {
/* 258 */       this.cursor.dispose(); } 
/* 259 */     this.cursor = new TableCursor(this.table_1, 0);
/* 260 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 261 */         .getSystemColor(26));
/* 262 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 263 */         .getSystemColor(27));
/* 264 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 267 */             int colums = AnnualCheckHistoryDialog.this.cursor.getColumn();
/* 268 */             AnnualCheckHistoryDialog.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 277 */     if (colums == 0)
/*     */       try {
/* 279 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 280 */           .getSelection();
/* 281 */         HistoryModel history = (HistoryModel)select.getFirstElement();
/* 282 */         AnnualCheckOperationShouLi oper = new AnnualCheckOperationShouLi();
/* 283 */         ArrayList fileList = oper.getAnnualCheckHistoryFileInfo(
/* 284 */             GljgUserInfo.getInstance().getGroupid(), 
/* 285 */             history.getApplyId(), history.getCurrentId(), 
/* 286 */             history.getId(), true);
/* 287 */         if (fileList == null)
/*     */           return; 
/* 289 */         AnnualCheckDetailDialogShouLi dialog = new AnnualCheckDetailDialogShouLi(
/* 290 */             this.shell, this.annualCheck, fileList, false, false, "", true, 
/* 291 */             false);
/* 292 */         dialog.open();
/* 293 */       } catch (Exception e) {
/* 294 */         e.printStackTrace();
/*     */       }  
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\bulletin\AnnualCheckHistoryDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */