/*      */ package cs.sydj.operation.bulletin;
/*      */ 
/*      */ import cs.sydj.common.Sorter;
/*      */ import cs.sydj.messageTrans.MessageSender;
/*      */ import cs.sydj.operation.bulletin.actions.BulltinRegainActionGroup;
/*      */ import cs.sydj.sys.messageconf.MessageProxy;
/*      */ import cs.sydj.util.messageutil.MessageXML;
/*      */ import java.util.ArrayList;
/*      */ import java.util.HashMap;
/*      */ import javax.jms.JMSException;
/*      */ import server.sydj.operation.commons.BulltinModel;
/*      */ import server.sydj.operation.commons.UnitInfoModel;
/*      */ 
/*      */ public class BulltinOperation
/*      */ {
/*   16 */   String operation = "Bulletin";
/*   17 */   HashMap messageParameter = new HashMap<Object, Object>();
/*   18 */   String messagexml = null;
/*   19 */   String replyxml = null;
/*   20 */   ArrayList result = new ArrayList();
/*   21 */   MessageSender sender = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getBulltinUnits(String groupId, String districtCode, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*   53 */     this.messageParameter.put("name", name);
/*   54 */     this.messageParameter.put("certId", certId);
/*   55 */     this.messageParameter.put("holdUnit", holdUnit);
/*   56 */     this.messageParameter.put("bnDate", bnDate);
/*   57 */     this.messageParameter.put("enDate", enDate);
/*   58 */     this.messageParameter.put("groupId", groupId);
/*   59 */     this.messageParameter.put("districtCode", districtCode);
/*   60 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*   61 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*   62 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*   63 */     this.messageParameter.put("type", type);
/*   64 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*   65 */     this.messageParameter
/*   66 */       .put("selectItem", BulltinRegainActionGroup.selectItems);
/*   67 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*   68 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*   69 */     this.messagexml = 
/*   70 */       MessageXML.MessageToXML(this.operation, "getBulltinUnits", this.messageParameter);
/*      */     try {
/*   72 */       this.sender = new MessageSender(
/*   73 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*   74 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*   75 */       this.replyxml = this.sender
/*   76 */         .sendMessage(this.messagexml, "xml");
/*   77 */       this.result = MessageXML.XMLToList(this.replyxml);
/*   78 */     } catch (JMSException e) {
/*   79 */       e.printStackTrace();
/*      */     }
/*   81 */     catch (Exception e) {
/*   82 */       e.printStackTrace();
/*      */     } 
/*   84 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getBulltinUnitsGJJ(HashMap args) {
/*  110 */     this.messageParameter = args;
/*  111 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  112 */     this.messageParameter.put("selectItem", BulltinRegainActionGroup.selectItems);
/*  113 */     this.messagexml = 
/*  114 */       MessageXML.MessageToXML(this.operation, "getBulltinUnitsGJJ", this.messageParameter);
/*      */     try {
/*  116 */       this.sender = new MessageSender(
/*  117 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  118 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  119 */       this.replyxml = this.sender
/*  120 */         .sendMessage(this.messagexml, "xml");
/*  121 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  122 */     } catch (JMSException e) {
/*  123 */       e.printStackTrace();
/*      */     }
/*  125 */     catch (Exception e) {
/*  126 */       e.printStackTrace();
/*      */     } 
/*  128 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getBulltinUnitsGJJ(String groupId, String districtCode, String certId, String name, String holdUnit, String bnDate, String enDate, String isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag, String selectedGroupId) {
/*  157 */     this.messageParameter.put("name", name);
/*  158 */     this.messageParameter.put("certId", certId);
/*  159 */     this.messageParameter.put("holdUnit", holdUnit);
/*  160 */     this.messageParameter.put("bnDate", bnDate);
/*  161 */     this.messageParameter.put("enDate", enDate);
/*  162 */     this.messageParameter.put("groupId", groupId);
/*  163 */     this.messageParameter.put("districtCode", districtCode);
/*  164 */     this.messageParameter.put("isBulltin", isBulltin);
/*  165 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  166 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  167 */     this.messageParameter.put("selectedGroupId", selectedGroupId);
/*  168 */     this.messageParameter.put("type", type);
/*  169 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  170 */     this.messageParameter
/*  171 */       .put("selectItem", BulltinRegainActionGroup.selectItems);
/*  172 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  173 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  174 */     this.messagexml = 
/*  175 */       MessageXML.MessageToXML(this.operation, "getBulltinUnitsGJJ", this.messageParameter);
/*      */     try {
/*  177 */       this.sender = new MessageSender(
/*  178 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  179 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  180 */       this.replyxml = this.sender
/*  181 */         .sendMessage(this.messagexml, "xml");
/*  182 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  183 */     } catch (JMSException e) {
/*  184 */       e.printStackTrace();
/*      */     }
/*  186 */     catch (Exception e) {
/*  187 */       e.printStackTrace();
/*      */     } 
/*  189 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAbolishBulltinUnits(String groupId, String districtCode, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*  218 */     this.messageParameter.put("name", name);
/*  219 */     this.messageParameter.put("certId", certId);
/*  220 */     this.messageParameter.put("holdUnit", holdUnit);
/*  221 */     this.messageParameter.put("bnDate", bnDate);
/*  222 */     this.messageParameter.put("enDate", enDate);
/*  223 */     this.messageParameter.put("groupId", groupId);
/*  224 */     this.messageParameter.put("districtCode", districtCode);
/*  225 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*  226 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  227 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  228 */     this.messageParameter.put("type", type);
/*  229 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  230 */     this.messageParameter
/*  231 */       .put("selectItem", BulltinRegainActionGroup.selectItems);
/*  232 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  233 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  234 */     this.messagexml = 
/*  235 */       MessageXML.MessageToXML(this.operation, "getAbolishBulltinUnitsInfo", this.messageParameter);
/*      */     try {
/*  237 */       this.sender = new MessageSender(
/*  238 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  239 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  240 */       this.replyxml = this.sender
/*  241 */         .sendMessage(this.messagexml, "xml");
/*  242 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  243 */     } catch (JMSException e) {
/*  244 */       e.printStackTrace();
/*      */     }
/*  246 */     catch (Exception e) {
/*  247 */       e.printStackTrace();
/*      */     } 
/*  249 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList viewBulltin(ArrayList items, String bulletinItems, String type, String groupId, String districtCode, String bulNum) {
/*  257 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/*  258 */     this.messageParameter.put("bulletinItems", bulletinItems);
/*  259 */     this.messageParameter.put("type", type);
/*  260 */     this.messageParameter.put("groupId", groupId);
/*  261 */     this.messageParameter.put("districtCode", districtCode);
/*  262 */     this.messageParameter.put("bulNum", bulNum);
/*  263 */     this.messagexml = 
/*  264 */       MessageXML.MessageToXML(this.operation, "viewBulltin", this.messageParameter);
/*      */     try {
/*  266 */       this.sender = new MessageSender(
/*  267 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  268 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  269 */       this.replyxml = this.sender
/*  270 */         .sendMessage(this.messagexml, "xml");
/*  271 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  272 */     } catch (JMSException e) {
/*  273 */       e.printStackTrace();
/*      */     }
/*  275 */     catch (Exception e) {
/*  276 */       e.printStackTrace();
/*      */     } 
/*  278 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList viewAbolishBulltin(ArrayList items, String bulletinItems, String type, String groupId, String districtCode, String bulNum) {
/*  286 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/*  287 */     this.messageParameter.put("bulletinItems", bulletinItems);
/*  288 */     this.messageParameter.put("type", type);
/*  289 */     this.messageParameter.put("groupId", groupId);
/*  290 */     this.messageParameter.put("districtCode", districtCode);
/*  291 */     this.messageParameter.put("bulNum", bulNum);
/*  292 */     this.messagexml = 
/*  293 */       MessageXML.MessageToXML(this.operation, "viewAbolishBulltin", this.messageParameter);
/*      */     try {
/*  295 */       this.sender = new MessageSender(
/*  296 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  297 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  298 */       this.replyxml = this.sender
/*  299 */         .sendMessage(this.messagexml, "xml");
/*  300 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  301 */     } catch (JMSException e) {
/*  302 */       e.printStackTrace();
/*      */     }
/*  304 */     catch (Exception e) {
/*  305 */       e.printStackTrace();
/*      */     } 
/*  307 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList viewStateCertAbolishBulltin(ArrayList items, String bulletinItems, String type, String groupId, String districtCode, String bulNum) {
/*  316 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/*  317 */     this.messageParameter.put("bulletinItems", bulletinItems);
/*  318 */     this.messageParameter.put("type", type);
/*  319 */     this.messageParameter.put("groupId", groupId);
/*  320 */     this.messageParameter.put("districtCode", districtCode);
/*  321 */     this.messageParameter.put("bulNum", bulNum);
/*  322 */     this.messagexml = 
/*  323 */       MessageXML.MessageToXML(this.operation, "viewStateCertAbolishBulltin", this.messageParameter);
/*      */     try {
/*  325 */       this.sender = new MessageSender(
/*  326 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  327 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  328 */       this.replyxml = this.sender
/*  329 */         .sendMessage(this.messagexml, "xml");
/*  330 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  331 */     } catch (JMSException e) {
/*  332 */       e.printStackTrace();
/*      */     }
/*  334 */     catch (Exception e) {
/*  335 */       e.printStackTrace();
/*      */     } 
/*  337 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList viewLogOutBulltin(ArrayList items, String bulletinItems, String type, String groupId, String districtCode, String bulNum) {
/*  345 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/*  346 */     this.messageParameter.put("bulletinItems", bulletinItems);
/*  347 */     this.messageParameter.put("type", type);
/*  348 */     this.messageParameter.put("groupId", groupId);
/*  349 */     this.messageParameter.put("districtCode", districtCode);
/*  350 */     this.messageParameter.put("bulNum", bulNum);
/*  351 */     this.messagexml = 
/*  352 */       MessageXML.MessageToXML(this.operation, "viewLogOutBulltin", this.messageParameter);
/*      */     try {
/*  354 */       this.sender = new MessageSender(
/*  355 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  356 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  357 */       this.replyxml = this.sender
/*  358 */         .sendMessage(this.messagexml, "xml");
/*  359 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  360 */     } catch (JMSException e) {
/*  361 */       e.printStackTrace();
/*      */     }
/*  363 */     catch (Exception e) {
/*  364 */       e.printStackTrace();
/*      */     } 
/*  366 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList viewCertRegainBulltin(ArrayList items, String bulletinItems, String type, String groupId, String districtCode, String bulNum) {
/*  375 */     this.messageParameter.put("items", MessageXML.getReplyXML(items));
/*  376 */     this.messageParameter.put("bulletinItems", bulletinItems);
/*  377 */     this.messageParameter.put("type", type);
/*  378 */     this.messageParameter.put("groupId", groupId);
/*  379 */     this.messageParameter.put("districtCode", districtCode);
/*  380 */     this.messageParameter.put("bulNum", bulNum);
/*  381 */     this.messagexml = 
/*  382 */       MessageXML.MessageToXML(this.operation, "viewCertRegainBulltin", this.messageParameter);
/*      */     try {
/*  384 */       this.sender = new MessageSender(
/*  385 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  386 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  387 */       this.replyxml = this.sender
/*  388 */         .sendMessage(this.messagexml, "xml");
/*  389 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  390 */     } catch (JMSException e) {
/*  391 */       e.printStackTrace();
/*      */     }
/*  393 */     catch (Exception e) {
/*  394 */       e.printStackTrace();
/*      */     } 
/*  396 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getBulletinNum(String type) {
/*  409 */     this.messageParameter.put("type", type);
/*  410 */     this.messagexml = 
/*  411 */       MessageXML.MessageToXML(this.operation, "getBulletinNum", this.messageParameter);
/*      */     try {
/*  413 */       this.sender = new MessageSender(
/*  414 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  415 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  416 */       this.replyxml = this.sender
/*  417 */         .sendMessage(this.messagexml, "short");
/*  418 */     } catch (JMSException e) {
/*  419 */       e.printStackTrace();
/*      */     }
/*  421 */     catch (Exception e) {
/*  422 */       e.printStackTrace();
/*      */     } 
/*  424 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String isExistBulletinNum(String bullNumber) {
/*  434 */     this.messageParameter.put("bullNumber", bullNumber);
/*  435 */     this.messagexml = 
/*  436 */       MessageXML.MessageToXML(this.operation, "isExistBulletinNum", this.messageParameter);
/*      */     try {
/*  438 */       this.sender = new MessageSender(
/*  439 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  440 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  441 */       this.replyxml = this.sender
/*  442 */         .sendMessage(this.messagexml, "short");
/*  443 */     } catch (JMSException e) {
/*  444 */       e.printStackTrace();
/*      */     }
/*  446 */     catch (Exception e) {
/*  447 */       e.printStackTrace();
/*      */     } 
/*  449 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String isExistBulletinNumByGroup(String bullNumber, String groupId) {
/*  459 */     this.messageParameter.put("bullNumber", bullNumber);
/*  460 */     this.messageParameter.put("groupId", groupId);
/*  461 */     this.messagexml = 
/*  462 */       MessageXML.MessageToXML(this.operation, "isExistBulletinNumByGroup", this.messageParameter);
/*      */     try {
/*  464 */       this.sender = new MessageSender(
/*  465 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  466 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  467 */       this.replyxml = this.sender
/*  468 */         .sendMessage(this.messagexml, "short");
/*  469 */     } catch (JMSException e) {
/*  470 */       e.printStackTrace();
/*      */     }
/*  472 */     catch (Exception e) {
/*  473 */       e.printStackTrace();
/*      */     } 
/*  475 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList makeBulletin(ArrayList list, String groupId, String districtCode, String items, String bullNumber, String bullDate, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*  492 */     String lists = MessageXML.getReplyXML(list);
/*  493 */     this.messageParameter.put("list", lists);
/*  494 */     this.messageParameter.put("items", items);
/*  495 */     this.messageParameter.put("bullNumber", bullNumber);
/*  496 */     this.messageParameter.put("bullDate", bullDate);
/*  497 */     this.messageParameter.put("name", name);
/*  498 */     this.messageParameter.put("certId", certId);
/*  499 */     this.messageParameter.put("holdUnit", holdUnit);
/*  500 */     this.messageParameter.put("bnDate", bnDate);
/*  501 */     this.messageParameter.put("enDate", enDate);
/*  502 */     this.messageParameter.put("groupId", groupId);
/*  503 */     this.messageParameter.put("districtCode", districtCode);
/*  504 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*  505 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  506 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  507 */     this.messageParameter.put("type", type);
/*  508 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  509 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  510 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  511 */     this.messageParameter
/*  512 */       .put("selectItem", BulltinRegainActionGroup.selectItems);
/*  513 */     this.messagexml = 
/*  514 */       MessageXML.MessageToXML(this.operation, "makeBulletin", this.messageParameter);
/*      */     try {
/*  516 */       this.sender = new MessageSender(
/*  517 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  518 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  519 */       this.replyxml = this.sender
/*  520 */         .sendMessage(this.messagexml, "xml");
/*  521 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  522 */     } catch (JMSException e) {
/*  523 */       e.printStackTrace();
/*      */     }
/*  525 */     catch (Exception e) {
/*  526 */       e.printStackTrace();
/*      */     } 
/*  528 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList makeAbolishBulletin(ArrayList list, String groupId, String districtCode, String items, String bullNumber, String bullDate, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*  545 */     String lists = MessageXML.getReplyXML(list);
/*  546 */     this.messageParameter.put("list", lists);
/*  547 */     this.messageParameter.put("items", items);
/*  548 */     this.messageParameter.put("bullNumber", bullNumber);
/*  549 */     this.messageParameter.put("bullDate", bullDate);
/*  550 */     this.messageParameter.put("name", name);
/*  551 */     this.messageParameter.put("certId", certId);
/*  552 */     this.messageParameter.put("holdUnit", holdUnit);
/*  553 */     this.messageParameter.put("bnDate", bnDate);
/*  554 */     this.messageParameter.put("enDate", enDate);
/*  555 */     this.messageParameter.put("groupId", groupId);
/*  556 */     this.messageParameter.put("districtCode", districtCode);
/*  557 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*  558 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  559 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  560 */     this.messageParameter.put("type", type);
/*  561 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  562 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  563 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  564 */     this.messagexml = 
/*  565 */       MessageXML.MessageToXML(this.operation, "makeAbolishBulletin", this.messageParameter);
/*      */     try {
/*  567 */       this.sender = new MessageSender(
/*  568 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  569 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  570 */       this.replyxml = this.sender
/*  571 */         .sendMessage(this.messagexml, "xml");
/*  572 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  573 */     } catch (JMSException e) {
/*  574 */       e.printStackTrace();
/*      */     }
/*  576 */     catch (Exception e) {
/*  577 */       e.printStackTrace();
/*      */     } 
/*  579 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList notBulletin(ArrayList list, String groupId, String districtCode, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*  589 */     String lists = MessageXML.getReplyXML(list);
/*  590 */     this.messageParameter.put("list", lists);
/*  591 */     this.messageParameter.put("name", name);
/*  592 */     this.messageParameter.put("certId", certId);
/*  593 */     this.messageParameter.put("holdUnit", holdUnit);
/*  594 */     this.messageParameter.put("bnDate", bnDate);
/*  595 */     this.messageParameter.put("enDate", enDate);
/*  596 */     this.messageParameter.put("groupId", groupId);
/*  597 */     this.messageParameter.put("districtCode", districtCode);
/*  598 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*  599 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  600 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  601 */     this.messageParameter.put("type", type);
/*  602 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  603 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  604 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  605 */     this.messageParameter
/*  606 */       .put("selectItem", BulltinRegainActionGroup.selectItems);
/*  607 */     this.messagexml = 
/*  608 */       MessageXML.MessageToXML(this.operation, "notBulletin", this.messageParameter);
/*      */     try {
/*  610 */       this.sender = new MessageSender(
/*  611 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  612 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  613 */       this.replyxml = this.sender
/*  614 */         .sendMessage(this.messagexml, "xml");
/*  615 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  616 */     } catch (JMSException e) {
/*  617 */       e.printStackTrace();
/*      */     }
/*  619 */     catch (Exception e) {
/*  620 */       e.printStackTrace();
/*      */     } 
/*  622 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList notCertAbolishBulletin(ArrayList list, String groupId, String districtCode, String certId, String name, String holdUnit, String bnDate, String enDate, boolean isBulltin, boolean flag, String type, int startNo, int maxCount, boolean relFlag) {
/*  632 */     String lists = MessageXML.getReplyXML(list);
/*  633 */     this.messageParameter.put("list", lists);
/*  634 */     this.messageParameter.put("name", name);
/*  635 */     this.messageParameter.put("certId", certId);
/*  636 */     this.messageParameter.put("holdUnit", holdUnit);
/*  637 */     this.messageParameter.put("bnDate", bnDate);
/*  638 */     this.messageParameter.put("enDate", enDate);
/*  639 */     this.messageParameter.put("groupId", groupId);
/*  640 */     this.messageParameter.put("districtCode", districtCode);
/*  641 */     this.messageParameter.put("isBulltin", Boolean.valueOf(isBulltin));
/*  642 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  643 */     this.messageParameter.put("relFlag", Boolean.valueOf(relFlag));
/*  644 */     this.messageParameter.put("type", type);
/*  645 */     this.messageParameter.put("index", Integer.valueOf(Sorter.indexs));
/*  646 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  647 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  648 */     this.messagexml = 
/*  649 */       MessageXML.MessageToXML(this.operation, "notCertAbolishBulletin", this.messageParameter);
/*      */     try {
/*  651 */       this.sender = new MessageSender(
/*  652 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  653 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  654 */       this.replyxml = this.sender
/*  655 */         .sendMessage(this.messagexml, "xml");
/*  656 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  657 */     } catch (JMSException e) {
/*  658 */       e.printStackTrace();
/*      */     }
/*  660 */     catch (Exception e) {
/*  661 */       e.printStackTrace();
/*      */     } 
/*  663 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getBulltinNums(String groupId, String districtCode, String isBulletin, String bullNum, String beginDate, String endDate, int startNo, int maxCount) {
/*  686 */     this.messageParameter.put("bnDate", beginDate);
/*  687 */     this.messageParameter.put("enDate", endDate);
/*  688 */     this.messageParameter.put("groupId", groupId);
/*  689 */     this.messageParameter.put("districtCode", districtCode);
/*  690 */     this.messageParameter.put("isBulltin", isBulletin);
/*  691 */     this.messageParameter.put("bullNum", bullNum);
/*  692 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  693 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  694 */     this.messagexml = 
/*  695 */       MessageXML.MessageToXML(this.operation, "getBulltinNums", this.messageParameter);
/*      */     try {
/*  697 */       this.sender = new MessageSender(
/*  698 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  699 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  700 */       this.replyxml = this.sender
/*  701 */         .sendMessage(this.messagexml, "xml");
/*  702 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  703 */     } catch (JMSException e) {
/*  704 */       e.printStackTrace();
/*      */     }
/*  706 */     catch (Exception e) {
/*  707 */       e.printStackTrace();
/*      */     } 
/*  709 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList searchBulltinName(String groupId, String districtCode, String unitName, String beginDate, String endDate, int startNo, int maxCount) {
/*  725 */     this.messageParameter.put("unitName", unitName);
/*  726 */     this.messageParameter.put("groupId", groupId);
/*  727 */     this.messageParameter.put("districtCode", districtCode);
/*  728 */     this.messageParameter.put("bnDate", beginDate);
/*  729 */     this.messageParameter.put("enDate", endDate);
/*  730 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  731 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  732 */     this.messagexml = 
/*  733 */       MessageXML.MessageToXML(this.operation, "searchBulltinName", this.messageParameter);
/*      */     try {
/*  735 */       this.sender = new MessageSender(
/*  736 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  737 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  738 */       this.replyxml = this.sender
/*  739 */         .sendMessage(this.messagexml, "xml");
/*  740 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  741 */     } catch (JMSException e) {
/*  742 */       e.printStackTrace();
/*      */     }
/*  744 */     catch (Exception e) {
/*  745 */       e.printStackTrace();
/*      */     } 
/*  747 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getBulletinList(String groupId, String districtCode, BulltinModel model) {
/*  762 */     String models = MessageXML.getReplyXML(model);
/*  763 */     this.messageParameter.put("groupId", groupId);
/*  764 */     this.messageParameter.put("districtCode", districtCode);
/*  765 */     this.messageParameter.put("model", models);
/*  766 */     this.messagexml = 
/*  767 */       MessageXML.MessageToXML(this.operation, "getBulletinList", this.messageParameter);
/*      */     try {
/*  769 */       this.sender = new MessageSender(
/*  770 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  771 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  772 */       this.replyxml = this.sender
/*  773 */         .sendMessage(this.messagexml, "xml");
/*  774 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  775 */     } catch (JMSException e) {
/*  776 */       e.printStackTrace();
/*      */     }
/*  778 */     catch (Exception e) {
/*  779 */       e.printStackTrace();
/*      */     } 
/*  781 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getCertAbolishBulletinList(String groupId, String districtCode, BulltinModel model) {
/*  796 */     String models = MessageXML.getReplyXML(model);
/*  797 */     this.messageParameter.put("groupId", groupId);
/*  798 */     this.messageParameter.put("districtCode", districtCode);
/*  799 */     this.messageParameter.put("model", models);
/*  800 */     this.messagexml = 
/*  801 */       MessageXML.MessageToXML(this.operation, "getCertAbolishBulletinList", this.messageParameter);
/*      */     try {
/*  803 */       this.sender = new MessageSender(
/*  804 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  805 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  806 */       this.replyxml = this.sender
/*  807 */         .sendMessage(this.messagexml, "xml");
/*  808 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  809 */     } catch (JMSException e) {
/*  810 */       e.printStackTrace();
/*      */     }
/*  812 */     catch (Exception e) {
/*  813 */       e.printStackTrace();
/*      */     } 
/*  815 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList addAndDelBulletin(ArrayList list, String flag, String groupId, String districtCode, String isBulletin, String bullNum, String beginDate, String endDate, String unitName, int startNo, int maxCount, String seaConditon, BulltinModel model) {
/*  830 */     String models = MessageXML.getReplyXML(model);
/*  831 */     String lists = MessageXML.getReplyXML(list);
/*  832 */     this.messageParameter.put("list", lists);
/*  833 */     this.messageParameter.put("flag", flag);
/*  834 */     this.messageParameter.put("model", models);
/*  835 */     this.messageParameter.put("districtCode", districtCode);
/*  836 */     if ("0".equals(seaConditon)) {
/*  837 */       this.messageParameter.put("bnDate", beginDate);
/*  838 */       this.messageParameter.put("enDate", endDate);
/*  839 */       this.messageParameter.put("groupId", groupId);
/*  840 */       this.messageParameter.put("isBulltin", isBulletin);
/*  841 */       this.messageParameter.put("bullNum", bullNum);
/*      */     } else {
/*      */       
/*  844 */       this.messageParameter.put("unitName", unitName);
/*  845 */     }  this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  846 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  847 */     this.messageParameter.put("seaConditon", seaConditon);
/*  848 */     this.messagexml = 
/*  849 */       MessageXML.MessageToXML(this.operation, "addAndDelBulletin", this.messageParameter);
/*      */     try {
/*  851 */       this.sender = new MessageSender(
/*  852 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  853 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  854 */       this.replyxml = this.sender
/*  855 */         .sendMessage(this.messagexml, "xml");
/*  856 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  857 */     } catch (JMSException e) {
/*  858 */       e.printStackTrace();
/*      */     }
/*  860 */     catch (Exception e) {
/*  861 */       e.printStackTrace();
/*      */     } 
/*  863 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList addAndDelCertAbolishBulletin(ArrayList list, String flag, String groupId, String districtCode, String isBulletin, String bullNum, String beginDate, String endDate, String unitName, int startNo, int maxCount, String seaConditon, BulltinModel model) {
/*  878 */     String models = MessageXML.getReplyXML(model);
/*  879 */     String lists = MessageXML.getReplyXML(list);
/*  880 */     this.messageParameter.put("list", lists);
/*  881 */     this.messageParameter.put("flag", flag);
/*  882 */     this.messageParameter.put("model", models);
/*  883 */     this.messageParameter.put("districtCode", districtCode);
/*  884 */     if ("0".equals(seaConditon)) {
/*  885 */       this.messageParameter.put("bnDate", beginDate);
/*  886 */       this.messageParameter.put("enDate", endDate);
/*  887 */       this.messageParameter.put("groupId", groupId);
/*  888 */       this.messageParameter.put("isBulltin", isBulletin);
/*  889 */       this.messageParameter.put("bullNum", bullNum);
/*      */     } else {
/*      */       
/*  892 */       this.messageParameter.put("unitName", unitName);
/*  893 */     }  this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  894 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  895 */     this.messageParameter.put("seaConditon", seaConditon);
/*  896 */     this.messagexml = 
/*  897 */       MessageXML.MessageToXML(this.operation, "addAndDelCertAbolishBulletin", this.messageParameter);
/*      */     try {
/*  899 */       this.sender = new MessageSender(
/*  900 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  901 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  902 */       this.replyxml = this.sender
/*  903 */         .sendMessage(this.messagexml, "xml");
/*  904 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  905 */     } catch (JMSException e) {
/*  906 */       e.printStackTrace();
/*      */     }
/*  908 */     catch (Exception e) {
/*  909 */       e.printStackTrace();
/*      */     } 
/*  911 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList modifyBulletin(BulltinModel model, String flag, String bullNumber, String groupId, String districtCode, String isBulletin, String bullNum, String beginDate, String endDate, String unitName, int startNo, int maxCount, String seaConditon) {
/*  927 */     String models = MessageXML.getReplyXML(model);
/*  928 */     this.messageParameter.put("model", models);
/*  929 */     this.messageParameter.put("flag", flag);
/*  930 */     this.messageParameter.put("bullNumber", bullNumber);
/*  931 */     this.messageParameter.put("districtCode", districtCode);
/*  932 */     if ("0".equals(seaConditon)) {
/*  933 */       this.messageParameter.put("bnDate", beginDate);
/*  934 */       this.messageParameter.put("enDate", endDate);
/*  935 */       this.messageParameter.put("groupId", groupId);
/*  936 */       this.messageParameter.put("isBulltin", isBulletin);
/*  937 */       this.messageParameter.put("bullNum", bullNum);
/*      */     } else {
/*      */       
/*  940 */       this.messageParameter.put("unitName", unitName);
/*  941 */     }  this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  942 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  943 */     this.messageParameter.put("seaConditon", seaConditon);
/*  944 */     this.messagexml = 
/*  945 */       MessageXML.MessageToXML(this.operation, "modifyBulletin", this.messageParameter);
/*      */     try {
/*  947 */       this.sender = new MessageSender(
/*  948 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  949 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  950 */       this.replyxml = this.sender
/*  951 */         .sendMessage(this.messagexml, "xml");
/*  952 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  953 */     } catch (JMSException e) {
/*  954 */       e.printStackTrace();
/*      */     }
/*  956 */     catch (Exception e) {
/*  957 */       e.printStackTrace();
/*      */     } 
/*  959 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList modifyCertAbolishBulletin(BulltinModel model, String flag, String bullNumber, String groupId, String districtCode, String isBulletin, String bullNum, String beginDate, String endDate, String unitName, int startNo, int maxCount, String seaConditon) {
/*  975 */     String models = MessageXML.getReplyXML(model);
/*  976 */     this.messageParameter.put("model", models);
/*  977 */     this.messageParameter.put("flag", flag);
/*  978 */     this.messageParameter.put("bullNumber", bullNumber);
/*  979 */     this.messageParameter.put("districtCode", districtCode);
/*  980 */     if ("0".equals(seaConditon)) {
/*  981 */       this.messageParameter.put("bnDate", beginDate);
/*  982 */       this.messageParameter.put("enDate", endDate);
/*  983 */       this.messageParameter.put("groupId", groupId);
/*  984 */       this.messageParameter.put("isBulltin", isBulletin);
/*  985 */       this.messageParameter.put("bullNum", bullNum);
/*      */     } else {
/*      */       
/*  988 */       this.messageParameter.put("unitName", unitName);
/*  989 */     }  this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  990 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  991 */     this.messageParameter.put("seaConditon", seaConditon);
/*  992 */     this.messagexml = 
/*  993 */       MessageXML.MessageToXML(this.operation, "modifyCertAbolishBulletin", this.messageParameter);
/*      */     try {
/*  995 */       this.sender = new MessageSender(
/*  996 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  997 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  998 */       this.replyxml = this.sender
/*  999 */         .sendMessage(this.messagexml, "xml");
/* 1000 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1001 */     } catch (JMSException e) {
/* 1002 */       e.printStackTrace();
/*      */     }
/* 1004 */     catch (Exception e) {
/* 1005 */       e.printStackTrace();
/*      */     } 
/* 1007 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int doBackAnnualCheckNote(UnitInfoModel annualCheck) {
/* 1017 */     String methodname = "doBackAnnualCheckNote";
/* 1018 */     String msgType = "short";
/* 1019 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 1020 */     String replyxml = null;
/* 1021 */     ArrayList result = new ArrayList();
/* 1022 */     messageParameter.put("annualCheck", MessageXML.getReplyXML(annualCheck));
/* 1023 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*      */     
/* 1025 */     int i = -2;
/*      */     try {
/* 1027 */       i = Integer.valueOf(replyxml).intValue();
/* 1028 */     } catch (Exception e) {
/* 1029 */       e.printStackTrace();
/*      */     } 
/* 1031 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 1037 */     String replyxml = "";
/* 1038 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 1039 */         messageParameter);
/*      */     try {
/* 1041 */       this.sender = new MessageSender(
/* 1042 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1043 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1044 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 1045 */     } catch (JMSException e) {
/* 1046 */       e.printStackTrace();
/* 1047 */     } catch (Exception e) {
/* 1048 */       e.printStackTrace();
/*      */     } 
/* 1050 */     return replyxml;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\bulletin\BulltinOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */