/*     */ package cs.sydj.operation.bulletin;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.operation.commons.BulletinItemViewModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StateCertAbolishBulletinViewDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ArrayList item;
/*     */   private int rowCount;
/*     */   private int count;
/*     */   private Composite composite;
/*     */   private String title;
/*  38 */   private int valueReturn = 1;
/*     */   
/*     */   private String bulNum;
/*     */   
/*     */   public int open() {
/*  43 */     super.open();
/*  44 */     return this.valueReturn;
/*     */   }
/*     */ 
/*     */   
/*     */   public StateCertAbolishBulletinViewDialog(Shell parentShell, ArrayList item, int rowCount, int count, String title, String bulNum) {
/*  49 */     super(parentShell);
/*  50 */     setShellStyle(66560);
/*  51 */     this.item = item;
/*  52 */     this.rowCount = rowCount;
/*  53 */     this.count = count;
/*  54 */     this.title = title;
/*  55 */     this.bulNum = bulNum;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  65 */     parent.setBackground(Display.getCurrent()
/*  66 */         .getSystemColor(1));
/*  67 */     parent.setBackgroundMode(2);
/*  68 */     Composite container = (Composite)super.createDialogArea(parent);
/*  69 */     container.setLayout((Layout)new FillLayout());
/*     */     
/*  71 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  72 */         container, 2816);
/*  73 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/*  75 */     this.composite = new Composite((Composite)scrolledComposite, 0);
/*  76 */     this.composite.setBackground(Display.getCurrent()
/*  77 */         .getSystemColor(1));
/*  78 */     this.composite.setLocation(0, 0);
/*  79 */     GridLayout gridLayout = new GridLayout();
/*  80 */     gridLayout.marginTop = 25;
/*  81 */     gridLayout.marginRight = 25;
/*  82 */     gridLayout.marginLeft = 25;
/*  83 */     gridLayout.numColumns = 3;
/*  84 */     this.composite.setLayout((Layout)gridLayout);
/*  85 */     setBulletinItem();
/*  86 */     this.composite.setSize(488, 
/*  87 */         65 + 600 * ((this.count == 0) ? this.rowCount : (this.rowCount + 1)));
/*     */     
/*  89 */     scrolledComposite.setContent((Control)this.composite);
/*     */     
/*  91 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 101 */     if (this.count == 0) {
/* 102 */       createButton(parent, 1, "重新制作", false);
/* 103 */       createButton(parent, 0, "制作公告盘", true);
/*     */     } else {
/* 105 */       createButton(parent, 1, "关闭", false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 114 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 118 */     super.configureShell(newShell);
/* 119 */     newShell.setText("公告预览 ");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setBulletinItem() {
/* 127 */     Label label = new Label(this.composite, 0);
/* 128 */     label.setLayoutData(new GridData(16384, 16777216, true, false, 2, 
/* 129 */           1));
/* 130 */     label.setText(this.title);
/* 131 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 133 */     Label label_1 = new Label(this.composite, 258);
/*     */     
/* 135 */     label_1.setLayoutData(new GridData(4, 4, false, false, 3, 
/* 136 */           1));
/*     */     
/* 138 */     Label labels = new Label(this.composite, 0);
/* 139 */     labels.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 140 */           2, 1));
/* 141 */     labels.setText("本期公告共有" + this.item.size() + "个单位。");
/*     */ 
/*     */ 
/*     */     
/* 145 */     Label label_i = new Label(this.composite, 0);
/* 146 */     label_i.setFont(SWTResourceManager.getFont("仿宋_GB2312", 16, 0));
/* 147 */     label_i.setLayoutData(new GridData(16777216, 16777216, false, 
/* 148 */           false, 3, 1));
/* 149 */     label_i.setText(
/* 150 */         GljgUserInfo.getInstance().getDistrictcode().equals("100000") ? "国家事业单位登记管理局公告" : (
/* 151 */         String.valueOf(GljgUserInfo.getInstance().getGroupname()) + "公告"));
/*     */ 
/*     */     
/* 154 */     Label label_7 = new Label(this.composite, 0);
/* 155 */     label_7.setLayoutData(new GridData());
/*     */     
/* 157 */     Label label_8 = new Label(this.composite, 0);
/* 158 */     label_8
/* 159 */       .setLayoutData(new GridData(16777216, 16777216, false, 
/* 160 */           false));
/* 161 */     if (this.count != 0) {
/* 162 */       label_8.setText("（" + this.bulNum + "）");
/*     */     } else {
/* 164 */       label_8.setText("（废           号）");
/*     */     } 
/* 166 */     label_8.setFont(SWTResourceManager.getFont("仿宋_GB2312", 16, 0));
/* 167 */     Label label_ij = new Label(this.composite, 0);
/* 168 */     Label label_ij0 = new Label(this.composite, 64);
/* 169 */     label_ij0
/* 170 */       .setFont(SWTResourceManager.getFont("仿宋_GB2312", 16, 0));
/* 171 */     GridData gd_label_ij0 = new GridData(16384, 16777216, true, false, 
/* 172 */         2, 1);
/* 173 */     label_ij0.setLayoutData(gd_label_ij0);
/*     */     
/* 175 */     String str = "    根据《事业单位登记管理暂行条例实细则》第58条规定，";
/* 176 */     for (int i = 0; i < this.item.size(); i++) {
/* 177 */       BulletinItemViewModel view = this.item.get(i);
/* 178 */       if (i != this.item.size() - 1) {
/* 179 */         str = String.valueOf(str) + view.getUnitName() + "的事业单位法人证书（证书号：" + 
/* 180 */           view.getCert() + "）;";
/*     */       } else {
/* 182 */         str = String.valueOf(str) + view.getUnitName() + "的事业单位法人证书（证书号：" + 
/* 183 */           view.getCert() + "）已经废止，现予公告。";
/*     */       } 
/* 185 */     }  label_ij0.setText(str);
/*     */     
/* 187 */     Label label_4 = new Label(this.composite, 0);
/* 188 */     label_4.setLayoutData(new GridData(16384, 16777216, true, false));
/*     */     
/* 190 */     Label label_5 = new Label(this.composite, 0);
/* 191 */     label_5.setFont(SWTResourceManager.getFont("仿宋_GB2312", 16, 0));
/* 192 */     label_5
/* 193 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/*     */     
/* 195 */     Label label_6 = new Label(this.composite, 0);
/* 196 */     label_6.setLayoutData(new GridData(4, 16777216, false, false, 
/* 197 */           2, 1));
/* 198 */     label_5.setFont(SWTResourceManager.getFont("仿宋_GB2312", 16, 0));
/*     */     
/* 200 */     Label label_61 = new Label(this.composite, 258);
/*     */     
/* 202 */     label_61.setLayoutData(new GridData(4, 16777216, false, false, 
/* 203 */           3, 1));
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 207 */     if (buttonId == 0) {
/* 208 */       this.valueReturn = 0;
/*     */     }
/* 210 */     if (buttonId == 1) {
/* 211 */       this.valueReturn = 1;
/*     */     }
/* 213 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 219 */     super.initializeBounds();
/* 220 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\bulletin\StateCertAbolishBulletinViewDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */