/*     */ package cs.sydj.operation.cert.post;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.forms.events.ExpansionAdapter;
/*     */ import org.eclipse.ui.forms.events.ExpansionEvent;
/*     */ import org.eclipse.ui.forms.events.IExpansionListener;
/*     */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*     */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertPostSelectSydwDialog
/*     */   extends Dialog
/*     */ {
/*  52 */   private Composite container = null;
/*     */   
/*     */   private Table table_1;
/*     */   private Text text_1;
/*     */   private Text text;
/*  57 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  58 */   private CertOperationPrint certManage = new CertOperationPrint();
/*     */   
/*  60 */   private TableViewContentProvider contentProvider = new TableViewContentProvider();
/*  61 */   private CertPostSydwLabelProvider labelProvider = new CertPostSydwLabelProvider();
/*     */   
/*  63 */   private Shell shell = null;
/*  64 */   private CheckboxTableViewer ctv = null;
/*  65 */   private Label label = null;
/*     */   
/*     */   private Composite composite;
/*     */   private boolean searching = false;
/*     */   private FormToolkit toolkit;
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private PageComposite pageComposit;
/*  72 */   private int minScrollheight = 490;
/*     */   
/*  74 */   private int returnValue = 1;
/*     */   
/*     */   public int getReturnValue() {
/*  77 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/*  81 */     this.returnValue = returnValue;
/*     */   }
/*     */   
/*  84 */   private SydwInfo returnSydwInfo = new SydwInfo();
/*     */   
/*     */   public SydwInfo getReturnSydwInfo() {
/*  87 */     return this.returnSydwInfo;
/*     */   }
/*     */   
/*     */   public void setReturnSydwInfo(SydwInfo returnSydwInfo) {
/*  91 */     this.returnSydwInfo = returnSydwInfo;
/*     */   }
/*     */   
/*     */   public CertPostSelectSydwDialog(Shell parentShell) {
/*  95 */     super(parentShell);
/*  96 */     setShellStyle(66560);
/*     */   }
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 101 */     this.shell = parent.getShell();
/* 102 */     parent.setBackground(Display.getCurrent()
/* 103 */         .getSystemColor(1));
/* 104 */     parent.setBackgroundMode(2);
/* 105 */     this.container = (Composite)super.createDialogArea(parent);
/* 106 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/* 108 */     this.scrolledComposite = new ScrolledComposite(this.container, 768);
/*     */     
/* 110 */     this.scrolledComposite.setBackgroundMode(1);
/* 111 */     this.scrolledComposite.setExpandVertical(true);
/* 112 */     this.scrolledComposite.setExpandHorizontal(true);
/* 113 */     this.scrolledComposite.setMinHeight(this.minScrollheight);
/* 114 */     this.scrolledComposite.setMinWidth(560);
/*     */     
/* 116 */     Composite composite_6 = new Composite((Composite)this.scrolledComposite, 0);
/* 117 */     composite_6.setLayout((Layout)new FormLayout());
/*     */     
/* 119 */     composite_6.setBackground(Display.getCurrent()
/* 120 */         .getSystemColor(1));
/*     */     
/* 122 */     this.composite = new Composite(composite_6, 0);
/* 123 */     FormData fd_composite = new FormData();
/* 124 */     fd_composite.right = new FormAttachment(98, -5);
/* 125 */     fd_composite.left = new FormAttachment(2, 12);
/* 126 */     fd_composite.bottom = new FormAttachment(2, this.minScrollheight + 50);
/* 127 */     fd_composite.top = new FormAttachment(0, 17);
/* 128 */     this.composite.setLayoutData(fd_composite);
/* 129 */     this.composite.setLayout((Layout)new GridLayout());
/* 130 */     this.composite.setBackground(Display.getCurrent()
/* 131 */         .getSystemColor(1));
/*     */ 
/*     */     
/* 134 */     this.label = new Label(this.composite, 64);
/* 135 */     this.label.setBackground(
/* 136 */         Display.getCurrent().getSystemColor(1));
/* 137 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 138 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 139 */         false);
/* 140 */     this.label.setLayoutData(gd_label);
/* 141 */     this.label.setText("Label");
/*     */     
/* 143 */     Label label_1 = new Label(this.composite, 258);
/*     */     
/* 145 */     GridData gd_label_1 = new GridData(4, 16777216, true, 
/* 146 */         false);
/* 147 */     label_1.setLayoutData(gd_label_1);
/*     */     
/* 149 */     Composite composite_4 = new Composite(this.composite, 0);
/* 150 */     composite_4.setBackground(Display.getCurrent()
/* 151 */         .getSystemColor(1));
/* 152 */     composite_4.setLayout((Layout)new FillLayout(512));
/* 153 */     GridData gd_composite_4 = new GridData();
/* 154 */     composite_4.setLayoutData(gd_composite_4);
/*     */     
/* 156 */     this.toolkit = new FormToolkit(composite_4.getDisplay());
/* 157 */     this.toolkit.adapt(composite_4);
/*     */     
/* 159 */     ExpandableComposite title = this.toolkit.createExpandableComposite(
/* 160 */         composite_4, 44);
/*     */     
/* 162 */     title.setBackground(
/* 163 */         Display.getCurrent().getSystemColor(1));
/* 164 */     title.setForeground(SWTResourceManager.getColor(204, 102, 153));
/* 165 */     title.setText("点击这里搜索");
/*     */     
/* 167 */     Composite composite_5 = this.toolkit.createComposite((Composite)title);
/* 168 */     composite_5.setBackground(Display.getCurrent()
/* 169 */         .getSystemColor(1));
/* 170 */     GridLayout gridLayout_1 = new GridLayout();
/* 171 */     gridLayout_1.marginLeft = 10;
/* 172 */     gridLayout_1.marginWidth = 2;
/* 173 */     gridLayout_1.marginHeight = 2;
/* 174 */     gridLayout_1.verticalSpacing = 2;
/* 175 */     gridLayout_1.horizontalSpacing = 2;
/* 176 */     gridLayout_1.numColumns = 4;
/* 177 */     composite_5.setLayout((Layout)gridLayout_1);
/* 178 */     title.setClient((Control)composite_5);
/*     */     
/* 180 */     CLabel label_2 = new CLabel(composite_5, 0);
/* 181 */     label_2.setBackground(Display.getCurrent()
/* 182 */         .getSystemColor(1));
/* 183 */     label_2.setText("统一社会信用代码：");
/*     */     
/* 185 */     this.text = new Text(composite_5, 2048);
/* 186 */     this.text.setTextLimit(18);
/* 187 */     this.text
/* 188 */       .setBackground(Display.getCurrent().getSystemColor(
/* 189 */           1));
/* 190 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 191 */         false);
/* 192 */     gd_text.widthHint = 150;
/* 193 */     this.text.setLayoutData(gd_text);
/*     */ 
/*     */ 
/*     */     
/* 197 */     CLabel label_3 = new CLabel(composite_5, 0);
/* 198 */     label_3.setBackground(Display.getCurrent()
/* 199 */         .getSystemColor(1));
/* 200 */     label_3.setText("事业单位名称：");
/*     */     
/* 202 */     this.text_1 = new Text(composite_5, 2048);
/* 203 */     this.text_1.setTextLimit(200);
/* 204 */     GridData gd_text_1 = new GridData(4, 16777216, false, 
/* 205 */         false);
/* 206 */     gd_text_1.widthHint = 150;
/* 207 */     this.text_1.setLayoutData(gd_text_1);
/*     */ 
/*     */ 
/*     */     
/* 211 */     Composite composite_1 = new Composite(composite_5, 0);
/* 212 */     composite_1.setBackground(Display.getCurrent()
/* 213 */         .getSystemColor(1));
/* 214 */     GridData gd_composite_1_1 = new GridData(16777216, 16777216, 
/* 215 */         false, false, 3, 1);
/* 216 */     gd_composite_1_1.heightHint = 17;
/* 217 */     composite_1.setLayoutData(gd_composite_1_1);
/* 218 */     GridLayout gridLayout_2 = new GridLayout();
/* 219 */     gridLayout_2.verticalSpacing = 0;
/* 220 */     gridLayout_2.marginWidth = 0;
/* 221 */     gridLayout_2.marginHeight = 0;
/* 222 */     gridLayout_2.horizontalSpacing = 20;
/* 223 */     gridLayout_2.numColumns = 2;
/* 224 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 226 */     Button button = new Button(composite_1, 0);
/* 227 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 229 */             if (CertPostSelectSydwDialog.this.text.getText().length() > 0 || 
/* 230 */               CertPostSelectSydwDialog.this.text_1.getText().length() > 0) {
/* 231 */               CertPostSelectSydwDialog.this.searching = true;
/*     */             } else {
/* 233 */               CertPostSelectSydwDialog.this.searching = false;
/* 234 */             }  if (CertPostSelectSydwDialog.this.searching) {
/* 235 */               CertPostSelectSydwDialog.this.pageComposit.page.setCpage(1);
/* 236 */               CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */             } 
/*     */           }
/*     */         });
/* 240 */     GridData gd_button = new GridData(16777216, 16777216, false, 
/* 241 */         false);
/* 242 */     gd_button.heightHint = 18;
/* 243 */     button.setLayoutData(gd_button);
/* 244 */     button.setText("搜索");
/*     */     
/* 246 */     Button button_1 = new Button(composite_1, 0);
/* 247 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 249 */             CertPostSelectSydwDialog.this.searching = false;
/* 250 */             CertPostSelectSydwDialog.this.initSearchGroup();
/* 251 */             CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */           }
/*     */         });
/* 254 */     button_1.setLayoutData(new GridData(-1, 18));
/* 255 */     button_1.setText("清空");
/*     */ 
/*     */     
/* 258 */     title.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 260 */             if (e.getState()) {
/* 261 */               CertPostSelectSydwDialog.this.minScrollheight = CertPostSelectSydwDialog.this.minScrollheight + 55;
/*     */             } else {
/* 263 */               CertPostSelectSydwDialog.this.minScrollheight = CertPostSelectSydwDialog.this.minScrollheight - 55;
/*     */             } 
/* 265 */             CertPostSelectSydwDialog.this.scrolledComposite.setMinHeight(CertPostSelectSydwDialog.this.minScrollheight);
/* 266 */             CertPostSelectSydwDialog.this.composite.layout();
/*     */           }
/*     */         });
/*     */     
/* 270 */     Composite composite_7 = new Composite(this.composite, 0);
/* 271 */     GridLayout gridLayout = new GridLayout();
/* 272 */     gridLayout.verticalSpacing = 0;
/* 273 */     gridLayout.marginWidth = 0;
/* 274 */     gridLayout.marginHeight = 0;
/* 275 */     gridLayout.horizontalSpacing = 0;
/* 276 */     composite_7.setLayout((Layout)gridLayout);
/* 277 */     GridData gd_composite_7 = new GridData(4, 128, false, 
/* 278 */         false);
/* 279 */     gd_composite_7.heightHint = 360;
/* 280 */     composite_7.setLayoutData(gd_composite_7);
/*     */     
/* 282 */     this.ctv = CheckboxTableViewer.newCheckList(composite_7, 2048);
/*     */     
/* 284 */     this.table_1 = this.ctv.getTable();
/* 285 */     GridData gd_table_1 = new GridData(4, 4, true, true);
/* 286 */     this.table_1.setLayoutData(gd_table_1);
/* 287 */     this.table_1.setLinesVisible(true);
/* 288 */     this.table_1.setHeaderVisible(true);
/*     */     
/* 290 */     this.table_1.addListener(41, new Listener()
/*     */         {
/*     */           public void handleEvent(Event event) {
/* 293 */             event.height = 20;
/*     */           }
/*     */         });
/*     */     
/* 297 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 298 */         16777216);
/* 299 */     newColumnTableColumn.setAlignment(16777216);
/* 300 */     newColumnTableColumn.setWidth(50);
/* 301 */     newColumnTableColumn.setText("序号");
/*     */     
/* 303 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 304 */         16777216);
/* 305 */     newColumnTableColumn_1.setAlignment(16777216);
/* 306 */     newColumnTableColumn_1.setWidth(100);
/* 307 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 309 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 310 */         16777216);
/* 311 */     newColumnTableColumn_2.setAlignment(16384);
/* 312 */     newColumnTableColumn_2.setWidth(165);
/* 313 */     newColumnTableColumn_2.setText("事业单位名称");
/*     */     
/* 315 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 316 */         16777216);
/* 317 */     newColumnTableColumn_3.setAlignment(16777216);
/* 318 */     newColumnTableColumn_3.setResizable(false);
/* 319 */     newColumnTableColumn_3.setText("");
/*     */     
/* 321 */     PublicUtil.setTableWidth(this.composite, this.table_1, "1.2:3:5.57:0.03");
/*     */     
/* 323 */     Composite composite_2 = new Composite(this.composite, 0);
/* 324 */     GridLayout gridLayout_5 = new GridLayout();
/* 325 */     gridLayout_5.verticalSpacing = 0;
/* 326 */     gridLayout_5.marginWidth = 0;
/* 327 */     gridLayout_5.marginHeight = 0;
/* 328 */     gridLayout_5.horizontalSpacing = 0;
/* 329 */     composite_2.setLayout((Layout)gridLayout_5);
/* 330 */     composite_2.setBackground(Display.getCurrent()
/* 331 */         .getSystemColor(1));
/* 332 */     GridData gd_composite_1 = new GridData(4, 16777216, 
/* 333 */         true, false);
/* 334 */     gd_composite_1.heightHint = 20;
/* 335 */     composite_2.setLayoutData(gd_composite_1);
/*     */     
/* 337 */     this.pageComposit = new PageComposite(composite_2, 0);
/*     */     
/* 339 */     this.pageComposit.setShortVersion();
/*     */     
/* 341 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 343 */             CertPostSelectSydwDialog.this.pageComposit.page.firstpage();
/* 344 */             CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */           }
/*     */         });
/* 347 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 349 */             CertPostSelectSydwDialog.this.pageComposit.page.prepage();
/* 350 */             CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */           }
/*     */         });
/*     */     
/* 354 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 356 */             CertPostSelectSydwDialog.this.pageComposit.page.nextpage();
/* 357 */             CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */           }
/*     */         });
/* 360 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 362 */             CertPostSelectSydwDialog.this.pageComposit.page.lastpage();
/* 363 */             CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */           }
/*     */         });
/* 366 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 368 */             if (CertPostSelectSydwDialog.this.pageComposit.setPageable()) {
/* 369 */               CertPostSelectSydwDialog.this.initTableView(CertPostSelectSydwDialog.this.text.getText(), CertPostSelectSydwDialog.this.text_1.getText());
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 374 */     this.scrolledComposite.setContent((Control)composite_6);
/* 375 */     initUI();
/* 376 */     initData();
/*     */     
/* 378 */     return (Control)this.container;
/*     */   }
/*     */   
/*     */   private void initData() {
/* 382 */     this.ctv.setContentProvider((IContentProvider)this.contentProvider);
/* 383 */     initRightComposite();
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 387 */     this.ctv.setLabelProvider((IBaseLabelProvider)this.labelProvider);
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 391 */     if (!al.isEmpty()) {
/* 392 */       this.pageComposit.page = al.get(0);
/* 393 */       al.remove(0);
/* 394 */       if (al.isEmpty()) {
/* 395 */         this.pageComposit.label.setText("第0页/共0页");
/* 396 */         this.pageComposit.label.update();
/* 397 */         this.pageComposit.button_up.setEnabled(false);
/* 398 */         this.pageComposit.button_down.setEnabled(false);
/* 399 */         this.pageComposit.button_first.setEnabled(false);
/* 400 */         this.pageComposit.button_last.setEnabled(false);
/*     */       } else {
/*     */         
/* 403 */         if (this.pageComposit.page.getCpage() == 1) {
/* 404 */           this.pageComposit.button_up.setEnabled(false);
/* 405 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/* 407 */           this.pageComposit.button_up.setEnabled(true);
/* 408 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */         
/* 411 */         if (this.pageComposit.page.getCpage() == 
/* 412 */           this.pageComposit.page.getTpage()) {
/* 413 */           this.pageComposit.button_down.setEnabled(false);
/* 414 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/* 416 */           this.pageComposit.button_down.setEnabled(true);
/* 417 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */         
/* 420 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 421 */             "页/共" + this.pageComposit.page.getTpage() + "页 共" + 
/* 422 */             this.pageComposit.page.getTotalnum() + "行");
/* 423 */         this.pageComposit.label.update();
/*     */       } 
/*     */     } else {
/* 426 */       this.pageComposit.label.setText("第0页/共0页");
/* 427 */       this.pageComposit.label.update();
/* 428 */       this.pageComposit.button_up.setEnabled(false);
/* 429 */       this.pageComposit.button_down.setEnabled(false);
/* 430 */       this.pageComposit.button_first.setEnabled(false);
/* 431 */       this.pageComposit.button_last.setEnabled(false);
/* 432 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */     
/* 435 */     this.composite.layout();
/* 436 */     this.scrolledComposite.layout();
/* 437 */     return al;
/*     */   }
/*     */   
/*     */   private void initRightComposite() {
/* 441 */     initSearchGroup();
/* 442 */     initTableView(this.text.getText(), this.text_1.getText());
/*     */   }
/*     */   
/*     */   private void initTableView(String sydwCode, String sydwName) {
/* 446 */     String groupname = this.user.getGroupname();
/* 447 */     String groupId = this.user.getGroupid();
/*     */     
/* 449 */     this.ctv.setInput(
/* 450 */         resetInfos(this.certManage.searchSydwList(sydwCode, sydwName, groupId, this.pageComposit.page)));
/*     */     
/* 452 */     this.label.setText("“" + groupname + "”管辖事业单位列表");
/* 453 */     this.label.update();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initSearchGroup() {
/* 458 */     this.pageComposit.page.setCpage(1);
/* 459 */     this.text.setText("");
/* 460 */     this.text_1.setText("");
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 464 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 465 */     mbox.setMessage(info);
/* 466 */     mbox.setText("错误提示");
/* 467 */     mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 478 */     createButton(parent, 0, "选 择", false);
/* 479 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 483 */     if (buttonId == 1) {
/* 484 */       this.returnValue = 1;
/* 485 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */     
/* 488 */     if (buttonId == 0 && 
/* 489 */       this.ctv != null) {
/* 490 */       Object[] checkObjs = this.ctv.getCheckedElements();
/* 491 */       if (checkObjs.length == 1) {
/* 492 */         this.returnSydwInfo = (SydwInfo)checkObjs[0];
/* 493 */         this.returnValue = 0;
/* 494 */         this.shell.dispose();
/* 495 */       } else if (checkObjs.length > 1) {
/* 496 */         showInfoBox("请选择一家事业单位！");
/*     */       } else {
/* 498 */         showInfoBox("请选择事业单位！");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public int open() {
/* 506 */     super.open();
/* 507 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 512 */     return new Point(800, 580);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 520 */     super.configureShell(newShell);
/* 521 */     newShell.setText("事业单位选择");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\post\CertPostSelectSydwDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */