/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.PaperSourceDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.actions.CertPrintAction;
/*     */ import cs.sydj.operation.fuhe.biangeng.FuHeBianGengHisDetailDialog;
/*     */ import cs.sydj.operation.hezhun.cert.CertOperationHeZhun;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.jbdwmanage.SysJBDWTreeDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.ICheckStateListener;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.IViewSite;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.CertPrintTableLabelProvider;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AlterItemPrint
/*     */   extends ViewPart
/*     */ {
/*     */   private Combo combo;
/*     */   private Table table;
/*     */   private Text nmText;
/*     */   private Text huText;
/*     */   private Text ctText;
/*     */   private Label name;
/*     */   private Label beginDate;
/*     */   private Label endDate;
/*     */   private Composite group;
/*     */   private Button search;
/*     */   private TableViewer tableViewer;
/*     */   public static final String ID = "cs.sydj.operation.alteritem.print";
/*     */   private Composite container;
/*     */   private ArrayList cert;
/*     */   private boolean flag = false;
/*     */   private boolean isPrint = false;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Button button_3;
/*     */   private Button button_4;
/*     */   private Button button;
/*     */   private TableColumn newColumnTableColumn_5;
/*     */   private TableColumn newColumnTableColumn_7;
/*  94 */   private TableCursor cursor = null;
/*  95 */   private final int direction = 1;
/*  96 */   int totalRows = 0;
/*  97 */   int maxCount = 15;
/*  98 */   int startNo = 1;
/*  99 */   int currentPage = 1;
/* 100 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 103 */   int starto = 1;
/* 104 */   private int selectColums = 32;
/*     */   private Button button_7;
/*     */   private Composite composite_2;
/*     */   private Composite composite_4;
/*     */   private Button button_8;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private Label label_4;
/*     */   private Button button_5;
/*     */   
/*     */   public ArrayList getCert() {
/* 115 */     return this.cert;
/*     */   }
/*     */   
/*     */   public void setCert(ArrayList cert) {
/* 119 */     this.cert = cert;
/*     */   }
/*     */   
/*     */   public int getMaxCount() {
/* 123 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 127 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 131 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 135 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 139 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 143 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 148 */     parent.setBackground(Display.getCurrent()
/* 149 */         .getSystemColor(1));
/* 150 */     parent.setBackgroundMode(2);
/* 151 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/* 152 */         2816);
/* 153 */     scroll.setExpandHorizontal(true);
/* 154 */     this.container = new Composite((Composite)scroll, 0);
/* 155 */     GridLayout gridLayout = new GridLayout();
/* 156 */     gridLayout.marginTop = 35;
/* 157 */     gridLayout.marginRight = 35;
/* 158 */     gridLayout.marginLeft = 35;
/* 159 */     gridLayout.numColumns = 8;
/* 160 */     this.container.setLayout((Layout)gridLayout);
/* 161 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 163 */             AlterItemPrint.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 167 */     Label label_2 = new Label(this.container, 0);
/* 168 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 169 */           8, 1));
/* 170 */     label_2.setText("证书打印>>变更登记 ");
/* 171 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 173 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 175 */     label_1.setLayoutData(new GridData(4, 16777216, true, false, 
/* 176 */           8, 1));
/*     */     
/* 178 */     Composite composite = new Composite(this.container, 0);
/* 179 */     composite.setLayoutData(new GridData(4, 16777216, true, false, 
/* 180 */           8, 1));
/* 181 */     GridLayout gridLayout_4 = new GridLayout();
/* 182 */     gridLayout_4.marginWidth = 0;
/* 183 */     gridLayout_4.numColumns = 2;
/* 184 */     composite.setLayout((Layout)gridLayout_4);
/*     */     
/* 186 */     this.button_3 = new Button(composite, 16);
/* 187 */     this.button_3.setSelection(true);
/* 188 */     this.button_3.setText("未打印");
/*     */     
/* 190 */     this.button_4 = new Button(composite, 16);
/* 191 */     this.button_4.setText("已打印");
/*     */     
/* 193 */     this.button_8 = new Button(this.container, 32);
/* 194 */     this.button_8.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 195 */     this.button_8.setFont(SWTResourceManager.getFont("", 9, 1));
/* 196 */     this.button_8.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 197 */           8, 1));
/* 198 */     this.button_8.setText("点击这里搜索");
/*     */     
/* 200 */     this.composite_4 = new Composite(this.container, 0);
/* 201 */     this.composite_4.setLayoutData(new GridData(4, 16777216, true, 
/* 202 */           false, 8, 1));
/* 203 */     this.composite_4.setLayout((Layout)new GridLayout());
/*     */     
/* 205 */     Composite composite_1 = new Composite(this.container, 0);
/* 206 */     composite_1.setLayoutData(new GridData());
/* 207 */     GridLayout gridLayout_1 = new GridLayout();
/* 208 */     gridLayout_1.numColumns = 2;
/* 209 */     composite_1.setLayout((Layout)gridLayout_1);
/* 210 */     this.button_7 = new Button(composite_1, 32);
/* 211 */     this.button_7.setText("全选");
/*     */     
/* 213 */     Composite composite_3 = new Composite(composite_1, 0);
/*     */ 
/*     */ 
/*     */     
/* 217 */     this.label_4 = new Label(this.container, 0);
/* 218 */     this.label_4.setAlignment(131072);
/* 219 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false, 
/* 220 */           6, 1));
/* 221 */     this.label_4.setText("共0行被选择");
/* 222 */     this.label_4.setFont(SWTResourceManager.getFont("", 9, 1));
/* 223 */     this.label_4.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 224 */     this.composite_2 = new Composite(this.container, 0);
/* 225 */     GridData gd_composite = new GridData(4, 4, true, false, 
/* 226 */         8, 1);
/* 227 */     gd_composite.heightHint = 320;
/* 228 */     this.composite_2.setLayoutData(gd_composite);
/* 229 */     GridLayout gridLayout_3 = new GridLayout();
/* 230 */     gridLayout_3.verticalSpacing = 0;
/* 231 */     gridLayout_3.horizontalSpacing = 0;
/* 232 */     gridLayout_3.marginWidth = 0;
/* 233 */     gridLayout_3.marginHeight = 0;
/* 234 */     this.composite_2.setLayout((Layout)gridLayout_3);
/*     */     
/* 236 */     this.tableViewer = new TableViewer(this.composite_2, 67620);
/*     */     
/* 238 */     this.table = this.tableViewer.getTable();
/* 239 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 241 */     this.table.setLinesVisible(true);
/* 242 */     this.ctv = new CheckboxTableViewer(this.table);
/* 243 */     this.table.setHeaderVisible(true);
/*     */     
/* 245 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 246 */         0);
/* 247 */     newColumnTableColumn.setWidth(23);
/* 248 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 249 */         16384);
/* 250 */     newColumnTableColumn_1.setWidth(108);
/* 251 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 253 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 254 */         16384);
/* 255 */     newColumnTableColumn_6.setWidth(80);
/* 256 */     newColumnTableColumn_6.setText("证书号");
/*     */     
/* 258 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 259 */         0);
/* 260 */     newColumnTableColumn_2.setWidth(415);
/* 261 */     newColumnTableColumn_2.setText("申报单位名称(点击查看登记材料)");
/* 262 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*     */     
/* 264 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 265 */         16777216);
/* 266 */     newColumnTableColumn_3.setWidth(96);
/* 267 */     newColumnTableColumn_3.setText("提交时间");
/*     */     
/* 269 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 270 */         16777216);
/* 271 */     newColumnTableColumn_4.setWidth(90);
/* 272 */     newColumnTableColumn_4.setText("核准时间");
/* 273 */     this.newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 274 */     this.newColumnTableColumn_5.setWidth(68);
/* 275 */     this.newColumnTableColumn_5.setText("");
/*     */     
/* 277 */     this.newColumnTableColumn_7 = new TableColumn(this.table, 16777216);
/* 278 */     this.newColumnTableColumn_7.setWidth(110);
/* 279 */     this.newColumnTableColumn_7.setText("");
/* 280 */     this.cursor = new TableCursor(this.table, 0);
/* 281 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 
/* 282 */         16777216);
/* 283 */     newColumnTableColumn_8.setWidth(0);
/* 284 */     newColumnTableColumn_8.setResizable(false);
/* 285 */     this.cursor.setBackground(this.table.getDisplay()
/* 286 */         .getSystemColor(26));
/* 287 */     this.cursor.setForeground(this.table.getDisplay()
/* 288 */         .getSystemColor(27));
/*     */     
/* 290 */     Label label_3 = new Label(this.container, 258);
/*     */     
/* 292 */     label_3.setLayoutData(new GridData(4, 16777216, true, false, 
/* 293 */           8, 1));
/*     */     
/* 295 */     Label label = new Label(this.container, 0);
/* 296 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 297 */     label.setText("请选择正副本：");
/*     */     
/* 299 */     this.combo = new Combo(this.container, 0);
/* 300 */     this.combo.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 302 */     this.button_9 = new Button(this.container, 0);
/* 303 */     this.button_9.setText("模板设置");
/*     */     
/* 305 */     this.button_5 = new Button(this.container, 0);
/* 306 */     this.button_5.setText("进纸盒设置");
/* 307 */     this.button_10 = new Button(this.container, 0);
/* 308 */     this.button_10
/* 309 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 310 */     this.button_10.setText("打印");
/* 311 */     setData();
/* 312 */     Sorter.setSort(composite_3, "alterPrint", this.tableViewer, this.button_7);
/*     */     
/* 314 */     this.container.setSize(800, 750);
/* 315 */     scroll.setContent((Control)this.container);
/*     */ 
/*     */     
/* 318 */     PublicUtil.setTableHeight(this.table);
/* 319 */     PublicUtil.setTableWidth(this.composite_2, this.table, 
/* 320 */         "0.5:1.1699:1:2.0:1.3:1.3:1.4:1.3:0.03");
/* 321 */     PublicUtil.setMouseHands(this.table, "3#6#7");
/* 322 */     createActions();
/* 323 */     initializeToolBar();
/* 324 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 338 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 339 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 346 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 347 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void init(IViewSite site) throws PartInitException {
/* 354 */     super.init(site);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 368 */     this.combo.add("汉语证书正本");
/* 369 */     this.combo.add("汉语证书副本");
/* 370 */     this.combo.add("蒙语证书正本");
/* 371 */     this.combo.add("蒙语证书副本");
/* 372 */     this.combo.add("维语证书正本");
/* 373 */     this.combo.add("维语证书副本");
/* 374 */     this.combo.add("藏语证书正本");
/* 375 */     this.combo.add("藏语证书副本");
/* 376 */     this.combo.setData("请选择正副本", "0");
/* 377 */     this.combo.setData("汉语证书正本", "hanyuzhengben");
/* 378 */     this.combo.setData("汉语证书副本", "hanyufuben");
/* 379 */     this.combo.setData("蒙语证书正本", "mengyuzhengben");
/* 380 */     this.combo.setData("蒙语证书副本", "mengyufuben");
/* 381 */     this.combo.setData("维语证书正本", "weiyuzhengben");
/* 382 */     this.combo.setData("维语证书副本", "weiyufuben");
/* 383 */     this.combo.setData("藏语证书正本", "zangyuzhengben");
/* 384 */     this.combo.setData("藏语证书副本", "zangyufuben");
/* 385 */     this.combo.select(0);
/* 386 */     action();
/* 387 */     getCertInfos(8, this.startNo);
/* 388 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 396 */     this.ctv.addCheckStateListener(new ICheckStateListener()
/*     */         {
/*     */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*     */           {
/* 400 */             int size = (AlterItemPrint.this.ctv.getCheckedElements()).length;
/* 401 */             AlterItemPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 404 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 406 */             if (AlterItemPrint.this.button_3.getSelection()) {
/* 407 */               PublicUtil.setMouseHands(AlterItemPrint.this.table, "2#5#6");
/* 408 */               AlterItemPrint.this.isPrint = false;
/* 409 */               AlterItemPrint.this.newColumnTableColumn_5.setText("");
/* 410 */               AlterItemPrint.this.totalRows = 0;
/* 411 */               AlterItemPrint.this.currentPage = 1;
/* 412 */               AlterItemPrint.this.getCertInfos(8, AlterItemPrint.this.startNo);
/*     */               
/* 414 */               AlterItemPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 418 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 420 */             if (AlterItemPrint.this.button_4.getSelection()) {
/* 421 */               PublicUtil.setMouseHands(AlterItemPrint.this.table, "2#6");
/* 422 */               AlterItemPrint.this.isPrint = true;
/* 423 */               AlterItemPrint.this.newColumnTableColumn_5.setText("证书打印时间");
/* 424 */               AlterItemPrint.this.totalRows = 0;
/* 425 */               AlterItemPrint.this.currentPage = 1;
/* 426 */               AlterItemPrint.this.getCertInfos(9, AlterItemPrint.this.startNo);
/*     */               
/* 428 */               AlterItemPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 432 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 434 */             (new PaperSourceDialog(
/* 435 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell())).open();
/*     */           }
/*     */         });
/* 438 */     this.button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 440 */             if (AlterItemPrint.this.button_7.getSelection()) {
/* 441 */               AlterItemPrint.this.ctv.setAllChecked(true);
/*     */             } else {
/* 443 */               AlterItemPrint.this.ctv.setAllChecked(false);
/* 444 */             }  int size = (AlterItemPrint.this.ctv.getCheckedElements()).length;
/* 445 */             AlterItemPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 448 */     this.button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 450 */             if (AlterItemPrint.this.button_8.getSelection()) {
/* 451 */               AlterItemPrint.this.setSearch();
/*     */             } else {
/* 453 */               AlterItemPrint.this.group.dispose();
/* 454 */               AlterItemPrint.this.container.layout();
/*     */             } 
/*     */           }
/*     */         });
/* 458 */     this.button_9.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 460 */             AlterItemPrint.this.setTemplate();
/*     */           }
/*     */         });
/* 463 */     this.button_10.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 465 */             AlterItemPrint.this.Print();
/*     */           }
/*     */         });
/* 468 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 470 */             int colums = AlterItemPrint.this.cursor.getColumn();
/* 471 */             if (colums == 3) {
/* 472 */               AlterItemPrint.this.openDetailDialog();
/*     */             }
/* 474 */             if (AlterItemPrint.this.isPrint) {
/* 475 */               if (colums == 7) {
/* 476 */                 AlterItemPrint.this.printView();
/*     */               }
/* 478 */               if (colums == 8) {
/* 479 */                 AlterItemPrint.this.downData();
/*     */               }
/*     */             } else {
/* 482 */               if (colums == 6) {
/* 483 */                 AlterItemPrint.this.printView();
/*     */               }
/* 485 */               if (colums == 7) {
/* 486 */                 boolean flag = SydjMessageDialog.openConfirm(null, 
/* 487 */                     "提示", "您确定要从列表中删除吗？");
/* 488 */                 if (flag) {
/* 489 */                   AlterItemPrint.this.deleteData();
/*     */                 }
/*     */               } 
/* 492 */               if (colums == 8) {
/* 493 */                 AlterItemPrint.this.downData();
/*     */               }
/*     */             } 
/* 496 */             AlterItemPrint.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 504 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 505 */       .getSelection();
/* 506 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 507 */     ArrayList result = new ArrayList();
/* 508 */     result = (new CertOperationPrint()).getBianGengAttachmentName(model, "");
/* 509 */     if (result != null) {
/* 510 */       InstaurationShouLiInfo insinfo = new InstaurationShouLiInfo();
/* 511 */       insinfo.setUnifyCode(model.getUnifyCode());
/* 512 */       insinfo.setSydwname(model.getUnitName());
/* 513 */       insinfo.setApplydate(model.getSubDate());
/* 514 */       FuHeBianGengHisDetailDialog detailinfodialog = new FuHeBianGengHisDetailDialog(
/* 515 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 516 */           .getShell(), result, insinfo);
/* 517 */       detailinfodialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getCertInfos(int colums, int startNo) {
/* 525 */     if (this.button_8.getSelection()) {
/* 526 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */ 
/*     */         
/* 530 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.ctText.getText().trim(), this.nmText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "1", startNo, this.maxCount);
/*     */     } else {
/* 532 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */         
/* 535 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "1", startNo, this.maxCount);
/*     */     } 
/* 537 */     if (this.cert == null) {
/*     */       return;
/*     */     }
/* 540 */     this.tableViewer
/* 541 */       .setLabelProvider((IBaseLabelProvider)new CertPrintTableLabelProvider(colums));
/* 542 */     Object data = this.cert;
/* 543 */     this.tableViewer.setInput(data);
/* 544 */     PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void changeCertId(int colums) {
/* 552 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 553 */       .getSelection();
/* 554 */     TableItem rows = this.cursor.getRow();
/* 555 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 556 */     String newCertCode = (new CertOperationHeZhun()).getNewCertCode(
/* 557 */         GljgUserInfo.getInstance().getGroupid(), 
/* 558 */         GljgUserInfo.getInstance().getDistrictcode(), model.getUnitId());
/* 559 */     if (newCertCode == null)
/*     */       return; 
/* 561 */     CertNewCodePrint certCode = new CertNewCodePrint(
/* 562 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 563 */         this.cursor.getRow().getText(colums), newCertCode);
/* 564 */     if (certCode.open() == 0) {
/* 565 */       CertOperationPrint print = new CertOperationPrint();
/* 566 */       String value = print.changeCertId(model.getUnitId(), 
/* 567 */           GljgUserInfo.getInstance().getDistrictcode(), 
/* 568 */           certCode.getNewCertCode(), this.cursor.getRow().getText(colums), 
/* 569 */           GljgUserInfo.getInstance().getUserid(), 
/* 570 */           GljgUserInfo.getInstance().getUsername(), 
/* 571 */           GljgUserInfo.getInstance().getGroupid());
/* 572 */       if (value == null) {
/*     */         return;
/*     */       }
/* 575 */       if ("modSuccess".equals(value)) {
/* 576 */         this.cursor.getRow().setText(1, certCode.getNewCertCode());
/* 577 */         this.cursor.setSelection(rows, colums - 1);
/* 578 */         model.setCertId(certCode.getNewCertCode());
/* 579 */         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 580 */         uldi.setRequestType(5);
/* 581 */         uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/* 582 */         uldi.setDistrictcode(
/* 583 */             GljgUserInfo.getInstance().getDistrictcode());
/* 584 */         uldi.setSydwid(model.getUnitId());
/* 585 */         uldi.setIslogout(0);
/* 586 */         ModifyLocalData mld = new ModifyLocalData();
/* 587 */         mld.modifyLocalData(uldi);
/* 588 */         SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */         return;
/*     */       } 
/* 591 */       SydjMessageDialog.openInformation(null, "提示", 
/* 592 */           "此统一社会信用代码已经被使用，请重新确定新的统一社会信用代码");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void printView() {
/* 605 */     int nTag = 0;
/*     */     try {
/* 607 */       ArrayList<PrintContentModel> list = new ArrayList();
/* 608 */       String data = this.combo.getText();
/* 609 */       String value = (String)this.combo.getData(data);
/* 610 */       if ("0".equals(value)) {
/* 611 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 614 */       String imagePath = "";
/* 615 */       int pageStlye = 4;
/* 616 */       list = PrintJob.getTemplateInfo(value);
/* 617 */       if (list != null) {
/* 618 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/* 619 */         imagePath = str[0];
/* 620 */         pageStlye = Integer.valueOf(str[1]).intValue();
/* 621 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 622 */         CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 623 */         ArrayList<CertPrintModel> parList = new ArrayList();
/* 624 */         parList.add(model);
/* 625 */         CertOperationPrint print = new CertOperationPrint();
/* 626 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "-1");
/* 627 */         if (dataList != null) {
/*     */           
/* 629 */           PrintContentModel model2 = list.get(0);
/* 630 */           Point point = new Point(model2.getX(), model2.getY());
/* 631 */           model2.setX(0);
/* 632 */           model2.setY(0);
/*     */           
/* 634 */           ArrayList<PrintContentModel> lists = new ArrayList();
/* 635 */           lists.add(model2);
/* 636 */           PringItemModel item = dataList.get(0);
/* 637 */           for (int i = 1; i < list.size(); i++) {
/* 638 */             PrintContentModel md = list.get(i);
/* 639 */             if (md.getId().equals("id"))
/* 640 */               md.setContent(item.getUnifyCode()); 
/* 641 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 642 */               nTag = -1;
/*     */             }
/* 644 */             if (md.getId().equals("deadLine"))
/* 645 */               md.setContent(item.getDeadLine()); 
/* 646 */             if (md.getId().equals("name"))
/* 647 */               md.setContent(item.getUnitName()); 
/* 648 */             if (md.getId().equals("service"))
/* 649 */               md.setContent(item.getService()); 
/* 650 */             if (md.getId().equals("address"))
/* 651 */               md.setContent(item.getAddress()); 
/* 652 */             if (md.getId().equals("delegate"))
/* 653 */               md.setContent(item.getDelegate()); 
/* 654 */             if (md.getId().equals("finance"))
/* 655 */               md.setContent(item.getFinance()); 
/* 656 */             if (md.getId().equals("openMoney"))
/* 657 */               md.setContent(item.getOpenMoney()); 
/* 658 */             if (md.getId().equals("openUint"))
/* 659 */               md.setContent(item.getHoldUnit()); 
/* 660 */             if (md.getId().equals("annualMark"))
/* 661 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/* 662 */             if (md.getId().equals("idcode")) {
/* 663 */               md.setContent(item.getIdcode());
/* 664 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 665 */                 nTag = -1;
/*     */               }
/*     */             } 
/* 668 */             if (md.getId().equals("sydwJglb")) {
/* 669 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 670 */                 if (item.getSydwJglb().equals("其他类")) {
/* 671 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                 } else {
/* 673 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*     */                 } 
/*     */               } else {
/* 676 */                 md.setContent("");
/*     */               } 
/*     */             }
/* 679 */             lists.add(md);
/*     */           } 
/* 681 */           if (nTag == 0) {
/* 682 */             SingleSetPrintDialog dialog = new SingleSetPrintDialog(
/* 683 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 684 */                 lists, imagePath, pageStlye, point, !this.isPrint, 
/* 685 */                 PrintJob.getFontSizeList(value), model, "1", value);
/* 686 */             if (dialog.open() == 0) {
/* 687 */               deleteData();
/*     */             }
/*     */           } else {
/* 690 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             return;
/*     */           } 
/*     */         } 
/*     */       } else {
/* 699 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 702 */     } catch (Exception e) {
/* 703 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void deleteData() {
/*     */     try {
/* 712 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 713 */         .getSelection();
/* 714 */       CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 715 */       ArrayList<CertPrintModel> lists = new ArrayList();
/* 716 */       lists.add(model);
/* 717 */       if (this.button_8.getSelection()) {
/* 718 */         this.cert = 
/*     */ 
/*     */ 
/*     */           
/* 722 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.nmText.getText().trim(), this.ctText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "1", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/*     */       } else {
/* 724 */         this.cert = 
/*     */ 
/*     */           
/* 727 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "1", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/* 728 */       }  if (this.cert != null) {
/* 729 */         this.tableViewer.setInput(this.cert);
/*     */         
/* 731 */         setCursor();
/* 732 */         PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */         return;
/*     */       } 
/* 735 */     } catch (Exception e) {
/* 736 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void downData() {
/* 744 */     ArrayList<CertPrintModel> list = new ArrayList();
/* 745 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 746 */       .getSelection();
/* 747 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 748 */     list.add(model);
/* 749 */     PrintJob.downPrintCert(list);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 756 */     if (this.cursor != null)
/* 757 */       this.cursor.dispose(); 
/* 758 */     this.cursor = new TableCursor(this.table, 0);
/* 759 */     this.cursor.setBackground(this.table.getDisplay()
/* 760 */         .getSystemColor(26));
/* 761 */     this.cursor.setForeground(this.table.getDisplay()
/* 762 */         .getSystemColor(27));
/* 763 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 766 */             int colums = AlterItemPrint.this.cursor.getColumn();
/* 767 */             if (colums == AlterItemPrint.this.selectColums) {
/* 768 */               if (colums == 2) {
/* 769 */                 AlterItemPrint.this.openDetailDialog();
/*     */               }
/* 771 */               if (AlterItemPrint.this.isPrint) {
/* 772 */                 if (colums == 6) {
/* 773 */                   AlterItemPrint.this.printView();
/*     */                 }
/* 775 */                 if (colums == 7) {
/* 776 */                   AlterItemPrint.this.downData();
/*     */                 }
/*     */               } else {
/* 779 */                 if (colums == 6) {
/* 780 */                   AlterItemPrint.this.printView();
/*     */                 }
/* 782 */                 if (colums == 7) {
/* 783 */                   boolean flag = SydjMessageDialog.openConfirm(null, 
/* 784 */                       "提示", "您确定要从列表中删除吗？");
/* 785 */                   if (flag) {
/* 786 */                     AlterItemPrint.this.deleteData();
/*     */                   }
/*     */                 } 
/* 789 */                 if (colums == 8) {
/* 790 */                   AlterItemPrint.this.downData();
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setSearch() {
/* 802 */     this.group = new Composite(this.composite_4, 0);
/* 803 */     this.group.setLayoutData(new GridData(4, 16777216, true, false, 4, 
/* 804 */           1));
/* 805 */     this.group.setBounds(0, 0, 494, 139);
/* 806 */     this.button = new Button(this.group, 0);
/* 807 */     this.button.setText("选择");
/* 808 */     this.button.setBounds(285, 47, 44, 23);
/* 809 */     this.name = new Label(this.group, 131072);
/* 810 */     this.name.setText("统一社会信用代码：");
/* 811 */     this.name.setBounds(5, 5, 116, 16);
/*     */     
/* 813 */     this.beginDate = new Label(this.group, 0);
/* 814 */     this.beginDate.setText("单位名称：");
/* 815 */     this.beginDate.setBounds(61, 31, 60, 16);
/*     */     
/* 817 */     this.endDate = new Label(this.group, 0);
/* 818 */     this.endDate.setText("举办单位：");
/* 819 */     this.endDate.setBounds(61, 55, 60, 16);
/*     */     
/* 821 */     this.ctText = new Text(this.group, 2048);
/* 822 */     this.ctText.setBounds(136, 0, 145, 18);
/*     */     
/* 824 */     this.nmText = new Text(this.group, 2048);
/* 825 */     this.nmText.setTextLimit(18);
/* 826 */     this.nmText.setBounds(136, 25, 145, 18);
/* 827 */     this.huText = new Text(this.group, 2048);
/* 828 */     this.huText.setBounds(136, 51, 145, 18);
/*     */     
/* 830 */     this.search = new Button(this.group, 0);
/* 831 */     this.search.setText("查 询");
/* 832 */     this.search.setBounds(176, 97, 42, 24);
/*     */     
/* 834 */     Composite composite = new Composite(this.group, 0);
/* 835 */     composite.setBounds(126, 75, 199, 16);
/*     */     
/* 837 */     this.button_1 = new Button(composite, 16);
/* 838 */     this.button_1.setBounds(10, 0, 93, 16);
/* 839 */     this.button_1.setSelection(true);
/* 840 */     this.button_1.setText("不搜索子节点");
/*     */     
/* 842 */     this.button_2 = new Button(composite, 16);
/* 843 */     this.button_2.setBounds(109, 0, 83, 16);
/* 844 */     this.button_2.setText("搜索子节点");
/*     */     
/* 846 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 848 */             InfoEntity i = (InfoEntity)(new SysJBDWTreeDialog(
/* 849 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()))
/* 850 */               .open();
/* 851 */             AlterItemPrint.this.huText.setText(i.getName());
/*     */           }
/*     */         });
/* 854 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 856 */             if (AlterItemPrint.this.button_1.getSelection())
/* 857 */               AlterItemPrint.this.flag = false; 
/*     */           }
/*     */         });
/* 860 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 862 */             if (AlterItemPrint.this.button_2.getSelection())
/* 863 */               AlterItemPrint.this.flag = true; 
/*     */           }
/*     */         });
/* 866 */     this.search.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 868 */             AlterItemPrint.this.totalRows = 0;
/* 869 */             AlterItemPrint.this.currentPage = 1;
/* 870 */             if (AlterItemPrint.this.isPrint) {
/*     */               
/* 872 */               AlterItemPrint.this.getCertInfos(9, AlterItemPrint.this.startNo);
/*     */             } else {
/* 874 */               AlterItemPrint.this.getCertInfos(8, AlterItemPrint.this.startNo);
/* 875 */             }  AlterItemPrint.this.setCursor();
/*     */           }
/*     */         });
/* 878 */     this.container.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void Print() {
/*     */     try {
/* 887 */       CertPrintAction action = null;
/* 888 */       if (this.button_8.getSelection()) {
/* 889 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 890 */             this.flag, 1, this.nmText.getText().trim(), 
/* 891 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 892 */             "1", this);
/*     */       } else {
/* 894 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 895 */             this.flag, 1, "", "", "", "1", this);
/*     */       } 
/* 897 */       action.print();
/* 898 */     } catch (Exception e1) {
/* 899 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setTemplate() {
/*     */     try {
/* 908 */       CertPrintAction action = null;
/* 909 */       if (this.button_8.getSelection()) {
/* 910 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 911 */             this.flag, 1, this.nmText.getText().trim(), 
/* 912 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 913 */             "1", this);
/*     */       } else {
/* 915 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 916 */             this.flag, 1, "", "", "", "1", this);
/*     */       } 
/* 918 */       action.setTemplate();
/* 919 */     } catch (Exception e1) {
/* 920 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\AlterItemPrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */