/*      */ package cs.sydj.operation.cert.print;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.CommonSaveEXCELResultDialog;
/*      */ import cs.sydj.common.PaperSourceDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.common.TableViewContentProvider;
/*      */ import cs.sydj.common.UnitState;
/*      */ import cs.sydj.operation.cert.print.actions.CertRePrintAction;
/*      */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*      */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import java.lang.reflect.InvocationTargetException;
/*      */ import java.util.ArrayList;
/*      */ import org.eclipse.core.runtime.IProgressMonitor;
/*      */ import org.eclipse.jface.action.IMenuManager;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.action.ToolBarManager;
/*      */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*      */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*      */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*      */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.ICheckStateListener;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.ControlAdapter;
/*      */ import org.eclipse.swt.events.ControlEvent;
/*      */ import org.eclipse.swt.events.ControlListener;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.events.TraverseEvent;
/*      */ import org.eclipse.swt.events.TraverseListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Combo;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.ui.PlatformUI;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.operation.commons.CertExtendTableLabelProvider;
/*      */ import server.sydj.operation.commons.CertPrintModel;
/*      */ import server.sydj.operation.commons.PringItemModel;
/*      */ import server.sydj.operation.commons.PrintContentModel;
/*      */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CertExtend
/*      */   extends ViewPart
/*      */ {
/*      */   public static final String ID = "cs.sydj.operation.cert.print.CertExtend";
/*      */   private Label name;
/*      */   private Label beginDate;
/*      */   private Composite group;
/*      */   private Composite container;
/*      */   private Composite container_1;
/*      */   private StackLayout layout;
/*      */   private Composite composite_2;
/*      */   private Composite composite_3;
/*      */   private Composite composite_4;
/*      */   private StackLayout lays;
/*      */   private Composite composite_6;
/*      */   private TableViewer tableViewer;
/*      */   private Table table;
/*      */   private Text nmText;
/*      */   private Text ctText;
/*      */   private ArrayList cert;
/*      */   private ToolBarManager barManager;
/*      */   private boolean isAccelate = true;
/*      */   private CheckboxTableViewer ctv;
/*  109 */   private int direction = 1;
/*  110 */   int totalRows = 0;
/*  111 */   int maxCount = 15;
/*  112 */   int startNo = 1;
/*  113 */   int currentPage = 1;
/*  114 */   int totalPages = 0;
/*      */   boolean hasNextPage = false;
/*      */   boolean hasPreviousPage = false;
/*  117 */   int starto = 1;
/*  118 */   private int selectColums = 32;
/*      */   
/*      */   private Label label_4;
/*      */   
/*      */   private Text bnTextN;
/*      */   
/*      */   private Text enTextN;
/*      */   
/*      */   private Button bnButtonN;
/*      */   
/*      */   private Button enButtonN;
/*      */   
/*      */   private Combo combo;
/*      */   private TableCursor cursor;
/*      */   private Composite group1;
/*      */   private Composite composite_21;
/*      */   private Composite composite_31;
/*      */   private StackLayout layout1;
/*      */   private Button button_check;
/*      */   private Button button_search;
/*      */   private Button button_search1;
/*      */   private Button button_template;
/*      */   private Button button_paper;
/*      */   private Button button_extend;
/*      */   private Button button_excel;
/*      */   private Button button_print;
/*  144 */   private int type = 1;
/*      */ 
/*      */   
/*      */   public void createPartControl(Composite parent) {
/*  148 */     parent.setBackground(Display.getCurrent()
/*  149 */         .getSystemColor(1));
/*  150 */     parent.setBackgroundMode(2);
/*  151 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/*  152 */         2816);
/*  153 */     scroll.setExpandHorizontal(true);
/*  154 */     this.container = new Composite((Composite)scroll, 0);
/*  155 */     this.container.setLocation(0, 0);
/*      */     
/*  157 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*      */           public void controlResized(ControlEvent e) {
/*  159 */             CertExtend.this.setCursor();
/*      */           }
/*      */         });
/*  162 */     GridLayout gridLayout = new GridLayout();
/*  163 */     gridLayout.marginTop = 35;
/*  164 */     gridLayout.marginRight = 35;
/*  165 */     gridLayout.marginLeft = 35;
/*  166 */     this.container.setLayout((Layout)gridLayout);
/*      */     
/*  168 */     Label label_6 = new Label(this.container, 0);
/*  169 */     label_6.setLayoutData(new GridData());
/*  170 */     label_6.setText("证书打印>>证书延期");
/*  171 */     label_6.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*      */     
/*  173 */     Label label_17 = new Label(this.container, 258);
/*      */     
/*  175 */     label_17.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     
/*  177 */     this.composite_4 = new Composite(this.container, 0);
/*  178 */     this.lays = new StackLayout();
/*  179 */     this.composite_4.setLayout((Layout)this.lays);
/*  180 */     this.composite_4.setLayoutData(new GridData(4, 4, true, true));
/*      */     
/*  182 */     this.composite_6 = new Composite(this.composite_4, 0);
/*  183 */     GridLayout gridLayout_5 = new GridLayout();
/*  184 */     gridLayout_5.marginRight = 25;
/*  185 */     gridLayout_5.marginLeft = 25;
/*  186 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*      */     
/*  188 */     Label label_213 = new Label(this.composite_6, 0);
/*  189 */     label_213.setText("证书当前有效期按统一社会信用代码或名称查询：");
/*      */ 
/*      */     
/*  192 */     this.group = new Composite(this.composite_6, 0);
/*  193 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/*  194 */     GridLayout gridLayout_2 = new GridLayout();
/*  195 */     gridLayout_2.verticalSpacing = 0;
/*  196 */     gridLayout_2.marginHeight = 0;
/*  197 */     gridLayout_2.marginWidth = 0;
/*  198 */     gridLayout_2.horizontalSpacing = 0;
/*  199 */     gridLayout_2.numColumns = 5;
/*  200 */     this.group.setLayout((Layout)gridLayout_2);
/*  201 */     this.group.setBackground(SWTResourceManager.getColor(230, 239, 240));
/*  202 */     this.group.setBounds(0, 0, 494, 139);
/*      */     
/*  204 */     Label label_7 = new Label(this.group, 258);
/*  205 */     label_7.setLayoutData(new GridData(4, 16777216, true, false, 
/*  206 */           5, 1));
/*      */     
/*  208 */     Label label_15 = new Label(this.group, 2);
/*  209 */     GridData gd_label_15 = new GridData(4, 4, false, 
/*  210 */         false);
/*  211 */     gd_label_15.heightHint = 49;
/*  212 */     label_15.setLayoutData(gd_label_15);
/*      */     
/*  214 */     this.composite_3 = new Composite(this.group, 0);
/*  215 */     this.layout = new StackLayout();
/*  216 */     this.composite_3.setLayout((Layout)this.layout);
/*  217 */     this.composite_3.setLayoutData(new GridData(4, 16777216, true, 
/*  218 */           false, 3, 1));
/*      */     
/*  220 */     this.composite_2 = new Composite(this.composite_3, 0);
/*  221 */     GridLayout gridLayout_4 = new GridLayout();
/*  222 */     gridLayout_4.numColumns = 2;
/*  223 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*  224 */     this.name = new Label(this.composite_2, 131072);
/*  225 */     this.name.setLayoutData(new GridData(131072, 16777216, false, false));
/*  226 */     this.name.setText("事业单位统一社会信用代码：");
/*  227 */     this.ctText = new Text(this.composite_2, 2048);
/*  228 */     this.ctText.setLayoutData(new GridData(150, -1));
/*  229 */     this.ctText.setTextLimit(18);
/*  230 */     this.ctText.addTraverseListener(new TraverseListener() {
/*      */           public void keyTraversed(TraverseEvent e) {
/*  232 */             if (e.keyCode == 13) {
/*  233 */               if (CertExtend.this.ctText.getText().trim().equals("") && 
/*  234 */                 CertExtend.this.nmText.getText().trim().equals("")) {
/*  235 */                 SydjMessageDialog.openInformation(null, "提示", 
/*  236 */                     "请输入统一社会信用代码或事业单位名称进行查询！");
/*      */                 return;
/*      */               } 
/*  239 */               CertExtend.this.type = 1;
/*  240 */               CertExtend.this.progress();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/*  245 */     this.beginDate = new Label(this.composite_2, 0);
/*  246 */     this.beginDate.setText("事业单位名称（第一名称）：");
/*  247 */     this.nmText = new Text(this.composite_2, 2048);
/*  248 */     this.nmText.setLayoutData(new GridData(385, -1));
/*  249 */     this.nmText.addTraverseListener(new TraverseListener() {
/*      */           public void keyTraversed(TraverseEvent e) {
/*  251 */             if (e.keyCode == 13) {
/*  252 */               if (CertExtend.this.ctText.getText().trim().equals("") && 
/*  253 */                 CertExtend.this.nmText.getText().trim().equals("")) {
/*  254 */                 SydjMessageDialog.openInformation(null, "提示", 
/*  255 */                     "请输入统一社会信用代码或事业单位名称进行查询！");
/*      */                 return;
/*      */               } 
/*  258 */               CertExtend.this.type = 1;
/*  259 */               CertExtend.this.progress();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/*  264 */     Label label_12 = new Label(this.group, 2);
/*  265 */     GridData gd_label_12 = new GridData(4, 4, false, 
/*  266 */         false);
/*  267 */     gd_label_12.heightHint = 41;
/*  268 */     label_12.setLayoutData(gd_label_12);
/*      */     
/*  270 */     Label label_8 = new Label(this.group, 258);
/*  271 */     label_8.setLayoutData(new GridData(4, 16777216, false, false, 
/*  272 */           5, 1));
/*      */     
/*  274 */     Label label_16 = new Label(this.group, 2);
/*  275 */     GridData gd_label_16 = new GridData(4, 4, false, 
/*  276 */         false);
/*  277 */     gd_label_16.heightHint = 25;
/*  278 */     label_16.setLayoutData(gd_label_16);
/*      */     
/*  280 */     this.button_search = new Button(this.group, 0);
/*  281 */     this.button_search.setLayoutData(new GridData(16777216, 16777216, true, false, 
/*  282 */           3, 1));
/*  283 */     this.button_search.setText("查 询");
/*  284 */     this.button_search.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  286 */     Label label_13 = new Label(this.group, 2);
/*  287 */     GridData gd_label_13 = new GridData(4, 4, false, 
/*  288 */         false);
/*  289 */     gd_label_13.heightHint = 25;
/*  290 */     label_13.setLayoutData(gd_label_13);
/*      */     
/*  292 */     Label label_9 = new Label(this.group, 258);
/*  293 */     label_9.setLayoutData(new GridData(4, 16777216, true, false, 
/*  294 */           5, 1));
/*      */     
/*  296 */     this.layout.topControl = (Control)this.composite_2;
/*      */ 
/*      */     
/*  299 */     Label label_blank1 = new Label(this.composite_6, 0);
/*  300 */     label_blank1.setText("");
/*      */ 
/*      */     
/*  303 */     Label label_212 = new Label(this.composite_6, 0);
/*  304 */     label_212.setText("已操作证书延期单位按时间查询：");
/*      */     
/*  306 */     this.group1 = new Composite(this.composite_6, 0);
/*  307 */     this.group1.setLayoutData(new GridData(4, 16777216, true, false));
/*  308 */     GridLayout gridLayout_21 = new GridLayout();
/*  309 */     gridLayout_21.verticalSpacing = 0;
/*  310 */     gridLayout_21.marginHeight = 0;
/*  311 */     gridLayout_21.marginWidth = 0;
/*  312 */     gridLayout_21.horizontalSpacing = 0;
/*  313 */     gridLayout_21.numColumns = 5;
/*  314 */     this.group1.setLayout((Layout)gridLayout_21);
/*  315 */     this.group1.setBackground(SWTResourceManager.getColor(230, 239, 240));
/*  316 */     this.group1.setBounds(0, 150, 494, 139);
/*      */     
/*  318 */     Label label_71 = new Label(this.group1, 258);
/*  319 */     label_71.setLayoutData(new GridData(4, 16777216, true, false, 
/*  320 */           5, 1));
/*      */     
/*  322 */     Label label_151 = new Label(this.group1, 2);
/*  323 */     GridData gd_label_151 = new GridData(4, 4, false, 
/*  324 */         false);
/*  325 */     gd_label_151.heightHint = 49;
/*  326 */     label_151.setLayoutData(gd_label_151);
/*      */     
/*  328 */     this.composite_31 = new Composite(this.group1, 0);
/*  329 */     this.layout1 = new StackLayout();
/*  330 */     this.composite_31.setLayout((Layout)this.layout1);
/*  331 */     this.composite_31.setLayoutData(new GridData(4, 16777216, true, 
/*  332 */           false, 3, 1));
/*      */     
/*  334 */     this.composite_21 = new Composite(this.composite_31, 0);
/*  335 */     GridLayout gridLayout_41 = new GridLayout();
/*  336 */     gridLayout_41.numColumns = 6;
/*  337 */     this.composite_21.setLayout((Layout)gridLayout_41);
/*      */     
/*  339 */     Label label1 = new Label(this.composite_21, 0);
/*  340 */     label1.setText("证书延期操作从：");
/*      */     
/*  342 */     this.bnTextN = new Text(this.composite_21, 2048);
/*  343 */     this.bnTextN.setLayoutData(new GridData(150, -1));
/*  344 */     this.bnTextN.setEditable(false);
/*      */     
/*  346 */     this.bnButtonN = new Button(this.composite_21, 0);
/*  347 */     this.bnButtonN.setLayoutData(new GridData(0, 0, false, false, 
/*  348 */           1, 1));
/*  349 */     this.bnButtonN.setText("日期");
/*      */     
/*  351 */     Label label_1 = new Label(this.composite_21, 0);
/*  352 */     label_1.setText("到");
/*      */     
/*  354 */     this.enTextN = new Text(this.composite_21, 2048);
/*  355 */     this.enTextN.setLayoutData(new GridData(150, -1));
/*  356 */     this.enTextN.setEditable(false);
/*      */     
/*  358 */     this.enButtonN = new Button(this.composite_21, 0);
/*  359 */     this.enButtonN.setLayoutData(new GridData(0, 0, false, false, 
/*  360 */           1, 1));
/*  361 */     this.enButtonN.setText("日期");
/*      */     
/*  363 */     this.bnButtonN.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  366 */             CalendarDialog cal = new CalendarDialog(CertExtend.this.container.getShell(), 
/*  367 */                 CertExtend.this.bnTextN, new Point(
/*  368 */                   (CertExtend.this.container.getShell().getLocation()).x + 
/*  369 */                   (int)(
/*  370 */                   (CertExtend.this.container.getShell().getBounds()).width * 0.2D) + 52 + 
/*  371 */                   (CertExtend.this.composite_21.getLocation()).x + 
/*  372 */                   (CertExtend.this.bnTextN.getBounds()).x, 
/*  373 */                   (CertExtend.this.container.getShell().getLocation()).y + 
/*  374 */                   172 + 
/*  375 */                   (CertExtend.this.composite_31.getLocation()).y + 
/*  376 */                   (CertExtend.this.composite_21.getLocation()).y + 
/*  377 */                   (CertExtend.this.bnTextN.getBounds()).y + 
/*  378 */                   (CertExtend.this.bnTextN.getBounds()).height));
/*  379 */             cal.open();
/*      */           }
/*      */         });
/*  382 */     this.enButtonN.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  385 */             CalendarDialog cal = new CalendarDialog(CertExtend.this.container.getShell(), 
/*  386 */                 CertExtend.this.enTextN, new Point(
/*  387 */                   (CertExtend.this.container.getShell().getLocation()).x + 
/*  388 */                   (int)(
/*  389 */                   (CertExtend.this.container.getShell().getBounds()).width * 0.2D) + 52 + 
/*  390 */                   (CertExtend.this.composite_21.getLocation()).x + 
/*  391 */                   (CertExtend.this.enTextN.getBounds()).x, 
/*  392 */                   (CertExtend.this.container.getShell().getLocation()).y + 
/*  393 */                   172 + 
/*  394 */                   (CertExtend.this.composite_31.getLocation()).y + 
/*  395 */                   (CertExtend.this.composite_21.getLocation()).y + 
/*  396 */                   (CertExtend.this.enTextN.getBounds()).y + 
/*  397 */                   (CertExtend.this.enTextN.getBounds()).height));
/*  398 */             cal.open();
/*      */           }
/*      */         });
/*      */     
/*  402 */     Label label_121 = new Label(this.group1, 2);
/*  403 */     GridData gd_label_121 = new GridData(4, 4, false, 
/*  404 */         false);
/*  405 */     gd_label_121.heightHint = 41;
/*  406 */     label_121.setLayoutData(gd_label_121);
/*      */     
/*  408 */     Label label_81 = new Label(this.group1, 258);
/*  409 */     label_81.setLayoutData(new GridData(4, 16777216, false, false, 
/*  410 */           5, 1));
/*      */     
/*  412 */     Label label_161 = new Label(this.group1, 2);
/*  413 */     GridData gd_label_161 = new GridData(4, 4, false, 
/*  414 */         false);
/*  415 */     gd_label_161.heightHint = 25;
/*  416 */     label_161.setLayoutData(gd_label_161);
/*      */     
/*  418 */     this.button_search1 = new Button(this.group1, 0);
/*  419 */     this.button_search1.setLayoutData(new GridData(16777216, 16777216, true, false, 
/*  420 */           3, 1));
/*  421 */     this.button_search1.setText("查 询");
/*  422 */     this.button_search1.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  424 */     Label label_131 = new Label(this.group1, 2);
/*  425 */     GridData gd_label_131 = new GridData(4, 4, false, 
/*  426 */         false);
/*  427 */     gd_label_131.heightHint = 25;
/*  428 */     label_131.setLayoutData(gd_label_131);
/*      */     
/*  430 */     Label label_91 = new Label(this.group1, 258);
/*  431 */     label_91.setLayoutData(new GridData(4, 16777216, true, false, 
/*  432 */           5, 1));
/*      */     
/*  434 */     this.layout1.topControl = (Control)this.composite_21;
/*      */ 
/*      */     
/*  437 */     this.container_1 = new Composite(this.composite_4, 0);
/*  438 */     GridLayout gridLayout_6 = new GridLayout();
/*  439 */     gridLayout_6.numColumns = 2;
/*  440 */     gridLayout_6.horizontalSpacing = 0;
/*  441 */     gridLayout_6.marginHeight = 0;
/*  442 */     gridLayout_6.marginWidth = 0;
/*  443 */     this.container_1.setLayout((Layout)gridLayout_6);
/*      */     
/*  445 */     this.button_check = new Button(this.container_1, 32);
/*  446 */     this.button_check.setLayoutData(new GridData());
/*  447 */     this.button_check.setText("全选");
/*      */     
/*  449 */     this.label_4 = new Label(this.container_1, 0);
/*  450 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/*  451 */     this.label_4.setAlignment(131072);
/*  452 */     this.label_4.setText("共0行被选择");
/*  453 */     this.label_4.setFont(SWTResourceManager.getFont("", 9, 1));
/*  454 */     this.label_4.setForeground(SWTResourceManager.getColor(205, 131, 170));
/*  455 */     Composite composite_5 = new Composite(this.container_1, 0);
/*  456 */     GridData gd_composite = new GridData(4, 4, true, 
/*  457 */         false, 2, 1);
/*  458 */     gd_composite.heightHint = 520;
/*  459 */     composite_5.setLayoutData(gd_composite);
/*  460 */     GridLayout gridLayout_7 = new GridLayout();
/*  461 */     gridLayout_7.verticalSpacing = 0;
/*  462 */     gridLayout_7.marginWidth = 0;
/*  463 */     gridLayout_7.marginHeight = 0;
/*  464 */     gridLayout_7.horizontalSpacing = 0;
/*  465 */     composite_5.setLayout((Layout)gridLayout_7);
/*      */     
/*  467 */     this.tableViewer = new TableViewer(composite_5, 67616);
/*      */     
/*  469 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CertExtendTableLabelProvider("1"));
/*  470 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  471 */     this.table = this.tableViewer.getTable();
/*  472 */     this.table.setLinesVisible(true);
/*  473 */     this.table.setHeaderVisible(true);
/*  474 */     this.ctv = new CheckboxTableViewer(this.table);
/*  475 */     GridData gd_table_1 = new GridData(4, 4, true, true);
/*  476 */     this.table.setLayoutData(gd_table_1);
/*      */     
/*  478 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/*  479 */         16777216);
/*  480 */     newColumnTableColumn.setWidth(30);
/*      */     
/*  482 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/*  483 */         16777216);
/*  484 */     newColumnTableColumn_1.setWidth(101);
/*  485 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*      */     
/*  487 */     TableColumn sydwCodeY = new TableColumn(this.table, 16777216);
/*  488 */     sydwCodeY.setWidth(80);
/*  489 */     sydwCodeY.setText("证书号");
/*      */     
/*  491 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/*  492 */         0);
/*  493 */     newColumnTableColumn_2.setWidth(127);
/*  494 */     newColumnTableColumn_2.setText("单位名称");
/*      */     
/*  496 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/*  497 */     newColumnTableColumn_3.setWidth(68);
/*  498 */     newColumnTableColumn_3.setText("单位状态");
/*      */     
/*  500 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/*  501 */     newColumnTableColumn_4.setWidth(100);
/*  502 */     newColumnTableColumn_4.setText("证书有效期");
/*      */     
/*  504 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/*  505 */     newColumnTableColumn_5.setWidth(68);
/*  506 */     newColumnTableColumn_5.setText("延期操作");
/*      */     
/*  508 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/*  509 */     newColumnTableColumn_6.setWidth(68);
/*  510 */     newColumnTableColumn_6.setText("历史记录");
/*      */     
/*  512 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 16777216);
/*  513 */     newColumnTableColumn_7.setWidth(68);
/*  514 */     newColumnTableColumn_7.setText("预览");
/*      */     
/*  516 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 16777216);
/*  517 */     newColumnTableColumn_8.setWidth(68);
/*  518 */     newColumnTableColumn_8.setText("打印");
/*      */     
/*  520 */     TableColumn newColumnTableColumn_9 = new TableColumn(this.table, 16777216);
/*  521 */     newColumnTableColumn_9.setResizable(false);
/*      */     
/*  523 */     TableColumn newColumnTableColumn_10 = new TableColumn(this.table, 
/*  524 */         16777216);
/*  525 */     newColumnTableColumn_10.setWidth(0);
/*  526 */     newColumnTableColumn_10.setResizable(false);
/*      */     
/*  528 */     this.cursor = new TableCursor(this.table, 0);
/*      */     
/*  530 */     Label label_7_1 = new Label(this.container_1, 258);
/*      */     
/*  532 */     label_7_1.setLayoutData(new GridData(4, 16777216, true, false, 
/*  533 */           2, 1));
/*  534 */     label_7_1.setText("Label");
/*      */     
/*  536 */     Composite composite_7 = new Composite(this.container_1, 0);
/*  537 */     composite_7.setLayoutData(new GridData(16777216, 16777216, true, 
/*  538 */           false, 2, 1));
/*  539 */     GridLayout gridLayout_10 = new GridLayout();
/*  540 */     gridLayout_10.numColumns = 7;
/*  541 */     composite_7.setLayout((Layout)gridLayout_10);
/*      */     
/*  543 */     Label label_2 = new Label(composite_7, 0);
/*  544 */     label_2.setLayoutData(new GridData(131072, 16777216, true, false));
/*  545 */     label_2.setText("请选择正副本：");
/*      */     
/*  547 */     this.combo = new Combo(composite_7, 0);
/*  548 */     GridData gd_combo = new GridData(4, 16777216, true, 
/*  549 */         false);
/*  550 */     gd_combo.widthHint = 100;
/*  551 */     this.combo.setLayoutData(gd_combo);
/*      */     
/*  553 */     this.button_template = new Button(composite_7, 0);
/*  554 */     this.button_template.setText("模板设置");
/*  555 */     this.button_template.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  557 */     this.button_paper = new Button(composite_7, 0);
/*  558 */     this.button_paper.setText("进纸盒设置");
/*  559 */     this.button_paper.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  561 */     this.button_print = new Button(composite_7, 0);
/*  562 */     this.button_print.setLayoutData(new GridData(16384, 16777216, true, false));
/*  563 */     this.button_print.setText("打印");
/*  564 */     this.button_print.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  566 */     this.button_extend = new Button(composite_7, 0);
/*  567 */     this.button_extend.setLayoutData(new GridData(16384, 16777216, true, false));
/*  568 */     this.button_extend.setText("批量延期");
/*  569 */     this.button_extend.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  571 */     this.button_excel = new Button(composite_7, 0);
/*  572 */     this.button_excel.setLayoutData(new GridData(16384, 16777216, true, false));
/*  573 */     this.button_excel.setText("另存为Excel");
/*  574 */     this.button_excel.setCursor(SWTResourceManager.getCursor(21));
/*      */     
/*  576 */     this.container.setSize(674, 800);
/*  577 */     scroll.setContent((Control)this.container);
/*  578 */     this.lays.topControl = (Control)this.composite_6;
/*  579 */     setData();
/*  580 */     PublicUtil.setTableWidth(composite_5, this.table, 
/*  581 */         "0.305:1.335:1:2.78:0.6:1.7:0.55:0.61:0.55:0.55:0.02");
/*  582 */     PublicUtil.setTableHeight(this.table);
/*  583 */     PublicUtil.setMouseHands(this.table, "3#6#7#8#9");
/*  584 */     createActions();
/*  585 */     initializeToolBar();
/*  586 */     initializeMenu();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createActions() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  600 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/*  601 */       .getToolBarManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeMenu() {
/*  608 */     IMenuManager menuManager = getViewSite().getActionBars()
/*  609 */       .getMenuManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setData() {
/*  622 */     this.combo.add("汉语证书正本");
/*  623 */     this.combo.add("汉语证书副本");
/*  624 */     this.combo.add("蒙语证书正本");
/*  625 */     this.combo.add("蒙语证书副本");
/*  626 */     this.combo.add("维语证书正本");
/*  627 */     this.combo.add("维语证书副本");
/*  628 */     this.combo.add("藏语证书正本");
/*  629 */     this.combo.add("藏语证书副本");
/*  630 */     this.combo.setData("请选择正副本", "0");
/*  631 */     this.combo.setData("汉语证书正本", "hanyuzhengben");
/*  632 */     this.combo.setData("汉语证书副本", "hanyufuben");
/*  633 */     this.combo.setData("蒙语证书正本", "mengyuzhengben");
/*  634 */     this.combo.setData("蒙语证书副本", "mengyufuben");
/*  635 */     this.combo.setData("维语证书正本", "weiyuzhengben");
/*  636 */     this.combo.setData("维语证书副本", "weiyufuben");
/*  637 */     this.combo.setData("藏语证书正本", "zangyuzhengben");
/*  638 */     this.combo.setData("藏语证书副本", "zangyufuben");
/*  639 */     this.combo.select(0);
/*  640 */     action();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void action() {
/*  647 */     this.ctv.addCheckStateListener(new ICheckStateListener()
/*      */         {
/*      */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*      */           {
/*  651 */             int size = (CertExtend.this.ctv.getCheckedElements()).length;
/*  652 */             CertExtend.this.label_4.setText("共" + size + "行被选择");
/*      */           }
/*      */         });
/*  655 */     this.button_paper.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  657 */             (new PaperSourceDialog(
/*  658 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell())).open();
/*      */           }
/*      */         });
/*  661 */     this.button_search.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  663 */             if (CertExtend.this.ctText.getText().trim().equals("") && 
/*  664 */               CertExtend.this.nmText.getText().trim().equals("")) {
/*  665 */               SydjMessageDialog.openInformation(null, "提示", 
/*  666 */                   "请输入统一社会信用代码或事业单位名称进行查询！");
/*      */               return;
/*      */             } 
/*  669 */             CertExtend.this.type = 1;
/*  670 */             CertExtend.this.progress();
/*      */           }
/*      */         });
/*  673 */     this.button_search1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  675 */             if (CertExtend.this.bnTextN.getText().trim().equals("") || 
/*  676 */               CertExtend.this.enTextN.getText().trim().equals("")) {
/*  677 */               SydjMessageDialog.openInformation(null, "提示", 
/*  678 */                   "请设置日期进行查询！");
/*      */               return;
/*      */             } 
/*  681 */             CertExtend.this.type = 2;
/*  682 */             CertExtend.this.progress();
/*      */           }
/*      */         });
/*  685 */     this.button_check.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  687 */             if (CertExtend.this.button_check.getSelection()) {
/*  688 */               CertExtend.this.ctv.setAllChecked(true);
/*      */             } else {
/*  690 */               CertExtend.this.ctv.setAllChecked(false);
/*      */             } 
/*  692 */             int size = (CertExtend.this.ctv.getCheckedElements()).length;
/*  693 */             CertExtend.this.label_4.setText("共" + size + "行被选择");
/*      */           }
/*      */         });
/*  696 */     this.button_template.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  698 */             CertExtend.this.setTemplate();
/*      */           }
/*      */         });
/*  701 */     this.button_print.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  703 */             CertExtend.this.Print();
/*      */           }
/*      */         });
/*  706 */     this.button_extend.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  708 */             CertExtend.this.certExtend();
/*      */           }
/*      */         });
/*  711 */     this.button_excel.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  713 */             if (CertExtend.this.cert != null && CertExtend.this.cert.size() > 0) {
/*      */               try {
/*  715 */                 CommonSaveEXCELResultDialog s = new CommonSaveEXCELResultDialog(CertExtend.this.container.getShell(), CertExtend.this.cert, "证书延期列表", "5");
/*  716 */                 s.open();
/*  717 */               } catch (Exception e2) {
/*  718 */                 e2.printStackTrace();
/*      */               } 
/*      */             } else {
/*  721 */               SydjMessageDialog.openInformation(null, "提示", "没有下载数据，请重新查询！");
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  727 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  729 */             int colums = CertExtend.this.cursor.getColumn();
/*  730 */             if (colums == 3) {
/*  731 */               CertExtend.this.view();
/*      */             }
/*  733 */             if (colums == 6) {
/*  734 */               IStructuredSelection select = (IStructuredSelection)CertExtend.this.tableViewer.getSelection();
/*  735 */               CertPrintModel certModel = (CertPrintModel)select.getFirstElement();
/*  736 */               ArrayList<Object> listSydw = new ArrayList();
/*  737 */               listSydw.add(select.getFirstElement());
/*  738 */               CertExtend.this.showExtendDialog(listSydw);
/*      */             } 
/*  740 */             if (colums == 7) {
/*  741 */               IStructuredSelection select = (IStructuredSelection)CertExtend.this.tableViewer.getSelection();
/*  742 */               CertPrintModel certModel = (CertPrintModel)select.getFirstElement();
/*  743 */               int rcount = Integer.parseInt(certModel.getRCount());
/*  744 */               if (rcount > 0) {
/*  745 */                 CertExtend.this.showExtendHistoryDialog(certModel);
/*      */               }
/*      */             } 
/*  748 */             if (colums == 8) {
/*  749 */               CertExtend.this.printView();
/*      */             }
/*  751 */             if (colums == 9) {
/*  752 */               CertExtend.this.printSelected();
/*      */             }
/*  754 */             CertExtend.this.selectColums = colums;
/*      */           }
/*      */         });
/*      */   }
/*      */   
/*      */   public void showExtendDialog(ArrayList listSydw) {
/*  760 */     if (listSydw != null && listSydw.size() > 0) {
/*  761 */       CertExtendDialog ced = new CertExtendDialog(
/*  762 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), listSydw);
/*  763 */       if (ced.open() == 0) {
/*  764 */         progress();
/*      */       }
/*      */     } 
/*      */   }
/*      */   
/*      */   public void showExtendHistoryDialog(CertPrintModel model) {
/*  770 */     CertExtendHistoryDialog ced = new CertExtendHistoryDialog(
/*  771 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), model.getUnitId(), model.getUnitName(), 7);
/*  772 */     if (ced.open() == 0) {
/*  773 */       progress();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList getCertInfos(int startNo, String groupId, String districtCode, String name, String ctText, boolean isAccelate, int maxCount, String ctFrom, String ctTo) {
/*  783 */     ArrayList list = null;
/*      */     try {
/*  785 */       if (this.type == 1) {
/*  786 */         list = (new CertOperationPrint()).searchCert(groupId, districtCode, 
/*  787 */             name.trim(), ctText.trim(), isAccelate, startNo, maxCount);
/*  788 */       } else if (this.type == 2) {
/*  789 */         list = (new CertOperationPrint()).searchCertDate(groupId, districtCode, 
/*  790 */             ctFrom.trim(), ctTo.trim(), isAccelate, startNo, maxCount);
/*      */       } 
/*  792 */     } catch (Exception e) {
/*  793 */       e.printStackTrace();
/*      */     } 
/*  795 */     return list;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void printView() {
/*  803 */     int nTag = 0;
/*      */     try {
/*  805 */       ArrayList<PrintContentModel> list = new ArrayList();
/*  806 */       String data = this.combo.getText();
/*  807 */       String value = (String)this.combo.getData(data);
/*  808 */       if ("0".equals(value)) {
/*  809 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*      */         return;
/*      */       } 
/*  812 */       String imagePath = "";
/*  813 */       int pageStlye = 4;
/*  814 */       list = PrintJob.getTemplateInfo(value);
/*  815 */       if (list != null) {
/*  816 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/*  817 */         imagePath = str[0];
/*  818 */         pageStlye = Integer.valueOf(str[1]).intValue();
/*  819 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/*  820 */           .getSelection();
/*  821 */         CertPrintModel model = (CertPrintModel)select
/*  822 */           .getFirstElement();
/*  823 */         ArrayList<CertPrintModel> parList = new ArrayList();
/*  824 */         parList.add(model);
/*  825 */         CertOperationPrint print = new CertOperationPrint();
/*  826 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "-1");
/*  827 */         if (dataList != null) {
/*      */           
/*  829 */           PrintContentModel model2 = list.get(0);
/*  830 */           Point point = new Point(model2.getX(), model2.getY());
/*  831 */           model2.setX(0);
/*  832 */           model2.setY(0);
/*      */           
/*  834 */           ArrayList<PrintContentModel> lists = new ArrayList();
/*  835 */           lists.add(model2);
/*  836 */           PringItemModel item = dataList.get(0);
/*  837 */           for (int i = 1; i < list.size(); i++) {
/*  838 */             PrintContentModel md = list.get(i);
/*  839 */             if (md.getId().equals("id"))
/*  840 */               md.setContent(item.getUnifyCode()); 
/*  841 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/*  842 */               nTag = -1;
/*      */             }
/*  844 */             if (md.getId().equals("deadLine"))
/*  845 */               md.setContent(item.getDeadLine()); 
/*  846 */             if (md.getId().equals("name"))
/*  847 */               md.setContent(item.getUnitName()); 
/*  848 */             if (md.getId().equals("service"))
/*  849 */               md.setContent(item.getService()); 
/*  850 */             if (md.getId().equals("address"))
/*  851 */               md.setContent(item.getAddress()); 
/*  852 */             if (md.getId().equals("delegate"))
/*  853 */               md.setContent(item.getDelegate()); 
/*  854 */             if (md.getId().equals("finance"))
/*  855 */               md.setContent(item.getFinance()); 
/*  856 */             if (md.getId().equals("openMoney"))
/*  857 */               md.setContent(item.getOpenMoney()); 
/*  858 */             if (md.getId().equals("openUint"))
/*  859 */               md.setContent(item.getHoldUnit()); 
/*  860 */             if (md.getId().equals("annualMark"))
/*  861 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/*  862 */             if (md.getId().equals("idcode")) {
/*  863 */               md.setContent(item.getIdcode());
/*  864 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/*  865 */                 nTag = -1;
/*      */               }
/*      */             } 
/*  868 */             if (md.getId().equals("sydwJglb")) {
/*  869 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/*  870 */                 if (item.getSydwJglb().equals("其他类")) {
/*  871 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*      */                 } else {
/*  873 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*      */                 } 
/*      */               } else {
/*  876 */                 md.setContent("");
/*      */               } 
/*      */             }
/*  879 */             lists.add(md);
/*      */           } 
/*  881 */           if (nTag == 0) {
/*  882 */             SingleSetPrintDialog dialog = new SingleSetPrintDialog(
/*  883 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/*  884 */                 lists, imagePath, pageStlye, point, false, 
/*  885 */                 PrintJob.getFontSizeList(value), model, "13", value);
/*  886 */             dialog.open();
/*      */           } else {
/*  888 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*      */             return;
/*      */           } 
/*      */         } 
/*      */       } else {
/*  897 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*      */         return;
/*      */       } 
/*  900 */     } catch (Exception e) {
/*  901 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */   
/*      */   private void certExtend() {
/*  906 */     if (this.ctv != null) {
/*  907 */       Object[] chkObj = this.ctv.getCheckedElements();
/*  908 */       if (chkObj.length == 0) {
/*  909 */         SydjMessageDialog.openInformation(null, "提示", "请先勾选记录"); return;
/*      */       } 
/*  911 */       if (chkObj.length > 100) {
/*  912 */         SydjMessageDialog.openInformation(null, "提示", "批量延期不能超过100条！");
/*      */         return;
/*      */       } 
/*  915 */       ArrayList<Object> listSydw = new ArrayList();
/*  916 */       for (int i = 0; i < chkObj.length; i++) {
/*  917 */         listSydw.add(chkObj[i]);
/*      */       }
/*  919 */       showExtendDialog(listSydw);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setCursor() {
/*  927 */     if (this.cursor != null)
/*  928 */       this.cursor.dispose(); 
/*  929 */     this.cursor = new TableCursor(this.table, 0);
/*  930 */     this.cursor.setBackground(this.table.getDisplay()
/*  931 */         .getSystemColor(26));
/*  932 */     this.cursor.setForeground(this.table.getDisplay()
/*  933 */         .getSystemColor(27));
/*  934 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */         {
/*      */           public void mouseDown(MouseEvent arg0) {
/*  937 */             int colums = CertExtend.this.cursor.getColumn();
/*  938 */             if (colums == CertExtend.this.selectColums) {
/*  939 */               if (colums == 3) {
/*  940 */                 CertExtend.this.view();
/*      */               }
/*  942 */               if (colums == 6) {
/*  943 */                 IStructuredSelection select = (IStructuredSelection)CertExtend.this.tableViewer.getSelection();
/*  944 */                 ArrayList<Object> listSydw = new ArrayList();
/*  945 */                 CertPrintModel certModel = (CertPrintModel)select.getFirstElement();
/*  946 */                 listSydw.add(select.getFirstElement());
/*  947 */                 CertExtend.this.showExtendDialog(listSydw);
/*      */               } 
/*  949 */               if (colums == 7) {
/*  950 */                 IStructuredSelection select = (IStructuredSelection)CertExtend.this.tableViewer.getSelection();
/*  951 */                 CertPrintModel certModel = (CertPrintModel)select.getFirstElement();
/*  952 */                 int rcount = Integer.parseInt(certModel.getRCount());
/*  953 */                 if (rcount > 0) {
/*  954 */                   CertExtend.this.showExtendHistoryDialog(certModel);
/*      */                 }
/*      */               } 
/*  957 */               if (colums == 8) {
/*  958 */                 CertExtend.this.printView();
/*      */               }
/*  960 */               if (colums == 9) {
/*  961 */                 CertExtend.this.printSelected();
/*      */               }
/*      */             } 
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void Print() {
/*      */     try {
/*  973 */       CertRePrintAction action = null;
/*  974 */       action = new CertRePrintAction(this.tableViewer, this.ctv, this.combo, this.isAccelate, 
/*  975 */           this.direction, "13");
/*  976 */       action.print();
/*  977 */     } catch (Exception e1) {
/*  978 */       e1.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   private void printSelected() {
/*  984 */     int nTag = 0;
/*      */     try {
/*  986 */       ArrayList<PrintContentModel> list = new ArrayList();
/*  987 */       String data = this.combo.getText();
/*  988 */       String value = (String)this.combo.getData(data);
/*  989 */       if ("0".equals(value)) {
/*  990 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*      */         return;
/*      */       } 
/*  993 */       String imagePath = "";
/*  994 */       int pageStlye = 4;
/*  995 */       list = PrintJob.getTemplateInfo(value);
/*  996 */       if (list != null) {
/*  997 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/*  998 */         imagePath = str[0];
/*  999 */         pageStlye = Integer.valueOf(str[1]).intValue();
/*      */         
/* 1001 */         PrintContentModel model2 = list.get(0);
/* 1002 */         Point point = new Point(model2.getX(), model2.getY());
/* 1003 */         model2.setX(0);
/* 1004 */         model2.setY(0);
/* 1005 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 1006 */           .getSelection();
/* 1007 */         CertPrintModel model = (CertPrintModel)select
/* 1008 */           .getFirstElement();
/* 1009 */         ArrayList<CertPrintModel> parList = new ArrayList();
/* 1010 */         parList.add(model);
/* 1011 */         CertOperationPrint print = new CertOperationPrint();
/* 1012 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "13");
/* 1013 */         ArrayList<ArrayList<PrintContentModel>> multList = new ArrayList();
/* 1014 */         if (dataList != null) {
/*      */           
/* 1016 */           ArrayList<PrintContentModel> lists = new ArrayList();
/* 1017 */           lists.add(model2);
/* 1018 */           PringItemModel item = dataList.get(0);
/* 1019 */           for (int i = 1; i < list.size(); i++) {
/* 1020 */             PrintContentModel md = list.get(i);
/* 1021 */             if (md.getId().equals("id"))
/* 1022 */               md.setContent(item.getUnifyCode()); 
/* 1023 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 1024 */               nTag = -1;
/*      */             }
/* 1026 */             if (md.getId().equals("deadLine"))
/* 1027 */               md.setContent(item.getDeadLine()); 
/* 1028 */             if (md.getId().equals("name"))
/* 1029 */               md.setContent(item.getUnitName()); 
/* 1030 */             if (md.getId().equals("service"))
/* 1031 */               md.setContent(item.getService()); 
/* 1032 */             if (md.getId().equals("address"))
/* 1033 */               md.setContent(item.getAddress()); 
/* 1034 */             if (md.getId().equals("delegate"))
/* 1035 */               md.setContent(item.getDelegate()); 
/* 1036 */             if (md.getId().equals("finance"))
/* 1037 */               md.setContent(item.getFinance()); 
/* 1038 */             if (md.getId().equals("openMoney"))
/* 1039 */               md.setContent(item.getOpenMoney()); 
/* 1040 */             if (md.getId().equals("openUint"))
/* 1041 */               md.setContent(item.getHoldUnit()); 
/* 1042 */             if (md.getId().equals("annualMark"))
/* 1043 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/* 1044 */             if (md.getId().equals("idcode")) {
/* 1045 */               md.setContent(item.getIdcode());
/* 1046 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 1047 */                 nTag = -1;
/*      */               }
/*      */             } 
/* 1050 */             if (md.getId().equals("sydwJglb")) {
/* 1051 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 1052 */                 if (item.getSydwJglb().equals("其他类")) {
/* 1053 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*      */                 } else {
/* 1055 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*      */                 } 
/*      */               } else {
/* 1058 */                 md.setContent("");
/*      */               } 
/*      */             }
/* 1061 */             lists.add(md);
/*      */           } 
/* 1063 */           if (nTag == 0) {
/* 1064 */             multList.add(lists);
/*      */           } else {
/* 1066 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*      */ 
/*      */             
/*      */             return;
/*      */           } 
/*      */         } 
/*      */         
/* 1073 */         if (multList.size() > 0) {
/* 1074 */           PrintJob.multPrint(this.direction, pageStlye, 
/* 1075 */               multList, point, value);
/*      */         }
/*      */       } else {
/*      */         
/* 1079 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*      */         return;
/*      */       } 
/* 1082 */     } catch (Exception e) {
/* 1083 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setTemplate() {
/*      */     try {
/* 1092 */       CertRePrintAction action = null;
/* 1093 */       action = new CertRePrintAction(this.tableViewer, this.ctv, this.combo, this.isAccelate, 
/* 1094 */           this.direction, "13");
/* 1095 */       action.setPrint();
/* 1096 */     } catch (Exception e1) {
/* 1097 */       e1.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   private void progress() {
/* 1103 */     final String groupId = GljgUserInfo.getInstance().getGroupid();
/* 1104 */     final String districtCode = GljgUserInfo.getInstance()
/* 1105 */       .getDistrictcode();
/* 1106 */     int type = this.type;
/* 1107 */     final String name = this.nmText.getText().trim();
/* 1108 */     final String ctText = this.ctText.getText().trim();
/* 1109 */     final boolean isAccelate = this.isAccelate;
/* 1110 */     final int maxCount = this.maxCount;
/* 1111 */     final int startNo = this.startNo;
/* 1112 */     final String ctFrom = this.bnTextN.getText().trim();
/* 1113 */     final String ctTo = this.enTextN.getText().trim();
/* 1114 */     ProgressMonitorDialog pmd = new ProgressMonitorDialog(null);
/* 1115 */     IRunnableWithProgress rwp = new IRunnableWithProgress()
/*      */       {
/*      */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*      */         {
/* 1119 */           CertExtend.this
/* 1120 */             .getData(monitor, startNo, groupId, districtCode, name, ctText, isAccelate, maxCount, ctFrom, ctTo);
/*      */         }
/*      */       };
/*      */     try {
/* 1124 */       pmd.run(true, false, rwp);
/* 1125 */     } catch (Exception e) {
/* 1126 */       e.printStackTrace();
/*      */     } 
/* 1128 */     setDatas();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void getData(IProgressMonitor monitor, int startNo, String groupId, String districtCode, String name, String ctText, boolean isAccelate, int maxCount, String ctFrom, String ctTo) {
/* 1135 */     monitor.beginTask("正在查询，请稍等．．．", -1);
/* 1136 */     this.cert = 
/* 1137 */       getCertInfos(startNo, groupId, districtCode, name, ctText, isAccelate, maxCount, ctFrom, ctTo);
/* 1138 */     monitor.done();
/*      */   }
/*      */   
/*      */   private void setDatas() {
/* 1142 */     this.totalRows = 0;
/* 1143 */     this.currentPage = 1;
/* 1144 */     if (this.cert == null) {
/*      */       return;
/*      */     }
/* 1147 */     Object data = this.cert;
/* 1148 */     this.tableViewer.setInput(data);
/* 1149 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 1150 */       this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1151 */       this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 1152 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1153 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/* 1154 */       this.table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1155 */       this.table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/* 1156 */       this.table.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1157 */       this.table.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/* 1158 */       this.table.getItem(i).setFont(9, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1159 */       this.table.getItem(i).setForeground(9, SWTResourceManager.getColor(37, 26, 181));
/*      */     } 
/*      */     
/* 1162 */     setCursor();
/* 1163 */     this.container_1.layout();
/* 1164 */     this.lays.topControl = (Control)this.container_1;
/* 1165 */     this.composite_4.layout();
/* 1166 */     PublicUtil.setMouseHands(this.table, "3#6#7#8#9");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void view() {
/* 1173 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 1174 */       .getSelection();
/* 1175 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 1176 */     if (model.getAppDate().equals(UnitState.LOGOUT)) {
/* 1177 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被注销");
/*      */     }
/* 1179 */     if (model.getAppDate().equals(UnitState.FREEZE)) {
/* 1180 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被冻结");
/*      */     }
/*      */     
/* 1183 */     if (model.getAppDate().equals(UnitState.ABOLISH)) {
/* 1184 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被废止");
/*      */     }
/*      */     
/* 1187 */     if (model.getAppDate().equals(UnitState.INVALIDATE)) {
/* 1188 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被吊销");
/*      */     }
/*      */     
/* 1191 */     DataAdjustOperation oper = new DataAdjustOperation();
/* 1192 */     String flag = oper.isInHoldUnits(model.getHoldUnit());
/* 1193 */     if ("false".equals(flag)) {
/* 1194 */       SydjMessageDialog.openInformation(null, "提示", 
/* 1195 */           "该申请单位的举办单位不在举办单位列表中。");
/*      */     }
/*      */     
/* 1198 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 1199 */     insinfolist = oper.QueryInstaurationInfo(model.getUnitId(), 
/* 1200 */         model.getAppDate().equals(UnitState.LOGOUT) ? "true" : "false");
/* 1201 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 1202 */     if (insinfolist.size() > 0) {
/* 1203 */       frinfo = insinfolist.get(0);
/*      */     }
/* 1205 */     ArrayList branchlist = new ArrayList();
/* 1206 */     branchlist = oper.QueryInstBranch(model.getUnitId());
/* 1207 */     InstallApplyDialog dialog = new InstallApplyDialog(
/* 1208 */         this.container.getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 1209 */     dialog.open();
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\CertExtend.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */