/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.CertPostModel;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertOperationPrint
/*     */ {
/*  21 */   String operation = "CertPrint";
/*  22 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  23 */   String messagexml = null;
/*  24 */   String replyxml = null;
/*  25 */   ArrayList result = new ArrayList();
/*  26 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertPrintUnits(String groupId, String districtCode, String certId, String name, String holdUnit, boolean isPrint, boolean flag, String type, int startNo, int maxcount) {
/*  56 */     this.messageParameter.put("name", name);
/*  57 */     this.messageParameter.put("certId", certId);
/*  58 */     this.messageParameter.put("holdUnit", holdUnit);
/*  59 */     this.messageParameter.put("groupId", groupId);
/*  60 */     this.messageParameter.put("districtCode", districtCode);
/*  61 */     this.messageParameter.put("isPrint", Boolean.valueOf(isPrint));
/*  62 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  63 */     this.messageParameter.put("type", type);
/*  64 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  65 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/*  66 */     this.messagexml = 
/*  67 */       MessageXML.MessageToXML(this.operation, "getCertPrintUnits", this.messageParameter);
/*     */     try {
/*  69 */       this.sender = new MessageSender(
/*  70 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  71 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  72 */       this.replyxml = this.sender
/*  73 */         .sendMessage(this.messagexml, "xml");
/*  74 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  75 */     } catch (JMSException e) {
/*  76 */       e.printStackTrace();
/*     */     }
/*  78 */     catch (Exception e) {
/*  79 */       e.printStackTrace();
/*     */     } 
/*  81 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String changeCertId(String unitId, String districtCode, String certId, String oldCertId, String userId, String userName, String groupId) {
/*  93 */     this.messageParameter.put("unitId", unitId);
/*  94 */     this.messageParameter.put("districtCode", districtCode);
/*  95 */     this.messageParameter.put("certId", certId);
/*  96 */     this.messageParameter.put("oldCertId", oldCertId);
/*  97 */     this.messageParameter.put("userId", userId);
/*  98 */     this.messageParameter.put("userName", userName);
/*  99 */     this.messageParameter.put("groupId", groupId);
/* 100 */     this.messagexml = 
/* 101 */       MessageXML.MessageToXML(this.operation, "changeCertId", this.messageParameter);
/*     */     try {
/* 103 */       this.sender = new MessageSender(
/* 104 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 105 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 106 */       this.replyxml = this.sender
/* 107 */         .sendMessage(this.messagexml, "short");
/* 108 */     } catch (JMSException e) {
/* 109 */       e.printStackTrace();
/*     */     }
/* 111 */     catch (Exception e) {
/* 112 */       e.printStackTrace();
/*     */     } 
/* 114 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String changeDqjgCertId(String unitId, String districtCode, String certId, String oldCertId, String userId, String userName, String groupId) {
/* 126 */     this.messageParameter.put("unitId", unitId);
/* 127 */     this.messageParameter.put("districtCode", districtCode);
/* 128 */     this.messageParameter.put("certId", certId);
/* 129 */     this.messageParameter.put("oldCertId", oldCertId);
/* 130 */     this.messageParameter.put("userId", userId);
/* 131 */     this.messageParameter.put("userName", userName);
/* 132 */     this.messageParameter.put("groupId", groupId);
/* 133 */     this.messagexml = 
/* 134 */       MessageXML.MessageToXML(this.operation, "changeDqjgCertId", this.messageParameter);
/*     */     try {
/* 136 */       this.sender = new MessageSender(
/* 137 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 138 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 139 */       this.replyxml = this.sender
/* 140 */         .sendMessage(this.messagexml, "short");
/* 141 */     } catch (JMSException e) {
/* 142 */       e.printStackTrace();
/*     */     }
/* 144 */     catch (Exception e) {
/* 145 */       e.printStackTrace();
/*     */     } 
/* 147 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String changeDqjgJgxz(String unitId, String districtCode, String newJgxz, String oldSydwJglb, String userId, String userName, String groupId) {
/* 164 */     this.messageParameter.put("unitId", unitId);
/* 165 */     this.messageParameter.put("districtCode", districtCode);
/* 166 */     this.messageParameter.put("newJgxz", newJgxz);
/* 167 */     this.messageParameter.put("oldSydwJglb", oldSydwJglb);
/* 168 */     this.messageParameter.put("userId", userId);
/* 169 */     this.messageParameter.put("userName", userName);
/* 170 */     this.messageParameter.put("groupId", groupId);
/* 171 */     this.messagexml = 
/* 172 */       MessageXML.MessageToXML(this.operation, "changeDqjgJgxz", this.messageParameter);
/*     */     try {
/* 174 */       this.sender = new MessageSender(
/* 175 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 176 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 177 */       this.replyxml = this.sender
/* 178 */         .sendMessage(this.messagexml, "short");
/* 179 */     } catch (JMSException e) {
/* 180 */       e.printStackTrace();
/*     */     }
/* 182 */     catch (Exception e) {
/* 183 */       e.printStackTrace();
/*     */     } 
/* 185 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList printViewAndDown(ArrayList list, String printType) {
/* 198 */     String units = MessageXML.getReplyXML(list);
/* 199 */     this.messageParameter.put("units", units);
/* 200 */     this.messageParameter.put("printType", printType);
/* 201 */     this.messagexml = 
/* 202 */       MessageXML.MessageToXML(this.operation, "printViewAndDown", this.messageParameter);
/*     */     try {
/* 204 */       this.sender = new MessageSender(
/* 205 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 206 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 207 */       this.replyxml = this.sender
/* 208 */         .sendMessage(this.messagexml, "xml");
/* 209 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 210 */     } catch (JMSException e) {
/* 211 */       e.printStackTrace();
/*     */     }
/* 213 */     catch (Exception e) {
/* 214 */       e.printStackTrace();
/*     */     } 
/* 216 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList printRecord(ArrayList list, String printType) {
/* 227 */     String units = MessageXML.getReplyXML(list);
/* 228 */     this.messageParameter.put("units", units);
/* 229 */     this.messageParameter.put("printType", printType);
/* 230 */     this.messagexml = 
/* 231 */       MessageXML.MessageToXML(this.operation, "printRecord", this.messageParameter);
/*     */     try {
/* 233 */       this.sender = new MessageSender(
/* 234 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 235 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 236 */       this.replyxml = this.sender
/* 237 */         .sendMessage(this.messagexml, "xml");
/* 238 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 239 */     } catch (JMSException e) {
/* 240 */       e.printStackTrace();
/*     */     }
/* 242 */     catch (Exception e) {
/* 243 */       e.printStackTrace();
/*     */     } 
/* 245 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList printViewAndDownBatch(ArrayList list, String strFlag, String printType) {
/* 258 */     String units = MessageXML.getReplyXML(list);
/* 259 */     this.messageParameter.put("units", units);
/* 260 */     this.messageParameter.put("flag", strFlag);
/* 261 */     this.messageParameter.put("printType", printType);
/* 262 */     this.messagexml = 
/* 263 */       MessageXML.MessageToXML(this.operation, "printViewAndDown", this.messageParameter);
/*     */     try {
/* 265 */       this.sender = new MessageSender(
/* 266 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 267 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 268 */       this.replyxml = this.sender
/* 269 */         .sendMessage(this.messagexml, "xml");
/* 270 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 271 */     } catch (JMSException e) {
/* 272 */       e.printStackTrace();
/*     */     }
/* 274 */     catch (Exception e) {
/* 275 */       e.printStackTrace();
/*     */     } 
/* 277 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList deleteUnit(ArrayList list, String groupId, String districtCode, String name, String certId, String holdUnit, boolean isPrint, boolean flag, String type, int startNo, int maxcount) {
/* 293 */     String lists = MessageXML.getReplyXML(list);
/* 294 */     this.messageParameter.put("list", lists);
/* 295 */     this.messageParameter.put("groupId", groupId);
/* 296 */     this.messageParameter.put("districtCode", districtCode);
/* 297 */     this.messageParameter.put("name", name);
/* 298 */     this.messageParameter.put("certId", certId);
/* 299 */     this.messageParameter.put("holdUnit", holdUnit);
/* 300 */     this.messageParameter.put("isPrint", Boolean.valueOf(isPrint));
/* 301 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/* 302 */     this.messageParameter.put("type", type);
/* 303 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 304 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 305 */     this.messagexml = 
/* 306 */       MessageXML.MessageToXML(this.operation, "deleteUnit", this.messageParameter);
/*     */     try {
/* 308 */       this.sender = new MessageSender(
/* 309 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 310 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 311 */       this.replyxml = this.sender
/* 312 */         .sendMessage(this.messagexml, "xml");
/* 313 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 314 */     } catch (JMSException e) {
/* 315 */       e.printStackTrace();
/*     */     }
/* 317 */     catch (Exception e) {
/* 318 */       e.printStackTrace();
/*     */     } 
/* 320 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList rePrint(String groupId, String districtCode, String varOne, String varTwo, boolean isAccurate, int startNo, int maxcount) {
/* 338 */     this.messageParameter.put("varOne", varOne);
/* 339 */     this.messageParameter.put("varTwo", varTwo);
/* 340 */     this.messageParameter.put("groupId", groupId);
/* 341 */     this.messageParameter.put("districtCode", districtCode);
/* 342 */     this.messageParameter.put("isAccurate", Boolean.valueOf(isAccurate));
/* 343 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 344 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 345 */     this.messagexml = 
/* 346 */       MessageXML.MessageToXML(this.operation, "rePrint", this.messageParameter);
/*     */     try {
/* 348 */       this.sender = new MessageSender(
/* 349 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 350 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 351 */       this.replyxml = this.sender
/* 352 */         .sendMessage(this.messagexml, "xml");
/* 353 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 354 */     } catch (JMSException e) {
/* 355 */       e.printStackTrace();
/*     */     }
/* 357 */     catch (Exception e) {
/* 358 */       e.printStackTrace();
/*     */     } 
/* 360 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList rePrintBatch(String groupId, String districtCode, String jbdwName, int startNo, int maxcount) {
/* 377 */     this.messageParameter.put("groupId", groupId);
/* 378 */     this.messageParameter.put("districtCode", districtCode);
/* 379 */     this.messageParameter.put("jbdwName", jbdwName);
/* 380 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 381 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 382 */     this.messagexml = 
/* 383 */       MessageXML.MessageToXML(this.operation, "rePrintBatch", this.messageParameter);
/*     */     try {
/* 385 */       this.sender = new MessageSender(
/* 386 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 387 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 388 */       this.replyxml = this.sender
/* 389 */         .sendMessage(this.messagexml, "xml");
/* 390 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 391 */     } catch (JMSException e) {
/* 392 */       e.printStackTrace();
/*     */     }
/* 394 */     catch (Exception e) {
/* 395 */       e.printStackTrace();
/*     */     } 
/* 397 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCert(String groupId, String districtCode, String varOne, String varTwo, boolean isAccurate, int startNo, int maxcount) {
/* 415 */     this.messageParameter.put("varOne", varOne);
/* 416 */     this.messageParameter.put("varTwo", varTwo);
/* 417 */     this.messageParameter.put("groupId", groupId);
/* 418 */     this.messageParameter.put("districtCode", districtCode);
/* 419 */     this.messageParameter.put("isAccurate", Boolean.valueOf(isAccurate));
/* 420 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 421 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 422 */     this.messagexml = 
/* 423 */       MessageXML.MessageToXML(this.operation, "searchCert", this.messageParameter);
/*     */     try {
/* 425 */       this.sender = new MessageSender(
/* 426 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 427 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 428 */       this.replyxml = this.sender
/* 429 */         .sendMessage(this.messagexml, "xml");
/* 430 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 431 */     } catch (JMSException e) {
/* 432 */       e.printStackTrace();
/*     */     }
/* 434 */     catch (Exception e) {
/* 435 */       e.printStackTrace();
/*     */     } 
/* 437 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCertDate(String groupId, String districtCode, String start, String end, boolean isAccurate, int startNo, int maxcount) {
/* 455 */     this.messageParameter.put("start", start);
/* 456 */     this.messageParameter.put("end", end);
/* 457 */     this.messageParameter.put("groupId", groupId);
/* 458 */     this.messageParameter.put("districtCode", districtCode);
/* 459 */     this.messageParameter.put("isAccurate", Boolean.valueOf(isAccurate));
/* 460 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 461 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 462 */     this.messagexml = 
/* 463 */       MessageXML.MessageToXML(this.operation, "searchCertDate", this.messageParameter);
/*     */     try {
/* 465 */       this.sender = new MessageSender(
/* 466 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 467 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 468 */       this.replyxml = this.sender
/* 469 */         .sendMessage(this.messagexml, "xml");
/* 470 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 471 */     } catch (JMSException e) {
/* 472 */       e.printStackTrace();
/*     */     }
/* 474 */     catch (Exception e) {
/* 475 */       e.printStackTrace();
/*     */     } 
/* 477 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String certExtend(String groupId, String districtCode, ArrayList listSydw, String year, String type) {
/* 494 */     this.messageParameter.put("sydw", MessageXML.getReplyXML(listSydw));
/* 495 */     this.messageParameter.put("groupId", groupId);
/* 496 */     this.messageParameter.put("districtCode", districtCode);
/* 497 */     this.messageParameter.put("year", year);
/* 498 */     this.messageParameter.put("type", type);
/* 499 */     this.messagexml = 
/* 500 */       MessageXML.MessageToXML(this.operation, "certExtend", this.messageParameter);
/*     */     try {
/* 502 */       this.sender = new MessageSender(
/* 503 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 504 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 505 */       this.replyxml = this.sender
/* 506 */         .sendMessage(this.messagexml, "short");
/* 507 */     } catch (JMSException e) {
/* 508 */       e.printStackTrace();
/*     */     }
/* 510 */     catch (Exception e) {
/* 511 */       e.printStackTrace();
/*     */     } 
/* 513 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertExtendHistoryList(String sydwId, String applyType, int startNo, int maxCount) {
/* 526 */     this.messageParameter.put("sydwId", sydwId);
/* 527 */     this.messageParameter.put("applyType", applyType);
/* 528 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 529 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*     */     
/* 531 */     this.messagexml = 
/* 532 */       MessageXML.MessageToXML(this.operation, "getCertExtendList", this.messageParameter);
/*     */     try {
/* 534 */       this.sender = new MessageSender(
/* 535 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 536 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 537 */       this.replyxml = this.sender
/* 538 */         .sendMessage(this.messagexml, "xml");
/* 539 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 540 */     } catch (JMSException e) {
/* 541 */       e.printStackTrace();
/*     */     }
/* 543 */     catch (Exception e) {
/* 544 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 547 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getInsAttachmentName(CertPrintModel insinfo, String ifZhiZuo) {
/* 553 */     this.messageParameter.put("applyid", insinfo.getApplyId());
/* 554 */     this.messageParameter.put("realid", insinfo.getCurrentId());
/* 555 */     this.messageParameter
/* 556 */       .put("groupid", GljgUserInfo.getInstance().getGroupid());
/* 557 */     this.messageParameter.put("ifZhiZuo", ifZhiZuo);
/*     */     
/* 559 */     this.messagexml = 
/* 560 */       MessageXML.MessageToXML(this.operation, "getInsAttachmentName", this.messageParameter);
/*     */     try {
/* 562 */       this.sender = new MessageSender(
/* 563 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 564 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 565 */       this.replyxml = this.sender
/* 566 */         .sendMessage(this.messagexml, "xml");
/* 567 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 568 */     } catch (JMSException e) {
/* 569 */       e.printStackTrace();
/*     */     }
/* 571 */     catch (Exception e) {
/* 572 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 575 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getBianGengAttachmentName(CertPrintModel insinfo, String ifZhiZuo) {
/* 581 */     this.messageParameter.put("applyid", insinfo.getApplyId());
/* 582 */     this.messageParameter.put("realid", insinfo.getCurrentId());
/* 583 */     this.messageParameter
/* 584 */       .put("groupid", GljgUserInfo.getInstance().getGroupid());
/* 585 */     this.messageParameter.put("ifZhiZuo", ifZhiZuo);
/*     */     
/* 587 */     this.messagexml = 
/* 588 */       MessageXML.MessageToXML(this.operation, "getBianGengAttachmentName", this.messageParameter);
/*     */     try {
/* 590 */       this.sender = new MessageSender(
/* 591 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 592 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 593 */       this.replyxml = this.sender
/* 594 */         .sendMessage(this.messagexml, "xml");
/* 595 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 596 */     } catch (JMSException e) {
/* 597 */       e.printStackTrace();
/*     */     }
/* 599 */     catch (Exception e) {
/* 600 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 603 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertFileInfo(String groupId, String applyId, String currentId, String year) {
/* 617 */     this.messageParameter.put("applyId", applyId);
/* 618 */     this.messageParameter.put("currentId", currentId);
/* 619 */     this.messageParameter.put("groupId", groupId);
/* 620 */     this.messageParameter.put("year", year);
/* 621 */     this.messagexml = 
/* 622 */       MessageXML.MessageToXML(this.operation, "getCertFileInfo", this.messageParameter);
/*     */     try {
/* 624 */       this.sender = new MessageSender(
/* 625 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 626 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 627 */       this.replyxml = this.sender
/* 628 */         .sendMessage(this.messagexml, "xml");
/* 629 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 630 */     } catch (JMSException e) {
/* 631 */       e.printStackTrace();
/*     */     }
/* 633 */     catch (Exception e) {
/* 634 */       e.printStackTrace();
/*     */     } 
/* 636 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 643 */     this.messageParameter.put("applyId", file.getApplyId());
/* 644 */     this.messageParameter.put("currentId", file.getId());
/* 645 */     this.messageParameter.put("groupId", file.getGroupId());
/* 646 */     this.messageParameter.put("type", "1");
/* 647 */     this.messagexml = 
/* 648 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 650 */       this.sender = new MessageSender(
/* 651 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 652 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 653 */       this.replyxml = this.sender
/* 654 */         .sendMessage(this.messagexml, "xml");
/* 655 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 656 */     } catch (JMSException e) {
/* 657 */       e.printStackTrace();
/*     */     }
/* 659 */     catch (Exception e) {
/* 660 */       e.printStackTrace();
/*     */     } 
/* 662 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchExpiredCertInfos(String groupId, String districtCode, String expireType) {
/* 675 */     this.messageParameter.put("groupId", groupId);
/* 676 */     this.messageParameter.put("districtCode", districtCode);
/* 677 */     this.messageParameter.put("expireType", expireType);
/* 678 */     this.messagexml = 
/* 679 */       MessageXML.MessageToXML(this.operation, "searchExpiredCertInfos", this.messageParameter);
/*     */     try {
/* 681 */       this.sender = new MessageSender(
/* 682 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 683 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 684 */       this.replyxml = this.sender
/* 685 */         .sendMessage(this.messagexml, "xml");
/* 686 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 687 */     } catch (JMSException e) {
/* 688 */       e.printStackTrace();
/*     */     }
/* 690 */     catch (Exception e) {
/* 691 */       e.printStackTrace();
/*     */     } 
/* 693 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getPostRecordList(String groupId, String sydwName, String startDate, String endDate, int startNo, int maxCount) {
/* 710 */     String methodname = "getPostRecordList";
/* 711 */     String msgType = "xml";
/*     */     
/* 713 */     this.messageParameter.put("groupId", groupId);
/* 714 */     this.messageParameter.put("sydwName", sydwName);
/* 715 */     this.messageParameter.put("startDate", startDate);
/* 716 */     this.messageParameter.put("endDate", endDate);
/* 717 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 718 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*     */     
/* 720 */     this.replyxml = getData(this.operation, methodname, this.messageParameter, msgType);
/* 721 */     this.result = MessageXML.XMLToList(this.replyxml);
/*     */     
/* 723 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String deletePostRecord(String postId) {
/* 733 */     String methodname = "deletePostRecord";
/* 734 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 735 */     String replyxml = null;
/*     */     
/* 737 */     messageParameter.put("postId", postId);
/*     */     
/* 739 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 740 */         messageParameter);
/*     */     try {
/* 742 */       this.sender = new MessageSender(
/* 743 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 744 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 745 */       replyxml = this.sender.sendMessage(messagexml, 
/* 746 */           "short");
/* 747 */     } catch (JMSException e) {
/* 748 */       e.printStackTrace();
/* 749 */     } catch (Exception e) {
/* 750 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 753 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveCertPostNotice(CertPostModel afterModify, String userName, String isNew) {
/* 766 */     String methodname = "saveCertPostNotice";
/* 767 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 768 */     String replyxml = null;
/* 769 */     messageParameter.put("afterModify", MessageXML.getReplyXML(afterModify));
/* 770 */     messageParameter.put("userName", userName);
/* 771 */     messageParameter.put("isNew", isNew);
/* 772 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 773 */         messageParameter);
/*     */     try {
/* 775 */       this.sender = new MessageSender(
/* 776 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 777 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 778 */       replyxml = this.sender.sendMessage(messagexml, 
/* 779 */           "short");
/* 780 */     } catch (JMSException e) {
/* 781 */       e.printStackTrace();
/* 782 */     } catch (Exception e) {
/* 783 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 786 */     return replyxml;
/*     */   }
/*     */   
/*     */   public ArrayList searchSydwList(String unifyCode, String sydwName, String groupId, PageInfo page) {
/* 790 */     SydwInfo sydw = new SydwInfo();
/* 791 */     sydw.setGROUP_ID((groupId != null && groupId.length() > 0) ? groupId : null);
/* 792 */     sydw.setUNIFY_CODE((unifyCode != null && unifyCode.length() > 0) ? unifyCode : null);
/* 793 */     sydw.setSYDW_NAME_FIRST((sydwName != null && sydwName.length() > 0) ? sydwName : null);
/*     */     
/* 795 */     String replyXml = null;
/* 796 */     String methodname = "searchSydwList";
/* 797 */     String msgType = "xml";
/* 798 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 799 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/* 800 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 801 */     replyXml = getData(this.operation, methodname, messageParameter, msgType);
/* 802 */     ArrayList result = new ArrayList();
/* 803 */     result = MessageXML.XMLToList(replyXml);
/*     */     
/* 805 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 810 */     String replyxml = "";
/* 811 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 812 */         messageParameter);
/*     */     try {
/* 814 */       this.sender = new MessageSender(
/* 815 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 816 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 817 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 818 */     } catch (JMSException e) {
/* 819 */       e.printStackTrace();
/* 820 */     } catch (Exception e) {
/* 821 */       e.printStackTrace();
/*     */     } 
/* 823 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\CertOperationPrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */