/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.PaperSourceDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.actions.CertPrintAction;
/*     */ import cs.sydj.operation.fuhe.cert.CertDetailDialogFuHe;
/*     */ import cs.sydj.operation.hezhun.cert.CertOperationHeZhun;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.jbdwmanage.SysJBDWTreeDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.ICheckStateListener;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.IViewSite;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.CertPrintTableLabelProvider;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertPrint
/*     */   extends ViewPart
/*     */ {
/*     */   private Combo combo;
/*     */   private Table table;
/*     */   private Text nmText;
/*     */   private Text huText;
/*     */   private Text ctText;
/*     */   private Label name;
/*     */   private Label beginDate;
/*     */   private Label endDate;
/*     */   private Composite group;
/*     */   private Button search;
/*     */   private TableViewer tableViewer;
/*     */   public static final String ID = "cs.sydj.operation.alteritem.print";
/*     */   private Composite container;
/*     */   private ArrayList cert;
/*     */   private boolean flag = false;
/*     */   private boolean isPrint = false;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Button button_3;
/*     */   private Button button_4;
/*     */   private Button button;
/*     */   private TableColumn newColumnTableColumn_5;
/*     */   private TableColumn newColumnTableColumn_7;
/*  93 */   private TableCursor cursor = null;
/*  94 */   private final int direction = 1;
/*  95 */   int totalRows = 0;
/*  96 */   int maxCount = 15;
/*  97 */   int startNo = 1;
/*  98 */   int currentPage = 1;
/*  99 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 102 */   int starto = 1;
/* 103 */   private int selectColums = 32;
/*     */   private Button button_7;
/*     */   private Composite composite_2;
/*     */   private Composite composite_4;
/*     */   private Button button_8;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private Label label_4;
/*     */   private Button button_5;
/*     */   
/*     */   public ArrayList getCert() {
/* 114 */     return this.cert;
/*     */   }
/*     */   
/*     */   public void setCert(ArrayList cert) {
/* 118 */     this.cert = cert;
/*     */   }
/*     */   
/*     */   public int getMaxCount() {
/* 122 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 126 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 130 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 134 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 138 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 142 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 147 */     parent.setBackground(Display.getCurrent()
/* 148 */         .getSystemColor(1));
/* 149 */     parent.setBackgroundMode(2);
/* 150 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/* 151 */         2816);
/* 152 */     scroll.setExpandHorizontal(true);
/* 153 */     this.container = new Composite((Composite)scroll, 0);
/* 154 */     GridLayout gridLayout = new GridLayout();
/* 155 */     gridLayout.marginTop = 35;
/* 156 */     gridLayout.marginRight = 35;
/* 157 */     gridLayout.marginLeft = 35;
/* 158 */     gridLayout.numColumns = 8;
/* 159 */     this.container.setLayout((Layout)gridLayout);
/* 160 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 162 */             CertPrint.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 166 */     Label label_2 = new Label(this.container, 0);
/* 167 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 168 */           8, 1));
/* 169 */     label_2.setText("证书打印>>证书补领");
/* 170 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 172 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 174 */     label_1.setLayoutData(new GridData(4, 16777216, true, false, 
/* 175 */           8, 1));
/*     */     
/* 177 */     Composite composite = new Composite(this.container, 0);
/* 178 */     composite.setLayoutData(new GridData(4, 16777216, true, false, 
/* 179 */           8, 1));
/* 180 */     GridLayout gridLayout_4 = new GridLayout();
/* 181 */     gridLayout_4.marginWidth = 0;
/* 182 */     gridLayout_4.numColumns = 2;
/* 183 */     composite.setLayout((Layout)gridLayout_4);
/*     */     
/* 185 */     this.button_3 = new Button(composite, 16);
/* 186 */     this.button_3.setSelection(true);
/* 187 */     this.button_3.setText("未打印");
/*     */     
/* 189 */     this.button_4 = new Button(composite, 16);
/* 190 */     this.button_4.setText("已打印");
/*     */     
/* 192 */     this.button_8 = new Button(this.container, 32);
/* 193 */     this.button_8.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 194 */     this.button_8.setFont(SWTResourceManager.getFont("", 9, 1));
/* 195 */     this.button_8.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 196 */           8, 1));
/* 197 */     this.button_8.setText("点击这里搜索");
/*     */     
/* 199 */     this.composite_4 = new Composite(this.container, 0);
/* 200 */     this.composite_4.setLayoutData(new GridData(4, 16777216, true, 
/* 201 */           false, 8, 1));
/* 202 */     this.composite_4.setLayout((Layout)new GridLayout());
/*     */     
/* 204 */     Composite composite_1 = new Composite(this.container, 0);
/* 205 */     composite_1.setLayoutData(new GridData());
/* 206 */     GridLayout gridLayout_1 = new GridLayout();
/* 207 */     gridLayout_1.numColumns = 2;
/* 208 */     composite_1.setLayout((Layout)gridLayout_1);
/* 209 */     this.button_7 = new Button(composite_1, 32);
/*     */     
/* 211 */     this.button_7.setText("全选");
/*     */     
/* 213 */     Composite composite_3 = new Composite(composite_1, 0);
/*     */ 
/*     */ 
/*     */     
/* 217 */     this.label_4 = new Label(this.container, 0);
/* 218 */     this.label_4.setAlignment(131072);
/* 219 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false, 
/* 220 */           6, 1));
/* 221 */     this.label_4.setText("共0行被选择");
/* 222 */     this.label_4.setFont(SWTResourceManager.getFont("", 9, 1));
/* 223 */     this.label_4.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 224 */     this.composite_2 = new Composite(this.container, 0);
/* 225 */     GridData gd_composite = new GridData(4, 4, true, false, 
/* 226 */         8, 1);
/* 227 */     gd_composite.heightHint = 320;
/* 228 */     this.composite_2.setLayoutData(gd_composite);
/* 229 */     GridLayout gridLayout_3 = new GridLayout();
/* 230 */     gridLayout_3.verticalSpacing = 0;
/* 231 */     gridLayout_3.horizontalSpacing = 0;
/* 232 */     gridLayout_3.marginWidth = 0;
/* 233 */     gridLayout_3.marginHeight = 0;
/* 234 */     this.composite_2.setLayout((Layout)gridLayout_3);
/*     */     
/* 236 */     this.tableViewer = new TableViewer(this.composite_2, 67620);
/*     */     
/* 238 */     this.table = this.tableViewer.getTable();
/* 239 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 241 */     this.table.setLinesVisible(true);
/* 242 */     this.ctv = new CheckboxTableViewer(this.table);
/* 243 */     this.table.setHeaderVisible(true);
/*     */     
/* 245 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 246 */         0);
/* 247 */     newColumnTableColumn.setWidth(23);
/* 248 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 249 */         16384);
/* 250 */     newColumnTableColumn_1.setWidth(108);
/* 251 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 253 */     TableColumn newColumnTableColumn_9 = new TableColumn(this.table, 16384);
/* 254 */     newColumnTableColumn_9.setText("证书号");
/* 255 */     newColumnTableColumn_9.setWidth(80);
/*     */     
/* 257 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 258 */         0);
/* 259 */     newColumnTableColumn_2.setWidth(415);
/* 260 */     newColumnTableColumn_2.setText("申报单位名称(点击查看登记材料)");
/* 261 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*     */     
/* 263 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 264 */         16777216);
/* 265 */     newColumnTableColumn_3.setWidth(96);
/* 266 */     newColumnTableColumn_3.setText("提交时间");
/*     */     
/* 268 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 269 */         16777216);
/* 270 */     newColumnTableColumn_4.setWidth(90);
/* 271 */     newColumnTableColumn_4.setText("核准时间");
/* 272 */     this.newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 273 */     this.newColumnTableColumn_5.setWidth(68);
/* 274 */     this.newColumnTableColumn_5.setText("");
/*     */     
/* 276 */     this.newColumnTableColumn_7 = new TableColumn(this.table, 16777216);
/* 277 */     this.newColumnTableColumn_7.setWidth(110);
/* 278 */     this.newColumnTableColumn_7.setText("");
/* 279 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 
/* 280 */         16777216);
/* 281 */     newColumnTableColumn_8.setWidth(0);
/* 282 */     newColumnTableColumn_8.setResizable(false);
/* 283 */     this.cursor = new TableCursor(this.table, 0);
/* 284 */     this.cursor.setBackground(this.table.getDisplay()
/* 285 */         .getSystemColor(26));
/* 286 */     this.cursor.setForeground(this.table.getDisplay()
/* 287 */         .getSystemColor(27));
/*     */     
/* 289 */     Label label_3 = new Label(this.container, 258);
/*     */     
/* 291 */     label_3.setLayoutData(new GridData(4, 16777216, true, false, 
/* 292 */           8, 1));
/*     */     
/* 294 */     Label label = new Label(this.container, 0);
/* 295 */     label.setAlignment(131072);
/* 296 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 297 */     label.setText("请选择正副本：");
/*     */     
/* 299 */     this.combo = new Combo(this.container, 0);
/* 300 */     this.combo.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 302 */     this.button_9 = new Button(this.container, 0);
/* 303 */     this.button_9
/* 304 */       .setLayoutData(new GridData(4, 16777216, false, false));
/* 305 */     this.button_9.setText("模板设置");
/* 306 */     this.table.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 308 */             CertPrint.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 312 */     this.button_5 = new Button(this.container, 0);
/* 313 */     this.button_5.setText("进纸盒设置");
/* 314 */     this.button_10 = new Button(this.container, 0);
/* 315 */     this.button_10
/* 316 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 317 */     this.button_10.setText("打印");
/* 318 */     setData();
/* 319 */     Sorter.setSort(composite_3, "certPrint", this.tableViewer, this.button_7);
/*     */     
/* 321 */     this.container.setSize(800, 750);
/* 322 */     scroll.setContent((Control)this.container);
/* 323 */     PublicUtil.setTableWidth(this.composite_2, this.table, 
/* 324 */         "0.5:1.1699:1:2.8:1.1:1.1:1.2:1.1:0.03");
/* 325 */     PublicUtil.setTableHeight(this.table);
/* 326 */     PublicUtil.setMouseHands(this.table, "3#6#7");
/* 327 */     createActions();
/* 328 */     initializeToolBar();
/* 329 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 343 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 344 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 351 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 352 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void init(IViewSite site) throws PartInitException {
/* 360 */     super.init(site);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 374 */     this.combo.add("汉语证书正本");
/* 375 */     this.combo.add("汉语证书副本");
/* 376 */     this.combo.add("蒙语证书正本");
/* 377 */     this.combo.add("蒙语证书副本");
/* 378 */     this.combo.add("维语证书正本");
/* 379 */     this.combo.add("维语证书副本");
/* 380 */     this.combo.add("藏语证书正本");
/* 381 */     this.combo.add("藏语证书副本");
/* 382 */     this.combo.setData("请选择正副本", "0");
/* 383 */     this.combo.setData("汉语证书正本", "hanyuzhengben");
/* 384 */     this.combo.setData("汉语证书副本", "hanyufuben");
/* 385 */     this.combo.setData("蒙语证书正本", "mengyuzhengben");
/* 386 */     this.combo.setData("蒙语证书副本", "mengyufuben");
/* 387 */     this.combo.setData("维语证书正本", "weiyuzhengben");
/* 388 */     this.combo.setData("维语证书副本", "weiyufuben");
/* 389 */     this.combo.setData("藏语证书正本", "zangyuzhengben");
/* 390 */     this.combo.setData("藏语证书副本", "zangyufuben");
/* 391 */     this.combo.select(0);
/* 392 */     action();
/* 393 */     getCertInfos(8, this.startNo);
/* 394 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 402 */     this.ctv.addCheckStateListener(new ICheckStateListener()
/*     */         {
/*     */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*     */           {
/* 406 */             int size = (CertPrint.this.ctv.getCheckedElements()).length;
/* 407 */             CertPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 410 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 412 */             if (CertPrint.this.button_3.getSelection()) {
/* 413 */               PublicUtil.setMouseHands(CertPrint.this.table, "3#6#7");
/* 414 */               CertPrint.this.isPrint = false;
/* 415 */               CertPrint.this.newColumnTableColumn_5.setText("");
/* 416 */               CertPrint.this.totalRows = 0;
/* 417 */               CertPrint.this.currentPage = 1;
/* 418 */               CertPrint.this.getCertInfos(8, CertPrint.this.startNo);
/*     */               
/* 420 */               CertPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 424 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 426 */             if (CertPrint.this.button_4.getSelection()) {
/* 427 */               PublicUtil.setMouseHands(CertPrint.this.table, "3#7");
/* 428 */               CertPrint.this.isPrint = true;
/* 429 */               CertPrint.this.newColumnTableColumn_5.setText("证书打印时间");
/* 430 */               CertPrint.this.totalRows = 0;
/* 431 */               CertPrint.this.currentPage = 1;
/* 432 */               CertPrint.this.getCertInfos(9, CertPrint.this.startNo);
/*     */               
/* 434 */               CertPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 438 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 440 */             (new PaperSourceDialog(
/* 441 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell())).open();
/*     */           }
/*     */         });
/* 444 */     this.button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 446 */             if (CertPrint.this.button_7.getSelection()) {
/* 447 */               CertPrint.this.ctv.setAllChecked(true);
/*     */             } else {
/* 449 */               CertPrint.this.ctv.setAllChecked(false);
/* 450 */             }  int size = (CertPrint.this.ctv.getCheckedElements()).length;
/* 451 */             CertPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 454 */     this.button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 456 */             if (CertPrint.this.button_8.getSelection()) {
/* 457 */               CertPrint.this.setSearch();
/*     */             } else {
/* 459 */               CertPrint.this.group.dispose();
/* 460 */               CertPrint.this.container.layout();
/*     */             } 
/*     */           }
/*     */         });
/* 464 */     this.button_9.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 466 */             CertPrint.this.setTemplate();
/*     */           }
/*     */         });
/* 469 */     this.button_10.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 471 */             CertPrint.this.Print();
/*     */           }
/*     */         });
/* 474 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 476 */             int colums = CertPrint.this.cursor.getColumn();
/* 477 */             if (colums == 3) {
/* 478 */               CertPrint.this.openDetailDialog();
/*     */             }
/* 480 */             if (CertPrint.this.isPrint) {
/* 481 */               if (colums == 7) {
/* 482 */                 CertPrint.this.printView();
/*     */               }
/* 484 */               if (colums == 8) {
/* 485 */                 CertPrint.this.downData();
/*     */               }
/*     */             } else {
/* 488 */               if (colums == 6) {
/* 489 */                 CertPrint.this.printView();
/*     */               }
/* 491 */               if (colums == 7) {
/* 492 */                 boolean flag = SydjMessageDialog.openConfirm(null, 
/* 493 */                     "提示", "您确定要从列表中删除吗？");
/* 494 */                 if (flag) {
/* 495 */                   CertPrint.this.deleteData();
/*     */                 }
/*     */               } 
/* 498 */               if (colums == 8) {
/* 499 */                 CertPrint.this.downData();
/*     */               }
/*     */             } 
/* 502 */             CertPrint.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/*     */     try {
/* 511 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 512 */         .getSelection();
/* 513 */       CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 514 */       UnitInfoModel cert = new UnitInfoModel();
/* 515 */       cert.setApplyId(model.getApplyId());
/* 516 */       cert.setId(model.getCurrentId());
/* 517 */       cert.setName(model.getUnitName());
/* 518 */       CertOperationPrint oper = new CertOperationPrint();
/* 519 */       ArrayList fileList = oper.getCertFileInfo(
/* 520 */           GljgUserInfo.getInstance().getGroupid(), model.getApplyId(), 
/* 521 */           model.getCurrentId(), model.getSubDate());
/* 522 */       if (fileList == null)
/*     */         return; 
/* 524 */       CertDetailDialogFuHe dialog = new CertDetailDialogFuHe(
/* 525 */           this.container.getShell(), cert, fileList, this.flag, false, "", true, false);
/* 526 */       dialog.open();
/* 527 */     } catch (Exception e) {
/* 528 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getCertInfos(int colums, int startNo) {
/* 536 */     if (this.button_8.getSelection()) {
/* 537 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */ 
/*     */         
/* 541 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.ctText.getText().trim(), this.nmText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "4", startNo, this.maxCount);
/*     */     } else {
/* 543 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */         
/* 546 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "4", startNo, this.maxCount);
/*     */     } 
/* 548 */     if (this.cert == null) {
/*     */       return;
/*     */     }
/* 551 */     this.tableViewer
/* 552 */       .setLabelProvider((IBaseLabelProvider)new CertPrintTableLabelProvider(colums));
/* 553 */     Object data = this.cert;
/* 554 */     this.tableViewer.setInput(data);
/* 555 */     PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void changeCertId(int colums) {
/* 563 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 564 */       .getSelection();
/* 565 */     TableItem rows = this.cursor.getRow();
/* 566 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 567 */     String newCertCode = (new CertOperationHeZhun()).getNewCertCode(
/* 568 */         GljgUserInfo.getInstance().getGroupid(), 
/* 569 */         GljgUserInfo.getInstance().getDistrictcode(), model.getUnitId());
/* 570 */     if (newCertCode == null)
/*     */       return; 
/* 572 */     CertNewCodePrint certCode = new CertNewCodePrint(
/* 573 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 574 */         this.cursor.getRow().getText(colums), newCertCode);
/* 575 */     if (certCode.open() == 0) {
/* 576 */       CertOperationPrint print = new CertOperationPrint();
/* 577 */       String value = print.changeCertId(model.getUnitId(), 
/* 578 */           GljgUserInfo.getInstance().getDistrictcode(), 
/* 579 */           certCode.getNewCertCode(), this.cursor.getRow().getText(colums), 
/* 580 */           GljgUserInfo.getInstance().getUserid(), 
/* 581 */           GljgUserInfo.getInstance().getUsername(), 
/* 582 */           GljgUserInfo.getInstance().getGroupid());
/* 583 */       if (value == null) {
/*     */         return;
/*     */       }
/* 586 */       if ("modSuccess".equals(value)) {
/* 587 */         this.cursor.getRow().setText(1, certCode.getNewCertCode());
/* 588 */         this.cursor.setSelection(rows, colums - 1);
/* 589 */         model.setCertId(certCode.getNewCertCode());
/* 590 */         model.setCertId(certCode.getNewCertCode());
/* 591 */         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 592 */         uldi.setRequestType(5);
/* 593 */         uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/* 594 */         uldi.setDistrictcode(
/* 595 */             GljgUserInfo.getInstance().getDistrictcode());
/* 596 */         uldi.setSydwid(model.getUnitId());
/* 597 */         uldi.setIslogout(0);
/* 598 */         ModifyLocalData mld = new ModifyLocalData();
/* 599 */         mld.modifyLocalData(uldi);
/* 600 */         SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */         return;
/*     */       } 
/* 603 */       SydjMessageDialog.openInformation(null, "提示", 
/* 604 */           "此统一社会信用代码已经被使用，请重新确定新的统一社会信用代码");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void printView() {
/* 617 */     int nTag = 0;
/*     */     try {
/* 619 */       ArrayList<PrintContentModel> list = new ArrayList();
/* 620 */       String data = this.combo.getText();
/* 621 */       String value = (String)this.combo.getData(data);
/* 622 */       if ("0".equals(value)) {
/* 623 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 626 */       String imagePath = "";
/* 627 */       int pageStlye = 4;
/* 628 */       list = PrintJob.getTemplateInfo(value);
/* 629 */       if (list != null) {
/* 630 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/* 631 */         imagePath = str[0];
/* 632 */         pageStlye = Integer.valueOf(str[1]).intValue();
/* 633 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 634 */           .getSelection();
/* 635 */         CertPrintModel model = (CertPrintModel)select
/* 636 */           .getFirstElement();
/* 637 */         ArrayList<CertPrintModel> parList = new ArrayList();
/* 638 */         parList.add(model);
/* 639 */         CertOperationPrint print = new CertOperationPrint();
/* 640 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "-1");
/* 641 */         if (dataList != null) {
/*     */           
/* 643 */           PrintContentModel model2 = list.get(0);
/* 644 */           Point point = new Point(model2.getX(), model2.getY());
/* 645 */           model2.setX(0);
/* 646 */           model2.setY(0);
/*     */           
/* 648 */           ArrayList<PrintContentModel> lists = new ArrayList();
/* 649 */           lists.add(model2);
/* 650 */           PringItemModel item = dataList.get(0);
/* 651 */           for (int i = 1; i < list.size(); i++) {
/* 652 */             PrintContentModel md = list.get(i);
/* 653 */             if (md.getId().equals("id"))
/* 654 */               md.setContent(item.getUnifyCode()); 
/* 655 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 656 */               nTag = -1;
/*     */             }
/* 658 */             if (md.getId().equals("deadLine"))
/* 659 */               md.setContent(item.getDeadLine()); 
/* 660 */             if (md.getId().equals("name"))
/* 661 */               md.setContent(item.getUnitName()); 
/* 662 */             if (md.getId().equals("service"))
/* 663 */               md.setContent(item.getService()); 
/* 664 */             if (md.getId().equals("address"))
/* 665 */               md.setContent(item.getAddress()); 
/* 666 */             if (md.getId().equals("delegate"))
/* 667 */               md.setContent(item.getDelegate()); 
/* 668 */             if (md.getId().equals("finance"))
/* 669 */               md.setContent(item.getFinance()); 
/* 670 */             if (md.getId().equals("openMoney"))
/* 671 */               md.setContent(item.getOpenMoney()); 
/* 672 */             if (md.getId().equals("openUint"))
/* 673 */               md.setContent(item.getHoldUnit()); 
/* 674 */             if (md.getId().equals("annualMark"))
/* 675 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/* 676 */             if (md.getId().equals("idcode")) {
/* 677 */               md.setContent(item.getIdcode());
/* 678 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 679 */                 nTag = -1;
/*     */               }
/*     */             } 
/* 682 */             if (md.getId().equals("sydwJglb")) {
/* 683 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 684 */                 if (item.getSydwJglb().equals("其他类")) {
/* 685 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                 } else {
/* 687 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*     */                 } 
/*     */               } else {
/* 690 */                 md.setContent("");
/*     */               } 
/*     */             }
/* 693 */             lists.add(md);
/*     */           } 
/* 695 */           if (nTag == 0) {
/* 696 */             SingleSetPrintDialog dialog = new SingleSetPrintDialog(
/* 697 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 698 */                 lists, imagePath, pageStlye, point, !this.isPrint, 
/* 699 */                 PrintJob.getFontSizeList(value), model, "4", value);
/* 700 */             if (dialog.open() == 0) {
/* 701 */               deleteData();
/*     */             }
/*     */           } else {
/* 704 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             return;
/*     */           } 
/*     */         } 
/*     */       } else {
/* 713 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 716 */     } catch (Exception e) {
/* 717 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void deleteData() {
/*     */     try {
/* 726 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 727 */         .getSelection();
/* 728 */       CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 729 */       ArrayList<CertPrintModel> lists = new ArrayList();
/* 730 */       lists.add(model);
/* 731 */       if (this.button_8.getSelection()) {
/* 732 */         this.cert = 
/*     */ 
/*     */ 
/*     */           
/* 736 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.nmText.getText().trim(), this.ctText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "4", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/*     */       } else {
/* 738 */         this.cert = 
/*     */ 
/*     */           
/* 741 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "4", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/* 742 */       }  if (this.cert != null) {
/* 743 */         this.tableViewer.setInput(this.cert);
/*     */         
/* 745 */         setCursor();
/* 746 */         PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */         return;
/*     */       } 
/* 749 */     } catch (Exception e) {
/* 750 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void downData() {
/* 758 */     ArrayList<CertPrintModel> list = new ArrayList();
/* 759 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 760 */       .getSelection();
/* 761 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 762 */     list.add(model);
/* 763 */     PrintJob.downPrintCert(list);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 770 */     if (this.cursor != null)
/* 771 */       this.cursor.dispose(); 
/* 772 */     this.cursor = new TableCursor(this.table, 0);
/* 773 */     this.cursor.setBackground(this.table.getDisplay()
/* 774 */         .getSystemColor(26));
/* 775 */     this.cursor.setForeground(this.table.getDisplay()
/* 776 */         .getSystemColor(27));
/* 777 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 780 */             int colums = CertPrint.this.cursor.getColumn();
/* 781 */             if (colums == CertPrint.this.selectColums) {
/* 782 */               if (colums == 3) {
/* 783 */                 CertPrint.this.openDetailDialog();
/*     */               }
/* 785 */               if (CertPrint.this.isPrint) {
/* 786 */                 if (colums == 7) {
/* 787 */                   CertPrint.this.printView();
/*     */                 }
/* 789 */                 if (colums == 8) {
/* 790 */                   CertPrint.this.downData();
/*     */                 }
/*     */               } else {
/* 793 */                 if (colums == 6) {
/* 794 */                   CertPrint.this.printView();
/*     */                 }
/* 796 */                 if (colums == 7) {
/* 797 */                   boolean flag = SydjMessageDialog.openConfirm(null, 
/* 798 */                       "提示", "您确定要从列表中删除吗？");
/* 799 */                   if (flag) {
/* 800 */                     CertPrint.this.deleteData();
/*     */                   }
/*     */                 } 
/* 803 */                 if (colums == 8) {
/* 804 */                   CertPrint.this.downData();
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setSearch() {
/* 840 */     this.group = new Composite(this.composite_4, 0);
/* 841 */     this.group.setLayoutData(new GridData(4, 16777216, true, false, 4, 
/* 842 */           1));
/* 843 */     this.group.setBounds(0, 0, 494, 139);
/* 844 */     this.button = new Button(this.group, 0);
/* 845 */     this.button.setText("选择");
/* 846 */     this.button.setBounds(285, 47, 44, 23);
/* 847 */     this.name = new Label(this.group, 131072);
/* 848 */     this.name.setText("统一社会信用代码：");
/* 849 */     this.name.setBounds(5, 5, 116, 16);
/*     */     
/* 851 */     this.beginDate = new Label(this.group, 0);
/* 852 */     this.beginDate.setText("单位名称：");
/* 853 */     this.beginDate.setBounds(61, 31, 60, 16);
/*     */     
/* 855 */     this.endDate = new Label(this.group, 0);
/* 856 */     this.endDate.setText("举办单位：");
/* 857 */     this.endDate.setBounds(61, 55, 60, 16);
/*     */     
/* 859 */     this.ctText = new Text(this.group, 2048);
/* 860 */     this.ctText.setBounds(136, 0, 145, 18);
/*     */     
/* 862 */     this.nmText = new Text(this.group, 2048);
/* 863 */     this.nmText.setTextLimit(18);
/* 864 */     this.nmText.setBounds(136, 25, 145, 18);
/* 865 */     this.huText = new Text(this.group, 2048);
/* 866 */     this.huText.setBounds(136, 51, 145, 18);
/*     */     
/* 868 */     this.search = new Button(this.group, 0);
/* 869 */     this.search.setText("查 询");
/* 870 */     this.search.setBounds(176, 97, 42, 24);
/*     */     
/* 872 */     Composite composite = new Composite(this.group, 0);
/* 873 */     composite.setBounds(126, 75, 199, 16);
/*     */     
/* 875 */     this.button_1 = new Button(composite, 16);
/* 876 */     this.button_1.setBounds(10, 0, 93, 16);
/* 877 */     this.button_1.setSelection(true);
/* 878 */     this.button_1.setText("不搜索子节点");
/*     */     
/* 880 */     this.button_2 = new Button(composite, 16);
/* 881 */     this.button_2.setBounds(109, 0, 83, 16);
/* 882 */     this.button_2.setText("搜索子节点");
/*     */     
/* 884 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 886 */             InfoEntity i = (InfoEntity)(new SysJBDWTreeDialog(
/* 887 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()))
/* 888 */               .open();
/* 889 */             CertPrint.this.huText.setText(i.getName());
/*     */           }
/*     */         });
/* 892 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 894 */             if (CertPrint.this.button_1.getSelection())
/* 895 */               CertPrint.this.flag = false; 
/*     */           }
/*     */         });
/* 898 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 900 */             if (CertPrint.this.button_2.getSelection())
/* 901 */               CertPrint.this.flag = true; 
/*     */           }
/*     */         });
/* 904 */     this.search.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 906 */             CertPrint.this.totalRows = 0;
/* 907 */             CertPrint.this.currentPage = 1;
/* 908 */             if (CertPrint.this.isPrint) {
/* 909 */               CertPrint.this.getCertInfos(9, CertPrint.this.startNo);
/*     */             } else {
/* 911 */               CertPrint.this.getCertInfos(8, CertPrint.this.startNo);
/*     */             } 
/* 913 */             CertPrint.this.setCursor();
/*     */           }
/*     */         });
/* 916 */     this.container.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void Print() {
/*     */     try {
/* 925 */       CertPrintAction action = null;
/* 926 */       if (this.button_8.getSelection()) {
/* 927 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 928 */             this.flag, 1, this.nmText.getText().trim(), 
/* 929 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 930 */             "4", this);
/*     */       } else {
/* 932 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 933 */             this.flag, 1, "", "", "", "4", this);
/*     */       } 
/* 935 */       action.print();
/* 936 */     } catch (Exception e1) {
/* 937 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setTemplate() {
/*     */     try {
/* 946 */       CertPrintAction action = null;
/* 947 */       if (this.button_8.getSelection()) {
/* 948 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 949 */             this.flag, 1, this.nmText.getText().trim(), 
/* 950 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 951 */             "4", this);
/*     */       } else {
/* 953 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 954 */             this.flag, 1, "", "", "", "4", this);
/*     */       } 
/* 956 */       action.setTemplate();
/* 957 */     } catch (Exception e1) {
/* 958 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\CertPrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */