/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OpenAndSaveDialog
/*     */   extends Dialog
/*     */ {
/*     */   String name;
/*     */   String type;
/*     */   int returnValue;
/*     */   
/*     */   public OpenAndSaveDialog(Shell parentShell, String name, String type) {
/*  29 */     super(parentShell);
/*  30 */     this.name = name;
/*  31 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  41 */     Composite container = (Composite)super.createDialogArea(parent);
/*  42 */     container.setLayout(null);
/*     */     
/*  44 */     Label label = new Label(container, 0);
/*  45 */     label.setBounds(15, 15, 175, 19);
/*  46 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/*  47 */     label.setText("您想打开或保存此文件吗？");
/*     */     
/*  49 */     Label label_1 = new Label(container, 0);
/*  50 */     label_1.setBounds(40, 35, 42, 13);
/*  51 */     label_1.setText("名称：");
/*     */     
/*  53 */     Label label_1_1 = new Label(container, 0);
/*  54 */     label_1_1.setBounds(40, 61, 42, 13);
/*  55 */     label_1_1.setText("类型：");
/*     */     
/*  57 */     Label label_2 = new Label(container, 64);
/*  58 */     label_2.setBounds(86, 34, 283, 19);
/*  59 */     label_2.setText(this.name);
/*  60 */     Label label_2_1 = new Label(container, 64);
/*  61 */     label_2_1.setBounds(85, 60, 283, 19);
/*  62 */     label_2_1.setText(this.type);
/*     */     
/*  64 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  74 */     Button button_1 = createButton(parent, 0, 
/*  75 */         "打开", false);
/*  76 */     button_1.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/*  78 */             OpenAndSaveDialog.this.returnValue = 0;
/*  79 */             OpenAndSaveDialog.this.getShell().dispose();
/*     */           }
/*     */         });
/*  82 */     Button button = createButton(parent, 16, 
/*  83 */         "保存", false);
/*  84 */     button.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/*  86 */             OpenAndSaveDialog.this.returnValue = 16;
/*  87 */             OpenAndSaveDialog.this.getShell().dispose();
/*     */           }
/*     */         });
/*  90 */     Button button_2 = createButton(parent, 
/*  91 */         1, "取消", false);
/*  92 */     button_2.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/*  94 */             OpenAndSaveDialog.this.returnValue = 1;
/*  95 */             OpenAndSaveDialog.this.getShell().dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 102 */     super.open();
/* 103 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 111 */     return new Point(403, 180);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 115 */     super.configureShell(newShell);
/* 116 */     newShell.setText("文件下载");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\OpenAndSaveDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */