/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.awt.print.PrinterException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Print
/*     */   implements Printable
/*     */ {
/*  20 */   private ArrayList list = null;
/*     */   private Point point;
/*     */   
/*     */   public Print(ArrayList list, Point point) {
/*  24 */     this.list = list;
/*  25 */     this.point = point;
/*     */   }
/*     */ 
/*     */   
/*     */   public int print(Graphics gra, PageFormat pf, int pageIndex) throws PrinterException {
/*  30 */     Graphics2D g2 = (Graphics2D)gra;
/*  31 */     g2.setColor(Color.black);
/*  32 */     float[] dash1 = { 2.0F };
/*  33 */     pf.setOrientation(1);
/*  34 */     g2.setStroke(new BasicStroke(0.5F, 0, 
/*  35 */           0, 2.0F, dash1, 0.0F));
/*  36 */     switch (pageIndex) {
/*     */       case 0:
/*     */         try {
/*  39 */           for (int i = 0; i < this.list.size(); i++) {
/*  40 */             PrintContentModel model = this.list.get(i);
/*  41 */             if (!"parent".equals(model.getId()))
/*  42 */             { if (model.getContent() != null && 
/*  43 */                 !model.getContent().equals("")) {
/*  44 */                 Font font = calculateFontSize(g2, 
/*  45 */                     model.getContent(), model.getSize(), 
/*  46 */                     model.getWidth(), model.getHeight(), 
/*  47 */                     model.isChanged());
/*  48 */                 g2.setFont(font);
/*  49 */                 ArrayList<String> lists = getStrings(g2, 
/*  50 */                     model.getContent(), model.getWidth(), 
/*  51 */                     model.getHeight());
/*  52 */                 for (int j = 0; j < lists.size(); j++) {
/*  53 */                   g2.drawString(lists.get(j), 
/*  54 */                       model.getX() + 
/*  55 */                       this.point.x, model.getY() + this.point.y + 
/*  56 */                       g2.getFontMetrics().getHeight() * j);
/*     */                 }
/*     */               }  }
/*     */             else
/*     */             
/*  61 */             { System.out.println(String.valueOf(model.getX()) + "vs" + model.getY()); } 
/*     */           } 
/*  63 */         } catch (Exception e) {
/*  64 */           e.printStackTrace();
/*     */         } 
/*  66 */         return 0;
/*     */     } 
/*  68 */     return 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font calculateFontSize(Graphics2D gc, String content, int fontSize, int width, int height, boolean flag) {
/*  77 */     Font font = new Font("楷体_GB2312", 0, fontSize);
/*  78 */     if (flag)
/*     */       try {
/*  80 */         int rows = 0;
/*  81 */         int rowWidth = 0;
/*  82 */         int allHeight = 0;
/*     */         do {
/*  84 */           font = new Font("楷体_GB2312", 0, 
/*  85 */               fontSize);
/*  86 */           gc.setFont(font);
/*  87 */           rowWidth = 0;
/*  88 */           rows = 0;
/*  89 */           for (int i = 0; i < content.length(); i++) {
/*  90 */             if (i != content.length() - 1) {
/*  91 */               if (rowWidth + 
/*  92 */                 gc.getFontMetrics().charWidth(
/*  93 */                   content.charAt(i + 1)) >= width) {
/*  94 */                 rowWidth = 0;
/*  95 */                 rows++;
/*     */               } else {
/*  97 */                 rowWidth += 
/*  98 */                   gc.getFontMetrics().charWidth(
/*  99 */                     content.charAt(i));
/*     */               } 
/*     */             } else {
/*     */               
/* 103 */               rows++;
/*     */             } 
/*     */           } 
/* 106 */           allHeight = gc.getFontMetrics().getHeight() * rows;
/* 107 */           fontSize--;
/* 108 */         } while (allHeight > height);
/* 109 */       } catch (Exception e) {
/* 110 */         e.printStackTrace();
/*     */       }  
/* 112 */     return font;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList getStrings(Graphics2D gc, String content, int width, int height) {
/* 120 */     ArrayList<String> list = new ArrayList();
/*     */     try {
/* 122 */       int perCharWidth = gc.getFontMetrics().charWidth(content.charAt(0));
/* 123 */       int rowFontCount = width / perCharWidth;
/* 124 */       int i = 0;
/* 125 */       while (i <= content.length()) {
/* 126 */         if (i + rowFontCount < content.length()) {
/* 127 */           list.add(content.substring(i, i + rowFontCount));
/*     */         } else {
/* 129 */           list.add(content.substring(i, content.length()));
/*     */         } 
/* 131 */         i += rowFontCount;
/*     */       } 
/* 133 */     } catch (Exception e) {
/* 134 */       e.printStackTrace();
/*     */     } 
/* 136 */     return list;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\Print.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */