/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PaperSourceDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.actions.CertRePrintAction;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.ICheckStateListener;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ import server.sydj.operation.commons.RePrintTableLabelProvider;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RePrintCert
/*     */   extends ViewPart
/*     */ {
/*     */   private Text text_2;
/*     */   private Combo combo;
/*     */   private TableCursor cursor;
/*     */   private TableColumn newColumnTableColumn_5;
/*     */   private TableColumn newColumnTableColumn_4;
/*     */   private Button button;
/*     */   private Composite container_1;
/*     */   private Text ctTo;
/*     */   private Text ctFrom;
/*     */   private Text nmText;
/*     */   private Text ctText;
/*     */   private Label name;
/*     */   private Label beginDate;
/*     */   private Label label_1;
/*     */   private Composite group;
/*     */   private Button search;
/*     */   public static final String ID = "cs.sydj.operation.alteritem.print";
/*     */   private Composite container;
/*     */   private ArrayList cert;
/*     */   private ToolBarManager barManager;
/*     */   private boolean isAccelate = true;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_3;
/*     */   private Button button_4;
/*  89 */   private int direction = 1;
/*  90 */   int totalRows = 0;
/*  91 */   int maxCount = 15;
/*  92 */   int startNo = 1;
/*  93 */   int currentPage = 1;
/*  94 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  97 */   int starto = 1;
/*  98 */   private int selectColums = 32;
/*     */   
/*     */   private StackLayout layout;
/*     */   private Composite composite_2;
/*     */   private Composite composite_1;
/*     */   private Composite composite_3;
/*     */   private Composite composite_4;
/*     */   private StackLayout lays;
/*     */   private Composite composite_6;
/*     */   private TableViewer tableViewer;
/*     */   private Table table;
/*     */   private Button button_1;
/*     */   private Button button_6;
/*     */   private TableColumn newColumnTableColumn_6;
/*     */   private Label label_4;
/*     */   private Button button_2;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 116 */     parent.setBackground(Display.getCurrent()
/* 117 */         .getSystemColor(1));
/* 118 */     parent.setBackgroundMode(2);
/* 119 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/* 120 */         2816);
/* 121 */     scroll.setExpandHorizontal(true);
/* 122 */     this.container = new Composite((Composite)scroll, 0);
/* 123 */     this.container.setLocation(0, 0);
/*     */     
/* 125 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 127 */             RePrintCert.this.setCursor();
/*     */           }
/*     */         });
/* 130 */     GridLayout gridLayout = new GridLayout();
/* 131 */     gridLayout.marginTop = 35;
/* 132 */     gridLayout.marginRight = 35;
/* 133 */     gridLayout.marginLeft = 35;
/* 134 */     this.container.setLayout((Layout)gridLayout);
/*     */     
/* 136 */     Label label_6 = new Label(this.container, 0);
/* 137 */     label_6.setLayoutData(new GridData());
/* 138 */     label_6.setText("证书打印>>证书重打");
/* 139 */     label_6.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 141 */     Label label_17 = new Label(this.container, 258);
/*     */     
/* 143 */     label_17.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 145 */     this.composite_4 = new Composite(this.container, 0);
/* 146 */     this.lays = new StackLayout();
/* 147 */     this.composite_4.setLayout((Layout)this.lays);
/* 148 */     this.composite_4.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 150 */     this.composite_6 = new Composite(this.composite_4, 0);
/* 151 */     GridLayout gridLayout_5 = new GridLayout();
/* 152 */     gridLayout_5.marginRight = 25;
/* 153 */     gridLayout_5.marginLeft = 25;
/* 154 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */     
/* 156 */     Label label_10 = new Label(this.composite_4, 0);
/* 157 */     this.group = new Composite(this.composite_6, 0);
/* 158 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/* 159 */     GridLayout gridLayout_2 = new GridLayout();
/* 160 */     gridLayout_2.verticalSpacing = 0;
/* 161 */     gridLayout_2.marginHeight = 0;
/* 162 */     gridLayout_2.marginWidth = 0;
/* 163 */     gridLayout_2.horizontalSpacing = 0;
/* 164 */     gridLayout_2.numColumns = 5;
/* 165 */     this.group.setLayout((Layout)gridLayout_2);
/* 166 */     this.group.setBackground(SWTResourceManager.getColor(230, 239, 240));
/*     */     
/* 168 */     this.group.setBounds(0, 0, 494, 139);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 195 */     Label label_7 = new Label(this.group, 258);
/* 196 */     label_7.setLayoutData(new GridData(4, 16777216, true, false, 
/* 197 */           5, 1));
/*     */     
/* 199 */     Label label_15 = new Label(this.group, 2);
/* 200 */     GridData gd_label_15 = new GridData(4, 4, false, 
/* 201 */         false);
/* 202 */     gd_label_15.heightHint = 49;
/* 203 */     label_15.setLayoutData(gd_label_15);
/*     */     
/* 205 */     this.composite_3 = new Composite(this.group, 0);
/* 206 */     this.layout = new StackLayout();
/* 207 */     this.composite_3.setLayout((Layout)this.layout);
/* 208 */     this.composite_3.setLayoutData(new GridData(4, 16777216, true, 
/* 209 */           false, 3, 1));
/*     */     
/* 211 */     this.composite_2 = new Composite(this.composite_3, 0);
/* 212 */     GridLayout gridLayout_4 = new GridLayout();
/* 213 */     gridLayout_4.numColumns = 2;
/* 214 */     this.composite_2.setLayout((Layout)gridLayout_4);
/* 215 */     this.name = new Label(this.composite_2, 131072);
/* 216 */     this.name.setLayoutData(new GridData(131072, 16777216, false, false));
/* 217 */     this.name.setText("事业单位统一社会信用代码：");
/* 218 */     this.ctText = new Text(this.composite_2, 2048);
/* 219 */     this.ctText.setLayoutData(new GridData(150, -1));
/* 220 */     this.ctText.setTextLimit(18);
/*     */     
/* 222 */     this.beginDate = new Label(this.composite_2, 0);
/* 223 */     this.beginDate.setText("事业单位名称（第一名称）：");
/* 224 */     this.nmText = new Text(this.composite_2, 2048);
/* 225 */     this.nmText.setLayoutData(new GridData(385, -1));
/*     */     
/* 227 */     Label label_12 = new Label(this.group, 2);
/* 228 */     GridData gd_label_12 = new GridData(4, 4, false, 
/* 229 */         false);
/* 230 */     gd_label_12.heightHint = 41;
/* 231 */     label_12.setLayoutData(gd_label_12);
/*     */     
/* 233 */     Label label_8 = new Label(this.group, 258);
/* 234 */     label_8.setLayoutData(new GridData(4, 16777216, false, false, 
/* 235 */           5, 1));
/*     */     
/* 237 */     Label label_16 = new Label(this.group, 2);
/* 238 */     GridData gd_label_16 = new GridData(4, 4, false, 
/* 239 */         false);
/* 240 */     gd_label_16.heightHint = 25;
/* 241 */     label_16.setLayoutData(gd_label_16);
/*     */     
/* 243 */     this.search = new Button(this.group, 0);
/* 244 */     this.search.setLayoutData(new GridData(16777216, 16777216, true, false, 
/* 245 */           3, 1));
/* 246 */     this.search.setText("查 询");
/*     */     
/* 248 */     Label label_13 = new Label(this.group, 2);
/* 249 */     GridData gd_label_13 = new GridData(4, 4, false, 
/* 250 */         false);
/* 251 */     gd_label_13.heightHint = 25;
/* 252 */     label_13.setLayoutData(gd_label_13);
/*     */     
/* 254 */     Label label_9 = new Label(this.group, 258);
/* 255 */     label_9.setLayoutData(new GridData(4, 16777216, true, false, 
/* 256 */           5, 1));
/*     */     
/* 258 */     this.composite_1 = new Composite(this.composite_3, 0);
/* 259 */     this.composite_1.setLayoutData(new GridData(4, 1024, true, 
/* 260 */           false));
/* 261 */     GridLayout gridLayout_3 = new GridLayout();
/* 262 */     gridLayout_3.numColumns = 5;
/* 263 */     this.composite_1.setLayout((Layout)gridLayout_3);
/*     */     
/* 265 */     Label label_18 = new Label(this.composite_1, 0);
/* 266 */     label_18.setFont(SWTResourceManager.getFont("", 9, 1));
/* 267 */     label_18.setLayoutData(new GridData(16777216, 16777216, true, 
/* 268 */           false, 5, 1));
/* 269 */     label_18.setText("请输入要打印统一社会信用代码的后五位数字进行查询:");
/*     */     
/* 271 */     Label label_19 = new Label(this.composite_1, 0);
/* 272 */     label_19
/* 273 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 274 */     label_19.setText("事业单位统一社会信用代码：");
/*     */     
/* 276 */     Label label_20 = new Label(this.composite_1, 0);
/* 277 */     label_20.setText("从");
/*     */     
/* 279 */     this.ctFrom = new Text(this.composite_1, 2048);
/* 280 */     this.ctFrom.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 282 */     Label label_21 = new Label(this.composite_1, 0);
/* 283 */     label_21.setText("到");
/*     */     
/* 285 */     this.ctTo = new Text(this.composite_1, 2048);
/* 286 */     this.ctTo.setLayoutData(new GridData(4, 16777216, true, false));
/* 287 */     this.layout.topControl = (Control)this.composite_2;
/*     */     
/* 289 */     Label label_11 = new Label(this.composite_4, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 304 */     this.container_1 = new Composite(this.composite_4, 0);
/* 305 */     GridLayout gridLayout_6 = new GridLayout();
/* 306 */     gridLayout_6.numColumns = 2;
/* 307 */     gridLayout_6.horizontalSpacing = 0;
/* 308 */     gridLayout_6.marginHeight = 0;
/* 309 */     gridLayout_6.marginWidth = 0;
/* 310 */     this.container_1.setLayout((Layout)gridLayout_6);
/*     */     
/* 312 */     this.button = new Button(this.container_1, 32);
/* 313 */     this.button.setLayoutData(new GridData());
/* 314 */     this.button.setText("全选");
/*     */     
/* 316 */     this.label_4 = new Label(this.container_1, 0);
/* 317 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 318 */     this.label_4.setAlignment(131072);
/* 319 */     this.label_4.setText("共0行被选择");
/* 320 */     this.label_4.setFont(SWTResourceManager.getFont("", 9, 1));
/* 321 */     this.label_4.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 322 */     Composite composite_5 = new Composite(this.container_1, 0);
/* 323 */     GridData gd_composite = new GridData(4, 4, true, 
/* 324 */         false, 2, 1);
/* 325 */     gd_composite.heightHint = 320;
/* 326 */     composite_5.setLayoutData(gd_composite);
/* 327 */     GridLayout gridLayout_7 = new GridLayout();
/* 328 */     gridLayout_7.verticalSpacing = 0;
/* 329 */     gridLayout_7.marginWidth = 0;
/* 330 */     gridLayout_7.marginHeight = 0;
/* 331 */     gridLayout_7.horizontalSpacing = 0;
/* 332 */     composite_5.setLayout((Layout)gridLayout_7);
/*     */     
/* 334 */     this.tableViewer = new TableViewer(composite_5, 67616);
/*     */     
/* 336 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new RePrintTableLabelProvider());
/* 337 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 338 */     this.table = this.tableViewer.getTable();
/* 339 */     this.table.setLinesVisible(true);
/* 340 */     this.table.setHeaderVisible(true);
/* 341 */     this.ctv = new CheckboxTableViewer(this.table);
/* 342 */     GridData gd_table_1 = new GridData(4, 4, true, true);
/* 343 */     this.table.setLayoutData(gd_table_1);
/*     */     
/* 345 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 346 */         0);
/* 347 */     newColumnTableColumn.setWidth(30);
/*     */     
/* 349 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 350 */         16384);
/* 351 */     newColumnTableColumn_1.setWidth(101);
/* 352 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 354 */     TableColumn sydwCodeY = new TableColumn(this.table, 0);
/* 355 */     sydwCodeY.setWidth(80);
/* 356 */     sydwCodeY.setText("证书号");
/*     */     
/* 358 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 359 */         0);
/* 360 */     newColumnTableColumn_2.setWidth(207);
/* 361 */     newColumnTableColumn_2.setText("申报单位名称");
/*     */     
/* 363 */     this.newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 364 */     this.newColumnTableColumn_4.setWidth(68);
/* 365 */     this.newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 366 */     this.newColumnTableColumn_5.setWidth(68);
/* 367 */     this.newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/* 368 */     this.newColumnTableColumn_6.setResizable(false);
/*     */     
/* 370 */     this.cursor = new TableCursor(this.table, 0);
/*     */     
/* 372 */     Label label_7_1 = new Label(this.container_1, 258);
/*     */     
/* 374 */     label_7_1.setLayoutData(new GridData(4, 16777216, true, false, 
/* 375 */           2, 1));
/* 376 */     label_7_1.setText("Label");
/*     */     
/* 378 */     Composite composite_7 = new Composite(this.container_1, 0);
/* 379 */     composite_7.setLayoutData(new GridData(16777216, 16777216, true, 
/* 380 */           false, 2, 1));
/* 381 */     GridLayout gridLayout_10 = new GridLayout();
/* 382 */     gridLayout_10.numColumns = 5;
/* 383 */     composite_7.setLayout((Layout)gridLayout_10);
/*     */     
/* 385 */     Label label_2 = new Label(composite_7, 0);
/* 386 */     label_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 387 */     label_2.setText("请选择正副本：");
/* 388 */     this.combo = new Combo(composite_7, 0);
/* 389 */     GridData gd_combo = new GridData(4, 16777216, true, 
/* 390 */         false);
/* 391 */     gd_combo.widthHint = 100;
/* 392 */     this.combo.setLayoutData(gd_combo);
/*     */     
/* 394 */     this.button_1 = new Button(composite_7, 0);
/*     */     
/* 396 */     this.button_1.setText("模板设置");
/*     */     
/* 398 */     this.button_2 = new Button(composite_7, 0);
/* 399 */     this.button_2.setText("进纸盒设置");
/*     */     
/* 401 */     this.button_6 = new Button(composite_7, 0);
/* 402 */     this.button_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 403 */     this.button_6.setText("打印");
/*     */     
/* 405 */     this.container.setSize(474, 800);
/* 406 */     scroll.setContent((Control)this.container);
/* 407 */     this.lays.topControl = (Control)this.composite_6;
/* 408 */     setData();
/* 409 */     PublicUtil.setTableWidth(composite_5, this.table, 
/* 410 */         "0.505:1.335:1:4.329:1.35:1.35:0.03");
/* 411 */     PublicUtil.setMouseHands(this.table, "4#5");
/* 412 */     PublicUtil.setTableHeight(this.table);
/* 413 */     createActions();
/* 414 */     initializeToolBar();
/* 415 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 429 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 430 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 437 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 438 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 451 */     this.combo.add("汉语证书正本");
/* 452 */     this.combo.add("汉语证书副本");
/* 453 */     this.combo.add("蒙语证书正本");
/* 454 */     this.combo.add("蒙语证书副本");
/* 455 */     this.combo.add("维语证书正本");
/* 456 */     this.combo.add("维语证书副本");
/* 457 */     this.combo.add("藏语证书正本");
/* 458 */     this.combo.add("藏语证书副本");
/* 459 */     this.combo.setData("请选择正副本", "0");
/* 460 */     this.combo.setData("汉语证书正本", "hanyuzhengben");
/* 461 */     this.combo.setData("汉语证书副本", "hanyufuben");
/* 462 */     this.combo.setData("蒙语证书正本", "mengyuzhengben");
/* 463 */     this.combo.setData("蒙语证书副本", "mengyufuben");
/* 464 */     this.combo.setData("维语证书正本", "weiyuzhengben");
/* 465 */     this.combo.setData("维语证书副本", "weiyufuben");
/* 466 */     this.combo.setData("藏语证书正本", "zangyuzhengben");
/* 467 */     this.combo.setData("藏语证书副本", "zangyufuben");
/* 468 */     this.combo.select(0);
/* 469 */     action();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 476 */     this.ctv.addCheckStateListener(new ICheckStateListener()
/*     */         {
/*     */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*     */           {
/* 480 */             int size = (RePrintCert.this.ctv.getCheckedElements()).length;
/* 481 */             RePrintCert.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 502 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 504 */             (new PaperSourceDialog(
/* 505 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell())).open();
/*     */           }
/*     */         });
/* 508 */     this.search.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 511 */             if (RePrintCert.this.ctText.getText().trim().equals("") && 
/* 512 */               RePrintCert.this.nmText.getText().trim().equals("")) {
/* 513 */               SydjMessageDialog.openInformation(null, "证书重打提示", 
/* 514 */                   "请输入统一社会信用代码或事业单位名称进行查询！");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */               
/*     */               return;
/*     */             } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 528 */             RePrintCert.this.progress();
/*     */           }
/*     */         });
/* 531 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 533 */             if (RePrintCert.this.button.getSelection()) {
/* 534 */               RePrintCert.this.ctv.setAllChecked(true);
/*     */             } else {
/* 536 */               RePrintCert.this.ctv.setAllChecked(false);
/*     */             } 
/* 538 */             int size = (RePrintCert.this.ctv.getCheckedElements()).length;
/* 539 */             RePrintCert.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 542 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 544 */             RePrintCert.this.setTemplate();
/*     */           }
/*     */         });
/* 547 */     this.button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 549 */             RePrintCert.this.Print();
/*     */           }
/*     */         });
/*     */     
/* 553 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 555 */             int colums = RePrintCert.this.cursor.getColumn();
/* 556 */             if (colums == 4) {
/* 557 */               RePrintCert.this.printView();
/*     */             }
/* 559 */             if (colums == 5) {
/* 560 */               RePrintCert.this.printView();
/*     */             }
/* 562 */             RePrintCert.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList getCertInfos(int startNo, String groupId, String districtCode, String name, String ctText, boolean isAccelate, int maxCount, String ctFrom, String ctTo) {
/* 579 */     ArrayList list = null;
/*     */     try {
/* 581 */       if (isAccelate) {
/* 582 */         list = (new CertOperationPrint()).rePrint(groupId, districtCode, 
/* 583 */             name.trim(), ctText.trim(), isAccelate, startNo, 
/* 584 */             maxCount);
/*     */       } else {
/*     */         
/* 587 */         list = (new CertOperationPrint()).rePrint(groupId, districtCode, 
/* 588 */             ctFrom.trim(), ctTo.trim(), isAccelate, startNo, 
/* 589 */             maxCount);
/*     */       } 
/* 591 */     } catch (Exception e) {
/* 592 */       e.printStackTrace();
/*     */     } 
/* 594 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void printView() {
/* 602 */     int nTag = 0;
/*     */     try {
/* 604 */       ArrayList<PrintContentModel> list = new ArrayList();
/* 605 */       String data = this.combo.getText();
/* 606 */       String value = (String)this.combo.getData(data);
/* 607 */       if ("0".equals(value)) {
/* 608 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 611 */       String imagePath = "";
/* 612 */       int pageStlye = 4;
/* 613 */       list = PrintJob.getTemplateInfo(value);
/* 614 */       if (list != null) {
/* 615 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/* 616 */         imagePath = str[0];
/* 617 */         pageStlye = Integer.valueOf(str[1]).intValue();
/* 618 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 619 */           .getSelection();
/* 620 */         CertPrintModel model = (CertPrintModel)select
/* 621 */           .getFirstElement();
/* 622 */         ArrayList<CertPrintModel> parList = new ArrayList();
/* 623 */         parList.add(model);
/* 624 */         CertOperationPrint print = new CertOperationPrint();
/* 625 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "-1");
/* 626 */         if (dataList != null) {
/*     */           
/* 628 */           PrintContentModel model2 = list.get(0);
/* 629 */           Point point = new Point(model2.getX(), model2.getY());
/* 630 */           model2.setX(0);
/* 631 */           model2.setY(0);
/*     */           
/* 633 */           ArrayList<PrintContentModel> lists = new ArrayList();
/* 634 */           lists.add(model2);
/* 635 */           PringItemModel item = dataList.get(0);
/* 636 */           for (int i = 1; i < list.size(); i++) {
/* 637 */             PrintContentModel md = list.get(i);
/* 638 */             if (md.getId().equals("id"))
/* 639 */               md.setContent(item.getUnifyCode()); 
/* 640 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 641 */               nTag = -1;
/*     */             }
/* 643 */             if (md.getId().equals("deadLine"))
/* 644 */               md.setContent(item.getDeadLine()); 
/* 645 */             if (md.getId().equals("name"))
/* 646 */               md.setContent(item.getUnitName()); 
/* 647 */             if (md.getId().equals("service"))
/* 648 */               md.setContent(item.getService()); 
/* 649 */             if (md.getId().equals("address"))
/* 650 */               md.setContent(item.getAddress()); 
/* 651 */             if (md.getId().equals("delegate"))
/* 652 */               md.setContent(item.getDelegate()); 
/* 653 */             if (md.getId().equals("finance"))
/* 654 */               md.setContent(item.getFinance()); 
/* 655 */             if (md.getId().equals("openMoney"))
/* 656 */               md.setContent(item.getOpenMoney()); 
/* 657 */             if (md.getId().equals("openUint"))
/* 658 */               md.setContent(item.getHoldUnit()); 
/* 659 */             if (md.getId().equals("annualMark"))
/* 660 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/* 661 */             if (md.getId().equals("idcode")) {
/* 662 */               md.setContent(item.getIdcode());
/* 663 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 664 */                 nTag = -1;
/*     */               }
/*     */             } 
/* 667 */             if (md.getId().equals("sydwJglb")) {
/* 668 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 669 */                 if (item.getSydwJglb().equals("其他类")) {
/* 670 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                 } else {
/* 672 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*     */                 } 
/*     */               } else {
/* 675 */                 md.setContent("");
/*     */               } 
/*     */             }
/* 678 */             lists.add(md);
/*     */           } 
/* 680 */           if (nTag == 0) {
/* 681 */             SingleSetPrintDialog dialog = new SingleSetPrintDialog(
/* 682 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 683 */                 lists, imagePath, pageStlye, point, false, 
/* 684 */                 PrintJob.getFontSizeList(value), model, "11", value);
/* 685 */             dialog.open();
/*     */           } else {
/* 687 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             return;
/*     */           } 
/*     */         } 
/*     */       } else {
/* 696 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 699 */     } catch (Exception e) {
/* 700 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 747 */     if (this.cursor != null)
/* 748 */       this.cursor.dispose(); 
/* 749 */     this.cursor = new TableCursor(this.table, 0);
/* 750 */     this.cursor.setBackground(this.table.getDisplay()
/* 751 */         .getSystemColor(26));
/* 752 */     this.cursor.setForeground(this.table.getDisplay()
/* 753 */         .getSystemColor(27));
/* 754 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 757 */             int colums = RePrintCert.this.cursor.getColumn();
/* 758 */             if (colums == RePrintCert.this.selectColums && 
/* 759 */               colums == 4) {
/* 760 */               RePrintCert.this.printView();
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void Print() {
/*     */     try {
/* 772 */       CertRePrintAction action = null;
/* 773 */       action = new CertRePrintAction(this.tableViewer, this.ctv, this.combo, this.isAccelate, 
/* 774 */           this.direction, "11");
/* 775 */       action.print();
/* 776 */     } catch (Exception e1) {
/* 777 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setTemplate() {
/*     */     try {
/* 786 */       CertRePrintAction action = null;
/* 787 */       action = new CertRePrintAction(this.tableViewer, this.ctv, this.combo, this.isAccelate, 
/* 788 */           this.direction, "11");
/* 789 */       action.setPrint();
/* 790 */     } catch (Exception e1) {
/* 791 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void progress() {
/* 797 */     final String groupId = GljgUserInfo.getInstance().getGroupid();
/* 798 */     final String districtCode = GljgUserInfo.getInstance()
/* 799 */       .getDistrictcode();
/* 800 */     final String name = this.nmText.getText().trim();
/* 801 */     final String ctText = this.ctText.getText().trim();
/* 802 */     final boolean isAccelate = this.isAccelate;
/* 803 */     final int maxCount = this.maxCount;
/* 804 */     final int startNo = this.startNo;
/* 805 */     final String ctFrom = this.ctFrom.getText().trim();
/* 806 */     final String ctTo = this.ctTo.getText().trim();
/* 807 */     ProgressMonitorDialog pmd = new ProgressMonitorDialog(null);
/* 808 */     IRunnableWithProgress rwp = new IRunnableWithProgress()
/*     */       {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*     */         {
/* 812 */           RePrintCert.this
/* 813 */             .getData(monitor, startNo, groupId, districtCode, name, ctText, isAccelate, maxCount, ctFrom, ctTo);
/*     */         }
/*     */       };
/*     */     try {
/* 817 */       pmd.run(true, false, rwp);
/* 818 */     } catch (Exception e) {
/* 819 */       e.printStackTrace();
/*     */     } 
/* 821 */     setDatas();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(IProgressMonitor monitor, int startNo, String groupId, String districtCode, String name, String ctText, boolean isAccelate, int maxCount, String ctFrom, String ctTo) {
/* 828 */     monitor.beginTask("正在查询，请稍等．．．", -1);
/*     */ 
/*     */ 
/*     */     
/* 832 */     this.cert = 
/* 833 */       getCertInfos(startNo, groupId, districtCode, name, ctText, isAccelate, maxCount, ctFrom, ctTo);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 846 */     monitor.done();
/*     */   }
/*     */   
/*     */   private void setDatas() {
/* 850 */     this.totalRows = 0;
/* 851 */     this.currentPage = 1;
/* 852 */     if (this.cert == null) {
/*     */       return;
/*     */     }
/* 855 */     Object data = this.cert;
/* 856 */     this.tableViewer.setInput(data);
/* 857 */     PrintJob.setFontColor(this.table, false, true);
/*     */     
/* 859 */     setCursor();
/* 860 */     this.container_1.layout();
/* 861 */     this.lays.topControl = (Control)this.container_1;
/* 862 */     this.composite_4.layout();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\RePrintCert.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */