/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.events.TraverseEvent;
/*     */ import org.eclipse.swt.events.TraverseListener;
/*     */ import org.eclipse.swt.graphics.Drawable;
/*     */ import org.eclipse.swt.graphics.Font;
/*     */ import org.eclipse.swt.graphics.GC;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.graphics.Rectangle;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.Menu;
/*     */ import org.eclipse.swt.widgets.MenuItem;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.ToolBar;
/*     */ import org.eclipse.swt.widgets.ToolItem;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SingleSetPrintDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Composite composite_1;
/*     */   private Composite comp;
/*     */   private ArrayList list;
/*     */   private String imagePath;
/*     */   private int pageType;
/*     */   private ToolItem newItemToolItem_2;
/*     */   private ToolItem newItemToolItem;
/*     */   private ToolItem newItemToolItem_1;
/*     */   private ToolItem newItemToolItem_4;
/*     */   private boolean flag = false;
/*  58 */   private ArrayList changeList = null;
/*  59 */   private static Text[] text = new Text[12];
/*     */   private Point point;
/*     */   private ArrayList certList;
/*  62 */   private int returnValue = 1;
/*     */ 
/*     */   
/*     */   private boolean isDelete;
/*     */ 
/*     */   
/*     */   private int fontSize;
/*     */ 
/*     */   
/*     */   private CertPrintModel model;
/*     */ 
/*     */   
/*     */   private String printType;
/*     */ 
/*     */   
/*     */   private String tempName;
/*     */ 
/*     */ 
/*     */   
/*     */   public SingleSetPrintDialog(Shell parentShell, ArrayList list, String imagePath, int pageType, Point point, boolean isDelete, int fontSize, CertPrintModel model, String printType, String tempName) {
/*  82 */     super(parentShell);
/*  83 */     setShellStyle(66688);
/*  84 */     this.list = list;
/*  85 */     this.imagePath = imagePath;
/*  86 */     this.pageType = pageType;
/*  87 */     this.changeList = list;
/*  88 */     this.point = point;
/*  89 */     this.isDelete = isDelete;
/*  90 */     this.fontSize = fontSize;
/*  91 */     this.model = model;
/*  92 */     this.printType = printType;
/*  93 */     this.tempName = tempName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 103 */     parent.setBackground(Display.getCurrent()
/* 104 */         .getSystemColor(1));
/* 105 */     parent.setBackgroundMode(2);
/* 106 */     Composite container = (Composite)super.createDialogArea(parent);
/* 107 */     GridLayout gridLayout = new GridLayout();
/* 108 */     gridLayout.marginTop = 25;
/* 109 */     gridLayout.marginRight = 25;
/* 110 */     gridLayout.marginLeft = 25;
/* 111 */     container.setLayout((Layout)gridLayout);
/*     */     
/* 113 */     Composite composite_2 = new Composite(container, 0);
/* 114 */     composite_2.setLayoutData(new GridData(4, 16777216, true, 
/* 115 */           false));
/* 116 */     GridLayout gridLayout_1 = new GridLayout();
/* 117 */     gridLayout_1.marginWidth = 0;
/* 118 */     gridLayout_1.horizontalSpacing = 0;
/* 119 */     composite_2.setLayout((Layout)gridLayout_1);
/*     */     
/* 121 */     Label label_1 = new Label(composite_2, 0);
/* 122 */     label_1.setText("证书打印>>单个打印");
/* 123 */     label_1.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 125 */     Label label_2 = new Label(composite_2, 258);
/*     */     
/* 127 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 129 */     Label label_3 = new Label(composite_2, 64);
/* 130 */     label_3.setFont(SWTResourceManager.getFont("", 9, 1));
/* 131 */     label_3.setForeground(SWTResourceManager.getColor(219, 0, 0));
/* 132 */     label_3.setLayoutData(new GridData(16384, 4, true, true));
/* 133 */     label_3.setText("    注：您可以在“打印微调”时双击编辑某打印项，双击后还可以后用键盘的上、下、左、右键来精确调整打印项的位置,此外所有文字修改不保存至永久库，只用于此次证书打印显示");
/* 134 */     Label label = new Label(container, 258);
/* 135 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 136 */     Composite group = new Composite(container, 0);
/* 137 */     group.setLayout((Layout)new FillLayout());
/* 138 */     group.setLayoutData(new GridData(16777216, 4, true, 
/* 139 */           false));
/*     */     
/* 141 */     ToolBar toolBar = new ToolBar(group, 0);
/*     */     
/* 143 */     this.newItemToolItem = new ToolItem(toolBar, 8);
/* 144 */     this.newItemToolItem.setText("预览");
/* 145 */     this.newItemToolItem_1 = new ToolItem(toolBar, 8);
/* 146 */     this.newItemToolItem_1.setText("打印微调");
/* 147 */     this.newItemToolItem_2 = new ToolItem(toolBar, 8);
/* 148 */     this.newItemToolItem_2.setText("打印");
/* 149 */     this.newItemToolItem_4 = new ToolItem(toolBar, 4);
/* 150 */     this.newItemToolItem_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {}
/*     */         });
/*     */     
/* 155 */     this.newItemToolItem_4.setText("请选择字体大小");
/* 156 */     Menu menu = new Menu((Control)toolBar);
/* 157 */     addDropDown(this.newItemToolItem_4, menu);
/* 158 */     addMenuItem(menu, this.newItemToolItem_4);
/* 159 */     Composite composite = new Composite(container, 0);
/* 160 */     composite.setLayout((Layout)new FillLayout());
/* 161 */     composite.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 163 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 164 */         composite, 2816);
/* 165 */     scrolledComposite.setBackground(Display.getCurrent()
/* 166 */         .getSystemColor(15));
/* 167 */     this.comp = new Composite((Composite)scrolledComposite, 0);
/* 168 */     this.composite_1 = new Composite(this.comp, 0);
/* 169 */     this.composite_1.setEnabled(true);
/*     */     
/* 171 */     addEvent();
/*     */     
/* 173 */     PrintJob.setImageCanves(this.comp, this.composite_1, this.imagePath, this.list);
/*     */     
/* 175 */     PrintJob.addText(this.composite_1, this.list);
/* 176 */     scrolledComposite.setContent((Control)this.comp);
/*     */     
/* 178 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 188 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 196 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 200 */     super.configureShell(newShell);
/* 201 */     newShell.setText("打印预览");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addEvent() {
/* 208 */     MoveEvent event = new MoveEvent(this.comp, this.composite_1);
/* 209 */     this.newItemToolItem.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 211 */             if (SingleSetPrintDialog.this.flag) {
/* 212 */               SingleSetPrintDialog.this.changeList = SingleSetPrintDialog.this.viewPrint();
/* 213 */               if (!SingleSetPrintDialog.this.composite_1.isDisposed())
/* 214 */                 SingleSetPrintDialog.this.composite_1.dispose(); 
/* 215 */               SingleSetPrintDialog.this.composite_1 = new Composite(SingleSetPrintDialog.this.comp, 0);
/* 216 */               SingleSetPrintDialog.this.composite_1.setEnabled(true);
/* 217 */               PrintJob.setImageCanves(SingleSetPrintDialog.this.comp, SingleSetPrintDialog.this.composite_1, SingleSetPrintDialog.this.imagePath, 
/* 218 */                   SingleSetPrintDialog.this.changeList);
/*     */               
/* 220 */               PrintJob.addText(SingleSetPrintDialog.this.composite_1, SingleSetPrintDialog.this.changeList);
/* 221 */               SingleSetPrintDialog.this.flag = false;
/*     */             } 
/*     */           }
/*     */         });
/* 225 */     this.newItemToolItem_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 227 */             if (!SingleSetPrintDialog.this.flag) {
/* 228 */               if (!SingleSetPrintDialog.this.composite_1.isDisposed())
/* 229 */                 SingleSetPrintDialog.this.composite_1.dispose(); 
/* 230 */               SingleSetPrintDialog.this.composite_1 = new Composite(SingleSetPrintDialog.this.comp, 0);
/* 231 */               SingleSetPrintDialog.this.composite_1.setEnabled(true);
/* 232 */               PrintJob.setImageCanves(SingleSetPrintDialog.this.comp, SingleSetPrintDialog.this.composite_1, SingleSetPrintDialog.this.imagePath, SingleSetPrintDialog.this.changeList);
/*     */               
/* 234 */               SingleSetPrintDialog.addText(SingleSetPrintDialog.this.composite_1, SingleSetPrintDialog.this.changeList);
/* 235 */               SingleSetPrintDialog.this.flag = true;
/*     */             } 
/*     */           }
/*     */         });
/* 239 */     this.newItemToolItem_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 241 */             ArrayList printData = SingleSetPrintDialog.this.printData();
/* 242 */             ArrayList<ArrayList> list = new ArrayList();
/* 243 */             list.add(printData);
/* 244 */             PrintJob.multPrint(0, SingleSetPrintDialog.this.pageType, list, SingleSetPrintDialog.this.point, SingleSetPrintDialog.this.tempName);
/* 245 */             CertOperationPrint print = new CertOperationPrint();
/* 246 */             ArrayList<CertPrintModel> list2 = new ArrayList();
/* 247 */             list2.add(SingleSetPrintDialog.this.model);
/* 248 */             print.printRecord(list2, SingleSetPrintDialog.this.printType);
/* 249 */             if (SingleSetPrintDialog.this.isDelete) {
/* 250 */               boolean flag = SydjMessageDialog.openConfirm(null, "提示", 
/* 251 */                   "打印完成,是否要从列表中删除？");
/* 252 */               if (flag) {
/* 253 */                 SingleSetPrintDialog.this.returnValue = 0;
/* 254 */                 SingleSetPrintDialog.this.getShell().dispose();
/*     */               } 
/*     */             } else {
/* 257 */               SydjMessageDialog.openInformation(null, "提示", "打印完成");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 265 */     super.open();
/* 266 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void addText(Composite comp, ArrayList<PrintContentModel> list) {
/*     */     try {
/* 280 */       GC gc = new GC((Drawable)comp);
/* 281 */       for (int i = 0; i < list.size(); i++) {
/* 282 */         PrintContentModel model = list.get(i);
/*     */         
/* 284 */         if (!model.getId().equals("parent"))
/*     */         {
/* 286 */           if ("idcode".equals(model.getId())) {
/* 287 */             text[i - 1] = new Text(comp, 66);
/* 288 */             text[i - 1].setText(model.getContent());
/* 289 */             text[i - 1].setBounds(model.getX(), model.getY(), 
/* 290 */                 model.getWidth(), model.getHeight());
/* 291 */             text[i - 1].setMessage(model.getId());
/* 292 */             text[i - 1].setVisible(false);
/*     */           }
/* 294 */           else if ("sydwJglb".equals(model.getId()) && model.getContent().equals("")) {
/* 295 */             text[i - 1] = new Text(comp, 66);
/* 296 */             text[i - 1].setText(model.getContent());
/* 297 */             text[i - 1].setBounds(model.getX(), model.getY(), 
/* 298 */                 model.getWidth(), model.getHeight());
/* 299 */             text[i - 1].setMessage(model.getId());
/* 300 */             text[i - 1].setVisible(false);
/*     */           } else {
/*     */             
/* 303 */             Font font = PrintJob.calculateFontSize(gc, 
/* 304 */                 model.getContent(), model.getSize(), model.getWidth(), 
/* 305 */                 model.getHeight(), model.isChanged());
/*     */             
/* 307 */             text[i - 1] = new Text(comp, 66);
/* 308 */             MoveEvent event = new MoveEvent(comp, text[i - 1]);
/* 309 */             text[i - 1].setText(model.getContent());
/* 310 */             text[i - 1].setBounds(model.getX(), model.getY(), 
/* 311 */                 model.getWidth(), model.getHeight());
/* 312 */             text[i - 1].setBackground(
/* 313 */                 Display.getCurrent().getSystemColor(1));
/* 314 */             text[i - 1].setFont(font);
/* 315 */             text[i - 1].setMessage(model.getId());
/* 316 */             text[i - 1].setEnabled(false);
/* 317 */             text[i - 1].addTraverseListener(new TraverseListener() {
/*     */                   public void keyTraversed(TraverseEvent arg0) {
/* 319 */                     Text text = (Text)arg0.getSource();
/* 320 */                     if (arg0.keyCode == 16777217) {
/* 321 */                       text.setLocation((text.getBounds()).x, 
/* 322 */                           (text.getBounds()).y - 1);
/*     */                     }
/* 324 */                     if (arg0.keyCode == 16777219) {
/* 325 */                       text.setLocation((text.getBounds()).x - 1, 
/* 326 */                           (text.getBounds()).y);
/*     */                     }
/* 328 */                     if (arg0.keyCode == 16777220) {
/* 329 */                       text.setLocation((text.getBounds()).x + 1, 
/* 330 */                           (text.getBounds()).y);
/*     */                     }
/* 332 */                     if (arg0.keyCode == 16777218) {
/* 333 */                       text.setLocation((text.getBounds()).x, 
/* 334 */                           (text.getBounds()).y + 1);
/*     */                     }
/*     */                   }
/*     */                 });
/* 338 */             comp.addListener(3, event);
/* 339 */             comp.addListener(4, event);
/* 340 */             comp.addListener(5, event);
/* 341 */             comp.addListener(8, event);
/* 342 */             comp.addListener(1, event);
/*     */           }  } 
/*     */       } 
/* 345 */       gc.dispose();
/* 346 */     } catch (Exception e) {
/* 347 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */   
/*     */   private static void addDropDown(final ToolItem item, final Menu menu) {
/* 352 */     item.addListener(13, new Listener() {
/*     */           public void handleEvent(Event event) {
/* 354 */             if (event.detail == 4) {
/* 355 */               Rectangle rect = item.getBounds();
/* 356 */               Point pt = new Point(rect.x, rect.y + rect.height);
/* 357 */               pt = item.getParent().toDisplay(pt);
/* 358 */               menu.setLocation(pt.x, pt.y);
/* 359 */               menu.setVisible(true);
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addMenuItem(Menu menu, final ToolItem item) {
/* 369 */     for (int i = 1; i < this.fontSize; i++) {
/* 370 */       final MenuItem choice = new MenuItem(menu, 8);
/* 371 */       choice.setText(String.valueOf(i) + "号字");
/* 372 */       choice.addSelectionListener(new SelectionListener()
/*     */           {
/*     */             public void widgetSelected(SelectionEvent arg0)
/*     */             {
/* 376 */               item.setText(choice.getText());
/* 377 */               for (int i = 0; i < SingleSetPrintDialog.text.length; i++) {
/* 378 */                 if (SingleSetPrintDialog.text[i].getEnabled()) {
/* 379 */                   SingleSetPrintDialog.text[i].setFont(SWTResourceManager.getFont("楷体_GB2312", Integer.parseInt(choice.getText().substring(0, choice.getText().length() - 2)), 0));
/*     */                 }
/*     */               } 
/*     */             }
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             public void widgetDefaultSelected(SelectionEvent arg0) {}
/*     */           });
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList viewPrint() {
/* 395 */     ArrayList<PrintContentModel> list = new ArrayList();
/* 396 */     PrintContentModel model = new PrintContentModel();
/* 397 */     model.setContent("0");
/* 398 */     model.setId("parent");
/* 399 */     model.setSize(0);
/* 400 */     model.setX(0);
/* 401 */     model.setY(0);
/* 402 */     model.setWidth(0);
/* 403 */     model.setHeight(0);
/* 404 */     list.add(model);
/* 405 */     GC gc = new GC((Drawable)this.comp);
/* 406 */     for (int i = 0; i < text.length; i++) {
/* 407 */       PrintContentModel orien = this.changeList
/* 408 */         .get(i + 1);
/* 409 */       PrintContentModel mods = new PrintContentModel();
/* 410 */       mods.setId(orien.getId());
/*     */ 
/*     */       
/* 413 */       if ("idcode".equals(mods.getId())) {
/* 414 */         mods.setX((text[i].getBounds()).x);
/* 415 */         mods.setY((text[i].getBounds()).y);
/* 416 */         mods.setWidth((text[i].getBounds()).width);
/* 417 */         mods.setHeight((text[i].getBounds()).height);
/* 418 */         mods.setContent(text[i].getText());
/* 419 */         list.add(mods);
/*     */       }
/* 421 */       else if ("sydwJglb".equals(model.getId()) && model.getContent().equals("")) {
/* 422 */         text[i - 1] = new Text(this.comp, 66);
/* 423 */         text[i - 1].setText(model.getContent());
/* 424 */         text[i - 1].setBounds(model.getX(), model.getY(), 
/* 425 */             model.getWidth(), model.getHeight());
/* 426 */         text[i - 1].setMessage(model.getId());
/* 427 */         text[i - 1].setVisible(false);
/*     */       }
/*     */       else {
/*     */         
/* 431 */         Font font = null;
/* 432 */         font = PrintJob.calculateFontSize(gc, orien.getContent(), 
/* 433 */             orien.getSize(), orien.getWidth(), orien.getHeight(), true);
/* 434 */         if (font.getFontData()[0].getHeight() != 
/* 435 */           text[i].getFont().getFontData()[0].getHeight()) {
/* 436 */           mods.setChanged(false);
/*     */         }
/* 438 */         mods.setSize(text[i].getFont().getFontData()[0].getHeight());
/* 439 */         mods.setX((text[i].getBounds()).x);
/* 440 */         mods.setY((text[i].getBounds()).y);
/* 441 */         mods.setWidth((text[i].getBounds()).width);
/* 442 */         mods.setHeight((text[i].getBounds()).height);
/* 443 */         mods.setContent(text[i].getText());
/* 444 */         list.add(mods);
/*     */       } 
/* 446 */     }  gc.dispose();
/* 447 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList printData() {
/* 454 */     ArrayList<PrintContentModel> printList = new ArrayList();
/* 455 */     PrintContentModel model = new PrintContentModel();
/* 456 */     model.setContent("0");
/* 457 */     model.setId("parent");
/* 458 */     model.setSize(0);
/* 459 */     model.setX(this.point.x);
/* 460 */     model.setY(this.point.y);
/* 461 */     model.setWidth(0);
/* 462 */     model.setHeight(0);
/* 463 */     printList.add(model);
/* 464 */     for (int i = 1; i < this.changeList.size(); i++) {
/* 465 */       printList.add(this.changeList.get(i));
/*     */     }
/* 467 */     return printList;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\SingleSetPrintDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */