/*     */ package cs.sydj.operation.cert.print.actions;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.cert.print.PrintJob;
/*     */ import cs.sydj.operation.cert.print.SetPrintDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertRePrintAction
/*     */ {
/*     */   private TableViewer tv;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Combo combo;
/*     */   private boolean isAccelate = false;
/*     */   public static int direction;
/*  34 */   private String printType = "11";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertRePrintAction(TableViewer tv, CheckboxTableViewer ctv, Combo combo, boolean isAccelate, int direction, String printType) {
/*  41 */     this.tv = tv;
/*  42 */     this.ctv = ctv;
/*  43 */     this.combo = combo;
/*  44 */     this.isAccelate = isAccelate;
/*  45 */     CertRePrintAction.direction = direction;
/*  46 */     this.printType = printType;
/*     */   }
/*     */   
/*     */   public void setPrint() {
/*     */     try {
/*  51 */       ArrayList list = null;
/*  52 */       String text = this.combo.getText();
/*  53 */       String value = (String)this.combo.getData(text);
/*  54 */       String imagPath = "certtemplate/certpic/hanyufuben.png";
/*  55 */       int pageStyle = 4;
/*  56 */       if ("0".equals(value)) {
/*  57 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/*  60 */       if ("hanyuzhengben".equals(value)) {
/*  61 */         imagPath = "certtemplate/certpic/hanyuzhengben.png";
/*  62 */         pageStyle = 3;
/*     */       } 
/*  64 */       if ("hanyufuben".equals(value)) {
/*  65 */         imagPath = "certtemplate/certpic/hanyufuben.png";
/*  66 */         pageStyle = 4;
/*     */       } 
/*  68 */       if ("zangyuzhengben".equals(value)) {
/*  69 */         imagPath = "certtemplate/certpic/zangyuzhengben.png";
/*  70 */         pageStyle = 3;
/*     */       } 
/*  72 */       if ("zangyufuben".equals(value)) {
/*  73 */         imagPath = "certtemplate/certpic/zangyufuben.png";
/*  74 */         pageStyle = 4;
/*     */       } 
/*  76 */       if ("mengyuzhengben".equals(value)) {
/*  77 */         imagPath = "certtemplate/certpic/mengyuzhengben.png";
/*  78 */         pageStyle = 3;
/*     */       } 
/*  80 */       if ("mengyufuben".equals(value)) {
/*  81 */         imagPath = "certtemplate/certpic/mengyufuben.png";
/*  82 */         pageStyle = 4;
/*     */       } 
/*  84 */       if ("weiyuzhengben".equals(value)) {
/*  85 */         imagPath = "certtemplate/certpic/weiyuzhengben.png";
/*  86 */         pageStyle = 3;
/*     */       } 
/*  88 */       if ("weiyufuben".equals(value)) {
/*  89 */         imagPath = "certtemplate/certpic/weiyufuben.png";
/*  90 */         pageStyle = 4;
/*     */       } 
/*     */       
/*  93 */       list = PrintJob.getTemplateInfo(value);
/*  94 */       if (list == null) {
/*  95 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/*  98 */       if (list.size() == 0) {
/*  99 */         SydjMessageDialog.openInformation(null, "提示", "模板文件不存在");
/*     */         return;
/*     */       } 
/* 102 */       SetPrintDialog dialog = new SetPrintDialog(
/* 103 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 104 */           list, imagPath, direction, pageStyle, value, text);
/* 105 */       dialog.open();
/* 106 */     } catch (Exception e) {
/* 107 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public void print() {
/* 113 */     int nTag = 0;
/*     */     
/* 115 */     int nCount = 0;
/*     */     try {
/* 117 */       String data = this.combo.getText();
/* 118 */       String value = (String)this.combo.getData(data);
/* 119 */       if ("0".equals(value)) {
/* 120 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 123 */       if (this.ctv != null) {
/* 124 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 125 */         if (chkObj.length == 0) {
/* 126 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录"); return;
/*     */         } 
/* 128 */         if (chkObj.length > 100) {
/* 129 */           SydjMessageDialog.openInformation(null, "提示", 
/* 130 */               "批量打印时每批不能超过100条！");
/*     */           
/*     */           return;
/*     */         } 
/* 134 */         ArrayList<PrintContentModel> list = PrintJob.getTemplateInfo(value);
/*     */         
/* 136 */         int pageSize = 4;
/* 137 */         if (list != null) {
/* 138 */           String[] str = PrintJob.getImageAndSize(value).split("&");
/* 139 */           pageSize = Integer.valueOf(str[1]).intValue();
/*     */           
/* 141 */           PrintContentModel model2 = list.get(0);
/* 142 */           Point point = new Point(model2.getX(), model2.getY());
/* 143 */           model2.setX(0);
/* 144 */           model2.setY(0);
/*     */           
/* 146 */           CertOperationPrint print = new CertOperationPrint();
/* 147 */           ArrayList<CertPrintModel> dataList = new ArrayList();
/* 148 */           for (int i = 0; i < chkObj.length; i++) {
/* 149 */             CertPrintModel model = (CertPrintModel)chkObj[i];
/* 150 */             dataList.add(model);
/*     */           } 
/* 152 */           dataList = print.printViewAndDown(dataList, this.printType);
/* 153 */           if (dataList != null) {
/* 154 */             ArrayList<ArrayList<PrintContentModel>> multList = new ArrayList();
/* 155 */             for (int j = 0; j < dataList.size(); j++) {
/* 156 */               ArrayList<PrintContentModel> lists = new ArrayList();
/* 157 */               lists.add(model2);
/* 158 */               PringItemModel item = (PringItemModel)dataList
/* 159 */                 .get(j);
/* 160 */               for (int k = 1; k < list.size(); k++) {
/* 161 */                 PrintContentModel mod = new PrintContentModel();
/* 162 */                 PrintContentModel md = list.get(k);
/* 163 */                 mod.setChanged(md.isChanged());
/* 164 */                 mod.setContent(md.getContent());
/* 165 */                 mod.setFont(md.getFont());
/* 166 */                 mod.setFontStyle(md.getFontStyle());
/* 167 */                 mod.setHeight(md.getHeight());
/* 168 */                 mod.setId(md.getId());
/* 169 */                 mod.setSize(md.getSize());
/* 170 */                 mod.setToopTrip(md.getToopTrip());
/* 171 */                 mod.setWidth(md.getWidth());
/* 172 */                 mod.setX(md.getX());
/* 173 */                 mod.setY(md.getY());
/* 174 */                 if (mod.getId().equals("id"))
/* 175 */                   mod.setContent(item.getUnifyCode()); 
/* 176 */                 if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 177 */                   nTag = -1;
/*     */                 }
/* 179 */                 if (mod.getId().equals("deadLine"))
/* 180 */                   mod.setContent(item.getDeadLine()); 
/* 181 */                 if (mod.getId().equals("name"))
/* 182 */                   mod.setContent(item.getUnitName()); 
/* 183 */                 if (mod.getId().equals("service"))
/* 184 */                   mod.setContent(item.getService()); 
/* 185 */                 if (mod.getId().equals("address"))
/* 186 */                   mod.setContent(item.getAddress()); 
/* 187 */                 if (mod.getId().equals("delegate"))
/* 188 */                   mod.setContent(item.getDelegate()); 
/* 189 */                 if (mod.getId().equals("finance"))
/* 190 */                   mod.setContent(item.getFinance()); 
/* 191 */                 if (mod.getId().equals("openMoney"))
/* 192 */                   mod.setContent(item.getOpenMoney()); 
/* 193 */                 if (mod.getId().equals("openUint"))
/* 194 */                   mod.setContent(item.getHoldUnit()); 
/* 195 */                 if (mod.getId().equals("annualMark"))
/* 196 */                   mod.setContent(PublicUtil.getAnnualCheckMark()); 
/* 197 */                 if (mod.getId().equals("idcode")) {
/* 198 */                   mod.setContent(item.getIdcode());
/* 199 */                   if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 200 */                     nTag = -1;
/*     */                   }
/*     */                 } 
/* 203 */                 if (mod.getId().equals("sydwJglb")) {
/* 204 */                   if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 205 */                     if (item.getSydwJglb().equals("其他类")) {
/* 206 */                       mod.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                     } else {
/* 208 */                       mod.setContent("机构类别 " + item.getSydwJglb());
/*     */                     } 
/*     */                   } else {
/* 211 */                     mod.setContent("");
/*     */                   } 
/*     */                 }
/* 214 */                 lists.add(mod);
/*     */               } 
/* 216 */               if (nTag == 0) {
/* 217 */                 multList.add(lists);
/* 218 */               } else if (nTag == -1) {
/* 219 */                 nCount++;
/* 220 */                 nTag = 0;
/*     */               } 
/*     */             } 
/* 223 */             if (multList.size() > 0) {
/* 224 */               PrintJob.multPrint(direction, pageSize, 
/* 225 */                   multList, point, value);
/*     */             }
/* 227 */             if (nCount == dataList.size()) {
/* 228 */               SydjMessageDialog.openInformation(null, "提示", "所选单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 233 */             if (nCount > 0 && nCount < dataList.size()) {
/* 234 */               SydjMessageDialog.openInformation(null, "提示", "所选单位中有[" + nCount + "]个单位信息缺失，暂不能打印。\n" + 
/* 235 */                   "请先到数据整理中查看组织机构代码是否为空；\n" + 
/* 236 */                   "如为空请按照实际情况填写组织机构代码并保存；\n" + 
/* 237 */                   "填写后如仍不能打印，请联系系统维护人员！");
/*     */             }
/*     */             
/* 240 */             SydjMessageDialog.openConfirm(null, "提示", "打印成功");
/*     */           }
/*     */         
/*     */         }
/*     */       
/*     */       } 
/* 246 */     } catch (Exception e) {
/* 247 */       e.printStackTrace();
/* 248 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\actions\CertRePrintAction.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */