/*     */ package cs.sydj.operation.credit.check;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.LoadDOC.OperatorDOC;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*     */ import cs.sydj.operation.credit.common.CheckOperation;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.modify.DataModifyInfoListsDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import jxl.Workbook;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.credit.check.CreditCheckSydw;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditCheckDialogSydw
/*     */   extends Dialog
/*     */ {
/*  85 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  95 */   DataAdjustOperation oper = new DataAdjustOperation();
/*  96 */   private ArrayList list = new ArrayList();
/*  97 */   CheckOperation checkManage = new CheckOperation();
/*     */   
/*  99 */   int totalRows = 0;
/* 100 */   int maxCount = 15;
/* 101 */   int startNo = 1;
/* 102 */   int currentPage = 1;
/* 103 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 107 */   private String sydwnameStr = "";
/*     */   private String creditId;
/* 109 */   private TableCursor cursor = null;
/* 110 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 116 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 120 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 124 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 128 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 132 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 136 */     this.currentPage = currentPage;
/*     */   }
/*     */   
/*     */   protected CreditCheckDialogSydw(Shell shell2, String creditId) {
/* 140 */     super(shell2);
/* 141 */     setShellStyle(66560);
/* 142 */     this.creditId = creditId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 152 */     Composite container = new Composite(parent, 0);
/* 153 */     container.setBackground(Display.getCurrent()
/* 154 */         .getSystemColor(1));
/* 155 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 157 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 158 */         container, 2816);
/* 159 */     scrolledComposite.setBackground(Display.getCurrent()
/* 160 */         .getSystemColor(1));
/* 161 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 162 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 163 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 165 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 166 */     this.composite_total.setBackground(Display.getCurrent()
/* 167 */         .getSystemColor(1));
/* 168 */     this.composite_total.setLayout((Layout)new FormLayout());
/*     */     
/* 170 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/*     */     
/* 172 */     this.table = this.tableViewer.getTable();
/* 173 */     FormData fd_table = new FormData();
/*     */     
/* 175 */     fd_table.bottom = new FormAttachment(0, 429);
/* 176 */     fd_table.right = new FormAttachment(100, -35);
/* 177 */     fd_table.top = new FormAttachment(0, 65);
/* 178 */     fd_table.left = new FormAttachment(0, 35);
/* 179 */     this.table.setLayoutData(fd_table);
/* 180 */     this.table.setLinesVisible(true);
/* 181 */     this.table.setHeaderVisible(true);
/* 182 */     PublicUtil.setTableHeight(this.table);
/* 183 */     PublicUtil.setMouseHands(this.table, "1#8#9#10");
/*     */     
/* 185 */     this.tableLayout = new TableLayout();
/* 186 */     this.table.setLayout((Layout)this.tableLayout);
/* 187 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(26));
/* 188 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 189 */         16777216);
/* 190 */     newColumnTableColumn.setAlignment(16777216);
/* 191 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 193 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(36));
/* 194 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 195 */         16777216);
/* 196 */     newColumnTableColumn_1.setText("单位名称");
/*     */     
/* 198 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(26));
/* 199 */     TableColumn newColumnTableColumn_11 = new TableColumn(this.table, 
/* 200 */         16777216);
/* 201 */     newColumnTableColumn_11.setText("举办单位");
/*     */     
/* 203 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(38));
/* 204 */     TableColumn newColumnTableColumn_112 = new TableColumn(this.table, 
/* 205 */         16777216);
/* 206 */     newColumnTableColumn_112.setText("地址");
/*     */     
/* 208 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(18));
/* 209 */     TableColumn newColumnTableColumn_113 = new TableColumn(this.table, 
/* 210 */         16777216);
/* 211 */     newColumnTableColumn_113.setText("法定代表人");
/*     */     
/* 213 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(18));
/* 214 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 215 */         16777216);
/* 216 */     newColumnTableColumn_6.setText("邮编");
/*     */     
/* 218 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(38));
/* 219 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 220 */         16777216);
/* 221 */     newColumnTableColumn_2.setText("执法人员");
/*     */     
/* 223 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(18));
/* 224 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 225 */         16777216);
/* 226 */     newColumnTableColumn_5.setText("抽取时间");
/*     */     
/* 228 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(19));
/* 229 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 
/* 230 */         16777216);
/* 231 */     newColumnTableColumn_7.setText("");
/*     */     
/* 233 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(19));
/* 234 */     TableColumn newColumnTableColumn_71 = new TableColumn(this.table, 
/* 235 */         16777216);
/* 236 */     newColumnTableColumn_71.setText("");
/*     */     
/* 238 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(19));
/* 239 */     TableColumn newColumnTableColumn_76 = new TableColumn(this.table, 
/* 240 */         16777216);
/* 241 */     newColumnTableColumn_76.setText("");
/*     */     
/* 243 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 244 */     composite_3.setBackground(Display.getCurrent()
/* 245 */         .getSystemColor(1));
/* 246 */     FormData fd_composite_3 = new FormData();
/* 247 */     fd_composite_3.left = new FormAttachment(0, 35);
/* 248 */     fd_composite_3.right = new FormAttachment(100, -35);
/*     */     
/* 250 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 251 */     fd_composite_3.top = new FormAttachment(0, 468);
/* 252 */     composite_3.setLayoutData(fd_composite_3);
/* 253 */     GridLayout gridLayout_3 = new GridLayout();
/* 254 */     gridLayout_3.numColumns = 5;
/* 255 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 259 */     Label label_8 = new Label(composite_3, 0);
/* 260 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 261 */     label_8.setBackground(Display.getCurrent()
/* 262 */         .getSystemColor(1));
/* 263 */     label_8.setText("");
/*     */     
/* 265 */     Button btnexcel = new Button(composite_3, 0);
/* 266 */     btnexcel.setLayoutData(new GridData(4, 16777216, false, false, 1, 1));
/* 267 */     btnexcel.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 270 */             ArrayList list = CreditCheckDialogSydw.this.checkManage.getCheckSydwInfoCheckReport(
/* 271 */                 GljgUserInfo.getInstance().getGroupid(), 
/* 272 */                 GljgUserInfo.getInstance().getDistrictcode(), CreditCheckDialogSydw.this.sydwnameStr, CreditCheckDialogSydw.this.creditId);
/* 273 */             CreditCheckDialogSydw.this.saveExcel(list);
/*     */           }
/*     */         });
/* 276 */     btnexcel.setText("另存为excel");
/*     */     
/* 278 */     Button btnCheckReport = new Button(composite_3, 0);
/* 279 */     btnCheckReport.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 282 */             CreditCheckDialogSydw.this.downLoadCheckReport();
/*     */           }
/*     */         });
/* 285 */     btnCheckReport.setText("下载抽查通知书");
/*     */ 
/*     */ 
/*     */     
/* 289 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 290 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditCheckLableProvider());
/*     */ 
/*     */     
/* 293 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 294 */     GridLayout gridLayout_4 = new GridLayout();
/* 295 */     gridLayout_4.numColumns = 2;
/* 296 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 297 */     composite_fenye.setBackground(Display.getCurrent()
/* 298 */         .getSystemColor(1));
/* 299 */     FormData fd_composite_fenye = new FormData();
/* 300 */     fd_composite_fenye.bottom = new FormAttachment(100, -21);
/* 301 */     fd_composite_fenye.top = new FormAttachment((Control)this.table);
/* 302 */     fd_composite_fenye.left = new FormAttachment(0, 35);
/* 303 */     fd_composite_fenye.right = new FormAttachment(100, -35);
/* 304 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 306 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 307 */     composite_1
/* 308 */       .setLayoutData(new GridData(16384, 128, false, false));
/* 309 */     composite_1.setBackground(Display.getCurrent()
/* 310 */         .getSystemColor(1));
/* 311 */     GridLayout gridLayout_2 = new GridLayout();
/* 312 */     gridLayout_2.marginTop = 3;
/* 313 */     gridLayout_2.verticalSpacing = 0;
/* 314 */     gridLayout_2.marginWidth = 0;
/* 315 */     gridLayout_2.marginHeight = 0;
/* 316 */     gridLayout_2.horizontalSpacing = 2;
/* 317 */     gridLayout_2.numColumns = 7;
/* 318 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 320 */     Label label_1 = new Label(composite_1, 0);
/* 321 */     label_1.setBackground(Display.getCurrent()
/* 322 */         .getSystemColor(1));
/* 323 */     label_1.setText("页次：");
/*     */     
/* 325 */     this.label_2 = new Label(composite_1, 131072);
/* 326 */     this.label_2.setBackground(Display.getCurrent()
/* 327 */         .getSystemColor(1));
/* 328 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 329 */     if (this.totalPages == 0) {
/* 330 */       this.label_2.setText("0/0");
/*     */     } else {
/* 332 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 335 */     Label label_3 = new Label(composite_1, 0);
/* 336 */     label_3.setBackground(Display.getCurrent()
/* 337 */         .getSystemColor(1));
/* 338 */     label_3.setText("页  每页");
/*     */     
/* 340 */     Label label_4 = new Label(composite_1, 0);
/* 341 */     label_4.setBackground(Display.getCurrent()
/* 342 */         .getSystemColor(1));
/* 343 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 344 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 346 */     Label label_5 = new Label(composite_1, 0);
/* 347 */     label_5.setBackground(Display.getCurrent()
/* 348 */         .getSystemColor(1));
/* 349 */     label_5.setText("行  共");
/*     */     
/* 351 */     this.label_6 = new Label(composite_1, 0);
/* 352 */     this.label_6.setBackground(Display.getCurrent()
/* 353 */         .getSystemColor(1));
/* 354 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 355 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 357 */     Label label_7 = new Label(composite_1, 0);
/* 358 */     label_7.setBackground(Display.getCurrent()
/* 359 */         .getSystemColor(1));
/* 360 */     label_7.setText("行");
/*     */ 
/*     */     
/* 363 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 364 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, 
/* 365 */           false));
/* 366 */     GridLayout gridLayout_1 = new GridLayout();
/* 367 */     gridLayout_1.numColumns = 6;
/* 368 */     composite_2.setLayout((Layout)gridLayout_1);
/* 369 */     composite_2.setBackground(Display.getCurrent()
/* 370 */         .getSystemColor(1));
/*     */     
/* 372 */     this.button_1 = new Button(composite_2, 0);
/* 373 */     this.button_1.setText("上一页");
/* 374 */     if (!this.hasPreviousPage) {
/* 375 */       this.button_1.setEnabled(false);
/*     */     }
/* 377 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 379 */             CreditCheckDialogSydw.this.list = CreditCheckDialogSydw.this.checkManage
/*     */ 
/*     */               
/* 382 */               .getCheckSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (CreditCheckDialogSydw.this.currentPage - 2) * CreditCheckDialogSydw.this.maxCount + 1, CreditCheckDialogSydw.this.maxCount, CreditCheckDialogSydw.this.sydwnameStr, CreditCheckDialogSydw.this.creditId);
/* 383 */             CreditCheckDialogSydw.this.setFenYe(CreditCheckDialogSydw.this.list, CreditCheckDialogSydw.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 387 */     this.button_2 = new Button(composite_2, 0);
/* 388 */     this.button_2.setText("下一页");
/* 389 */     if (!this.hasNextPage) {
/* 390 */       this.button_2.setEnabled(false);
/*     */     }
/* 392 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 394 */             CreditCheckDialogSydw.this.list = CreditCheckDialogSydw.this.checkManage
/*     */ 
/*     */               
/* 397 */               .getCheckSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), CreditCheckDialogSydw.this.currentPage * CreditCheckDialogSydw.this.maxCount + 1, CreditCheckDialogSydw.this.maxCount, CreditCheckDialogSydw.this.sydwnameStr, CreditCheckDialogSydw.this.creditId);
/* 398 */             CreditCheckDialogSydw.this.setFenYe(CreditCheckDialogSydw.this.list, CreditCheckDialogSydw.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 402 */     Label label_10 = new Label(composite_2, 0);
/* 403 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 404 */     label_10.setText("转至第");
/*     */     
/* 406 */     this.text_2 = new Text(composite_2, 2048);
/* 407 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 409 */     Label label_11 = new Label(composite_2, 0);
/* 410 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 411 */     label_11.setText("页");
/*     */     
/* 413 */     Button goButton = new Button(composite_2, 0);
/* 414 */     goButton.setText("GO");
/*     */     
/* 416 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 418 */             if (VerifyFunction.isNumeric(CreditCheckDialogSydw.this.text_2.getText())) {
/* 419 */               int aa = Integer.parseInt(CreditCheckDialogSydw.this.text_2.getText());
/* 420 */               if (aa > CreditCheckDialogSydw.this.totalPages) {
/* 421 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 423 */                 CreditCheckDialogSydw.this.list = 
/* 424 */                   CreditCheckDialogSydw.this.checkManage
/*     */ 
/*     */ 
/*     */                   
/* 428 */                   .getCheckSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (aa - 1) * CreditCheckDialogSydw.this.maxCount + 1, CreditCheckDialogSydw.this.maxCount, CreditCheckDialogSydw.this.sydwnameStr, CreditCheckDialogSydw.this.creditId);
/* 429 */                 CreditCheckDialogSydw.this.setFenYe(CreditCheckDialogSydw.this.list, aa);
/* 430 */                 CreditCheckDialogSydw.this.setFontColor();
/* 431 */                 CreditCheckDialogSydw.this.setCursor();
/*     */               } 
/*     */             } else {
/* 434 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 440 */     Label label_9 = new Label(this.composite_total, 0);
/* 441 */     FormData fd_label_9 = new FormData();
/* 442 */     fd_label_9.left = new FormAttachment(0, 35);
/* 443 */     fd_label_9.right = new FormAttachment(100, -35);
/* 444 */     fd_label_9.top = new FormAttachment(0, 85);
/* 445 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 447 */     this.label_12 = new Label(this.composite_total, 0);
/* 448 */     this.label_12.setBackground(Display.getCurrent()
/* 449 */         .getSystemColor(1));
/* 450 */     FormData fd_label_12 = new FormData();
/* 451 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 452 */     fd_label_12.top = new FormAttachment(0, 50);
/* 453 */     fd_label_12.right = new FormAttachment(0, 240);
/* 454 */     this.label_12.setLayoutData(fd_label_12);
/* 455 */     this.label_12.setText("抽取列表");
/*     */     
/* 457 */     scrolledComposite.setContent((Control)this.composite_total);
/* 458 */     createActions();
/*     */ 
/*     */     
/* 461 */     initTypeView();
/*     */     
/* 463 */     this.list = this.checkManage
/*     */       
/* 465 */       .getCheckSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr, this.creditId);
/* 466 */     this.tableViewer.setInput(this.list);
/* 467 */     if (this.list != null && this.list.size() > 0) {
/* 468 */       this.totalRows = ((CreditCheckSydw)this.list.get(0)).getTotalRows();
/* 469 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 470 */       this.totalPages = pu.getTotalPages();
/* 471 */       this.currentPage = pu.getCurrentPage();
/* 472 */       this.hasNextPage = pu.isHasNextPage();
/* 473 */       this.hasPreviousPage = pu.isHasPreviousPage();
/* 474 */       setFenYe(this.list, this.currentPage);
/* 475 */       setFontColor();
/* 476 */       setCursor();
/*     */     } 
/* 478 */     this.composite_total.setSize(1400, 500);
/* 479 */     return (Control)this.composite_total;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView(TableItem tableItem, int colums) {
/* 486 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 487 */       .getSelection();
/* 488 */     CreditCheckSydw info = (CreditCheckSydw)select.getFirstElement();
/* 489 */     CreditInputSydwDetailDialog dialog = new CreditInputSydwDetailDialog(
/* 490 */         this.composite_total.getShell(), info, "old");
/* 491 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openEdit(TableItem tableItem, int colums) {
/* 498 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 499 */       .getSelection();
/* 500 */     CreditCheckSydw info = (CreditCheckSydw)select.getFirstElement();
/* 501 */     CreditInputSydwDetailDialog dialog = new CreditInputSydwDetailDialog(
/* 502 */         this.composite_total.getShell(), info, "edit");
/* 503 */     if (dialog.open() == 0) {
/*     */       
/* 505 */       String Flag = this.checkManage.udpateCreditCheckSydw(info, "old", GljgUserInfo.getInstance());
/* 506 */       if (Flag != null) {
/* 507 */         if ("true".equals(Flag)) {
/* 508 */           SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/* 509 */           redraw();
/*     */         } else {
/* 511 */           SydjMessageDialog.openInformation(null, "提示", "修改失败！");
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 523 */     this.list = this.checkManage
/*     */       
/* 525 */       .getCheckSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr, this.creditId);
/* 526 */     this.tableViewer.setInput(this.list);
/* 527 */     setFontColor();
/* 528 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 535 */     if (this.cursor != null)
/* 536 */       this.cursor.dispose(); 
/* 537 */     this.cursor = new TableCursor(this.table, 0);
/* 538 */     this.cursor.setBackground(this.table.getDisplay()
/* 539 */         .getSystemColor(26));
/* 540 */     this.cursor.setForeground(this.table.getDisplay()
/* 541 */         .getSystemColor(27));
/* 542 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 544 */             int colums = CreditCheckDialogSydw.this.cursor.getColumn();
/* 545 */             if (colums == 1) {
/* 546 */               CreditCheckDialogSydw.this.view();
/* 547 */             } else if (colums == 8) {
/* 548 */               CreditCheckDialogSydw.this.openView(CreditCheckDialogSydw.this.cursor.getRow(), colums);
/* 549 */             } else if (colums == 9) {
/* 550 */               CreditCheckDialogSydw.this.openEdit(CreditCheckDialogSydw.this.cursor.getRow(), colums);
/* 551 */             } else if (colums == 10) {
/* 552 */               CreditCheckDialogSydw.this.viewCreditCheckAttach();
/*     */             } 
/* 554 */             CreditCheckDialogSydw.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */     
/* 558 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 561 */             int colums = CreditCheckDialogSydw.this.cursor.getColumn();
/* 562 */             if (colums == CreditCheckDialogSydw.this.selectColums) {
/* 563 */               if (colums == 1) {
/* 564 */                 CreditCheckDialogSydw.this.view();
/* 565 */               } else if (colums == 8) {
/* 566 */                 CreditCheckDialogSydw.this.openView(CreditCheckDialogSydw.this.cursor.getRow(), colums);
/* 567 */               } else if (colums == 9) {
/* 568 */                 CreditCheckDialogSydw.this.openEdit(CreditCheckDialogSydw.this.cursor.getRow(), colums);
/* 569 */               } else if (colums == 10) {
/* 570 */                 CreditCheckDialogSydw.this.viewCreditCheckAttach();
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 581 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 582 */       this.table.getItem(i)
/* 583 */         .setFont(
/* 584 */           1, 
/* 585 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 586 */             false, false));
/* 587 */       this.table.getItem(i).setForeground(1, 
/* 588 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 590 */       this.table.getItem(i)
/* 591 */         .setFont(
/* 592 */           8, 
/* 593 */           SWTResourceManager.getFont("宋体", 8, 0, 
/* 594 */             false, false));
/* 595 */       this.table.getItem(i).setForeground(8, 
/* 596 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 598 */       this.table.getItem(i)
/* 599 */         .setFont(
/* 600 */           9, 
/* 601 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 602 */             false, false));
/* 603 */       this.table.getItem(i).setForeground(9, 
/* 604 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 606 */       this.table.getItem(i)
/* 607 */         .setFont(
/* 608 */           10, 
/* 609 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 610 */             false, false));
/* 611 */       this.table.getItem(i).setForeground(10, 
/* 612 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CreditCheckSydw> list, int nextcurrentPage) {
/* 617 */     this.totalRows = 0;
/* 618 */     if (list != null && list.size() > 0) {
/* 619 */       this.totalRows = ((CreditCheckSydw)list.get(0)).getTotalRows();
/*     */     }
/* 621 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 622 */     this.totalPages = pu.getTotalPages();
/* 623 */     this.currentPage = pu.getCurrentPage();
/* 624 */     this.hasNextPage = pu.isHasNextPage();
/* 625 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 626 */     this.startNo = pu.getStartNum();
/*     */     
/* 628 */     this.tableViewer.setInput(list);
/* 629 */     setFontColor();
/* 630 */     setCursor();
/* 631 */     if (this.totalPages == 0) {
/* 632 */       this.label_2.setText("0/0");
/*     */     } else {
/* 634 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 636 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 637 */     this.label_6.getParent().getParent().layout();
/* 638 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 639 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 660 */     super.initializeBounds();
/*     */     
/* 662 */     Shell newShell = getShell();
/* 663 */     PublicUtil.setCenter(newShell);
/* 664 */     newShell.setText("抽查事业单位列表");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void downLoadCheckReport() {
/* 671 */     ArrayList<CreditCheckSydw> modelList = this.checkManage.getCheckSydwInfoCheckReport(
/* 672 */         GljgUserInfo.getInstance().getGroupid(), 
/* 673 */         GljgUserInfo.getInstance().getDistrictcode(), this.sydwnameStr, this.creditId);
/* 674 */     ReplaceMap rmap = new ReplaceMap();
/* 675 */     String template = "Template/doc/sydw_credit_check_report.doc";
/* 676 */     String name = "";
/* 677 */     String checkStyle = "";
/* 678 */     String savePath = "";
/* 679 */     SaveDialog sd = new SaveDialog(this.composite_total.getShell());
/* 680 */     List<String> arrSydw = new ArrayList<String>();
/* 681 */     List<String> cs = new ArrayList<String>();
/* 682 */     for (int i = 0; i < modelList.size(); i++) {
/* 683 */       CreditCheckSydw model = modelList.get(i);
/* 684 */       name = model.getSydwNameFirst();
/* 685 */       if (!PublicUtil.isNull(model.getCheckStyle())) {
/* 686 */         if (model.getCheckStyle().equals("0")) {
/* 687 */           checkStyle = "书面审查";
/* 688 */         } else if (model.getCheckStyle().equals("1")) {
/* 689 */           checkStyle = "实地核查";
/*     */         } 
/*     */       }
/* 692 */       if (i == 0) {
/* 693 */         sd.setFileName("抽查通知书");
/* 694 */         sd.setFilterExtensions(new String[] { "*.doc" });
/* 695 */         savePath = sd.open();
/*     */       } else {
/*     */         
/* 698 */         String path = savePath.substring(0, savePath.lastIndexOf(File.separatorChar) + 1);
/* 699 */         savePath = String.valueOf(path) + File.separator + sd.getFileName() + ".doc";
/*     */       } 
/* 701 */       arrSydw.add(name);
/* 702 */       cs.add(checkStyle);
/*     */     } 
/* 704 */     if (savePath != null && savePath.length() > 0) {
/* 705 */       OperatorDOC operatordoc = new OperatorDOC(template, savePath, rmap.getSydwList(arrSydw, cs));
/* 706 */       String flag = operatordoc.saveFile2();
/* 707 */       if (flag.equals("true")) {
/* 708 */         SydjMessageDialog.openInformation(null, "提示", "抽查通知书下载成功！");
/*     */       } else {
/* 710 */         SydjMessageDialog.openInformation(null, "提示", "抽查通知书下载失败！");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void saveExcel(ArrayList list) {
/* 722 */     String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + 
/* 723 */       "公示信息抽查列表.xls";
/* 724 */     OpenAndSaveDialog dialog = new OpenAndSaveDialog(
/* 725 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 726 */         "公示信息抽查列表", "Excel文件(.xls)");
/* 727 */     int returnValue = dialog.open();
/*     */     
/* 729 */     if (returnValue == 0) {
/*     */       
/*     */       try {
/* 732 */         boolean flag = writeExcel(list, fileName);
/* 733 */         if (flag) {
/* 734 */           Program.launch(fileName);
/*     */         } else {
/* 736 */           SydjMessageDialog.openInformation(null, "提示", 
/* 737 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 739 */       } catch (Exception e) {
/* 740 */         e.printStackTrace();
/* 741 */         SydjMessageDialog.openInformation(null, "提示", 
/* 742 */             "生成Excel文件错误，下载失败");
/*     */       } 
/* 744 */     } else if (returnValue == 16) {
/* 745 */       SaveDialog save = new SaveDialog(
/* 746 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell());
/* 747 */       save.setFileName("公示信息抽查列表");
/* 748 */       save.setFilterExtensions(new String[] { "*.xls" });
/* 749 */       fileName = save.open();
/*     */       
/* 751 */       if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 752 */         fileName = String.valueOf(fileName) + ".xls";
/*     */       }
/*     */       try {
/* 755 */         boolean flag = writeExcel(list, fileName);
/* 756 */         if (flag) {
/* 757 */           LoadSuccessDialog succ = new LoadSuccessDialog(
/* 758 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 759 */               .getShell(), fileName);
/* 760 */           succ.open();
/*     */         } else {
/* 762 */           SydjMessageDialog.openInformation(null, "提示", 
/* 763 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 765 */       } catch (Exception e) {
/* 766 */         e.printStackTrace();
/* 767 */         SydjMessageDialog.openInformation(null, "提示", 
/* 768 */             "生成Excel文件错误，下载失败");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean writeExcel(ArrayList<CreditCheckSydw> list, String filePath) {
/* 783 */     boolean flag = true;
/* 784 */     WritableWorkbook wwb = null;
/* 785 */     CreditCheckSydw mod = null;
/*     */     try {
/* 787 */       wwb = Workbook.createWorkbook(new File(filePath));
/*     */ 
/*     */       
/* 790 */       WritableFont titleFonts = new WritableFont(
/* 791 */           WritableFont.createFont("宋体"), 15, WritableFont.BOLD);
/*     */       
/* 793 */       WritableCellFormat titleFormats = new WritableCellFormat(
/* 794 */           titleFonts);
/* 795 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 796 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 797 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 798 */       titleFormats.setWrap(true);
/* 799 */       WritableFont titleFontt = new WritableFont(
/* 800 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*     */       
/* 802 */       WritableCellFormat titleFormatt = new WritableCellFormat(
/* 803 */           titleFontt);
/* 804 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 805 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 806 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 807 */       titleFormatt.setWrap(true);
/* 808 */       WritableFont titleFont = new WritableFont(
/* 809 */           WritableFont.createFont("宋体"), 9, WritableFont.BOLD);
/*     */       
/* 811 */       WritableCellFormat titleFormat = new WritableCellFormat(
/* 812 */           titleFont);
/* 813 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 814 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/*     */       
/* 816 */       titleFormat.setWrap(true);
/* 817 */       WritableSheet ws = wwb.createSheet("筛选单位列表", 0);
/* 818 */       ws.setColumnView(0, 20);
/* 819 */       ws.setColumnView(1, 60);
/* 820 */       ws.setColumnView(2, 20);
/* 821 */       ws.setColumnView(3, 60);
/* 822 */       ws.setColumnView(4, 20);
/* 823 */       ws.setColumnView(5, 20);
/* 824 */       ws.setColumnView(6, 40);
/* 825 */       ws.setColumnView(7, 20);
/* 826 */       Label id = new Label(0, 0, "统一社会信用代码", 
/* 827 */           (CellFormat)titleFormat);
/* 828 */       ws.addCell((WritableCell)id);
/* 829 */       Label certId = new Label(1, 0, "事业单位名称", 
/* 830 */           (CellFormat)titleFormat);
/* 831 */       ws.addCell((WritableCell)certId);
/* 832 */       Label unitName = new Label(2, 0, "举办单位名称", 
/* 833 */           (CellFormat)titleFormat);
/* 834 */       ws.addCell((WritableCell)unitName);
/* 835 */       Label addr = new Label(3, 0, "地址", 
/* 836 */           (CellFormat)titleFormat);
/* 837 */       ws.addCell((WritableCell)addr);
/* 838 */       Label fddbr = new Label(4, 0, "法定代表人", 
/* 839 */           (CellFormat)titleFormat);
/* 840 */       ws.addCell((WritableCell)fddbr);
/* 841 */       Label post = new Label(5, 0, "邮编", 
/* 842 */           (CellFormat)titleFormat);
/* 843 */       ws.addCell((WritableCell)post);
/* 844 */       Label alterContent = new Label(6, 0, "执法人员", 
/* 845 */           (CellFormat)titleFormat);
/* 846 */       ws.addCell((WritableCell)alterContent);
/* 847 */       Label time = new Label(7, 0, "抽取时间", 
/* 848 */           (CellFormat)titleFormat);
/* 849 */       ws.addCell((WritableCell)time);
/*     */       
/* 851 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 852 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 853 */       titleFormattt.setWrap(true);
/* 854 */       int row = 1;
/* 855 */       for (int i = 0; i < list.size(); i++) {
/* 856 */         mod = list.get(i);
/* 857 */         Label ids = new Label(0, row, 
/* 858 */             mod.getUnifyCode(), (CellFormat)titleFormattt);
/* 859 */         ws.addCell((WritableCell)ids);
/* 860 */         Label certIds = new Label(1, row, 
/* 861 */             mod.getSydwNameFirst(), (CellFormat)titleFormattt);
/* 862 */         ws.addCell((WritableCell)certIds);
/* 863 */         Label unitNames = new Label(2, row, 
/* 864 */             mod.getJbdwName(), (CellFormat)titleFormattt);
/* 865 */         ws.addCell((WritableCell)unitNames);
/* 866 */         Label sydwAddr = new Label(3, row, 
/* 867 */             mod.getSydwAddr(), (CellFormat)titleFormattt);
/* 868 */         ws.addCell((WritableCell)sydwAddr);
/* 869 */         Label sydwFddbr = new Label(4, row, 
/* 870 */             mod.getSydwFddr(), (CellFormat)titleFormattt);
/* 871 */         ws.addCell((WritableCell)sydwFddbr);
/* 872 */         Label postCard = new Label(5, row, 
/* 873 */             mod.getPost(), (CellFormat)titleFormattt);
/* 874 */         ws.addCell((WritableCell)postCard);
/* 875 */         Label jbdw = new Label(6, row, 
/* 876 */             mod.getCheckPerson(), (CellFormat)titleFormattt);
/* 877 */         ws.addCell((WritableCell)jbdw);
/* 878 */         Label alter = new Label(7, row, 
/* 879 */             mod.getCreateDate(), (CellFormat)titleFormattt);
/* 880 */         ws.addCell((WritableCell)alter);
/* 881 */         row++;
/*     */       } 
/* 883 */       wwb.write();
/* 884 */     } catch (Exception e) {
/* 885 */       e.printStackTrace();
/* 886 */       flag = false;
/*     */     } finally {
/* 888 */       if (wwb != null)
/*     */         try {
/* 890 */           wwb.close();
/* 891 */         } catch (IOException e) {
/* 892 */           e.printStackTrace();
/*     */         }  
/*     */     } 
/* 895 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void viewCreditCheckAttach() {
/* 903 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 904 */     CreditCheckSydw info = (CreditCheckSydw)select.getFirstElement();
/* 905 */     String attachGroupId = info.getCheckSdhcFj();
/* 906 */     SydwInfo si = new SydwInfo();
/* 907 */     si.setDISTRICT_CODE(info.getDistrictCode());
/* 908 */     si.setGROUP_ID(info.getGroupId());
/* 909 */     if (!PublicUtil.isNull(attachGroupId) && !attachGroupId.equals("0")) {
/* 910 */       CreditCheckTjListDialog xv = new CreditCheckTjListDialog(getShell(), info, si, "new");
/* 911 */       if (xv.open() == 1) {
/* 912 */         redraw();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void view() {
/* 921 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 922 */       .getSelection();
/* 923 */     CreditCheckSydw model = (CreditCheckSydw)select.getFirstElement();
/*     */     
/* 925 */     DataModifyInfoListsDialog dialog = new DataModifyInfoListsDialog(
/* 926 */         getShell(), model.getSydwId(), model.getSydwNameFirst(), 
/* 927 */         model.getSydwState(), model.getSydwCode(), "true");
/* 928 */     dialog.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\check\CreditCheckDialogSydw.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */