/*      */ package cs.sydj.operation.credit.common;
/*      */ 
/*      */ import cs.sydj.messageTrans.MessageSender;
/*      */ import cs.sydj.messageTrans.MessageSenderPlus;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.sys.messageconf.MessageProxy;
/*      */ import cs.sydj.util.messageutil.MessageXML;
/*      */ import java.io.File;
/*      */ import java.util.ArrayList;
/*      */ import java.util.HashMap;
/*      */ import javax.jms.JMSException;
/*      */ import server.sydj.operation.commons.Attachment;
/*      */ import server.sydj.operation.credit.check.CreditCheckSydw;
/*      */ import server.sydj.operation.credit.person.CreditPersonInfo;
/*      */ import server.sydj.operation.credit.punish.CreditXzcf;
/*      */ import server.sydj.operation.credit.report.SyWsjbInfo;
/*      */ import server.sydj.operation.credit.sydw.CreditSydwInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CreditOperation
/*      */ {
/*   39 */   String operation = "CreditOperation";
/*   40 */   HashMap messageParameter = new HashMap<Object, Object>();
/*   41 */   String messagexml = null;
/*   42 */   String replyxml = null;
/*   43 */   ArrayList result = new ArrayList();
/*   44 */   MessageSender sender = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllSydwInfo(String districtCode, String groupId, String unifyCode, String unitName, int startNo, int maxCount, String flag) {
/*   64 */     this.messageParameter.put("districtCode", districtCode);
/*   65 */     this.messageParameter.put("groupId", groupId);
/*   66 */     this.messageParameter.put("certId", unifyCode);
/*   67 */     this.messageParameter.put("unitName", unitName);
/*   68 */     this.messageParameter.put("flag", flag);
/*   69 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*   70 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*   71 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllSydwInfo", this.messageParameter);
/*      */     try {
/*   73 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*   74 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*   75 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*   76 */       this.result = MessageXML.XMLToList(this.replyxml);
/*   77 */     } catch (JMSException e) {
/*   78 */       e.printStackTrace();
/*      */     }
/*   80 */     catch (Exception e) {
/*   81 */       e.printStackTrace();
/*      */     } 
/*   83 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList querySydwInfo(String groupId, String key, String type) {
/*   95 */     this.messageParameter.put("groupId", groupId);
/*   96 */     this.messageParameter.put("key", key);
/*   97 */     this.messageParameter.put("type", type);
/*   98 */     this.messagexml = MessageXML.MessageToXML(this.operation, "querySydwInfo", this.messageParameter);
/*      */     try {
/*  100 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  101 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  102 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  103 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  104 */     } catch (JMSException e) {
/*  105 */       e.printStackTrace();
/*      */     }
/*  107 */     catch (Exception e) {
/*  108 */       e.printStackTrace();
/*      */     } 
/*  110 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwFddbrInfo(String groupId, String sydwId, String fddbrName) {
/*  122 */     this.messageParameter.put("groupId", groupId);
/*  123 */     this.messageParameter.put("sydwId", sydwId);
/*  124 */     this.messageParameter.put("fddbrName", fddbrName);
/*      */     
/*  126 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwFddbrInfo", this.messageParameter);
/*      */     try {
/*  128 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  129 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  130 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  131 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  132 */     } catch (JMSException e) {
/*  133 */       e.printStackTrace();
/*      */     }
/*  135 */     catch (Exception e) {
/*  136 */       e.printStackTrace();
/*      */     } 
/*  138 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllCreditPersonInfo(String groupId, String districtCode, int startNo, int maxCount, String idNumber, String sydwName, String flag, String sydwType, String isLog) {
/*  153 */     this.messageParameter.put("groupId", groupId);
/*  154 */     this.messageParameter.put("districtCode", districtCode);
/*  155 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  156 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  157 */     this.messageParameter.put("idNumber", idNumber);
/*  158 */     this.messageParameter.put("sydwName", sydwName);
/*  159 */     this.messageParameter.put("flag", flag);
/*  160 */     this.messageParameter.put("userName", GljgUserInfo.getInstance().getRealname());
/*  161 */     this.messageParameter.put("sydwType", sydwType);
/*  162 */     this.messageParameter.put("isLog", isLog);
/*      */     
/*  164 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllCreditPersonInfo", this.messageParameter);
/*      */     try {
/*  166 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  167 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  168 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  169 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  170 */     } catch (JMSException e) {
/*  171 */       e.printStackTrace();
/*      */     }
/*  173 */     catch (Exception e) {
/*  174 */       e.printStackTrace();
/*      */     } 
/*  176 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String saveCreditPersonInfo(CreditPersonInfo saveCPInfo, String newFLag) {
/*  187 */     this.messageParameter.put("saveCreditPersonInfo", MessageXML.getReplyXML(saveCPInfo));
/*  188 */     this.messageParameter.put("newFLag", newFLag);
/*      */     
/*  190 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveCreditPersonInfo", this.messageParameter);
/*      */     try {
/*  192 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  193 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  194 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  195 */     } catch (JMSException e) {
/*  196 */       e.printStackTrace();
/*      */     }
/*  198 */     catch (Exception e) {
/*  199 */       e.printStackTrace();
/*      */     } 
/*  201 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getCreditPersonInfo(String groupId, String creditId) {
/*  212 */     this.messageParameter.put("groupId", groupId);
/*  213 */     this.messageParameter.put("creditId", creditId);
/*  214 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditPersonInfo", this.messageParameter);
/*      */     try {
/*  216 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  217 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  218 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  219 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  220 */     } catch (JMSException e) {
/*  221 */       e.printStackTrace();
/*      */     }
/*  223 */     catch (Exception e) {
/*  224 */       e.printStackTrace();
/*      */     } 
/*  226 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllCreditSydwInfo(String groupId, String districtCode, int startNo, int maxCount, String unitName, String flag) {
/*  241 */     this.messageParameter.put("groupId", groupId);
/*  242 */     this.messageParameter.put("districtCode", districtCode);
/*  243 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  244 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  245 */     this.messageParameter.put("unitName", unitName);
/*  246 */     this.messageParameter.put("flag", flag);
/*  247 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllCreditSydwInfo", this.messageParameter);
/*      */     try {
/*  249 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  250 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  251 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  252 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  253 */     } catch (JMSException e) {
/*  254 */       e.printStackTrace();
/*      */     }
/*  256 */     catch (Exception e) {
/*  257 */       e.printStackTrace();
/*      */     } 
/*  259 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String saveCreditSydwInfo(CreditSydwInfo saveCSInfo, String newFLag) {
/*  270 */     this.messageParameter.put("saveCreditSydwInfo", MessageXML.getReplyXML(saveCSInfo));
/*  271 */     this.messageParameter.put("newFLag", newFLag);
/*      */     
/*  273 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveCreditSydwInfo", this.messageParameter);
/*      */     try {
/*  275 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  276 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  277 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  278 */     } catch (JMSException e) {
/*  279 */       e.printStackTrace();
/*      */     }
/*  281 */     catch (Exception e) {
/*  282 */       e.printStackTrace();
/*      */     } 
/*  284 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getCreditSydwInfo(String groupId, String creditId) {
/*  295 */     this.messageParameter.put("groupId", groupId);
/*  296 */     this.messageParameter.put("creditId", creditId);
/*  297 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditSydwInfo", this.messageParameter);
/*      */     try {
/*  299 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  300 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  301 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  302 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  303 */     } catch (JMSException e) {
/*  304 */       e.printStackTrace();
/*      */     }
/*  306 */     catch (Exception e) {
/*  307 */       e.printStackTrace();
/*      */     } 
/*  309 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllWsjbSydwList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*  320 */     this.messageParameter.put("groupId", groupId);
/*  321 */     this.messageParameter.put("districtCode", districtCode);
/*  322 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  323 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  324 */     this.messageParameter.put("sydwName", sydwName);
/*  325 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllWsjbSydwList", this.messageParameter);
/*      */     try {
/*  327 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  328 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  329 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  330 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  331 */     } catch (JMSException e) {
/*  332 */       e.printStackTrace();
/*      */     }
/*  334 */     catch (Exception e) {
/*  335 */       e.printStackTrace();
/*      */     } 
/*  337 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getWsjbSydwExcelList(String groupId, String districtCode, String sydwName) {
/*  349 */     this.messageParameter.put("groupId", groupId);
/*  350 */     this.messageParameter.put("districtCode", districtCode);
/*  351 */     this.messageParameter.put("sydwName", sydwName);
/*  352 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWsjbSydwExcelList", this.messageParameter);
/*      */     try {
/*  354 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  355 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  356 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  357 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  358 */     } catch (JMSException e) {
/*  359 */       e.printStackTrace();
/*      */     }
/*  361 */     catch (Exception e) {
/*  362 */       e.printStackTrace();
/*      */     } 
/*  364 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getWsjbCountBySydwId(String sydwId) {
/*  373 */     this.messageParameter.put("sydwId", sydwId);
/*  374 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWsjbCountBySydwId", this.messageParameter);
/*      */     try {
/*  376 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  377 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  378 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  379 */     } catch (JMSException e) {
/*  380 */       e.printStackTrace();
/*      */     }
/*  382 */     catch (Exception e) {
/*  383 */       e.printStackTrace();
/*      */     } 
/*  385 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getWsjbBySydwId(String groupId, String districtCode, int startNo, int maxCount, String sydwId) {
/*  399 */     this.messageParameter.put("groupId", groupId);
/*  400 */     this.messageParameter.put("districtCode", districtCode);
/*  401 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  402 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  403 */     this.messageParameter.put("sydwId", sydwId);
/*  404 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWsjbBySydwId", this.messageParameter);
/*      */     try {
/*  406 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  407 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  408 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  409 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  410 */     } catch (JMSException e) {
/*  411 */       e.printStackTrace();
/*      */     }
/*  413 */     catch (Exception e) {
/*  414 */       e.printStackTrace();
/*      */     } 
/*  416 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getWsjbByWsjbId(String groupId, String districtCode, int startNo, int maxCount, String sydwId, String wsjbId) {
/*  432 */     this.messageParameter.put("groupId", groupId);
/*  433 */     this.messageParameter.put("districtCode", districtCode);
/*  434 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  435 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  436 */     this.messageParameter.put("sydwId", sydwId);
/*  437 */     this.messageParameter.put("wsjbId", wsjbId);
/*  438 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWsjbByWsjbId", this.messageParameter);
/*      */     try {
/*  440 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  441 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  442 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  443 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  444 */     } catch (JMSException e) {
/*  445 */       e.printStackTrace();
/*      */     }
/*  447 */     catch (Exception e) {
/*  448 */       e.printStackTrace();
/*      */     } 
/*  450 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String updateCreditReport(SyWsjbInfo syWsjbInfo, String userName) {
/*  461 */     this.messageParameter.put("syWsjbInfo", MessageXML.getReplyXML(syWsjbInfo));
/*  462 */     this.messageParameter.put("userName", userName);
/*  463 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateCreditReport", this.messageParameter);
/*      */     try {
/*  465 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  466 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  467 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  468 */     } catch (JMSException e) {
/*  469 */       e.printStackTrace();
/*      */     }
/*  471 */     catch (Exception e) {
/*  472 */       e.printStackTrace();
/*      */     } 
/*  474 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delCreditReport(SyWsjbInfo syWsjbInfo) {
/*  485 */     this.messageParameter.put("syWsjbInfo", MessageXML.getReplyXML(syWsjbInfo));
/*  486 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delCreditReport", this.messageParameter);
/*      */     try {
/*  488 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  489 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  490 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  491 */     } catch (JMSException e) {
/*  492 */       e.printStackTrace();
/*      */     }
/*  494 */     catch (Exception e) {
/*  495 */       e.printStackTrace();
/*      */     } 
/*  497 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delMingLu(String mingluId) {
/*  508 */     this.messageParameter.put("mingluId", mingluId);
/*  509 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delMingLu", this.messageParameter);
/*      */     try {
/*  511 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  512 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  513 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  514 */     } catch (JMSException e) {
/*  515 */       e.printStackTrace();
/*      */     }
/*  517 */     catch (Exception e) {
/*  518 */       e.printStackTrace();
/*      */     } 
/*  520 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllAttachmentList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*  532 */     this.messageParameter.put("groupId", groupId);
/*  533 */     this.messageParameter.put("districtCode", districtCode);
/*  534 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  535 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  536 */     this.messageParameter.put("sydwName", sydwName);
/*  537 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllAttachmentList", this.messageParameter);
/*      */     try {
/*  539 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  540 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  541 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  542 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  543 */     } catch (JMSException e) {
/*  544 */       e.printStackTrace();
/*      */     }
/*  546 */     catch (Exception e) {
/*  547 */       e.printStackTrace();
/*      */     } 
/*  549 */     return this.result;
/*      */   }
/*      */ 
/*      */   
/*      */   public String uploadAttachment(Attachment insinfo, String filePath) {
/*  554 */     String methodname = "uploadAttachment";
/*  555 */     String replyxml = null;
/*  556 */     String messagexml = MessageXML.getReplyXML(insinfo);
/*      */     try {
/*  558 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  559 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  560 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  561 */     } catch (JMSException e) {
/*  562 */       e.printStackTrace();
/*  563 */     } catch (Exception e) {
/*  564 */       e.printStackTrace();
/*      */     } 
/*  566 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfWgxs(CreditXzcf xzcf, String filePath) {
/*  578 */     String methodname = "uploadXzcfWgxs";
/*  579 */     String replyxml = null;
/*  580 */     File tempFile = new File(filePath.trim());
/*  581 */     String fileName = tempFile.getName();
/*  582 */     xzcf.setFileName(fileName);
/*  583 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  585 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  586 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  587 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  588 */     } catch (JMSException e) {
/*  589 */       e.printStackTrace();
/*  590 */     } catch (Exception e) {
/*  591 */       e.printStackTrace();
/*      */     } 
/*  593 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfDcqz(CreditXzcf xzcf, String filePath) {
/*  604 */     String methodname = "uploadXzcfDcqz";
/*  605 */     String replyxml = null;
/*  606 */     File tempFile = new File(filePath.trim());
/*  607 */     String fileName = tempFile.getName();
/*  608 */     xzcf.setFileName(fileName);
/*  609 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  611 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  612 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  613 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  614 */     } catch (JMSException e) {
/*  615 */       e.printStackTrace();
/*  616 */     } catch (Exception e) {
/*  617 */       e.printStackTrace();
/*      */     } 
/*  619 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfCsBs(CreditXzcf xzcf, String filePath) {
/*  631 */     String methodname = "uploadXzcfCsBs";
/*  632 */     String replyxml = null;
/*  633 */     File tempFile = new File(filePath.trim());
/*  634 */     String fileName = tempFile.getName();
/*  635 */     xzcf.setFileName(fileName);
/*  636 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  638 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  639 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  640 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  641 */     } catch (JMSException e) {
/*  642 */       e.printStackTrace();
/*  643 */     } catch (Exception e) {
/*  644 */       e.printStackTrace();
/*      */     } 
/*  646 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfSdhc(CreditXzcf xzcf, String filePath) {
/*  658 */     String methodname = "uploadXzcfSdhc";
/*  659 */     String replyxml = null;
/*  660 */     File tempFile = new File(filePath.trim());
/*  661 */     String fileName = tempFile.getName();
/*  662 */     xzcf.setFileName(fileName);
/*  663 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  665 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  666 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  667 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  668 */     } catch (JMSException e) {
/*  669 */       e.printStackTrace();
/*  670 */     } catch (Exception e) {
/*  671 */       e.printStackTrace();
/*      */     } 
/*  673 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfDcqzByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  684 */     String methodname = "uploadXzcfDcqzByAttachGroupId";
/*  685 */     String replyxml = null;
/*  686 */     File tempFile = new File(filePath.trim());
/*  687 */     String fileName = tempFile.getName();
/*  688 */     xzcf.setFileName(fileName);
/*  689 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  691 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  692 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  693 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  694 */     } catch (JMSException e) {
/*  695 */       e.printStackTrace();
/*  696 */     } catch (Exception e) {
/*  697 */       e.printStackTrace();
/*      */     } 
/*  699 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfWgxsByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  709 */     String methodname = "uploadXzcfWgxsByAttachGroupId";
/*  710 */     String replyxml = null;
/*  711 */     File tempFile = new File(filePath.trim());
/*  712 */     String fileName = tempFile.getName();
/*  713 */     xzcf.setFileName(fileName);
/*  714 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  716 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  717 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  718 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  719 */     } catch (JMSException e) {
/*  720 */       e.printStackTrace();
/*  721 */     } catch (Exception e) {
/*  722 */       e.printStackTrace();
/*      */     } 
/*  724 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfSdhcByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  736 */     String methodname = "uploadXzcfSdhcByAttachGroupId";
/*  737 */     String replyxml = null;
/*  738 */     File tempFile = new File(filePath.trim());
/*  739 */     String fileName = tempFile.getName();
/*  740 */     xzcf.setFileName(fileName);
/*  741 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  743 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  744 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  745 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  746 */     } catch (JMSException e) {
/*  747 */       e.printStackTrace();
/*  748 */     } catch (Exception e) {
/*  749 */       e.printStackTrace();
/*      */     } 
/*  751 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String QueryAttachmentById(Attachment info) {
/*  763 */     String methodname = "QueryAttachmentById";
/*  764 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  765 */     messageParameter.put("id", info.getAttachmentId());
/*  766 */     String replyxml = null;
/*  767 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*      */     try {
/*  769 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  770 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  771 */       replyxml = sender.sendBytesVideoMessage(messagexml, null, info.getExtType());
/*  772 */     } catch (JMSException e) {
/*  773 */       e.printStackTrace();
/*  774 */     } catch (Exception e) {
/*  775 */       e.printStackTrace();
/*      */     } 
/*      */     
/*  778 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String QueryAttachmentPicById(Attachment info) {
/*  789 */     String methodname = "QueryAttachmentPicById";
/*  790 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  791 */     String replyxml = null;
/*  792 */     messageParameter.put("id", info.getAttachmentId());
/*  793 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/*  794 */         messageParameter);
/*      */     
/*      */     try {
/*  797 */       MessageSenderPlus sender = new MessageSenderPlus(
/*  798 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  799 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  800 */       replyxml = sender.getAttachFile(messagexml, info.getName(), info.getExtType());
/*  801 */     } catch (JMSException e) {
/*  802 */       e.printStackTrace();
/*  803 */     } catch (Exception e) {
/*  804 */       e.printStackTrace();
/*      */     } 
/*  806 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoByName(String sydwName) {
/*  817 */     this.messageParameter.put("sydwName", sydwName);
/*  818 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoByName", this.messageParameter);
/*      */     try {
/*  820 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  821 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  822 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  823 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  824 */     } catch (JMSException e) {
/*  825 */       e.printStackTrace();
/*      */     }
/*  827 */     catch (Exception e) {
/*  828 */       e.printStackTrace();
/*      */     } 
/*  830 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoBySydwId(String sydwId) {
/*  841 */     this.messageParameter.put("sydwId", sydwId);
/*  842 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoBySydwId", this.messageParameter);
/*      */     try {
/*  844 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  845 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  846 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  847 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  848 */     } catch (JMSException e) {
/*  849 */       e.printStackTrace();
/*      */     }
/*  851 */     catch (Exception e) {
/*  852 */       e.printStackTrace();
/*      */     } 
/*  854 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllXzcfList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*  867 */     this.messageParameter.put("groupId", groupId);
/*  868 */     this.messageParameter.put("districtCode", districtCode);
/*  869 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  870 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  871 */     this.messageParameter.put("sydwName", sydwName);
/*  872 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllXzcfList", this.messageParameter);
/*      */     try {
/*  874 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  875 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  876 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  877 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  878 */     } catch (JMSException e) {
/*  879 */       e.printStackTrace();
/*      */     }
/*  881 */     catch (Exception e) {
/*  882 */       e.printStackTrace();
/*      */     } 
/*  884 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfListBySydwId(String groupId, String districtCode, int startNo, int maxCount, String sydwId) {
/*  895 */     this.messageParameter.put("groupId", groupId);
/*  896 */     this.messageParameter.put("districtCode", districtCode);
/*  897 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  898 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  899 */     this.messageParameter.put("sydwId", sydwId);
/*  900 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfListBySydwId", this.messageParameter);
/*      */     try {
/*  902 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  903 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  904 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  905 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  906 */     } catch (JMSException e) {
/*  907 */       e.printStackTrace();
/*      */     }
/*  909 */     catch (Exception e) {
/*  910 */       e.printStackTrace();
/*      */     } 
/*  912 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String saveXzcf(CreditXzcf xzcf, String userName) {
/*  923 */     this.messageParameter.put("xzcf", MessageXML.getReplyXML(xzcf));
/*  924 */     this.messageParameter.put("userName", userName);
/*  925 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveXzcf", this.messageParameter);
/*      */     try {
/*  927 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  928 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  929 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  930 */     } catch (JMSException e) {
/*  931 */       e.printStackTrace();
/*      */     }
/*  933 */     catch (Exception e) {
/*  934 */       e.printStackTrace();
/*      */     } 
/*  936 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttachId(String id) {
/*  947 */     this.messageParameter.put("id", id);
/*  948 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAttachId", this.messageParameter);
/*      */     try {
/*  950 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  951 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  952 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  953 */     } catch (JMSException e) {
/*  954 */       e.printStackTrace();
/*      */     }
/*  956 */     catch (Exception e) {
/*  957 */       e.printStackTrace();
/*      */     } 
/*  959 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfById(String id) {
/*  970 */     this.messageParameter.put("id", id);
/*  971 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfById", this.messageParameter);
/*      */     try {
/*  973 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  974 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  975 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  976 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  977 */     } catch (JMSException e) {
/*  978 */       e.printStackTrace();
/*      */     }
/*  980 */     catch (Exception e) {
/*  981 */       e.printStackTrace();
/*      */     } 
/*  983 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByDcqzId(String id) {
/*  993 */     this.messageParameter.put("id", id);
/*  994 */     this.messageParameter.put("flg", "dcqz");
/*  995 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/*  997 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  998 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  999 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1000 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1001 */     } catch (JMSException e) {
/* 1002 */       e.printStackTrace();
/*      */     }
/* 1004 */     catch (Exception e) {
/* 1005 */       e.printStackTrace();
/*      */     } 
/* 1007 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByCsBsTjId(String id) {
/* 1018 */     this.messageParameter.put("id", id);
/* 1019 */     this.messageParameter.put("flg", "csbs");
/* 1020 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/* 1022 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1023 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1024 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1025 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1026 */     } catch (JMSException e) {
/* 1027 */       e.printStackTrace();
/*      */     }
/* 1029 */     catch (Exception e) {
/* 1030 */       e.printStackTrace();
/*      */     } 
/* 1032 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByWgxsId(String id) {
/* 1044 */     this.messageParameter.put("id", id);
/* 1045 */     this.messageParameter.put("flg", "wgxs");
/* 1046 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/* 1048 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1049 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1050 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1051 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1052 */     } catch (JMSException e) {
/* 1053 */       e.printStackTrace();
/*      */     }
/* 1055 */     catch (Exception e) {
/* 1056 */       e.printStackTrace();
/*      */     } 
/* 1058 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfBySdhcId(String id) {
/* 1068 */     this.messageParameter.put("id", id);
/* 1069 */     this.messageParameter.put("flg", "sdhc");
/* 1070 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/* 1072 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1073 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1074 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1075 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1076 */     } catch (JMSException e) {
/* 1077 */       e.printStackTrace();
/*      */     }
/* 1079 */     catch (Exception e) {
/* 1080 */       e.printStackTrace();
/*      */     } 
/* 1082 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getCreditCheckfByTjId(String attachGroupId) {
/* 1094 */     this.messageParameter.put("attachGroupId", attachGroupId);
/* 1095 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditCheckfByTjId", this.messageParameter);
/*      */     try {
/* 1097 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1098 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1099 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1100 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1101 */     } catch (JMSException e) {
/* 1102 */       e.printStackTrace();
/*      */     }
/* 1104 */     catch (Exception e) {
/* 1105 */       e.printStackTrace();
/*      */     } 
/* 1107 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAttachmentDcqzList(String attachgroupId, int startNo, int maxCount) {
/* 1123 */     this.messageParameter.put("attachgroupId", attachgroupId);
/* 1124 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 1125 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 1126 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAttachmentDcqzList", this.messageParameter);
/*      */     try {
/* 1128 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1129 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1130 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1131 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1132 */     } catch (JMSException e) {
/* 1133 */       e.printStackTrace();
/*      */     }
/* 1135 */     catch (Exception e) {
/* 1136 */       e.printStackTrace();
/*      */     } 
/* 1138 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAttachmentCsBsList(String attachgroupId, int startNo, int maxCount) {
/* 1149 */     return getAttachmentDcqzList(attachgroupId, startNo, maxCount);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String updateXzcf(CreditXzcf xzcf) {
/* 1159 */     this.messageParameter.put("xzcf", MessageXML.getReplyXML(xzcf));
/* 1160 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateXzcf", this.messageParameter);
/*      */     try {
/* 1162 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1163 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1164 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1165 */     } catch (JMSException e) {
/* 1166 */       e.printStackTrace();
/*      */     }
/* 1168 */     catch (Exception e) {
/* 1169 */       e.printStackTrace();
/*      */     } 
/* 1171 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delDcqzAttachById(String attachId) {
/* 1181 */     this.messageParameter.put("attachId", attachId);
/* 1182 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delDcqzAttachById", this.messageParameter);
/*      */     try {
/* 1184 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1185 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1186 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1187 */     } catch (JMSException e) {
/* 1188 */       e.printStackTrace();
/*      */     }
/* 1190 */     catch (Exception e) {
/* 1191 */       e.printStackTrace();
/*      */     } 
/* 1193 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delCreditCheckAttachById(String attachId) {
/* 1202 */     this.messageParameter.put("attachId", attachId);
/* 1203 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delCreditCheckAttachById", this.messageParameter);
/*      */     try {
/* 1205 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1206 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1207 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1208 */     } catch (JMSException e) {
/* 1209 */       e.printStackTrace();
/*      */     }
/* 1211 */     catch (Exception e) {
/* 1212 */       e.printStackTrace();
/*      */     } 
/* 1214 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getCreditCheckAttachById(String attachGroup) {
/* 1222 */     this.messageParameter.put("attachGroup", attachGroup);
/* 1223 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditCheckAttachById", this.messageParameter);
/*      */     try {
/* 1225 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1226 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1227 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1228 */     } catch (JMSException e) {
/* 1229 */       e.printStackTrace();
/*      */     }
/* 1231 */     catch (Exception e) {
/* 1232 */       e.printStackTrace();
/*      */     } 
/* 1234 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delCreditXzcfAttachById(String attachId, String keyAttach) {
/* 1246 */     this.messageParameter.put("attachId", attachId);
/* 1247 */     this.messageParameter.put("keyAttach", keyAttach);
/* 1248 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delCreditXzcfAttachById", this.messageParameter);
/*      */     try {
/* 1250 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1251 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1252 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1253 */     } catch (JMSException e) {
/* 1254 */       e.printStackTrace();
/*      */     }
/* 1256 */     catch (Exception e) {
/* 1257 */       e.printStackTrace();
/*      */     } 
/* 1259 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoFddbrBySydwId(String sydwId) {
/* 1276 */     this.messageParameter.put("sydwId", sydwId);
/* 1277 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoFddbrBySydwId", this.messageParameter);
/*      */     try {
/* 1279 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1280 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1281 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1282 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1283 */     } catch (JMSException e) {
/* 1284 */       e.printStackTrace();
/*      */     }
/* 1286 */     catch (Exception e) {
/* 1287 */       e.printStackTrace();
/*      */     } 
/* 1289 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadCreditCheck(CreditCheckSydw xzcf, String filePath) {
/* 1301 */     String methodname = "uploadCreditCheck";
/* 1302 */     String replyxml = null;
/* 1303 */     File tempFile = new File(filePath.trim());
/* 1304 */     String fileName = tempFile.getName();
/* 1305 */     xzcf.setFileName(fileName);
/* 1306 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/* 1308 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 1309 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 1310 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/* 1311 */     } catch (JMSException e) {
/* 1312 */       e.printStackTrace();
/* 1313 */     } catch (Exception e) {
/* 1314 */       e.printStackTrace();
/*      */     } 
/* 1316 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadCreditCheckTJByAttachGroupId(CreditCheckSydw info, String filePath) {
/* 1328 */     String methodname = "uploadCreditCheckTJByAttachGroupId";
/* 1329 */     String replyxml = null;
/* 1330 */     File tempFile = new File(filePath.trim());
/* 1331 */     String fileName = tempFile.getName();
/* 1332 */     info.setFileName(fileName);
/* 1333 */     String messagexml = MessageXML.getReplyXML(info);
/*      */     try {
/* 1335 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 1336 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 1337 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/* 1338 */     } catch (JMSException e) {
/* 1339 */       e.printStackTrace();
/* 1340 */     } catch (Exception e) {
/* 1341 */       e.printStackTrace();
/*      */     } 
/* 1343 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfCsBsTjByAttachGroupId(CreditXzcf xzcf, String filePath) {
/* 1354 */     String methodname = "uploadXzcfCsBsTjByAttachGroupId";
/* 1355 */     String replyxml = null;
/* 1356 */     File tempFile = new File(filePath.trim());
/* 1357 */     String fileName = tempFile.getName();
/* 1358 */     xzcf.setFileName(fileName);
/* 1359 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/* 1361 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 1362 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 1363 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/* 1364 */     } catch (JMSException e) {
/* 1365 */       e.printStackTrace();
/* 1366 */     } catch (Exception e) {
/* 1367 */       e.printStackTrace();
/*      */     } 
/* 1369 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getInterceptSydwFddbrInfo(String groupId, int startNo, int maxCount, String unitName, String flag) {
/* 1382 */     this.messageParameter.put("groupId", groupId);
/* 1383 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 1384 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 1385 */     this.messageParameter.put("unitName", unitName);
/* 1386 */     this.messageParameter.put("flag", flag);
/* 1387 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getInterceptSydwFddbrInfo", this.messageParameter);
/*      */     try {
/* 1389 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1390 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1391 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1392 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1393 */     } catch (JMSException e) {
/* 1394 */       e.printStackTrace();
/*      */     }
/* 1396 */     catch (Exception e) {
/* 1397 */       e.printStackTrace();
/*      */     } 
/* 1399 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String checkInterceptSydwFddbr(String groupId) {
/* 1408 */     this.messageParameter.put("groupId", groupId);
/* 1409 */     this.messagexml = MessageXML.MessageToXML(this.operation, "checkInterceptSydwFddbr", this.messageParameter);
/*      */     try {
/* 1411 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 1412 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 1413 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 1414 */     } catch (JMSException e) {
/* 1415 */       e.printStackTrace();
/*      */     }
/* 1417 */     catch (Exception e) {
/* 1418 */       e.printStackTrace();
/*      */     } 
/* 1420 */     return this.replyxml;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\common\CreditOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */