/*     */ package cs.sydj.operation.credit.fddbr;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.common.CreditInputDialog;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.credit.person.CreditPersonInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditPersonListDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Table table;
/*     */   private ArrayList perInfo;
/*  50 */   int totalRows = 0;
/*  51 */   int maxCount = 15;
/*  52 */   int startNo = 1;
/*  53 */   int currentPage = 1;
/*  54 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private TableCursor cursor;
/*  58 */   int starto = 1;
/*  59 */   private int selectColums = 32;
/*     */   private Composite compage;
/*     */   private Label page;
/*     */   private Label nowPage;
/*     */   private Label everyPageRows;
/*     */   private Label allRows;
/*     */   private Composite composite_1;
/*     */   private Button priorPage;
/*     */   private Button nextPage;
/*     */   private String unitId;
/*     */   private TableViewer tableViewer;
/*     */   private String fddbrName;
/*     */   private Composite composite;
/*     */   private Text text;
/*  73 */   CreditOperation dataManage = new CreditOperation();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditPersonListDialog(Shell parentShell, String unitId, String fddbrName) {
/*  81 */     super(parentShell);
/*  82 */     this.unitId = unitId;
/*  83 */     this.fddbrName = fddbrName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  93 */     parent.setBackground(Display.getCurrent()
/*  94 */         .getSystemColor(1));
/*  95 */     parent.setBackgroundMode(2);
/*  96 */     Composite container = (Composite)super.createDialogArea(parent);
/*  97 */     GridLayout gridLayout_3 = new GridLayout();
/*  98 */     gridLayout_3.marginTop = 25;
/*  99 */     gridLayout_3.marginRight = 25;
/* 100 */     gridLayout_3.marginLeft = 25;
/* 101 */     container.setLayout((Layout)gridLayout_3);
/*     */     
/* 103 */     Label label = new Label(container, 0);
/* 104 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 105 */     label.setText("“" + this.fddbrName + "”的失信行为列表：");
/* 106 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 107 */     Label label_1 = new Label(container, 258);
/*     */     
/* 109 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 111 */     this.composite = new Composite(container, 0);
/* 112 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 113 */         false);
/* 114 */     gd_composite.heightHint = 320;
/* 115 */     this.composite.setLayoutData(gd_composite);
/* 116 */     GridLayout gridLayout_2 = new GridLayout();
/* 117 */     gridLayout_2.verticalSpacing = 0;
/* 118 */     gridLayout_2.marginWidth = 0;
/* 119 */     gridLayout_2.marginHeight = 0;
/* 120 */     gridLayout_2.horizontalSpacing = 0;
/* 121 */     this.composite.setLayout((Layout)gridLayout_2);
/*     */     
/* 123 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 125 */     this.table = this.tableViewer.getTable();
/* 126 */     this.table.setLinesVisible(true);
/* 127 */     this.table.setHeaderVisible(true);
/* 128 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 130 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 131 */         16777216);
/* 132 */     newColumnTableColumn_2.setAlignment(16777216);
/* 133 */     newColumnTableColumn_2.setWidth(100);
/* 134 */     newColumnTableColumn_2.setText("执行法院");
/*     */     
/* 136 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 137 */         16777216);
/* 138 */     newColumnTableColumn_3.setAlignment(16777216);
/* 139 */     newColumnTableColumn_3.setWidth(50);
/* 140 */     newColumnTableColumn_3.setText("省份");
/*     */     
/* 142 */     TableColumn newColumnTableColumn4 = new TableColumn(this.table, 
/* 143 */         16777216);
/* 144 */     newColumnTableColumn4.setAlignment(16777216);
/* 145 */     newColumnTableColumn4.setWidth(80);
/* 146 */     newColumnTableColumn4.setText("案号");
/*     */     
/* 148 */     TableColumn newColumnTableColumn6 = new TableColumn(this.table, 
/* 149 */         16777216);
/* 150 */     newColumnTableColumn6.setAlignment(16777216);
/* 151 */     newColumnTableColumn6.setWidth(30);
/* 152 */     newColumnTableColumn6.setText("发布时间");
/*     */     
/* 154 */     TableColumn newColumnTableColumn7 = new TableColumn(this.table, 
/* 155 */         16777216);
/* 156 */     newColumnTableColumn7.setAlignment(16777216);
/* 157 */     newColumnTableColumn7.setWidth(80);
/* 158 */     newColumnTableColumn7.setText("信息来源");
/*     */     
/* 160 */     TableColumn newColumnTableColumn8 = new TableColumn(this.table, 
/* 161 */         16777216);
/* 162 */     newColumnTableColumn8.setAlignment(16777216);
/* 163 */     newColumnTableColumn8.setWidth(80);
/* 164 */     newColumnTableColumn8.setText("公示状态");
/*     */     
/* 166 */     TableColumn newColumnTableColumn9 = new TableColumn(this.table, 
/* 167 */         16777216);
/* 168 */     newColumnTableColumn9.setAlignment(16777216);
/* 169 */     newColumnTableColumn9.setWidth(30);
/* 170 */     newColumnTableColumn9.setText("");
/*     */     
/* 172 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 173 */         16777216);
/* 174 */     newColumnTableColumn_5.setResizable(false);
/* 175 */     newColumnTableColumn_5.setWidth(0);
/*     */     
/* 177 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 178 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditPersonListLabelProvider());
/*     */     
/* 180 */     this.compage = new Composite(container, 0);
/* 181 */     GridData gd_compage = new GridData(4, 4, false, 
/* 182 */         false, 4, 1);
/* 183 */     this.compage.setLayoutData(gd_compage);
/* 184 */     GridLayout gridLayout = new GridLayout();
/* 185 */     gridLayout.numColumns = 5;
/* 186 */     this.compage.setLayout((Layout)gridLayout);
/*     */     
/* 188 */     this.page = new Label(this.compage, 0);
/* 189 */     this.page.setText("页次：");
/*     */     
/* 191 */     this.nowPage = new Label(this.compage, 0);
/*     */     
/* 193 */     this.everyPageRows = new Label(this.compage, 0);
/* 194 */     this.allRows = new Label(this.compage, 0);
/*     */     
/* 196 */     this.composite_1 = new Composite(this.compage, 0);
/* 197 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 198 */         false);
/* 199 */     this.composite_1.setLayoutData(gd_composite_1);
/* 200 */     GridLayout gridLayout_1 = new GridLayout();
/* 201 */     gridLayout_1.numColumns = 6;
/* 202 */     this.composite_1.setLayout((Layout)gridLayout_1);
/*     */     
/* 204 */     this.priorPage = new Button(this.composite_1, 0);
/* 205 */     this.priorPage.setEnabled(false);
/* 206 */     this.priorPage.setText("上一页");
/*     */     
/* 208 */     this.nextPage = new Button(this.composite_1, 0);
/* 209 */     this.nextPage.setEnabled(false);
/* 210 */     this.nextPage.setText("下一页");
/*     */     
/* 212 */     Label label_8_1 = new Label(this.composite_1, 0);
/* 213 */     label_8_1.setLayoutData(new GridData());
/* 214 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 215 */     label_8_1.setText("转至第");
/*     */     
/* 217 */     this.text = new Text(this.composite_1, 2048);
/* 218 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 219 */     gd_text.widthHint = 46;
/* 220 */     this.text.setLayoutData(gd_text);
/*     */     
/* 222 */     Label label_1_1 = new Label(this.composite_1, 0);
/* 223 */     label_1_1.setLayoutData(new GridData());
/* 224 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 225 */     label_1_1.setText("页");
/* 226 */     PublicUtil.setMouseHands(this.table, "6");
/* 227 */     this.goButton = new Button(this.composite_1, 0);
/* 228 */     this.goButton.setLayoutData(new GridData());
/* 229 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 230 */     this.goButton.setText("GO");
/* 231 */     PublicUtil.setTableHeight(this.table);
/* 232 */     PublicUtil.setTableWidth(this.composite, this.table, "1.97:1:2.3:1.2:1.5:1.2:0.8:0.03");
/* 233 */     getData(this.starto);
/* 234 */     setFontColor();
/* 235 */     setPages(this.currentPage);
/* 236 */     setCursor();
/* 237 */     action();
/* 238 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 248 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 256 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 260 */     super.configureShell(newShell);
/* 261 */     newShell.setText("失信信息一览");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 268 */     if (this.perInfo.size() == 0) {
/* 269 */       this.totalRows = 0;
/*     */     } else {
/* 271 */       this.totalRows = ((CreditPersonInfo)this.perInfo.get(0)).getTotalRows();
/* 272 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 273 */     this.totalPages = pu.getTotalPages();
/* 274 */     this.currentPage = pu.getCurrentPage();
/* 275 */     this.hasNextPage = pu.isHasNextPage();
/* 276 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 277 */     if (this.totalPages == 0) {
/* 278 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 280 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 282 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 283 */     this.allRows.setText("共" + this.totalRows + "行");
/* 284 */     if (!this.hasPreviousPage) {
/* 285 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 287 */       this.priorPage.setEnabled(true);
/* 288 */     }  if (!this.hasNextPage) {
/* 289 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 291 */       this.nextPage.setEnabled(true);
/* 292 */     }  if (this.totalPages > 1) {
/* 293 */       this.goButton.setEnabled(true);
/* 294 */       this.text.setEnabled(true);
/*     */     } else {
/* 296 */       this.goButton.setEnabled(false);
/* 297 */       this.text.setEnabled(false);
/*     */     } 
/* 299 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int starto) {
/* 306 */     InstaurationFddbrInfo fddbrInfo = null;
/* 307 */     ArrayList<InstaurationFddbrInfo> list = this.dataManage.getSydwFddbrInfo("", this.unitId, this.fddbrName);
/* 308 */     if (list != null && list.size() > 0) {
/* 309 */       fddbrInfo = list.get(0);
/*     */       
/* 311 */       this.perInfo = this.dataManage.getAllCreditPersonInfo("", "", this.startNo, this.maxCount, fddbrInfo.getID_NUMBER(), "", "0", "", "false");
/* 312 */       if (this.perInfo != null) {
/* 313 */         Object object = this.perInfo;
/* 314 */         this.tableViewer.setInput(object);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 323 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 324 */       this.table.getItem(i)
/* 325 */         .setFont(
/* 326 */           6, 
/* 327 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 328 */             false, false));
/* 329 */       this.table.getItem(i).setForeground(6, 
/* 330 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 338 */     if (this.cursor != null)
/*     */     {
/* 340 */       this.cursor.dispose(); } 
/* 341 */     this.cursor = new TableCursor(this.table, 0);
/* 342 */     this.cursor.setBackground(this.table.getDisplay()
/* 343 */         .getSystemColor(26));
/* 344 */     this.cursor.setForeground(this.table.getDisplay()
/* 345 */         .getSystemColor(27));
/* 346 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 348 */             int colums = CreditPersonListDialog.this.cursor.getColumn();
/* 349 */             if (colums == 6) {
/* 350 */               CreditPersonListDialog.this.openView(CreditPersonListDialog.this.cursor.getRow(), colums);
/*     */             }
/* 352 */             CreditPersonListDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 355 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 358 */             int colums = CreditPersonListDialog.this.cursor.getColumn();
/* 359 */             if (colums == CreditPersonListDialog.this.selectColums && 
/* 360 */               colums == 6) {
/* 361 */               CreditPersonListDialog.this.openView(CreditPersonListDialog.this.cursor.getRow(), colums);
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 372 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 376 */             CreditPersonListDialog.this.getData((CreditPersonListDialog.this.currentPage - 2) * CreditPersonListDialog.this.maxCount + 1);
/* 377 */             CreditPersonListDialog.this.setPages(CreditPersonListDialog.this.currentPage - 1);
/* 378 */             CreditPersonListDialog.this.setFontColor();
/* 379 */             CreditPersonListDialog.this.setCursor();
/*     */           }
/*     */         });
/* 382 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 385 */             CreditPersonListDialog.this.getData(CreditPersonListDialog.this.currentPage * CreditPersonListDialog.this.maxCount + 1);
/* 386 */             CreditPersonListDialog.this.setPages(CreditPersonListDialog.this.currentPage + 1);
/* 387 */             CreditPersonListDialog.this.setFontColor();
/* 388 */             CreditPersonListDialog.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 392 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 394 */             if (VerifyFunction.isNumeric(CreditPersonListDialog.this.text.getText())) {
/* 395 */               int aa = Integer.parseInt(CreditPersonListDialog.this.text.getText());
/* 396 */               if (aa > CreditPersonListDialog.this.totalPages) {
/* 397 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 399 */                 CreditPersonListDialog.this.getData((aa - 1) * CreditPersonListDialog.this.maxCount + 1);
/* 400 */                 CreditPersonListDialog.this.setPages(aa);
/* 401 */                 CreditPersonListDialog.this.setFontColor();
/* 402 */                 CreditPersonListDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 405 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 413 */     super.initializeBounds();
/* 414 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView(TableItem tableItem, int colums) {
/* 421 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 422 */       .getSelection();
/* 423 */     CreditPersonInfo info = (CreditPersonInfo)select.getFirstElement();
/* 424 */     ArrayList<CreditPersonInfo> list = this.dataManage.getCreditPersonInfo(info.getGroupId(), info.getCreditId());
/* 425 */     if (list != null && list.size() > 0) {
/* 426 */       CreditInputDialog dialog = new CreditInputDialog(
/* 427 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 428 */           .getShell(), null, list.get(0), "old", 1, 1);
/* 429 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\fddbr\CreditPersonListDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */