/*      */ package cs.sydj.operation.credit.punish;
/*      */ 
/*      */ import cs.sydj.messageTrans.MessageSender;
/*      */ import cs.sydj.messageTrans.MessageSenderPlus;
/*      */ import cs.sydj.sys.messageconf.MessageProxy;
/*      */ import cs.sydj.util.messageutil.MessageXML;
/*      */ import java.io.File;
/*      */ import java.util.ArrayList;
/*      */ import java.util.HashMap;
/*      */ import javax.jms.JMSException;
/*      */ import server.sydj.operation.commons.Attachment;
/*      */ import server.sydj.operation.credit.punish.CreditXzcf;
/*      */ import server.sydj.operation.credit.punish.CreditXzcfWh;
/*      */ 
/*      */ 
/*      */ public class CreditPunishOperation
/*      */ {
/*   18 */   String operation = "CreditPunishOperation";
/*   19 */   HashMap messageParameter = new HashMap<Object, Object>();
/*   20 */   String messagexml = null;
/*   21 */   String replyxml = null;
/*   22 */   ArrayList result = new ArrayList();
/*   23 */   MessageSender sender = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllAttachmentList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*   38 */     this.messageParameter.put("groupId", groupId);
/*   39 */     this.messageParameter.put("districtCode", districtCode);
/*   40 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*   41 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*   42 */     this.messageParameter.put("sydwName", sydwName);
/*   43 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllAttachmentList", this.messageParameter);
/*      */     try {
/*   45 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*   46 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*   47 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*   48 */       this.result = MessageXML.XMLToList(this.replyxml);
/*   49 */     } catch (JMSException e) {
/*   50 */       e.printStackTrace();
/*      */     }
/*   52 */     catch (Exception e) {
/*   53 */       e.printStackTrace();
/*      */     } 
/*   55 */     return this.result;
/*      */   }
/*      */ 
/*      */   
/*      */   public String uploadAttachment(Attachment insinfo, String filePath) {
/*   60 */     String methodname = "uploadAttachment";
/*   61 */     String replyxml = null;
/*   62 */     String messagexml = MessageXML.getReplyXML(insinfo);
/*      */     try {
/*   64 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*   65 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*   66 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*   67 */     } catch (JMSException e) {
/*   68 */       e.printStackTrace();
/*   69 */     } catch (Exception e) {
/*   70 */       e.printStackTrace();
/*      */     } 
/*   72 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfWgxs(CreditXzcf xzcf, String filePath) {
/*   83 */     String methodname = "uploadXzcfWgxs";
/*   84 */     String replyxml = null;
/*   85 */     File tempFile = new File(filePath.trim());
/*   86 */     String fileName = tempFile.getName();
/*   87 */     xzcf.setFileName(fileName);
/*   88 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*   90 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*   91 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*   92 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*   93 */     } catch (JMSException e) {
/*   94 */       e.printStackTrace();
/*   95 */     } catch (Exception e) {
/*   96 */       e.printStackTrace();
/*      */     } 
/*   98 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfDcqz(CreditXzcf xzcf, String filePath) {
/*  109 */     String methodname = "uploadXzcfDcqz";
/*  110 */     String replyxml = null;
/*  111 */     File tempFile = new File(filePath.trim());
/*  112 */     String fileName = tempFile.getName();
/*  113 */     xzcf.setFileName(fileName);
/*  114 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  116 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  117 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  118 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  119 */     } catch (JMSException e) {
/*  120 */       e.printStackTrace();
/*  121 */     } catch (Exception e) {
/*  122 */       e.printStackTrace();
/*      */     } 
/*  124 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfCsBs(CreditXzcf xzcf, String filePath) {
/*  135 */     String methodname = "uploadXzcfCsBs";
/*  136 */     String replyxml = null;
/*  137 */     File tempFile = new File(filePath.trim());
/*  138 */     String fileName = tempFile.getName();
/*  139 */     xzcf.setFileName(fileName);
/*  140 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  142 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  143 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  144 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  145 */     } catch (JMSException e) {
/*  146 */       e.printStackTrace();
/*  147 */     } catch (Exception e) {
/*  148 */       e.printStackTrace();
/*      */     } 
/*  150 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfSdhc(CreditXzcf xzcf, String filePath) {
/*  161 */     String methodname = "uploadXzcfSdhc";
/*  162 */     String replyxml = null;
/*  163 */     File tempFile = new File(filePath.trim());
/*  164 */     String fileName = tempFile.getName();
/*  165 */     xzcf.setFileName(fileName);
/*  166 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  168 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  169 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  170 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  171 */     } catch (JMSException e) {
/*  172 */       e.printStackTrace();
/*  173 */     } catch (Exception e) {
/*  174 */       e.printStackTrace();
/*      */     } 
/*  176 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfDcqzByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  187 */     String methodname = "uploadXzcfDcqzByAttachGroupId";
/*  188 */     String replyxml = null;
/*  189 */     File tempFile = new File(filePath.trim());
/*  190 */     String fileName = tempFile.getName();
/*  191 */     xzcf.setFileName(fileName);
/*  192 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  194 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  195 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  196 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  197 */     } catch (JMSException e) {
/*  198 */       e.printStackTrace();
/*  199 */     } catch (Exception e) {
/*  200 */       e.printStackTrace();
/*      */     } 
/*  202 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfWgxsByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  213 */     String methodname = "uploadXzcfWgxsByAttachGroupId";
/*  214 */     String replyxml = null;
/*  215 */     File tempFile = new File(filePath.trim());
/*  216 */     String fileName = tempFile.getName();
/*  217 */     xzcf.setFileName(fileName);
/*  218 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  220 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  221 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  222 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  223 */     } catch (JMSException e) {
/*  224 */       e.printStackTrace();
/*  225 */     } catch (Exception e) {
/*  226 */       e.printStackTrace();
/*      */     } 
/*  228 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfSdhcByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  239 */     String methodname = "uploadXzcfSdhcByAttachGroupId";
/*  240 */     String replyxml = null;
/*  241 */     File tempFile = new File(filePath.trim());
/*  242 */     String fileName = tempFile.getName();
/*  243 */     xzcf.setFileName(fileName);
/*  244 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  246 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  247 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  248 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  249 */     } catch (JMSException e) {
/*  250 */       e.printStackTrace();
/*  251 */     } catch (Exception e) {
/*  252 */       e.printStackTrace();
/*      */     } 
/*  254 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String QueryAttachmentById(Attachment info) {
/*  264 */     String methodname = "QueryAttachmentById";
/*  265 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  266 */     messageParameter.put("id", info.getAttachmentId());
/*  267 */     String replyxml = null;
/*  268 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*      */     try {
/*  270 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  271 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  272 */       replyxml = sender.sendBytesVideoMessage(messagexml, null, info.getExtType());
/*  273 */     } catch (JMSException e) {
/*  274 */       e.printStackTrace();
/*  275 */     } catch (Exception e) {
/*  276 */       e.printStackTrace();
/*      */     } 
/*      */     
/*  279 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String QueryAttachmentPicById(Attachment info) {
/*  290 */     String methodname = "QueryAttachmentPicById";
/*  291 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  292 */     String replyxml = null;
/*  293 */     messageParameter.put("id", info.getAttachmentId());
/*  294 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*      */     
/*      */     try {
/*  297 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  298 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  299 */       replyxml = sender.getAttachFile(messagexml, info.getName(), info.getExtType());
/*  300 */     } catch (JMSException e) {
/*  301 */       e.printStackTrace();
/*  302 */     } catch (Exception e) {
/*  303 */       e.printStackTrace();
/*      */     } 
/*  305 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoByName(String sydwName) {
/*  316 */     this.messageParameter.put("sydwName", sydwName);
/*  317 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoByName", this.messageParameter);
/*      */     try {
/*  319 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  320 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  321 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  322 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  323 */     } catch (JMSException e) {
/*  324 */       e.printStackTrace();
/*      */     }
/*  326 */     catch (Exception e) {
/*  327 */       e.printStackTrace();
/*      */     } 
/*  329 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoBySydwId(String sydwId) {
/*  340 */     this.messageParameter.put("sydwId", sydwId);
/*  341 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoBySydwId", this.messageParameter);
/*      */     try {
/*  343 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  344 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  345 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  346 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  347 */     } catch (JMSException e) {
/*  348 */       e.printStackTrace();
/*      */     }
/*  350 */     catch (Exception e) {
/*  351 */       e.printStackTrace();
/*      */     } 
/*  353 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAllXzcfList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*  364 */     this.messageParameter.put("groupId", groupId);
/*  365 */     this.messageParameter.put("districtCode", districtCode);
/*  366 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  367 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  368 */     this.messageParameter.put("sydwName", sydwName);
/*  369 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllXzcfList", this.messageParameter);
/*      */     try {
/*  371 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  372 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  373 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  374 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  375 */     } catch (JMSException e) {
/*  376 */       e.printStackTrace();
/*      */     }
/*  378 */     catch (Exception e) {
/*  379 */       e.printStackTrace();
/*      */     } 
/*  381 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfListBySydwId(String groupId, String districtCode, int startNo, int maxCount, String sydwId) {
/*  392 */     this.messageParameter.put("groupId", groupId);
/*  393 */     this.messageParameter.put("districtCode", districtCode);
/*  394 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  395 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  396 */     this.messageParameter.put("sydwId", sydwId);
/*  397 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfListBySydwId", this.messageParameter);
/*      */     try {
/*  399 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  400 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  401 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  402 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  403 */     } catch (JMSException e) {
/*  404 */       e.printStackTrace();
/*      */     }
/*  406 */     catch (Exception e) {
/*  407 */       e.printStackTrace();
/*      */     } 
/*  409 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String saveXzcf(CreditXzcf xzcf, String userName) {
/*  420 */     this.messageParameter.put("xzcf", MessageXML.getReplyXML(xzcf));
/*  421 */     this.messageParameter.put("userName", userName);
/*  422 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveXzcf", this.messageParameter);
/*      */     try {
/*  424 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  425 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  426 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  427 */     } catch (JMSException e) {
/*  428 */       e.printStackTrace();
/*      */     }
/*  430 */     catch (Exception e) {
/*  431 */       e.printStackTrace();
/*      */     } 
/*  433 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAttachId(String id) {
/*  444 */     this.messageParameter.put("id", id);
/*  445 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAttachId", this.messageParameter);
/*      */     try {
/*  447 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  448 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  449 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  450 */     } catch (JMSException e) {
/*  451 */       e.printStackTrace();
/*      */     }
/*  453 */     catch (Exception e) {
/*  454 */       e.printStackTrace();
/*      */     } 
/*  456 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfById(String id) {
/*  467 */     this.messageParameter.put("id", id);
/*  468 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfById", this.messageParameter);
/*      */     try {
/*  470 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  471 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  472 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  473 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  474 */     } catch (JMSException e) {
/*  475 */       e.printStackTrace();
/*      */     }
/*  477 */     catch (Exception e) {
/*  478 */       e.printStackTrace();
/*      */     } 
/*  480 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByDcqzId(String id) {
/*  491 */     this.messageParameter.put("id", id);
/*  492 */     this.messageParameter.put("flg", "dcqz");
/*  493 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/*  495 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  496 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  497 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  498 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  499 */     } catch (JMSException e) {
/*  500 */       e.printStackTrace();
/*      */     }
/*  502 */     catch (Exception e) {
/*  503 */       e.printStackTrace();
/*      */     } 
/*  505 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByCsBsTjId(String id) {
/*  516 */     this.messageParameter.put("id", id);
/*  517 */     this.messageParameter.put("flg", "csbs");
/*  518 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/*  520 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  521 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  522 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  523 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  524 */     } catch (JMSException e) {
/*  525 */       e.printStackTrace();
/*      */     }
/*  527 */     catch (Exception e) {
/*  528 */       e.printStackTrace();
/*      */     } 
/*  530 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfByWgxsId(String id) {
/*  541 */     this.messageParameter.put("id", id);
/*  542 */     this.messageParameter.put("flg", "wgxs");
/*  543 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/*  545 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  546 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  547 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  548 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  549 */     } catch (JMSException e) {
/*  550 */       e.printStackTrace();
/*      */     }
/*  552 */     catch (Exception e) {
/*  553 */       e.printStackTrace();
/*      */     } 
/*  555 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfBySdhcId(String id) {
/*  566 */     this.messageParameter.put("id", id);
/*  567 */     this.messageParameter.put("flg", "sdhc");
/*  568 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfAttachById", this.messageParameter);
/*      */     try {
/*  570 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  571 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  572 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  573 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  574 */     } catch (JMSException e) {
/*  575 */       e.printStackTrace();
/*      */     }
/*  577 */     catch (Exception e) {
/*  578 */       e.printStackTrace();
/*      */     } 
/*  580 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getCreditCheckfByTjId(String attachGroupId) {
/*  591 */     this.messageParameter.put("attachGroupId", attachGroupId);
/*  592 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditCheckfByTjId", this.messageParameter);
/*      */     try {
/*  594 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  595 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  596 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  597 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  598 */     } catch (JMSException e) {
/*  599 */       e.printStackTrace();
/*      */     }
/*  601 */     catch (Exception e) {
/*  602 */       e.printStackTrace();
/*      */     } 
/*  604 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAttachmentDcqzList(String attachgroupId, int startNo, int maxCount) {
/*  615 */     this.messageParameter.put("attachgroupId", attachgroupId);
/*  616 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  617 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  618 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAttachmentDcqzList", this.messageParameter);
/*      */     try {
/*  620 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  621 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  622 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  623 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  624 */     } catch (JMSException e) {
/*  625 */       e.printStackTrace();
/*      */     }
/*  627 */     catch (Exception e) {
/*  628 */       e.printStackTrace();
/*      */     } 
/*  630 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAttachmentCsBsList(String attachgroupId, int startNo, int maxCount) {
/*  641 */     return getAttachmentDcqzList(attachgroupId, startNo, maxCount);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String updateXzcf(CreditXzcf xzcf) {
/*  652 */     this.messageParameter.put("xzcf", MessageXML.getReplyXML(xzcf));
/*  653 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateXzcf", this.messageParameter);
/*      */     try {
/*  655 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  656 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  657 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  658 */     } catch (JMSException e) {
/*  659 */       e.printStackTrace();
/*      */     }
/*  661 */     catch (Exception e) {
/*  662 */       e.printStackTrace();
/*      */     } 
/*  664 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delDcqzAttachById(String attachId) {
/*  674 */     this.messageParameter.put("attachId", attachId);
/*  675 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delDcqzAttachById", this.messageParameter);
/*      */     try {
/*  677 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  678 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  679 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  680 */     } catch (JMSException e) {
/*  681 */       e.printStackTrace();
/*      */     }
/*  683 */     catch (Exception e) {
/*  684 */       e.printStackTrace();
/*      */     } 
/*  686 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delCreditCheckAttachById(String attachId) {
/*  696 */     this.messageParameter.put("attachId", attachId);
/*  697 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delCreditCheckAttachById", this.messageParameter);
/*      */     try {
/*  699 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  700 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  701 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  702 */     } catch (JMSException e) {
/*  703 */       e.printStackTrace();
/*      */     }
/*  705 */     catch (Exception e) {
/*  706 */       e.printStackTrace();
/*      */     } 
/*  708 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getCreditCheckAttachById(String attachGroup) {
/*  718 */     this.messageParameter.put("attachGroup", attachGroup);
/*  719 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getCreditCheckAttachById", this.messageParameter);
/*      */     try {
/*  721 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  722 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  723 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  724 */     } catch (JMSException e) {
/*  725 */       e.printStackTrace();
/*      */     }
/*  727 */     catch (Exception e) {
/*  728 */       e.printStackTrace();
/*      */     } 
/*  730 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String delCreditXzcfAttachById(String attachId, String keyAttach) {
/*  741 */     this.messageParameter.put("attachId", attachId);
/*  742 */     this.messageParameter.put("keyAttach", keyAttach);
/*  743 */     this.messagexml = MessageXML.MessageToXML(this.operation, "delCreditXzcfAttachById", this.messageParameter);
/*      */     try {
/*  745 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  746 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  747 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  748 */     } catch (JMSException e) {
/*  749 */       e.printStackTrace();
/*      */     }
/*  751 */     catch (Exception e) {
/*  752 */       e.printStackTrace();
/*      */     } 
/*  754 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String uploadXzcfCsBsTjByAttachGroupId(CreditXzcf xzcf, String filePath) {
/*  765 */     String methodname = "uploadXzcfCsBsTjByAttachGroupId";
/*  766 */     String replyxml = null;
/*  767 */     File tempFile = new File(filePath.trim());
/*  768 */     String fileName = tempFile.getName();
/*  769 */     xzcf.setFileName(fileName);
/*  770 */     String messagexml = MessageXML.getReplyXML(xzcf);
/*      */     try {
/*  772 */       MessageSenderPlus sender = new MessageSenderPlus(MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/*  773 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/*  774 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, this.operation, methodname);
/*  775 */     } catch (JMSException e) {
/*  776 */       e.printStackTrace();
/*  777 */     } catch (Exception e) {
/*  778 */       e.printStackTrace();
/*      */     } 
/*  780 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getSydwInfoFddbrBySydwId(String sydwId) {
/*  796 */     this.messageParameter.put("sydwId", sydwId);
/*  797 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoFddbrBySydwId", this.messageParameter);
/*      */     try {
/*  799 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  800 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  801 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  802 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  803 */     } catch (JMSException e) {
/*  804 */       e.printStackTrace();
/*      */     }
/*  806 */     catch (Exception e) {
/*  807 */       e.printStackTrace();
/*      */     } 
/*  809 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getWsjbCountBySydwId(String sydwId) {
/*  819 */     this.messageParameter.put("sydwId", sydwId);
/*  820 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWsjbCountBySydwId", this.messageParameter);
/*      */     try {
/*  822 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  823 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  824 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  825 */     } catch (JMSException e) {
/*  826 */       e.printStackTrace();
/*      */     }
/*  828 */     catch (Exception e) {
/*  829 */       e.printStackTrace();
/*      */     } 
/*  831 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getXzcfWhByGljg(String groupId, String districtCode, String year) {
/*  842 */     this.messageParameter.put("groupId", groupId);
/*  843 */     this.messageParameter.put("districtCode", districtCode);
/*  844 */     this.messageParameter.put("year", year);
/*  845 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfWhByGljg", this.messageParameter);
/*      */     try {
/*  847 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  848 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  849 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  850 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  851 */     } catch (JMSException e) {
/*  852 */       e.printStackTrace();
/*      */     }
/*  854 */     catch (Exception e) {
/*  855 */       e.printStackTrace();
/*      */     } 
/*  857 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String updateXzcfWh(CreditXzcfWh xzcfWh) {
/*  868 */     this.messageParameter.put("xzcfWh", MessageXML.getReplyXML(xzcfWh));
/*  869 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateXzcfWh", this.messageParameter);
/*      */     try {
/*  871 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  872 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  873 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  874 */     } catch (JMSException e) {
/*  875 */       e.printStackTrace();
/*      */     }
/*  877 */     catch (Exception e) {
/*  878 */       e.printStackTrace();
/*      */     } 
/*  880 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getXzcfAttachCountById(String attGroupId) {
/*  890 */     String methodname = "getXzcfAttachCountById";
/*  891 */     String msgType = "short";
/*  892 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  893 */     String replyxml = null;
/*  894 */     messageParameter.put("attGroupId", attGroupId);
/*  895 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  896 */     return replyxml;
/*      */   }
/*      */   
/*      */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  900 */     String replyxml = "";
/*  901 */     String messagexml = MessageXML.MessageToXML(operation, methodname, messageParameter);
/*      */     try {
/*  903 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  904 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  905 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  906 */     } catch (JMSException e) {
/*  907 */       e.printStackTrace();
/*  908 */     } catch (Exception e) {
/*  909 */       e.printStackTrace();
/*      */     } 
/*  911 */     return replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getXzcfCountByWh(String flag, String groupId, String districtCode, String wh, String year) {
/*  921 */     this.messageParameter.put("groupId", groupId);
/*  922 */     this.messageParameter.put("districtCode", districtCode);
/*  923 */     this.messageParameter.put("wh", wh);
/*  924 */     this.messageParameter.put("year", year);
/*  925 */     this.messageParameter.put("flag", flag);
/*  926 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getXzcfCountByWh", this.messageParameter);
/*      */     try {
/*  928 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  929 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  930 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  931 */     } catch (JMSException e) {
/*  932 */       e.printStackTrace();
/*      */     }
/*  934 */     catch (Exception e) {
/*  935 */       e.printStackTrace();
/*      */     } 
/*  937 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getGjjXzcfCountByWh(String flag, String wh, String year) {
/*  948 */     this.messageParameter.put("wh", wh);
/*  949 */     this.messageParameter.put("year", year);
/*  950 */     this.messageParameter.put("flag", flag);
/*  951 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getGjjXzcfCountByWh", this.messageParameter);
/*      */     try {
/*  953 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  954 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  955 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  956 */     } catch (JMSException e) {
/*  957 */       e.printStackTrace();
/*      */     }
/*  959 */     catch (Exception e) {
/*  960 */       e.printStackTrace();
/*      */     } 
/*  962 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String saveGjjXzcfWh(CreditXzcfWh creditXzcfWh) {
/*  971 */     this.messageParameter.put("creditXzcfWh", MessageXML.getReplyXML(creditXzcfWh));
/*  972 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveGjjXzcfWh", this.messageParameter);
/*      */     try {
/*  974 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  975 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  976 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  977 */     } catch (JMSException e) {
/*  978 */       e.printStackTrace();
/*      */     }
/*  980 */     catch (Exception e) {
/*  981 */       e.printStackTrace();
/*      */     } 
/*  983 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getGjjXzcfWhByGljg(String year) {
/*  994 */     this.messageParameter.put("year", year);
/*  995 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getGjjXzcfWhByGljg", this.messageParameter);
/*      */     try {
/*  997 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  998 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  999 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 1000 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 1001 */     } catch (JMSException e) {
/* 1002 */       e.printStackTrace();
/*      */     }
/* 1004 */     catch (Exception e) {
/* 1005 */       e.printStackTrace();
/*      */     } 
/* 1007 */     return this.result;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\punish\CreditPunishOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */