/*     */ package cs.sydj.operation.credit.report;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import jxl.Workbook;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.credit.report.SyWsjbInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditReportView
/*     */   extends ViewPart
/*     */ {
/*     */   protected Label label_12;
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  88 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*  89 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*  90 */   CreditOperation creditOperation = new CreditOperation();
/*  91 */   private ArrayList list = new ArrayList();
/*  92 */   String alertMsg = "";
/*  93 */   int totalRows = 0;
/*  94 */   int maxCount = 15;
/*  95 */   int startNo = 1;
/*  96 */   int currentPage = 1;
/*  97 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 100 */   private String sydwnameStr = "";
/* 101 */   private TableCursor cursor = null;
/* 102 */   private int selectColums = 10;
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 107 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 111 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 115 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 119 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 123 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 127 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 137 */     Composite container = new Composite(parent, 0);
/* 138 */     container.setBackground(Display.getCurrent()
/* 139 */         .getSystemColor(1));
/* 140 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 142 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 143 */         container, 2816);
/* 144 */     scrolledComposite.setBackground(Display.getCurrent()
/* 145 */         .getSystemColor(1));
/* 146 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 147 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 148 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 150 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 151 */     this.composite_total.setBackground(Display.getCurrent()
/* 152 */         .getSystemColor(1));
/* 153 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 154 */     this.composite_total.setSize(800, 600);
/*     */     
/* 156 */     Composite composite = new Composite(this.composite_total, 0);
/* 157 */     composite.setBackground(Display.getCurrent()
/* 158 */         .getSystemColor(1));
/*     */     
/* 160 */     FormData fd_composite = new FormData();
/* 161 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 162 */     fd_composite.top = new FormAttachment(0, 20);
/* 163 */     composite.setLayoutData(fd_composite);
/* 164 */     GridLayout gridLayout = new GridLayout();
/* 165 */     gridLayout.numColumns = 3;
/* 166 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 168 */     Label label = new Label(composite, 0);
/* 169 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 170 */     label.setBackground(
/* 171 */         Display.getCurrent().getSystemColor(1));
/* 172 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 174 */     this.text = new Text(composite, 2048);
/* 175 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 176 */         false);
/* 177 */     gd_text.widthHint = 200;
/* 178 */     this.text.setLayoutData(gd_text);
/*     */     
/* 180 */     Button button = new Button(composite, 0);
/* 181 */     GridData gd_button = new GridData(16384, 16777216, true, 
/* 182 */         false);
/* 183 */     gd_button.heightHint = 20;
/* 184 */     button.setLayoutData(gd_button);
/* 185 */     button.setText("查询");
/*     */     
/* 187 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/*     */     
/* 189 */     this.table = this.tableViewer.getTable();
/* 190 */     FormData fd_table = new FormData();
/*     */     
/* 192 */     fd_table.bottom = new FormAttachment(0, 439);
/* 193 */     fd_table.right = new FormAttachment(100, -35);
/* 194 */     fd_table.top = new FormAttachment(0, 95);
/* 195 */     fd_table.left = new FormAttachment(0, 35);
/* 196 */     this.table.setLayoutData(fd_table);
/* 197 */     this.table.setLinesVisible(true);
/* 198 */     this.table.setHeaderVisible(true);
/* 199 */     PublicUtil.setTableHeight(this.table);
/* 200 */     PublicUtil.setMouseHands(this.table, "0#8#9#10");
/*     */     
/* 202 */     this.tableLayout = new TableLayout();
/* 203 */     this.table.setLayout((Layout)this.tableLayout);
/* 204 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 205 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 206 */     newColumnTableColumn.setAlignment(16777216);
/* 207 */     newColumnTableColumn.setText("事业单位名称");
/*     */     
/* 209 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 210 */     TableColumn newColumnTableColumn_5121 = new TableColumn(this.table, 
/* 211 */         16384);
/* 212 */     newColumnTableColumn_5121.setText("举报内容");
/*     */     
/* 214 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 215 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 216 */     newColumnTableColumn_2.setText("举报人");
/*     */     
/* 218 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 219 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 220 */         16777216);
/* 221 */     newColumnTableColumn_4.setText("举报时间");
/*     */     
/* 223 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 224 */     TableColumn newColumnTableColumn_511 = new TableColumn(this.table, 
/* 225 */         16384);
/* 226 */     newColumnTableColumn_511.setText("受理意见");
/*     */     
/* 228 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 229 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 230 */         16777216);
/* 231 */     newColumnTableColumn_5.setText("受理人");
/*     */     
/* 233 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 234 */     TableColumn newColumnTableColumn_51 = new TableColumn(this.table, 
/* 235 */         16777216);
/* 236 */     newColumnTableColumn_51.setText("受理时间");
/*     */     
/* 238 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 239 */     TableColumn newColumnTableColumn_5111 = new TableColumn(this.table, 
/* 240 */         16777216);
/* 241 */     newColumnTableColumn_5111.setText("状态");
/*     */     
/* 243 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 244 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 
/* 245 */         16777216);
/* 246 */     newColumnTableColumn_7.setText("");
/*     */     
/* 248 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 249 */     TableColumn newColumnTableColumn_71 = new TableColumn(this.table, 
/* 250 */         16777216);
/* 251 */     newColumnTableColumn_71.setText("");
/*     */     
/* 253 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 254 */     TableColumn newColumnTableColumn_711 = new TableColumn(this.table, 
/* 255 */         16777216);
/* 256 */     newColumnTableColumn_711.setText("");
/*     */     
/* 258 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 259 */     composite_3.setBackground(Display.getCurrent()
/* 260 */         .getSystemColor(1));
/* 261 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 263 */     fd_composite_3.bottom = new FormAttachment(0, 508);
/* 264 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 266 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 267 */     composite_3.setLayoutData(fd_composite_3);
/* 268 */     GridLayout gridLayout_3 = new GridLayout();
/* 269 */     gridLayout_3.numColumns = 5;
/* 270 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 274 */     Label label_8 = new Label(composite_3, 0);
/* 275 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 276 */     label_8.setBackground(Display.getCurrent()
/* 277 */         .getSystemColor(1));
/* 278 */     label_8.setText("");
/*     */     
/* 280 */     Button btnexcel = new Button(composite_3, 0);
/* 281 */     btnexcel.setLayoutData(new GridData(16777216, 128, false, false, 1, 1));
/* 282 */     btnexcel.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 285 */             ArrayList list = CreditReportView.this.creditOperation.getWsjbSydwExcelList(CreditReportView.this.groupId, CreditReportView.this.districtCode, CreditReportView.this.sydwnameStr);
/* 286 */             CreditReportView.this.saveExcel(list);
/*     */           }
/*     */         });
/* 289 */     btnexcel.setText("另存为excel");
/* 290 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 291 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditWsjbLableProvider());
/*     */ 
/*     */     
/* 294 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 296 */             CreditReportView.this.totalRows = 0;
/* 297 */             CreditReportView.this.currentPage = 1;
/* 298 */             CreditReportView.this.sydwnameStr = CreditReportView.this.text.getText();
/* 299 */             CreditReportView.this.startNo = 1;
/* 300 */             CreditReportView.this.list = CreditReportView.this.creditOperation
/* 301 */               .getAllWsjbSydwList(CreditReportView.this.groupId, CreditReportView.this.districtCode, CreditReportView.this.startNo, CreditReportView.this.maxCount, CreditReportView.this.sydwnameStr);
/* 302 */             CreditReportView.this.setFenYe(CreditReportView.this.list, CreditReportView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 307 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 308 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/*     */     
/* 310 */     GridLayout gridLayout_4 = new GridLayout();
/* 311 */     gridLayout_4.numColumns = 2;
/* 312 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 313 */     composite_fenye.setBackground(Display.getCurrent()
/* 314 */         .getSystemColor(1));
/* 315 */     FormData fd_composite_fenye = new FormData();
/* 316 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 317 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 318 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 319 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 320 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 322 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 323 */     composite_1
/* 324 */       .setLayoutData(new GridData(16384, 128, false, false));
/* 325 */     composite_1.setBackground(Display.getCurrent()
/* 326 */         .getSystemColor(1));
/* 327 */     GridLayout gridLayout_2 = new GridLayout();
/* 328 */     gridLayout_2.marginTop = 3;
/* 329 */     gridLayout_2.verticalSpacing = 0;
/* 330 */     gridLayout_2.marginWidth = 0;
/* 331 */     gridLayout_2.marginHeight = 0;
/* 332 */     gridLayout_2.horizontalSpacing = 2;
/* 333 */     gridLayout_2.numColumns = 7;
/* 334 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 336 */     Label label_1 = new Label(composite_1, 0);
/* 337 */     label_1.setBackground(Display.getCurrent()
/* 338 */         .getSystemColor(1));
/* 339 */     label_1.setText("页次：");
/*     */     
/* 341 */     this.label_2 = new Label(composite_1, 131072);
/* 342 */     this.label_2.setBackground(Display.getCurrent()
/* 343 */         .getSystemColor(1));
/* 344 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 345 */     if (this.totalPages == 0) {
/* 346 */       this.label_2.setText("0/0");
/*     */     } else {
/* 348 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 351 */     Label label_3 = new Label(composite_1, 0);
/* 352 */     label_3.setBackground(Display.getCurrent()
/* 353 */         .getSystemColor(1));
/* 354 */     label_3.setText("页  每页");
/*     */     
/* 356 */     Label label_4 = new Label(composite_1, 0);
/* 357 */     label_4.setBackground(Display.getCurrent()
/* 358 */         .getSystemColor(1));
/* 359 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 360 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 362 */     Label label_5 = new Label(composite_1, 0);
/* 363 */     label_5.setBackground(Display.getCurrent()
/* 364 */         .getSystemColor(1));
/* 365 */     label_5.setText("行  共");
/*     */     
/* 367 */     this.label_6 = new Label(composite_1, 0);
/* 368 */     this.label_6.setBackground(Display.getCurrent()
/* 369 */         .getSystemColor(1));
/* 370 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 371 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 373 */     Label label_7 = new Label(composite_1, 0);
/* 374 */     label_7.setBackground(Display.getCurrent()
/* 375 */         .getSystemColor(1));
/* 376 */     label_7.setText("行");
/*     */ 
/*     */     
/* 379 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 380 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, 
/* 381 */           false));
/* 382 */     GridLayout gridLayout_1 = new GridLayout();
/* 383 */     gridLayout_1.numColumns = 6;
/* 384 */     composite_2.setLayout((Layout)gridLayout_1);
/* 385 */     composite_2.setBackground(Display.getCurrent()
/* 386 */         .getSystemColor(1));
/*     */     
/* 388 */     this.button_1 = new Button(composite_2, 0);
/* 389 */     this.button_1.setText("上一页");
/* 390 */     if (!this.hasPreviousPage) {
/* 391 */       this.button_1.setEnabled(false);
/*     */     }
/* 393 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 395 */             CreditReportView.this.list = CreditReportView.this.creditOperation
/*     */               
/* 397 */               .getAllWsjbSydwList(CreditReportView.this.groupId, CreditReportView.this.districtCode, (CreditReportView.this.currentPage - 2) * CreditReportView.this.maxCount + 1, CreditReportView.this.maxCount, CreditReportView.this.sydwnameStr);
/* 398 */             CreditReportView.this.setFenYe(CreditReportView.this.list, CreditReportView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 402 */     this.button_2 = new Button(composite_2, 0);
/* 403 */     this.button_2.setText("下一页");
/* 404 */     if (!this.hasNextPage) {
/* 405 */       this.button_2.setEnabled(false);
/*     */     }
/* 407 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 409 */             CreditReportView.this.list = CreditReportView.this.creditOperation
/*     */               
/* 411 */               .getAllWsjbSydwList(CreditReportView.this.groupId, CreditReportView.this.districtCode, CreditReportView.this.currentPage * CreditReportView.this.maxCount + 1, CreditReportView.this.maxCount, CreditReportView.this.sydwnameStr);
/* 412 */             CreditReportView.this.setFenYe(CreditReportView.this.list, CreditReportView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 416 */     Label label_10 = new Label(composite_2, 0);
/* 417 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 418 */     label_10.setText("转至第");
/*     */     
/* 420 */     this.text_2 = new Text(composite_2, 2048);
/* 421 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 423 */     Label label_11 = new Label(composite_2, 0);
/* 424 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 425 */     label_11.setText("页");
/*     */     
/* 427 */     Button goButton = new Button(composite_2, 0);
/* 428 */     goButton.setText("GO");
/*     */     
/* 430 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 432 */             if (VerifyFunction.isNumeric(CreditReportView.this.text_2.getText())) {
/* 433 */               int aa = Integer.parseInt(CreditReportView.this.text_2.getText());
/* 434 */               if (aa > CreditReportView.this.totalPages) {
/* 435 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 437 */                 CreditReportView.this.list = CreditReportView.this.creditOperation
/*     */                   
/* 439 */                   .getAllWsjbSydwList(CreditReportView.this.groupId, CreditReportView.this.districtCode, (aa - 1) * CreditReportView.this.maxCount + 1, CreditReportView.this.maxCount, CreditReportView.this.sydwnameStr);
/* 440 */                 CreditReportView.this.setFenYe(CreditReportView.this.list, aa);
/* 441 */                 CreditReportView.this.setFontColor();
/* 442 */                 CreditReportView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 445 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 451 */     Label label_9 = new Label(this.composite_total, 0);
/* 452 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 453 */     FormData fd_label_9 = new FormData();
/* 454 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 455 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 456 */     fd_label_9.top = new FormAttachment(0, 85);
/* 457 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 459 */     this.label_12 = new Label(this.composite_total, 0);
/* 460 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 461 */     this.label_12.setBackground(Display.getCurrent()
/* 462 */         .getSystemColor(1));
/* 463 */     FormData fd_label_12 = new FormData();
/* 464 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 465 */     fd_label_12.top = new FormAttachment(0, 70);
/* 466 */     fd_label_12.right = new FormAttachment(0, 240);
/* 467 */     this.label_12.setLayoutData(fd_label_12);
/* 468 */     this.label_12.setText("被举报事业单位列表");
/*     */     
/* 470 */     scrolledComposite.setContent((Control)this.composite_total);
/* 471 */     createActions();
/* 472 */     initializeToolBar();
/* 473 */     initializeMenu();
/*     */     
/* 475 */     initTypeView();
/*     */     
/* 477 */     this.list = this.creditOperation
/* 478 */       .getAllWsjbSydwList(this.groupId, this.districtCode, this.startNo, this.maxCount, this.sydwnameStr);
/* 479 */     this.tableViewer.setInput(this.list);
/* 480 */     if (this.list != null && this.list.size() > 0) {
/* 481 */       this.totalRows = ((SyWsjbInfo)this.list.get(0)).getTotalRows();
/* 482 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 483 */       this.totalPages = pu.getTotalPages();
/* 484 */       this.currentPage = pu.getCurrentPage();
/* 485 */       this.hasNextPage = pu.isHasNextPage();
/* 486 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 488 */       setFenYe(this.list, this.currentPage);
/* 489 */       setFontColor();
/* 490 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 498 */     if (this.cursor != null)
/* 499 */       this.cursor.dispose(); 
/* 500 */     this.cursor = new TableCursor(this.table, 0);
/* 501 */     this.cursor.setBackground(this.table.getDisplay()
/* 502 */         .getSystemColor(26));
/* 503 */     this.cursor.setForeground(this.table.getDisplay()
/* 504 */         .getSystemColor(27));
/* 505 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 507 */             int colums = CreditReportView.this.cursor.getColumn();
/* 508 */             IStructuredSelection select = (IStructuredSelection)CreditReportView.this.tableViewer.getSelection();
/* 509 */             SyWsjbInfo insinfo = (SyWsjbInfo)select.getFirstElement();
/* 510 */             if (colums == 0) {
/* 511 */               CreditReportView.this.openViewDialog();
/*     */             }
/* 513 */             if (colums == 8 && 
/* 514 */               !"1".equals(insinfo.getACCEPTED())) {
/* 515 */               CreditReportView.this.dealWithWsjb();
/*     */             }
/*     */             
/* 518 */             if (colums == 9 && 
/* 519 */               !"1".equals(insinfo.getACCEPTED())) {
/* 520 */               boolean flags = SydjMessageDialog.openConfirm(null, "提示", 
/* 521 */                   "确定后该举报信息将被删除！\n\r请谨慎操作。 确认删除举报记录吗？");
/* 522 */               if (flags) {
/* 523 */                 String Flag = CreditReportView.this.creditOperation.delCreditReport(insinfo);
/* 524 */                 if ("true".equals(Flag)) {
/* 525 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 526 */                       "删除成功！");
/* 527 */                   CreditReportView.this.redraw();
/*     */                 } else {
/* 529 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 530 */                       "删除失败！");
/*     */                   
/*     */                   return;
/*     */                 } 
/*     */               } 
/*     */             } 
/* 536 */             if (colums == 10) {
/* 537 */               CreditReportView.this.openWsjbAttachDialog();
/*     */             }
/* 539 */             CreditReportView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 542 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 545 */             int colums = CreditReportView.this.cursor.getColumn();
/* 546 */             if (colums == CreditReportView.this.selectColums) {
/* 547 */               IStructuredSelection select = (IStructuredSelection)CreditReportView.this.tableViewer.getSelection();
/* 548 */               SyWsjbInfo insinfo = (SyWsjbInfo)select.getFirstElement();
/* 549 */               if (colums == 0) {
/* 550 */                 CreditReportView.this.openViewDialog();
/*     */               }
/* 552 */               if (colums == 8 && 
/* 553 */                 !"1".equals(insinfo.getACCEPTED())) {
/* 554 */                 CreditReportView.this.dealWithWsjb();
/*     */               }
/*     */               
/* 557 */               if (colums == 9 && 
/* 558 */                 !"1".equals(insinfo.getACCEPTED())) {
/* 559 */                 boolean flags = SydjMessageDialog.openConfirm(null, 
/* 560 */                     "提示", "确定后该举报信息将被删除！\n\r请谨慎操作。 确认删除举报记录吗？");
/* 561 */                 if (flags) {
/*     */                   
/* 563 */                   String Flag = CreditReportView.this.creditOperation
/* 564 */                     .delCreditReport(insinfo);
/* 565 */                   if ("true".equals(Flag)) {
/* 566 */                     SydjMessageDialog.openInformation(null, "提示", 
/* 567 */                         "删除成功！");
/* 568 */                     CreditReportView.this.redraw();
/*     */                   } else {
/* 570 */                     SydjMessageDialog.openInformation(null, "提示", 
/* 571 */                         "删除失败！");
/*     */                     
/*     */                     return;
/*     */                   } 
/*     */                 } 
/*     */               } 
/* 577 */               if (colums == 10) {
/* 578 */                 CreditReportView.this.openWsjbAttachDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openWsjbAttachDialog() {
/* 588 */     int colums = this.cursor.getColumn();
/* 589 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 590 */     SyWsjbInfo info = (SyWsjbInfo)select.getFirstElement();
/* 591 */     String attachGroupId = info.getAttachGroup();
/* 592 */     if (!PublicUtil.isNull(attachGroupId) && !attachGroupId.equals("0")) {
/* 593 */       CreditWsjbAttachListDialog xv = new CreditWsjbAttachListDialog(this.composite_total.getShell(), attachGroupId);
/* 594 */       if (xv.open() == 0) {
/* 595 */         redraw();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openViewDialog() {
/* 603 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 604 */       .getSelection();
/* 605 */     SyWsjbInfo insinfo = (SyWsjbInfo)select.getFirstElement();
/* 606 */     CreditWsjbDialog dialog = new CreditWsjbDialog(
/* 607 */         this.composite_total.getShell(), insinfo, "view");
/* 608 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void dealWithWsjb() {
/* 614 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 615 */       .getSelection();
/* 616 */     SyWsjbInfo insinfo = (SyWsjbInfo)select.getFirstElement();
/* 617 */     CreditWsjbDialog dialog = new CreditWsjbDialog(
/* 618 */         this.composite_total.getShell(), insinfo, "edit");
/* 619 */     if (dialog.open() == 0) {
/* 620 */       String Flag = this.creditOperation.updateCreditReport(insinfo, 
/* 621 */           GljgUserInfo.getInstance().getRealname());
/* 622 */       if (Flag != null) {
/* 623 */         if ("true".equals(Flag)) {
/* 624 */           SydjMessageDialog.openInformation(null, "提示", "受理成功！");
/* 625 */           redraw();
/*     */         } else {
/* 627 */           SydjMessageDialog.openInformation(null, "提示", "受理失败！");
/*     */           return;
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 638 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 639 */       this.table.getItem(i)
/* 640 */         .setFont(
/* 641 */           0, 
/* 642 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 643 */             false, false));
/* 644 */       this.table.getItem(i).setForeground(0, 
/* 645 */           SWTResourceManager.getColor(37, 26, 181));
/* 646 */       this.table.getItem(i)
/* 647 */         .setFont(
/* 648 */           8, 
/* 649 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 650 */             false, false));
/* 651 */       this.table.getItem(i).setForeground(8, 
/* 652 */           SWTResourceManager.getColor(37, 26, 181));
/* 653 */       this.table.getItem(i)
/* 654 */         .setFont(
/* 655 */           9, 
/* 656 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 657 */             false, false));
/* 658 */       this.table.getItem(i).setForeground(9, 
/* 659 */           SWTResourceManager.getColor(37, 26, 181));
/* 660 */       this.table.getItem(i)
/* 661 */         .setFont(
/* 662 */           10, 
/* 663 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 664 */             false, false));
/* 665 */       this.table.getItem(i).setForeground(10, 
/* 666 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<SyWsjbInfo> list, int nextcurrentPage) {
/* 671 */     this.totalRows = 0;
/* 672 */     if (list != null && list.size() > 0) {
/* 673 */       this.totalRows = ((SyWsjbInfo)list.get(0)).getTotalRows();
/*     */     }
/* 675 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 676 */     this.totalPages = pu.getTotalPages();
/* 677 */     this.currentPage = pu.getCurrentPage();
/* 678 */     this.hasNextPage = pu.isHasNextPage();
/* 679 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 680 */     this.startNo = pu.getStartNum();
/* 681 */     this.tableViewer.setInput(list);
/* 682 */     setFontColor();
/* 683 */     setCursor();
/* 684 */     if (this.totalPages == 0) {
/* 685 */       this.label_2.setText("0/0");
/*     */     } else {
/* 687 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 689 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 690 */     this.label_6.getParent().getParent().layout();
/* 691 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 692 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 700 */     this.list = this.creditOperation
/* 701 */       .getAllWsjbSydwList(this.groupId, this.districtCode, this.startNo, this.maxCount, this.sydwnameStr);
/* 702 */     this.tableViewer.setInput(this.list);
/* 703 */     setFontColor();
/* 704 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 718 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 719 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 726 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 727 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void saveExcel(ArrayList list) {
/* 744 */     String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + "被举报事业单位列表.xls";
/* 745 */     OpenAndSaveDialog dialog = new OpenAndSaveDialog(
/* 746 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), "被举报事业单位列表", "Excel文件(.xls)");
/* 747 */     int returnValue = dialog.open();
/*     */     
/* 749 */     if (returnValue == 0) {
/*     */       
/*     */       try {
/* 752 */         boolean flag = writeExcel(list, fileName);
/* 753 */         if (flag) {
/* 754 */           Program.launch(fileName);
/*     */         } else {
/* 756 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */         } 
/* 758 */       } catch (Exception e) {
/* 759 */         e.printStackTrace();
/* 760 */         SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */       } 
/* 762 */     } else if (returnValue == 16) {
/* 763 */       SaveDialog save = new SaveDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell());
/* 764 */       save.setFileName("被举报事业单位列表");
/* 765 */       save.setFilterExtensions(new String[] { "*.xls" });
/* 766 */       fileName = save.open();
/* 767 */       if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 768 */         fileName = String.valueOf(fileName) + ".xls";
/*     */       }
/*     */       try {
/* 771 */         boolean flag = writeExcel(list, fileName);
/* 772 */         if (flag) {
/* 773 */           LoadSuccessDialog succ = new LoadSuccessDialog(
/* 774 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), fileName);
/* 775 */           succ.open();
/*     */         } else {
/* 777 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */         } 
/* 779 */       } catch (Exception e) {
/* 780 */         e.printStackTrace();
/* 781 */         SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean writeExcel(ArrayList<SyWsjbInfo> list, String filePath) {
/* 797 */     boolean flag = true;
/* 798 */     WritableWorkbook wwb = null;
/* 799 */     SyWsjbInfo mod = null;
/*     */     try {
/* 801 */       wwb = Workbook.createWorkbook(new File(filePath));
/*     */ 
/*     */       
/* 804 */       WritableFont titleFonts = new WritableFont(WritableFont.createFont("宋体"), 15, 
/* 805 */           WritableFont.BOLD);
/*     */       
/* 807 */       WritableCellFormat titleFormats = new WritableCellFormat(titleFonts);
/* 808 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 809 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 810 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 811 */       titleFormats.setWrap(true);
/* 812 */       WritableFont titleFontt = new WritableFont(WritableFont.createFont("宋体"), 10, 
/* 813 */           WritableFont.BOLD);
/*     */       
/* 815 */       WritableCellFormat titleFormatt = new WritableCellFormat(titleFontt);
/* 816 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 817 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 818 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 819 */       titleFormatt.setWrap(true);
/* 820 */       WritableFont titleFont = new WritableFont(WritableFont.createFont("宋体"), 9, 
/* 821 */           WritableFont.BOLD);
/*     */       
/* 823 */       WritableCellFormat titleFormat = new WritableCellFormat(titleFont);
/* 824 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 825 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/*     */       
/* 827 */       titleFormat.setWrap(true);
/* 828 */       WritableSheet ws = wwb.createSheet("被举报事业单位列表", 0);
/* 829 */       ws.setColumnView(0, 20);
/* 830 */       ws.setColumnView(1, 60);
/* 831 */       ws.setColumnView(2, 20);
/* 832 */       ws.setColumnView(3, 20);
/* 833 */       ws.setColumnView(4, 60);
/* 834 */       ws.setColumnView(5, 20);
/* 835 */       ws.setColumnView(6, 20);
/* 836 */       ws.setColumnView(7, 20);
/* 837 */       Label sydwName = new Label(0, 0, "事业单位名称", (CellFormat)titleFormat);
/* 838 */       ws.addCell((WritableCell)sydwName);
/* 839 */       Label content = new Label(1, 0, "举报内容", (CellFormat)titleFormat);
/* 840 */       ws.addCell((WritableCell)content);
/* 841 */       Label jbrName = new Label(2, 0, "举报人", (CellFormat)titleFormat);
/* 842 */       ws.addCell((WritableCell)jbrName);
/* 843 */       Label jbDate = new Label(3, 0, "举报时间", (CellFormat)titleFormat);
/* 844 */       ws.addCell((WritableCell)jbDate);
/* 845 */       Label opinion = new Label(4, 0, "受理意见", (CellFormat)titleFormat);
/* 846 */       ws.addCell((WritableCell)opinion);
/* 847 */       Label acceptUser = new Label(5, 0, "受理人", (CellFormat)titleFormat);
/* 848 */       ws.addCell((WritableCell)acceptUser);
/* 849 */       Label acceptDate = new Label(6, 0, "受理时间", (CellFormat)titleFormat);
/* 850 */       ws.addCell((WritableCell)acceptDate);
/* 851 */       Label state = new Label(7, 0, "状态", (CellFormat)titleFormat);
/* 852 */       ws.addCell((WritableCell)state);
/*     */       
/* 854 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 855 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 856 */       titleFormattt.setWrap(true);
/* 857 */       int row = 1;
/* 858 */       for (int i = 0; i < list.size(); i++) {
/* 859 */         mod = list.get(i);
/* 860 */         Label name = new Label(0, row, mod.getSYDW_NAME_FIRST(), (CellFormat)titleFormattt);
/* 861 */         ws.addCell((WritableCell)name);
/* 862 */         Label topic = new Label(1, row, mod.getREPORT_TOPIC(), (CellFormat)titleFormattt);
/* 863 */         ws.addCell((WritableCell)topic);
/* 864 */         Label jbName = new Label(2, row, mod.getJBR_NAME(), (CellFormat)titleFormattt);
/* 865 */         ws.addCell((WritableCell)jbName);
/* 866 */         Label createDate = new Label(3, row, mod.getCREATED_DATE(), (CellFormat)titleFormattt);
/* 867 */         ws.addCell((WritableCell)createDate);
/* 868 */         Label opinion1 = new Label(4, row, mod.getACCEPT_OPINION(), (CellFormat)titleFormattt);
/* 869 */         ws.addCell((WritableCell)opinion1);
/* 870 */         Label accUser = new Label(5, row, mod.getACCEPT_USER(), (CellFormat)titleFormattt);
/* 871 */         ws.addCell((WritableCell)accUser);
/* 872 */         Label accDate = new Label(6, row, mod.getACCEPT_DATE(), (CellFormat)titleFormattt);
/* 873 */         ws.addCell((WritableCell)accDate);
/* 874 */         String str = "";
/* 875 */         if ("1".equals(mod.getACCEPTED()))
/* 876 */           str = "已受理"; 
/* 877 */         if ("0".equals(mod.getACCEPTED()))
/* 878 */           str = "待受理"; 
/* 879 */         if ("2".equals(mod.getACCEPTED()))
/* 880 */           str = "未通过"; 
/* 881 */         Label jbState = new Label(7, row, str, (CellFormat)titleFormattt);
/* 882 */         ws.addCell((WritableCell)jbState);
/* 883 */         row++;
/*     */       } 
/* 885 */       wwb.write();
/* 886 */     } catch (Exception e) {
/* 887 */       e.printStackTrace();
/* 888 */       flag = false;
/*     */     } finally {
/* 890 */       if (wwb != null)
/*     */         try {
/* 892 */           wwb.close();
/* 893 */         } catch (IOException e) {
/* 894 */           e.printStackTrace();
/*     */         }  
/*     */     } 
/* 897 */     return flag;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\report\CreditReportView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */