/*     */ package cs.sydj.operation.credit.report;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.credit.report.SyWsjbInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditWsjbDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_link_mail;
/*     */   private Text text_link_tel;
/*     */   private Text text_opinin;
/*     */   private Text text_report_topic;
/*     */   private Text text_jbr_name;
/*     */   private Text text_sydw_first;
/*     */   private Text text_state;
/*     */   private Combo combo_accepted;
/*     */   private String flag;
/*  39 */   private Composite container = null;
/*     */   
/*  41 */   private SyWsjbInfo insinfo = new SyWsjbInfo();
/*     */   
/*  43 */   private int returnValue = 1;
/*     */   
/*     */   public int getReturnValue() {
/*  46 */     return this.returnValue;
/*     */   }
/*     */   private Group group;
/*     */   public void setReturnValue(int returnValue) {
/*  50 */     this.returnValue = returnValue;
/*     */   }
/*     */   
/*     */   public SyWsjbInfo getInsinfo() {
/*  54 */     return this.insinfo;
/*     */   }
/*     */   
/*     */   public void setInsinfo(SyWsjbInfo insinfo) {
/*  58 */     this.insinfo = insinfo;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditWsjbDialog(Shell parentShell, SyWsjbInfo insinfo, String flag) {
/*  70 */     super(parentShell);
/*  71 */     setShellStyle(66560);
/*  72 */     this.insinfo = insinfo;
/*  73 */     this.flag = flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*     */     try {
/*  84 */       parent.setBackground(Display.getCurrent()
/*  85 */           .getSystemColor(1));
/*  86 */       parent.setBackgroundMode(2);
/*  87 */       this.container = (Composite)super.createDialogArea(parent);
/*  88 */       this.container.setLayout((Layout)new FillLayout());
/*     */       
/*  90 */       ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  91 */           this.container, 2816);
/*  92 */       scrolledComposite.getVerticalBar().setIncrement(15);
/*  93 */       scrolledComposite.getHorizontalBar().setIncrement(15);
/*  94 */       scrolledComposite.setExpandHorizontal(true);
/*     */       
/*  96 */       this.group = new Group((Composite)scrolledComposite, 0);
/*  97 */       this.group.setBackground(Display.getCurrent()
/*  98 */           .getSystemColor(1));
/*  99 */       this.group.setLocation(0, 0);
/* 100 */       GridLayout gridLayout = new GridLayout();
/* 101 */       gridLayout.verticalSpacing = 0;
/* 102 */       gridLayout.horizontalSpacing = 0;
/* 103 */       gridLayout.numColumns = 20;
/* 104 */       this.group.setLayout((Layout)gridLayout);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 111 */       Label label_184 = new Label((Composite)this.group, 0);
/* 112 */       label_184.setFont(SWTResourceManager.getFont("", 14, 1));
/* 113 */       label_184.setBackground(Display.getCurrent()
/* 114 */           .getSystemColor(1));
/* 115 */       GridData gd_label_184 = new GridData(16777216, 16384, 
/* 116 */           false, false, 16, 1);
/* 117 */       gd_label_184.heightHint = 20;
/* 118 */       label_184.setLayoutData(gd_label_184);
/* 119 */       label_184.setText("网上举报信息表");
/*     */ 
/*     */ 
/*     */       
/* 123 */       Label label_53 = new Label((Composite)this.group, 0);
/* 124 */       label_53.setLayoutData(new GridData(16384, 16777216, false, 
/* 125 */             false, 1, 2));
/* 126 */       label_53.setText("网上举报信息：");
/*     */       
/* 128 */       Label label_183 = new Label((Composite)this.group, 258);
/*     */       
/* 130 */       label_183.setBackground(Display.getCurrent()
/* 131 */           .getSystemColor(1));
/* 132 */       label_183.setLayoutData(new GridData(4, 16777216, false, 
/* 133 */             false, 20, 1));
/*     */       
/* 135 */       Label label_181 = new Label((Composite)this.group, 2);
/* 136 */       label_181.setBackground(Display.getCurrent()
/* 137 */           .getSystemColor(1));
/* 138 */       GridData gd_label_181 = new GridData(4, 4, 
/* 139 */           false, false);
/* 140 */       gd_label_181.heightHint = 30;
/* 141 */       label_181.setLayoutData(gd_label_181);
/*     */       
/* 143 */       Composite composite_3 = new Composite((Composite)this.group, 0);
/* 144 */       composite_3.setBackground(Display.getCurrent()
/* 145 */           .getSystemColor(1));
/* 146 */       composite_3.setLayoutData(new GridData(4, 4, false, 
/* 147 */             false, 18, 1));
/* 148 */       GridLayout gridLayout_4 = new GridLayout();
/* 149 */       composite_3.setLayout((Layout)gridLayout_4);
/*     */       
/* 151 */       Label label_25 = new Label(composite_3, 0);
/* 152 */       label_25.setBackground(Display.getCurrent()
/* 153 */           .getSystemColor(1));
/* 154 */       label_25.setText("（注：带*的项目必须填）");
/*     */       
/* 156 */       Label label_182 = new Label((Composite)this.group, 2);
/* 157 */       label_182.setBackground(Display.getCurrent()
/* 158 */           .getSystemColor(1));
/* 159 */       GridData gd_label_182 = new GridData(4, 4, 
/* 160 */           false, false);
/* 161 */       gd_label_182.heightHint = 30;
/* 162 */       label_182.setLayoutData(gd_label_182);
/*     */       
/* 164 */       Label label_179 = new Label((Composite)this.group, 258);
/*     */       
/* 166 */       label_179.setBackground(Display.getCurrent()
/* 167 */           .getSystemColor(1));
/* 168 */       label_179.setLayoutData(new GridData(4, 4, false, 
/* 169 */             false, 20, 1));
/*     */       
/* 171 */       Label label_176 = new Label((Composite)this.group, 2);
/* 172 */       label_176.setBackground(Display.getCurrent()
/* 173 */           .getSystemColor(1));
/* 174 */       GridData gd_label_176 = new GridData(4, 16777216, 
/* 175 */           false, false);
/* 176 */       gd_label_176.heightHint = 30;
/* 177 */       label_176.setLayoutData(gd_label_176);
/*     */       
/* 179 */       Label label_175 = new Label((Composite)this.group, 0);
/* 180 */       label_175.setBackground(Display.getCurrent()
/* 181 */           .getSystemColor(1));
/* 182 */       label_175.setLayoutData(new GridData(16777216, 16777216, false, 
/* 183 */             false, 2, 1));
/* 184 */       label_175.setText("单位名称");
/*     */       
/* 186 */       Label label_177 = new Label((Composite)this.group, 2);
/* 187 */       label_177.setBackground(Display.getCurrent()
/* 188 */           .getSystemColor(1));
/* 189 */       GridData gd_label_177 = new GridData(4, 4, 
/* 190 */           false, false);
/* 191 */       gd_label_177.heightHint = 30;
/* 192 */       label_177.setLayoutData(gd_label_177);
/*     */       
/* 194 */       this.text_sydw_first = new Text((Composite)this.group, 2048);
/* 195 */       this.text_sydw_first.setBackground(Display.getCurrent()
/* 196 */           .getSystemColor(1));
/* 197 */       this.text_sydw_first.setLayoutData(new GridData(4, 16777216, 
/* 198 */             true, false, 15, 1));
/*     */       
/* 200 */       Label label_178 = new Label((Composite)this.group, 2);
/* 201 */       label_178.setBackground(Display.getCurrent()
/* 202 */           .getSystemColor(1));
/* 203 */       GridData gd_label_178 = new GridData(4, 16777216, 
/* 204 */           false, false);
/* 205 */       gd_label_178.heightHint = 30;
/* 206 */       label_178.setLayoutData(gd_label_178);
/*     */       
/* 208 */       Label label_99222 = new Label((Composite)this.group, 258);
/*     */       
/* 210 */       label_99222.setBackground(Display.getCurrent()
/* 211 */           .getSystemColor(1));
/* 212 */       label_99222.setLayoutData(new GridData(4, 16777216, false, 
/* 213 */             false, 20, 1));
/*     */       
/* 215 */       Label label_171 = new Label((Composite)this.group, 2);
/* 216 */       label_171.setBackground(Display.getCurrent()
/* 217 */           .getSystemColor(1));
/* 218 */       GridData gd_label_171 = new GridData(4, 16777216, 
/* 219 */           false, false);
/* 220 */       gd_label_171.heightHint = 30;
/* 221 */       label_171.setLayoutData(gd_label_171);
/*     */       
/* 223 */       Label label_170 = new Label((Composite)this.group, 0);
/* 224 */       label_170.setBackground(Display.getCurrent()
/* 225 */           .getSystemColor(1));
/* 226 */       label_170.setLayoutData(new GridData(16777216, 16777216, false, 
/* 227 */             false, 2, 1));
/* 228 */       label_170.setText("举报人姓名");
/*     */       
/* 230 */       Label label_172 = new Label((Composite)this.group, 2);
/* 231 */       label_172.setBackground(Display.getCurrent()
/* 232 */           .getSystemColor(1));
/* 233 */       GridData gd_label_172 = new GridData(4, 16777216, 
/* 234 */           false, false);
/* 235 */       gd_label_172.heightHint = 30;
/* 236 */       label_172.setLayoutData(gd_label_172);
/*     */       
/* 238 */       this.text_jbr_name = new Text((Composite)this.group, 2048);
/* 239 */       this.text_jbr_name.setLayoutData(new GridData(4, 16777216, 
/* 240 */             true, false, 15, 1));
/* 241 */       this.text_jbr_name.setTextLimit(100);
/*     */       
/* 243 */       Label label_173 = new Label((Composite)this.group, 2);
/* 244 */       label_173.setBackground(Display.getCurrent()
/* 245 */           .getSystemColor(1));
/* 246 */       GridData gd_label_173 = new GridData(4, 16777216, 
/* 247 */           false, false);
/* 248 */       gd_label_173.heightHint = 30;
/* 249 */       label_173.setLayoutData(gd_label_173);
/*     */       
/* 251 */       Label label_33 = new Label((Composite)this.group, 258);
/*     */       
/* 253 */       label_33.setLayoutData(new GridData(4, 16777216, false, 
/* 254 */             false, 20, 1));
/*     */       
/* 256 */       Label label_2_1 = new Label((Composite)this.group, 2);
/* 257 */       label_2_1.setBackground(Display.getCurrent()
/* 258 */           .getSystemColor(1));
/* 259 */       GridData gd_label_2_1 = new GridData(4, 4, 
/* 260 */           false, false);
/* 261 */       gd_label_2_1.widthHint = 2;
/* 262 */       gd_label_2_1.heightHint = 30;
/* 263 */       label_2_1.setLayoutData(gd_label_2_1);
/*     */       
/* 265 */       Label label = new Label((Composite)this.group, 16777216);
/* 266 */       label.setBackground(Display.getCurrent()
/* 267 */           .getSystemColor(1));
/* 268 */       GridData gd_label = new GridData(4, 16777216, false, 
/* 269 */           false, 2, 1);
/* 270 */       gd_label.widthHint = 46;
/* 271 */       label.setLayoutData(gd_label);
/* 272 */       label.setText("举报人电话");
/*     */       
/* 274 */       Label label_2 = new Label((Composite)this.group, 2);
/* 275 */       label_2.setBackground(Display.getCurrent()
/* 276 */           .getSystemColor(1));
/* 277 */       GridData gd_label_2 = new GridData(16384, 4, false, 
/* 278 */           false);
/* 279 */       gd_label_2.widthHint = 2;
/* 280 */       gd_label_2.heightHint = 30;
/* 281 */       label_2.setLayoutData(gd_label_2);
/*     */       
/* 283 */       this.text_link_tel = new Text((Composite)this.group, 2048);
/* 284 */       this.text_link_tel.setBackground(Display.getCurrent()
/* 285 */           .getSystemColor(1));
/* 286 */       this.text_link_tel.setLayoutData(new GridData(4, 16777216, 
/* 287 */             true, false));
/*     */       
/* 289 */       Label label_2_2 = new Label((Composite)this.group, 2);
/* 290 */       label_2_2.setBackground(Display.getCurrent()
/* 291 */           .getSystemColor(1));
/* 292 */       GridData gd_label_2_2 = new GridData(16384, 4, 
/* 293 */           false, false);
/* 294 */       gd_label_2_2.heightHint = 30;
/* 295 */       gd_label_2_2.widthHint = 30;
/* 296 */       label_2_2.setLayoutData(gd_label_2_2);
/*     */ 
/*     */       
/* 299 */       Label label_1 = new Label((Composite)this.group, 16777216);
/* 300 */       label_1.setBackground(Display.getCurrent()
/* 301 */           .getSystemColor(1));
/* 302 */       GridData gd_label_1 = new GridData(4, 16777216, 
/* 303 */           false, false);
/* 304 */       gd_label_1.widthHint = 60;
/* 305 */       label_1.setLayoutData(gd_label_1);
/* 306 */       label_1.setText("举报人邮箱");
/*     */       
/* 308 */       Label label_43 = new Label((Composite)this.group, 2);
/* 309 */       label_43.setBackground(Display.getCurrent()
/* 310 */           .getSystemColor(1));
/* 311 */       GridData gd_label_43 = new GridData(4, 4, 
/* 312 */           false, false);
/* 313 */       gd_label_43.heightHint = 9;
/* 314 */       label_43.setLayoutData(gd_label_43);
/*     */ 
/*     */       
/* 317 */       this.text_link_mail = new Text((Composite)this.group, 2048);
/* 318 */       this.text_link_mail.setBackground(Display.getCurrent()
/* 319 */           .getSystemColor(1));
/* 320 */       GridData gd_text_link_tel = new GridData(4, 
/* 321 */           16777216, true, false, 3, 1);
/* 322 */       gd_text_link_tel.widthHint = 105;
/* 323 */       this.text_link_mail.setLayoutData(gd_text_link_tel);
/* 324 */       this.text_link_mail.setTextLimit(18);
/*     */       
/* 326 */       Label label_2_3 = new Label((Composite)this.group, 2);
/* 327 */       label_2_3.setBackground(Display.getCurrent()
/* 328 */           .getSystemColor(1));
/* 329 */       GridData gd_label_2_3 = new GridData(16384, 4, 
/* 330 */           false, false);
/* 331 */       gd_label_2_3.heightHint = 30;
/* 332 */       gd_label_2_3.widthHint = 30;
/* 333 */       label_2_3.setLayoutData(gd_label_2_3);
/*     */       
/* 335 */       Label label_3 = new Label((Composite)this.group, 16777216);
/* 336 */       label_3.setBackground(Display.getCurrent()
/* 337 */           .getSystemColor(1));
/* 338 */       GridData gd_label_3 = new GridData(4, 16777216, 
/* 339 */           false, false);
/* 340 */       gd_label_3.widthHint = 78;
/* 341 */       label_3.setLayoutData(gd_label_3);
/* 342 */       label_3.setText("事业单位状态");
/*     */ 
/*     */       
/* 345 */       Label label_47 = new Label((Composite)this.group, 2);
/* 346 */       label_47.setBackground(Display.getCurrent()
/* 347 */           .getSystemColor(1));
/* 348 */       GridData gd_label_47 = new GridData(4, 4, 
/* 349 */           false, false);
/* 350 */       gd_label_47.heightHint = 18;
/* 351 */       label_47.setLayoutData(gd_label_47);
/*     */       
/* 353 */       this.text_state = new Text((Composite)this.group, 2048);
/* 354 */       GridData gd_text_link_tel1 = new GridData(4, 
/* 355 */           16777216, true, false, 2, 1);
/* 356 */       gd_text_link_tel1.widthHint = 10;
/* 357 */       this.text_state.setLayoutData(gd_text_link_tel1);
/* 358 */       this.text_state.setTextLimit(18);
/*     */       
/* 360 */       Label label_2_3_1 = new Label((Composite)this.group, 2);
/* 361 */       label_2_3_1.setBackground(Display.getCurrent()
/* 362 */           .getSystemColor(1));
/* 363 */       label_2_3_1.setAlignment(131072);
/* 364 */       GridData gd_label_2_3_1 = new GridData(4, 4, 
/* 365 */           false, false, 1, 2);
/* 366 */       gd_label_2_3_1.widthHint = 1;
/* 367 */       gd_label_2_3_1.heightHint = 30;
/* 368 */       label_2_3_1.setLayoutData(gd_label_2_3_1);
/*     */       
/* 370 */       Label label_107x = new Label((Composite)this.group, 258);
/*     */       
/* 372 */       label_107x.setBackground(Display.getCurrent()
/* 373 */           .getSystemColor(1));
/* 374 */       label_107x.setLayoutData(new GridData(4, 16777216, false, 
/* 375 */             false, 20, 1));
/*     */       
/* 377 */       Label label_22 = new Label((Composite)this.group, 2);
/* 378 */       label_22.setBackground(Display.getCurrent()
/* 379 */           .getSystemColor(1));
/* 380 */       label_22.setLayoutData(new GridData(4, 4, false, 
/* 381 */             false, 1, 3));
/*     */       
/* 383 */       Label label_15 = new Label((Composite)this.group, 16777280);
/* 384 */       label_15.setBackground(Display.getCurrent()
/* 385 */           .getSystemColor(1));
/* 386 */       GridData gd_label_15 = new GridData(16777216, 16777216, 
/* 387 */           false, false, 2, 3);
/* 388 */       gd_label_15.widthHint = 81;
/* 389 */       gd_label_15.heightHint = 50;
/* 390 */       label_15.setLayoutData(gd_label_15);
/* 391 */       label_15.setText("举报内容");
/*     */       
/* 393 */       Label label_121 = new Label((Composite)this.group, 2);
/* 394 */       label_121.setBackground(Display.getCurrent()
/* 395 */           .getSystemColor(1));
/* 396 */       label_121.setLayoutData(new GridData(4, 4, false, 
/* 397 */             false));
/*     */       
/* 399 */       this.text_report_topic = new Text((Composite)this.group, 2624);
/*     */       
/* 401 */       this.text_report_topic.setBackground(
/* 402 */           Display.getCurrent().getSystemColor(1));
/* 403 */       GridData gd_text_imple = new GridData(4, 16777216, 
/* 404 */           true, false, 15, 1);
/* 405 */       gd_text_imple.heightHint = 103;
/* 406 */       this.text_report_topic.setLayoutData(gd_text_imple);
/* 407 */       this.text_report_topic.setTextLimit(1300);
/*     */       
/* 409 */       Label label_1411 = new Label((Composite)this.group, 2);
/* 410 */       label_1411.setBackground(Display.getCurrent()
/* 411 */           .getSystemColor(1));
/* 412 */       label_1411.setLayoutData(new GridData(4, 4, false, 
/* 413 */             false));
/*     */       
/* 415 */       Label label_201 = new Label((Composite)this.group, 258);
/*     */       
/* 417 */       label_201.setBackground(Display.getCurrent()
/* 418 */           .getSystemColor(1));
/* 419 */       label_201.setLayoutData(new GridData(4, 16777216, false, 
/* 420 */             false, 20, 1));
/*     */       
/* 422 */       Label label_11 = new Label((Composite)this.group, 2);
/* 423 */       label_11.setBackground(Display.getCurrent()
/* 424 */           .getSystemColor(1));
/* 425 */       label_11.setLayoutData(new GridData(4, 4, false, 
/* 426 */             false));
/*     */       
/* 428 */       Label label_7 = new Label((Composite)this.group, 16777280);
/* 429 */       label_7.setBackground(Display.getCurrent()
/* 430 */           .getSystemColor(1));
/*     */       
/* 432 */       GridData gd_label_151 = new GridData(16777216, 16777216, 
/* 433 */           false, false, 2, 1);
/* 434 */       gd_label_151.widthHint = 81;
/* 435 */       gd_label_151.heightHint = 50;
/* 436 */       label_7.setLayoutData(gd_label_151);
/* 437 */       label_7.setText("受理意见（*）");
/*     */       
/* 439 */       Label label_12 = new Label((Composite)this.group, 2);
/* 440 */       label_12.setBackground(Display.getCurrent()
/* 441 */           .getSystemColor(1));
/* 442 */       label_12.setLayoutData(new GridData(4, 4, false, 
/* 443 */             false));
/*     */ 
/*     */       
/* 446 */       this.text_opinin = new Text((Composite)this.group, 2624);
/* 447 */       this.text_opinin.setBackground(Display.getCurrent()
/* 448 */           .getSystemColor(1));
/* 449 */       GridData gd_text_situation = new GridData(4, 
/* 450 */           16777216, true, false, 15, 1);
/* 451 */       gd_text_situation.heightHint = 103;
/* 452 */       this.text_opinin.setLayoutData(gd_text_situation);
/* 453 */       this.text_opinin.setTextLimit(300);
/*     */       
/* 455 */       Label label_141 = new Label((Composite)this.group, 2);
/* 456 */       label_141.setBackground(Display.getCurrent()
/* 457 */           .getSystemColor(1));
/* 458 */       label_141.setLayoutData(new GridData(4, 4, false, 
/* 459 */             false));
/*     */       
/* 461 */       Label label_992221 = new Label((Composite)this.group, 258);
/*     */       
/* 463 */       label_992221.setBackground(Display.getCurrent()
/* 464 */           .getSystemColor(1));
/* 465 */       label_992221.setLayoutData(new GridData(4, 16777216, 
/* 466 */             false, false, 20, 1));
/*     */       
/* 468 */       Label label_1711 = new Label((Composite)this.group, 2);
/* 469 */       label_1711.setBackground(Display.getCurrent()
/* 470 */           .getSystemColor(1));
/* 471 */       GridData gd_label_1711 = new GridData(4, 16777216, 
/* 472 */           false, false);
/* 473 */       gd_label_1711.heightHint = 30;
/* 474 */       label_1711.setLayoutData(gd_label_1711);
/* 475 */       Label label_1701 = new Label((Composite)this.group, 0);
/* 476 */       label_1701.setBackground(Display.getCurrent()
/* 477 */           .getSystemColor(1));
/* 478 */       label_1701.setLayoutData(new GridData(16777216, 16777216, 
/* 479 */             false, false, 2, 1));
/* 480 */       label_1701.setText("是否受理（*）");
/*     */       
/* 482 */       Label label_1721 = new Label((Composite)this.group, 2);
/* 483 */       label_1721.setBackground(Display.getCurrent()
/* 484 */           .getSystemColor(1));
/* 485 */       GridData gd_label_1721 = new GridData(4, 16777216, 
/* 486 */           false, false);
/* 487 */       gd_label_1721.heightHint = 30;
/* 488 */       label_1721.setLayoutData(gd_label_1721);
/*     */       
/* 490 */       this.combo_accepted = new Combo((Composite)this.group, 8);
/* 491 */       GridData gd_combo_type = new GridData(4, 16777216, 
/* 492 */           false, false);
/* 493 */       gd_combo_type.widthHint = 20;
/* 494 */       this.combo_accepted.setLayoutData(gd_combo_type);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 510 */       Label label_1731 = new Label((Composite)this.group, 2);
/* 511 */       label_1731.setBackground(Display.getCurrent()
/* 512 */           .getSystemColor(1));
/* 513 */       GridData gd_label_1731 = new GridData(4, 16777216, 
/* 514 */           false, false);
/* 515 */       gd_label_1731.heightHint = 30;
/* 516 */       label_1731.setLayoutData(gd_label_1731);
/*     */       
/* 518 */       Label label_4 = new Label((Composite)this.group, 258);
/*     */       
/* 520 */       label_4.setBackground(Display.getCurrent()
/* 521 */           .getSystemColor(1));
/* 522 */       label_4.setLayoutData(new GridData(4, 4, false, 
/* 523 */             false, 60, 1));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 529 */       this.text_sydw_first.setEditable(false);
/* 530 */       this.text_jbr_name.setEditable(false);
/* 531 */       this.text_link_tel.setEditable(false);
/* 532 */       this.text_link_mail.setEditable(false);
/* 533 */       this.text_state.setEditable(false);
/* 534 */       this.text_report_topic.setEditable(false);
/*     */       
/* 536 */       setTextData();
/* 537 */       this.group.setSize(962, 733);
/* 538 */       scrolledComposite.setContent((Control)this.group);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 545 */       Label label_56111 = new Label((Composite)this.group, 0);
/* 546 */       label_56111.setBackground(Display.getCurrent()
/* 547 */           .getSystemColor(1));
/* 548 */       label_56111.setText("          ");
/* 549 */       GridData gd_label_56_1 = new GridData(16777216, 128, 
/* 550 */           false, false, 3, 1);
/* 551 */       gd_label_56_1.heightHint = 94;
/* 552 */       label_56111.setLayoutData(gd_label_56_1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 567 */       Label label_57111 = new Label((Composite)this.group, 0);
/* 568 */       label_57111.setBackground(Display.getCurrent()
/* 569 */           .getSystemColor(1));
/* 570 */       label_57111.setLayoutData(new GridData(16777216, 16777216, 
/* 571 */             false, false, 11, 1));
/* 572 */       label_57111.setText("国家事业单位登记管理局 版权所有");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 578 */       setAction();
/* 579 */       return (Control)this.container;
/* 580 */     } catch (Exception e) {
/* 581 */       e.printStackTrace();
/*     */       
/* 583 */       return null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 594 */     if (this.flag.equals("view")) {
/* 595 */       createButton(parent, 1, "关闭", false);
/* 596 */     } else if (this.flag.equals("edit")) {
/* 597 */       createButton(parent, 0, "确 定", false);
/* 598 */       createButton(parent, 1, "取 消", false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 607 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void setTextData() {
/*     */     try {
/* 612 */       this.combo_accepted.add("请选择");
/* 613 */       this.combo_accepted.add("未通过");
/* 614 */       this.combo_accepted.add("已受理");
/* 615 */       this.combo_accepted.setData("请选择", null);
/* 616 */       this.combo_accepted.setData("未通过", "2");
/* 617 */       this.combo_accepted.setData("已受理", "1");
/* 618 */       this.combo_accepted.select(0);
/* 619 */       this.text_sydw_first.setText((this.insinfo.getSYDW_NAME_FIRST() == null) ? "" : 
/* 620 */           this.insinfo.getSYDW_NAME_FIRST());
/* 621 */       this.text_link_tel.setText((this.insinfo.getLINK_TEL() == null) ? "" : 
/* 622 */           this.insinfo.getLINK_TEL());
/* 623 */       this.text_link_mail.setText((this.insinfo.getLINK_MAIL() == null) ? "" : 
/* 624 */           this.insinfo.getLINK_MAIL());
/* 625 */       this.text_report_topic.setText((this.insinfo.getREPORT_TOPIC() == null) ? "" : 
/* 626 */           this.insinfo.getREPORT_TOPIC());
/* 627 */       this.text_jbr_name.setText((this.insinfo.getJBR_NAME() == null) ? "" : 
/* 628 */           this.insinfo.getJBR_NAME());
/* 629 */       this.text_link_tel.setText((this.insinfo.getLINK_TEL() == null) ? "" : 
/* 630 */           this.insinfo.getLINK_TEL());
/* 631 */       this.text_opinin.setText((this.insinfo.getACCEPT_OPINION() == null) ? "" : 
/* 632 */           this.insinfo.getACCEPT_OPINION());
/*     */       
/* 634 */       if ("3".equals(this.insinfo.getSYDW_STATE()) || "13".equals(this.insinfo.getSYDW_STATE())) {
/* 635 */         this.text_state.setText("已注销");
/*     */       }
/* 637 */       if (this.insinfo.getACCEPTED() == null) {
/* 638 */         this.combo_accepted.select(0);
/*     */       }
/* 640 */       else if ("2".equals(this.insinfo.getACCEPTED())) {
/* 641 */         this.combo_accepted.select(1);
/* 642 */       } else if ("1".equals(this.insinfo.getACCEPTED())) {
/* 643 */         this.combo_accepted.select(2);
/*     */       }
/*     */     
/* 646 */     } catch (Exception e) {
/* 647 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 653 */     super.initializeBounds();
/* 654 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction() {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 665 */     super.configureShell(newShell);
/* 666 */     if ("view".equals(this.flag)) {
/* 667 */       newShell.setText("网上举报查看");
/*     */     } else {
/* 669 */       newShell.setText("网上举报受理");
/*     */     } 
/*     */   }
/*     */   
/*     */   public int open() {
/* 674 */     super.open();
/* 675 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void saveData() {
/* 684 */     this.insinfo.setACCEPT_OPINION(this.text_opinin.getText());
/* 685 */     this.insinfo.setACCEPTED((String)this.combo_accepted
/* 686 */         .getData(this.combo_accepted.getText()));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkData() {
/* 693 */     boolean flag = true;
/* 694 */     if (this.text_opinin.getText().equals("")) {
/* 695 */       SydjMessageDialog.openInformation(null, "提示", "请输入受理意见!");
/* 696 */       this.text_opinin.setFocus();
/* 697 */       flag = false;
/* 698 */       return flag;
/*     */     } 
/* 700 */     if ((String)this.combo_accepted.getData(this.combo_accepted.getText()) == null) {
/* 701 */       SydjMessageDialog.openInformation(null, "提示", "请选择受理是否通过!");
/* 702 */       this.combo_accepted.setFocus();
/* 703 */       flag = false;
/* 704 */       return flag;
/*     */     } 
/*     */     
/* 707 */     return flag;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 712 */     if (buttonId == 1) {
/* 713 */       this.returnValue = 1;
/* 714 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */     
/* 717 */     boolean flag = true;
/* 718 */     if (buttonId == 0) {
/* 719 */       flag = checkData();
/* 720 */       if (flag) {
/* 721 */         saveData();
/* 722 */         this.returnValue = 0;
/* 723 */         super.buttonPressed(buttonId);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\report\CreditWsjbDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */