/*     */ package cs.sydj.operation.credit.sydw;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import cs.sydj.operation.credit.common.CreditSydwInputDialog;
/*     */ import cs.sydj.operation.credit.common.CreditSydwLabelProvider;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.credit.sydw.CreditSydwInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditSydwView
/*     */   extends ViewPart
/*     */ {
/*  58 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  71 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  72 */   private String qh = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*  74 */   private CreditOperation creditOper = new CreditOperation();
/*  75 */   private ArrayList list = new ArrayList();
/*  76 */   String alertMsg = "";
/*     */   
/*  78 */   int totalRows = 0;
/*  79 */   int maxCount = 15;
/*  80 */   int startNo = 1;
/*  81 */   int currentPage = 1;
/*  82 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  86 */   private String sydwnameStr = "";
/*  87 */   private TableCursor cursor = null;
/*  88 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   private Combo combo_type;
/*     */   
/*     */   public int getMaxCount() {
/*  95 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/*  99 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 103 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 107 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 111 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 115 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 124 */     Composite container = new Composite(parent, 0);
/* 125 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 126 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 128 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 129 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 130 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 131 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 132 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 134 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 135 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 136 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 137 */     this.composite_total.setSize(800, 600);
/*     */     
/* 139 */     Composite composite = new Composite(this.composite_total, 0);
/* 140 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 142 */     FormData fd_composite = new FormData();
/* 143 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 144 */     fd_composite.top = new FormAttachment(0, 20);
/* 145 */     composite.setLayoutData(fd_composite);
/* 146 */     GridLayout gridLayout = new GridLayout();
/* 147 */     gridLayout.numColumns = 3;
/* 148 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 150 */     Label label = new Label(composite, 0);
/* 151 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 152 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 153 */     label.setText("请输入单位名称：");
/*     */     
/* 155 */     this.text = new Text(composite, 2048);
/* 156 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 157 */     gd_text.widthHint = 200;
/* 158 */     this.text.setLayoutData(gd_text);
/*     */     
/* 160 */     Button button = new Button(composite, 0);
/* 161 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 162 */     gd_button.heightHint = 20;
/* 163 */     button.setLayoutData(gd_button);
/* 164 */     button.setText("查询");
/*     */     
/* 166 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 167 */     this.table = this.tableViewer.getTable();
/* 168 */     FormData fd_table = new FormData();
/*     */     
/* 170 */     fd_table.bottom = new FormAttachment(0, 439);
/* 171 */     fd_table.right = new FormAttachment(100, -35);
/* 172 */     fd_table.top = new FormAttachment(0, 95);
/* 173 */     fd_table.left = new FormAttachment(0, 35);
/* 174 */     this.table.setLayoutData(fd_table);
/* 175 */     this.table.setLinesVisible(true);
/* 176 */     this.table.setHeaderVisible(true);
/* 177 */     PublicUtil.setTableHeight(this.table);
/* 178 */     PublicUtil.setMouseHands(this.table, "6");
/*     */ 
/*     */     
/* 181 */     this.tableLayout = new TableLayout();
/* 182 */     this.table.setLayout((Layout)this.tableLayout);
/* 183 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 184 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 185 */     newColumnTableColumn.setAlignment(16777216);
/* 186 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 188 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(36));
/* 189 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 190 */     newColumnTableColumn_1.setText("单位名称");
/*     */     
/* 192 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 193 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/* 194 */     newColumnTableColumn_6.setText("法定代表人");
/*     */     
/* 196 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 197 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 198 */     newColumnTableColumn_2.setText("录入时间");
/*     */     
/* 200 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 201 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 202 */     newColumnTableColumn_3.setText("信息来源");
/*     */     
/* 204 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 205 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 206 */     newColumnTableColumn_4.setText("公示状态");
/*     */     
/* 208 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 209 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 210 */     newColumnTableColumn_5.setText("");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 216 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 217 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 218 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 220 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 221 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 223 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 224 */     composite_3.setLayoutData(fd_composite_3);
/* 225 */     GridLayout gridLayout_3 = new GridLayout();
/* 226 */     gridLayout_3.numColumns = 5;
/* 227 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 300 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 301 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditSydwLabelProvider());
/*     */ 
/*     */     
/* 304 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 306 */             CreditSydwView.this.totalRows = 0;
/* 307 */             CreditSydwView.this.currentPage = 1;
/* 308 */             CreditSydwView.this.sydwnameStr = CreditSydwView.this.text.getText();
/* 309 */             CreditSydwView.this.list = CreditSydwView.this.creditOper.getAllCreditSydwInfo(CreditSydwView.this.groupid, CreditSydwView.this.qh, CreditSydwView.this.startNo, CreditSydwView.this.maxCount, CreditSydwView.this.sydwnameStr, "0");
/* 310 */             CreditSydwView.this.setFenYe(CreditSydwView.this.list, CreditSydwView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 315 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 316 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 317 */     GridLayout gridLayout_4 = new GridLayout();
/* 318 */     gridLayout_4.numColumns = 2;
/* 319 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 320 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 321 */     FormData fd_composite_fenye = new FormData();
/* 322 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 323 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 324 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 325 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 326 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 328 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 329 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 330 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 331 */     GridLayout gridLayout_2 = new GridLayout();
/* 332 */     gridLayout_2.marginTop = 3;
/* 333 */     gridLayout_2.verticalSpacing = 0;
/* 334 */     gridLayout_2.marginWidth = 0;
/* 335 */     gridLayout_2.marginHeight = 0;
/* 336 */     gridLayout_2.horizontalSpacing = 2;
/* 337 */     gridLayout_2.numColumns = 7;
/* 338 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 340 */     Label label_1 = new Label(composite_1, 0);
/* 341 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 342 */     label_1.setText("页次：");
/*     */     
/* 344 */     this.label_2 = new Label(composite_1, 131072);
/* 345 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 346 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 347 */     if (this.totalPages == 0) {
/* 348 */       this.label_2.setText("0/0");
/*     */     } else {
/* 350 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 353 */     Label label_3 = new Label(composite_1, 0);
/* 354 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 355 */     label_3.setText("页  每页");
/*     */     
/* 357 */     Label label_4 = new Label(composite_1, 0);
/* 358 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 359 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 360 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 362 */     Label label_5 = new Label(composite_1, 0);
/* 363 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 364 */     label_5.setText("行  共");
/*     */     
/* 366 */     this.label_6 = new Label(composite_1, 0);
/* 367 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 368 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 369 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 371 */     Label label_7 = new Label(composite_1, 0);
/* 372 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 373 */     label_7.setText("行");
/*     */ 
/*     */     
/* 376 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 377 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 378 */     GridLayout gridLayout_1 = new GridLayout();
/* 379 */     gridLayout_1.numColumns = 6;
/* 380 */     composite_2.setLayout((Layout)gridLayout_1);
/* 381 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 383 */     this.button_1 = new Button(composite_2, 0);
/* 384 */     this.button_1.setText("上一页");
/* 385 */     if (!this.hasPreviousPage) {
/* 386 */       this.button_1.setEnabled(false);
/*     */     }
/* 388 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 390 */             CreditSydwView.this.list = CreditSydwView.this.creditOper.getAllCreditSydwInfo(CreditSydwView.this.groupid, CreditSydwView.this.qh, (CreditSydwView.this.currentPage - 2) * CreditSydwView.this.maxCount + 1, CreditSydwView.this.maxCount, CreditSydwView.this.sydwnameStr, "0");
/* 391 */             CreditSydwView.this.setFenYe(CreditSydwView.this.list, CreditSydwView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 395 */     this.button_2 = new Button(composite_2, 0);
/* 396 */     this.button_2.setText("下一页");
/* 397 */     if (!this.hasNextPage) {
/* 398 */       this.button_2.setEnabled(false);
/*     */     }
/* 400 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 402 */             CreditSydwView.this.list = CreditSydwView.this.creditOper.getAllCreditSydwInfo(CreditSydwView.this.groupid, CreditSydwView.this.qh, CreditSydwView.this.currentPage * CreditSydwView.this.maxCount + 1, CreditSydwView.this.maxCount, CreditSydwView.this.sydwnameStr, "0");
/* 403 */             CreditSydwView.this.setFenYe(CreditSydwView.this.list, CreditSydwView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 407 */     Label label_10 = new Label(composite_2, 0);
/* 408 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 409 */     label_10.setText("转至第");
/*     */     
/* 411 */     this.text_2 = new Text(composite_2, 2048);
/* 412 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 414 */     Label label_11 = new Label(composite_2, 0);
/* 415 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 416 */     label_11.setText("页");
/*     */     
/* 418 */     Button goButton = new Button(composite_2, 0);
/* 419 */     goButton.setText("GO");
/*     */     
/* 421 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 423 */             if (VerifyFunction.isNumeric(CreditSydwView.this.text_2.getText())) {
/* 424 */               int aa = Integer.parseInt(CreditSydwView.this.text_2.getText());
/* 425 */               if (aa > CreditSydwView.this.totalPages) {
/* 426 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 428 */                 CreditSydwView.this.list = CreditSydwView.this.creditOper.getAllCreditSydwInfo(CreditSydwView.this.groupid, CreditSydwView.this.qh, (aa - 1) * CreditSydwView.this.maxCount + 1, CreditSydwView.this.maxCount, CreditSydwView.this.sydwnameStr, "0");
/* 429 */                 CreditSydwView.this.setFenYe(CreditSydwView.this.list, aa);
/* 430 */                 CreditSydwView.this.setFontColor();
/* 431 */                 CreditSydwView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 434 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 440 */     Label label_9 = new Label(this.composite_total, 0);
/* 441 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 442 */     FormData fd_label_9 = new FormData();
/* 443 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 444 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 445 */     fd_label_9.top = new FormAttachment(0, 85);
/* 446 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 448 */     this.label_12 = new Label(this.composite_total, 0);
/* 449 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 450 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 451 */     FormData fd_label_12 = new FormData();
/* 452 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 453 */     fd_label_12.top = new FormAttachment(0, 70);
/* 454 */     fd_label_12.right = new FormAttachment(0, 240);
/* 455 */     this.label_12.setLayoutData(fd_label_12);
/* 456 */     this.label_12.setText("单位列表");
/*     */     
/* 458 */     scrolledComposite.setContent((Control)this.composite_total);
/* 459 */     createActions();
/* 460 */     initializeToolBar();
/* 461 */     initializeMenu();
/*     */     
/* 463 */     initTypeView();
/*     */     
/* 465 */     this.list = this.creditOper.getAllCreditSydwInfo(this.groupid, this.qh, this.startNo, this.maxCount, this.sydwnameStr, "0");
/* 466 */     this.tableViewer.setInput(this.list);
/* 467 */     if (this.list != null && this.list.size() > 0) {
/* 468 */       this.totalRows = ((CreditSydwInfo)this.list.get(0)).getTotalRows();
/* 469 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 470 */       this.totalPages = pu.getTotalPages();
/* 471 */       this.currentPage = pu.getCurrentPage();
/* 472 */       this.hasNextPage = pu.isHasNextPage();
/* 473 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 475 */       setFenYe(this.list, this.currentPage);
/* 476 */       setFontColor();
/* 477 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView(TableItem tableItem, int colums) {
/* 486 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 487 */       .getSelection();
/* 488 */     CreditSydwInfo info = (CreditSydwInfo)select.getFirstElement();
/* 489 */     ArrayList<CreditSydwInfo> list = this.creditOper.getCreditSydwInfo(info.getGROUP_ID(), info.getCREDIT_ID());
/* 490 */     if (list != null && list.size() > 0) {
/* 491 */       CreditSydwInputDialog dialog = new CreditSydwInputDialog(
/* 492 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 493 */           .getShell(), null, list.get(0), "old", 1, 2);
/* 494 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openEdit(TableItem tableItem, int colums) {
/* 503 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 504 */       .getSelection();
/* 505 */     CreditSydwInfo info = (CreditSydwInfo)select.getFirstElement();
/* 506 */     if ("0".equals(info.getINFO_TYPE())) {
/*     */       return;
/*     */     }
/* 509 */     CreditSydwInputDialog dialog = new CreditSydwInputDialog(
/* 510 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 511 */         .getShell(), null, info, "edit", 1, 2);
/* 512 */     if (dialog.open() == 0) {
/* 513 */       String Flag = this.creditOper.saveCreditSydwInfo(dialog.getCreditSydwInfo(), "old");
/* 514 */       if (Flag != null) {
/* 515 */         if ("true".equals(Flag)) {
/* 516 */           SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */         } else {
/* 518 */           SydjMessageDialog.openInformation(null, "提示", "修改失败！");
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 529 */     if (this.cursor != null)
/* 530 */       this.cursor.dispose(); 
/* 531 */     this.cursor = new TableCursor(this.table, 0);
/* 532 */     this.cursor.setBackground(this.table.getDisplay()
/* 533 */         .getSystemColor(26));
/* 534 */     this.cursor.setForeground(this.table.getDisplay()
/* 535 */         .getSystemColor(27));
/* 536 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 538 */             int colums = CreditSydwView.this.cursor.getColumn();
/* 539 */             if (colums == 6) {
/* 540 */               CreditSydwView.this.openView(CreditSydwView.this.cursor.getRow(), colums);
/* 541 */             } else if (colums == 7) {
/* 542 */               CreditSydwView.this.openEdit(CreditSydwView.this.cursor.getRow(), colums);
/*     */             } 
/* 544 */             CreditSydwView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 547 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 550 */             int colums = CreditSydwView.this.cursor.getColumn();
/* 551 */             if (colums == CreditSydwView.this.selectColums) {
/* 552 */               if (colums == 6) {
/* 553 */                 CreditSydwView.this.openView(CreditSydwView.this.cursor.getRow(), colums);
/* 554 */               } else if (colums == 7) {
/* 555 */                 CreditSydwView.this.openEdit(CreditSydwView.this.cursor.getRow(), colums);
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 566 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 567 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 568 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFenYe(ArrayList<CreditSydwInfo> list, int nextcurrentPage) {
/* 576 */     this.totalRows = 0;
/* 577 */     if (list != null && list.size() > 0) {
/* 578 */       this.totalRows = ((CreditSydwInfo)list.get(0)).getTotalRows();
/*     */     }
/* 580 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 581 */     this.totalPages = pu.getTotalPages();
/* 582 */     this.currentPage = pu.getCurrentPage();
/* 583 */     this.hasNextPage = pu.isHasNextPage();
/* 584 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 585 */     this.startNo = pu.getStartNum();
/*     */     
/* 587 */     this.tableViewer.setInput(list);
/* 588 */     setFontColor();
/* 589 */     setCursor();
/* 590 */     if (this.totalPages == 0) {
/* 591 */       this.label_2.setText("0/0");
/*     */     } else {
/* 593 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 595 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 596 */     this.label_6.getParent().getParent().layout();
/* 597 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 598 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 606 */     this.list = this.creditOper.getAllCreditSydwInfo(this.groupid, this.qh, this.startNo, this.maxCount, this.sydwnameStr, "0");
/* 607 */     this.tableViewer.setInput(this.list);
/* 608 */     setFontColor();
/* 609 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 623 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 624 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 631 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 632 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\sydw\CreditSydwView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */