/*     */ package cs.sydj.operation.data;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.attachs.AttachsOperations;
/*     */ import cs.sydj.common.attachs.DataModifyAttachsDialog;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.data.modify.DataModifyOperation;
/*     */ import cs.sydj.operation.data.modify.DataModiyDetailLabelProvider;
/*     */ import cs.sydj.operation.data.modify.DetailFilesDailog;
/*     */ import cs.sydj.operation.data.modify.dialog.AnnualCheckFileInfoDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.AnnualCheckFileInfoDialogGJJ;
/*     */ import cs.sydj.operation.data.modify.dialog.CertFileInfoDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.LogOutFileInfoDialog;
/*     */ import cs.sydj.operation.fuhe.annualcheck.AnnualCheckOperationFuHe;
/*     */ import cs.sydj.operation.fuhe.logout.LogOutOperationFuHe;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckOperationShouLi;
/*     */ import cs.sydj.operation.shouli.cert.CertOperationShouLi;
/*     */ import cs.sydj.operation.shouli.logout.LogOutOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.AnnualCheckModel;
/*     */ import server.sydj.operation.commons.AnnualCheckTableContentModel;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.DataModifyModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.LogOutAdviseModel;
/*     */ import server.sydj.operation.commons.LogOutTableContentModel;
/*     */ import server.sydj.operation.commons.TableName;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckAModel;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckBModel;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckReportA;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckReportB;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DetailFilesDailog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table;
/*     */   private TableViewer tableViewer;
/*     */   private Label label;
/*     */   private ArrayList perInfo;
/*     */   private DataModifyModel model;
/*     */   private String unitName;
/*     */   private String state;
/*     */   private boolean isModify;
/*     */   private String type;
/*     */   private boolean canModify = false;
/*     */   private Composite composite;
/*     */   private TableCursor cursor;
/*  82 */   private int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DetailFilesDailog(Shell parentShell, DataModifyModel model, String unitName, ArrayList perInfo, String state, boolean isModify, String type) {
/*  92 */     super(parentShell);
/*  93 */     this.model = model;
/*  94 */     this.unitName = unitName;
/*  95 */     this.perInfo = perInfo;
/*  96 */     this.state = state;
/*  97 */     this.isModify = isModify;
/*  98 */     this.type = type;
/*  99 */     if (isModify && !state.equals(UnitState.FREEZE) && 
/* 100 */       !state.equals(UnitState.ABOLISH) && 
/* 101 */       !state.equals(UnitState.INVALIDATE)) {
/* 102 */       this.canModify = true;
/*     */     } else {
/* 104 */       this.canModify = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 115 */     parent.setBackground(Display.getCurrent()
/* 116 */         .getSystemColor(1));
/* 117 */     parent.setBackgroundMode(2);
/* 118 */     Composite container = (Composite)super.createDialogArea(parent);
/* 119 */     GridLayout gridLayout_1 = new GridLayout();
/* 120 */     gridLayout_1.marginTop = 25;
/* 121 */     gridLayout_1.marginRight = 25;
/* 122 */     gridLayout_1.marginLeft = 25;
/* 123 */     container.setLayout((Layout)gridLayout_1);
/*     */     
/* 125 */     this.label = new Label(container, 0);
/* 126 */     this.label.setLayoutData(new GridData(16384, 16777216, true, false));
/* 127 */     this.label
/* 128 */       .setText("永久库信息修改>>“" + this.unitName + "”的" + this.model.getNote() + 
/* 129 */         "文件列表");
/* 130 */     this.label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 131 */     Label label_1 = new Label(container, 258);
/*     */     
/* 133 */     label_1.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 135 */     this.composite = new Composite(container, 0);
/* 136 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 137 */         false);
/* 138 */     gd_composite.heightHint = 320;
/* 139 */     this.composite.setLayoutData(gd_composite);
/* 140 */     GridLayout gridLayout = new GridLayout();
/* 141 */     gridLayout.verticalSpacing = 0;
/* 142 */     gridLayout.marginWidth = 0;
/* 143 */     gridLayout.marginHeight = 0;
/* 144 */     gridLayout.horizontalSpacing = 0;
/* 145 */     this.composite.setLayout((Layout)gridLayout);
/*     */     
/* 147 */     this.tableViewer = new TableViewer(this.composite, 67586);
/*     */     
/* 149 */     this.table = this.tableViewer.getTable();
/* 150 */     this.table.setCursor(SWTResourceManager.getCursor(21));
/* 151 */     this.table.setLinesVisible(true);
/* 152 */     this.table.setHeaderVisible(true);
/* 153 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/* 154 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 155 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DataModiyDetailLabelProvider());
/* 156 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 157 */         16777216);
/* 158 */     newColumnTableColumn.setAlignment(16777216);
/* 159 */     newColumnTableColumn.setWidth(593);
/* 160 */     newColumnTableColumn.setText("文件名称");
/*     */     
/* 162 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 163 */         16777216);
/* 164 */     newColumnTableColumn_3.setAlignment(16777216);
/* 165 */     newColumnTableColumn_3.setWidth(100);
/* 166 */     newColumnTableColumn_3.setText("");
/*     */     
/* 168 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 169 */         16777216);
/* 170 */     newColumnTableColumn_1.setAlignment(16777216);
/* 171 */     newColumnTableColumn_1.setWidth(173);
/* 172 */     newColumnTableColumn_1.setText("状态");
/* 173 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 174 */         16777216);
/* 175 */     newColumnTableColumn_2.setAlignment(16777216);
/* 176 */     newColumnTableColumn_2.setWidth(0);
/* 177 */     newColumnTableColumn_2.setResizable(false);
/* 178 */     this.cursor = new TableCursor(this.table, 0);
/* 179 */     this.cursor.setBackground(this.table.getDisplay()
/* 180 */         .getSystemColor(26));
/* 181 */     this.cursor.setForeground(this.table.getDisplay()
/* 182 */         .getSystemColor(27));
/* 183 */     PublicUtil.setTableHeight(this.table);
/* 184 */     PublicUtil.setTableWidth(this.composite, this.table, "6.96:1:2:0.03");
/* 185 */     PublicUtil.setMouseHands(this.table, "0#1");
/* 186 */     getData();
/* 187 */     setCursorActions();
/* 188 */     setFontColor(this.table);
/*     */     
/* 190 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 200 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 208 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 212 */     super.configureShell(newShell);
/* 213 */     newShell.setText("永久库信息修改 ");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData() {
/* 220 */     Object object = this.perInfo;
/* 221 */     this.tableViewer.setInput(object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor(Table table) {
/* 230 */     for (int i = 0; i < table.getItemCount(); i++) {
/* 231 */       table.getItem(i)
/* 232 */         .setFont(
/* 233 */           0, 
/* 234 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 235 */             false, false));
/* 236 */       table.getItem(i).setForeground(0, 
/* 237 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 239 */       table.getItem(i)
/* 240 */         .setFont(
/* 241 */           1, 
/* 242 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 243 */             false, false));
/* 244 */       table.getItem(i).setForeground(1, 
/* 245 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction() {
/*     */     try {
/* 254 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 255 */         .getSelection();
/* 256 */       FileModel model = (FileModel)select.getFirstElement();
/* 257 */       if (!model.isAnnex()) {
/* 258 */         if ("2".equals(this.type)) {
/* 259 */           AnnualCheckOperationFuHe annualCheck = new AnnualCheckOperationFuHe();
/* 260 */           if (model.getFileName()
/* 261 */             .equals(TableName.TABLE_ADDITIONAL_A)) {
/* 262 */             ArrayList<UnitAnnualCheckAModel> fileDetail = annualCheck.getTableAdditonal(
/* 263 */                 model, "1", this.state.equals("已注销") ? "1" : "0");
/* 264 */             if (fileDetail == null)
/*     */               return; 
/* 266 */             if (!fileDetail.isEmpty()) {
/* 267 */               UnitAnnualCheckAModel tableA = fileDetail
/* 268 */                 .get(0);
/* 269 */               UnitAnnualCheckReportA report = new UnitAnnualCheckReportA(
/* 270 */                   getShell(), tableA);
/* 271 */               report.open();
/*     */             } else {
/* 273 */               SydjMessageDialog.openInformation(getShell(), "提示", 
/* 274 */                   "对不起，数据库中不存在相应的信息");
/*     */             } 
/* 276 */           } else if (model.getFileName().equals(
/* 277 */               TableName.TABLE_ADDITIONAL_B)) {
/* 278 */             ArrayList<UnitAnnualCheckBModel> fileDetail = annualCheck.getTableAdditonal(
/* 279 */                 model, "1", this.state.equals("已注销") ? "1" : "0");
/* 280 */             if (fileDetail == null)
/*     */               return; 
/* 282 */             if (!fileDetail.isEmpty()) {
/* 283 */               UnitAnnualCheckBModel tableB = fileDetail
/* 284 */                 .get(0);
/* 285 */               UnitAnnualCheckReportB report = new UnitAnnualCheckReportB(
/* 286 */                   PlatformUI.getWorkbench()
/* 287 */                   .getActiveWorkbenchWindow()
/* 288 */                   .getShell(), tableB);
/* 289 */               report.open();
/*     */             } else {
/* 291 */               SydjMessageDialog.openInformation(getShell(), "提示", 
/* 292 */                   "对不起，数据库中不存在相应的信息");
/*     */             } 
/*     */           } else {
/* 295 */             ArrayList<AnnualCheckModel> list = annualCheck.getAdviceInfo(model, "1");
/* 296 */             if (list != null) {
/* 297 */               if (list.size() != 0) {
/* 298 */                 AnnualCheckModel md = list
/* 299 */                   .get(0);
/*     */                 
/* 301 */                 if (PublicUtil.checkWithinputAnnual(md.getApplydate(), md.getCheckYear())) {
/* 302 */                   AnnualCheckFileInfoDialogGJJ file = new AnnualCheckFileInfoDialogGJJ(
/* 303 */                       getShell(), md, this.canModify);
/* 304 */                   if (file.open() == 0) {
/* 305 */                     AnnualCheckModel acm = file
/* 306 */                       .getAfterModify();
/* 307 */                     String flag = (new DataModifyOperation())
/* 308 */                       .annaulCheckModify(md, acm, 
/* 309 */                         GljgUserInfo.getInstance()
/* 310 */                         .getGroupid(), 
/* 311 */                         GljgUserInfo.getInstance()
/* 312 */                         .getUserid(), 
/* 313 */                         GljgUserInfo.getInstance()
/* 314 */                         .getRealname());
/* 315 */                     if (flag != null) {
/* 316 */                       if ("true".equals(flag)) {
/* 317 */                         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 318 */                         uldi.setRequestType(6);
/* 319 */                         uldi
/* 320 */                           .setGroupid(
/* 321 */                             GljgUserInfo.getInstance()
/* 322 */                             .getGroupid());
/* 323 */                         uldi.setDistrictcode(
/* 324 */                             GljgUserInfo.getInstance()
/* 325 */                             .getDistrictcode());
/* 326 */                         uldi.setSydwid(md.getUintId());
/* 327 */                         uldi.setIslogout(
/* 328 */                             this.state.equals("已注销") ? 1 : 0);
/* 329 */                         ModifyLocalData mld = new ModifyLocalData();
/* 330 */                         mld.modifyLocalData(uldi);
/* 331 */                         SydjMessageDialog.openInformation(
/* 332 */                             getShell(), "提示", 
/* 333 */                             "修改事业单位永久库信息成功");
/*     */                       } else {
/* 335 */                         SydjMessageDialog.openInformation(
/* 336 */                             getShell(), "提示", 
/* 337 */                             "修改事业单位永久库信息失败");
/*     */                       } 
/*     */                     } else {
/* 340 */                       SydjMessageDialog.openInformation(
/* 341 */                           getShell(), "提示", 
/* 342 */                           "修改事业单位永久库信息失败");
/*     */                     } 
/*     */                   } 
/*     */                 } else {
/* 346 */                   AnnualCheckFileInfoDialog file = new AnnualCheckFileInfoDialog(
/* 347 */                       getShell(), md, this.canModify);
/* 348 */                   if (file.open() == 0) {
/* 349 */                     AnnualCheckModel acm = file
/* 350 */                       .getAfterModify();
/* 351 */                     String flag = (new DataModifyOperation())
/* 352 */                       .annaulCheckModify(md, acm, 
/* 353 */                         GljgUserInfo.getInstance()
/* 354 */                         .getGroupid(), 
/* 355 */                         GljgUserInfo.getInstance()
/* 356 */                         .getUserid(), 
/* 357 */                         GljgUserInfo.getInstance()
/* 358 */                         .getRealname());
/* 359 */                     if (flag != null) {
/* 360 */                       if ("true".equals(flag)) {
/* 361 */                         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 362 */                         uldi.setRequestType(6);
/* 363 */                         uldi
/* 364 */                           .setGroupid(
/* 365 */                             GljgUserInfo.getInstance()
/* 366 */                             .getGroupid());
/* 367 */                         uldi.setDistrictcode(
/* 368 */                             GljgUserInfo.getInstance()
/* 369 */                             .getDistrictcode());
/* 370 */                         uldi.setSydwid(md.getUintId());
/* 371 */                         uldi.setIslogout(
/* 372 */                             this.state.equals("已注销") ? 1 : 0);
/* 373 */                         ModifyLocalData mld = new ModifyLocalData();
/* 374 */                         mld.modifyLocalData(uldi);
/* 375 */                         SydjMessageDialog.openInformation(
/* 376 */                             getShell(), "提示", 
/* 377 */                             "修改事业单位永久库信息成功");
/*     */                       } else {
/* 379 */                         SydjMessageDialog.openInformation(
/* 380 */                             getShell(), "提示", 
/* 381 */                             "修改事业单位永久库信息失败");
/*     */                       } 
/*     */                     } else {
/* 384 */                       SydjMessageDialog.openInformation(
/* 385 */                           getShell(), "提示", 
/* 386 */                           "修改事业单位永久库信息失败");
/*     */                     } 
/*     */                   } 
/*     */                 } 
/*     */               } else {
/* 391 */                 SydjMessageDialog.openInformation(getShell(), 
/* 392 */                     "提示", "对不起，数据库中不存在相应的信息");
/*     */               }
/*     */             
/*     */             }
/*     */           } 
/* 397 */         } else if ("3".equals(this.type)) {
/* 398 */           LogOutOperationFuHe logout = new LogOutOperationFuHe();
/* 399 */           ArrayList<LogOutAdviseModel> fileDetail = logout.getAdviceInfo(model, "1");
/* 400 */           if (fileDetail == null)
/*     */             return; 
/* 402 */           if (!fileDetail.isEmpty()) {
/* 403 */             LogOutAdviseModel log = fileDetail
/* 404 */               .get(0);
/* 405 */             LogOutFileInfoDialog file = new LogOutFileInfoDialog(
/* 406 */                 getShell(), log, this.canModify);
/* 407 */             if (file.open() == 0) {
/* 408 */               LogOutAdviseModel loa = file.getAfterModify();
/* 409 */               String flag = (new DataModifyOperation())
/* 410 */                 .logOutModify(log, loa, 
/* 411 */                   GljgUserInfo.getInstance().getGroupid(), 
/* 412 */                   GljgUserInfo.getInstance()
/* 413 */                   .getUserid(), 
/* 414 */                   GljgUserInfo.getInstance()
/* 415 */                   .getRealname());
/* 416 */               if (flag != null) {
/* 417 */                 if ("true".equals(flag)) {
/* 418 */                   SydjMessageDialog.openInformation(
/* 419 */                       getShell(), "提示", "修改事业单位永久库信息成功");
/*     */                 } else {
/* 421 */                   SydjMessageDialog.openInformation(
/* 422 */                       getShell(), "提示", "修改事业单位永久库信息失败");
/*     */                 } 
/*     */               } else {
/* 425 */                 SydjMessageDialog.openInformation(getShell(), 
/* 426 */                     "提示", "修改事业单位永久库信息失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/* 430 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 431 */                 "对不起，数据库中不存在相应的信息");
/*     */           }
/*     */         
/* 434 */         } else if ("4".equals(this.type)) {
/* 435 */           CertOperationPrint cert = new CertOperationPrint();
/* 436 */           ArrayList<CertFileInfoModel> fileDetail = cert.getAdviceInfo(model);
/* 437 */           if (fileDetail == null)
/*     */             return; 
/* 439 */           if (!fileDetail.isEmpty()) {
/* 440 */             CertFileInfoModel ct = fileDetail
/* 441 */               .get(0);
/* 442 */             CertFileInfoDialog dialog = new CertFileInfoDialog(
/* 443 */                 getShell(), ct, this.canModify, this.state);
/* 444 */             if (dialog.open() == 0) {
/* 445 */               CertFileInfoModel ctf = dialog.getAfterModify();
/* 446 */               String flag = (new DataModifyOperation()).certModify(
/* 447 */                   ct, ctf, 
/* 448 */                   GljgUserInfo.getInstance().getGroupid(), 
/* 449 */                   GljgUserInfo.getInstance().getUserid(), 
/* 450 */                   GljgUserInfo.getInstance().getRealname());
/* 451 */               if (flag != null) {
/* 452 */                 if ("true".equals(flag)) {
/* 453 */                   UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 454 */                   uldi.setRequestType(6);
/* 455 */                   uldi.setGroupid(
/* 456 */                       GljgUserInfo.getInstance().getGroupid());
/* 457 */                   uldi.setDistrictcode(
/* 458 */                       GljgUserInfo.getInstance().getDistrictcode());
/* 459 */                   uldi.setSydwid(ct.getUnitId());
/* 460 */                   uldi.setIslogout(this.state.equals("已注销") ? 1 : 
/* 461 */                       0);
/* 462 */                   SydjMessageDialog.openInformation(
/* 463 */                       getShell(), "提示", "修改事业单位永久库信息成功");
/*     */                 } else {
/* 465 */                   SydjMessageDialog.openInformation(
/* 466 */                       getShell(), "提示", "修改事业单位永久库信息失败");
/*     */                 } 
/*     */               } else {
/* 469 */                 SydjMessageDialog.openInformation(getShell(), 
/* 470 */                     "提示", "修改事业单位永久库信息失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/* 474 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 475 */                 "对不起，数据库中不存在相应的信息");
/*     */           } 
/*     */         } 
/*     */       } else {
/* 479 */         AttachsOperations att = new AttachsOperations();
/* 480 */         ArrayList attachs = att.getAttachs1(model.getApplyId(), 
/* 481 */             model.getId(), model.getAttachGroupId(), model.getSubDate());
/* 482 */         if (attachs != null) {
/* 483 */           InsAttachmentInfo insinfo = new InsAttachmentInfo();
/* 484 */           insinfo.setApplyid(model.getApplyId());
/* 485 */           insinfo.setRealid(model.getId());
/* 486 */           insinfo.setFilename(model.getFileName());
/* 487 */           insinfo.setAttachstate(
/* 488 */               PublicUtil.getAnnexStatInDataBase(model.getAnnexStat()));
/* 489 */           insinfo.setATTACH_GROUP_ID(model.getAttachGroupId());
/* 490 */           insinfo.setAttachid(model.getAnnexId());
/* 491 */           insinfo.setJbdwid(model.getHoldUnitId());
/* 492 */           insinfo.setSydwid(model.getUnitId());
/* 493 */           insinfo.setGroupid(model.getGroupId());
/* 494 */           DataModifyAttachsDialog dialog = new DataModifyAttachsDialog(
/* 495 */               getShell(), attachs, insinfo, this.tableViewer, this.type, 
/* 496 */               model.getSubDate());
/* 497 */           if (dialog.open() == 0) {
/* 498 */             WithinputInfo wininfo = new WithinputInfo();
/* 499 */             wininfo.setAppylid(insinfo.getApplyid());
/* 500 */             wininfo.setRealid(insinfo.getRealid());
/* 501 */             wininfo.setSydwid(insinfo.getSydwid());
/* 502 */             wininfo.setJbdwid(insinfo.getJbdwid());
/* 503 */             ArrayList attachlist = new ArrayList();
/* 504 */             DataModifyOperation mod = new DataModifyOperation();
/* 505 */             attachlist = mod.getFileInfos(
/* 506 */                 GljgUserInfo.getInstance().getGroupid(), 
/* 507 */                 model.getApplyId(), model.getId(), 
/* 508 */                 model.getUnitId(), this.type, model.getSubDate(), 
/* 509 */                 model.getHoldUnitId());
/* 510 */             this.tableViewer.setInput(attachlist);
/* 511 */             setFontColor(this.table);
/* 512 */             setCursor();
/*     */           } 
/*     */         } 
/*     */       } 
/* 516 */     } catch (Exception e) {
/* 517 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursorActions() {
/* 525 */     setCursor();
/* 526 */     this.table.addSelectionListener((SelectionListener)new Object(this));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTableDown() {
/*     */     try {
/* 545 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 546 */         .getSelection();
/* 547 */       FileModel model = (FileModel)select.getFirstElement();
/* 548 */       if (this.type.equals("2") && 
/* 549 */         !model.isAnnex()) {
/* 550 */         AnnualCheckTableContentModel md = (new AnnualCheckOperationShouLi())
/* 551 */           .getAnnualCheckTable(model.getApplyId(), 
/* 552 */             model.getId());
/* 553 */         if (model == null) {
/*     */           return;
/*     */         }
/* 556 */         ReplaceMap rmap = new ReplaceMap();
/* 557 */         if ((PublicUtil.checkDistrictCode() && PublicUtil.compDate(md.getApplyDate(), "2014-01-01")) || PublicUtil.compDate(md.getApplyDate(), "2015-01-01")) {
/* 558 */           OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 559 */               getShell(), 
/* 560 */               "事业单位法人年度报告书", 
/* 561 */               "Microsoft Word 文档", 
/*     */               
/* 563 */               PublicUtil.getRealPath("Template/doc/sydw_annual_check_apply_report_gjj.doc"), 
/* 564 */               rmap.getAnnualCheckFileMap(md));
/* 565 */           oold.open();
/*     */         } else {
/* 567 */           OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 568 */               getShell(), 
/* 569 */               "事业单位法人年度报告书", 
/* 570 */               "Microsoft Word 文档", 
/*     */               
/* 572 */               PublicUtil.getRealPath("Template/doc/sydw_annual_check_apply_report.doc"), 
/* 573 */               rmap.getAnnualCheckFileMap(md));
/* 574 */           oold.open();
/*     */         } 
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 580 */       if (this.type.equals("3") && 
/* 581 */         !model.isAnnex()) {
/* 582 */         LogOutTableContentModel md = (new LogOutOperationShouLi())
/* 583 */           .getLogOutTable(model.getApplyId(), model.getId());
/* 584 */         if (model == null) {
/*     */           return;
/*     */         }
/* 587 */         ReplaceMap rmap = new ReplaceMap();
/* 588 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 589 */             getShell(), 
/* 590 */             "事业单位法人注销登记（备案）申请书", 
/* 591 */             "Microsoft Word 文档", 
/*     */             
/* 593 */             PublicUtil.getRealPath("Template/doc/sydw_logout_apply_report.doc"), 
/* 594 */             rmap.getLogOutFileMap(md));
/* 595 */         oold.open();
/*     */       } 
/*     */ 
/*     */       
/* 599 */       if (this.type.equals("4") && 
/* 600 */         !model.isAnnex()) {
/* 601 */         CertTableContentModel md = (new CertOperationShouLi())
/* 602 */           .getCertTable(model.getApplyId(), model.getId());
/* 603 */         if (model == null) {
/*     */           return;
/*     */         }
/* 606 */         ReplaceMap rmap = new ReplaceMap();
/* 607 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 608 */             getShell(), 
/* 609 */             "事业单位法人证书补领申请书", 
/* 610 */             "Microsoft Word 文档", 
/*     */             
/* 612 */             PublicUtil.getRealPath("Template/doc/sydw_cert_apply_report.doc"), 
/* 613 */             rmap.getCertFileMap(md));
/* 614 */         oold.open();
/*     */       }
/*     */     
/*     */     }
/* 618 */     catch (Exception e) {
/* 619 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 626 */     super.initializeBounds();
/* 627 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 634 */     if (this.cursor != null)
/* 635 */       this.cursor.dispose(); 
/* 636 */     this.cursor = new TableCursor(this.table, 0);
/* 637 */     this.cursor.setBackground(this.table.getDisplay()
/* 638 */         .getSystemColor(26));
/* 639 */     this.cursor.setForeground(this.table.getDisplay()
/* 640 */         .getSystemColor(27));
/* 641 */     this.cursor.addMouseListener((MouseListener)new Object(this));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\DetailFilesDailog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */