/*     */ package cs.sydj.operation.data.adjust.dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallLegalPersonDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FddbrHistoryListDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Table table;
/*     */   private ArrayList perInfo;
/*  51 */   int totalRows = 0;
/*  52 */   int maxCount = 15;
/*  53 */   int startNo = 1;
/*  54 */   int currentPage = 1;
/*  55 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private TableCursor cursor;
/*  59 */   int starto = 1;
/*  60 */   private int selectColums = 32;
/*     */   private Composite compage;
/*     */   private Label page;
/*     */   private Label nowPage;
/*     */   private Label everyPageRows;
/*     */   private Label allRows;
/*     */   private Composite composite_1;
/*     */   private Button priorPage;
/*     */   private Button nextPage;
/*     */   private String unitId;
/*     */   private TableViewer tableViewer;
/*     */   private String unitName;
/*     */   private Composite composite;
/*     */   private Text text;
/*  74 */   WithinputDataManage dataManage = new WithinputDataManage();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FddbrHistoryListDialog(Shell parentShell, String unitId, String unitName) {
/*  82 */     super(parentShell);
/*  83 */     this.unitId = unitId;
/*  84 */     this.unitName = unitName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  94 */     parent.setBackground(Display.getCurrent()
/*  95 */         .getSystemColor(1));
/*  96 */     parent.setBackgroundMode(2);
/*  97 */     Composite container = (Composite)super.createDialogArea(parent);
/*  98 */     GridLayout gridLayout_3 = new GridLayout();
/*  99 */     gridLayout_3.marginTop = 25;
/* 100 */     gridLayout_3.marginRight = 25;
/* 101 */     gridLayout_3.marginLeft = 25;
/* 102 */     container.setLayout((Layout)gridLayout_3);
/*     */     
/* 104 */     Label label = new Label(container, 0);
/* 105 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 106 */     label.setText(this.unitName);
/*     */     
/* 108 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 109 */     Label label_1 = new Label(container, 258);
/*     */     
/* 111 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 113 */     this.composite = new Composite(container, 0);
/* 114 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 115 */         false);
/* 116 */     gd_composite.heightHint = 320;
/* 117 */     this.composite.setLayoutData(gd_composite);
/* 118 */     GridLayout gridLayout_2 = new GridLayout();
/* 119 */     gridLayout_2.verticalSpacing = 0;
/* 120 */     gridLayout_2.marginWidth = 0;
/* 121 */     gridLayout_2.marginHeight = 0;
/* 122 */     gridLayout_2.horizontalSpacing = 0;
/* 123 */     this.composite.setLayout((Layout)gridLayout_2);
/*     */     
/* 125 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 127 */     this.table = this.tableViewer.getTable();
/* 128 */     this.table.setLinesVisible(true);
/* 129 */     this.table.setHeaderVisible(true);
/* 130 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 132 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 133 */         16777216);
/* 134 */     newColumnTableColumn.setAlignment(16777216);
/* 135 */     newColumnTableColumn.setWidth(113);
/* 136 */     newColumnTableColumn.setText("姓名");
/*     */     
/* 138 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 139 */         16777216);
/* 140 */     newColumnTableColumn_2.setAlignment(16777216);
/* 141 */     newColumnTableColumn_2.setWidth(131);
/* 142 */     newColumnTableColumn_2.setText("性别");
/*     */     
/* 144 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 145 */         16777216);
/* 146 */     newColumnTableColumn_3.setAlignment(16777216);
/* 147 */     newColumnTableColumn_3.setWidth(100);
/* 148 */     newColumnTableColumn_3.setText("生日");
/*     */     
/* 150 */     TableColumn newColumnTableColumn4 = new TableColumn(this.table, 
/* 151 */         16777216);
/* 152 */     newColumnTableColumn4.setAlignment(16777216);
/* 153 */     newColumnTableColumn4.setWidth(113);
/* 154 */     newColumnTableColumn4.setText("批准日期");
/*     */     
/* 156 */     TableColumn newColumnTableColumn6 = new TableColumn(this.table, 
/* 157 */         16777216);
/* 158 */     newColumnTableColumn6.setAlignment(16777216);
/* 159 */     newColumnTableColumn6.setWidth(113);
/* 160 */     newColumnTableColumn6.setText("操作");
/*     */     
/* 162 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 163 */         16777216);
/* 164 */     newColumnTableColumn_5.setResizable(false);
/* 165 */     newColumnTableColumn_5.setWidth(0);
/*     */     
/* 167 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 168 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FddbrHistoryListLableProvider());
/* 169 */     this.compage = new Composite(container, 0);
/* 170 */     GridData gd_compage = new GridData(4, 4, false, 
/* 171 */         false, 4, 1);
/* 172 */     this.compage.setLayoutData(gd_compage);
/* 173 */     GridLayout gridLayout = new GridLayout();
/* 174 */     gridLayout.numColumns = 5;
/* 175 */     this.compage.setLayout((Layout)gridLayout);
/*     */     
/* 177 */     this.page = new Label(this.compage, 0);
/* 178 */     this.page.setText("页次：");
/*     */     
/* 180 */     this.nowPage = new Label(this.compage, 0);
/*     */     
/* 182 */     this.everyPageRows = new Label(this.compage, 0);
/* 183 */     this.allRows = new Label(this.compage, 0);
/*     */     
/* 185 */     this.composite_1 = new Composite(this.compage, 0);
/* 186 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 187 */         false);
/* 188 */     this.composite_1.setLayoutData(gd_composite_1);
/* 189 */     GridLayout gridLayout_1 = new GridLayout();
/* 190 */     gridLayout_1.numColumns = 6;
/* 191 */     this.composite_1.setLayout((Layout)gridLayout_1);
/*     */     
/* 193 */     this.priorPage = new Button(this.composite_1, 0);
/* 194 */     this.priorPage.setEnabled(false);
/* 195 */     this.priorPage.setText("上一页");
/*     */     
/* 197 */     this.nextPage = new Button(this.composite_1, 0);
/* 198 */     this.nextPage.setEnabled(false);
/* 199 */     this.nextPage.setText("下一页");
/*     */     
/* 201 */     Label label_8_1 = new Label(this.composite_1, 0);
/* 202 */     label_8_1.setLayoutData(new GridData());
/* 203 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 204 */     label_8_1.setText("转至第");
/*     */     
/* 206 */     this.text = new Text(this.composite_1, 2048);
/* 207 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 208 */     gd_text.widthHint = 46;
/* 209 */     this.text.setLayoutData(gd_text);
/*     */     
/* 211 */     Label label_1_1 = new Label(this.composite_1, 0);
/* 212 */     label_1_1.setLayoutData(new GridData());
/* 213 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 214 */     label_1_1.setText("页");
/* 215 */     PublicUtil.setMouseHands(this.table, "4");
/* 216 */     this.goButton = new Button(this.composite_1, 0);
/* 217 */     this.goButton.setLayoutData(new GridData());
/* 218 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 219 */     this.goButton.setText("GO");
/* 220 */     PublicUtil.setTableHeight(this.table);
/* 221 */     PublicUtil.setTableWidth(this.composite, this.table, "2:2:2:2:1.97:0.03");
/* 222 */     getData(this.starto);
/* 223 */     setFontColor();
/* 224 */     setPages(this.currentPage);
/* 225 */     setCursor();
/* 226 */     action();
/* 227 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 237 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 245 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 249 */     super.configureShell(newShell);
/* 250 */     newShell.setText("历任法定代表人一览");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 257 */     if (this.perInfo.size() == 0) {
/* 258 */       this.totalRows = 0;
/*     */     } else {
/* 260 */       this.totalRows = ((WithinputInfo)this.perInfo.get(0)).getTotalRows();
/* 261 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 262 */     this.totalPages = pu.getTotalPages();
/* 263 */     this.currentPage = pu.getCurrentPage();
/* 264 */     this.hasNextPage = pu.isHasNextPage();
/* 265 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 266 */     if (this.totalPages == 0) {
/* 267 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 269 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 271 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 272 */     this.allRows.setText("共" + this.totalRows + "行");
/* 273 */     if (!this.hasPreviousPage) {
/* 274 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 276 */       this.priorPage.setEnabled(true);
/* 277 */     }  if (!this.hasNextPage) {
/* 278 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 280 */       this.nextPage.setEnabled(true);
/* 281 */     }  if (this.totalPages > 1) {
/* 282 */       this.goButton.setEnabled(true);
/* 283 */       this.text.setEnabled(true);
/*     */     } else {
/* 285 */       this.goButton.setEnabled(false);
/* 286 */       this.text.setEnabled(false);
/*     */     } 
/* 288 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int starto) {
/* 295 */     this.perInfo = this.dataManage.getFddbrHistoryList(this.unitId, starto, this.maxCount);
/* 296 */     if (this.perInfo != null && this.perInfo.size() > 0) {
/* 297 */       Object object = this.perInfo;
/* 298 */       this.tableViewer.setInput(object);
/*     */     } else {
/* 300 */       SydjMessageDialog.openInformation(
/* 301 */           null, "提示", "法定代表人信息不存在！");
/* 302 */       getShell().close();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 310 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 311 */       this.table.getItem(i)
/* 312 */         .setFont(
/* 313 */           4, 
/* 314 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 315 */             false, false));
/* 316 */       this.table.getItem(i).setForeground(4, 
/* 317 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 325 */     if (this.cursor != null)
/*     */     {
/* 327 */       this.cursor.dispose(); } 
/* 328 */     this.cursor = new TableCursor(this.table, 0);
/* 329 */     this.cursor.setBackground(this.table.getDisplay()
/* 330 */         .getSystemColor(26));
/* 331 */     this.cursor.setForeground(this.table.getDisplay()
/* 332 */         .getSystemColor(27));
/* 333 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 335 */             int colums = FddbrHistoryListDialog.this.cursor.getColumn();
/* 336 */             if (colums == 4) {
/* 337 */               FddbrHistoryListDialog.this.fddbrDetailInfo();
/*     */             }
/* 339 */             FddbrHistoryListDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 342 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 345 */             int colums = FddbrHistoryListDialog.this.cursor.getColumn();
/* 346 */             if (colums == FddbrHistoryListDialog.this.selectColums && 
/* 347 */               colums == 4) {
/* 348 */               FddbrHistoryListDialog.this.fddbrDetailInfo();
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 359 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 363 */             FddbrHistoryListDialog.this.getData((FddbrHistoryListDialog.this.currentPage - 2) * FddbrHistoryListDialog.this.maxCount + 1);
/* 364 */             FddbrHistoryListDialog.this.setPages(FddbrHistoryListDialog.this.currentPage - 1);
/* 365 */             FddbrHistoryListDialog.this.setFontColor();
/* 366 */             FddbrHistoryListDialog.this.setCursor();
/*     */           }
/*     */         });
/* 369 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 372 */             FddbrHistoryListDialog.this.getData(FddbrHistoryListDialog.this.currentPage * FddbrHistoryListDialog.this.maxCount + 1);
/* 373 */             FddbrHistoryListDialog.this.setPages(FddbrHistoryListDialog.this.currentPage + 1);
/* 374 */             FddbrHistoryListDialog.this.setFontColor();
/* 375 */             FddbrHistoryListDialog.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 379 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 381 */             if (VerifyFunction.isNumeric(FddbrHistoryListDialog.this.text.getText())) {
/* 382 */               int aa = Integer.parseInt(FddbrHistoryListDialog.this.text.getText());
/* 383 */               if (aa > FddbrHistoryListDialog.this.totalPages) {
/* 384 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 386 */                 FddbrHistoryListDialog.this.getData((aa - 1) * FddbrHistoryListDialog.this.maxCount + 1);
/* 387 */                 FddbrHistoryListDialog.this.setPages(aa);
/* 388 */                 FddbrHistoryListDialog.this.setFontColor();
/* 389 */                 FddbrHistoryListDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 392 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 400 */     super.initializeBounds();
/* 401 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */   
/*     */   private void fddbrDetailInfo() {
/*     */     try {
/* 407 */       String[] acceptors = (String[])null;
/* 408 */       ArrayList<String> result = new ArrayList<String>();
/* 409 */       result = this.dataManage.queryGljgUsers(
/* 410 */           GljgUserInfo.getInstance().getGroupid());
/* 411 */       if (result != null) {
/* 412 */         acceptors = new String[result.size()];
/* 413 */         for (int i = 0; i < result.size(); i++) {
/* 414 */           acceptors[i] = result.get(i);
/*     */         }
/*     */       } 
/*     */       
/* 418 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 419 */       WithinputInfo wi = (WithinputInfo)select.getFirstElement();
/* 420 */       String frId = wi.getRealid();
/*     */ 
/*     */       
/* 423 */       DataAdjustOperation oper = new DataAdjustOperation();
/* 424 */       ArrayList<InstaurationFddbrInfo> fddbrlist = new ArrayList();
/* 425 */       fddbrlist = oper.QueryFddbrInfoByFrId(this.unitId, frId);
/* 426 */       InstaurationFddbrInfo fddbrinfo = new InstaurationFddbrInfo();
/* 427 */       if (fddbrlist.size() > 0) {
/* 428 */         fddbrinfo = fddbrlist.get(0);
/*     */ 
/*     */         
/* 431 */         ArrayList fddbrResumelist = new ArrayList();
/* 432 */         fddbrResumelist = oper.QueryFddbrResume(
/* 433 */             this.unitId, fddbrinfo.getFR_ID());
/*     */         
/* 435 */         String photoUrl = oper.QueryFddbrPhotoByFrId(this.unitId, frId);
/* 436 */         InstallLegalPersonDialog dialog = new InstallLegalPersonDialog(
/* 437 */             getShell(), fddbrinfo, fddbrResumelist, photoUrl, 
/* 438 */             acceptors, UnitState.INVALIDATE);
/* 439 */         dialog.open();
/*     */       } else {
/* 441 */         SydjMessageDialog.openInformation(
/* 442 */             null, "提示", "法定代表人信息不存在！");
/*     */       } 
/* 444 */     } catch (Exception e1) {
/* 445 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\adjust\dialog\FddbrHistoryListDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */