/*     */ package cs.sydj.operation.data.modify;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.attachs.AttachsOperations;
/*     */ import cs.sydj.common.attachs.DataModifyAttachsDialog;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.data.modify.dialog.AnnualCheckFileInfoDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.AnnualCheckFileInfoDialogGJJ;
/*     */ import cs.sydj.operation.data.modify.dialog.CertFileInfoDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.LogOutFileInfoDialog;
/*     */ import cs.sydj.operation.fuhe.annualcheck.AnnualCheckFileInfoDialogFuHeBranch;
/*     */ import cs.sydj.operation.fuhe.annualcheck.AnnualCheckOperationFuHe;
/*     */ import cs.sydj.operation.fuhe.logout.LogOutOperationFuHe;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckFileInfoDialogShouLiGuangXi;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckFileInfoDialogShouLiJiangXi;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckOperationShouLi;
/*     */ import cs.sydj.operation.shouli.cert.CertOperationShouLi;
/*     */ import cs.sydj.operation.shouli.logout.LogOutOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.AnnualCheckGuangxi;
/*     */ import server.sydj.operation.commons.AnnualCheckModel;
/*     */ import server.sydj.operation.commons.AnnualCheckTableContentModel;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.DataModifyModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.LogOutAdviseModel;
/*     */ import server.sydj.operation.commons.LogOutTableContentModel;
/*     */ import server.sydj.operation.commons.TableName;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckAModel;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckBModel;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckReportA;
/*     */ import server.sydj.operation.commons.UnitAnnualCheckReportB;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ import server.tableinfo.common.AnnualCheckSydwBranch;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DetailFilesDailog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table;
/*     */   private TableViewer tableViewer;
/*     */   private Label label;
/*     */   private final ArrayList perInfo;
/*     */   private final DataModifyModel model;
/*     */   private final String unitName;
/*     */   private final String state;
/*     */   private final boolean isModify;
/*     */   private final String type;
/*     */   private boolean canModify = false;
/*     */   private Composite composite;
/*     */   private TableCursor cursor;
/*  89 */   private int selectColums = 32;
/*     */ 
/*     */   
/*     */   private final String flag;
/*     */ 
/*     */   
/*     */   private ArrayList fileList;
/*     */ 
/*     */ 
/*     */   
/*     */   public DetailFilesDailog(Shell parentShell, DataModifyModel model, String unitName, ArrayList perInfo, String state, boolean isModify, String type, String flag) {
/* 100 */     super(parentShell);
/* 101 */     this.model = model;
/* 102 */     this.unitName = unitName;
/* 103 */     this.perInfo = perInfo;
/* 104 */     this.state = state;
/* 105 */     this.isModify = isModify;
/* 106 */     this.type = type;
/* 107 */     this.flag = flag;
/* 108 */     if (isModify && !state.equals(UnitState.FREEZE) && 
/* 109 */       !state.equals(UnitState.ABOLISH) && 
/* 110 */       !state.equals(UnitState.INVALIDATE)) {
/* 111 */       this.canModify = true;
/*     */     } else {
/* 113 */       this.canModify = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 124 */     parent.setBackground(Display.getCurrent()
/* 125 */         .getSystemColor(1));
/* 126 */     parent.setBackgroundMode(2);
/* 127 */     Composite container = (Composite)super.createDialogArea(parent);
/* 128 */     GridLayout gridLayout_1 = new GridLayout();
/* 129 */     gridLayout_1.marginTop = 25;
/* 130 */     gridLayout_1.marginRight = 25;
/* 131 */     gridLayout_1.marginLeft = 25;
/* 132 */     container.setLayout((Layout)gridLayout_1);
/*     */     
/* 134 */     this.label = new Label(container, 0);
/* 135 */     this.label.setLayoutData(new GridData(16384, 16777216, true, false));
/* 136 */     this.label
/* 137 */       .setText("永久库信息修改>>“" + this.unitName + "”的" + this.model.getNote() + 
/* 138 */         "文件列表");
/* 139 */     this.label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 140 */     Label label_1 = new Label(container, 258);
/*     */     
/* 142 */     label_1.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 144 */     this.composite = new Composite(container, 0);
/* 145 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 146 */         false);
/* 147 */     gd_composite.heightHint = 320;
/* 148 */     this.composite.setLayoutData(gd_composite);
/* 149 */     GridLayout gridLayout = new GridLayout();
/* 150 */     gridLayout.verticalSpacing = 0;
/* 151 */     gridLayout.marginWidth = 0;
/* 152 */     gridLayout.marginHeight = 0;
/* 153 */     gridLayout.horizontalSpacing = 0;
/* 154 */     this.composite.setLayout((Layout)gridLayout);
/*     */     
/* 156 */     this.tableViewer = new TableViewer(this.composite, 67586);
/*     */     
/* 158 */     this.table = this.tableViewer.getTable();
/* 159 */     this.table.setCursor(SWTResourceManager.getCursor(21));
/* 160 */     this.table.setLinesVisible(true);
/* 161 */     this.table.setHeaderVisible(true);
/* 162 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/* 163 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 164 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DataModiyDetailLabelProvider());
/* 165 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 166 */         16777216);
/* 167 */     newColumnTableColumn.setAlignment(16777216);
/* 168 */     newColumnTableColumn.setWidth(593);
/* 169 */     newColumnTableColumn.setText("文件名称");
/*     */     
/* 171 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 172 */         16777216);
/* 173 */     newColumnTableColumn_3.setAlignment(16777216);
/* 174 */     newColumnTableColumn_3.setWidth(100);
/* 175 */     newColumnTableColumn_3.setText("");
/*     */     
/* 177 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 178 */         16777216);
/* 179 */     newColumnTableColumn_1.setAlignment(16777216);
/* 180 */     newColumnTableColumn_1.setWidth(173);
/* 181 */     newColumnTableColumn_1.setText("状态");
/* 182 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 183 */         16777216);
/* 184 */     newColumnTableColumn_2.setAlignment(16777216);
/* 185 */     newColumnTableColumn_2.setWidth(0);
/* 186 */     newColumnTableColumn_2.setResizable(false);
/* 187 */     this.cursor = new TableCursor(this.table, 0);
/* 188 */     this.cursor.setBackground(this.table.getDisplay()
/* 189 */         .getSystemColor(26));
/* 190 */     this.cursor.setForeground(this.table.getDisplay()
/* 191 */         .getSystemColor(27));
/* 192 */     PublicUtil.setTableHeight(this.table);
/* 193 */     PublicUtil.setTableWidth(this.composite, this.table, "6.96:1:2:0.03");
/* 194 */     PublicUtil.setMouseHands(this.table, "0#1");
/* 195 */     getData();
/* 196 */     setCursorActions();
/* 197 */     setFontColor(this.table);
/*     */     
/* 199 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 209 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 217 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 221 */     super.configureShell(newShell);
/* 222 */     newShell.setText("永久库信息修改 ");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData() {
/* 229 */     Object object = this.perInfo;
/* 230 */     this.tableViewer.setInput(object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor(Table table) {
/* 239 */     for (int i = 0; i < table.getItemCount(); i++) {
/* 240 */       table.getItem(i)
/* 241 */         .setFont(
/* 242 */           0, 
/* 243 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 244 */             false, false));
/* 245 */       table.getItem(i).setForeground(0, 
/* 246 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 248 */       table.getItem(i)
/* 249 */         .setFont(
/* 250 */           1, 
/* 251 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 252 */             false, false));
/* 253 */       table.getItem(i).setForeground(1, 
/* 254 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction() {
/*     */     try {
/* 263 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 264 */         .getSelection();
/* 265 */       FileModel model = (FileModel)select.getFirstElement();
/* 266 */       if (!model.isAnnex()) {
/* 267 */         if ("2".equals(this.type)) {
/* 268 */           AnnualCheckOperationFuHe annualCheck = new AnnualCheckOperationFuHe();
/* 269 */           if (model.getFileName()
/* 270 */             .equals(TableName.TABLE_ADDITIONAL_A)) {
/* 271 */             ArrayList<UnitAnnualCheckAModel> fileDetail = annualCheck.getTableAdditonal(
/* 272 */                 model, "1", this.state.equals("已注销") ? "1" : "0");
/* 273 */             if (fileDetail == null)
/*     */               return; 
/* 275 */             if (!fileDetail.isEmpty()) {
/* 276 */               UnitAnnualCheckAModel tableA = fileDetail
/* 277 */                 .get(0);
/* 278 */               UnitAnnualCheckReportA report = new UnitAnnualCheckReportA(
/* 279 */                   getShell(), tableA);
/* 280 */               report.open();
/*     */             } else {
/* 282 */               SydjMessageDialog.openInformation(getShell(), "提示", 
/* 283 */                   "对不起，数据库中不存在相应的信息");
/*     */             } 
/* 285 */           } else if (model.getFileName().equals(
/* 286 */               TableName.TABLE_ADDITIONAL_B)) {
/* 287 */             ArrayList<UnitAnnualCheckBModel> fileDetail = annualCheck.getTableAdditonal(
/* 288 */                 model, "1", this.state.equals("已注销") ? "1" : "0");
/* 289 */             if (fileDetail == null)
/*     */               return; 
/* 291 */             if (!fileDetail.isEmpty()) {
/* 292 */               UnitAnnualCheckBModel tableB = fileDetail
/* 293 */                 .get(0);
/* 294 */               UnitAnnualCheckReportB report = new UnitAnnualCheckReportB(
/* 295 */                   PlatformUI.getWorkbench()
/* 296 */                   .getActiveWorkbenchWindow()
/* 297 */                   .getShell(), tableB);
/* 298 */               report.open();
/*     */             } else {
/* 300 */               SydjMessageDialog.openInformation(getShell(), "提示", 
/* 301 */                   "对不起，数据库中不存在相应的信息");
/*     */             } 
/*     */           } else {
/* 304 */             ArrayList<AnnualCheckModel> list = annualCheck.getAdviceInfo(model, "1");
/* 305 */             if (list != null) {
/* 306 */               if (list.size() != 0) {
/* 307 */                 AnnualCheckModel md = list
/* 308 */                   .get(0);
/* 309 */                 if (PublicUtil.checkWithinputAnnual(md.getApplydate(), md.getCheckYear())) {
/* 310 */                   if (md.getYearReport1() != null && "1".equals(md.getYearReport1())) {
/* 311 */                     AnnualCheckFileInfoDialogShouLiGuangXi file = 
/* 312 */                       new AnnualCheckFileInfoDialogShouLiGuangXi(
/* 313 */                         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 314 */                         .getShell(), md, this.canModify);
/* 315 */                     file.open();
/* 316 */                   } else if (md.getYearReport1() != null && "2".equals(md.getYearReport1())) {
/*     */                     
/* 318 */                     AnnualCheckFileInfoDialogShouLiJiangXi file = new AnnualCheckFileInfoDialogShouLiJiangXi(
/* 319 */                         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 320 */                         .getShell(), md, this.canModify);
/* 321 */                     file.open();
/*     */                   } else {
/* 323 */                     AnnualCheckFileInfoDialogGJJ file = new AnnualCheckFileInfoDialogGJJ(
/* 324 */                         getShell(), md, this.canModify);
/* 325 */                     if (file.open() == 0) {
/* 326 */                       AnnualCheckModel acm = file
/* 327 */                         .getAfterModify();
/* 328 */                       String flag = (new DataModifyOperation())
/* 329 */                         .annaulCheckModify(md, acm, 
/* 330 */                           GljgUserInfo.getInstance()
/* 331 */                           .getGroupid(), 
/* 332 */                           GljgUserInfo.getInstance()
/* 333 */                           .getUserid(), 
/* 334 */                           GljgUserInfo.getInstance()
/* 335 */                           .getRealname());
/* 336 */                       if (flag != null) {
/* 337 */                         if ("true".equals(flag)) {
/* 338 */                           UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 339 */                           uldi.setRequestType(6);
/* 340 */                           uldi
/* 341 */                             .setGroupid(
/* 342 */                               GljgUserInfo.getInstance()
/* 343 */                               .getGroupid());
/* 344 */                           uldi.setDistrictcode(
/* 345 */                               GljgUserInfo.getInstance()
/* 346 */                               .getDistrictcode());
/* 347 */                           uldi.setSydwid(md.getUintId());
/* 348 */                           uldi.setIslogout(
/* 349 */                               this.state.equals("已注销") ? 1 : 0);
/* 350 */                           ModifyLocalData mld = new ModifyLocalData();
/* 351 */                           mld.modifyLocalData(uldi);
/* 352 */                           SydjMessageDialog.openInformation(
/* 353 */                               getShell(), "提示", 
/* 354 */                               "修改事业单位永久库信息成功");
/*     */                         } else {
/* 356 */                           SydjMessageDialog.openInformation(
/* 357 */                               getShell(), "提示", 
/* 358 */                               "修改事业单位永久库信息失败");
/*     */                         } 
/*     */                       } else {
/* 361 */                         SydjMessageDialog.openInformation(
/* 362 */                             getShell(), "提示", 
/* 363 */                             "修改事业单位永久库信息失败");
/*     */                       } 
/*     */                     } 
/*     */                   } 
/*     */                 } else {
/* 368 */                   AnnualCheckFileInfoDialog file = new AnnualCheckFileInfoDialog(
/* 369 */                       getShell(), md, this.canModify);
/* 370 */                   if (file.open() == 0) {
/* 371 */                     AnnualCheckModel acm = file
/* 372 */                       .getAfterModify();
/* 373 */                     String flag = (new DataModifyOperation())
/* 374 */                       .annaulCheckModify(md, acm, 
/* 375 */                         GljgUserInfo.getInstance()
/* 376 */                         .getGroupid(), 
/* 377 */                         GljgUserInfo.getInstance()
/* 378 */                         .getUserid(), 
/* 379 */                         GljgUserInfo.getInstance()
/* 380 */                         .getRealname());
/* 381 */                     if (flag != null) {
/* 382 */                       if ("true".equals(flag)) {
/* 383 */                         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 384 */                         uldi.setRequestType(6);
/* 385 */                         uldi
/* 386 */                           .setGroupid(
/* 387 */                             GljgUserInfo.getInstance()
/* 388 */                             .getGroupid());
/* 389 */                         uldi.setDistrictcode(
/* 390 */                             GljgUserInfo.getInstance()
/* 391 */                             .getDistrictcode());
/* 392 */                         uldi.setSydwid(md.getUintId());
/* 393 */                         uldi.setIslogout(
/* 394 */                             this.state.equals("已注销") ? 1 : 0);
/* 395 */                         ModifyLocalData mld = new ModifyLocalData();
/* 396 */                         mld.modifyLocalData(uldi);
/* 397 */                         SydjMessageDialog.openInformation(
/* 398 */                             getShell(), "提示", 
/* 399 */                             "修改事业单位永久库信息成功");
/*     */                       } else {
/* 401 */                         SydjMessageDialog.openInformation(
/* 402 */                             getShell(), "提示", 
/* 403 */                             "修改事业单位永久库信息失败");
/*     */                       } 
/*     */                     } else {
/* 406 */                       SydjMessageDialog.openInformation(
/* 407 */                           getShell(), "提示", 
/* 408 */                           "修改事业单位永久库信息失败");
/*     */                     } 
/*     */                   } 
/*     */                 } 
/*     */               } else {
/* 413 */                 SydjMessageDialog.openInformation(getShell(), 
/* 414 */                     "提示", "对不起，数据库中不存在相应的信息");
/*     */               }
/*     */             
/*     */             }
/*     */           } 
/* 419 */         } else if ("3".equals(this.type)) {
/* 420 */           LogOutOperationFuHe logout = new LogOutOperationFuHe();
/* 421 */           ArrayList<LogOutAdviseModel> fileDetail = logout.getAdviceInfo(model, "1");
/* 422 */           if (fileDetail == null)
/*     */             return; 
/* 424 */           if (!fileDetail.isEmpty()) {
/* 425 */             LogOutAdviseModel log = fileDetail
/* 426 */               .get(0);
/* 427 */             LogOutFileInfoDialog file = new LogOutFileInfoDialog(
/* 428 */                 getShell(), log, this.canModify);
/* 429 */             if (file.open() == 0) {
/* 430 */               LogOutAdviseModel loa = file.getAfterModify();
/* 431 */               String flag = (new DataModifyOperation())
/* 432 */                 .logOutModify(log, loa, 
/* 433 */                   GljgUserInfo.getInstance().getGroupid(), 
/* 434 */                   GljgUserInfo.getInstance()
/* 435 */                   .getUserid(), 
/* 436 */                   GljgUserInfo.getInstance()
/* 437 */                   .getRealname());
/* 438 */               if (flag != null) {
/* 439 */                 if ("true".equals(flag)) {
/* 440 */                   SydjMessageDialog.openInformation(
/* 441 */                       getShell(), "提示", "修改事业单位永久库信息成功");
/*     */                 } else {
/* 443 */                   SydjMessageDialog.openInformation(
/* 444 */                       getShell(), "提示", "修改事业单位永久库信息失败");
/*     */                 } 
/*     */               } else {
/* 447 */                 SydjMessageDialog.openInformation(getShell(), 
/* 448 */                     "提示", "修改事业单位永久库信息失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/* 452 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 453 */                 "对不起，数据库中不存在相应的信息");
/*     */           }
/*     */         
/* 456 */         } else if ("4".equals(this.type)) {
/* 457 */           CertOperationPrint cert = new CertOperationPrint();
/* 458 */           ArrayList<CertFileInfoModel> fileDetail = cert.getAdviceInfo(model);
/* 459 */           if (fileDetail == null)
/*     */             return; 
/* 461 */           if (!fileDetail.isEmpty()) {
/* 462 */             CertFileInfoModel ct = fileDetail
/* 463 */               .get(0);
/* 464 */             CertFileInfoDialog dialog = new CertFileInfoDialog(
/* 465 */                 getShell(), ct, this.canModify, this.state);
/* 466 */             if (dialog.open() == 0) {
/* 467 */               CertFileInfoModel ctf = dialog.getAfterModify();
/* 468 */               String flag = (new DataModifyOperation()).certModify(
/* 469 */                   ct, ctf, 
/* 470 */                   GljgUserInfo.getInstance().getGroupid(), 
/* 471 */                   GljgUserInfo.getInstance().getUserid(), 
/* 472 */                   GljgUserInfo.getInstance().getRealname());
/* 473 */               if (flag != null) {
/* 474 */                 if ("true".equals(flag)) {
/* 475 */                   UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 476 */                   uldi.setRequestType(6);
/* 477 */                   uldi.setGroupid(
/* 478 */                       GljgUserInfo.getInstance().getGroupid());
/* 479 */                   uldi.setDistrictcode(
/* 480 */                       GljgUserInfo.getInstance().getDistrictcode());
/* 481 */                   uldi.setSydwid(ct.getUnitId());
/* 482 */                   uldi.setIslogout(this.state.equals("已注销") ? 1 : 
/* 483 */                       0);
/* 484 */                   SydjMessageDialog.openInformation(
/* 485 */                       getShell(), "提示", "修改事业单位永久库信息成功");
/*     */                 } else {
/* 487 */                   SydjMessageDialog.openInformation(
/* 488 */                       getShell(), "提示", "修改事业单位永久库信息失败");
/*     */                 } 
/*     */               } else {
/* 491 */                 SydjMessageDialog.openInformation(getShell(), 
/* 492 */                     "提示", "修改事业单位永久库信息失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/* 496 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 497 */                 "对不起，数据库中不存在相应的信息");
/*     */           }
/*     */         
/*     */         } 
/* 501 */       } else if ("事业单位分支机构年度工作情况".equals(model.getFileName())) {
/* 502 */         AnnualCheckOperationFuHe ac = new AnnualCheckOperationFuHe();
/* 503 */         ArrayList<AnnualCheckModel> fileDetail = ac.getAdviceInfo(model, "0");
/* 504 */         if (fileDetail == null)
/*     */           return; 
/* 506 */         AnnualCheckModel annualCheck = null;
/* 507 */         if (!fileDetail.isEmpty()) {
/* 508 */           annualCheck = fileDetail.get(0);
/*     */           
/* 510 */           String realId = annualCheck.getCurrentId();
/* 511 */           ArrayList<AnnualCheckSydwBranch> acBranchList = ac.getAnnualCheckSydwBranchList(realId);
/* 512 */           AnnualCheckFileInfoDialogFuHeBranch file = new AnnualCheckFileInfoDialogFuHeBranch(
/* 513 */               PlatformUI.getWorkbench()
/* 514 */               .getActiveWorkbenchWindow()
/* 515 */               .getShell(), acBranchList, false);
/* 516 */           if (file.open() == 0) {
/* 517 */             this.fileList = ac
/*     */               
/* 519 */               .getAnnualCheckFileInfo(model.getGroupId(), model.getApplyId(), model.getId(), true);
/* 520 */             if (this.fileList == null) {
/*     */               return;
/*     */             }
/* 523 */             PublicUtil.setPassEnable(this.fileList);
/* 524 */             setCursor();
/*     */           } 
/*     */         } 
/*     */       } else {
/*     */         
/* 529 */         AttachsOperations att = new AttachsOperations();
/* 530 */         ArrayList attachs = 
/* 531 */           att.getAttachs1(model.getApplyId(), model.getId(), 
/* 532 */             model.getAttachGroupId(), model.getSubDate());
/* 533 */         if (attachs != null) {
/* 534 */           InsAttachmentInfo insinfo = new InsAttachmentInfo();
/* 535 */           insinfo.setApplyid(model.getApplyId());
/* 536 */           insinfo.setRealid(model.getId());
/* 537 */           insinfo.setFilename(model.getFileName());
/* 538 */           insinfo.setAttachstate(PublicUtil.getAnnexStatInDataBase(
/* 539 */                 model.getAnnexStat()));
/* 540 */           insinfo.setATTACH_GROUP_ID(model.getAttachGroupId());
/* 541 */           insinfo.setAttachid(model.getAnnexId());
/* 542 */           insinfo.setJbdwid(model.getHoldUnitId());
/* 543 */           insinfo.setSydwid(model.getUnitId());
/* 544 */           insinfo.setGroupid(model.getGroupId());
/* 545 */           DataModifyAttachsDialog dialog = 
/* 546 */             new DataModifyAttachsDialog(getShell(), attachs, insinfo, 
/* 547 */               this.tableViewer, this.type, model.getSubDate(), this.flag);
/* 548 */           if (dialog.open() == 0) {
/* 549 */             WithinputInfo wininfo = new WithinputInfo();
/* 550 */             wininfo.setAppylid(insinfo.getApplyid());
/* 551 */             wininfo.setRealid(insinfo.getRealid());
/* 552 */             wininfo.setSydwid(insinfo.getSydwid());
/* 553 */             wininfo.setJbdwid(insinfo.getJbdwid());
/* 554 */             ArrayList attachlist = new ArrayList();
/* 555 */             DataModifyOperation mod = new DataModifyOperation();
/* 556 */             attachlist = 
/* 557 */               mod.getFileInfos(GljgUserInfo.getInstance().getGroupid(), 
/* 558 */                 model.getApplyId(), model.getId(), model.getUnitId(), this.type, 
/* 559 */                 model.getSubDate(), model.getHoldUnitId());
/* 560 */             this.tableViewer.setInput(attachlist);
/* 561 */             setFontColor(this.table);
/* 562 */             setCursor();
/*     */           }
/*     */         
/*     */         } 
/*     */       } 
/* 567 */     } catch (Exception e) {
/* 568 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursorActions() {
/* 576 */     setCursor();
/* 577 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 580 */             DetailFilesDailog.this.cursor.getColumn();
/* 581 */             int colums = DetailFilesDailog.this.cursor.getColumn();
/* 582 */             if (colums == 0) {
/* 583 */               DetailFilesDailog.this.setAction();
/*     */             }
/* 585 */             if (colums == 1) {
/* 586 */               DetailFilesDailog.this.setTableDown();
/*     */             }
/* 588 */             DetailFilesDailog.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   public void setTableDown() {
/*     */     try {
/* 596 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 597 */         .getSelection();
/* 598 */       FileModel model = (FileModel)select.getFirstElement();
/* 599 */       if (this.type.equals("2") && 
/* 600 */         !model.isAnnex()) {
/* 601 */         AnnualCheckTableContentModel md = (new AnnualCheckOperationShouLi())
/* 602 */           .getAnnualCheckTable(model.getApplyId(), 
/* 603 */             model.getId());
/* 604 */         if (model == null) {
/*     */           return;
/*     */         }
/* 607 */         ReplaceMap rmap = new ReplaceMap();
/* 608 */         if (PublicUtil.checkWithinputAnnual(md.getApplyDate(), md.getYear())) {
/* 609 */           if (md.getYearReport1() != null && "1".equals(md.getYearReport1())) {
/* 610 */             AnnualCheckGuangxi annualCheckGx = md.getAnnualCheckGx();
/* 611 */             String annualModel = "";
/* 612 */             if (annualCheckGx != null) {
/* 613 */               if (annualCheckGx.getSydwGylb() != null && 
/* 614 */                 "1".equals(annualCheckGx.getSydwGylb())) {
/* 615 */                 annualModel = "Template/doc/sydw_annual_check_apply_report_guangxi1.doc";
/* 616 */               } else if (annualCheckGx.getSydwGylb() != null && 
/* 617 */                 "2".equals(annualCheckGx.getSydwGylb())) {
/* 618 */                 annualModel = "Template/doc/sydw_annual_check_apply_report_guangxi2.doc";
/*     */               } 
/* 620 */               OpenOrLoadDialog oold = new OpenOrLoadDialog(getShell(), 
/* 621 */                   "事业单位法人年度报告书", 
/* 622 */                   "Microsoft Word 文档", PublicUtil.getRealPath(annualModel), 
/* 623 */                   rmap.getAnnualCheckGuangxiFileMap(md));
/* 624 */               oold.open();
/*     */             } 
/* 626 */           } else if (md.getYearReport1() != null && "2".equals(md.getYearReport1())) {
/* 627 */             String annualModel = "Template/doc/sydw_annual_check_apply_report_jiangxi.doc";
/* 628 */             OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 629 */                 getShell(), 
/* 630 */                 "事业单位法人年度报告书", 
/* 631 */                 "Microsoft Word 文档", annualModel, 
/* 632 */                 rmap.getAnnualCheckJiangxiFileMap(md));
/* 633 */             oold.open();
/*     */           } else {
/* 635 */             OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 636 */                 getShell(), 
/* 637 */                 "事业单位法人年度报告书", 
/* 638 */                 "Microsoft Word 文档", 
/*     */                 
/* 640 */                 PublicUtil.getRealPath("Template/doc/sydw_annual_check_apply_report_gjj.doc"), 
/* 641 */                 rmap.getAnnualCheckFileMap(md));
/* 642 */             oold.open();
/*     */           } 
/*     */         } else {
/* 645 */           OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 646 */               getShell(), 
/* 647 */               "事业单位法人年度报告书", 
/* 648 */               "Microsoft Word 文档", 
/*     */               
/* 650 */               PublicUtil.getRealPath("Template/doc/sydw_annual_check_apply_report.doc"), 
/* 651 */               rmap.getAnnualCheckFileMap(md));
/* 652 */           oold.open();
/*     */         } 
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 658 */       if (this.type.equals("3") && 
/* 659 */         !model.isAnnex()) {
/* 660 */         LogOutTableContentModel md = (new LogOutOperationShouLi())
/* 661 */           .getLogOutTable(model.getApplyId(), model.getId());
/* 662 */         if (model == null) {
/*     */           return;
/*     */         }
/* 665 */         ReplaceMap rmap = new ReplaceMap();
/* 666 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 667 */             getShell(), 
/* 668 */             "事业单位法人注销登记（备案）申请书", 
/* 669 */             "Microsoft Word 文档", 
/*     */             
/* 671 */             PublicUtil.getRealPath("Template/doc/sydw_logout_apply_report.doc"), 
/* 672 */             rmap.getLogOutFileMap(md));
/* 673 */         oold.open();
/*     */       } 
/*     */ 
/*     */       
/* 677 */       if (this.type.equals("4") && 
/* 678 */         !model.isAnnex()) {
/* 679 */         CertTableContentModel md = (new CertOperationShouLi())
/* 680 */           .getCertTable(model.getApplyId(), model.getId());
/* 681 */         if (model == null) {
/*     */           return;
/*     */         }
/* 684 */         ReplaceMap rmap = new ReplaceMap();
/* 685 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 686 */             getShell(), 
/* 687 */             "事业单位法人证书补领申请书", 
/* 688 */             "Microsoft Word 文档", 
/*     */             
/* 690 */             PublicUtil.getRealPath("Template/doc/sydw_cert_apply_report.doc"), 
/* 691 */             rmap.getCertFileMap(md));
/* 692 */         oold.open();
/*     */       }
/*     */     
/*     */     }
/* 696 */     catch (Exception e) {
/* 697 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 704 */     super.initializeBounds();
/* 705 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 712 */     if (this.cursor != null)
/* 713 */       this.cursor.dispose(); 
/* 714 */     this.cursor = new TableCursor(this.table, 0);
/* 715 */     this.cursor.setBackground(this.table.getDisplay()
/* 716 */         .getSystemColor(26));
/* 717 */     this.cursor.setForeground(this.table.getDisplay()
/* 718 */         .getSystemColor(27));
/* 719 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 722 */             int colums = ((TableCursor)arg0.getSource()).getColumn();
/* 723 */             if (colums == DetailFilesDailog.this.selectColums) {
/* 724 */               if (colums == 0) {
/* 725 */                 DetailFilesDailog.this.setAction();
/*     */               }
/* 727 */               if (colums == 1)
/* 728 */                 DetailFilesDailog.this.setTableDown(); 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\modify\DetailFilesDailog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */