/*     */ package cs.sydj.operation.data.query;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.data.modify.DataModifyOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import cs.sydj.sysmanage.jbdwmanage.SysJBDWTreeDialog;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerControler;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.ISelectionChangedListener;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.SelectionChangedEvent;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DataQuery
/*     */   extends ViewPart
/*     */ {
/*  66 */   protected int setedLevel = 2;
/*     */   private Button goButton;
/*     */   private Text text;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_1;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private Table table;
/*     */   private Text nmText;
/*     */   private Text huText;
/*     */   private Text ctText;
/*     */   private Label name;
/*     */   private Label beginDate;
/*     */   private Label endDate;
/*     */   private Composite group;
/*     */   private Button search;
/*     */   private TableViewer tableViewer;
/*     */   public static final String ID = "cs.sydj.operation.data.modify";
/*     */   private Composite container;
/*     */   private ArrayList perInfo;
/*     */   private boolean flag = false;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Button button;
/*  94 */   int totalRows = 0;
/*  95 */   int maxCount = 15;
/*  96 */   int startNo = 1;
/*  97 */   int currentPage = 1;
/*  98 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private TableCursor cursor;
/* 102 */   int starto = 1;
/* 103 */   private int selectColums = 32;
/*     */   private Button button_3;
/*     */   private Composite composite_2;
/*     */   private Composite composite;
/*     */   private Composite composite_4;
/* 108 */   private TreeViewerControler tvCon = new TreeViewerControler();
/* 109 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   private TreeViewer treeViewer;
/*     */   private Button button_5;
/*     */   private Button button_4;
/*     */   private Tree tree;
/*     */   private boolean flags = false;
/* 115 */   private String jbdwId = "";
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 119 */     parent.setBackground(Display.getCurrent()
/* 120 */         .getSystemColor(1));
/* 121 */     parent.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 123 */             DataQuery.this.setCursor();
/*     */           }
/*     */         });
/* 126 */     parent.setBackgroundMode(2);
/* 127 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/* 128 */         2816);
/* 129 */     scroll.setExpandHorizontal(true);
/* 130 */     this.container = new Composite((Composite)scroll, 0);
/* 131 */     GridLayout gridLayout_3 = new GridLayout();
/* 132 */     gridLayout_3.numColumns = 2;
/* 133 */     gridLayout_3.marginTop = 35;
/* 134 */     gridLayout_3.marginRight = 35;
/* 135 */     gridLayout_3.marginLeft = 35;
/* 136 */     this.container.setLayout((Layout)gridLayout_3);
/*     */     
/* 138 */     Label label = new Label(this.container, 0);
/* 139 */     label.setLayoutData(new GridData(16384, 16777216, false, false, 2, 
/* 140 */           1));
/* 141 */     label.setText("全库查询>>");
/* 142 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 143 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 145 */     label_1.setLayoutData(new GridData(4, 16777216, true, false, 
/* 146 */           2, 1));
/* 147 */     this.button_3 = new Button(this.container, 32);
/* 148 */     this.button_3.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 149 */           2, 1));
/* 150 */     this.button_3.setText("点击这里搜索");
/* 151 */     this.button_3.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 152 */     this.button_3.setFont(SWTResourceManager.getFont("", 9, 1));
/*     */     
/* 154 */     this.composite_1 = new Composite(this.container, 0);
/* 155 */     this.composite_1.setLayoutData(new GridData(4, 16777216, true, 
/* 156 */           false, 2, 1));
/* 157 */     this.composite_1.setLayout((Layout)new GridLayout());
/*     */     
/* 159 */     Composite composite_3 = new Composite(this.container, 0);
/* 160 */     composite_3.setLayoutData(new GridData(4, 4, true, false, 
/* 161 */           2, 1));
/* 162 */     GridLayout gridLayout_4 = new GridLayout();
/* 163 */     gridLayout_4.numColumns = 2;
/* 164 */     composite_3.setLayout((Layout)gridLayout_4);
/*     */     
/* 166 */     this.button_4 = new Button(composite_3, 16);
/* 167 */     this.button_4.setLayoutData(new GridData());
/* 168 */     this.button_4.setSelection(true);
/* 169 */     this.button_4.setText("按统一社会信用代码排序");
/*     */     
/* 171 */     this.button_5 = new Button(composite_3, 16);
/* 172 */     this.button_5.setText("按举办单位排序");
/*     */     
/* 174 */     this.composite_4 = new Composite(this.container, 0);
/* 175 */     GridData gd_composite_4 = new GridData(4, 16777216, 
/* 176 */         false, false);
/* 177 */     gd_composite_4.heightHint = 350;
/* 178 */     this.composite_4.setLayoutData(gd_composite_4);
/* 179 */     GridLayout gridLayout_5 = new GridLayout();
/* 180 */     gridLayout_5.verticalSpacing = 0;
/* 181 */     gridLayout_5.horizontalSpacing = 0;
/* 182 */     this.composite_4.setLayout((Layout)gridLayout_5);
/*     */     
/* 184 */     this.composite = new Composite(this.container, 0);
/* 185 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 186 */         false);
/* 187 */     gd_composite.heightHint = 350;
/* 188 */     this.composite.setLayoutData(gd_composite);
/* 189 */     GridLayout gridLayout_2 = new GridLayout();
/* 190 */     gridLayout_2.numColumns = 2;
/* 191 */     gridLayout_2.verticalSpacing = 0;
/* 192 */     gridLayout_2.marginWidth = 0;
/* 193 */     gridLayout_2.marginHeight = 0;
/* 194 */     gridLayout_2.horizontalSpacing = 0;
/* 195 */     this.composite.setLayout((Layout)gridLayout_2);
/*     */     
/* 197 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 199 */     this.table = this.tableViewer.getTable();
/* 200 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/* 201 */     this.table.setLinesVisible(true);
/* 202 */     this.table.setHeaderVisible(true);
/* 203 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 204 */         16777216);
/* 205 */     newColumnTableColumn_1.setWidth(211);
/* 206 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 208 */     TableColumn sydwCodeY = new TableColumn(this.table, 16777216);
/* 209 */     sydwCodeY.setWidth(80);
/* 210 */     sydwCodeY.setText("证书号");
/*     */     
/* 212 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 213 */         0);
/* 214 */     newColumnTableColumn_2.setWidth(266);
/* 215 */     newColumnTableColumn_2.setText("事业单位名称(点击进入详细信息页面)");
/*     */     
/* 217 */     TableColumn columnInstType = new TableColumn(this.table, 16777216);
/* 218 */     columnInstType.setWidth(80);
/* 219 */     columnInstType.setText("设立类型");
/*     */     
/* 221 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 222 */         16777216);
/* 223 */     newColumnTableColumn_3.setWidth(68);
/* 224 */     newColumnTableColumn_3.setText("状态");
/*     */     
/* 226 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 227 */         16777216);
/* 228 */     newColumnTableColumn_5.setWidth(68);
/* 229 */     newColumnTableColumn_5.setText("申请信息");
/*     */     
/* 231 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 232 */         16777216);
/* 233 */     newColumnTableColumn_6.setWidth(68);
/* 234 */     newColumnTableColumn_6.setText("关联信息");
/*     */     
/* 236 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 237 */         16777216);
/* 238 */     newColumnTableColumn_4.setWidth(0);
/* 239 */     newColumnTableColumn_4.setResizable(false);
/*     */     
/* 241 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 242 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DataQueryLabelProvider());
/*     */     
/* 244 */     this.compage = new Composite(this.container, 0);
/* 245 */     GridData gd_compage = new GridData(4, 4, false, 
/* 246 */         false, 2, 1);
/* 247 */     this.compage.setLayoutData(gd_compage);
/* 248 */     GridLayout gridLayout = new GridLayout();
/* 249 */     gridLayout.numColumns = 5;
/* 250 */     gridLayout.marginTop = 0;
/* 251 */     gridLayout.verticalSpacing = 0;
/* 252 */     gridLayout.marginWidth = 0;
/* 253 */     gridLayout.marginHeight = 0;
/* 254 */     gridLayout.horizontalSpacing = 2;
/* 255 */     gridLayout.marginLeft = 15;
/* 256 */     this.compage.setLayout((Layout)gridLayout);
/*     */     
/* 258 */     this.page = new Label(this.compage, 0);
/* 259 */     this.page.setText("页次：");
/*     */     
/* 261 */     this.nowPage = new Label(this.compage, 0);
/*     */     
/* 263 */     this.everyPageRows = new Label(this.compage, 0);
/* 264 */     this.allRows = new Label(this.compage, 0);
/*     */     
/* 266 */     this.composite_2 = new Composite(this.compage, 0);
/* 267 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 268 */         false);
/* 269 */     this.composite_2.setLayoutData(gd_composite_1);
/* 270 */     GridLayout gridLayout_1 = new GridLayout();
/* 271 */     gridLayout_1.numColumns = 6;
/* 272 */     this.composite_2.setLayout((Layout)gridLayout_1);
/*     */     
/* 274 */     this.priorPage = new Button(this.composite_2, 0);
/* 275 */     this.priorPage.setEnabled(false);
/* 276 */     this.priorPage.setText("上一页");
/*     */     
/* 278 */     this.nextPage = new Button(this.composite_2, 0);
/* 279 */     this.nextPage.setEnabled(false);
/* 280 */     this.nextPage.setText("下一页");
/*     */     
/* 282 */     Label label_8_1 = new Label(this.composite_2, 0);
/* 283 */     label_8_1.setLayoutData(new GridData());
/* 284 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 285 */     label_8_1.setText("转至第");
/*     */     
/* 287 */     this.text = new Text(this.composite_2, 2048);
/* 288 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 289 */     gd_text.widthHint = 46;
/* 290 */     this.text.setLayoutData(gd_text);
/* 291 */     Label label_1_1 = new Label(this.composite_2, 0);
/* 292 */     label_1_1.setLayoutData(new GridData());
/* 293 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 294 */     label_1_1.setText("页");
/* 295 */     this.goButton = new Button(this.composite_2, 0);
/* 296 */     this.goButton.setLayoutData(new GridData());
/* 297 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 298 */     PublicUtil.setTableHeight(this.table);
/* 299 */     PublicUtil.setTableWidth(this.composite, this.table, "1.195:1:3.765:1:1:1:1:0.03");
/* 300 */     PublicUtil.setMouseHands(this.table, "2#5#6");
/* 301 */     this.goButton.setText("GO");
/* 302 */     this.container.setSize(620, 695);
/* 303 */     scroll.setContent((Control)this.container);
/* 304 */     getData(this.starto);
/* 305 */     setPages(this.currentPage);
/* 306 */     setFontColor();
/* 307 */     setCursor();
/* 308 */     action();
/*     */     
/* 310 */     createActions();
/* 311 */     initializeToolBar();
/* 312 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 326 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 327 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 334 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 335 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 347 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 349 */             if (DataQuery.this.button_3.getSelection()) {
/* 350 */               DataQuery.this.setSearch();
/*     */             } else {
/* 352 */               DataQuery.this.group.dispose();
/* 353 */               DataQuery.this.container.layout();
/*     */             } 
/* 355 */             DataQuery.this.flag = false;
/*     */           }
/*     */         });
/* 358 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 362 */             DataQuery.this.getData((DataQuery.this.currentPage - 2) * DataQuery.this.maxCount + 1);
/* 363 */             DataQuery.this.setPages(DataQuery.this.currentPage - 1);
/* 364 */             DataQuery.this.setFontColor();
/* 365 */             DataQuery.this.setCursor();
/*     */           }
/*     */         });
/* 368 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 371 */             DataQuery.this.getData(DataQuery.this.currentPage * DataQuery.this.maxCount + 1);
/* 372 */             DataQuery.this.setPages(DataQuery.this.currentPage + 1);
/* 373 */             DataQuery.this.setFontColor();
/* 374 */             DataQuery.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 378 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 380 */             if (!DataQuery.this.flags) {
/* 381 */               if (DataQuery.this.button_3.getSelection())
/* 382 */                 DataQuery.this.huText.setText(""); 
/* 383 */               DataQuery.this.setHoldUnit();
/* 384 */               DataQuery.this.flags = true;
/*     */             } 
/*     */           }
/*     */         });
/* 388 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 390 */             if (DataQuery.this.flags) {
/* 391 */               if (DataQuery.this.button_3.getSelection())
/* 392 */                 DataQuery.this.huText.setText(""); 
/* 393 */               DataQuery.this.jbdwId = "";
/* 394 */               DataQuery.this.tree.dispose();
/* 395 */               DataQuery.this.composite_4.layout();
/* 396 */               DataQuery.this.composite.layout();
/* 397 */               DataQuery.this.container.layout();
/* 398 */               DataQuery.this.flags = false;
/* 399 */               DataQuery.this.totalRows = 0;
/* 400 */               DataQuery.this.currentPage = 1;
/* 401 */               DataQuery.this.getData(DataQuery.this.starto);
/* 402 */               DataQuery.this.setPages(DataQuery.this.currentPage);
/* 403 */               DataQuery.this.setFontColor();
/* 404 */               DataQuery.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 408 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 410 */             if (VerifyFunction.isNumeric(DataQuery.this.text.getText())) {
/* 411 */               int aa = Integer.parseInt(DataQuery.this.text.getText());
/* 412 */               if (aa > DataQuery.this.totalPages) {
/* 413 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 415 */                 DataQuery.this.getData((aa - 1) * DataQuery.this.maxCount + 1);
/* 416 */                 DataQuery.this.setPages(aa);
/* 417 */                 DataQuery.this.setFontColor();
/* 418 */                 DataQuery.this.setCursor();
/*     */               } 
/*     */             } else {
/* 421 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int starto) {
/* 431 */     DataModifyOperation mod = new DataModifyOperation();
/* 432 */     if (this.button_3.getSelection()) {
/* 433 */       this.perInfo = mod
/*     */ 
/*     */ 
/*     */         
/* 437 */         .getUnitInfos(GljgUserInfo.getInstance().getGroupid(), this.ctText.getText().trim(), this.nmText.getText().trim(), this.jbdwId, this.huText.getText().trim().equals("") ? true : this.flag, GljgUserInfo.getInstance().getDistrictcode(), starto, this.maxCount, "1");
/*     */     } else {
/* 439 */       this.perInfo = mod
/*     */         
/* 441 */         .getUnitInfos(GljgUserInfo.getInstance().getGroupid(), "", "", this.jbdwId, false, GljgUserInfo.getInstance().getDistrictcode(), starto, this.maxCount, "1");
/*     */     } 
/* 443 */     Object object = this.perInfo;
/* 444 */     this.tableViewer.setInput(object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 452 */     if (this.perInfo.size() == 0) {
/* 453 */       this.totalRows = 0;
/*     */     } else {
/* 455 */       this.totalRows = ((CertPrintModel)this.perInfo.get(0)).getTotalRows();
/* 456 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 457 */     this.totalPages = pu.getTotalPages();
/* 458 */     this.currentPage = pu.getCurrentPage();
/* 459 */     this.hasNextPage = pu.isHasNextPage();
/* 460 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 461 */     if (this.totalPages == 0) {
/* 462 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 464 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 466 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 467 */     this.allRows.setText("共" + this.totalRows + "行");
/* 468 */     if (!this.hasPreviousPage) {
/* 469 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 471 */       this.priorPage.setEnabled(true);
/* 472 */     }  if (!this.hasNextPage) {
/* 473 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 475 */       this.nextPage.setEnabled(true);
/* 476 */     }  if (this.totalPages > 1) {
/* 477 */       this.goButton.setEnabled(true);
/* 478 */       this.text.setEnabled(true);
/*     */     } else {
/* 480 */       this.goButton.setEnabled(false);
/* 481 */       this.text.setEnabled(false);
/*     */     } 
/* 483 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 490 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 491 */       this.table.getItem(i).setFont(2, 
/* 492 */           SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 493 */       this.table.getItem(i).setForeground(2, 
/* 494 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 496 */       this.table.getItem(i).setFont(5, 
/* 497 */           SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 498 */       this.table.getItem(i).setForeground(5, 
/* 499 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 501 */       this.table.getItem(i).setFont(6, 
/* 502 */           SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 503 */       this.table.getItem(i).setForeground(6, 
/* 504 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 512 */     if (this.cursor != null)
/*     */     {
/* 514 */       this.cursor.dispose(); } 
/* 515 */     this.cursor = new TableCursor(this.table, 0);
/* 516 */     this.cursor.setBackground(this.table.getDisplay()
/* 517 */         .getSystemColor(26));
/* 518 */     this.cursor.setForeground(this.table.getDisplay()
/* 519 */         .getSystemColor(27));
/* 520 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 522 */             int colums = DataQuery.this.cursor.getColumn();
/* 523 */             if (colums == 2) {
/* 524 */               DataQuery.this.view();
/* 525 */             } else if (colums == 5) {
/* 526 */               DataQuery.this.viewHistory();
/* 527 */             } else if (colums == 6) {
/* 528 */               IStructuredSelection select = (IStructuredSelection)DataQuery.this.tableViewer.getSelection();
/* 529 */               CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 530 */               if (!"0".equals(model.getRCount())) {
/* 531 */                 DataQuery.this.openRemarkList();
/*     */               }
/*     */             } 
/* 534 */             DataQuery.this.selectColums = colums;
/*     */           }
/*     */         });
/* 537 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 540 */             int colums = DataQuery.this.cursor.getColumn();
/* 541 */             if (colums == DataQuery.this.selectColums) {
/* 542 */               if (colums == 2) {
/* 543 */                 DataQuery.this.view();
/* 544 */               } else if (colums == 5) {
/* 545 */                 DataQuery.this.viewHistory();
/* 546 */               } else if (colums == 6) {
/* 547 */                 IStructuredSelection select = (IStructuredSelection)DataQuery.this.tableViewer.getSelection();
/* 548 */                 CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 549 */                 if (!"0".equals(model.getRCount())) {
/* 550 */                   DataQuery.this.openRemarkList();
/*     */                 }
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void view() {
/* 562 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 563 */       .getSelection();
/* 564 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 565 */     if (model.getAppDate().equals(UnitState.LOGOUT)) {
/* 566 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被注销");
/*     */     }
/* 568 */     if (model.getAppDate().equals(UnitState.FREEZE)) {
/* 569 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被冻结");
/*     */     }
/*     */     
/* 572 */     if (model.getAppDate().equals(UnitState.ABOLISH)) {
/* 573 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被废止");
/*     */     }
/*     */     
/* 576 */     if (model.getAppDate().equals(UnitState.INVALIDATE)) {
/* 577 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被吊销");
/*     */     }
/*     */     
/* 580 */     DataAdjustOperation oper = new DataAdjustOperation();
/* 581 */     String flag = oper.isInHoldUnits(model.getHoldUnit());
/* 582 */     if ("false".equals(flag)) {
/* 583 */       SydjMessageDialog.openInformation(null, "提示", 
/* 584 */           "该申请单位的举办单位不在举办单位列表中。");
/*     */     }
/*     */     
/* 587 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 588 */     insinfolist = oper.QueryInstaurationInfo(model.getUnitId(), 
/* 589 */         model.getAppDate().equals(UnitState.LOGOUT) ? "true" : "false");
/* 590 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 591 */     if (insinfolist.size() > 0) {
/* 592 */       frinfo = insinfolist.get(0);
/*     */     }
/* 594 */     ArrayList branchlist = new ArrayList();
/* 595 */     branchlist = oper.QueryInstBranch(model.getUnitId());
/* 596 */     InstallApplyDialog dialog = new InstallApplyDialog(
/* 597 */         this.container.getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 598 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void viewHistory() {
/* 605 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 606 */       .getSelection();
/* 607 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 608 */     if (model.getAppDate().equals(UnitState.LOGOUT)) {
/* 609 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被注销");
/*     */     }
/* 611 */     if (model.getAppDate().equals(UnitState.FREEZE)) {
/* 612 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被冻结");
/*     */     }
/*     */     
/* 615 */     if (model.getAppDate().equals(UnitState.ABOLISH)) {
/* 616 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被废止");
/*     */     }
/*     */     
/* 619 */     if (model.getAppDate().equals(UnitState.INVALIDATE)) {
/* 620 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被吊销");
/*     */     }
/*     */     
/* 623 */     DataAdjustOperation oper = new DataAdjustOperation();
/* 624 */     String flag = oper.isInHoldUnits(model.getHoldUnit());
/* 625 */     if ("false".equals(flag)) {
/* 626 */       SydjMessageDialog.openInformation(null, "提示", 
/* 627 */           "该申请单位的举办单位不在举办单位列表中。");
/*     */     }
/* 629 */     DataQueryInfoListsDialog dialog = new DataQueryInfoListsDialog(
/* 630 */         this.compage.getShell(), model.getUnitId(), model.getUnitName(), 
/* 631 */         model.getAppDate(), model.getCertId());
/* 632 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openRemarkList() {
/* 637 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 638 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 639 */     String sydwId = model.getUnitId();
/* 640 */     String sydwName = model.getUnitName();
/* 641 */     RemarkDialog dialog = new RemarkDialog(
/* 642 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwId, sydwName, "关联信息", false);
/* 643 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setSearch() {
/* 651 */     this.group = new Composite(this.composite_1, 0);
/* 652 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/* 653 */     this.group.setBounds(0, 0, 594, 139);
/* 654 */     this.button = new Button(this.group, 0);
/* 655 */     this.button.setText("选择");
/* 656 */     this.button.setBounds(285, 52, 44, 23);
/* 657 */     this.name = new Label(this.group, 131072);
/* 658 */     this.name.setText("统一社会信用代码：");
/* 659 */     this.name.setBounds(5, 10, 116, 16);
/*     */     
/* 661 */     this.beginDate = new Label(this.group, 0);
/* 662 */     this.beginDate.setText("单位名称：");
/* 663 */     this.beginDate.setBounds(61, 36, 60, 16);
/*     */     
/* 665 */     this.endDate = new Label(this.group, 0);
/* 666 */     this.endDate.setText("举办单位：");
/* 667 */     this.endDate.setBounds(60, 60, 60, 16);
/*     */     
/* 669 */     this.ctText = new Text(this.group, 2048);
/* 670 */     this.ctText.setBounds(135, 5, 145, 18);
/* 671 */     this.ctText.setTextLimit(18);
/*     */     
/* 673 */     this.nmText = new Text(this.group, 2048);
/*     */     
/* 675 */     this.nmText.setBounds(135, 30, 145, 18);
/* 676 */     this.huText = new Text(this.group, 2048);
/* 677 */     this.huText.setBounds(135, 56, 145, 18);
/*     */     
/* 679 */     this.search = new Button(this.group, 0);
/* 680 */     this.search.setText("查 询");
/* 681 */     this.search.setBounds(175, 83, 42, 24);
/*     */     
/* 683 */     Composite composite = new Composite(this.group, 0);
/* 684 */     composite.setBounds(289, 57, 284, 16);
/*     */     
/* 686 */     this.button_1 = new Button(composite, 16);
/* 687 */     this.button_1.setBounds(45, 0, 93, 16);
/* 688 */     this.button_1.setSelection(true);
/* 689 */     this.button_1.setText("不搜索子节点");
/*     */     
/* 691 */     this.button_2 = new Button(composite, 16);
/* 692 */     this.button_2.setBounds(139, -1, 83, 16);
/* 693 */     this.button_2.setText("搜索子节点");
/* 694 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 696 */             InfoEntity i = (InfoEntity)(new SysJBDWTreeDialog(
/* 697 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()))
/* 698 */               .open();
/* 699 */             DataQuery.this.huText.setText(i.getName());
/* 700 */             DataQuery.this.jbdwId = i.getId();
/*     */           }
/*     */         });
/* 703 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 705 */             if (DataQuery.this.button_1.getSelection())
/* 706 */               DataQuery.this.flag = false; 
/*     */           }
/*     */         });
/* 709 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 711 */             if (DataQuery.this.button_2.getSelection())
/* 712 */               DataQuery.this.flag = true; 
/*     */           }
/*     */         });
/* 715 */     this.search.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 717 */             DataQuery.this.totalRows = 0;
/* 718 */             DataQuery.this.currentPage = 1;
/* 719 */             DataQuery.this.getData(DataQuery.this.starto);
/* 720 */             DataQuery.this.setPages(DataQuery.this.currentPage);
/* 721 */             DataQuery.this.setFontColor();
/* 722 */             DataQuery.this.setCursor();
/*     */           }
/*     */         });
/* 725 */     this.container.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setHoldUnit() {
/*     */     try {
/* 733 */       this.treeViewer = new TreeViewer(this.composite_4, 2048);
/* 734 */       this.treeViewer
/* 735 */         .addSelectionChangedListener(new ISelectionChangedListener()
/*     */           {
/*     */             public void selectionChanged(SelectionChangedEvent arg0) {
/* 738 */               IStructuredSelection i = (IStructuredSelection)DataQuery.this.treeViewer
/* 739 */                 .getSelection();
/*     */               
/* 741 */               InfoEntity ie = (InfoEntity)i.getFirstElement();
/*     */               
/* 743 */               if (ie != null && ie.getName() != null && 
/* 744 */                 ie.getName().length() > 0 && 
/* 745 */                 DataQuery.this.checkClickInfo(ie)) {
/* 746 */                 DataQuery.this.jbdwId = ie.getId();
/*     */               } else {
/*     */                 
/* 749 */                 DataQuery.this.jbdwId = "-1";
/*     */               } 
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 755 */               DataQuery.this.totalRows = 0;
/* 756 */               DataQuery.this.currentPage = 1;
/* 757 */               DataQuery.this.getData(DataQuery.this.starto);
/* 758 */               DataQuery.this.setPages(DataQuery.this.currentPage);
/* 759 */               DataQuery.this.setFontColor();
/* 760 */               DataQuery.this.setCursor();
/*     */             }
/*     */           });
/* 763 */       this.tree = this.treeViewer.getTree();
/* 764 */       this.tree.setLayoutData(new GridData(4, 4, true, true));
/* 765 */       this.treeViewer.setContentProvider((IContentProvider)new TreeViewerContentProvider());
/* 766 */       ArrayList<InfoEntity> list = this.tvCon.creatRoot(this.user.getGroupid());
/* 767 */       if (list != null) {
/* 768 */         ArrayList<InfoEntity> ls = ((InfoEntity)list.get(0)).getChildren();
/* 769 */         InfoEntity e = new InfoEntity();
/* 770 */         e.setId("0");
/* 771 */         e.setName("不在举办单位列表中的事业单位");
/* 772 */         ls.add(e);
/*     */       } 
/* 774 */       this.treeViewer.setInput(list);
/* 775 */       this.treeViewer.expandToLevel(2);
/* 776 */       this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */       
/* 778 */       this.composite.layout();
/* 779 */       this.container.layout();
/* 780 */     } catch (Exception e) {
/* 781 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */   
/*     */   private boolean checkClickInfo(InfoEntity ie) {
/* 786 */     return (ie.getLevel() < this.setedLevel);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\query\DataQuery.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */