/*     */ package cs.sydj.operation.fuhe.biangeng;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FuHeBianGengDataManage
/*     */ {
/*  18 */   private MessageSender sender = null;
/*  19 */   String operation = "FuHeBianGeng";
/*     */ 
/*     */   
/*     */   public ArrayList getFuHeBianGeng(String groupid, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  23 */     String methodname = "getFuHeBianGeng";
/*  24 */     String msgType = "xml";
/*  25 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  26 */     String replyxml = null;
/*  27 */     ArrayList result = new ArrayList();
/*  28 */     messageParameter.put("groupid", groupid);
/*  29 */     messageParameter.put("sydwname", sydwname);
/*  30 */     messageParameter.put("startdate", startdate);
/*  31 */     messageParameter.put("enddate", enddate);
/*  32 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  33 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  34 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  35 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  37 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String biangengFuHeOK(String applyId, String currentId, String sydw_id, String groupid, String userid, String districtcode, String orgCode) {
/*  43 */     String methodname = "biangengFuHeOK";
/*  44 */     String msgType = "short";
/*  45 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  46 */     String replyxml = null;
/*  47 */     messageParameter.put("applyId", applyId);
/*  48 */     messageParameter.put("currentId", currentId);
/*  49 */     messageParameter.put("sydwId", sydw_id);
/*  50 */     messageParameter.put("groupid", groupid);
/*  51 */     messageParameter.put("userid", userid);
/*  52 */     messageParameter.put("districtcode", districtcode);
/*  53 */     messageParameter.put("orgCode", orgCode);
/*  54 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  56 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId, String fddbrFlag) {
/*  62 */     String methodname = "dealNotAccept";
/*  63 */     String msgType = "short";
/*  64 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  65 */     String replyxml = null;
/*  66 */     messageParameter.put("applyId", applyId);
/*  67 */     messageParameter.put("currentId", currentId);
/*  68 */     messageParameter.put("advice", advice);
/*  69 */     messageParameter.put("groupid", groupId);
/*  70 */     messageParameter.put("fddbrFlag", fddbrFlag);
/*  71 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  73 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  79 */     String replyxml = "";
/*  80 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  81 */         messageParameter);
/*     */     try {
/*  83 */       this.sender = new MessageSender(
/*  84 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  85 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  86 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  87 */     } catch (JMSException e) {
/*  88 */       e.printStackTrace();
/*  89 */     } catch (Exception e) {
/*  90 */       e.printStackTrace();
/*     */     } 
/*  92 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean checkOrgCodeExist(String orgCode) {
/*  97 */     String methodname = "checkOrgCodeExist";
/*  98 */     String msgType = "short";
/*  99 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 100 */     String replyxml = null;
/* 101 */     messageParameter.put("orgCode", orgCode);
/* 102 */     messageParameter.put("sydwType", "0");
/* 103 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 105 */     if (replyxml != null && replyxml.equals("true"))
/* 106 */       return true; 
/* 107 */     return false;
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean checkOrgCodeExist(String orgCode, String sydwType) {
/* 112 */     String methodname = "checkOrgCodeExist";
/* 113 */     String msgType = "short";
/* 114 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 115 */     String replyxml = null;
/* 116 */     messageParameter.put("orgCode", orgCode);
/* 117 */     messageParameter.put("sydwType", sydwType);
/* 118 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 120 */     if (replyxml != null && replyxml.equals("true"))
/* 121 */       return true; 
/* 122 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDqjgFfrApplySydwState(String sydwId) {
/* 132 */     String methodname = "getDqjgFfrApplySydwState";
/* 133 */     String msgType = "short";
/* 134 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 135 */     String replyxml = null;
/* 136 */     messageParameter.put("sydwId", sydwId);
/* 137 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 139 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\biangeng\FuHeBianGengDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */