/*     */ package cs.sydj.operation.fuhe.biangeng;
/*     */ 
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.NotAcceptDialog;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.fuhe.FuheOrgCodeDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.logout.LogOutOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FuHeBianGengDetailActionGroup
/*     */   extends ActionGroup
/*     */ {
/*  31 */   private FuHeBianGengDataManage dataManage = new FuHeBianGengDataManage();
/*  32 */   Shell shell = null;
/*     */   
/*     */   private FuHeBianGengDetailDialog dialog;
/*     */ 
/*     */   
/*     */   public FuHeBianGengDetailActionGroup(Shell shell, FuHeBianGengDetailDialog dialog) {
/*  38 */     this.shell = shell;
/*  39 */     this.dialog = dialog;
/*     */   }
/*     */   
/*     */   public void fillActionBars(ToolBarManager actionBarManager) {
/*  43 */     actionBarManager.removeAll();
/*     */ 
/*     */     
/*  46 */     Action dealaction = new FuHeBianGengDealAction();
/*  47 */     actionBarManager.add(createContributionItem((IAction)dealaction));
/*     */     
/*  49 */     Action backaction = new FuHeBianGengBackAction();
/*  50 */     actionBarManager.add(createContributionItem((IAction)backaction));
/*     */     
/*  52 */     actionBarManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/*  56 */     ActionContributionItem aci = new ActionContributionItem(action);
/*  57 */     aci.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/*  58 */     return (IContributionItem)aci;
/*     */   }
/*     */   
/*     */   private class FuHeBianGengDealAction extends Action {
/*     */     public FuHeBianGengDealAction() {
/*  63 */       setId("cs.sydj.operation.fuhe.biangeng.FuHeBianGengDealAction");
/*  64 */       setText("  复核通过  ");
/*  65 */       setToolTipText("复核通过");
/*     */     }
/*     */     
/*     */     public void run() {
/*  69 */       String orgCode = "";
/*  70 */       String unifyCode = FuHeBianGengDetailDialog.insinfo.getUnifyCode();
/*  71 */       if (unifyCode == null || unifyCode.trim().equals("")) {
/*     */ 
/*     */ 
/*     */         
/*  75 */         FuheOrgCodeDialog orgDialog = new FuheOrgCodeDialog(FuHeBianGengDetailActionGroup.this.shell);
/*  76 */         orgDialog.open();
/*  77 */         orgCode = orgDialog.getTextOrg();
/*     */       } 
/*     */       
/*  80 */       boolean submit = SydjMessageDialog.openQuestion(
/*  81 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/*  82 */           "复核通过", "确定要复核该单位的登记申请吗？");
/*  83 */       if (submit) {
/*     */         try {
/*  85 */           String replyStr = FuHeBianGengDetailActionGroup.this.dataManage
/*  86 */             .biangengFuHeOK(FuHeBianGengDetailDialog.insinfo
/*  87 */               .getApplyid(), 
/*  88 */               FuHeBianGengDetailDialog.insinfo
/*  89 */               .getRealid(), 
/*  90 */               FuHeBianGengDetailDialog.insinfo
/*  91 */               .getSydwid(), 
/*  92 */               FuHeBianGengDetailDialog.insinfo
/*  93 */               .getGroupid(), 
/*  94 */               FuHeBianGengDetailDialog.insinfo
/*  95 */               .getAPPLY_USER_ID(), 
/*  96 */               GljgUserInfo.getInstance().getDistrictcode(), orgCode);
/*  97 */           if ("true".equalsIgnoreCase(replyStr)) {
/*  98 */             UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/*  99 */             uldi.setRequestType(2);
/* 100 */             uldi.setGroupid(
/* 101 */                 FuHeBianGengDetailDialog.insinfo.getGroupid());
/* 102 */             uldi.setSydwid(
/* 103 */                 FuHeBianGengDetailDialog.insinfo.getSydwid());
/* 104 */             uldi.setDistrictcode(
/* 105 */                 GljgUserInfo.getInstance().getDistrictcode());
/* 106 */             ModifyLocalData mld = new ModifyLocalData();
/* 107 */             mld.modifyLocalData(uldi);
/* 108 */             FuHeBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/* 109 */             SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 110 */             if (!FuHeBianGengDetailActionGroup.this.shell.isDisposed())
/* 111 */               FuHeBianGengDetailActionGroup.this.shell.dispose(); 
/*     */           } else {
/* 113 */             SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */           } 
/* 115 */         } catch (Exception e) {
/* 116 */           e.printStackTrace();
/* 117 */           SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */         } 
/*     */         
/* 120 */         if (!FuHeBianGengDetailActionGroup.this.shell.isDisposed())
/* 121 */           FuHeBianGengDetailActionGroup.this.shell.dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class FuHeBianGengBackAction extends Action {
/*     */     public FuHeBianGengBackAction() {
/* 128 */       setId("cs.sydj.operation.fuhe.biangeng.FuHeBianGengBackAction");
/* 129 */       setText("  材料退回  ");
/* 130 */       setToolTipText("材料退回");
/*     */     }
/*     */ 
/*     */     
/*     */     public void run() {
/*     */       try {
/* 136 */         LogOutOperationShouLi logoutManange = new LogOutOperationShouLi();
/* 137 */         ArrayList list = logoutManange.getManagerOrgnization(
/* 138 */             GljgUserInfo.getInstance().getGroupid(), "0", 
/* 139 */             GljgUserInfo.getInstance().getDistrictcode());
/* 140 */         NotAcceptDialog detailinfodialog = new NotAcceptDialog(FuHeBianGengDetailActionGroup.this.shell, 
/* 141 */             "变更登记", list);
/* 142 */         int operation = detailinfodialog.open();
/* 143 */         if (operation == 0) {
/*     */           try {
/* 145 */             String fddbrFlag = "";
/* 146 */             int i = 0; for (; i < 
/* 147 */               FuHeBianGengDetailDialog.list.size(); i++) {
/* 148 */               InsAttachmentInfo iai = new InsAttachmentInfo();
/* 149 */               iai = FuHeBianGengDetailDialog.list
/* 150 */                 .get(i);
/* 151 */               if ("事业单位法定代表人登记申请表".equals(iai.getFilename())) {
/* 152 */                 fddbrFlag = "true";
/*     */                 break;
/*     */               } 
/*     */             } 
/* 156 */             String replyStr = FuHeBianGengDetailActionGroup.this.dataManage.dealNotAccept(
/* 157 */                 FuHeBianGengDetailDialog.insinfo.getApplyid(), 
/* 158 */                 FuHeBianGengDetailDialog.insinfo.getRealid(), 
/* 159 */                 detailinfodialog.getReason(), 
/* 160 */                 GljgUserInfo.getInstance().getGroupid(), fddbrFlag);
/* 161 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 162 */               FuHeBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/*     */             } else {
/* 164 */               SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */               return;
/*     */             } 
/* 167 */           } catch (Exception e) {
/* 168 */             e.printStackTrace();
/*     */           } 
/* 170 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 171 */           if (!FuHeBianGengDetailActionGroup.this.shell.isDisposed())
/* 172 */             FuHeBianGengDetailActionGroup.this.shell.dispose(); 
/*     */         } 
/* 174 */       } catch (Exception e) {
/* 175 */         e.printStackTrace();
/* 176 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\biangeng\FuHeBianGengDetailActionGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */