/*     */ package cs.sydj.operation.fuhe.biangeng;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.biangeng.ShouLiBianGengDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.HistoryTableViewerLabelProvider;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FuHeBianGengHisInfoDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table_1;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private InstaurationShouLiInfo insinfo;
/*     */   private ArrayList historyList;
/*     */   private boolean OkButtonFlag;
/*  52 */   private TableCursor cursor = null;
/*     */   private TableViewer tableViewer;
/*  54 */   protected int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FuHeBianGengHisInfoDialog(Shell parent, int style) {
/*  63 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public FuHeBianGengHisInfoDialog(Shell parent, InstaurationShouLiInfo insinfo, ArrayList historyList) {
/*  68 */     super(parent, 0);
/*  69 */     this.insinfo = insinfo;
/*  70 */     this.historyList = historyList;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FuHeBianGengHisInfoDialog(Shell parent) {
/*  79 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  88 */     createContents();
/*  89 */     PublicUtil.setCenter(this.shell);
/*  90 */     this.shell.open();
/*  91 */     this.shell.layout();
/*  92 */     Display display = getParent().getDisplay();
/*  93 */     while (!this.shell.isDisposed()) {
/*  94 */       if (!display.readAndDispatch())
/*  95 */         display.sleep(); 
/*     */     } 
/*  97 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 104 */     this.shell = new Shell(getParent(), 67680);
/* 105 */     this.shell.setBackgroundMode(1);
/* 106 */     this.shell.setBackground(
/* 107 */         Display.getCurrent().getSystemColor(1));
/* 108 */     this.shell.setLayout((Layout)new FormLayout());
/* 109 */     this.shell.setSize(800, 600);
/* 110 */     this.shell.setText("历史记录");
/*     */     
/* 112 */     Composite group = new Composite((Composite)this.shell, 0);
/* 113 */     GridLayout gridLayout = new GridLayout();
/* 114 */     gridLayout.marginTop = 25;
/* 115 */     gridLayout.marginRight = 25;
/* 116 */     gridLayout.marginLeft = 25;
/* 117 */     group.setLayout((Layout)gridLayout);
/* 118 */     FormData fd_group = new FormData();
/* 119 */     fd_group.bottom = new FormAttachment(100, -60);
/* 120 */     fd_group.right = new FormAttachment(100, -5);
/* 121 */     fd_group.top = new FormAttachment(0, 0);
/* 122 */     fd_group.left = new FormAttachment(0, 0);
/* 123 */     group.setLayoutData(fd_group);
/* 124 */     Object data = this.historyList;
/*     */     
/* 126 */     Label label = new Label(group, 0);
/* 127 */     GridData gd_label = new GridData(4, 16777216, false, false);
/* 128 */     gd_label.heightHint = 18;
/* 129 */     gd_label.widthHint = 30;
/* 130 */     label.setLayoutData(gd_label);
/* 131 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 132 */     label.setText("“" + this.insinfo.getSydwname() + "”变更登记申请历史记录");
/* 133 */     label.setFont(
/* 134 */         SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 135 */     Label label_2 = new Label(group, 258);
/* 136 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 138 */     this.tableViewer = new TableViewer(group, 67584);
/* 139 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new HistoryTableViewerLabelProvider());
/* 140 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 141 */     this.table_1 = this.tableViewer.getTable();
/* 142 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 144 */             int colums = FuHeBianGengHisInfoDialog.this.cursor.getColumn();
/* 145 */             FuHeBianGengHisInfoDialog.this.openChildrenDialog(colums);
/* 146 */             FuHeBianGengHisInfoDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 149 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 150 */         false);
/* 151 */     gd_table_1.heightHint = 312;
/* 152 */     this.table_1.setLayoutData(gd_table_1);
/* 153 */     this.table_1.setLinesVisible(true);
/* 154 */     this.table_1.setHeaderVisible(true);
/* 155 */     PublicUtil.setMouseHands(this.table_1, "0");
/*     */     
/* 157 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 158 */         0);
/* 159 */     newColumnTableColumn_1.setAlignment(16777216);
/* 160 */     newColumnTableColumn_1.setWidth(91);
/* 161 */     newColumnTableColumn_1.setText("提交次数");
/*     */     
/* 163 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 164 */         0);
/* 165 */     newColumnTableColumn_2.setAlignment(16777216);
/* 166 */     newColumnTableColumn_2.setWidth(100);
/* 167 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 169 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 170 */         0);
/* 171 */     newColumnTableColumn.setAlignment(16777216);
/* 172 */     newColumnTableColumn.setWidth(350);
/* 173 */     newColumnTableColumn.setText("举办单位意见");
/*     */     
/* 175 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 176 */         0);
/* 177 */     newColumnTableColumn_3.setAlignment(16777216);
/* 178 */     newColumnTableColumn_3.setWidth(350);
/* 179 */     newColumnTableColumn_3.setText("受理人意见");
/*     */     
/* 181 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 182 */         0);
/* 183 */     newColumnTableColumn_4.setAlignment(16777216);
/* 184 */     newColumnTableColumn_4.setWidth(350);
/* 185 */     newColumnTableColumn_4.setText("审核人意见");
/*     */     
/* 187 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 188 */         0);
/* 189 */     newColumnTableColumn_5.setAlignment(16777216);
/* 190 */     newColumnTableColumn_5.setWidth(350);
/* 191 */     newColumnTableColumn_5.setText("核准人意见");
/*     */     
/* 193 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 194 */         0);
/* 195 */     newColumnTableColumn_6.setAlignment(16777216);
/* 196 */     newColumnTableColumn_6.setWidth(100);
/* 197 */     newColumnTableColumn_6.setText("核准时间");
/* 198 */     this.tableViewer.setInput(data);
/*     */     
/* 200 */     Label label_1 = new Label(group, 258);
/* 201 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 203 */     Button button = new Button((Composite)this.shell, 0);
/* 204 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 206 */             FuHeBianGengHisInfoDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 210 */     FormData fd_button = new FormData();
/* 211 */     fd_button.bottom = new FormAttachment(0, 556);
/* 212 */     fd_button.top = new FormAttachment(0, 533);
/* 213 */     fd_button.right = new FormAttachment(0, 781);
/* 214 */     fd_button.left = new FormAttachment(0, 706);
/* 215 */     button.setLayoutData(fd_button);
/* 216 */     button.setText("关闭");
/* 217 */     setFontColor();
/* 218 */     setCursor();
/* 219 */     PublicUtil.setTableHeight(this.table_1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 226 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 227 */       this.table_1.getItem(i)
/* 228 */         .setFont(
/* 229 */           0, 
/* 230 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 231 */             false, false));
/* 232 */       this.table_1.getItem(i).setForeground(0, 
/* 233 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 241 */     if (this.cursor != null)
/*     */     {
/* 243 */       this.cursor.dispose(); } 
/* 244 */     this.cursor = new TableCursor(this.table_1, 0);
/* 245 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 246 */         .getSystemColor(26));
/* 247 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 248 */         .getSystemColor(27));
/* 249 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 252 */             int colums = FuHeBianGengHisInfoDialog.this.cursor.getColumn();
/* 253 */             FuHeBianGengHisInfoDialog.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 262 */     if (colums == 0)
/*     */       try {
/* 264 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 265 */           .getSelection();
/* 266 */         HistoryModel history = (HistoryModel)select.getFirstElement();
/* 267 */         ShouLiBianGengDataManage dataManage = new ShouLiBianGengDataManage();
/* 268 */         ArrayList result = new ArrayList();
/* 269 */         result = dataManage.getInsHisAttachmentName(history, 
/* 270 */             GljgUserInfo.getInstance().getGroupid(), 
/* 271 */             this.insinfo.getAPPLY_STATE());
/* 272 */         if (result != null) {
/* 273 */           FuHeBianGengHisDetailDialog detailinfodialog = new FuHeBianGengHisDetailDialog(
/* 274 */               PlatformUI.getWorkbench()
/* 275 */               .getActiveWorkbenchWindow().getShell(), 
/* 276 */               result, this.insinfo);
/* 277 */           detailinfodialog.open();
/*     */         } 
/* 279 */       } catch (Exception e) {
/* 280 */         e.printStackTrace();
/*     */       }  
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\biangeng\FuHeBianGengHisInfoDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */