/*     */ package cs.sydj.operation.fuhe.instauration;
/*     */ 
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.fuhe.FuheOrgCodeDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.instauration.ShouliInsNotAcceptDialog;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.tableinfo.common.CzglSydw;
/*     */ import server.tableinfo.common.CzglSydwExt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FuHeInsDetailActionGroup
/*     */   extends ActionGroup
/*     */ {
/*  31 */   private FuHeInstaurationDataManage dataManage = new FuHeInstaurationDataManage();
/*  32 */   private AuthorizeSydwDataManage authorizeManage = new AuthorizeSydwDataManage();
/*  33 */   Shell shell = null;
/*     */   private FuHeInsDetailDialog dialog;
/*     */   String operationType;
/*     */   
/*     */   public FuHeInsDetailActionGroup(Shell shell, FuHeInsDetailDialog dialog, String operationType) {
/*  38 */     this.shell = shell;
/*  39 */     this.dialog = dialog;
/*  40 */     this.operationType = operationType;
/*     */   }
/*     */   
/*     */   public void fillActionBars(ToolBarManager actionBarManager) {
/*  44 */     actionBarManager.removeAll();
/*     */ 
/*     */     
/*  47 */     Action dealaction = new FuHeInsDealAction();
/*  48 */     actionBarManager.add(createContributionItem((IAction)dealaction));
/*     */     
/*  50 */     Action backaction = new FuHeInsBackAction();
/*  51 */     actionBarManager.add(createContributionItem((IAction)backaction));
/*     */     
/*  53 */     actionBarManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/*  57 */     ActionContributionItem aci = new ActionContributionItem(action);
/*  58 */     aci.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/*  59 */     return (IContributionItem)aci;
/*     */   }
/*     */   
/*     */   private class FuHeInsDealAction extends Action {
/*     */     public FuHeInsDealAction() {
/*  64 */       setId("cs.sydj.operation.fuhe.instauration.FuHeInsDealAction");
/*  65 */       setText("  复核通过  ");
/*  66 */       setToolTipText("复核通过");
/*     */     }
/*     */     public void run() {
/*  69 */       String orgCode = "";
/*     */       
/*  71 */       if ("ReIns".equals(FuHeInsDetailActionGroup.this.operationType)) {
/*  72 */         WithinputDataManage dm = new WithinputDataManage();
/*  73 */         String unifyCode = dm.getUnifyCodeBySydwId(FuHeInsDetailDialog.insinfo.getSydwid());
/*  74 */         if (unifyCode == null || unifyCode.trim().equals("")) {
/*     */ 
/*     */ 
/*     */           
/*  78 */           FuheOrgCodeDialog orgDialog = new FuheOrgCodeDialog(FuHeInsDetailActionGroup.this.shell);
/*  79 */           orgDialog.open();
/*  80 */           orgCode = orgDialog.getTextOrg();
/*     */         } 
/*     */       } 
/*     */       
/*  84 */       boolean submit = SydjMessageDialog.openQuestion(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), "复核通过", "确定要复核该单位的登记申请吗？");
/*  85 */       if (submit)
/*     */         try {
/*  87 */           String jbdwUpdate = FuHeInsDetailActionGroup.this.dataManage.jbdwIFUpdate(
/*  88 */               FuHeInsDetailDialog.insinfo.getGroupid(), 
/*  89 */               FuHeInsDetailDialog.insinfo.getJbdwname(), 
/*  90 */               GljgUserInfo.getInstance().getDistrictcode());
/*  91 */           if ("false".equals(jbdwUpdate)) {
/*  92 */             SydjMessageDialog.openWarning(null, "提示", "该申请单位的举办单位不在举办单位列表中，请维护举办单位信息或更改该单位的举办单位。");
/*  93 */           } else if ("true".equals(jbdwUpdate)) {
/*  94 */             String replyStr = FuHeInsDetailActionGroup.this.dataManage.insFuHeOK(
/*  95 */                 FuHeInsDetailDialog.insinfo.getApplyid(), 
/*  96 */                 FuHeInsDetailDialog.insinfo.getRealid(), 
/*  97 */                 FuHeInsDetailDialog.insinfo.getGroupid(), 
/*  98 */                 FuHeInsDetailDialog.insinfo.getJbdwname(), FuHeInsDetailActionGroup.this.operationType, orgCode);
/*  99 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 100 */               UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 101 */               if ("ReIns".equals(FuHeInsDetailActionGroup.this.operationType)) {
/* 102 */                 uldi.setRequestType(16);
/*     */               } else {
/* 104 */                 uldi.setRequestType(1);
/*     */                 
/* 106 */                 ArrayList<CzglSydwExt> czglSydwExtList = FuHeInsDetailActionGroup.this.authorizeManage
/* 107 */                   .getCzglSydwExtList(FuHeInsDetailDialog.insinfo.getSydwid(), 
/* 108 */                     FuHeInsDetailDialog.insinfo.getApplyid());
/* 109 */                 if (!PublicUtil.isEmpty(czglSydwExtList)) {
/* 110 */                   CzglSydw cs = new CzglSydw();
/* 111 */                   cs.setSydwId(FuHeInsDetailDialog.insinfo.getSydwid());
/* 112 */                   cs.setCreateGroupId(FuHeInsDetailDialog.insinfo.getGroupid());
/* 113 */                   cs.setCreateDistrictCode(GljgUserInfo.getInstance().getDistrictcode());
/* 114 */                   cs.setAuthGroupId(GljgUserInfo.getInstance().getGroupid());
/* 115 */                   cs.setAuthDistrictCode(GljgUserInfo.getInstance().getDistrictcode());
/* 116 */                   cs.setChuiguanCode(((CzglSydwExt)czglSydwExtList.get(0)).getChuiguanCode());
/* 117 */                   cs.setSydwJglb("0");
/* 118 */                   cs.setOwnerGroupId("4772");
/* 119 */                   cs.setOwnerDistrictCode("100000");
/* 120 */                   FuHeInsDetailActionGroup.this.authorizeManage.createCzglSydw(cs);
/*     */                 } 
/*     */               } 
/*     */               
/* 124 */               uldi.setGroupid(FuHeInsDetailDialog.insinfo.getGroupid());
/* 125 */               uldi.setSydwid(FuHeInsDetailDialog.insinfo.getSydwid());
/* 126 */               uldi.setDistrictcode(GljgUserInfo.getInstance().getDistrictcode());
/* 127 */               ModifyLocalData mld = new ModifyLocalData();
/* 128 */               mld.modifyLocalData(uldi);
/* 129 */               FuHeInsDetailActionGroup.this.dialog.setBackParameter(2);
/* 130 */               SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 131 */               if (!FuHeInsDetailActionGroup.this.shell.isDisposed())
/* 132 */                 FuHeInsDetailActionGroup.this.shell.dispose(); 
/*     */             } else {
/* 134 */               SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */             } 
/*     */           } 
/* 137 */         } catch (Exception e) {
/* 138 */           e.printStackTrace();
/* 139 */           SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */         }  
/*     */     }
/*     */   }
/*     */   
/*     */   private class FuHeInsBackAction
/*     */     extends Action {
/*     */     public FuHeInsBackAction() {
/* 147 */       setId("cs.sydj.operation.fuhe.instauration.FuHeInsBackAction");
/* 148 */       setText("  材料退回  ");
/* 149 */       setToolTipText("材料退回");
/*     */     }
/*     */     public void run() {
/*     */       try {
/* 153 */         ShouliInsNotAcceptDialog detailinfodialog = new ShouliInsNotAcceptDialog(FuHeInsDetailActionGroup.this.shell);
/* 154 */         int operation = detailinfodialog.open();
/* 155 */         if (operation == 0) {
/*     */           try {
/* 157 */             String replyStr = FuHeInsDetailActionGroup.this.dataManage.dealNotAccept(
/* 158 */                 FuHeInsDetailDialog.insinfo.getApplyid(), 
/* 159 */                 FuHeInsDetailDialog.insinfo.getRealid(), 
/* 160 */                 detailinfodialog.getReason(), 
/* 161 */                 GljgUserInfo.getInstance().getGroupid(), FuHeInsDetailActionGroup.this.operationType);
/* 162 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 163 */               FuHeInsDetailActionGroup.this.dialog.setBackParameter(2);
/*     */             } else {
/* 165 */               SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */               return;
/*     */             } 
/* 168 */           } catch (Exception e) {
/* 169 */             e.printStackTrace();
/*     */           } 
/* 171 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 172 */           if (!FuHeInsDetailActionGroup.this.shell.isDisposed())
/* 173 */             FuHeInsDetailActionGroup.this.shell.dispose(); 
/*     */         } 
/* 175 */       } catch (Exception e) {
/* 176 */         e.printStackTrace();
/* 177 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\instauration\FuHeInsDetailActionGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */