/*     */ package cs.sydj.operation.fuhe.instauration;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FuHeInstaurationDataManage
/*     */ {
/*  19 */   private MessageSender sender = null;
/*  20 */   String operation = "FuHeInstauration";
/*     */ 
/*     */   
/*     */   public ArrayList getFuHeInstauration(String groupid, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  24 */     String methodname = "getFuHeInstauration";
/*  25 */     String msgType = "xml";
/*  26 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  27 */     String replyxml = null;
/*  28 */     ArrayList result = new ArrayList();
/*  29 */     messageParameter.put("groupid", groupid);
/*  30 */     messageParameter.put("sydwname", sydwname);
/*  31 */     messageParameter.put("startdate", startdate);
/*  32 */     messageParameter.put("enddate", enddate);
/*  33 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  34 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  35 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  36 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  38 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getFuHeReInstauration(String groupid, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  43 */     String methodname = "getFuHeReInstauration";
/*  44 */     String msgType = "xml";
/*  45 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  46 */     String replyxml = null;
/*  47 */     ArrayList result = new ArrayList();
/*  48 */     messageParameter.put("groupid", groupid);
/*  49 */     messageParameter.put("sydwname", sydwname);
/*  50 */     messageParameter.put("startdate", startdate);
/*  51 */     messageParameter.put("enddate", enddate);
/*  52 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  53 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  54 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  55 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  57 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String jbdwIFUpdate(String groupid, String jbdwname, String districtcode) {
/*  62 */     String methodname = "jbdwIFUpdate";
/*  63 */     String msgType = "short";
/*  64 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  65 */     String replyxml = null;
/*  66 */     messageParameter.put("groupid", groupid);
/*  67 */     messageParameter.put("jbdwname", jbdwname);
/*  68 */     messageParameter.put("districtcode", districtcode);
/*  69 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  71 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String insFuHeOK(String applyId, String currentId, String groupid, String jbdwname, String operationType, String orgCode) {
/*  76 */     String methodname = "insFuHeOK";
/*  77 */     String msgType = "short";
/*  78 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  79 */     String replyxml = null;
/*  80 */     messageParameter.put("applyId", applyId);
/*  81 */     messageParameter.put("currentId", currentId);
/*  82 */     messageParameter.put("groupid", groupid);
/*  83 */     messageParameter.put("jbdwname", jbdwname);
/*  84 */     messageParameter.put("operationType", operationType);
/*  85 */     messageParameter.put("OPERATER", GljgUserInfo.getInstance().getRealname());
/*  86 */     messageParameter.put("orgCode", orgCode);
/*  87 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  89 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId, String operationType) {
/*  95 */     String methodname = "dealNotAccept";
/*  96 */     String msgType = "short";
/*  97 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  98 */     String replyxml = null;
/*  99 */     messageParameter.put("applyId", applyId);
/* 100 */     messageParameter.put("currentId", currentId);
/* 101 */     messageParameter.put("advice", advice);
/* 102 */     messageParameter.put("groupid", groupId);
/* 103 */     messageParameter.put("operationType", operationType);
/* 104 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 106 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 112 */     String replyxml = "";
/* 113 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 114 */         messageParameter);
/*     */     try {
/* 116 */       this.sender = new MessageSender(
/* 117 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 118 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 119 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 120 */     } catch (JMSException e) {
/* 121 */       e.printStackTrace();
/* 122 */     } catch (Exception e) {
/* 123 */       e.printStackTrace();
/*     */     } 
/* 125 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\instauration\FuHeInstaurationDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */