/*     */ package cs.sydj.operation.hezhun.biangeng;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.shouli.biangeng.ShouLiBianGengDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HeZhunBianGengDetailActionGroup
/*     */   extends ActionGroup
/*     */ {
/*  26 */   private HeZhunBianGengDataManage dataManage = new HeZhunBianGengDataManage();
/*  27 */   private ShouLiBianGengDataManage dataManage3 = new ShouLiBianGengDataManage();
/*  28 */   Shell shell = null;
/*     */   
/*     */   public HeZhunBianGengDetailActionGroup(Shell shell, HeZhunBianGengDetailDialog dialog) {
/*  31 */     this.shell = shell;
/*  32 */     this.dialog = dialog;
/*     */   }
/*     */   private HeZhunBianGengDetailDialog dialog;
/*     */   public void fillActionBars(ToolBarManager actionBarManager) {
/*  36 */     actionBarManager.removeAll();
/*  37 */     if ("2".equals(HeZhunBianGengDetailDialog.insinfo.getAPPLY_STATE())) {
/*     */       
/*  39 */       Action dealaction = new HeZhunBianGengDealAction();
/*  40 */       actionBarManager.add(createContributionItem((IAction)dealaction));
/*     */       
/*  42 */       Action backaction = new HeZhunBianGengBackAction();
/*  43 */       actionBarManager.add(createContributionItem((IAction)backaction));
/*     */     } 
/*     */     
/*  46 */     actionBarManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/*  50 */     ActionContributionItem aci = new ActionContributionItem(action);
/*  51 */     aci.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/*  52 */     return (IContributionItem)aci;
/*     */   }
/*     */   
/*     */   private class HeZhunBianGengDealAction extends Action {
/*     */     public HeZhunBianGengDealAction() {
/*  57 */       setId("cs.sydj.operation.hezhun.biangeng.HeZhunBianGengDealAction");
/*  58 */       setText("  核准通过  ");
/*  59 */       setToolTipText("核准通过");
/*  60 */       if (HeZhunBianGengDetailDialog.hezhunbuttonflag) {
/*  61 */         setEnabled(true);
/*     */       } else {
/*  63 */         setEnabled(false);
/*     */       } 
/*     */     }
/*     */     public void run() {
/*     */       try {
/*  68 */         String fddbrFlag = "";
/*  69 */         for (int i = 0; i < HeZhunBianGengDetailDialog.list.size(); i++) {
/*  70 */           InsAttachmentInfo iai = new InsAttachmentInfo();
/*  71 */           iai = HeZhunBianGengDetailDialog.list.get(i);
/*  72 */           if ("事业单位法定代表人登记申请表".equals(iai.getFilename())) {
/*  73 */             fddbrFlag = "true";
/*     */             break;
/*     */           } 
/*     */         } 
/*  77 */         String replyStr = HeZhunBianGengDetailActionGroup.this.dataManage.biangengHeZhunOK(HeZhunBianGengDetailDialog.insinfo.getApplyid(), 
/*  78 */             HeZhunBianGengDetailDialog.insinfo.getRealid(), fddbrFlag);
/*  79 */         if ("true".equalsIgnoreCase(replyStr)) {
/*  80 */           HeZhunBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/*  81 */           SydjMessageDialog.openInformation(null, "提示", "核准操作成功！");
/*  82 */           if (!HeZhunBianGengDetailActionGroup.this.shell.isDisposed())
/*  83 */             HeZhunBianGengDetailActionGroup.this.shell.dispose(); 
/*     */         } else {
/*  85 */           SydjMessageDialog.openInformation(null, "提示", "核准操作失败！");
/*     */         } 
/*  87 */       } catch (Exception e) {
/*  88 */         e.printStackTrace();
/*  89 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class HeZhunBianGengBackAction extends Action {
/*     */     public HeZhunBianGengBackAction() {
/*  96 */       setId("cs.sydj.operation.hezhun.biangeng.HeZhunBianGengBackAction");
/*  97 */       setText("  退回修改  ");
/*  98 */       setToolTipText("退回修改");
/*     */     }
/*     */     public void run() {
/*     */       try {
/* 102 */         String str = HeZhunBianGengDetailActionGroup.this.dataManage3.queryBackAppendStr(HeZhunBianGengDetailDialog.insinfo);
/* 103 */         ArrayList list = new ArrayList();
/* 104 */         list = HeZhunBianGengDetailActionGroup.this.dataManage3.queryBackComboList(HeZhunBianGengDetailDialog.insinfo);
/* 105 */         if (list != null) {
/* 106 */           BackModifyDialog detailinfodialog = new BackModifyDialog(
/* 107 */               HeZhunBianGengDetailActionGroup.this.shell, str, list, "", 
/* 108 */               "你单位提交的变更登记申请材料不全，请补充提交：", 
/* 109 */               "你单位提交的变更登记申请材料不合格，请重新提交：", "事业单位法人变更登记申请书", 
/* 110 */               "事业单位法定代表人登记申请表", "");
/* 111 */           int operation = detailinfodialog.open();
/* 112 */           if (operation == 0) {
/* 113 */             String fddbrFlag = "";
/* 114 */             for (int i = 0; i < HeZhunBianGengDetailDialog.list.size(); i++) {
/* 115 */               InsAttachmentInfo iai = new InsAttachmentInfo();
/* 116 */               iai = HeZhunBianGengDetailDialog.list.get(i);
/* 117 */               if ("事业单位法定代表人登记申请表".equals(iai.getFilename())) {
/* 118 */                 fddbrFlag = "true";
/*     */                 break;
/*     */               } 
/*     */             } 
/* 122 */             String replyStr = HeZhunBianGengDetailActionGroup.this.dataManage.backModify(
/* 123 */                 HeZhunBianGengDetailDialog.insinfo.getApplyid(), 
/* 124 */                 HeZhunBianGengDetailDialog.insinfo.getRealid(), 
/* 125 */                 detailinfodialog.getReason(), fddbrFlag);
/* 126 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 127 */               HeZhunBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/* 128 */               SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 129 */               if (!HeZhunBianGengDetailActionGroup.this.shell.isDisposed())
/* 130 */                 HeZhunBianGengDetailActionGroup.this.shell.dispose(); 
/*     */             } else {
/* 132 */               SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */             } 
/*     */           } 
/*     */         } 
/* 136 */       } catch (Exception e) {
/* 137 */         e.printStackTrace();
/* 138 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\biangeng\HeZhunBianGengDetailActionGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */