/*     */ package cs.sydj.operation.hezhun.cert;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertNewCodeHeZhun
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   private Text newCodeText;
/*     */   private String certCode;
/*     */   private String newCertCode;
/*     */   
/*     */   public CertNewCodeHeZhun(Shell parentShell) {
/*  34 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public CertNewCodeHeZhun(Shell parentShell, String certCode, String newCertCode, Text newCodeText) {
/*  39 */     super(parentShell);
/*  40 */     this.certCode = certCode;
/*  41 */     this.newCertCode = newCertCode;
/*  42 */     this.newCodeText = newCodeText;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  52 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  53 */     parent.setBackgroundMode(1);
/*  54 */     Composite container = (Composite)super.createDialogArea(parent);
/*  55 */     GridLayout gridLayout = new GridLayout();
/*  56 */     gridLayout.numColumns = 2;
/*  57 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  59 */     Label label = new Label(container, 0);
/*  60 */     label.setAlignment(16777216);
/*  61 */     GridData gd_label = new GridData(16777216, 16777216, false, 
/*  62 */         false, 2, 1);
/*  63 */     gd_label.heightHint = 20;
/*  64 */     label.setLayoutData(gd_label);
/*  65 */     label.setText("确定新的证书号");
/*     */     
/*  67 */     Label label_1 = new Label(container, 0);
/*  68 */     label_1.setText("原证书号：");
/*     */     
/*  70 */     this.text = new Text(container, 2048);
/*  71 */     this.text.setEditable(false);
/*  72 */     this.text.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  74 */     Label label_2 = new Label(container, 0);
/*  75 */     label_2.setText("补发证书号：");
/*     */     
/*  77 */     this.text_1 = new Text(container, 2048);
/*  78 */     this.text_1.setLayoutData(new GridData(4, 16777216, true, false));
/*  79 */     setData();
/*  80 */     return (Control)container;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/*  85 */     if (this.text_1.getText().trim().length() == 0) {
/*  86 */       SydjMessageDialog.openInformation(null, "提示", "请输入事业单位证书号。");
/*  87 */     } else if (this.text_1.getText().trim().length() != 12) {
/*  88 */       SydjMessageDialog.openInformation(null, "提示", "事业单位证书号必须为12位数字。");
/*  89 */     } else if (!this.text_1.getText().trim().substring(1, 7).equals(
/*  90 */         GljgUserInfo.getInstance().getDistrictcode())) {
/*  91 */       SydjMessageDialog.openInformation(null, "提示", 
/*  92 */           "事业单位证书号的2-7位必须为管理机关的行政区划码。");
/*     */     } else {
/*     */       try {
/*  95 */         Long.parseLong(this.text_1.getText().trim());
/*  96 */         this.newCodeText.setText(this.text_1.getText().trim());
/*  97 */         super.okPressed();
/*  98 */       } catch (Exception e) {
/*  99 */         e.printStackTrace();
/* 100 */         SydjMessageDialog.openInformation(null, "提示", "事业单位证书号必须为12位数字。");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 109 */     this.text.setText(this.certCode);
/* 110 */     this.text_1.setText(this.newCertCode);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 120 */     createButton(parent, 0, "确定", true);
/* 121 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 129 */     return new Point(250, 159);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 133 */     super.configureShell(newShell);
/* 134 */     newShell.setText("确定新证书号");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 139 */     super.initializeBounds();
/* 140 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\cert\CertNewCodeHeZhun.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */