/*     */ package cs.sydj.operation.hezhun.instauration;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.shouli.instauration.ShouLiInstaurationDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HeZhunInsDetailActionGroup
/*     */   extends ActionGroup
/*     */ {
/*  25 */   private HeZhunInstaurationDataManage dataManage = new HeZhunInstaurationDataManage();
/*  26 */   private ShouLiInstaurationDataManage dataManage2 = new ShouLiInstaurationDataManage();
/*  27 */   Shell shell = null;
/*     */   
/*     */   public HeZhunInsDetailActionGroup(Shell shell, HeZhunInsDetailDialog dialog) {
/*  30 */     this.shell = shell;
/*  31 */     this.dialog = dialog;
/*     */   }
/*     */   private HeZhunInsDetailDialog dialog;
/*     */   public void fillActionBars(ToolBarManager actionBarManager) {
/*  35 */     actionBarManager.removeAll();
/*     */     
/*  37 */     if ("2".equals(HeZhunInsDetailDialog.insinfo.getAPPLY_STATE())) {
/*     */       
/*  39 */       Action dealaction = new HeZhunInsDealAction();
/*  40 */       actionBarManager.add(createContributionItem((IAction)dealaction));
/*     */       
/*  42 */       Action backaction = new HeZhunInsBackAction();
/*  43 */       actionBarManager.add(createContributionItem((IAction)backaction));
/*     */     } 
/*     */     
/*  46 */     actionBarManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/*  50 */     ActionContributionItem aci = new ActionContributionItem(action);
/*  51 */     aci.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/*  52 */     return (IContributionItem)aci;
/*     */   }
/*     */   
/*     */   private class HeZhunInsDealAction extends Action {
/*     */     public HeZhunInsDealAction() {
/*  57 */       setId("cs.sydj.operation.hezhun.instauration.HeZhunInsDealAction");
/*  58 */       setText("  核准通过  ");
/*  59 */       setToolTipText("核准通过");
/*  60 */       if (HeZhunInsDetailDialog.hezhunbuttonflag) {
/*  61 */         setEnabled(true);
/*     */       } else {
/*  63 */         setEnabled(false);
/*     */       } 
/*     */     }
/*     */     public void run() {
/*     */       try {
/*  68 */         String replyStr = HeZhunInsDetailActionGroup.this.dataManage.insHeZhunOK(HeZhunInsDetailDialog.insinfo.getApplyid(), 
/*  69 */             HeZhunInsDetailDialog.insinfo.getRealid());
/*  70 */         if ("true".equalsIgnoreCase(replyStr)) {
/*  71 */           HeZhunInsDetailActionGroup.this.dialog.setBackParameter(2);
/*  72 */           SydjMessageDialog.openInformation(null, "提示", "核准操作成功！");
/*  73 */           if (!HeZhunInsDetailActionGroup.this.shell.isDisposed())
/*  74 */             HeZhunInsDetailActionGroup.this.shell.dispose(); 
/*     */         } else {
/*  76 */           SydjMessageDialog.openInformation(null, "提示", "核准操作失败！");
/*     */         } 
/*  78 */       } catch (Exception e) {
/*  79 */         e.printStackTrace();
/*  80 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class HeZhunInsBackAction extends Action {
/*     */     public HeZhunInsBackAction() {
/*  87 */       setId("cs.sydj.operation.hezhun.instauration.HeZhunInsBackAction");
/*  88 */       setText("  退回修改  ");
/*  89 */       setToolTipText("退回修改");
/*     */     }
/*     */     public void run() {
/*     */       try {
/*  93 */         String str = HeZhunInsDetailActionGroup.this.dataManage2.queryBackAppendStr(HeZhunInsDetailDialog.insinfo);
/*     */         
/*  95 */         ArrayList list = new ArrayList();
/*  96 */         list = HeZhunInsDetailActionGroup.this.dataManage2.queryBackComboList(HeZhunInsDetailDialog.insinfo);
/*  97 */         if (list != null) {
/*  98 */           BackModifyDialog detailinfodialog = new BackModifyDialog(
/*  99 */               HeZhunInsDetailActionGroup.this.shell, str, list, "", 
/* 100 */               "你单位提交的设立登记申请材料不全，请补充提交：", 
/* 101 */               "你单位提交的设立登记申请材料不合格，请重新提交：", "事业单位法人设立登记（备案）申请书", 
/* 102 */               "事业单位法定代表人登记申请表", "");
/* 103 */           int operation = detailinfodialog.open();
/* 104 */           if (operation == 0) {
/* 105 */             String replyStr = HeZhunInsDetailActionGroup.this.dataManage.backModify(
/* 106 */                 HeZhunInsDetailDialog.insinfo.getApplyid(), 
/* 107 */                 HeZhunInsDetailDialog.insinfo.getRealid(), 
/* 108 */                 detailinfodialog.getReason());
/* 109 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 110 */               HeZhunInsDetailActionGroup.this.dialog.setBackParameter(2);
/* 111 */               SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 112 */               if (!HeZhunInsDetailActionGroup.this.shell.isDisposed())
/* 113 */                 HeZhunInsDetailActionGroup.this.shell.dispose(); 
/*     */             } else {
/* 115 */               SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */             } 
/*     */           } 
/*     */         } 
/* 119 */       } catch (Exception e) {
/* 120 */         e.printStackTrace();
/* 121 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\instauration\HeZhunInsDetailActionGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */