/*     */ package cs.sydj.operation.hezhun.logout;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutOperationHeZhun
/*     */ {
/*  16 */   String operation = "LogOutHeZhun";
/*  17 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  18 */   String messagexml = null;
/*  19 */   String replyxml = null;
/*  20 */   ArrayList result = new ArrayList();
/*  21 */   MessageSender sender = null;
/*     */   private String name;
/*     */   private String beginDate;
/*     */   private String endDate;
/*     */   private String type;
/*     */   private String applyId;
/*     */   private String id;
/*     */   private String groupId;
/*     */   
/*     */   public LogOutOperationHeZhun() {}
/*     */   
/*     */   public LogOutOperationHeZhun(String name, String beginDate, String endDate, String type) {
/*  33 */     this.name = name;
/*  34 */     this.beginDate = beginDate;
/*  35 */     this.endDate = endDate;
/*  36 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutInfo(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  52 */     this.messageParameter.put("name", name);
/*  53 */     this.messageParameter.put("bnDate", bnDate);
/*  54 */     this.messageParameter.put("enDate", enDate);
/*  55 */     this.messageParameter.put("state", state);
/*  56 */     this.messageParameter.put("groupId", groupId);
/*  57 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  58 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  59 */     this.messagexml = 
/*  60 */       MessageXML.MessageToXML(this.operation, "getLogoutInfo", this.messageParameter);
/*     */     try {
/*  62 */       this.sender = new MessageSender(
/*  63 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  64 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  65 */       this.replyxml = this.sender
/*  66 */         .sendMessage(this.messagexml, "xml");
/*  67 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  68 */     } catch (JMSException e) {
/*  69 */       e.printStackTrace();
/*     */     }
/*  71 */     catch (Exception e) {
/*  72 */       e.printStackTrace();
/*     */     } 
/*  74 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLeaderAcvice(String applyId, String currentId) {
/*  85 */     this.messageParameter.put("applyId", applyId);
/*  86 */     this.messageParameter.put("currentId", currentId);
/*  87 */     this.messagexml = 
/*  88 */       MessageXML.MessageToXML(this.operation, "getLeaderAcvice", this.messageParameter);
/*     */     try {
/*  90 */       this.sender = new MessageSender(
/*  91 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  92 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  93 */       this.replyxml = this.sender
/*  94 */         .sendMessage(this.messagexml, "xml");
/*  95 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  96 */     } catch (JMSException e) {
/*  97 */       e.printStackTrace();
/*     */     }
/*  99 */     catch (Exception e) {
/* 100 */       e.printStackTrace();
/*     */     } 
/* 102 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public LogOutOperationHeZhun(String applyId, String id, String groupId) {
/* 110 */     this.applyId = applyId;
/* 111 */     this.id = id;
/* 112 */     this.groupId = groupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/* 126 */     this.messageParameter.put("applyId", applyId);
/* 127 */     this.messageParameter.put("currentId", currentId);
/* 128 */     this.messageParameter.put("groupId", groupId);
/* 129 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 130 */     this.messagexml = 
/* 131 */       MessageXML.MessageToXML(this.operation, "getLogoutFileInfo", this.messageParameter);
/*     */     try {
/* 133 */       this.sender = new MessageSender(
/* 134 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 135 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 136 */       this.replyxml = this.sender
/* 137 */         .sendMessage(this.messagexml, "xml");
/* 138 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 139 */     } catch (JMSException e) {
/* 140 */       e.printStackTrace();
/*     */     }
/* 142 */     catch (Exception e) {
/* 143 */       e.printStackTrace();
/*     */     } 
/* 145 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 159 */     this.messageParameter.put("applyId", applyId);
/* 160 */     this.messageParameter.put("currentId", currentId);
/* 161 */     this.messageParameter.put("groupId", groupId);
/* 162 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 163 */     this.messageParameter.put("id", id);
/* 164 */     this.messagexml = 
/* 165 */       MessageXML.MessageToXML(this.operation, "getLogOutHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 167 */       this.sender = new MessageSender(
/* 168 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 169 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 170 */       this.replyxml = this.sender
/* 171 */         .sendMessage(this.messagexml, "xml");
/* 172 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 173 */     } catch (JMSException e) {
/* 174 */       e.printStackTrace();
/*     */     }
/* 176 */     catch (Exception e) {
/* 177 */       e.printStackTrace();
/*     */     } 
/* 179 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutHistoryInfo(UnitInfoModel logout) {
/* 189 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 190 */     this.messageParameter.put("currentId", logout.getId());
/* 191 */     this.messagexml = 
/* 192 */       MessageXML.MessageToXML(this.operation, "getLogoutHistoryInfo", this.messageParameter);
/*     */     try {
/* 194 */       this.sender = new MessageSender(
/* 195 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 196 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 197 */       this.replyxml = this.sender
/* 198 */         .sendMessage(this.messagexml, "xml");
/* 199 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 200 */     } catch (JMSException e) {
/* 201 */       e.printStackTrace();
/*     */     }
/* 203 */     catch (Exception e) {
/* 204 */       e.printStackTrace();
/*     */     } 
/* 206 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 213 */     this.messageParameter.put("applyId", file.getApplyId());
/* 214 */     this.messageParameter.put("currentId", file.getId());
/* 215 */     this.messageParameter.put("groupId", file.getGroupId());
/* 216 */     this.messageParameter.put("type", "0");
/* 217 */     this.messagexml = 
/* 218 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 220 */       this.sender = new MessageSender(
/* 221 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 222 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 223 */       this.replyxml = this.sender
/* 224 */         .sendMessage(this.messagexml, "xml");
/* 225 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 226 */     } catch (JMSException e) {
/* 227 */       e.printStackTrace();
/*     */     }
/* 229 */     catch (Exception e) {
/* 230 */       e.printStackTrace();
/*     */     } 
/* 232 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean setAdviceInfo(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate) {
/* 241 */     this.messageParameter.put("applyId", applyId);
/* 242 */     this.messageParameter.put("currentId", currentId);
/* 243 */     this.messageParameter.put("groupId", groupId);
/* 244 */     this.messageParameter.put("advice", advice);
/* 245 */     this.messageParameter.put("sign", sign);
/* 246 */     this.messageParameter.put("unitId", unitId);
/* 247 */     this.messageParameter.put("holdUnitId", holdUnitId);
/* 248 */     this.messageParameter.put("signDate", signDate);
/* 249 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/* 250 */     this.messagexml = 
/* 251 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 253 */       this.sender = new MessageSender(
/* 254 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 255 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 256 */       this.replyxml = this.sender
/* 257 */         .sendMessage(this.messagexml, "short");
/* 258 */       if (this.replyxml.equals("false"))
/* 259 */         return false; 
/* 260 */     } catch (JMSException e) {
/* 261 */       e.printStackTrace();
/* 262 */       return false;
/*     */     }
/* 264 */     catch (Exception e) {
/* 265 */       e.printStackTrace();
/* 266 */       return false;
/*     */     } 
/* 268 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getAnnex(FileModel annex) {
/* 276 */     this.messageParameter.put("applyId", this.applyId);
/* 277 */     this.messageParameter.put("id", this.id);
/* 278 */     this.messageParameter.put("goupId", this.groupId);
/* 279 */     this.messagexml = 
/* 280 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 282 */       this.sender = new MessageSender(
/* 283 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 284 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 285 */       this.replyxml = this.sender
/* 286 */         .sendMessage(this.messagexml, "short");
/* 287 */       if (this.replyxml.equals("false"))
/* 288 */         return false; 
/* 289 */     } catch (JMSException e) {
/* 290 */       e.printStackTrace();
/* 291 */       return false;
/*     */     }
/* 293 */     catch (Exception e) {
/* 294 */       e.printStackTrace();
/* 295 */       return false;
/*     */     } 
/* 297 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId) {
/* 306 */     this.messageParameter.put("applyId", applyId);
/* 307 */     this.messageParameter.put("currentId", currentId);
/* 308 */     this.messagexml = 
/* 309 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 311 */       this.sender = new MessageSender(
/* 312 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 313 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 314 */       this.replyxml = this.sender
/* 315 */         .sendMessage(this.messagexml, "short");
/* 316 */     } catch (JMSException e) {
/* 317 */       e.printStackTrace();
/*     */       
/* 319 */       return null;
/* 320 */     } catch (Exception e) {
/* 321 */       e.printStackTrace();
/* 322 */       return null;
/*     */     } 
/* 324 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModifyStr(String applyId, String currentId) {
/* 333 */     this.messageParameter.put("applyId", applyId);
/* 334 */     this.messageParameter.put("currentId", currentId);
/* 335 */     this.messagexml = 
/* 336 */       MessageXML.MessageToXML(this.operation, "backModifyStr", this.messageParameter);
/*     */     try {
/* 338 */       this.sender = new MessageSender(
/* 339 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 340 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 341 */       this.replyxml = this.sender
/* 342 */         .sendMessage(this.messagexml, "short");
/* 343 */     } catch (JMSException e) {
/* 344 */       e.printStackTrace();
/*     */       
/* 346 */       return "error";
/* 347 */     } catch (Exception e) {
/* 348 */       e.printStackTrace();
/* 349 */       return "error";
/*     */     } 
/* 351 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String checkBackOffReason(String applyId, String currentId) {
/* 360 */     this.messageParameter.put("applyId", applyId);
/* 361 */     this.messageParameter.put("currentId", currentId);
/* 362 */     this.messagexml = 
/* 363 */       MessageXML.MessageToXML(this.operation, "checkBackOffReason", this.messageParameter);
/*     */     try {
/* 365 */       this.sender = new MessageSender(
/* 366 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 367 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 368 */       this.replyxml = this.sender
/* 369 */         .sendMessage(this.messagexml, "short");
/* 370 */     } catch (JMSException e) {
/* 371 */       e.printStackTrace();
/*     */       
/* 373 */       return "error";
/* 374 */     } catch (Exception e) {
/* 375 */       e.printStackTrace();
/* 376 */       return "error";
/*     */     } 
/* 378 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice) {
/* 387 */     this.messageParameter.put("applyId", applyId);
/* 388 */     this.messageParameter.put("currentId", currentId);
/* 389 */     this.messageParameter.put("advice", advice);
/* 390 */     this.messagexml = 
/* 391 */       MessageXML.MessageToXML(this.operation, "backModify", this.messageParameter);
/*     */     try {
/* 393 */       this.sender = new MessageSender(
/* 394 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 395 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 396 */       this.replyxml = this.sender
/* 397 */         .sendMessage(this.messagexml, "short");
/* 398 */     } catch (JMSException e) {
/* 399 */       e.printStackTrace();
/*     */       
/* 401 */       return null;
/* 402 */     } catch (Exception e) {
/* 403 */       e.printStackTrace();
/* 404 */       return null;
/*     */     } 
/* 406 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnexName(String groupId) {
/* 415 */     this.messageParameter.put("groupId", groupId);
/* 416 */     this.messagexml = 
/* 417 */       MessageXML.MessageToXML(this.operation, "getAnnexName", this.messageParameter);
/*     */     try {
/* 419 */       this.sender = new MessageSender(
/* 420 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 421 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 422 */       this.replyxml = this.sender
/* 423 */         .sendMessage(this.messagexml, "xml");
/* 424 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 425 */     } catch (JMSException e) {
/* 426 */       e.printStackTrace();
/*     */     }
/* 428 */     catch (Exception e) {
/* 429 */       e.printStackTrace();
/*     */     } 
/* 431 */     return this.result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\logout\LogOutOperationHeZhun.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */