/*     */ package cs.sydj.operation.homepage;
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import cs.sydj.operation.credit.fddbr.CreditInterceptLableProvider;
/*     */ import cs.sydj.operation.credit.fddbr.CreditPersonListDialog;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ public class HomePageCheckFddbrInterceptDialog extends Dialog {
/*     */   private Text text;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_2;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   
/*     */   protected HomePageCheckFddbrInterceptDialog(Shell parentShell) {
/*  67 */     super(parentShell);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  84 */     this.totalRows = 0;
/*  85 */     this.startNo = 1;
/*  86 */     this.currentPage = 1;
/*  87 */     this.totalPages = 0;
/*  88 */     this.hasNextPage = false;
/*  89 */     this.hasPreviousPage = false;
/*  90 */     this.cursor = null;
/*  91 */     this.maxCount = 15;
/*  92 */     this.selectColums = 10;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  97 */     this.groupid = GljgUserInfo.getInstance().getGroupid();
/*  98 */     this.dataManage = new CreditOperation();
/*  99 */     this.list = new ArrayList();
/* 100 */     this.alertMsg = "";
/*     */     setShellStyle(66560);
/*     */   }
/*     */   private Label page; private Composite compage; private TableViewer tableViewer; private Table table_1; private Composite group; private Composite composite_3; int totalRows; int startNo; int currentPage; int totalPages; boolean hasNextPage; boolean hasPreviousPage; private TableCursor cursor; int maxCount; protected int selectColums; private Composite container; private Composite composite_1; private Button goButton; private String groupid; CreditOperation dataManage; private ArrayList list;
/*     */   String alertMsg;
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/* 107 */     this.container = new Composite(arg0, 0);
/* 108 */     this.container.setLayout((Layout)new FillLayout());
/* 109 */     this.container.setBackground(Display.getCurrent().getSystemColor(1));
/* 110 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container, 2816);
/*     */     
/* 112 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 113 */     scrolledComposite.setExpandHorizontal(true);
/* 114 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/* 115 */     this.composite_1.setLocation(0, 0);
/* 116 */     this.composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 117 */     GridLayout gridLayout_2 = new GridLayout();
/* 118 */     gridLayout_2.marginRight = 15;
/* 119 */     gridLayout_2.marginLeft = 15;
/* 120 */     gridLayout_2.marginTop = 25;
/* 121 */     gridLayout_2.verticalSpacing = 15;
/* 122 */     this.composite_1.setLayout((Layout)gridLayout_2);
/* 123 */     this.group = new Composite(this.composite_1, 0);
/* 124 */     this.group.setBackground(Display.getCurrent().getSystemColor(1));
/* 125 */     GridLayout gridLayout = new GridLayout();
/* 126 */     gridLayout.marginWidth = 0;
/* 127 */     gridLayout.horizontalSpacing = 0;
/* 128 */     gridLayout.marginHeight = 0;
/* 129 */     gridLayout.numColumns = 4;
/* 130 */     this.group.setLayout((Layout)gridLayout);
/* 131 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 133 */     Label label_2 = new Label(this.group, 0);
/* 134 */     label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 135 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 4, 1));
/* 136 */     label_2.setText("事业单位法定代表人失信被执行人校验结果表>>事业单位列表");
/* 137 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 139 */     this.composite_3 = new Composite(this.composite_1, 0);
/* 140 */     GridData gd_composite_3 = new GridData(4, 16777216, true, false);
/* 141 */     gd_composite_3.heightHint = 372;
/* 142 */     this.composite_3.setLayoutData(gd_composite_3);
/* 143 */     GridLayout gridLayout_5 = new GridLayout();
/* 144 */     gridLayout_5.marginHeight = 0;
/* 145 */     gridLayout_5.horizontalSpacing = 0;
/* 146 */     gridLayout_5.verticalSpacing = 0;
/* 147 */     gridLayout_5.marginWidth = 0;
/* 148 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*     */     
/* 150 */     this.tableViewer = new TableViewer(this.composite_3, 67584);
/* 151 */     this.table_1 = this.tableViewer.getTable();
/* 152 */     this.table_1.setLayoutData(new GridData(4, 4, true, true));
/* 153 */     this.table_1.setLinesVisible(true);
/* 154 */     this.table_1.setHeaderVisible(true);
/* 155 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 156 */         16777216);
/* 157 */     newColumnTableColumn_1.setWidth(211);
/* 158 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 160 */     TableColumn sydwCodeY = new TableColumn(this.table_1, 0);
/* 161 */     sydwCodeY.setWidth(80);
/* 162 */     sydwCodeY.setText("证书号");
/*     */     
/* 164 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 0);
/* 165 */     newColumnTableColumn_2.setWidth(210);
/* 166 */     newColumnTableColumn_2.setText("事业单位名称");
/*     */     
/* 168 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 16777216);
/* 169 */     newColumnTableColumn_3.setWidth(34);
/* 170 */     newColumnTableColumn_3.setText("法定代表人");
/*     */     
/* 172 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 16777216);
/* 173 */     newColumnTableColumn_4.setWidth(60);
/* 174 */     newColumnTableColumn_4.setText("举办单位");
/*     */     
/* 176 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 16777216);
/* 177 */     newColumnTableColumn_5.setWidth(30);
/* 178 */     newColumnTableColumn_5.setText("操作");
/*     */     
/* 180 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 16777216);
/* 181 */     newColumnTableColumn_6.setWidth(0);
/* 182 */     newColumnTableColumn_6.setResizable(false);
/*     */     
/* 184 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 185 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditInterceptLableProvider());
/*     */     
/* 187 */     this.compage = new Composite(this.composite_1, 0);
/* 188 */     this.compage.setBackground(Display.getCurrent().getSystemColor(1));
/* 189 */     this.compage.setLayoutData(new GridData(4, 128, true, false, 5, 1));
/* 190 */     GridLayout gridLayout_3 = new GridLayout();
/* 191 */     gridLayout_3.verticalSpacing = 0;
/* 192 */     gridLayout_3.numColumns = 7;
/* 193 */     this.compage.setLayout((Layout)gridLayout_3);
/*     */     
/* 195 */     this.page = new Label(this.compage, 0);
/* 196 */     this.page.setBackground(Display.getCurrent().getSystemColor(1));
/* 197 */     this.page.setText("页次：");
/*     */     
/* 199 */     this.nowPage = new Label(this.compage, 0);
/* 200 */     this.nowPage.setBackground(Display.getCurrent().getSystemColor(1));
/* 201 */     this.nowPage.setText("Label");
/*     */     
/* 203 */     this.everyPageRows = new Label(this.compage, 0);
/* 204 */     this.everyPageRows.setBackground(Display.getCurrent().getSystemColor(1));
/* 205 */     this.everyPageRows.setText("Label");
/*     */     
/* 207 */     this.allRows = new Label(this.compage, 0);
/* 208 */     this.allRows.setBackground(Display.getCurrent().getSystemColor(1));
/* 209 */     this.allRows.setText("Label");
/*     */     
/* 211 */     this.composite_2 = new Composite(this.compage, 0);
/* 212 */     this.composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 213 */     this.composite_2.setLayoutData(new GridData(131072, 4, true, false));
/* 214 */     GridLayout gridLayout_4 = new GridLayout();
/* 215 */     gridLayout_4.numColumns = 4;
/* 216 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*     */     
/* 218 */     this.priorPage = new Button(this.composite_2, 0);
/* 219 */     this.priorPage.setEnabled(false);
/* 220 */     this.priorPage.setText("上一页");
/*     */     
/* 222 */     this.nextPage = new Button(this.composite_2, 0);
/* 223 */     this.nextPage.setEnabled(false);
/* 224 */     this.nextPage.setText("下一页");
/*     */     
/* 226 */     Label label = new Label(this.composite_2, 0);
/* 227 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 228 */     label.setText("转至第");
/*     */     
/* 230 */     this.text = new Text(this.composite_2, 2048);
/* 231 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 232 */     gd_text.widthHint = 46;
/* 233 */     this.text.setLayoutData(gd_text);
/*     */     
/* 235 */     Label label_1 = new Label(this.compage, 0);
/* 236 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 237 */     label_1.setText("页");
/*     */     
/* 239 */     this.goButton = new Button(this.compage, 0);
/* 240 */     this.goButton.setBackground(Display.getCurrent().getSystemColor(1));
/* 241 */     this.goButton.setText("GO");
/*     */ 
/*     */     
/* 244 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/* 245 */     PublicUtil.setTableWidth(this.composite_3, this.table_1, "1.895:1.3:3.765:1:1:1:0.03");
/* 246 */     PublicUtil.setMouseHands(this.table_1, "0#2#5");
/* 247 */     scrolledComposite.setContent((Control)this.composite_1);
/* 248 */     this.composite_1.setSize(950, 490);
/*     */     
/* 250 */     getData(this.startNo);
/* 251 */     setActions();
/* 252 */     if (this.list != null && this.list.size() > 0) {
/* 253 */       this.totalRows = ((SydwInfo)this.list.get(0)).getTotalRows();
/* 254 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 255 */       this.totalPages = pu.getTotalPages();
/* 256 */       this.currentPage = pu.getCurrentPage();
/* 257 */       this.hasNextPage = pu.isHasNextPage();
/* 258 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 260 */       setPages(this.currentPage);
/* 261 */       setFontColor();
/* 262 */       setCursor();
/*     */     } 
/* 264 */     setPages(this.currentPage);
/* 265 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 272 */     if (this.cursor != null)
/* 273 */       this.cursor.dispose(); 
/* 274 */     this.cursor = new TableCursor(this.table_1, 0);
/* 275 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 276 */         .getSystemColor(26));
/* 277 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 278 */         .getSystemColor(27));
/* 279 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 281 */             int colums = HomePageCheckFddbrInterceptDialog.this.cursor.getColumn();
/* 282 */             if (colums == 0 || colums == 2) {
/* 283 */               HomePageCheckFddbrInterceptDialog.this.openSydwDetailDialog();
/*     */             }
/* 285 */             if (colums == 5) {
/* 286 */               HomePageCheckFddbrInterceptDialog.this.openCreditListDialog();
/*     */             }
/* 288 */             HomePageCheckFddbrInterceptDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 291 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 294 */             int colums = HomePageCheckFddbrInterceptDialog.this.cursor.getColumn();
/* 295 */             if (colums == HomePageCheckFddbrInterceptDialog.this.selectColums) {
/* 296 */               if (colums == 0 || colums == 2) {
/* 297 */                 HomePageCheckFddbrInterceptDialog.this.openSydwDetailDialog();
/*     */               }
/* 299 */               if (colums == 5) {
/* 300 */                 HomePageCheckFddbrInterceptDialog.this.openCreditListDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void openSydwDetailDialog() {
/* 308 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 309 */       .getSelection();
/* 310 */     SydwInfo sydwInfo = (SydwInfo)select.getFirstElement();
/* 311 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 314 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 315 */     insinfolist = oper.QueryInstaurationInfo(sydwInfo.getSYDW_ID(), "false");
/*     */     
/* 317 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 318 */     if (insinfolist.size() > 0) {
/* 319 */       frinfo = insinfolist.get(0);
/*     */     }
/* 321 */     ArrayList branchlist = new ArrayList();
/* 322 */     branchlist = oper.QueryInstBranch(sydwInfo.getSYDW_ID());
/*     */     
/* 324 */     InstallApplyDialog dialog = new InstallApplyDialog(
/* 325 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 326 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openCreditListDialog() {
/* 331 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 332 */     SydwInfo insinfo = (SydwInfo)select.getFirstElement();
/*     */     
/* 334 */     CreditPersonListDialog dialog = new CreditPersonListDialog(
/* 335 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 336 */         .getShell(), insinfo.getSYDW_ID(), insinfo.getFDDBR_NAME());
/* 337 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 344 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 345 */       this.table_1.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 346 */       this.table_1.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 347 */       this.table_1.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 348 */       this.table_1.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 349 */       this.table_1.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 350 */       this.table_1.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo) {
/* 358 */     this.list = this.dataManage.getInterceptSydwFddbrInfo(this.groupid, startNo, this.maxCount, "", "0");
/* 359 */     this.tableViewer.setInput(this.list);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 366 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 369 */             HomePageCheckFddbrInterceptDialog.this.getData((HomePageCheckFddbrInterceptDialog.this.currentPage - 2) * HomePageCheckFddbrInterceptDialog.this.maxCount + 1);
/* 370 */             HomePageCheckFddbrInterceptDialog.this.setPages(HomePageCheckFddbrInterceptDialog.this.currentPage - 1);
/*     */           }
/*     */         });
/* 373 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 376 */             HomePageCheckFddbrInterceptDialog.this.getData(HomePageCheckFddbrInterceptDialog.this.currentPage * HomePageCheckFddbrInterceptDialog.this.maxCount + 1);
/* 377 */             HomePageCheckFddbrInterceptDialog.this.setPages(HomePageCheckFddbrInterceptDialog.this.currentPage + 1);
/*     */           }
/*     */         });
/* 380 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 382 */             if (VerifyFunction.isNumeric(HomePageCheckFddbrInterceptDialog.this.text.getText())) {
/* 383 */               int aa = Integer.parseInt(HomePageCheckFddbrInterceptDialog.this.text.getText());
/* 384 */               if (aa > HomePageCheckFddbrInterceptDialog.this.totalPages) {
/* 385 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 387 */                 HomePageCheckFddbrInterceptDialog.this.getData((aa - 1) * HomePageCheckFddbrInterceptDialog.this.maxCount + 1);
/* 388 */                 HomePageCheckFddbrInterceptDialog.this.setPages(aa);
/*     */               } 
/*     */             } else {
/* 391 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/* 395 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 398 */             int colums = HomePageCheckFddbrInterceptDialog.this.cursor.getColumn();
/* 399 */             HomePageCheckFddbrInterceptDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 408 */     if (this.list.size() == 0) {
/* 409 */       this.totalRows = 0;
/*     */     } else {
/* 411 */       this.totalRows = ((SydwInfo)this.list.get(0)).getTotalRows();
/* 412 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 413 */     this.totalPages = pu.getTotalPages();
/* 414 */     this.currentPage = pu.getCurrentPage();
/* 415 */     this.hasNextPage = pu.isHasNextPage();
/* 416 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 417 */     if (this.totalPages == 0) {
/* 418 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 420 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 422 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 423 */     this.allRows.setText("共" + this.totalRows + "行");
/* 424 */     if (!this.hasPreviousPage) {
/* 425 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 427 */       this.priorPage.setEnabled(true);
/* 428 */     }  if (!this.hasNextPage) {
/* 429 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 431 */       this.nextPage.setEnabled(true);
/* 432 */     }  if (this.totalPages > 1) {
/* 433 */       this.goButton.setEnabled(true);
/* 434 */       this.text.setEnabled(true);
/*     */     } else {
/* 436 */       this.goButton.setEnabled(false);
/* 437 */       this.text.setEnabled(false);
/*     */     } 
/* 439 */     this.compage.layout();
/*     */     
/* 441 */     setFontColor();
/* 442 */     setCursor();
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 446 */     super.configureShell(newShell);
/* 447 */     newShell.setText("事业单位法定代表人失信被执行人校验结果表");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 452 */     Button button = createButton(parent, 2, "另存为Excel", false);
/* 453 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 456 */             HomePageCheckFddbrInterceptDialog.this.list = HomePageCheckFddbrInterceptDialog.this.dataManage.getInterceptSydwFddbrInfo(HomePageCheckFddbrInterceptDialog.this.groupid, HomePageCheckFddbrInterceptDialog.this.startNo, HomePageCheckFddbrInterceptDialog.this.maxCount, "", "1");
/* 457 */             HomePageCheckFddbrInterceptDialog.this.saveExcel(HomePageCheckFddbrInterceptDialog.this.list);
/*     */           }
/*     */         });
/* 460 */     createButton(parent, 1, "关 闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void saveExcel(ArrayList list) {
/* 473 */     String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + "事业单位法定代表人失信被执行人校验结果表.xls";
/* 474 */     OpenAndSaveDialog dialog = new OpenAndSaveDialog(
/* 475 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), "事业单位法定代表人失信被执行人校验结果表", "Excel文件(.xls)");
/* 476 */     int returnValue = dialog.open();
/* 477 */     if (returnValue == 0) {
/*     */       
/*     */       try {
/* 480 */         boolean flag = writeExcel(list, fileName);
/* 481 */         if (flag) {
/* 482 */           Program.launch(fileName);
/*     */         } else {
/* 484 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */         } 
/* 486 */       } catch (Exception e) {
/* 487 */         e.printStackTrace();
/* 488 */         SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */       } 
/* 490 */     } else if (returnValue == 16) {
/* 491 */       SaveDialog save = new SaveDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell());
/* 492 */       save.setFileName("事业单位法定代表人失信被执行人校验结果表");
/* 493 */       save.setFilterExtensions(new String[] { "*.xls" });
/* 494 */       fileName = save.open();
/* 495 */       if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 496 */         fileName = String.valueOf(fileName) + ".xls";
/*     */       }
/*     */       try {
/* 499 */         boolean flag = writeExcel(list, fileName);
/* 500 */         if (flag) {
/* 501 */           LoadSuccessDialog succ = new LoadSuccessDialog(
/* 502 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), fileName);
/* 503 */           succ.open();
/*     */         } else {
/* 505 */           SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */         } 
/* 507 */       } catch (Exception e) {
/* 508 */         e.printStackTrace();
/* 509 */         SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean writeExcel(ArrayList<SydwInfo> list, String filePath) {
/* 524 */     boolean flag = true;
/* 525 */     WritableWorkbook wwb = null;
/* 526 */     SydwInfo mod = null;
/*     */     try {
/* 528 */       wwb = Workbook.createWorkbook(new File(filePath));
/*     */       
/* 530 */       WritableFont titleFonts = new WritableFont(WritableFont.createFont("宋体"), 15, 
/* 531 */           WritableFont.BOLD);
/* 532 */       WritableCellFormat titleFormats = new WritableCellFormat(titleFonts);
/* 533 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 534 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 535 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 536 */       titleFormats.setWrap(true);
/* 537 */       WritableFont titleFontt = new WritableFont(WritableFont.createFont("宋体"), 10, 
/* 538 */           WritableFont.BOLD);
/* 539 */       WritableCellFormat titleFormatt = new WritableCellFormat(titleFontt);
/* 540 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 541 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 542 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 543 */       titleFormatt.setWrap(true);
/* 544 */       WritableFont titleFont = new WritableFont(WritableFont.createFont("宋体"), 9, 
/* 545 */           WritableFont.BOLD);
/* 546 */       WritableCellFormat titleFormat = new WritableCellFormat(titleFont);
/* 547 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 548 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 549 */       titleFormat.setWrap(true);
/* 550 */       WritableSheet ws = wwb.createSheet("事业单位法定代表人失信被执行人校验结果表", 0);
/* 551 */       ws.setColumnView(0, 20);
/* 552 */       ws.setColumnView(1, 20);
/* 553 */       ws.setColumnView(2, 60);
/* 554 */       ws.setColumnView(3, 20);
/* 555 */       ws.setColumnView(4, 50);
/*     */       
/* 557 */       Label title = new Label(0, 0, "事业单位法定代表人失信被执行人校验结果表", (CellFormat)titleFormats);
/* 558 */       ws.addCell((WritableCell)title);
/* 559 */       ws.mergeCells(0, 0, 4, 0);
/*     */       
/* 561 */       Label id = new Label(0, 1, "统一社会信用代码", (CellFormat)titleFormat);
/* 562 */       ws.addCell((WritableCell)id);
/* 563 */       Label certId = new Label(1, 1, "证书号", (CellFormat)titleFormat);
/* 564 */       ws.addCell((WritableCell)certId);
/* 565 */       Label unitName = new Label(2, 1, "事业单位名称", (CellFormat)titleFormat);
/* 566 */       ws.addCell((WritableCell)unitName);
/* 567 */       Label alterContent = new Label(3, 1, "法定代表人", (CellFormat)titleFormat);
/* 568 */       ws.addCell((WritableCell)alterContent);
/* 569 */       Label jbdwContent = new Label(4, 1, "举办单位", (CellFormat)titleFormat);
/* 570 */       ws.addCell((WritableCell)jbdwContent);
/*     */ 
/*     */       
/* 573 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 574 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 575 */       titleFormattt.setWrap(true);
/* 576 */       int row = 2;
/* 577 */       for (int i = 0; i < list.size(); i++) {
/* 578 */         mod = list.get(i);
/* 579 */         Label unifyCode = new Label(0, row, mod.getUNIFY_CODE(), (CellFormat)titleFormattt);
/* 580 */         ws.addCell((WritableCell)unifyCode);
/* 581 */         Label sydwCode = new Label(1, row, mod.getSYDW_CODE(), (CellFormat)titleFormattt);
/* 582 */         ws.addCell((WritableCell)sydwCode);
/* 583 */         Label sydwName = new Label(2, row, mod.getSYDW_NAME_FIRST(), (CellFormat)titleFormattt);
/* 584 */         ws.addCell((WritableCell)sydwName);
/* 585 */         Label fddbr = new Label(3, row, mod.getFDDBR_NAME(), (CellFormat)titleFormattt);
/* 586 */         ws.addCell((WritableCell)fddbr);
/* 587 */         Label jbdw = new Label(4, row, mod.getJBDW_NAME(), (CellFormat)titleFormattt);
/* 588 */         ws.addCell((WritableCell)jbdw);
/*     */         
/* 590 */         row++;
/*     */       } 
/* 592 */       wwb.write();
/* 593 */     } catch (Exception e) {
/* 594 */       e.printStackTrace();
/* 595 */       flag = false;
/*     */     } finally {
/* 597 */       if (wwb != null)
/*     */         try {
/* 599 */           wwb.close();
/* 600 */         } catch (IOException e) {
/* 601 */           e.printStackTrace();
/*     */         }  
/*     */     } 
/* 604 */     return flag;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\homepage\HomePageCheckFddbrInterceptDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */