/*     */ package cs.sydj.operation.homepage;
/*     */ 
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TreeViewerContentProvider;
/*     */ import cs.sydj.common.TreeViewerLabelProvider;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import server.sydj.operation.commons.OrgnizationTreeModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TreeManagerOrgnization
/*     */   extends Dialog
/*     */ {
/*     */   private Tree tree;
/*     */   private TreeViewer treeViewer;
/*     */   private ArrayList list;
/*     */   private String groupId;
/*     */   private String year;
/*     */   private String groupName;
/*     */   
/*     */   public String getYear() {
/*  46 */     return this.year;
/*     */   }
/*     */   
/*     */   public void setYear(String year) {
/*  50 */     this.year = year;
/*     */   }
/*     */   
/*     */   public String getGroupName() {
/*  54 */     return this.groupName;
/*     */   }
/*     */   
/*     */   public void setGroupName(String groupName) {
/*  58 */     this.groupName = groupName;
/*     */   }
/*     */   
/*     */   public String getGroupId() {
/*  62 */     return this.groupId;
/*     */   }
/*     */   
/*     */   public void setGroupId(String groupId) {
/*  66 */     this.groupId = groupId;
/*     */   }
/*     */   
/*     */   public TreeManagerOrgnization(Shell parentShell) {
/*  70 */     super(parentShell);
/*     */   }
/*     */   
/*     */   public TreeManagerOrgnization(Shell shell, ArrayList list, String year) {
/*  74 */     super(shell);
/*  75 */     this.list = list;
/*  76 */     this.year = year;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  86 */     Composite container = (Composite)super.createDialogArea(parent);
/*  87 */     container.setLayout((Layout)new FillLayout());
/*  88 */     Group group = new Group(container, 0);
/*  89 */     group.setText("年度报告公示情况统计");
/*  90 */     GridLayout gridLayout = new GridLayout();
/*  91 */     gridLayout.numColumns = 2;
/*  92 */     group.setLayout((Layout)gridLayout);
/*     */     
/*  94 */     Label label = new Label((Composite)group, 0);
/*  95 */     label.setText("查询范围选择：");
/*     */ 
/*     */     
/*  98 */     Label label_1 = new Label((Composite)group, 0);
/*  99 */     label_1.setAlignment(131072);
/* 100 */     GridData gd_label_1 = new GridData(131072, 16777216, false, 
/* 101 */         false);
/* 102 */     gd_label_1.widthHint = 117;
/* 103 */     label_1.setLayoutData(gd_label_1);
/* 104 */     label_1.setText("当前年度：");
/*     */     
/* 106 */     Label label_3 = new Label((Composite)group, 0);
/* 107 */     label_3.setText(this.year);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 112 */     Label label_2 = new Label((Composite)group, 0);
/* 113 */     label_2.setAlignment(131072);
/* 114 */     GridData gd_label_2 = new GridData(131072, 16777216, false, 
/* 115 */         false);
/* 116 */     gd_label_2.widthHint = 160;
/* 117 */     label_2.setLayoutData(gd_label_2);
/* 118 */     label_2.setText("行政区选择（本级）：");
/*     */     
/* 120 */     Link eclipseorgLink = new Link((Composite)group, 0);
/* 121 */     eclipseorgLink.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 123 */             String command = "cmd /c start explorer.exe http://gjsy.gov.cn/xxxz/zlxz/";
/*     */             try {
/* 125 */               Runtime.getRuntime().exec(command);
/* 126 */             } catch (IOException e1) {
/* 127 */               e1.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 131 */     eclipseorgLink
/* 132 */       .setText("<a href=\"http://www.eclipse.org\">点击此处查看使用说明 </a>");
/* 133 */     this.treeViewer = new TreeViewer((Composite)group, 2048);
/* 134 */     this.tree = this.treeViewer.getTree();
/* 135 */     this.tree.setCapture(true);
/* 136 */     this.tree.setLayoutData(new GridData(4, 4, true, true, 2, 1));
/* 137 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerContentProvider(this.list));
/* 138 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLabelProvider());
/* 139 */     this.treeViewer.setInput(this.list);
/* 140 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 150 */     createButton(parent, 0, "确定", true);
/* 151 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 159 */     return new Point(500, 500);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 163 */     super.configureShell(newShell);
/* 164 */     newShell.setText("登记机关列表");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 170 */     if (buttonId == 0) {
/* 171 */       IStructuredSelection select = (IStructuredSelection)this.treeViewer
/* 172 */         .getSelection();
/* 173 */       if (select.isEmpty()) {
/* 174 */         SydjMessageDialog.openInformation(null, "提示", "请选择登记机关");
/*     */         return;
/*     */       } 
/* 177 */       OrgnizationTreeModel org = (OrgnizationTreeModel)select
/* 178 */         .getFirstElement();
/* 179 */       setGroupId(org.getGroupId());
/* 180 */       setGroupName(org.getName());
/* 181 */       setYear(this.year);
/*     */     } 
/*     */     
/* 184 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\homepage\TreeManagerOrgnization.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */