/*     */ package cs.sydj.operation.nbjc;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.login.Users;
/*     */ import server.sydj.operation.nbjc.NbjcOpt;
/*     */ import server.sydj.operation.nbjc.NbjcRecord;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NbjcDataManage
/*     */ {
/*  22 */   private MessageSender sender = null;
/*  23 */   String operation = "NbjcOperation";
/*     */   
/*     */   public ArrayList queryCheckApply(String groupId, int startNo, int maxCount) {
/*  26 */     String methodname = "queryCheckApply";
/*  27 */     String msgType = "xml";
/*  28 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  29 */     String replyxml = null;
/*  30 */     ArrayList result = new ArrayList();
/*  31 */     messageParameter.put("groupId", groupId);
/*  32 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  33 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*     */     try {
/*  35 */       replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  36 */       result = MessageXML.XMLToList(replyxml);
/*  37 */     } catch (Exception e) {
/*  38 */       e.printStackTrace();
/*     */     } 
/*  40 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String createCheckRecord(String officeGroupId, Users gljgUser, String officeType, String rate, String startdate, String enddate) {
/*  54 */     String methodname = "createCheckRecord";
/*  55 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  56 */     String replyxml = null;
/*  57 */     messageParameter.put("officeGroupId", officeGroupId);
/*  58 */     messageParameter.put("gljgUser", MessageXML.getReplyXML(gljgUser));
/*  59 */     messageParameter.put("officeType", officeType);
/*  60 */     messageParameter.put("startdate", startdate);
/*  61 */     messageParameter.put("enddate", enddate);
/*  62 */     messageParameter.put("rate", rate);
/*  63 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/*  64 */         messageParameter);
/*     */     try {
/*  66 */       this.sender = new MessageSender(
/*  67 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  68 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  69 */       replyxml = this.sender.sendMessage(messagexml, 
/*  70 */           "short");
/*  71 */     } catch (JMSException e) {
/*  72 */       e.printStackTrace();
/*  73 */     } catch (Exception e) {
/*  74 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  77 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList queryCheckRecord(String groupId, int startNo, int maxCount, String nbjcId, String group, String type, String firtName, String startDate, String endDate) {
/*  96 */     String methodname = "queryCheckRecord";
/*  97 */     String msgType = "xml";
/*  98 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  99 */     String replyxml = null;
/* 100 */     ArrayList result = new ArrayList();
/* 101 */     messageParameter.put("groupId", groupId);
/* 102 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 103 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 104 */     messageParameter.put("nbjcId", nbjcId);
/* 105 */     messageParameter.put("group", group);
/* 106 */     messageParameter.put("type", type);
/* 107 */     messageParameter.put("firtName", firtName);
/* 108 */     messageParameter.put("startDate", startDate);
/* 109 */     messageParameter.put("endDate", endDate);
/*     */     try {
/* 111 */       replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 112 */       result = MessageXML.XMLToList(replyxml);
/* 113 */     } catch (Exception e) {
/* 114 */       e.printStackTrace();
/*     */     } 
/* 116 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String updateNbjcRecord(NbjcRecord info) {
/* 125 */     String methodname = "updateNbjcRecord";
/* 126 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 127 */     String replyxml = null;
/* 128 */     messageParameter.put("info", MessageXML.getReplyXML(info));
/* 129 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 130 */         messageParameter);
/*     */     try {
/* 132 */       this.sender = new MessageSender(
/* 133 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 134 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 135 */       replyxml = this.sender.sendMessage(messagexml, 
/* 136 */           "short");
/* 137 */     } catch (JMSException e) {
/* 138 */       e.printStackTrace();
/* 139 */     } catch (Exception e) {
/* 140 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 143 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String delNbjcOpt(NbjcOpt info) {
/* 152 */     String methodname = "delNbjcOpt";
/* 153 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 154 */     String replyxml = null;
/* 155 */     messageParameter.put("info", MessageXML.getReplyXML(info));
/* 156 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 157 */         messageParameter);
/*     */     try {
/* 159 */       this.sender = new MessageSender(
/* 160 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 161 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 162 */       replyxml = this.sender.sendMessage(messagexml, 
/* 163 */           "short");
/* 164 */     } catch (JMSException e) {
/* 165 */       e.printStackTrace();
/* 166 */     } catch (Exception e) {
/* 167 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 170 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 175 */     String replyxml = "";
/* 176 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 177 */         messageParameter);
/*     */     try {
/* 179 */       this.sender = new MessageSender(
/* 180 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 181 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 182 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 183 */     } catch (JMSException e) {
/* 184 */       e.printStackTrace();
/* 185 */     } catch (Exception e) {
/* 186 */       e.printStackTrace();
/*     */     } 
/* 188 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\nbjc\NbjcDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */