/*     */ package cs.sydj.operation.nbjc;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.nbjc.NbjcRecord;
/*     */ 
/*     */ 
/*     */ public class NbjcDetailDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_check_date;
/*     */   private Text text_check_group;
/*     */   private Text text_recheck_group;
/*     */   private Text text_check_content;
/*     */   private Text text_check_info;
/*     */   private Text text_check_opinion;
/*     */   private Text text_recheck_opinion;
/*     */   private Text text_note;
/*  38 */   private NbjcDataManage dataManage = new NbjcDataManage();
/*  39 */   private NbjcRecord record = new NbjcRecord();
/*     */   
/*  41 */   private Composite container = null;
/*     */   
/*  43 */   private int returnValue = 1;
/*     */   
/*     */   public int getReturnValue() {
/*  46 */     return this.returnValue;
/*     */   }
/*     */   private Group group;
/*     */   public void setReturnValue(int returnValue) {
/*  50 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NbjcDetailDialog(Shell parentShell, NbjcRecord record) {
/*  61 */     super(parentShell);
/*  62 */     setShellStyle(66560);
/*  63 */     this.record = record;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  73 */     parent.setBackground(Display.getCurrent()
/*  74 */         .getSystemColor(1));
/*  75 */     parent.setBackgroundMode(2);
/*  76 */     this.container = (Composite)super.createDialogArea(parent);
/*  77 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/*  79 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  80 */         this.container, 2816);
/*  81 */     scrolledComposite.getVerticalBar().setIncrement(15);
/*  82 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/*  83 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/*  85 */     this.group = new Group((Composite)scrolledComposite, 0);
/*  86 */     this.group.setBackground(
/*  87 */         Display.getCurrent().getSystemColor(1));
/*  88 */     this.group.setLocation(0, 0);
/*  89 */     GridLayout gridLayout = new GridLayout();
/*  90 */     gridLayout.verticalSpacing = 0;
/*  91 */     gridLayout.horizontalSpacing = 0;
/*  92 */     gridLayout.numColumns = 5;
/*  93 */     this.group.setLayout((Layout)gridLayout);
/*     */     
/*  95 */     Label label_184 = new Label((Composite)this.group, 16777216);
/*  96 */     label_184.setFont(SWTResourceManager.getFont("", 14, 1));
/*  97 */     label_184.setBackground(Display.getCurrent()
/*  98 */         .getSystemColor(1));
/*  99 */     GridData gd_label_184 = new GridData(16777216, 16777216, 
/* 100 */         false, false, 5, 1);
/* 101 */     gd_label_184.heightHint = 45;
/* 102 */     label_184.setLayoutData(gd_label_184);
/* 103 */     label_184.setText("业务办理情况复核检查记录表");
/*     */     
/* 105 */     Label label_183 = new Label((Composite)this.group, 258);
/* 106 */     label_183.setBackground(Display.getCurrent()
/* 107 */         .getSystemColor(1));
/* 108 */     label_183.setLayoutData(new GridData(4, 16777216, false, 
/* 109 */           false, 5, 1));
/*     */     
/* 111 */     Label label_181 = new Label((Composite)this.group, 2);
/* 112 */     label_181.setBackground(Display.getCurrent()
/* 113 */         .getSystemColor(1));
/* 114 */     GridData gd_label_181 = new GridData(4, 4, false, 
/* 115 */         false);
/* 116 */     gd_label_181.heightHint = 30;
/* 117 */     label_181.setLayoutData(gd_label_181);
/*     */     
/* 119 */     Composite composite_3 = new Composite((Composite)this.group, 0);
/* 120 */     composite_3.setBackground(Display.getCurrent()
/* 121 */         .getSystemColor(1));
/* 122 */     composite_3.setLayoutData(new GridData(4, 4, false, 
/* 123 */           false, 3, 1));
/* 124 */     GridLayout gridLayout_4 = new GridLayout();
/* 125 */     composite_3.setLayout((Layout)gridLayout_4);
/*     */     
/* 127 */     Label label_25 = new Label(composite_3, 0);
/* 128 */     label_25.setBackground(Display.getCurrent()
/* 129 */         .getSystemColor(1));
/* 130 */     label_25.setText("（注：带*的项目必须填）");
/*     */     
/* 132 */     Label label_182 = new Label((Composite)this.group, 2);
/* 133 */     label_182.setBackground(Display.getCurrent()
/* 134 */         .getSystemColor(1));
/* 135 */     GridData gd_label_182 = new GridData(4, 4, false, 
/* 136 */         false);
/* 137 */     gd_label_182.heightHint = 30;
/* 138 */     label_182.setLayoutData(gd_label_182);
/*     */ 
/*     */     
/* 141 */     Label label_179 = new Label((Composite)this.group, 258);
/* 142 */     label_179.setBackground(Display.getCurrent()
/* 143 */         .getSystemColor(1));
/* 144 */     label_179.setLayoutData(new GridData(4, 4, false, 
/* 145 */           false, 5, 1));
/*     */     
/* 147 */     Label label_176 = new Label((Composite)this.group, 2);
/* 148 */     label_176.setBackground(Display.getCurrent()
/* 149 */         .getSystemColor(1));
/* 150 */     GridData gd_label_176 = new GridData(4, 16777216, false, 
/* 151 */         false);
/* 152 */     gd_label_176.heightHint = 30;
/* 153 */     label_176.setLayoutData(gd_label_176);
/*     */     
/* 155 */     Label label_175 = new Label((Composite)this.group, 16777216);
/* 156 */     label_175.setBackground(Display.getCurrent().getSystemColor(1));
/* 157 */     GridData gd_label_175 = new GridData(16777216, 16777216, false, false);
/* 158 */     gd_label_175.widthHint = 200;
/* 159 */     label_175.setLayoutData(gd_label_175);
/* 160 */     label_175.setText("复核检查时间（*）");
/*     */     
/* 162 */     Label label_177 = new Label((Composite)this.group, 2);
/* 163 */     label_177.setBackground(Display.getCurrent()
/* 164 */         .getSystemColor(1));
/* 165 */     GridData gd_label_177 = new GridData(4, 4, false, 
/* 166 */         false);
/* 167 */     gd_label_177.heightHint = 30;
/* 168 */     label_177.setLayoutData(gd_label_177);
/* 169 */     this.text_check_date = new Text((Composite)this.group, 2048);
/* 170 */     this.text_check_date.setBackground(Display.getCurrent().getSystemColor(1));
/* 171 */     this.text_check_date.setLayoutData(new GridData(4, 16777216, true, false));
/* 172 */     this.text_check_date.setEditable(false);
/* 173 */     this.text_check_date.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 176 */             CalendarDialog cal = new CalendarDialog(NbjcDetailDialog.this.container.getShell(), NbjcDetailDialog.this.text_check_date, 
/* 177 */                 new Point(
/* 178 */                   (NbjcDetailDialog.this.container.getShell().getLocation()).x + 
/* 179 */                   (NbjcDetailDialog.this.group.getLocation()).x + 8 + 
/* 180 */                   (NbjcDetailDialog.this.text_check_date.getBounds()).x, 
/* 181 */                   (NbjcDetailDialog.this.container.getShell().getLocation()).y + 
/* 182 */                   (NbjcDetailDialog.this.group.getLocation()).y + 5 + 
/* 183 */                   (NbjcDetailDialog.this.text_check_date.getBounds()).y + 
/* 184 */                   (NbjcDetailDialog.this.text_check_date.getBounds()).height));
/* 185 */             cal.open();
/*     */           }
/*     */         });
/*     */     
/* 189 */     Label label_178 = new Label((Composite)this.group, 2);
/* 190 */     label_178.setBackground(Display.getCurrent()
/* 191 */         .getSystemColor(1));
/* 192 */     GridData gd_label_178 = new GridData(4, 16777216, false, 
/* 193 */         false);
/* 194 */     gd_label_178.heightHint = 30;
/* 195 */     label_178.setLayoutData(gd_label_178);
/*     */ 
/*     */     
/* 198 */     Label label_200 = new Label((Composite)this.group, 258);
/* 199 */     label_200.setBackground(Display.getCurrent()
/* 200 */         .getSystemColor(1));
/* 201 */     label_200.setLayoutData(new GridData(4, 16777216, false, 
/* 202 */           false, 5, 1));
/*     */     
/* 204 */     Label label_10 = new Label((Composite)this.group, 2);
/* 205 */     label_10.setBackground(Display.getCurrent()
/* 206 */         .getSystemColor(1));
/* 207 */     label_10.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 209 */     Label label_70 = new Label((Composite)this.group, 0);
/* 210 */     label_70.setBackground(Display.getCurrent()
/* 211 */         .getSystemColor(1));
/* 212 */     label_70.setLayoutData(new GridData(16777216, 16777216, false, 
/* 213 */           false));
/* 214 */     label_70.setText("复核检查处室及人员（*）");
/*     */     
/* 216 */     Label label_120 = new Label((Composite)this.group, 2);
/* 217 */     label_120.setBackground(Display.getCurrent()
/* 218 */         .getSystemColor(1));
/* 219 */     label_120.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 221 */     this.text_check_group = new Text((Composite)this.group, 2624);
/* 222 */     this.text_check_group.setBackground(Display.getCurrent()
/* 223 */         .getSystemColor(1));
/* 224 */     GridData gd_text_200 = new GridData(4, 16777216, true, 
/* 225 */         false);
/* 226 */     gd_text_200.heightHint = 63;
/* 227 */     this.text_check_group.setLayoutData(gd_text_200);
/* 228 */     this.text_check_group.setTextLimit(100);
/*     */     
/* 230 */     Label label_1410 = new Label((Composite)this.group, 2);
/* 231 */     label_1410.setBackground(Display.getCurrent()
/* 232 */         .getSystemColor(1));
/* 233 */     label_1410.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 236 */     Label label_202 = new Label((Composite)this.group, 258);
/* 237 */     label_202.setBackground(Display.getCurrent()
/* 238 */         .getSystemColor(1));
/* 239 */     label_202.setLayoutData(new GridData(4, 16777216, false, 
/* 240 */           false, 5, 1));
/*     */     
/* 242 */     Label label_212 = new Label((Composite)this.group, 2);
/* 243 */     label_212.setBackground(Display.getCurrent()
/* 244 */         .getSystemColor(1));
/* 245 */     label_212.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 247 */     Label label_222 = new Label((Composite)this.group, 0);
/* 248 */     label_222.setBackground(Display.getCurrent()
/* 249 */         .getSystemColor(1));
/* 250 */     label_222.setLayoutData(new GridData(16777216, 16777216, false, 
/* 251 */           false));
/* 252 */     label_222.setText("被复核检查处室（*）");
/*     */     
/* 254 */     Label label_232 = new Label((Composite)this.group, 2);
/* 255 */     label_232.setBackground(Display.getCurrent()
/* 256 */         .getSystemColor(1));
/* 257 */     label_232.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 259 */     this.text_recheck_group = new Text((Composite)this.group, 2624);
/* 260 */     this.text_recheck_group.setBackground(Display.getCurrent()
/* 261 */         .getSystemColor(1));
/* 262 */     GridData gd_text_232 = new GridData(4, 16777216, true, 
/* 263 */         false);
/* 264 */     gd_text_232.heightHint = 63;
/* 265 */     this.text_recheck_group.setLayoutData(gd_text_232);
/* 266 */     this.text_recheck_group.setTextLimit(100);
/*     */     
/* 268 */     Label label_242 = new Label((Composite)this.group, 2);
/* 269 */     label_242.setBackground(Display.getCurrent()
/* 270 */         .getSystemColor(1));
/* 271 */     label_242.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 274 */     Label label_203 = new Label((Composite)this.group, 258);
/* 275 */     label_203.setBackground(Display.getCurrent()
/* 276 */         .getSystemColor(1));
/* 277 */     label_203.setLayoutData(new GridData(4, 16777216, false, 
/* 278 */           false, 5, 1));
/*     */     
/* 280 */     Label label_213 = new Label((Composite)this.group, 2);
/* 281 */     label_213.setBackground(Display.getCurrent()
/* 282 */         .getSystemColor(1));
/* 283 */     label_213.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 285 */     Label label_223 = new Label((Composite)this.group, 0);
/* 286 */     label_223.setBackground(Display.getCurrent()
/* 287 */         .getSystemColor(1));
/* 288 */     label_223.setLayoutData(new GridData(16777216, 16777216, false, 
/* 289 */           false));
/* 290 */     label_223.setText("复核检查内容（*）");
/*     */     
/* 292 */     Label label_233 = new Label((Composite)this.group, 2);
/* 293 */     label_233.setBackground(Display.getCurrent()
/* 294 */         .getSystemColor(1));
/* 295 */     label_233.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 297 */     this.text_check_info = new Text((Composite)this.group, 2624);
/* 298 */     this.text_check_info.setBackground(Display.getCurrent()
/* 299 */         .getSystemColor(1));
/* 300 */     GridData gd_text_233 = new GridData(4, 16777216, true, 
/* 301 */         false);
/* 302 */     gd_text_233.heightHint = 83;
/* 303 */     this.text_check_info.setLayoutData(gd_text_233);
/* 304 */     this.text_check_info.setTextLimit(300);
/*     */     
/* 306 */     Label label_243 = new Label((Composite)this.group, 2);
/* 307 */     label_243.setBackground(Display.getCurrent()
/* 308 */         .getSystemColor(1));
/* 309 */     label_243.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 312 */     Label label_204 = new Label((Composite)this.group, 258);
/* 313 */     label_204.setBackground(Display.getCurrent()
/* 314 */         .getSystemColor(1));
/* 315 */     label_204.setLayoutData(new GridData(4, 16777216, false, 
/* 316 */           false, 5, 1));
/*     */     
/* 318 */     Label label_214 = new Label((Composite)this.group, 2);
/* 319 */     label_214.setBackground(Display.getCurrent()
/* 320 */         .getSystemColor(1));
/* 321 */     label_214.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 323 */     Label label_224 = new Label((Composite)this.group, 0);
/* 324 */     label_224.setBackground(Display.getCurrent()
/* 325 */         .getSystemColor(1));
/* 326 */     label_224.setLayoutData(new GridData(16777216, 16777216, false, 
/* 327 */           false));
/* 328 */     label_224.setText("被复核检查处室提供材料（*）");
/*     */     
/* 330 */     Label label_234 = new Label((Composite)this.group, 2);
/* 331 */     label_234.setBackground(Display.getCurrent()
/* 332 */         .getSystemColor(1));
/* 333 */     label_234.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 335 */     this.text_check_content = new Text((Composite)this.group, 2624);
/* 336 */     this.text_check_content.setBackground(Display.getCurrent()
/* 337 */         .getSystemColor(1));
/* 338 */     GridData gd_text_234 = new GridData(4, 16777216, true, 
/* 339 */         false);
/* 340 */     gd_text_234.heightHint = 103;
/* 341 */     this.text_check_content.setLayoutData(gd_text_234);
/* 342 */     this.text_check_content.setTextLimit(500);
/*     */     
/* 344 */     Label label_244 = new Label((Composite)this.group, 2);
/* 345 */     label_244.setBackground(Display.getCurrent()
/* 346 */         .getSystemColor(1));
/* 347 */     label_244.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 350 */     Label label_205 = new Label((Composite)this.group, 258);
/* 351 */     label_205.setBackground(Display.getCurrent()
/* 352 */         .getSystemColor(1));
/* 353 */     label_205.setLayoutData(new GridData(4, 16777216, false, 
/* 354 */           false, 5, 1));
/*     */     
/* 356 */     Label label_215 = new Label((Composite)this.group, 2);
/* 357 */     label_215.setBackground(Display.getCurrent()
/* 358 */         .getSystemColor(1));
/* 359 */     label_215.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 361 */     Label label_225 = new Label((Composite)this.group, 0);
/* 362 */     label_225.setBackground(Display.getCurrent()
/* 363 */         .getSystemColor(1));
/* 364 */     label_225.setLayoutData(new GridData(16777216, 16777216, false, 
/* 365 */           false));
/* 366 */     label_225.setText("复核检查意见（*）");
/*     */     
/* 368 */     Label label_235 = new Label((Composite)this.group, 2);
/* 369 */     label_235.setBackground(Display.getCurrent()
/* 370 */         .getSystemColor(1));
/* 371 */     label_235.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 373 */     this.text_check_opinion = new Text((Composite)this.group, 2624);
/* 374 */     this.text_check_opinion.setBackground(Display.getCurrent()
/* 375 */         .getSystemColor(1));
/* 376 */     GridData gd_text_235 = new GridData(4, 16777216, true, 
/* 377 */         false);
/* 378 */     gd_text_235.heightHint = 63;
/* 379 */     this.text_check_opinion.setLayoutData(gd_text_235);
/* 380 */     this.text_check_opinion.setTextLimit(100);
/*     */     
/* 382 */     Label label_245 = new Label((Composite)this.group, 2);
/* 383 */     label_242.setBackground(Display.getCurrent()
/* 384 */         .getSystemColor(1));
/* 385 */     label_245.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 388 */     Label label_206 = new Label((Composite)this.group, 258);
/* 389 */     label_206.setBackground(Display.getCurrent()
/* 390 */         .getSystemColor(1));
/* 391 */     label_206.setLayoutData(new GridData(4, 16777216, false, 
/* 392 */           false, 5, 1));
/*     */     
/* 394 */     Label label_216 = new Label((Composite)this.group, 2);
/* 395 */     label_216.setBackground(Display.getCurrent()
/* 396 */         .getSystemColor(1));
/* 397 */     label_216.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 399 */     Label label_226 = new Label((Composite)this.group, 0);
/* 400 */     label_226.setBackground(Display.getCurrent()
/* 401 */         .getSystemColor(1));
/* 402 */     label_226.setLayoutData(new GridData(16777216, 16777216, false, 
/* 403 */           false));
/* 404 */     label_226.setText("被复核检查处室意见（*）");
/*     */     
/* 406 */     Label label_236 = new Label((Composite)this.group, 2);
/* 407 */     label_236.setBackground(Display.getCurrent()
/* 408 */         .getSystemColor(1));
/* 409 */     label_236.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 411 */     this.text_recheck_opinion = new Text((Composite)this.group, 2624);
/* 412 */     this.text_recheck_opinion.setBackground(Display.getCurrent()
/* 413 */         .getSystemColor(1));
/* 414 */     GridData gd_text_236 = new GridData(4, 16777216, true, 
/* 415 */         false);
/* 416 */     gd_text_236.heightHint = 63;
/* 417 */     this.text_recheck_opinion.setLayoutData(gd_text_236);
/* 418 */     this.text_recheck_opinion.setTextLimit(100);
/*     */     
/* 420 */     Label label_246 = new Label((Composite)this.group, 2);
/* 421 */     label_246.setBackground(Display.getCurrent()
/* 422 */         .getSystemColor(1));
/* 423 */     label_246.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 426 */     Label label_201 = new Label((Composite)this.group, 258);
/* 427 */     label_201.setBackground(Display.getCurrent()
/* 428 */         .getSystemColor(1));
/* 429 */     label_201.setLayoutData(new GridData(4, 16777216, false, 
/* 430 */           false, 5, 1));
/*     */     
/* 432 */     Label label_11 = new Label((Composite)this.group, 2);
/* 433 */     label_11.setBackground(Display.getCurrent()
/* 434 */         .getSystemColor(1));
/* 435 */     label_11.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 437 */     Label label_7 = new Label((Composite)this.group, 0);
/* 438 */     label_7.setBackground(Display.getCurrent()
/* 439 */         .getSystemColor(1));
/* 440 */     label_7.setLayoutData(new GridData(16777216, 16777216, false, 
/* 441 */           false));
/* 442 */     label_7.setText("备注");
/*     */     
/* 444 */     Label label_12 = new Label((Composite)this.group, 2);
/* 445 */     label_12.setBackground(Display.getCurrent()
/* 446 */         .getSystemColor(1));
/* 447 */     label_12.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 449 */     this.text_note = new Text((Composite)this.group, 2624);
/* 450 */     this.text_note.setBackground(Display.getCurrent()
/* 451 */         .getSystemColor(1));
/* 452 */     GridData gd_text_note = new GridData(4, 16777216, true, 
/* 453 */         false);
/* 454 */     gd_text_note.heightHint = 103;
/* 455 */     this.text_note.setLayoutData(gd_text_note);
/* 456 */     this.text_note.setTextLimit(300);
/*     */     
/* 458 */     Label label_141 = new Label((Composite)this.group, 2);
/* 459 */     label_141.setBackground(Display.getCurrent()
/* 460 */         .getSystemColor(1));
/* 461 */     label_141.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 464 */     Label label_4 = new Label((Composite)this.group, 258);
/* 465 */     label_4.setBackground(Display.getCurrent()
/* 466 */         .getSystemColor(1));
/* 467 */     label_4.setLayoutData(new GridData(4, 4, false, 
/* 468 */           false, 5, 1));
/*     */     
/* 470 */     Label label_56111 = new Label((Composite)this.group, 0);
/* 471 */     label_56111.setBackground(Display.getCurrent()
/* 472 */         .getSystemColor(1));
/* 473 */     label_56111.setText("          ");
/* 474 */     GridData gd_label_56_1 = new GridData(16777216, 128, false, 
/* 475 */         false, 5, 1);
/* 476 */     gd_label_56_1.heightHint = 34;
/* 477 */     label_56111.setLayoutData(gd_label_56_1);
/*     */     
/* 479 */     Label label_57111 = new Label((Composite)this.group, 0);
/* 480 */     label_57111.setBackground(Display.getCurrent()
/* 481 */         .getSystemColor(1));
/* 482 */     label_57111.setLayoutData(new GridData(16777216, 16777216, false, 
/* 483 */           false, 5, 1));
/* 484 */     label_57111.setText("国家事业单位登记管理局 版权所有");
/*     */     
/* 486 */     setTextData();
/* 487 */     this.group.setSize(1500, 800);
/* 488 */     scrolledComposite.setContent((Control)this.group);
/*     */     
/* 490 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 500 */     createButton(parent, 0, "确 定", false);
/* 501 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 509 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void setTextData() {
/*     */     try {
/* 514 */       if (!PublicUtil.isNull(this.record.getCheckDate())) {
/* 515 */         this.text_check_date.setText(this.record.getCheckDate());
/*     */       }
/* 517 */       if (!PublicUtil.isNull(this.record.getCheckPerson())) {
/* 518 */         this.text_check_group.setText(this.record.getCheckPerson());
/*     */       }
/* 520 */       if (!PublicUtil.isNull(this.record.getRecheckedPerson())) {
/* 521 */         this.text_recheck_group.setText(this.record.getRecheckedPerson());
/*     */       }
/* 523 */       if (!PublicUtil.isNull(this.record.getCheckContent())) {
/* 524 */         this.text_check_content.setText(this.record.getCheckContent());
/*     */       }
/* 526 */       if (!PublicUtil.isNull(this.record.getCheckInfo())) {
/* 527 */         this.text_check_info.setText(this.record.getCheckInfo());
/*     */       }
/* 529 */       if (!PublicUtil.isNull(this.record.getCheckOpinion())) {
/* 530 */         this.text_check_opinion.setText(this.record.getCheckOpinion());
/*     */       }
/* 532 */       if (!PublicUtil.isNull(this.record.getRecheckedOpinion())) {
/* 533 */         this.text_recheck_opinion.setText(this.record.getRecheckedOpinion());
/*     */       }
/* 535 */       if (!PublicUtil.isNull(this.record.getNote()))
/* 536 */         this.text_note.setText(this.record.getNote()); 
/* 537 */     } catch (Exception e) {
/* 538 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 544 */     super.initializeBounds();
/* 545 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 549 */     super.configureShell(newShell);
/* 550 */     newShell.setText("检查记录表");
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 555 */     super.open();
/* 556 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void saveData() {
/* 565 */     this.record.setCheckPerson(this.text_check_group.getText());
/* 566 */     this.record.setRecheckedPerson(this.text_recheck_group.getText());
/* 567 */     this.record.setCheckContent(this.text_check_content.getText());
/* 568 */     this.record.setCheckInfo(this.text_check_info.getText());
/* 569 */     this.record.setCheckOpinion(this.text_check_opinion.getText());
/* 570 */     this.record.setRecheckedOpinion(this.text_recheck_opinion.getText());
/* 571 */     this.record.setNote(this.text_note.getText());
/* 572 */     String flag = this.dataManage.updateNbjcRecord(this.record);
/* 573 */     if (flag.equals("true")) {
/* 574 */       SydjMessageDialog.openInformation(null, "提示", "复核检查记录表更新成功!");
/*     */     } else {
/* 576 */       SydjMessageDialog.openInformation(null, "提示", "复核检查记录表更新失败!");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkData() {
/* 584 */     boolean flag = true;
/* 585 */     if (this.text_check_group.getText().trim().equals("")) {
/* 586 */       SydjMessageDialog.openInformation(null, "提示", "请输入复核检查处室及人员!");
/* 587 */       this.text_check_group.setFocus();
/* 588 */       flag = false;
/* 589 */       return flag;
/*     */     } 
/* 591 */     if (this.text_recheck_group.getText().trim().equals("")) {
/* 592 */       SydjMessageDialog.openInformation(null, "提示", "请输入被复核检查处室!");
/* 593 */       this.text_recheck_group.setFocus();
/* 594 */       flag = false;
/* 595 */       return flag;
/*     */     } 
/* 597 */     if (this.text_check_content.getText().trim().equals("")) {
/* 598 */       SydjMessageDialog.openInformation(null, "提示", "请输入被复核检查处室提供材料!");
/* 599 */       this.text_check_content.setFocus();
/* 600 */       flag = false;
/* 601 */       return flag;
/*     */     } 
/* 603 */     if (this.text_check_info.getText().trim().equals("")) {
/* 604 */       SydjMessageDialog.openInformation(null, "提示", "请输入复核检查内容!");
/* 605 */       this.text_check_info.setFocus();
/* 606 */       flag = false;
/* 607 */       return flag;
/*     */     } 
/* 609 */     if (this.text_check_opinion.getText().trim().equals("")) {
/* 610 */       SydjMessageDialog.openInformation(null, "提示", "请输入复核检查意见!");
/* 611 */       this.text_check_opinion.setFocus();
/* 612 */       flag = false;
/* 613 */       return flag;
/*     */     } 
/* 615 */     if (this.text_recheck_opinion.getText().trim().equals("")) {
/* 616 */       SydjMessageDialog.openInformation(null, "提示", "请输入被复核检查处室意见!");
/* 617 */       this.text_recheck_opinion.setFocus();
/* 618 */       flag = false;
/* 619 */       return flag;
/*     */     } 
/* 621 */     if (this.text_note.getText().trim().equals("")) {
/* 622 */       SydjMessageDialog.openInformation(null, "提示", "请输入备注!");
/* 623 */       this.text_note.setFocus();
/* 624 */       flag = false;
/* 625 */       return flag;
/*     */     } 
/* 627 */     return flag;
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 631 */     if (buttonId == 1) {
/* 632 */       this.returnValue = 1;
/* 633 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */     
/* 636 */     boolean flag = true;
/* 637 */     if (buttonId == 0) {
/* 638 */       flag = checkData();
/* 639 */       if (flag) {
/* 640 */         saveData();
/* 641 */         this.returnValue = 0;
/* 642 */         super.buttonPressed(buttonId);
/*     */       } else {
/* 644 */         this.returnValue = 1;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\nbjc\NbjcDetailDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */