/*     */ package cs.sydj.operation.noticeunit.duanxin;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.ProcessWaitDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.inter.Progress;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.noticeunit.biangeng.BianGengNoticeUnitOperation;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.DuanxinTableViewerLabelProvider;
/*     */ import server.sydj.operation.commons.NoticeContentShow;
/*     */ import server.sydj.operation.commons.NoticeModel;
/*     */ 
/*     */ public class DuanxinNoticeView extends ViewPart implements Progress {
/*     */   public static final String ID = "cs.sydj.operation.noticeunit.duanxin.DuanxinNoticeView";
/*     */   private Text text;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_2;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private TableViewer tableViewer;
/*     */   private Table table_1;
/*     */   private Button button_send;
/*     */   private Button button_province;
/*     */   private Text contentText;
/*     */   private Text phoneText;
/*     */   private Text nameText;
/*     */   private Label contentLabel;
/*     */   private Label phoneLabel;
/*     */   private Label name;
/*     */   private Composite group;
/*     */   private Composite composite_action;
/*     */   private ArrayList list;
/*     */   private Button button_1;
/*     */   private Button button_ins;
/*     */   private Button button_alter;
/*     */   private Button button_logout;
/*     */   private Button button_cert;
/*     */   private Button button_reins;
/*     */   private Button button_7;
/*     */   private Button button_8;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private Button button_11;
/*     */   private TableColumn newColumnTableColumn_4;
/*  88 */   private TableCursor cursor = null;
/*     */   private Composite composite_3;
/*  90 */   private BianGengNoticeUnitOperation oper = new BianGengNoticeUnitOperation();
/*  91 */   int totalRows = 0;
/*  92 */   int startNo = 1;
/*  93 */   int currentPage = 1;
/*  94 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  97 */   int maxCount = 15;
/*  98 */   protected int selectColums = 32;
/*     */   private Composite container;
/*     */   private Composite composite_1;
/*     */   private Button goButton;
/* 102 */   private OtherHandle oh = new OtherHandle();
/* 103 */   String strTemp = "服务指南";
/*     */   private ProcessWaitDialog pwd;
/* 105 */   private Shell shell = null;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 109 */     String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/* 110 */     int columns = 6;
/* 111 */     this.shell = parent.getShell();
/* 112 */     this.container = new Composite(parent, 0);
/* 113 */     this.container.setLayout((Layout)new FillLayout());
/* 114 */     this.container.setBackground(Display.getCurrent()
/* 115 */         .getSystemColor(1));
/* 116 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 117 */         this.container, 2816);
/* 118 */     scrolledComposite.setBackground(Display.getCurrent()
/* 119 */         .getSystemColor(1));
/* 120 */     scrolledComposite.setExpandHorizontal(true);
/* 121 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/* 122 */     this.composite_1.setLocation(0, 0);
/* 123 */     this.composite_1.setBackground(Display.getCurrent()
/* 124 */         .getSystemColor(1));
/* 125 */     GridLayout gridLayout_2 = new GridLayout();
/* 126 */     gridLayout_2.marginRight = 35;
/* 127 */     gridLayout_2.marginLeft = 35;
/* 128 */     gridLayout_2.marginTop = 25;
/* 129 */     this.composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 131 */     this.group = new Composite(this.composite_1, 0);
/* 132 */     this.group.setBackground(
/* 133 */         Display.getCurrent().getSystemColor(1));
/* 134 */     GridLayout gridLayout = new GridLayout();
/* 135 */     gridLayout.marginWidth = 0;
/* 136 */     gridLayout.horizontalSpacing = 0;
/* 137 */     gridLayout.marginHeight = 0;
/* 138 */     gridLayout.numColumns = columns;
/* 139 */     this.group.setLayout((Layout)gridLayout);
/* 140 */     this.group.setLayoutData(new GridData(16384, 16777216, true, false));
/*     */     
/* 142 */     Label label_2 = new Label(this.group, 0);
/* 143 */     label_2.setBackground(Display.getCurrent()
/* 144 */         .getSystemColor(1));
/* 145 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 146 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 147 */           6, 1));
/* 148 */     label_2.setText("通知事业单位>>短信通知");
/*     */     
/* 150 */     Label label_3 = new Label(this.group, 258);
/* 151 */     label_3.setLayoutData(new GridData(4, 16777216, false, false, 6, 1));
/*     */     
/* 153 */     this.name = new Label(this.group, 0);
/* 154 */     this.name
/* 155 */       .setBackground(Display.getCurrent().getSystemColor(
/* 156 */           1));
/* 157 */     this.name.setAlignment(131072);
/* 158 */     GridData gd_name = new GridData(131072, 16777216, false, 
/* 159 */         false);
/* 160 */     gd_name.widthHint = 125;
/* 161 */     this.name.setLayoutData(gd_name);
/* 162 */     this.name.setText("请输入用户名称：");
/*     */     
/* 164 */     this.nameText = new Text(this.group, 2048);
/* 165 */     this.nameText.setBackground(Display.getCurrent()
/* 166 */         .getSystemColor(1));
/* 167 */     GridData gd_nmText = new GridData(16384, 16777216, true, 
/* 168 */         false, 5, 1);
/* 169 */     gd_nmText.widthHint = 266;
/* 170 */     this.nameText.setLayoutData(gd_nmText);
/* 171 */     this.nameText.setTextLimit(50);
/*     */     
/* 173 */     this.phoneLabel = new Label(this.group, 0);
/* 174 */     this.phoneLabel.setBackground(Display.getCurrent()
/* 175 */         .getSystemColor(1));
/* 176 */     this.phoneLabel.setLayoutData(new GridData(131072, 16777216, false, 
/* 177 */           false));
/* 178 */     this.phoneLabel.setAlignment(131072);
/* 179 */     this.phoneLabel.setText("手机号码：");
/*     */     
/* 181 */     this.phoneText = new Text(this.group, 2048);
/* 182 */     this.phoneText.setBackground(Display.getCurrent()
/* 183 */         .getSystemColor(1));
/* 184 */     GridData gd_phoneText = new GridData(16384, 16777216, true, false, 
/* 185 */         5, 1);
/* 186 */     gd_phoneText.widthHint = 125;
/* 187 */     this.phoneText.setLayoutData(gd_phoneText);
/* 188 */     this.phoneText.setTextLimit(11);
/*     */     
/* 190 */     this.contentLabel = new Label(this.group, 0);
/* 191 */     this.contentLabel.setBackground(Display.getCurrent()
/* 192 */         .getSystemColor(1));
/* 193 */     this.contentLabel
/* 194 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 195 */     this.contentLabel.setText("短信内容：");
/*     */     
/* 197 */     this.contentText = new Text(this.group, 2114);
/* 198 */     this.contentText.setBackground(Display.getCurrent()
/* 199 */         .getSystemColor(1));
/* 200 */     GridData content_nmText = new GridData(16384, 16777216, 
/* 201 */         true, false, 5, 1);
/* 202 */     content_nmText.widthHint = 800;
/* 203 */     content_nmText.heightHint = 65;
/* 204 */     this.contentText.setLayoutData(content_nmText);
/* 205 */     this.contentText.setTextLimit(500);
/*     */     
/* 207 */     Label templateLabel = new Label(this.group, 0);
/* 208 */     templateLabel.setBackground(Display.getCurrent()
/* 209 */         .getSystemColor(1));
/* 210 */     templateLabel
/* 211 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 212 */     templateLabel.setText("短信模板：");
/*     */     
/* 214 */     this.button_ins = new Button(this.group, 0);
/* 215 */     this.button_ins.setBackground(Display.getCurrent().getSystemColor(1));
/* 216 */     this.button_ins
/* 217 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 218 */     this.button_ins.setText("设  立");
/*     */     
/* 220 */     this.button_alter = new Button(this.group, 0);
/* 221 */     this.button_alter.setBackground(Display.getCurrent().getSystemColor(1));
/* 222 */     this.button_alter
/* 223 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 224 */     this.button_alter.setText("变  更");
/*     */     
/* 226 */     this.button_logout = new Button(this.group, 0);
/* 227 */     this.button_logout.setBackground(Display.getCurrent().getSystemColor(1));
/* 228 */     this.button_logout.setLayoutData(new GridData(131072, 16777216, false, false));
/* 229 */     this.button_logout.setText("注  销");
/*     */     
/* 231 */     this.button_cert = new Button(this.group, 0);
/* 232 */     this.button_cert.setBackground(Display.getCurrent()
/* 233 */         .getSystemColor(1));
/* 234 */     this.button_cert
/* 235 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 236 */     this.button_cert.setText("补  领");
/*     */     
/* 238 */     this.button_reins = new Button(this.group, 0);
/* 239 */     this.button_reins.setBackground(Display.getCurrent()
/* 240 */         .getSystemColor(1));
/* 241 */     this.button_reins.setText("重新申领");
/*     */ 
/*     */     
/* 244 */     this.composite_action = new Composite(this.composite_1, 16777216);
/* 245 */     this.composite_action.setBackground(
/* 246 */         Display.getCurrent().getSystemColor(1));
/* 247 */     GridLayout gridLayoutButton = new GridLayout();
/* 248 */     gridLayoutButton.marginWidth = 0;
/* 249 */     gridLayoutButton.horizontalSpacing = 0;
/* 250 */     gridLayoutButton.marginHeight = 0;
/* 251 */     gridLayoutButton.numColumns = 8;
/* 252 */     this.composite_action.setLayout((Layout)gridLayoutButton);
/* 253 */     this.composite_action.setLayoutData(new GridData(16384, 16777216, true, false));
/*     */     
/* 255 */     Label spaceLabel = new Label(this.composite_action, 0);
/* 256 */     spaceLabel
/* 257 */       .setBackground(Display.getCurrent().getSystemColor(
/* 258 */           1));
/* 259 */     GridData gd_space_label = new GridData(131072, 16777216, false, false);
/* 260 */     gd_space_label.widthHint = 82;
/* 261 */     spaceLabel.setLayoutData(gd_space_label);
/*     */     
/* 263 */     this.button_send = new Button(this.composite_action, 0);
/* 264 */     this.button_send.setBackground(Display.getCurrent().getSystemColor(1));
/* 265 */     this.button_send.setLayoutData(new GridData(131072, 16777216, true, false));
/* 266 */     this.button_send.setText("发  送");
/*     */     
/* 268 */     this.button_1 = new Button(this.composite_action, 0);
/* 269 */     this.button_1.setBackground(Display.getCurrent()
/* 270 */         .getSystemColor(1));
/* 271 */     this.button_1.setLayoutData(new GridData(131072, 16777216, false, false));
/* 272 */     this.button_1.setText("重  置");
/*     */     
/* 274 */     this.button_7 = new Button(this.composite_action, 0);
/* 275 */     this.button_7.setBackground(Display.getCurrent()
/* 276 */         .getSystemColor(1));
/* 277 */     this.button_7.setText("群发本级事业单位");
/*     */     
/* 279 */     this.button_8 = new Button(this.composite_action, 0);
/* 280 */     this.button_8.setBackground(Display.getCurrent()
/* 281 */         .getSystemColor(1));
/* 282 */     this.button_8.setText("群发本级法定代表人");
/*     */     
/* 284 */     this.button_9 = new Button(this.composite_action, 0);
/* 285 */     this.button_9.setBackground(Display.getCurrent()
/* 286 */         .getSystemColor(1));
/* 287 */     this.button_9.setText("群发年报从未提交");
/*     */     
/* 289 */     if (!this.oh.checkYjgs()) {
/* 290 */       this.button_10 = new Button(this.composite_action, 0);
/* 291 */       this.button_10.setBackground(Display.getCurrent()
/* 292 */           .getSystemColor(1));
/* 293 */       this.button_10.setText("群发年报待受理");
/*     */     } else {
/*     */     
/*     */     } 
/*     */     
/* 298 */     if ("100000".equals(districtCode)) {
/* 299 */       this.button_province = new Button(this.composite_action, 0);
/* 300 */       this.button_province.setBackground(Display.getCurrent()
/* 301 */           .getSystemColor(1));
/* 302 */       this.button_province.setLayoutData(new GridData(16384, 16777216, 
/* 303 */             true, false));
/* 304 */       this.button_province.setText("群发省级局长短信");
/*     */     } else {
/*     */     
/*     */     } 
/*     */     
/* 309 */     this.composite_3 = new Composite(this.composite_1, 0);
/* 310 */     this.composite_3
/* 311 */       .setLayoutData(new GridData(4, 4, true, false));
/* 312 */     GridLayout gridLayout_5 = new GridLayout();
/* 313 */     gridLayout_5.marginHeight = 0;
/* 314 */     gridLayout_5.horizontalSpacing = 0;
/* 315 */     gridLayout_5.verticalSpacing = 0;
/* 316 */     gridLayout_5.marginWidth = 0;
/* 317 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*     */     
/* 319 */     this.tableViewer = new TableViewer(this.composite_3, 68352);
/*     */     
/* 321 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DuanxinTableViewerLabelProvider());
/* 322 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 323 */     this.table_1 = this.tableViewer.getTable();
/* 324 */     this.table_1.setLinesVisible(true);
/* 325 */     this.table_1.setHeaderVisible(true);
/* 326 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 327 */         false);
/* 328 */     gd_table_1.heightHint = 335;
/* 329 */     this.table_1.setLayoutData(gd_table_1);
/* 330 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 331 */         0);
/* 332 */     newColumnTableColumn.setAlignment(16777216);
/* 333 */     newColumnTableColumn.setWidth(100);
/* 334 */     newColumnTableColumn.setText("");
/* 335 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 336 */         16384);
/* 337 */     newColumnTableColumn_6.setAlignment(16384);
/* 338 */     newColumnTableColumn_6.setWidth(100);
/* 339 */     newColumnTableColumn_6.setText("用户名称");
/* 340 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 341 */         0);
/* 342 */     newColumnTableColumn_2.setWidth(100);
/* 343 */     newColumnTableColumn_2.setText("手机号码");
/*     */     
/* 345 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 346 */         16777216);
/* 347 */     newColumnTableColumn_3.setAlignment(16777216);
/* 348 */     newColumnTableColumn_3.setWidth(100);
/* 349 */     newColumnTableColumn_3.setText("短信内容");
/*     */     
/* 351 */     this.newColumnTableColumn_4 = new TableColumn(this.table_1, 16777216);
/* 352 */     this.newColumnTableColumn_4.setAlignment(16777216);
/* 353 */     this.newColumnTableColumn_4.setWidth(100);
/* 354 */     this.newColumnTableColumn_4.setText("发送人");
/*     */     
/* 356 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 357 */         16777216);
/* 358 */     newColumnTableColumn_1.setAlignment(16777216);
/* 359 */     newColumnTableColumn_1.setResizable(false);
/* 360 */     newColumnTableColumn_1.setText("发送时间");
/*     */     
/* 362 */     this.cursor = new TableCursor(this.table_1, 0);
/* 363 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 364 */         .getSystemColor(26));
/* 365 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 366 */         .getSystemColor(27));
/* 367 */     this.table_1.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 369 */             DuanxinNoticeView.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 373 */     Label label_4 = new Label(this.composite_1, 258);
/*     */     
/* 375 */     label_4.setLayoutData(new GridData(4, 16777216, false, false));
/* 376 */     this.compage = new Composite(this.composite_1, 0);
/* 377 */     this.compage.setBackground(Display.getCurrent()
/* 378 */         .getSystemColor(1));
/* 379 */     this.compage
/* 380 */       .setLayoutData(new GridData(4, 128, true, false, 5, 
/* 381 */           1));
/* 382 */     GridLayout gridLayout_3 = new GridLayout();
/* 383 */     gridLayout_3.verticalSpacing = 0;
/* 384 */     gridLayout_3.numColumns = 7;
/* 385 */     this.compage.setLayout((Layout)gridLayout_3);
/*     */     
/* 387 */     this.page = new Label(this.compage, 0);
/* 388 */     this.page
/* 389 */       .setBackground(Display.getCurrent().getSystemColor(
/* 390 */           1));
/* 391 */     this.page.setText("页次：");
/*     */     
/* 393 */     this.nowPage = new Label(this.compage, 0);
/* 394 */     this.nowPage.setBackground(Display.getCurrent()
/* 395 */         .getSystemColor(1));
/* 396 */     this.nowPage.setText("Label");
/*     */     
/* 398 */     this.everyPageRows = new Label(this.compage, 0);
/* 399 */     this.everyPageRows.setBackground(Display.getCurrent()
/* 400 */         .getSystemColor(1));
/* 401 */     this.everyPageRows.setText("Label");
/*     */     
/* 403 */     this.allRows = new Label(this.compage, 0);
/* 404 */     this.allRows.setBackground(Display.getCurrent()
/* 405 */         .getSystemColor(1));
/* 406 */     this.allRows.setText("Label");
/*     */     
/* 408 */     this.composite_2 = new Composite(this.compage, 0);
/* 409 */     this.composite_2.setBackground(Display.getCurrent()
/* 410 */         .getSystemColor(1));
/* 411 */     this.composite_2
/* 412 */       .setLayoutData(new GridData(131072, 4, true, false));
/* 413 */     GridLayout gridLayout_4 = new GridLayout();
/* 414 */     gridLayout_4.numColumns = 4;
/* 415 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*     */     
/* 417 */     this.priorPage = new Button(this.composite_2, 0);
/* 418 */     this.priorPage.setEnabled(false);
/* 419 */     this.priorPage.setText("上一页");
/*     */     
/* 421 */     this.nextPage = new Button(this.composite_2, 0);
/* 422 */     this.nextPage.setEnabled(false);
/* 423 */     this.nextPage.setText("下一页");
/*     */     
/* 425 */     Label label = new Label(this.composite_2, 0);
/* 426 */     label.setBackground(
/* 427 */         Display.getCurrent().getSystemColor(1));
/* 428 */     label.setText("转至第");
/*     */     
/* 430 */     this.text = new Text(this.composite_2, 2048);
/* 431 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 432 */     gd_text.widthHint = 46;
/* 433 */     this.text.setLayoutData(gd_text);
/*     */     
/* 435 */     Label label_1 = new Label(this.compage, 0);
/* 436 */     label_1.setBackground(Display.getCurrent()
/* 437 */         .getSystemColor(1));
/* 438 */     label_1.setText("页");
/*     */     
/* 440 */     this.goButton = new Button(this.compage, 0);
/* 441 */     this.goButton.setBackground(Display.getCurrent()
/* 442 */         .getSystemColor(1));
/* 443 */     this.goButton.setText("GO");
/* 444 */     this.composite_1.setSize(708, 709);
/* 445 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/* 446 */     scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 448 */     PublicUtil.setMouseHands(this.table_1, "3");
/* 449 */     getData2(this.startNo, "", "", "", "");
/* 450 */     setActions();
/* 451 */     setPages(this.currentPage);
/* 452 */     createActions();
/* 453 */     initializeToolBar();
/* 454 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 468 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 469 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 476 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 477 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData2(int startNo, String userName, String phone, String content, String sendType) {
/* 490 */     this.list = this.oper
/*     */       
/* 492 */       .getDuanxinInfo(GljgUserInfo.getInstance().getRealname(), userName, phone, content, startNo, this.maxCount, GljgUserInfo.getInstance().getGroupid(), sendType);
/* 493 */     Object data = this.list;
/* 494 */     this.tableViewer.setInput(data);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo, String userName, String phone, String content, String sendType) {
/* 502 */     this.pwd = new ProcessWaitDialog(this.shell);
/* 503 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/* 504 */     hm.put("gljgUserRealName", GljgUserInfo.getInstance().getRealname());
/* 505 */     hm.put("userName", userName);
/* 506 */     hm.put("phone", phone);
/* 507 */     hm.put("content", content);
/* 508 */     hm.put("startNo", Integer.valueOf(startNo));
/* 509 */     hm.put("maxCount", Integer.valueOf(this.maxCount));
/* 510 */     hm.put("groupId", GljgUserInfo.getInstance().getGroupid());
/* 511 */     hm.put("sendType", sendType);
/* 512 */     hm.put("resultType", "ArrayList");
/* 513 */     this.pwd.setUIProgress(this);
/* 514 */     this.pwd.setNoUIProgress("cs.sydj.operation.noticeunit.biangeng.BianGengNoticeUnitOperation", "getDuanxinInfo", hm);
/* 515 */     createWaitDialog();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 522 */     this.button_send.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 524 */             if (DuanxinNoticeView.this.checkSearchConditon()) {
/* 525 */               DuanxinNoticeView.this.totalRows = 0;
/* 526 */               DuanxinNoticeView.this.currentPage = 1;
/* 527 */               DuanxinNoticeView.this.startNo = 1;
/* 528 */               DuanxinNoticeView.this
/*     */                 
/* 530 */                 .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "1");
/* 531 */               DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */               
/* 533 */               DuanxinNoticeView.this.contentText.setText("");
/* 534 */               DuanxinNoticeView.this.phoneText.setText("");
/* 535 */               DuanxinNoticeView.this.nameText.setText("");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 541 */     this.button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 543 */             if (DuanxinNoticeView.this.checkAllSendConditon()) {
/* 544 */               DuanxinNoticeView.this.totalRows = 0;
/* 545 */               DuanxinNoticeView.this.currentPage = 1;
/* 546 */               DuanxinNoticeView.this.startNo = 1;
/* 547 */               DuanxinNoticeView.this
/*     */                 
/* 549 */                 .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "2");
/* 550 */               DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */               
/* 552 */               DuanxinNoticeView.this.contentText.setText("");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 558 */     this.button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 560 */             if (DuanxinNoticeView.this.checkAllSendConditon()) {
/* 561 */               DuanxinNoticeView.this.totalRows = 0;
/* 562 */               DuanxinNoticeView.this.currentPage = 1;
/* 563 */               DuanxinNoticeView.this.startNo = 1;
/* 564 */               DuanxinNoticeView.this
/*     */                 
/* 566 */                 .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "3");
/* 567 */               DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */               
/* 569 */               DuanxinNoticeView.this.contentText.setText("");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 575 */     this.button_9.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 577 */             if (DuanxinNoticeView.this.checkAllSendConditon()) {
/* 578 */               DuanxinNoticeView.this.totalRows = 0;
/* 579 */               DuanxinNoticeView.this.currentPage = 1;
/* 580 */               DuanxinNoticeView.this.startNo = 1;
/* 581 */               DuanxinNoticeView.this
/*     */                 
/* 583 */                 .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "5");
/* 584 */               DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */               
/* 586 */               DuanxinNoticeView.this.contentText.setText("");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 592 */     if (!this.oh.checkYjgs()) {
/* 593 */       this.button_10.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 595 */               if (DuanxinNoticeView.this.checkAllSendConditon()) {
/* 596 */                 DuanxinNoticeView.this.totalRows = 0;
/* 597 */                 DuanxinNoticeView.this.currentPage = 1;
/* 598 */                 DuanxinNoticeView.this.startNo = 1;
/* 599 */                 DuanxinNoticeView.this
/*     */                   
/* 601 */                   .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "6");
/* 602 */                 DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */                 
/* 604 */                 DuanxinNoticeView.this.contentText.setText("");
/*     */               } 
/*     */             }
/*     */           });
/*     */     }
/*     */ 
/*     */     
/* 611 */     if (this.button_province != null) {
/* 612 */       this.button_province.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 614 */               if (DuanxinNoticeView.this.checkSearchProvinceConditon()) {
/* 615 */                 DuanxinNoticeView.this.totalRows = 0;
/* 616 */                 DuanxinNoticeView.this.currentPage = 1;
/* 617 */                 DuanxinNoticeView.this.startNo = 1;
/* 618 */                 DuanxinNoticeView.this
/*     */                   
/* 620 */                   .getData(DuanxinNoticeView.this.startNo, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "4");
/* 621 */                 DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage);
/*     */                 
/* 623 */                 DuanxinNoticeView.this.contentText.setText("");
/* 624 */                 DuanxinNoticeView.this.phoneText.setText("");
/* 625 */                 DuanxinNoticeView.this.nameText.setText("");
/*     */               } 
/*     */             }
/*     */           });
/*     */     }
/*     */ 
/*     */     
/* 632 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 636 */             if (!DuanxinNoticeView.this.contentText.getText().trim().equals("") && 
/* 637 */               !DuanxinNoticeView.this.phoneText.getText().trim().equals("")) {
/* 638 */               DuanxinNoticeView.this
/*     */                 
/* 640 */                 .getData((DuanxinNoticeView.this.currentPage - 2) * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "");
/*     */             } else {
/* 642 */               DuanxinNoticeView.this
/* 643 */                 .getData((DuanxinNoticeView.this.currentPage - 2) * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), "", "", "");
/*     */             } 
/* 645 */             DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage - 1);
/*     */           }
/*     */         });
/* 648 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 651 */             if (!DuanxinNoticeView.this.contentText.getText().trim().equals("") && 
/* 652 */               !DuanxinNoticeView.this.phoneText.getText().trim().equals("")) {
/* 653 */               DuanxinNoticeView.this
/*     */ 
/*     */                 
/* 656 */                 .getData(DuanxinNoticeView.this.currentPage * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "");
/*     */             } else {
/* 658 */               DuanxinNoticeView.this
/* 659 */                 .getData(DuanxinNoticeView.this.currentPage * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), "", "", "");
/* 660 */             }  DuanxinNoticeView.this.setPages(DuanxinNoticeView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 665 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 667 */             if (VerifyFunction.isNumeric(DuanxinNoticeView.this.text.getText())) {
/* 668 */               int aa = Integer.parseInt(DuanxinNoticeView.this.text.getText());
/* 669 */               if (aa > DuanxinNoticeView.this.totalPages) {
/* 670 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 672 */                 if (!DuanxinNoticeView.this.contentText.getText().trim().equals("") && 
/* 673 */                   !DuanxinNoticeView.this.phoneText.getText().trim().equals("")) {
/* 674 */                   DuanxinNoticeView.this
/*     */                     
/* 676 */                     .getData((aa - 1) * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), DuanxinNoticeView.this.phoneText.getText().trim(), DuanxinNoticeView.this.contentText.getText().trim(), "");
/*     */                 } else {
/* 678 */                   DuanxinNoticeView.this
/* 679 */                     .getData((aa - 1) * DuanxinNoticeView.this.maxCount + 1, DuanxinNoticeView.this.nameText.getText().trim(), "", "", "");
/* 680 */                 }  DuanxinNoticeView.this.setPages(aa);
/*     */               } 
/*     */             } else {
/* 683 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/* 687 */     this.composite_3.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 689 */             String rate = "";
/* 690 */             rate = "0.01:1.4:1.0:5.57:1.0:1.02";
/* 691 */             PublicUtil.setWidth(DuanxinNoticeView.this.composite_3, DuanxinNoticeView.this.table_1, rate);
/*     */           }
/*     */         });
/*     */     
/* 695 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 697 */             DuanxinNoticeView.this.contentText.setText("");
/* 698 */             DuanxinNoticeView.this.phoneText.setText("");
/* 699 */             DuanxinNoticeView.this.nameText.setText("");
/*     */           }
/*     */         });
/*     */     
/* 703 */     if (PublicUtil.checkDistrictCode()) {
/* 704 */       this.strTemp = "登记管理预受理";
/*     */     }
/*     */     
/* 707 */     this.button_ins.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 709 */             String smsContent = "您好，您单位申请的设立登记已办结，请按提示办理后续事宜：一、现场或邮寄方式提交纸质申请的，请凭通知（受理通知书或办结短信通知）及经办人身份证到国家事业单位登记管理局受理接待大厅领取《事业单位法人证书》。二、通过网上登记管理系统提交申请的，请携带全部纸质申请材料（务必按 “" + 
/*     */               
/* 711 */               DuanxinNoticeView.this.strTemp + "”有关要求填写并签字盖章），凭办结短信通知及经办人身份证到国家事业单位登记管理局受理接待大厅，验真全部申请材料后，领取《事业单位法人证书》。";
/* 712 */             DuanxinNoticeView.this.contentText.setText(smsContent);
/*     */           }
/*     */         });
/* 715 */     this.button_alter.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 717 */             String smsContent = "您好，您单位申请的变更登记已办结，请按提示办理后续事宜：一、现场或邮寄方式提交纸质申请的，请携带《事业单位法人证书》正本和副本原件（变更名称的需上缴原单位印章），凭通知（受理通知书或办结短信通知）及经办人身份证到国家事业单位登记管理局受理接待大厅换领变更后的《事业单位法人证书》。二、通过网上登记管理系统提交申请的，请携带《事业单位法人证书》正本和副本原件（变更名称的需上缴原单位印章）及全部纸质申请材料（务必按 “" + 
/*     */               
/* 719 */               DuanxinNoticeView.this.strTemp + "”有关要求填写并签字盖章），凭办结短信通知及经办人身份证到国家事业单位登记管理局受理接待大厅，验真全部申请材料后，换领变更后的《事业单位法人证书》。";
/* 720 */             DuanxinNoticeView.this.contentText.setText(smsContent);
/*     */           }
/*     */         });
/* 723 */     this.button_logout.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 725 */             String smsContent = "您好，您单位申请的注销登记已办结，请按提示办理后续事宜：一、现场或邮寄方式提交纸质申请的，请凭通知（受理通知书或办结短信通知）及经办人身份证到国家事业单位登记管理局受理接待大厅领取注销凭证。二、通过网上登记管理系统提交申请的，请携带全部纸质申请材料（务必按 “" + 
/*     */               
/* 727 */               DuanxinNoticeView.this.strTemp + "”有关要求填写并签字盖章），凭办结短信通知及经办人身份证到国家事业单位登记管理局受理接待大厅，验真全部申请材料后，领取注销凭证。";
/* 728 */             DuanxinNoticeView.this.contentText.setText(smsContent);
/*     */           }
/*     */         });
/* 731 */     this.button_cert.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 733 */             String smsContent = "您好，您单位申请的证书补领已办结，请按提示办理后续事宜：一、现场或邮寄方式提交纸质申请的，请凭通知（受理通知书或办结短信通知）及经办人身份证到国家事业单位登记管理局受理接待大厅领取《事业单位法人证书》。二、通过网上登记管理系统提交申请的，请携带全部纸质申请材料（务必按“" + 
/*     */               
/* 735 */               DuanxinNoticeView.this.strTemp + "”的要求填写并签字盖章），凭办结短信通知及经办人身份证到国家事业单位登记管理局受理接待大厅，验真全部申请材料后，领取《事业单位法人证书》。";
/* 736 */             DuanxinNoticeView.this.contentText.setText(smsContent);
/*     */           }
/*     */         });
/* 739 */     this.button_reins.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 741 */             String smsContent = "您好，您单位申请的重新申领已办结，请按提示办理后续事宜：一、现场或邮寄方式提交纸质申请的，请携带《事业单位法人证书》正本和副本，凭通知（受理通知书或办结短信通知）及经办人身份证到国家事业单位登记管理局受理接待大厅换领《事业单位法人证书》。二、通过网上登记管理系统提交申请的，请携带《事业单位法人证书》正本和副本、全部纸质申请材料（务必按“" + 
/*     */               
/* 743 */               DuanxinNoticeView.this.strTemp + "”有关要求填写并签字盖章），凭办结短信通知及经办人身份证到国家事业单位登记管理局受理接待大厅，验真全部申请材料后，换领《事业单位法人证书》。";
/* 744 */             DuanxinNoticeView.this.contentText.setText(smsContent);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createWaitDialog() {
/* 756 */     Thread t = new Thread(new Runnable()
/*     */         {
/*     */           public void run() {
/* 759 */             Display display = Display.getDefault();
/*     */             
/* 761 */             if (display != null && !display.isDisposed()) {
/* 762 */               display.asyncExec(new Runnable()
/*     */                   {
/*     */                     public void run()
/*     */                     {
/* 766 */                       (DuanxinNoticeView.null.access$0(DuanxinNoticeView.null.this)).pwd.open();
/*     */                     }
/*     */                   });
/*     */             }
/*     */           }
/*     */         });
/* 772 */     t.start();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void callBackRefresh(HashMap hm) {
/* 782 */     this.list = (ArrayList)hm.get("result");
/* 783 */     if (this.list == null)
/*     */       return; 
/* 785 */     Object data = this.list;
/* 786 */     this.tableViewer.setInput(data);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 793 */     if (this.list.size() == 0) {
/* 794 */       this.totalRows = 0;
/*     */     } else {
/* 796 */       this.totalRows = ((NoticeModel)this.list.get(0)).getTotalRows();
/* 797 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 798 */     this.totalPages = pu.getTotalPages();
/* 799 */     this.currentPage = pu.getCurrentPage();
/* 800 */     this.hasNextPage = pu.isHasNextPage();
/* 801 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 802 */     if (this.totalPages == 0) {
/* 803 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 805 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 807 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 808 */     this.allRows.setText("共" + this.totalRows + "行");
/* 809 */     if (!this.hasPreviousPage) {
/* 810 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 812 */       this.priorPage.setEnabled(true);
/* 813 */     }  if (!this.hasNextPage) {
/* 814 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 816 */       this.nextPage.setEnabled(true);
/* 817 */     }  if (this.totalPages > 1) {
/* 818 */       this.goButton.setEnabled(true);
/* 819 */       this.text.setEnabled(true);
/*     */     } else {
/* 821 */       this.goButton.setEnabled(false);
/* 822 */       this.text.setEnabled(false);
/*     */     } 
/* 824 */     this.compage.layout();
/*     */     
/* 826 */     setFontColor();
/* 827 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkSearchProvinceConditon() {
/* 834 */     boolean flag = true;
/* 835 */     if (flag && this.contentText.getText().trim().equals("")) {
/* 836 */       SydjMessageDialog.openInformation(null, "提示", "请输入短信通知内容");
/* 837 */       flag = false;
/*     */     } 
/*     */     
/* 840 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkSearchConditon() {
/* 847 */     boolean flag = true;
/*     */     
/* 849 */     if (flag && this.phoneText.getText().trim().equals("")) {
/* 850 */       SydjMessageDialog.openInformation(null, "提示", "请输入手机号码");
/* 851 */       flag = false;
/*     */     } 
/* 853 */     if (flag && !this.phoneText.getText().matches("1[0-9]{10}")) {
/* 854 */       SydjMessageDialog.openInformation(null, "提示", "输入手机号码格式不正确");
/* 855 */       flag = false;
/*     */     } 
/* 857 */     if (flag && this.contentText.getText().trim().equals("")) {
/* 858 */       SydjMessageDialog.openInformation(null, "提示", "请输入短信通知内容");
/* 859 */       flag = false;
/*     */     } 
/*     */     
/* 862 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkAllSendConditon() {
/* 869 */     boolean flag = true;
/*     */     
/* 871 */     if (flag && this.contentText.getText().trim().equals("")) {
/* 872 */       SydjMessageDialog.openInformation(null, "提示", "请输入短信通知内容");
/* 873 */       flag = false;
/*     */     } 
/*     */     
/* 876 */     if (!flag || !SydjMessageDialog.openConfirm(null, "提示", "您确认群发短信吗？"))
/*     */     {
/*     */       
/* 879 */       flag = false;
/*     */     }
/*     */     
/* 882 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 889 */     if (this.cursor != null)
/* 890 */       this.cursor.dispose(); 
/* 891 */     this.cursor = new TableCursor(this.table_1, 0);
/* 892 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 893 */         .getSystemColor(26));
/* 894 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 895 */         .getSystemColor(27));
/* 896 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 898 */             int colums = DuanxinNoticeView.this.cursor.getColumn();
/* 899 */             if (colums == 3) {
/* 900 */               DuanxinNoticeView.this.openContent();
/*     */             }
/* 902 */             DuanxinNoticeView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 905 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 908 */             int colums = DuanxinNoticeView.this.cursor.getColumn();
/* 909 */             if (colums == DuanxinNoticeView.this.selectColums && 
/* 910 */               colums == 3) {
/* 911 */               DuanxinNoticeView.this.openContent();
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 922 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 923 */       this.table_1.getItem(i)
/* 924 */         .setFont(
/* 925 */           3, 
/* 926 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 927 */             false, false));
/* 928 */       this.table_1.getItem(i).setForeground(3, 
/* 929 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void openContent() {
/*     */     try {
/* 935 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 936 */         .getSelection();
/* 937 */       NoticeModel insinfo = (NoticeModel)select.getFirstElement();
/*     */       
/* 939 */       NoticeContentShow leader = new NoticeContentShow(
/* 940 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 941 */           null, insinfo.getContent());
/* 942 */       leader.open();
/* 943 */     } catch (Exception e) {
/* 944 */       e.printStackTrace();
/* 945 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\noticeunit\duanxin\DuanxinNoticeView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */