/*     */ package cs.sydj.operation.noticeunit.instauration;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class InstaurationNoticeUnitOperation
/*     */ {
/*  20 */   private MessageSender sender = null;
/*  21 */   String operation = "InstaurationNoticeUnit";
/*     */ 
/*     */   
/*     */   public ArrayList getUnitInfo(String groupId, String name, String bnDate, String enDate, int startNo, int maxCount) {
/*  25 */     String methodname = "getUnitInfo";
/*  26 */     String msgType = "xml";
/*  27 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  28 */     String replyxml = null;
/*  29 */     ArrayList result = new ArrayList();
/*  30 */     messageParameter.put("name", name);
/*  31 */     messageParameter.put("bnDate", bnDate);
/*  32 */     messageParameter.put("enDate", enDate);
/*  33 */     messageParameter.put("groupId", groupId);
/*  34 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  35 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  36 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  37 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  39 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getReInsUnitInfo(String groupId, String name, String bnDate, String enDate, int startNo, int maxCount) {
/*  44 */     String methodname = "getReInsUnitInfo";
/*  45 */     String msgType = "xml";
/*  46 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  47 */     String replyxml = null;
/*  48 */     ArrayList result = new ArrayList();
/*  49 */     messageParameter.put("name", name);
/*  50 */     messageParameter.put("bnDate", bnDate);
/*  51 */     messageParameter.put("enDate", enDate);
/*  52 */     messageParameter.put("groupId", groupId);
/*  53 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  54 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  55 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  56 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  58 */     return result;
/*     */   }
/*     */   
/*     */   public String NoticeUnit(ArrayList units, String replyInfo, String groupId) {
/*  62 */     String methodname = "NoticeUnit";
/*  63 */     String msgType = "short";
/*  64 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  65 */     String replyxml = null;
/*  66 */     messageParameter.put("units", MessageXML.getReplyXML(units));
/*  67 */     messageParameter.put("replyInfo", replyInfo);
/*  68 */     messageParameter.put("groupId", groupId);
/*  69 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  71 */     return replyxml;
/*     */   }
/*     */   
/*     */   public String saveCustomizeContent(String content, String type) {
/*  75 */     String methodname = "saveCustomizeContent";
/*  76 */     String msgType = "short";
/*  77 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  78 */     String replyxml = null;
/*  79 */     messageParameter.put("groupid", GljgUserInfo.getInstance().getGroupid());
/*  80 */     messageParameter.put("content", content);
/*  81 */     messageParameter.put("type", type);
/*  82 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  84 */     return replyxml;
/*     */   }
/*     */   
/*     */   public String queryCustomizeContent(String type) {
/*  88 */     String methodname = "queryCustomizeContent";
/*  89 */     String msgType = "short";
/*  90 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  91 */     String replyxml = null;
/*  92 */     messageParameter.put("groupid", GljgUserInfo.getInstance().getGroupid());
/*  93 */     messageParameter.put("type", type);
/*  94 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  96 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 101 */     String replyxml = "";
/* 102 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 103 */         messageParameter);
/*     */     try {
/* 105 */       this.sender = new MessageSender(
/* 106 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 107 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 108 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 109 */     } catch (JMSException e) {
/* 110 */       e.printStackTrace();
/* 111 */     } catch (Exception e) {
/* 112 */       e.printStackTrace();
/*     */     } 
/* 114 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\noticeunit\instauration\InstaurationNoticeUnitOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */