/*     */ package cs.sydj.operation.overseeManage;
/*     */ 
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.sydw.OverseeInfo;
/*     */ import server.sydj.sysmanage.sydw.OverseeInfoManage;
/*     */ import server.sydj.sysmanage.sydw.OverseeSearchInfo;
/*     */ 
/*     */ public class OverseeManageController
/*     */ {
/*  15 */   private OverseeInfoManage om = new OverseeInfoManage();
/*     */   
/*     */   public OverseeManageController(GljgUserInfo user) {
/*  18 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private GljgUserInfo user;
/*     */ 
/*     */ 
/*     */   
/*     */   public OverseeManageController() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchFreezeSYDW(HashMap args) {
/*  32 */     OverseeSearchInfo os = new OverseeSearchInfo();
/*  33 */     String sydwname = String.valueOf(args.get("sydwname"));
/*  34 */     String sydwcode = String.valueOf(args.get("sydwcode"));
/*  35 */     String jbdwid = String.valueOf(args.get("jbdwid"));
/*  36 */     String jbdwname = String.valueOf(args.get("jbdwname"));
/*  37 */     String deptid = String.valueOf(args.get("deptid"));
/*  38 */     int sydwstate = ((Integer)args.get("sydwstate")).intValue();
/*  39 */     int jbdwstate = ((Integer)args.get("jbdwstate")).intValue();
/*  40 */     int deptstate = ((Integer)args.get("deptstate")).intValue();
/*  41 */     PageInfo page = (PageInfo)args.get("page");
/*     */     
/*  43 */     if (sydwname != null && sydwname.length() > 0) os.setSydwname(sydwname); 
/*  44 */     if (sydwcode != null && sydwcode.length() > 0) os.setSydwcode(sydwcode); 
/*  45 */     if (jbdwid != null && jbdwid.length() > 0) os.setJbdwid(jbdwid); 
/*  46 */     if (jbdwname != null && jbdwname.length() > 0) os.setJbdwname(jbdwname); 
/*  47 */     if (deptid != null && deptid.length() > 0) os.setDeptid(deptid); 
/*  48 */     os.setSydwstate(sydwstate);
/*  49 */     os.setJbdwstate(jbdwstate);
/*  50 */     os.setDeptstate(deptstate);
/*  51 */     os.setApplytype(3);
/*     */     
/*  53 */     return this.om.searchSYDW(os, page);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchFreezeSYDW(String sydwname, String sydwcode, int sydwstate, String jbdwid, String jbdwname, int jbdwstate, String deptid, int deptstate, PageInfo page) {
/*  60 */     OverseeSearchInfo os = new OverseeSearchInfo();
/*  61 */     if (sydwname != null && sydwname.length() > 0) os.setSydwname(sydwname); 
/*  62 */     if (sydwcode != null && sydwcode.length() > 0) os.setSydwcode(sydwcode); 
/*  63 */     if (jbdwid != null && jbdwid.length() > 0) os.setJbdwid(jbdwid); 
/*  64 */     if (jbdwname != null && jbdwname.length() > 0) os.setJbdwname(jbdwname); 
/*  65 */     if (deptid != null && deptid.length() > 0) os.setDeptid(deptid); 
/*  66 */     os.setSydwstate(sydwstate);
/*  67 */     os.setJbdwstate(jbdwstate);
/*  68 */     os.setDeptstate(deptstate);
/*  69 */     os.setApplytype(3);
/*     */     
/*  71 */     return this.om.searchSYDW(os, page);
/*     */   }
/*     */ 
/*     */   
/*     */   public int doOperation(OverseeInfo sydw, String reason, String opman, String date, String linkman, String linktel) {
/*  76 */     sydw.setAPPLY_STATE(1);
/*     */     
/*  78 */     sydw.setREASON(reason);
/*  79 */     sydw.setLINK_MAN(linkman);
/*  80 */     sydw.setOPERATER(opman);
/*  81 */     sydw.setOPERATE_DATE(date);
/*  82 */     sydw.setLINK_TEL(linktel);
/*  83 */     sydw.setOPERATION_GROUP_ID(this.user.getGroupid());
/*  84 */     sydw.setOperation_group_name(this.user.getAllGroupname());
/*  85 */     int r = this.om.doOperation(sydw);
/*  86 */     if (r > 0 && sydw.getGROUP_ID().equals(GljgUserInfo.getInstance().getGroupid())) {
/*  87 */       UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/*  88 */       uldi.setRequestType(12);
/*  89 */       uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/*  90 */       uldi.setSydwid(sydw.getSYDW_ID());
/*  91 */       ModifyLocalData mld = new ModifyLocalData();
/*  92 */       mld.modifyLocalData(uldi);
/*     */     } 
/*  94 */     return r;
/*     */   }
/*     */ 
/*     */   
/*     */   public int undoOperation(OverseeInfo sydw, String reason, String opman, String date) {
/*  99 */     sydw.setAPPLY_STATE(0);
/*     */     
/* 101 */     sydw.setCANCEL_REASON(reason);
/* 102 */     sydw.setCANCEL_OPERATER(opman);
/* 103 */     sydw.setCANCEL_OPERATE_DATE(date);
/* 104 */     int r = this.om.undoOperation(sydw);
/* 105 */     if (r > 0 && sydw.getGROUP_ID().equals(GljgUserInfo.getInstance().getGroupid())) {
/* 106 */       UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 107 */       uldi.setRequestType(12);
/* 108 */       uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/* 109 */       uldi.setSydwid(sydw.getSYDW_ID());
/* 110 */       ModifyLocalData mld = new ModifyLocalData();
/* 111 */       mld.modifyLocalData(uldi);
/*     */     } 
/* 113 */     return r;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateOperation(OverseeInfo sydw, String reason, String opman, String date, String linkman, String linktel) {
/* 122 */     sydw.setREASON(reason);
/* 123 */     sydw.setLINK_MAN(linkman);
/* 124 */     sydw.setOPERATER(opman);
/* 125 */     sydw.setOPERATE_DATE(date);
/* 126 */     sydw.setLINK_TEL(linktel);
/*     */ 
/*     */ 
/*     */     
/* 130 */     int r = this.om.updateOperation(sydw);
/* 131 */     if (r > 0 && sydw.getGROUP_ID().equals(GljgUserInfo.getInstance().getGroupid())) {
/* 132 */       UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 133 */       uldi.setRequestType(12);
/* 134 */       uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/* 135 */       uldi.setSydwid(sydw.getSYDW_ID());
/* 136 */       ModifyLocalData mld = new ModifyLocalData();
/* 137 */       mld.modifyLocalData(uldi);
/*     */     } 
/* 139 */     return r;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\overseeManage\OverseeManageController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */