/*     */ package cs.sydj.operation.overseeManage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.sysmanage.sydw.OverseeInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class UndoDialog
/*     */   extends Dialog
/*     */ {
/*     */   private OverseeInfo sydw;
/*     */   private Combo combo;
/*     */   private Text text_date;
/*     */   private Text text_reason;
/*  41 */   private int style = 0;
/*  42 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  44 */   ArrayList<String> acceptors = null;
/*     */   
/*  46 */   private OverseeManageController sumController = null;
/*     */   
/*     */   private Composite comp;
/*     */   
/*     */   private Shell shell;
/*     */   private Text text_opman;
/*  52 */   private String typeinfo = "";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public UndoDialog(Shell parentShell) {
/*  60 */     super(parentShell);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public UndoDialog(Shell parentShell, OverseeManageController sumController, OverseeInfo sydw) {
/*  71 */     super(parentShell);
/*  72 */     this.sumController = sumController;
/*  73 */     this.sydw = sydw;
/*  74 */     this.acceptors = (new WithinputDataManage()).queryGljgUsers(this.user.getGroupid());
/*  75 */     this.style = 0;
/*  76 */     switch (sydw.getAPPLY_TYPE()) {
/*     */       case 1:
/*  78 */         this.typeinfo = "废止";
/*     */         return;
/*     */       case 2:
/*  81 */         this.typeinfo = "吊销";
/*     */         return;
/*     */     } 
/*  84 */     this.typeinfo = "冻结";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/*  96 */     Composite container = (Composite)super.createDialogArea(arg0);
/*  97 */     this.comp = arg0;
/*  98 */     this.shell = arg0.getShell();
/*  99 */     arg0.setBackgroundMode(1);
/* 100 */     arg0
/* 101 */       .setBackground(Display.getCurrent().getSystemColor(
/* 102 */           1));
/* 103 */     arg0.setLayout((Layout)new GridLayout());
/*     */     
/* 105 */     final Group group = new Group(container, 0);
/* 106 */     group.setText("撤销" + this.typeinfo + "情况");
/* 107 */     GridLayout gridLayout_2 = new GridLayout();
/* 108 */     gridLayout_2.numColumns = 3;
/* 109 */     group.setLayout((Layout)gridLayout_2);
/* 110 */     GridData gd_group = new GridData(4, 4, true, true);
/* 111 */     gd_group.heightHint = 205;
/* 112 */     group.setLayoutData(gd_group);
/*     */     
/* 114 */     CLabel label_4 = new CLabel((Composite)group, 0);
/* 115 */     label_4
/* 116 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 117 */     label_4.setText("统一社会信用代码：");
/*     */     
/* 119 */     CLabel label_sydwcode = new CLabel((Composite)group, 0);
/* 120 */     label_sydwcode.setLayoutData(new GridData(4, 16777216, false, 
/* 121 */           false, 2, 1));
/* 122 */     label_sydwcode.setText(this.sydw.getUnifyCode());
/*     */     
/* 124 */     CLabel label_5 = new CLabel((Composite)group, 0);
/* 125 */     label_5
/* 126 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 127 */     label_5.setText("单位名称：");
/*     */     
/* 129 */     CLabel label_sydwname = new CLabel((Composite)group, 0);
/* 130 */     label_sydwname.setLayoutData(new GridData(4, 16777216, false, 
/* 131 */           false, 2, 1));
/* 132 */     label_sydwname.setText(this.sydw.getSYDW_NAME_FIRST());
/*     */     
/* 134 */     CLabel label = new CLabel((Composite)group, 0);
/* 135 */     label.setLayoutData(new GridData(131072, 16777216, false, false));
/* 136 */     label.setText("撤销" + this.typeinfo + "原因：");
/*     */     
/* 138 */     this.text_reason = new Text((Composite)group, 
/* 139 */         (this.style > 0) ? 520 : 2626);
/*     */     
/* 141 */     this.text_reason.setTextLimit(2000);
/* 142 */     this.text_reason.setBackground(Display.getCurrent()
/* 143 */         .getSystemColor(1));
/* 144 */     GridData gd_text_reason = new GridData(16384, 16777216, 
/* 145 */         false, false, 2, 1);
/* 146 */     gd_text_reason.heightHint = 36;
/* 147 */     gd_text_reason.widthHint = 300;
/* 148 */     this.text_reason.setLayoutData(gd_text_reason);
/*     */     
/* 150 */     CLabel label_2 = new CLabel((Composite)group, 0);
/* 151 */     label_2
/* 152 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 153 */     label_2.setText("撤销执行人：");
/* 154 */     if (this.style > 0) {
/* 155 */       this.text_opman = new Text((Composite)group, 2056);
/* 156 */       this.text_opman.setTextLimit(25);
/* 157 */       this.text_opman
/* 158 */         .setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 159 */       GridData gd_text_opman = new GridData(16384, 16777216, 
/* 160 */           false, false, 2, 1);
/* 161 */       gd_text_opman.widthHint = 200;
/* 162 */       this.text_opman.setLayoutData(gd_text_opman);
/*     */     } else {
/* 164 */       this.combo = new Combo((Composite)group, 8);
/* 165 */       this.combo.setTextLimit(100);
/* 166 */       GridData gd_combo = new GridData(16384, 16777216, false, 
/* 167 */           false, 2, 1);
/* 168 */       gd_combo.widthHint = 180;
/* 169 */       this.combo.setLayoutData(gd_combo);
/*     */       
/* 171 */       if (this.acceptors != null) {
/* 172 */         for (int i = 0; i < this.acceptors.size(); i++) {
/* 173 */           String temp = this.acceptors.get(i);
/* 174 */           this.combo.add(temp);
/* 175 */           if (temp.equals(this.user.getRealname()))
/*     */           {
/*     */             
/* 178 */             this.combo.setText(this.user.getRealname());
/*     */           }
/*     */         } 
/*     */       } else {
/* 182 */         this.combo.add(this.user.getRealname());
/*     */ 
/*     */ 
/*     */         
/* 186 */         this.combo.setText(this.user.getRealname());
/*     */       } 
/*     */     } 
/* 189 */     CLabel label_1 = new CLabel((Composite)group, 0);
/* 190 */     label_1
/* 191 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 192 */     label_1.setText("撤销" + this.typeinfo + "时间：");
/*     */     
/* 194 */     this.text_date = new Text((Composite)group, 2056);
/* 195 */     this.text_date.setTextLimit(50);
/* 196 */     this.text_date.setBackground(Display.getCurrent()
/* 197 */         .getSystemColor(1));
/* 198 */     GridData gd_text_date = new GridData(200, -1);
/* 199 */     this.text_date.setLayoutData(gd_text_date);
/*     */     
/* 201 */     Button button = new Button((Composite)group, 8388610);
/* 202 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 205 */             (new CalendarDialog(UndoDialog.this.shell, UndoDialog.this.text_date, new Point(
/* 206 */                   (UndoDialog.this.shell.getLocation()).x + (group.getLocation()).x + 3 + 
/* 207 */                   (UndoDialog.this.text_date.getLocation()).x, 
/* 208 */                   (UndoDialog.this.shell.getLocation()).y + 
/* 209 */                   (group.getLocation()).y + 
/* 210 */                   (UndoDialog.this.text_date.getBounds()).y + 
/* 211 */                   (UndoDialog.this.text_date.getBounds()).height + 30))).open();
/*     */           }
/*     */         });
/*     */     
/* 215 */     button.setLayoutData(new GridData(-1, 18));
/* 216 */     button.setText("日历");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 245 */     if (this.style > 0) {
/* 246 */       button.setVisible(false);
/* 247 */       this.text_reason.setText(this.sydw.getREASON());
/* 248 */       this.text_date.setText(this.sydw.getOPERATE_DATE());
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 253 */       Calendar c = Calendar.getInstance();
/* 254 */       SimpleDateFormat s = new SimpleDateFormat("yyyy-MM-dd");
/* 255 */       this.text_date.setText(s.format(c.getTime()));
/*     */     } 
/*     */     
/* 258 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 269 */     parent.setBackground(Display.getCurrent()
/* 270 */         .getSystemColor(1));
/* 271 */     if (this.style == 0)
/* 272 */       createButton(parent, 0, "确定", true); 
/* 273 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 282 */     return new Point(500, 350);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 286 */     if (buttonId == 0) {
/* 287 */       if (isNotNull(this.text_date, "请输入撤销" + this.typeinfo + "结时间！") && 
/* 288 */         isNotNull(this.text_reason, "请输入撤销" + this.typeinfo + "理由！")) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 294 */         MessageBox mbox = new MessageBox(this.shell, 196);
/*     */         
/* 296 */         mbox.setMessage("您真的确定执行撤销" + this.typeinfo + "操作吗?");
/* 297 */         mbox.setText("信息提示");
/* 298 */         int button_id = mbox.open();
/* 299 */         if (button_id == 64) {
/* 300 */           int r = this.sumController.undoOperation(this.sydw, 
/* 301 */               this.text_reason.getText(), this.combo.getText(), this.text_date.getText());
/* 302 */           switch (r) {
/*     */             case 0:
/* 304 */               showInfoBox("数据库出错，请与管理员联系！");
/*     */               return;
/*     */             case -1:
/* 307 */               showInfoBox("网络传输错误，请重试！");
/*     */               return;
/*     */             case 1:
/*     */               break;
/*     */             default:
/* 312 */               showInfoBox("未知错误，请与管理员联系！");
/*     */               return;
/*     */           } 
/* 315 */           super.buttonPressed(buttonId);
/*     */         } 
/*     */       } 
/*     */     } else {
/*     */       
/* 320 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */   private boolean isNotNull(Text text, String info) {
/* 324 */     text.setText(text.getText().trim());
/* 325 */     if (text.getText().trim().length() == 0) {
/* 326 */       text.setText(text.getText().trim());
/* 327 */       showInputErr(text, info);
/* 328 */       return false;
/*     */     } 
/* 330 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 335 */     text.setText(text.getText().trim());
/* 336 */     if (length == -1) {
/* 337 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 338 */         text.setText(text.getText().trim());
/* 339 */         showInputErr(text, info);
/* 340 */         return false;
/*     */       } 
/* 342 */       return true;
/* 343 */     }  if (length == 0) {
/* 344 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 345 */         text.setText(text.getText().trim());
/* 346 */         showInputErr(text, info);
/* 347 */         return false;
/*     */       } 
/* 349 */       return true;
/*     */     } 
/* 351 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 352 */       text.getText().trim().length() != length) {
/* 353 */       text.setText(text.getText().trim());
/* 354 */       showInputErr(text, info);
/* 355 */       return false;
/*     */     } 
/* 357 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 363 */     text.setText(text.getText().trim());
/* 364 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 365 */     mbox.setMessage(info);
/* 366 */     mbox.setText("错误提示");
/* 367 */     mbox.open();
/* 368 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 373 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 374 */     mbox.setMessage(info);
/* 375 */     mbox.setText("错误提示");
/* 376 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 381 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 383 */     mbox.setMessage(info);
/* 384 */     mbox.setText("信息提示");
/* 385 */     return mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 390 */     super.configureShell(newShell);
/* 391 */     newShell.setText("撤销冻结");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\overseeManage\UndoDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */