/*     */ package cs.sydj.operation.quick.annualcheck;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.homepage.HomePages;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.QuickAnnualCheckModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class QuickAnnualCheck
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.quick.annualcheck.QuickAnnualCheck";
/*     */   private QuickAnnualCheckModel model;
/*     */   private Link eclipseorgLink;
/*     */   private Link eclipseorgLink_1;
/*     */   private Link eclipseorgLink_2;
/*     */   private Link eclipseorgLink_3;
/*     */   private Link eclipseorgLink_4;
/*     */   private Group group;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  48 */     parent.setLayout((Layout)new FillLayout());
/*  49 */     this.model = getData();
/*  50 */     this.group = new Group(parent, 0);
/*  51 */     this.group.setBackground(
/*  52 */         Display.getCurrent().getSystemColor(1));
/*  53 */     GridLayout gridLayout_1 = new GridLayout();
/*  54 */     gridLayout_1.marginTop = 35;
/*  55 */     gridLayout_1.marginRight = 35;
/*  56 */     gridLayout_1.marginLeft = 35;
/*  57 */     this.group.setLayout((Layout)gridLayout_1);
/*  58 */     Composite container = new Composite((Composite)this.group, 0);
/*  59 */     container.setBackground(Display.getCurrent()
/*  60 */         .getSystemColor(1));
/*  61 */     FormData fd_container = new FormData();
/*  62 */     fd_container.right = new FormAttachment(100, -5);
/*  63 */     fd_container.bottom = new FormAttachment(0, 156);
/*  64 */     fd_container.top = new FormAttachment(0, 5);
/*  65 */     fd_container.left = new FormAttachment(0, 5);
/*  66 */     GridData gd_container = new GridData(4, 16777216, true, 
/*  67 */         false);
/*  68 */     container.setLayoutData(gd_container);
/*  69 */     GridLayout gridLayout = new GridLayout();
/*  70 */     gridLayout.horizontalSpacing = 0;
/*  71 */     gridLayout.verticalSpacing = 0;
/*  72 */     gridLayout.numColumns = 11;
/*  73 */     container.setLayout((Layout)gridLayout);
/*     */ 
/*     */     
/*  76 */     Label label_3 = new Label(container, 64);
/*  77 */     label_3.setBackground(Display.getCurrent()
/*  78 */         .getSystemColor(1));
/*  79 */     GridData gd_label_3 = new GridData(16384, 16777216, true, 
/*  80 */         false);
/*  81 */     gd_label_3.widthHint = 198;
/*  82 */     label_3.setLayoutData(gd_label_3);
/*  83 */     label_3.setText("信息查询 >> " + HomePages.year + "年度年检情况统计");
/*  84 */     label_3.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */ 
/*     */     
/*  87 */     Label label_6 = new Label(container, 0);
/*  88 */     label_6.setBackground(Display.getCurrent()
/*  89 */         .getSystemColor(1));
/*  90 */     label_6.setLayoutData(new GridData(16384, 16777216, true, false, 
/*  91 */           7, 1));
/*  92 */     label_6.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  93 */     label_6.setFont(SWTResourceManager.getFont("", 10, 1));
/*  94 */     label_6.setText("(单击表格中的数字，可以打开事业单位列表) ");
/*     */ 
/*     */     
/*  97 */     Label label_50 = new Label(container, 258);
/*     */     
/*  99 */     label_50.setBackground(Display.getCurrent()
/* 100 */         .getSystemColor(1));
/* 101 */     label_50.setLayoutData(new GridData(4, 4, false, false, 
/* 102 */           11, 1));
/*     */     
/* 104 */     Label label_46 = new Label(container, 2);
/* 105 */     label_46.setBackground(Display.getCurrent()
/* 106 */         .getSystemColor(1));
/* 107 */     GridData gd_label_46 = new GridData(4, 4, false, 
/* 108 */         false);
/* 109 */     gd_label_46.heightHint = 17;
/* 110 */     gd_label_46.widthHint = 2;
/* 111 */     label_46.setLayoutData(gd_label_46);
/*     */     
/* 113 */     Label label_19 = new Label(container, 0);
/* 114 */     label_19.setBackground(Display.getCurrent()
/* 115 */         .getSystemColor(1));
/* 116 */     label_19.setLayoutData(new GridData(16384, 16777216, true, false));
/* 117 */     label_19.setText("日期：" + PublicUtil.getNowDate());
/*     */     
/* 119 */     Label label_47 = new Label(container, 2);
/* 120 */     label_47.setBackground(Display.getCurrent()
/* 121 */         .getSystemColor(1));
/* 122 */     GridData gd_label_47 = new GridData(4, 4, false, 
/* 123 */         false);
/* 124 */     gd_label_47.widthHint = 1;
/* 125 */     gd_label_47.heightHint = 15;
/* 126 */     label_47.setLayoutData(gd_label_47);
/*     */     
/* 128 */     Label label_20 = new Label(container, 64);
/* 129 */     label_20.setAlignment(131072);
/* 130 */     label_20.setBackground(Display.getCurrent()
/* 131 */         .getSystemColor(1));
/* 132 */     GridData gd_label_20 = new GridData(4, 4, true, 
/* 133 */         false, 7, 1);
/* 134 */     gd_label_20.widthHint = 103;
/* 135 */     label_20.setLayoutData(gd_label_20);
/* 136 */     label_20.setText("单位：" + HomePages.groupName);
/*     */     
/* 138 */     Label label_49 = new Label(container, 2);
/* 139 */     label_49.setBackground(Display.getCurrent()
/* 140 */         .getSystemColor(1));
/* 141 */     GridData gd_label_49 = new GridData(4, 4, false, 
/* 142 */         false);
/* 143 */     gd_label_49.heightHint = 21;
/* 144 */     gd_label_49.widthHint = 2;
/* 145 */     label_49.setLayoutData(gd_label_49);
/*     */     
/* 147 */     Label label_45 = new Label(container, 258);
/*     */     
/* 149 */     label_45.setBackground(Display.getCurrent()
/* 150 */         .getSystemColor(1));
/* 151 */     label_45.setLayoutData(new GridData(4, 4, false, false, 
/* 152 */           11, 1));
/*     */     
/* 154 */     Label label_34 = new Label(container, 2);
/* 155 */     label_34.setBackground(Display.getCurrent()
/* 156 */         .getSystemColor(1));
/* 157 */     GridData gd_label_34 = new GridData(4, 4, false, 
/* 158 */         false, 1, 5);
/* 159 */     gd_label_34.heightHint = 20;
/* 160 */     gd_label_34.widthHint = 1;
/* 161 */     label_34.setLayoutData(gd_label_34);
/*     */     
/* 163 */     Label label_7 = new Label(container, 0);
/* 164 */     label_7.setBackground(Display.getCurrent()
/* 165 */         .getSystemColor(1));
/* 166 */     label_7.setFont(SWTResourceManager.getFont("", 10, 1));
/* 167 */     label_7.setLayoutData(new GridData(16777216, 16777216, true, false, 
/* 168 */           1, 5));
/* 169 */     label_7.setText("全部单位数");
/*     */     
/* 171 */     Label label_51 = new Label(container, 2);
/* 172 */     label_51.setBackground(Display.getCurrent()
/* 173 */         .getSystemColor(1));
/* 174 */     GridData gd_label_51 = new GridData(4, 4, false, 
/* 175 */         false, 1, 3);
/* 176 */     gd_label_51.heightHint = 28;
/* 177 */     label_51.setLayoutData(gd_label_51);
/*     */     
/* 179 */     Label label_18 = new Label(container, 0);
/* 180 */     label_18.setBackground(Display.getCurrent()
/* 181 */         .getSystemColor(1));
/* 182 */     label_18.setFont(SWTResourceManager.getFont("", 10, 1));
/* 183 */     label_18.setLayoutData(new GridData(16777216, 16777216, true, 
/* 184 */           false, 5, 3));
/* 185 */     label_18.setText("应参加" + HomePages.year + "年度年检的单位");
/*     */     
/* 187 */     Label label_37 = new Label(container, 2);
/* 188 */     label_37.setBackground(Display.getCurrent()
/* 189 */         .getSystemColor(1));
/* 190 */     GridData gd_label_37 = new GridData(4, 4, false, 
/* 191 */         false, 1, 5);
/* 192 */     gd_label_37.heightHint = 39;
/* 193 */     gd_label_37.widthHint = 2;
/* 194 */     label_37.setLayoutData(gd_label_37);
/*     */     
/* 196 */     Label label_17 = new Label(container, 64);
/* 197 */     label_17.setBackground(Display.getCurrent()
/* 198 */         .getSystemColor(1));
/* 199 */     label_17.setFont(SWTResourceManager.getFont("", 10, 1));
/* 200 */     label_17.setLayoutData(new GridData(16777216, 16777216, true, 
/* 201 */           false, 1, 5));
/* 202 */     label_17.setText("不需要参加年检");
/*     */     
/* 204 */     Label label_35 = new Label(container, 2);
/* 205 */     label_35.setBackground(Display.getCurrent()
/* 206 */         .getSystemColor(1));
/* 207 */     GridData gd_label_35 = new GridData(4, 4, false, 
/* 208 */         false, 1, 5);
/* 209 */     gd_label_35.heightHint = 43;
/* 210 */     gd_label_35.widthHint = 2;
/* 211 */     label_35.setLayoutData(gd_label_35);
/*     */     
/* 213 */     Label label_36 = new Label(container, 2);
/* 214 */     label_36.setBackground(Display.getCurrent()
/* 215 */         .getSystemColor(1));
/* 216 */     GridData gd_label_36 = new GridData(4, 4, false, 
/* 217 */         false, 1, 2);
/* 218 */     gd_label_36.heightHint = 41;
/* 219 */     gd_label_36.widthHint = 1;
/* 220 */     label_36.setLayoutData(gd_label_36);
/*     */     
/* 222 */     Label label_42 = new Label(container, 258);
/*     */     
/* 224 */     label_42.setBackground(Display.getCurrent()
/* 225 */         .getSystemColor(1));
/* 226 */     GridData gd_label_42 = new GridData(4, 128, false, 
/* 227 */         false);
/* 228 */     gd_label_42.widthHint = 80;
/* 229 */     label_42.setLayoutData(gd_label_42);
/*     */     
/* 231 */     Label label_40 = new Label(container, 2);
/* 232 */     label_40.setBackground(Display.getCurrent()
/* 233 */         .getSystemColor(1));
/* 234 */     GridData gd_label_40 = new GridData(4, 4, false, 
/* 235 */         false, 1, 2);
/* 236 */     gd_label_40.heightHint = 28;
/* 237 */     gd_label_40.widthHint = 2;
/* 238 */     label_40.setLayoutData(gd_label_40);
/*     */     
/* 240 */     Label label_43 = new Label(container, 258);
/*     */     
/* 242 */     label_43.setBackground(Display.getCurrent()
/* 243 */         .getSystemColor(1));
/* 244 */     GridData gd_label_43 = new GridData(4, 128, false, 
/* 245 */         false);
/* 246 */     gd_label_43.widthHint = 80;
/* 247 */     label_43.setLayoutData(gd_label_43);
/*     */     
/* 249 */     Label label_41 = new Label(container, 2);
/* 250 */     label_41.setBackground(Display.getCurrent()
/* 251 */         .getSystemColor(1));
/* 252 */     GridData gd_label_41 = new GridData(4, 4, false, 
/* 253 */         false, 1, 2);
/* 254 */     gd_label_41.heightHint = 22;
/* 255 */     gd_label_41.widthHint = 2;
/* 256 */     label_41.setLayoutData(gd_label_41);
/*     */     
/* 258 */     Label label_44 = new Label(container, 258);
/*     */     
/* 260 */     label_44.setBackground(Display.getCurrent()
/* 261 */         .getSystemColor(1));
/* 262 */     GridData gd_label_44 = new GridData(4, 128, false, 
/* 263 */         false);
/* 264 */     gd_label_44.widthHint = 80;
/* 265 */     label_44.setLayoutData(gd_label_44);
/*     */     
/* 267 */     Label label_8 = new Label(container, 0);
/* 268 */     label_8.setBackground(Display.getCurrent()
/* 269 */         .getSystemColor(1));
/* 270 */     label_8.setFont(SWTResourceManager.getFont("", 10, 1));
/* 271 */     label_8
/* 272 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 273 */     label_8.setText("年检合格");
/*     */     
/* 275 */     Label label_9 = new Label(container, 0);
/* 276 */     label_9.setBackground(Display.getCurrent()
/* 277 */         .getSystemColor(1));
/* 278 */     label_9.setFont(SWTResourceManager.getFont("", 10, 1));
/* 279 */     label_9
/* 280 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 281 */     label_9.setText("年检不合格");
/*     */     
/* 283 */     Label label_11 = new Label(container, 0);
/* 284 */     label_11.setBackground(Display.getCurrent()
/* 285 */         .getSystemColor(1));
/* 286 */     label_11.setFont(SWTResourceManager.getFont("", 10, 1));
/* 287 */     label_11
/* 288 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 289 */     label_11.setText("尚未年检");
/*     */     
/* 291 */     Label label_33 = new Label(container, 258);
/*     */     
/* 293 */     label_33.setBackground(Display.getCurrent()
/* 294 */         .getSystemColor(1));
/* 295 */     label_33.setLayoutData(new GridData(4, 4, false, false, 
/* 296 */           11, 1));
/*     */     
/* 298 */     Label label_22 = new Label(container, 2);
/* 299 */     label_22.setBackground(Display.getCurrent()
/* 300 */         .getSystemColor(1));
/* 301 */     GridData gd_label_22 = new GridData(4, 4, false, 
/* 302 */         false);
/* 303 */     gd_label_22.heightHint = 19;
/* 304 */     gd_label_22.widthHint = 1;
/* 305 */     label_22.setLayoutData(gd_label_22);
/*     */     
/* 307 */     this.eclipseorgLink = new Link(container, 0);
/* 308 */     this.eclipseorgLink.setBackground(Display.getCurrent()
/* 309 */         .getSystemColor(1));
/* 310 */     this.eclipseorgLink.setLayoutData(new GridData(16777216, 16777216, true, 
/* 311 */           false));
/* 312 */     this.eclipseorgLink.setText("<a href=\"http://www.eclipse.org\">" + 
/* 313 */         this.model.getAllUnitCount() + "</a>");
/*     */     
/* 315 */     Label label_26 = new Label(container, 2);
/* 316 */     label_26.setBackground(Display.getCurrent()
/* 317 */         .getSystemColor(1));
/* 318 */     GridData gd_label_26 = new GridData(4, 4, false, 
/* 319 */         false);
/* 320 */     gd_label_26.heightHint = 6;
/* 321 */     gd_label_26.widthHint = 0;
/* 322 */     label_26.setLayoutData(gd_label_26);
/*     */     
/* 324 */     this.eclipseorgLink_1 = new Link(container, 0);
/* 325 */     this.eclipseorgLink_1.setBackground(Display.getCurrent()
/* 326 */         .getSystemColor(1));
/* 327 */     this.eclipseorgLink_1.setLayoutData(new GridData(16777216, 16777216, 
/* 328 */           true, false));
/* 329 */     this.eclipseorgLink_1.setText("<a href=\"http://www.eclipse.org\">" + 
/* 330 */         this.model.getQualifiedCount() + "</a>");
/*     */     
/* 332 */     Label label_30 = new Label(container, 2);
/* 333 */     label_30.setBackground(Display.getCurrent()
/* 334 */         .getSystemColor(1));
/* 335 */     GridData gd_label_30 = new GridData(4, 4, false, 
/* 336 */         false);
/* 337 */     gd_label_30.heightHint = 30;
/* 338 */     gd_label_30.widthHint = 3;
/* 339 */     label_30.setLayoutData(gd_label_30);
/*     */     
/* 341 */     this.eclipseorgLink_2 = new Link(container, 0);
/* 342 */     this.eclipseorgLink_2.setBackground(Display.getCurrent()
/* 343 */         .getSystemColor(1));
/* 344 */     this.eclipseorgLink_2.setLayoutData(new GridData(16777216, 16777216, 
/* 345 */           true, false));
/* 346 */     this.eclipseorgLink_2.setText("<a href=\"http://www.eclipse.org\">" + 
/* 347 */         this.model.getNotQualifiedCount() + "</a>");
/*     */     
/* 349 */     Label label_31 = new Label(container, 2);
/* 350 */     label_31.setBackground(Display.getCurrent()
/* 351 */         .getSystemColor(1));
/* 352 */     GridData gd_label_31 = new GridData(4, 4, false, 
/* 353 */         false);
/* 354 */     gd_label_31.heightHint = 15;
/* 355 */     gd_label_31.widthHint = 1;
/* 356 */     label_31.setLayoutData(gd_label_31);
/*     */     
/* 358 */     this.eclipseorgLink_3 = new Link(container, 0);
/* 359 */     this.eclipseorgLink_3.setBackground(Display.getCurrent()
/* 360 */         .getSystemColor(1));
/* 361 */     this.eclipseorgLink_3.setLayoutData(new GridData(16777216, 16777216, 
/* 362 */           true, false));
/* 363 */     this.eclipseorgLink_3.setText("<a href=\"http://www.eclipse.org\">" + 
/* 364 */         this.model.getNoCheckCount() + "</a>");
/*     */     
/* 366 */     Label label_32 = new Label(container, 2);
/* 367 */     label_32.setBackground(Display.getCurrent()
/* 368 */         .getSystemColor(1));
/* 369 */     GridData gd_label_32 = new GridData(4, 4, false, 
/* 370 */         false);
/* 371 */     gd_label_32.heightHint = 12;
/* 372 */     gd_label_32.widthHint = 1;
/* 373 */     label_32.setLayoutData(gd_label_32);
/*     */     
/* 375 */     this.eclipseorgLink_4 = new Link(container, 0);
/* 376 */     this.eclipseorgLink_4.setBackground(Display.getCurrent()
/* 377 */         .getSystemColor(1));
/* 378 */     this.eclipseorgLink_4.setLayoutData(new GridData(16777216, 16777216, 
/* 379 */           true, false));
/* 380 */     this.eclipseorgLink_4.setText("<a href=\"http://www.eclipse.org\">" + 
/* 381 */         this.model.getNotCheckCount() + "</a>");
/*     */     
/* 383 */     Label label_29 = new Label(container, 2);
/* 384 */     label_29.setBackground(Display.getCurrent()
/* 385 */         .getSystemColor(1));
/* 386 */     GridData gd_label_29 = new GridData(4, 4, false, 
/* 387 */         false);
/* 388 */     gd_label_29.heightHint = 16;
/* 389 */     gd_label_29.widthHint = 1;
/* 390 */     label_29.setLayoutData(gd_label_29);
/*     */     
/* 392 */     Label label_21 = new Label(container, 258);
/*     */     
/* 394 */     label_21.setBackground(Display.getCurrent()
/* 395 */         .getSystemColor(1));
/* 396 */     label_21.setLayoutData(new GridData(4, 4, false, false, 
/* 397 */           11, 1));
/*     */     
/* 399 */     Label label = new Label((Composite)this.group, 0);
/* 400 */     label.setBackground(
/* 401 */         Display.getCurrent().getSystemColor(1));
/* 402 */     label.setText("使用说明：");
/*     */     
/* 404 */     Label label_1 = new Label((Composite)this.group, 64);
/* 405 */     label_1.setBackground(Display.getCurrent()
/* 406 */         .getSystemColor(1));
/* 407 */     label_1.setLayoutData(new GridData(-1, 15));
/* 408 */     label_1.setText("    一、统计年度为" + HomePages.year + 
/* 409 */         "年度；统计对象是本级或下级登记管理机关所登记的事业单位。");
/*     */     
/* 411 */     Label label_2 = new Label((Composite)this.group, 64);
/* 412 */     label_2.setBackground(Display.getCurrent()
/* 413 */         .getSystemColor(1));
/* 414 */     GridData gd_label_2 = new GridData(4, 4, true, 
/* 415 */         false);
/* 416 */     gd_label_2.heightHint = 49;
/* 417 */     gd_label_2.widthHint = 561;
/* 418 */     label_2.setLayoutData(gd_label_2);
/* 419 */     label_2
/* 420 */       .setText("    二、“全部单位数”是指所选登记管理机关所登记的事业单位数（已注销的除外）；“不需要参加年检”数是指" + 
/* 421 */         HomePages.year + 
/* 422 */         "年7月1日之后核准设立登记的事业单位数；“年检合格”数是指已通过本年度年检的事业单位数；“年检不合格”数是指未通过本年度年检的事业单位数；“尚未年检”数是指未提交年检报告的事业单位。单击以上数字，可以打开相关事业单位列表。");
/*     */     
/* 424 */     Label label_4 = new Label((Composite)this.group, 64);
/* 425 */     label_4.setBackground(Display.getCurrent()
/* 426 */         .getSystemColor(1));
/* 427 */     GridData gd_label_4 = new GridData(4, 4, true, 
/* 428 */         false);
/* 429 */     gd_label_4.widthHint = 573;
/* 430 */     gd_label_4.heightHint = 37;
/* 431 */     label_4.setLayoutData(gd_label_4);
/* 432 */     label_4
/* 433 */       .setText("    三、在“尚未年检”事业单位列表中，单击操作栏目中“合格”或“不合格”按钮，可以将所选事业单位的年检状态变更为“合格”或“不合格”。在“年检不合格”事业单位列表中，单击操作项目中的“合格”按钮，可以将所选事业单位的年检状态变更为“合格”。");
/*     */     
/* 435 */     Label label_5 = new Label((Composite)this.group, 64);
/* 436 */     label_5.setBackground(Display.getCurrent()
/* 437 */         .getSystemColor(1));
/* 438 */     GridData gd_label_5 = new GridData(4, 4, true, 
/* 439 */         false);
/* 440 */     gd_label_5.heightHint = 47;
/* 441 */     gd_label_5.widthHint = 572;
/* 442 */     label_5.setLayoutData(gd_label_5);
/* 443 */     label_5
/* 444 */       .setText("    四、特别说明：在编写年检统计功能的过程中，程序人员发现一部分事业单位的数据中缺少设立登记的日期字段，造成了统计数据不准确。经查，这部分事业单位的数据都是从单机版中导入网上登记管理系统的，因故缺失。鉴于这部分事业单位的数量不多，为了保证年检统计数据准确，我们要求程序员将缺少的设立登记日期字段全部设置为“1900年1月1日”。请有关登记管理机关通过数据整理进行查找，并予以修改。");
/*     */     
/* 446 */     Label label_10 = new Label((Composite)this.group, 64);
/* 447 */     label_10.setBackground(Display.getCurrent()
/* 448 */         .getSystemColor(1));
/* 449 */     label_10.setLayoutData(new GridData(4, 4, true, false));
/* 450 */     label_10.setText("    五、使用过程中如发现问题，请及时与我们联系。欢迎提出进一步的完善意见。");
/* 451 */     setAction(this.eclipseorgLink, "0");
/* 452 */     setAction(this.eclipseorgLink_1, "1");
/* 453 */     setAction(this.eclipseorgLink_2, "2");
/* 454 */     setAction(this.eclipseorgLink_3, "3");
/* 455 */     setAction(this.eclipseorgLink_4, "4");
/* 456 */     createActions();
/* 457 */     initializeToolBar();
/* 458 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 472 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 473 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 480 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 481 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private QuickAnnualCheckModel getData() {
/* 504 */     QuickAnnualCheckModel model = null;
/*     */     try {
/* 506 */       ArrayList<QuickAnnualCheckModel> list = (new QuickAnnualCheckOperation())
/* 507 */         .getQuickAnnualCount(HomePages.groupId, 
/* 508 */           String.valueOf(Integer.valueOf(HomePages.year).intValue() + 1));
/* 509 */       if (list != null && 
/* 510 */         list.size() != 0) {
/* 511 */         model = list.get(0);
/*     */       }
/*     */     }
/* 514 */     catch (Exception e) {
/* 515 */       e.printStackTrace();
/*     */     } 
/* 517 */     return model;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction(Link link, final String type) {
/* 524 */     link.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/*     */             try {
/* 527 */               QuickAnnualCheckDialog dialog = new QuickAnnualCheckDialog(
/* 528 */                   QuickAnnualCheck.this.group.getShell(), type, HomePages.year);
/* 529 */               dialog.open();
/* 530 */               if (dialog.isFlag()) {
/* 531 */                 QuickAnnualCheck.this.model = QuickAnnualCheck.this.getData();
/* 532 */                 QuickAnnualCheck.this.eclipseorgLink
/* 533 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 534 */                     QuickAnnualCheck.this.model.getAllUnitCount() + "</a>");
/* 535 */                 QuickAnnualCheck.this.eclipseorgLink_1
/* 536 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 537 */                     QuickAnnualCheck.this.model.getQualifiedCount() + "</a>");
/* 538 */                 QuickAnnualCheck.this.eclipseorgLink_2
/* 539 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 540 */                     QuickAnnualCheck.this.model.getNotQualifiedCount() + "</a>");
/* 541 */                 QuickAnnualCheck.this.eclipseorgLink_3
/* 542 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 543 */                     QuickAnnualCheck.this.model.getNoCheckCount() + "</a>");
/* 544 */                 QuickAnnualCheck.this.eclipseorgLink_4
/* 545 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 546 */                     QuickAnnualCheck.this.model.getNotCheckCount() + "</a>");
/* 547 */                 QuickAnnualCheck.this.group.layout();
/*     */               } 
/* 549 */             } catch (Exception e) {
/* 550 */               e.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\quick\annualcheck\QuickAnnualCheck.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */