/*     */ package cs.sydj.operation.quick.annualcheck;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class QuickAnnualCheckOperation
/*     */ {
/*  16 */   String operation = "QuickAnnualCheck";
/*  17 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  18 */   String messagexml = null;
/*  19 */   String replyxml = null;
/*  20 */   ArrayList result = new ArrayList();
/*  21 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getQuickAnnualCount(String groupId, String year) {
/*  39 */     this.messageParameter.put("groupId", groupId);
/*  40 */     this.messageParameter.put("year", year);
/*  41 */     this.messagexml = 
/*  42 */       MessageXML.MessageToXML(this.operation, "getQuickAnnualCount", this.messageParameter);
/*     */     try {
/*  44 */       this.sender = new MessageSender(
/*  45 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  46 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  47 */       this.replyxml = this.sender
/*  48 */         .sendMessage(this.messagexml, "xml");
/*     */       
/*  50 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  51 */     } catch (JMSException e) {
/*  52 */       e.printStackTrace();
/*     */     }
/*  54 */     catch (Exception e) {
/*  55 */       e.printStackTrace();
/*     */     } 
/*  57 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getQuickAnnualPublishCount(String groupId, String year) {
/*  72 */     this.messageParameter.put("groupId", groupId);
/*  73 */     this.messageParameter.put("year", year);
/*  74 */     this.messagexml = 
/*  75 */       MessageXML.MessageToXML(this.operation, "getQuickAnnualPublishCount", this.messageParameter);
/*     */     try {
/*  77 */       this.sender = new MessageSender(
/*  78 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  79 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  80 */       this.replyxml = this.sender
/*  81 */         .sendMessage(this.messagexml, "xml");
/*     */       
/*  83 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  84 */     } catch (JMSException e) {
/*  85 */       e.printStackTrace();
/*     */     }
/*  87 */     catch (Exception e) {
/*  88 */       e.printStackTrace();
/*     */     } 
/*  90 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckInfo(String groupId, String certId, String unitName, String holdUnit, String bnDate, String enDate, String type, int startNo, int maxCount, String year, String flag) {
/* 105 */     this.messageParameter.put("groupId", groupId);
/* 106 */     this.messageParameter.put("certId", certId);
/* 107 */     this.messageParameter.put("unitName", unitName);
/* 108 */     this.messageParameter.put("holdUnit", holdUnit);
/* 109 */     this.messageParameter.put("bnDate", bnDate);
/* 110 */     this.messageParameter.put("enDate", enDate);
/* 111 */     this.messageParameter.put("type", type);
/* 112 */     this.messageParameter.put("year", year);
/* 113 */     this.messageParameter.put("flag", flag);
/* 114 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 115 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 116 */     this.messagexml = 
/* 117 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfo", this.messageParameter);
/*     */     try {
/* 119 */       this.sender = new MessageSender(
/* 120 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 121 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 122 */       this.replyxml = this.sender
/* 123 */         .sendMessage(this.messagexml, "xml");
/* 124 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 125 */     } catch (JMSException e) {
/* 126 */       e.printStackTrace();
/*     */     }
/* 128 */     catch (Exception e) {
/* 129 */       e.printStackTrace();
/*     */     } 
/* 131 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualPublishInfo(String groupId, String certId, String unitName, String holdUnit, String bnDate, String enDate, String type, int startNo, int maxCount, String year, String flag) {
/* 146 */     this.messageParameter.put("groupId", groupId);
/* 147 */     this.messageParameter.put("certId", certId);
/* 148 */     this.messageParameter.put("unitName", unitName);
/* 149 */     this.messageParameter.put("holdUnit", holdUnit);
/* 150 */     this.messageParameter.put("bnDate", bnDate);
/* 151 */     this.messageParameter.put("enDate", enDate);
/* 152 */     this.messageParameter.put("type", type);
/* 153 */     this.messageParameter.put("year", year);
/* 154 */     this.messageParameter.put("flag", flag);
/* 155 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 156 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 157 */     this.messagexml = 
/* 158 */       MessageXML.MessageToXML(this.operation, "getAnnualPublishInfo", this.messageParameter);
/*     */     try {
/* 160 */       this.sender = new MessageSender(
/* 161 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 162 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 163 */       this.replyxml = this.sender
/* 164 */         .sendMessage(this.messagexml, "xml");
/* 165 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 166 */     } catch (JMSException e) {
/* 167 */       e.printStackTrace();
/*     */     }
/* 169 */     catch (Exception e) {
/* 170 */       e.printStackTrace();
/*     */     } 
/* 172 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String setQuality(String unitId, String result, String year) {
/* 185 */     this.messageParameter.put("unitId", unitId);
/* 186 */     this.messageParameter.put("result", result);
/* 187 */     this.messageParameter.put("year", year);
/* 188 */     this.messagexml = 
/* 189 */       MessageXML.MessageToXML(this.operation, "setQuality", this.messageParameter);
/*     */     try {
/* 191 */       this.sender = new MessageSender(
/* 192 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 193 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 194 */       this.replyxml = this.sender
/* 195 */         .sendMessage(this.messagexml, "short");
/* 196 */     } catch (JMSException e) {
/* 197 */       e.printStackTrace();
/*     */     }
/* 199 */     catch (Exception e) {
/* 200 */       e.printStackTrace();
/*     */     } 
/* 202 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String setPublish(String unitId, String result, String year) {
/* 215 */     this.messageParameter.put("unitId", unitId);
/* 216 */     this.messageParameter.put("result", result);
/* 217 */     this.messageParameter.put("year", year);
/* 218 */     this.messagexml = 
/* 219 */       MessageXML.MessageToXML(this.operation, "setPublish", this.messageParameter);
/*     */     try {
/* 221 */       this.sender = new MessageSender(
/* 222 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 223 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 224 */       this.replyxml = this.sender
/* 225 */         .sendMessage(this.messagexml, "short");
/* 226 */     } catch (JMSException e) {
/* 227 */       e.printStackTrace();
/*     */     }
/* 229 */     catch (Exception e) {
/* 230 */       e.printStackTrace();
/*     */     } 
/* 232 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String annualIfRequiredBySydwInfo(SydwInfo sydwInfo, String nowYear) {
/* 243 */     this.messageParameter.put("sydwInfo", MessageXML.getReplyXML(sydwInfo));
/* 244 */     this.messageParameter.put("nowDate", nowYear);
/* 245 */     this.messagexml = 
/* 246 */       MessageXML.MessageToXML(this.operation, "annualIfRequiredBySydwInfo", this.messageParameter);
/*     */     try {
/* 248 */       this.sender = new MessageSender(
/* 249 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 250 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 251 */       this.replyxml = this.sender
/* 252 */         .sendMessage(this.messagexml, "short");
/* 253 */     } catch (JMSException e) {
/* 254 */       e.printStackTrace();
/*     */     }
/* 256 */     catch (Exception e) {
/* 257 */       e.printStackTrace();
/*     */     } 
/* 259 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\quick\annualcheck\QuickAnnualCheckOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */