/*     */ package cs.sydj.operation.shenhe.biangeng;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.shenhe.instauration.ShenHeInstaurationDataManage;
/*     */ import cs.sydj.operation.shouli.biangeng.ShouLiBianGengDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ShenHeBianGengDetailActionGroup
/*     */   extends ActionGroup
/*     */ {
/*  27 */   private ShenHeBianGengDataManage dataManage = new ShenHeBianGengDataManage();
/*  28 */   private ShouLiBianGengDataManage dataManage3 = new ShouLiBianGengDataManage();
/*  29 */   Shell shell = null;
/*     */   
/*     */   public ShenHeBianGengDetailActionGroup(Shell shell, ShenHeBianGengDetailDialog dialog) {
/*  32 */     this.shell = shell;
/*  33 */     this.dialog = dialog;
/*     */   }
/*     */   private ShenHeBianGengDetailDialog dialog;
/*     */   public void fillActionBars(ToolBarManager actionBarManager) {
/*  37 */     actionBarManager.removeAll();
/*     */     
/*  39 */     if ("1".equals(ShenHeBianGengDetailDialog.insinfo.getAPPLY_STATE()) || 
/*  40 */       "6".equals(ShenHeBianGengDetailDialog.insinfo.getAPPLY_STATE())) {
/*     */       
/*  42 */       Action dealaction = new ShenHeBianGengDealAction();
/*  43 */       actionBarManager.add(createContributionItem((IAction)dealaction));
/*     */       
/*  45 */       Action backaction = new ShenHeBianGengBackAction();
/*  46 */       actionBarManager.add(createContributionItem((IAction)backaction));
/*     */     } 
/*     */     
/*  49 */     actionBarManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/*  53 */     ActionContributionItem aci = new ActionContributionItem(action);
/*  54 */     aci.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/*  55 */     return (IContributionItem)aci;
/*     */   }
/*     */   
/*     */   private class ShenHeBianGengDealAction extends Action {
/*     */     public ShenHeBianGengDealAction() {
/*  60 */       setId("cs.sydj.operation.shenhe.biangeng.ShenHeBianGengDealAction");
/*  61 */       setText("  审核通过  ");
/*  62 */       setToolTipText("审核通过");
/*  63 */       if (ShenHeBianGengDetailDialog.shenhebuttonflag) {
/*  64 */         setEnabled(true);
/*     */       } else {
/*  66 */         setEnabled(false);
/*     */       } 
/*     */     }
/*     */     public void run() {
/*     */       try {
/*  71 */         String fddbrFlag = "";
/*  72 */         for (int i = 0; i < ShenHeBianGengDetailDialog.list.size(); i++) {
/*  73 */           InsAttachmentInfo iai = new InsAttachmentInfo();
/*  74 */           iai = ShenHeBianGengDetailDialog.list.get(i);
/*  75 */           if ("事业单位法定代表人登记申请表".equals(iai.getFilename())) {
/*  76 */             fddbrFlag = "true";
/*     */             break;
/*     */           } 
/*     */         } 
/*  80 */         String replyStr = ShenHeBianGengDetailActionGroup.this.dataManage.biangengShenHeOK(ShenHeBianGengDetailDialog.insinfo.getApplyid(), 
/*  81 */             ShenHeBianGengDetailDialog.insinfo.getRealid(), fddbrFlag);
/*  82 */         if ("true".equalsIgnoreCase(replyStr)) {
/*  83 */           ShenHeBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/*  84 */           SydjMessageDialog.openInformation(null, "提示", "审核操作成功！");
/*  85 */           if (!ShenHeBianGengDetailActionGroup.this.shell.isDisposed())
/*  86 */             ShenHeBianGengDetailActionGroup.this.shell.dispose(); 
/*     */         } else {
/*  88 */           SydjMessageDialog.openInformation(null, "提示", "审核操作失败！");
/*     */         } 
/*  90 */       } catch (Exception e) {
/*  91 */         e.printStackTrace();
/*  92 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class ShenHeBianGengBackAction extends Action {
/*     */     public ShenHeBianGengBackAction() {
/*  99 */       setId("cs.sydj.operation.shenhe.biangeng.ShenHeBianGengBackAction");
/* 100 */       setText("  退回修改  ");
/* 101 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/* 106 */         ShenHeInstaurationDataManage dataManage4 = new ShenHeInstaurationDataManage();
/* 107 */         String str = ShenHeBianGengDetailActionGroup.this.dataManage3.queryBackAppendStr(ShenHeBianGengDetailDialog.insinfo);
/* 108 */         String advice = dataManage4.queryBackLeaderSuggest(ShenHeBianGengDetailDialog.insinfo);
/* 109 */         ArrayList list = new ArrayList();
/* 110 */         list = ShenHeBianGengDetailActionGroup.this.dataManage3.queryBackComboList(ShenHeBianGengDetailDialog.insinfo);
/* 111 */         if (list != null) {
/* 112 */           BackModifyDialog detailinfodialog = new BackModifyDialog(
/* 113 */               ShenHeBianGengDetailActionGroup.this.shell, str, list, advice, 
/* 114 */               "你单位提交的变更登记申请材料不全，请补充提交：", 
/* 115 */               "你单位提交的变更登记申请材料不合格，请重新提交：", "事业单位法人变更登记申请书", 
/* 116 */               "事业单位法定代表人登记申请表", "");
/* 117 */           int operation = detailinfodialog.open();
/* 118 */           if (operation == 0) {
/* 119 */             String fddbrFlag = "";
/* 120 */             for (int i = 0; i < ShenHeBianGengDetailDialog.list.size(); i++) {
/* 121 */               InsAttachmentInfo iai = new InsAttachmentInfo();
/* 122 */               iai = ShenHeBianGengDetailDialog.list.get(i);
/* 123 */               if ("事业单位法定代表人登记申请表".equals(iai.getFilename())) {
/* 124 */                 fddbrFlag = "true";
/*     */                 break;
/*     */               } 
/*     */             } 
/* 128 */             String replyStr = ShenHeBianGengDetailActionGroup.this.dataManage.backModify(
/* 129 */                 ShenHeBianGengDetailDialog.insinfo.getApplyid(), 
/* 130 */                 ShenHeBianGengDetailDialog.insinfo.getRealid(), 
/* 131 */                 detailinfodialog.getReason(), fddbrFlag);
/* 132 */             if ("true".equalsIgnoreCase(replyStr)) {
/* 133 */               ShenHeBianGengDetailActionGroup.this.dialog.setBackParameter(2);
/* 134 */               SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 135 */               if (!ShenHeBianGengDetailActionGroup.this.shell.isDisposed())
/* 136 */                 ShenHeBianGengDetailActionGroup.this.shell.dispose(); 
/*     */             } else {
/* 138 */               SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */             } 
/*     */           } 
/*     */         } 
/* 142 */       } catch (Exception e) {
/* 143 */         e.printStackTrace();
/* 144 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\biangeng\ShenHeBianGengDetailActionGroup.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */