/*      */ package cs.sydj.operation.shenhe.cert;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SetStandartLanguage;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import java.util.ArrayList;
/*      */ import org.eclipse.jface.dialogs.Dialog;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Group;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import server.sydj.operation.commons.CertFileInfoModel;
/*      */ import server.sydj.operation.commons.ItemChangeModel;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CertFileInfoDialogShenHe
/*      */   extends Dialog
/*      */ {
/*      */   private Text text_28;
/*      */   private Text text_6;
/*      */   private Text text_26;
/*      */   private Text text_29;
/*      */   private Text text_2;
/*      */   private Text text_7;
/*      */   private Text text;
/*      */   private Text text_4;
/*      */   private Text text_9;
/*      */   private Text text_5;
/*      */   private Text text_12;
/*      */   private Text text_8;
/*      */   private Text text_10;
/*      */   private Text text_15;
/*      */   private Text text_11;
/*      */   private Text text_13;
/*      */   private Text text_18;
/*      */   private Text text_14;
/*      */   private Text text_16;
/*      */   private Text text_19;
/*      */   private Text text_21;
/*      */   private Text text_17;
/*      */   private Text text_23;
/*      */   private Text text_20;
/*      */   private Text text_24;
/*      */   private Text text_27;
/*      */   private Text text_22;
/*      */   private Text text_25;
/*      */   private CertFileInfoModel cert;
/*      */   private boolean isWtAccept;
/*      */   private Composite container;
/*      */   private Button button;
/*      */   private Group group;
/*      */   private ScrolledComposite scrolledComposite;
/*   71 */   private int returnValue = 1;
/*      */ 
/*      */ 
/*      */   
/*      */   public int open() {
/*   76 */     super.open();
/*   77 */     return this.returnValue;
/*      */   }
/*      */   
/*      */   public int getReturnValue() {
/*   81 */     return this.returnValue;
/*      */   }
/*      */   
/*      */   public void setReturnValue(int returnValue) {
/*   85 */     this.returnValue = returnValue;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CertFileInfoDialogShenHe(Shell parentShell, CertFileInfoModel cert, boolean isWtAccept) {
/*   95 */     super(parentShell);
/*   96 */     setShellStyle(66560);
/*   97 */     this.cert = cert;
/*   98 */     this.isWtAccept = isWtAccept;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Control createDialogArea(Composite parent) {
/*  108 */     parent.setBackground(Display.getCurrent()
/*  109 */         .getSystemColor(1));
/*  110 */     this.container = (Composite)super.createDialogArea(parent);
/*  111 */     this.container.setLayout((Layout)new FillLayout());
/*      */     
/*  113 */     this.scrolledComposite = new ScrolledComposite(this.container, 2816);
/*      */     
/*  115 */     this.scrolledComposite.setExpandHorizontal(true);
/*      */     
/*  117 */     this.group = new Group((Composite)this.scrolledComposite, 0);
/*  118 */     this.group.setBackground(
/*  119 */         Display.getCurrent().getSystemColor(1));
/*  120 */     GridLayout gridLayout = new GridLayout();
/*  121 */     gridLayout.verticalSpacing = 0;
/*  122 */     gridLayout.horizontalSpacing = 0;
/*  123 */     gridLayout.numColumns = 17;
/*  124 */     this.group.setLayout((Layout)gridLayout);
/*  125 */     this.group.setLocation(0, 0);
/*      */ 
/*      */     
/*  128 */     Label label_95 = new Label((Composite)this.group, 0);
/*  129 */     label_95.setFont(SWTResourceManager.getFont("", 14, 1));
/*  130 */     label_95.setBackground(Display.getCurrent().getSystemColor(1));
/*  131 */     GridData gd_label_95 = new GridData(16777216, 16777216, false, false, 15, 1);
/*  132 */     gd_label_95.heightHint = 45;
/*  133 */     label_95.setLayoutData(gd_label_95);
/*  134 */     label_95.setText("事业单位法人证书补领申请表");
/*      */ 
/*      */ 
/*      */     
/*  138 */     Label label_94 = new Label((Composite)this.group, 0);
/*  139 */     label_94.setBackground(Display.getCurrent().getSystemColor(1));
/*  140 */     label_94.setLayoutData(new GridData(16384, 16777216, false, false, 11, 1));
/*  141 */     label_94.setText("在线填表（注：带*的项目必须填）");
/*      */ 
/*      */ 
/*      */     
/*  145 */     this.text_19 = new Text((Composite)this.group, 2056);
/*  146 */     this.text_19.setVisible(false);
/*      */ 
/*      */     
/*  149 */     Label label_87 = new Label((Composite)this.group, 258);
/*  150 */     label_87.setBackground(Display.getCurrent()
/*  151 */         .getSystemColor(1));
/*  152 */     label_87.setLayoutData(new GridData(4, 16777216, false, false, 
/*  153 */           17, 1));
/*      */     
/*  155 */     Label label_91 = new Label((Composite)this.group, 2);
/*  156 */     label_91.setBackground(Display.getCurrent()
/*  157 */         .getSystemColor(1));
/*  158 */     GridData gd_label_91 = new GridData(4, 4, false, 
/*  159 */         false);
/*  160 */     gd_label_91.heightHint = 12;
/*  161 */     label_91.setLayoutData(gd_label_91);
/*      */     
/*  163 */     Label label_85 = new Label((Composite)this.group, 0);
/*  164 */     label_85.setBackground(Display.getCurrent()
/*  165 */         .getSystemColor(1));
/*  166 */     label_85.setLayoutData(new GridData(16777216, 16777216, false, 
/*  167 */           false, 4, 1));
/*  168 */     label_85.setText("单位名称");
/*      */     
/*  170 */     Label label_92 = new Label((Composite)this.group, 2);
/*  171 */     label_92.setBackground(Display.getCurrent()
/*  172 */         .getSystemColor(1));
/*  173 */     GridData gd_label_92 = new GridData(4, 4, false, 
/*  174 */         false);
/*  175 */     gd_label_92.heightHint = 12;
/*  176 */     label_92.setLayoutData(gd_label_92);
/*      */     
/*  178 */     this.text_28 = new Text((Composite)this.group, 2056);
/*  179 */     this.text_28.setBackground(Display.getCurrent()
/*  180 */         .getSystemColor(1));
/*  181 */     GridData gd_text_28 = new GridData(4, 16777216, true, 
/*  182 */         false, 10, 1);
/*  183 */     this.text_28.setLayoutData(gd_text_28);
/*      */     
/*  185 */     Label label_93 = new Label((Composite)this.group, 2);
/*  186 */     label_93.setBackground(Display.getCurrent()
/*  187 */         .getSystemColor(1));
/*  188 */     GridData gd_label_93 = new GridData(4, 4, false, 
/*  189 */         false);
/*  190 */     gd_label_93.widthHint = 2;
/*  191 */     gd_label_93.heightHint = 9;
/*  192 */     label_93.setLayoutData(gd_label_93);
/*      */     
/*  194 */     Label label_86 = new Label((Composite)this.group, 258);
/*  195 */     label_86.setBackground(Display.getCurrent()
/*  196 */         .getSystemColor(1));
/*  197 */     label_86.setLayoutData(new GridData(4, 16777216, false, false, 
/*  198 */           17, 1));
/*      */     
/*  200 */     Label label_88 = new Label((Composite)this.group, 2);
/*  201 */     label_88.setBackground(Display.getCurrent()
/*  202 */         .getSystemColor(1));
/*  203 */     GridData gd_label_88 = new GridData(4, 4, false, 
/*  204 */         false);
/*  205 */     gd_label_88.heightHint = 10;
/*  206 */     label_88.setLayoutData(gd_label_88);
/*      */     
/*  208 */     Label label_84 = new Label((Composite)this.group, 0);
/*  209 */     label_84.setBackground(Display.getCurrent()
/*  210 */         .getSystemColor(1));
/*  211 */     label_84.setLayoutData(new GridData(16777216, 16777216, false, 
/*  212 */           false, 4, 1));
/*  213 */     label_84.setText("统一社会信用代码");
/*      */     
/*  215 */     Label label_89 = new Label((Composite)this.group, 2);
/*  216 */     label_89.setBackground(Display.getCurrent()
/*  217 */         .getSystemColor(1));
/*  218 */     GridData gd_label_89 = new GridData(4, 4, false, 
/*  219 */         false);
/*  220 */     gd_label_89.heightHint = 11;
/*  221 */     label_89.setLayoutData(gd_label_89);
/*      */     
/*  223 */     this.text_6 = new Text((Composite)this.group, 2056);
/*  224 */     this.text_6.setBackground(Display.getCurrent()
/*  225 */         .getSystemColor(1));
/*  226 */     GridData gd_text_6 = new GridData(4, 16777216, true, 
/*  227 */         false, 5, 1);
/*  228 */     this.text_6.setLayoutData(gd_text_6);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  235 */     Label label_90 = new Label((Composite)this.group, 2);
/*  236 */     label_90.setBackground(Display.getCurrent()
/*  237 */         .getSystemColor(1));
/*  238 */     GridData gd_label_90 = new GridData(4, 4, false, 
/*  239 */         false);
/*  240 */     gd_label_90.heightHint = 14;
/*  241 */     label_90.setLayoutData(gd_label_90);
/*      */     
/*  243 */     Label label_83 = new Label((Composite)this.group, 258);
/*  244 */     label_83.setBackground(Display.getCurrent()
/*  245 */         .getSystemColor(1));
/*  246 */     label_83.setLayoutData(new GridData(4, 16777216, false, false, 
/*  247 */           17, 1));
/*      */     
/*  249 */     Label label_78 = new Label((Composite)this.group, 2);
/*  250 */     label_78.setBackground(Display.getCurrent()
/*  251 */         .getSystemColor(1));
/*  252 */     GridData gd_label_78 = new GridData(4, 4, false, 
/*  253 */         false);
/*  254 */     gd_label_78.widthHint = 3;
/*  255 */     gd_label_78.heightHint = 10;
/*  256 */     label_78.setLayoutData(gd_label_78);
/*      */     
/*  258 */     Label label_74 = new Label((Composite)this.group, 0);
/*  259 */     label_74.setBackground(Display.getCurrent()
/*  260 */         .getSystemColor(1));
/*  261 */     label_74.setLayoutData(new GridData(16777216, 16777216, false, 
/*  262 */           false, 4, 1));
/*  263 */     label_74.setText("现存证书情况");
/*      */     
/*  265 */     Label label_79 = new Label((Composite)this.group, 2);
/*  266 */     label_79.setBackground(Display.getCurrent()
/*  267 */         .getSystemColor(1));
/*  268 */     GridData gd_label_79 = new GridData(4, 4, false, 
/*  269 */         false);
/*  270 */     gd_label_79.widthHint = 3;
/*  271 */     gd_label_79.heightHint = 11;
/*  272 */     label_79.setLayoutData(gd_label_79);
/*      */     
/*  274 */     Label label_75 = new Label((Composite)this.group, 0);
/*  275 */     label_75.setBackground(Display.getCurrent()
/*  276 */         .getSystemColor(1));
/*  277 */     label_75.setLayoutData(new GridData(16777216, 16777216, false, 
/*  278 */           false));
/*  279 */     label_75.setText("正本");
/*      */     
/*  281 */     Label label_80 = new Label((Composite)this.group, 2);
/*  282 */     label_80.setBackground(Display.getCurrent()
/*  283 */         .getSystemColor(1));
/*  284 */     GridData gd_label_80 = new GridData(4, 4, false, 
/*  285 */         false);
/*  286 */     gd_label_80.heightHint = 13;
/*  287 */     label_80.setLayoutData(gd_label_80);
/*      */ 
/*      */     
/*  290 */     this.text_29 = new Text((Composite)this.group, 2056);
/*  291 */     this.text_29.setBackground(Display.getCurrent()
/*  292 */         .getSystemColor(1));
/*  293 */     GridData gd_text_29 = new GridData(4, 16777216, true, 
/*  294 */         false);
/*  295 */     this.text_29.setLayoutData(gd_text_29);
/*      */ 
/*      */     
/*  298 */     Label label_76 = new Label((Composite)this.group, 0);
/*  299 */     label_76.setBackground(Display.getCurrent()
/*  300 */         .getSystemColor(1));
/*  301 */     label_76.setLayoutData(new GridData(16777216, 16777216, false, 
/*  302 */           false));
/*  303 */     label_76.setText("副本");
/*      */     
/*  305 */     Label label_81 = new Label((Composite)this.group, 2);
/*  306 */     label_81.setBackground(Display.getCurrent()
/*  307 */         .getSystemColor(1));
/*  308 */     GridData gd_label_81 = new GridData(4, 4, false, 
/*  309 */         false);
/*  310 */     gd_label_81.heightHint = 15;
/*  311 */     label_81.setLayoutData(gd_label_81);
/*      */     
/*  313 */     this.text_26 = new Text((Composite)this.group, 2056);
/*  314 */     this.text_26.setBackground(Display.getCurrent()
/*  315 */         .getSystemColor(1));
/*  316 */     GridData gd_text_26 = new GridData(4, 16777216, true, 
/*  317 */         false);
/*  318 */     this.text_26.setLayoutData(gd_text_26);
/*      */ 
/*      */ 
/*      */     
/*  322 */     Label label_82 = new Label((Composite)this.group, 2);
/*  323 */     label_82.setBackground(Display.getCurrent()
/*  324 */         .getSystemColor(1));
/*  325 */     GridData gd_label_82 = new GridData(4, 4, false, 
/*  326 */         false);
/*  327 */     gd_label_82.widthHint = 2;
/*  328 */     gd_label_82.heightHint = 9;
/*  329 */     label_82.setLayoutData(gd_label_82);
/*      */     
/*  331 */     Label label_77 = new Label((Composite)this.group, 258);
/*  332 */     label_77.setBackground(Display.getCurrent()
/*  333 */         .getSystemColor(1));
/*  334 */     label_77.setLayoutData(new GridData(4, 16777216, false, false, 
/*  335 */           17, 1));
/*      */     
/*  337 */     Label label_70 = new Label((Composite)this.group, 2);
/*  338 */     label_70.setBackground(Display.getCurrent()
/*  339 */         .getSystemColor(1));
/*  340 */     GridData gd_label_70 = new GridData(4, 4, false, 
/*  341 */         false);
/*  342 */     gd_label_70.widthHint = 2;
/*  343 */     label_70.setLayoutData(gd_label_70);
/*      */     
/*  345 */     Label label_69 = new Label((Composite)this.group, 64);
/*  346 */     label_69.setBackground(Display.getCurrent()
/*  347 */         .getSystemColor(1));
/*  348 */     GridData gd_label_69 = new GridData(16777216, 16777216, 
/*  349 */         false, false, 4, 1);
/*  350 */     gd_label_69.widthHint = 14;
/*  351 */     label_69.setLayoutData(gd_label_69);
/*  352 */     label_69.setText("申请补领原因");
/*      */     
/*  354 */     Label label_71 = new Label((Composite)this.group, 2);
/*  355 */     label_71.setBackground(Display.getCurrent()
/*  356 */         .getSystemColor(1));
/*  357 */     label_71.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  359 */     this.text_2 = new Text((Composite)this.group, 2562);
/*  360 */     this.text_2.setBackground(Display.getCurrent()
/*  361 */         .getSystemColor(1));
/*  362 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/*  363 */         false, 10, 1);
/*  364 */     gd_text_2.heightHint = 87;
/*  365 */     this.text_2.setLayoutData(gd_text_2);
/*      */     
/*  367 */     Label label_72 = new Label((Composite)this.group, 2);
/*  368 */     label_72.setBackground(Display.getCurrent()
/*  369 */         .getSystemColor(1));
/*  370 */     GridData gd_label_72 = new GridData(4, 4, false, 
/*  371 */         false);
/*  372 */     gd_label_72.widthHint = 2;
/*  373 */     label_72.setLayoutData(gd_label_72);
/*      */     
/*  375 */     Label label_73 = new Label((Composite)this.group, 258);
/*  376 */     label_73.setBackground(Display.getCurrent()
/*  377 */         .getSystemColor(1));
/*  378 */     label_73.setLayoutData(new GridData(4, 16777216, false, false, 
/*  379 */           17, 1));
/*      */     
/*  381 */     Label label_66 = new Label((Composite)this.group, 2);
/*  382 */     label_66.setBackground(Display.getCurrent()
/*  383 */         .getSystemColor(1));
/*  384 */     GridData gd_label_66 = new GridData(4, 4, false, 
/*  385 */         false, 1, 2);
/*  386 */     gd_label_66.widthHint = 2;
/*  387 */     label_66.setLayoutData(gd_label_66);
/*      */     
/*  389 */     Label label_62 = new Label((Composite)this.group, 64);
/*  390 */     label_62.setBackground(Display.getCurrent()
/*  391 */         .getSystemColor(1));
/*  392 */     GridData gd_label_62 = new GridData(16777216, 16777216, 
/*  393 */         false, false, 4, 1);
/*  394 */     gd_label_62.widthHint = 14;
/*  395 */     label_62.setLayoutData(gd_label_62);
/*  396 */     label_62.setText("法定代表人意见");
/*      */     
/*  398 */     Label label_67 = new Label((Composite)this.group, 2);
/*  399 */     label_67.setBackground(Display.getCurrent()
/*  400 */         .getSystemColor(1));
/*  401 */     label_67.setLayoutData(new GridData(4, 4, false, false, 
/*  402 */           1, 2));
/*      */     
/*  404 */     this.text_4 = new Text((Composite)this.group, 2570);
/*      */     
/*  406 */     this.text_4.setBackground(Display.getCurrent()
/*  407 */         .getSystemColor(1));
/*  408 */     GridData gd_text_4 = new GridData(4, 16777216, true, 
/*  409 */         false, 10, 1);
/*  410 */     gd_text_4.heightHint = 89;
/*  411 */     this.text_4.setLayoutData(gd_text_4);
/*      */     
/*  413 */     Label label_68 = new Label((Composite)this.group, 2);
/*  414 */     label_68.setBackground(Display.getCurrent()
/*  415 */         .getSystemColor(1));
/*  416 */     label_68.setLayoutData(new GridData(4, 4, false, false, 
/*  417 */           1, 2));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  423 */     Label label_63 = new Label((Composite)this.group, 0);
/*  424 */     label_63.setBackground(Display.getCurrent()
/*  425 */         .getSystemColor(1));
/*  426 */     label_63.setLayoutData(new GridData(16777216, 16777216, false, 
/*  427 */           false));
/*  428 */     label_63.setText("签名：");
/*      */ 
/*      */ 
/*      */     
/*  432 */     this.text = new Text((Composite)this.group, 2056);
/*  433 */     this.text
/*  434 */       .setBackground(Display.getCurrent().getSystemColor(
/*  435 */           1));
/*  436 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  437 */     this.text.setLayoutData(gd_text);
/*      */ 
/*      */     
/*  440 */     Label label_64 = new Label((Composite)this.group, 0);
/*  441 */     label_64.setBackground(Display.getCurrent()
/*  442 */         .getSystemColor(1));
/*  443 */     label_64.setLayoutData(new GridData(16777216, 16777216, false, 
/*  444 */           false));
/*  445 */     label_64.setText("日期：");
/*      */ 
/*      */     
/*  448 */     this.text_7 = new Text((Composite)this.group, 2056);
/*  449 */     this.text_7.setBackground(Display.getCurrent()
/*  450 */         .getSystemColor(1));
/*  451 */     GridData gd_text_7 = new GridData(4, 16777216, true, 
/*  452 */         false);
/*  453 */     this.text_7.setLayoutData(gd_text_7);
/*      */ 
/*      */ 
/*      */     
/*  457 */     Label label_65 = new Label((Composite)this.group, 258);
/*  458 */     label_65.setBackground(Display.getCurrent()
/*  459 */         .getSystemColor(1));
/*  460 */     label_65.setLayoutData(new GridData(4, 16777216, false, false, 
/*  461 */           17, 1));
/*      */     
/*  463 */     Label label_59 = new Label((Composite)this.group, 2);
/*  464 */     label_59.setBackground(Display.getCurrent()
/*  465 */         .getSystemColor(1));
/*  466 */     label_59.setLayoutData(new GridData(4, 4, false, false, 
/*  467 */           1, 2));
/*      */     
/*  469 */     Label label_57 = new Label((Composite)this.group, 64);
/*  470 */     label_57.setBackground(Display.getCurrent()
/*  471 */         .getSystemColor(1));
/*  472 */     GridData gd_label_57 = new GridData(16777216, 16777216, 
/*  473 */         false, false, 4, 1);
/*  474 */     gd_label_57.widthHint = 13;
/*  475 */     label_57.setLayoutData(gd_label_57);
/*  476 */     label_57.setText("举办单位意见");
/*      */     
/*  478 */     Label label_60 = new Label((Composite)this.group, 2);
/*  479 */     label_60.setBackground(Display.getCurrent()
/*  480 */         .getSystemColor(1));
/*  481 */     label_60.setLayoutData(new GridData(4, 4, false, false, 
/*  482 */           1, 2));
/*      */     
/*  484 */     this.text_5 = new Text((Composite)this.group, 2570);
/*      */     
/*  486 */     this.text_5.setBackground(Display.getCurrent()
/*  487 */         .getSystemColor(1));
/*  488 */     GridData gd_text_5 = new GridData(4, 16777216, true, 
/*  489 */         false, 10, 1);
/*  490 */     gd_text_5.heightHint = 80;
/*  491 */     this.text_5.setLayoutData(gd_text_5);
/*      */     
/*  493 */     Label label_61 = new Label((Composite)this.group, 2);
/*  494 */     label_61.setBackground(Display.getCurrent()
/*  495 */         .getSystemColor(1));
/*  496 */     GridData gd_label_61 = new GridData(4, 4, false, 
/*  497 */         false, 1, 2);
/*  498 */     gd_label_61.widthHint = 2;
/*  499 */     label_61.setLayoutData(gd_label_61);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  510 */     Label label_58 = new Label((Composite)this.group, 0);
/*  511 */     label_58.setBackground(Display.getCurrent()
/*  512 */         .getSystemColor(1));
/*  513 */     label_58.setLayoutData(new GridData(16777216, 16777216, false, 
/*  514 */           false));
/*  515 */     label_58.setText("日期：");
/*      */ 
/*      */     
/*  518 */     this.text_9 = new Text((Composite)this.group, 2056);
/*  519 */     this.text_9.setBackground(Display.getCurrent()
/*  520 */         .getSystemColor(1));
/*  521 */     GridData gd_text_9 = new GridData(4, 16777216, true, 
/*  522 */         false);
/*  523 */     this.text_9.setLayoutData(gd_text_9);
/*      */ 
/*      */ 
/*      */     
/*  527 */     Label label_56 = new Label((Composite)this.group, 258);
/*  528 */     label_56.setBackground(Display.getCurrent()
/*  529 */         .getSystemColor(1));
/*  530 */     label_56.setLayoutData(new GridData(4, 4, false, false, 
/*  531 */           17, 1));
/*      */     
/*  533 */     Label label_45 = new Label((Composite)this.group, 2);
/*  534 */     label_45.setBackground(Display.getCurrent()
/*  535 */         .getSystemColor(1));
/*  536 */     GridData gd_label_45 = new GridData(4, 4, false, 
/*  537 */         false, 1, 8);
/*  538 */     gd_label_45.widthHint = 2;
/*  539 */     label_45.setLayoutData(gd_label_45);
/*      */     
/*  541 */     Label label_38 = new Label((Composite)this.group, 64);
/*  542 */     label_38.setBackground(Display.getCurrent()
/*  543 */         .getSystemColor(1));
/*  544 */     GridData gd_label_38 = new GridData(16777216, 16777216, 
/*  545 */         false, false, 1, 8);
/*  546 */     gd_label_38.widthHint = 14;
/*  547 */     label_38.setLayoutData(gd_label_38);
/*  548 */     label_38.setText("登记管理机关意见");
/*      */ 
/*      */     
/*  551 */     Label label_44 = new Label((Composite)this.group, 2);
/*  552 */     label_44.setBackground(Display.getCurrent()
/*  553 */         .getSystemColor(1));
/*  554 */     GridData gd_label_44 = new GridData(4, 4, false, 
/*  555 */         false, 1, 8);
/*  556 */     gd_label_44.widthHint = 2;
/*  557 */     label_44.setLayoutData(gd_label_44);
/*      */     
/*  559 */     Label label_51 = new Label((Composite)this.group, 64);
/*  560 */     label_51.setBackground(Display.getCurrent()
/*  561 */         .getSystemColor(1));
/*  562 */     GridData gd_label_51 = new GridData(16777216, 16777216, 
/*  563 */         false, false);
/*  564 */     gd_label_51.widthHint = 16;
/*  565 */     label_51.setLayoutData(gd_label_51);
/*  566 */     label_51.setText("受理人");
/*      */     
/*  568 */     Label label_43 = new Label((Composite)this.group, 2);
/*  569 */     label_43.setBackground(Display.getCurrent()
/*  570 */         .getSystemColor(1));
/*  571 */     GridData gd_label_43 = new GridData(4, 4, false, 
/*  572 */         false, 1, 8);
/*  573 */     gd_label_43.widthHint = 2;
/*  574 */     label_43.setLayoutData(gd_label_43);
/*      */     
/*  576 */     this.text_10 = new Text((Composite)this.group, 2570);
/*      */     
/*  578 */     this.text_10.setBackground(Display.getCurrent()
/*  579 */         .getSystemColor(1));
/*  580 */     GridData gd_text_10 = new GridData(4, 16777216, true, 
/*  581 */         false, 10, 1);
/*  582 */     gd_text_10.heightHint = 72;
/*  583 */     this.text_10.setLayoutData(gd_text_10);
/*      */     
/*  585 */     Label label_47 = new Label((Composite)this.group, 2);
/*  586 */     label_47.setBackground(Display.getCurrent()
/*  587 */         .getSystemColor(1));
/*  588 */     GridData gd_label_47 = new GridData(4, 4, false, 
/*  589 */         false, 1, 8);
/*  590 */     gd_label_47.widthHint = 2;
/*  591 */     label_47.setLayoutData(gd_label_47);
/*      */ 
/*      */ 
/*      */     
/*  595 */     Label label_53 = new Label((Composite)this.group, 0);
/*  596 */     label_53.setBackground(Display.getCurrent()
/*  597 */         .getSystemColor(1));
/*  598 */     label_53.setLayoutData(new GridData(16777216, 16777216, false, 
/*  599 */           false));
/*  600 */     label_53.setText("签名（*）：");
/*      */ 
/*      */     
/*  603 */     this.text_8 = new Text((Composite)this.group, 2056);
/*  604 */     this.text_8.setBackground(Display.getCurrent()
/*  605 */         .getSystemColor(1));
/*  606 */     GridData gd_text_8 = new GridData(4, 16777216, true, 
/*  607 */         false, 2, 1);
/*  608 */     this.text_8.setLayoutData(gd_text_8);
/*      */ 
/*      */     
/*  611 */     Label label_54 = new Label((Composite)this.group, 0);
/*  612 */     label_54.setBackground(Display.getCurrent()
/*  613 */         .getSystemColor(1));
/*  614 */     label_54.setLayoutData(new GridData(16777216, 16777216, false, 
/*  615 */           false));
/*  616 */     label_54.setText("日期：");
/*      */ 
/*      */     
/*  619 */     this.text_12 = new Text((Composite)this.group, 2056);
/*  620 */     this.text_12.setBackground(Display.getCurrent()
/*  621 */         .getSystemColor(1));
/*  622 */     GridData gd_text_12 = new GridData(4, 16777216, true, 
/*  623 */         false);
/*  624 */     this.text_12.setLayoutData(gd_text_12);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  630 */     Label label_52 = new Label((Composite)this.group, 258);
/*  631 */     label_52.setBackground(Display.getCurrent()
/*  632 */         .getSystemColor(1));
/*  633 */     label_52.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  635 */     Label label_55 = new Label((Composite)this.group, 258);
/*  636 */     label_55.setBackground(Display.getCurrent()
/*  637 */         .getSystemColor(1));
/*  638 */     label_55.setLayoutData(new GridData(4, 16777216, false, false, 
/*  639 */           10, 1));
/*      */ 
/*      */     
/*  642 */     Label label_48 = new Label((Composite)this.group, 64);
/*  643 */     label_48.setBackground(Display.getCurrent()
/*  644 */         .getSystemColor(1));
/*  645 */     GridData gd_label_48 = new GridData(16777216, 16777216, 
/*  646 */         false, false);
/*  647 */     gd_label_48.widthHint = 14;
/*  648 */     label_48.setLayoutData(gd_label_48);
/*  649 */     label_48.setText("审核人");
/*      */     
/*  651 */     this.text_13 = new Text((Composite)this.group, 2562);
/*  652 */     this.text_13.setBackground(Display.getCurrent()
/*  653 */         .getSystemColor(1));
/*  654 */     GridData gd_text_13 = new GridData(4, 16777216, true, 
/*  655 */         false, 10, 1);
/*  656 */     gd_text_13.heightHint = 83;
/*  657 */     this.text_13.setLayoutData(gd_text_13);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  667 */     SetStandartLanguage.setStandRespone(this.isWtAccept, this.group, this.text_13, 
/*  668 */         "符合条件，建议批准。");
/*      */     
/*  670 */     this.text_11 = new Text((Composite)this.group, 2048);
/*  671 */     this.text_11.setBackground(Display.getCurrent()
/*  672 */         .getSystemColor(1));
/*  673 */     GridData gd_text_11 = new GridData(4, 16777216, true, 
/*  674 */         false, 3, 1);
/*  675 */     this.text_11.setLayoutData(gd_text_11);
/*      */ 
/*      */     
/*  678 */     Label label_50 = new Label((Composite)this.group, 0);
/*  679 */     label_50.setBackground(Display.getCurrent()
/*  680 */         .getSystemColor(1));
/*  681 */     label_50.setLayoutData(new GridData(16777216, 16777216, false, 
/*  682 */           false));
/*  683 */     label_50.setText("日期：");
/*      */ 
/*      */     
/*  686 */     this.text_15 = new Text((Composite)this.group, 2056);
/*  687 */     this.text_15.setBackground(Display.getCurrent()
/*  688 */         .getSystemColor(1));
/*  689 */     GridData gd_text_15 = new GridData(4, 16777216, true, 
/*  690 */         false);
/*  691 */     this.text_15.setLayoutData(gd_text_15);
/*      */ 
/*      */     
/*  694 */     this.button = new Button((Composite)this.group, 0);
/*  695 */     this.button.setText("日期");
/*      */ 
/*      */     
/*  698 */     Label label_46 = new Label((Composite)this.group, 258);
/*  699 */     label_46.setBackground(Display.getCurrent()
/*  700 */         .getSystemColor(1));
/*  701 */     label_46.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  703 */     Label label_37 = new Label((Composite)this.group, 258);
/*  704 */     label_37.setBackground(Display.getCurrent()
/*  705 */         .getSystemColor(1));
/*  706 */     label_37.setLayoutData(new GridData(4, 4, false, false, 
/*  707 */           10, 1));
/*      */ 
/*      */     
/*  710 */     Label label_39 = new Label((Composite)this.group, 64);
/*  711 */     label_39.setBackground(Display.getCurrent()
/*  712 */         .getSystemColor(1));
/*  713 */     GridData gd_label_39 = new GridData(16777216, 16777216, 
/*  714 */         false, false);
/*  715 */     gd_label_39.widthHint = 15;
/*  716 */     label_39.setLayoutData(gd_label_39);
/*  717 */     label_39.setText("负责人");
/*      */     
/*  719 */     this.text_16 = new Text((Composite)this.group, 2570);
/*      */     
/*  721 */     this.text_16.setBackground(Display.getCurrent()
/*  722 */         .getSystemColor(1));
/*  723 */     GridData gd_text_16 = new GridData(4, 16777216, true, 
/*  724 */         false, 10, 1);
/*  725 */     gd_text_16.heightHint = 84;
/*  726 */     this.text_16.setLayoutData(gd_text_16);
/*      */ 
/*      */ 
/*      */     
/*  730 */     Label label_40 = new Label((Composite)this.group, 0);
/*  731 */     label_40.setBackground(Display.getCurrent()
/*  732 */         .getSystemColor(1));
/*  733 */     label_40.setLayoutData(new GridData(16777216, 16777216, false, 
/*  734 */           false));
/*  735 */     label_40.setText("签名：");
/*      */     
/*  737 */     this.text_14 = new Text((Composite)this.group, 2056);
/*  738 */     this.text_14.setBackground(Display.getCurrent()
/*  739 */         .getSystemColor(1));
/*  740 */     GridData gd_text_14 = new GridData(4, 16777216, true, 
/*  741 */         false, 3, 1);
/*  742 */     this.text_14.setLayoutData(gd_text_14);
/*      */ 
/*      */     
/*  745 */     Label label_42 = new Label((Composite)this.group, 0);
/*  746 */     label_42.setBackground(Display.getCurrent()
/*  747 */         .getSystemColor(1));
/*  748 */     label_42.setLayoutData(new GridData(16777216, 16777216, false, 
/*  749 */           false));
/*  750 */     label_42.setText("日期：");
/*      */ 
/*      */     
/*  753 */     this.text_18 = new Text((Composite)this.group, 2056);
/*  754 */     this.text_18.setBackground(Display.getCurrent()
/*  755 */         .getSystemColor(1));
/*  756 */     GridData gd_text_18 = new GridData(4, 16777216, true, 
/*  757 */         false);
/*  758 */     this.text_18.setLayoutData(gd_text_18);
/*      */ 
/*      */ 
/*      */     
/*  762 */     Label label_41 = new Label((Composite)this.group, 258);
/*  763 */     label_41.setBackground(Display.getCurrent()
/*  764 */         .getSystemColor(1));
/*  765 */     label_41.setLayoutData(new GridData(4, 4, false, false, 
/*  766 */           17, 1));
/*      */     
/*  768 */     Label label_23 = new Label((Composite)this.group, 2);
/*  769 */     label_23.setBackground(Display.getCurrent()
/*  770 */         .getSystemColor(1));
/*  771 */     GridData gd_label_23 = new GridData(4, 4, false, 
/*  772 */         false, 1, 3);
/*  773 */     gd_label_23.widthHint = 2;
/*  774 */     gd_label_23.heightHint = 15;
/*  775 */     label_23.setLayoutData(gd_label_23);
/*      */     
/*  777 */     Label label_16 = new Label((Composite)this.group, 64);
/*  778 */     label_16.setBackground(Display.getCurrent()
/*  779 */         .getSystemColor(1));
/*  780 */     GridData gd_label_16 = new GridData(16777216, 16777216, 
/*  781 */         false, false, 4, 3);
/*  782 */     gd_label_16.heightHint = 60;
/*  783 */     gd_label_16.widthHint = 26;
/*  784 */     label_16.setLayoutData(gd_label_16);
/*  785 */     label_16.setText("证书发放情况");
/*      */     
/*  787 */     Label label_24 = new Label((Composite)this.group, 2);
/*  788 */     label_24.setBackground(Display.getCurrent()
/*  789 */         .getSystemColor(1));
/*  790 */     GridData gd_label_24 = new GridData(4, 4, false, 
/*  791 */         false, 1, 3);
/*  792 */     gd_label_24.widthHint = 2;
/*  793 */     gd_label_24.heightHint = 9;
/*  794 */     label_24.setLayoutData(gd_label_24);
/*      */     
/*  796 */     Label label_26 = new Label((Composite)this.group, 0);
/*  797 */     label_26.setBackground(Display.getCurrent()
/*  798 */         .getSystemColor(1));
/*  799 */     label_26.setLayoutData(new GridData(16777216, 16777216, false, 
/*  800 */           false));
/*  801 */     label_26.setText("副本份数");
/*      */     
/*  803 */     Label label_19 = new Label((Composite)this.group, 2);
/*  804 */     label_19.setBackground(Display.getCurrent()
/*  805 */         .getSystemColor(1));
/*  806 */     GridData gd_label_19 = new GridData(4, 4, false, 
/*  807 */         false, 1, 3);
/*  808 */     gd_label_19.widthHint = 3;
/*  809 */     gd_label_19.heightHint = 15;
/*  810 */     label_19.setLayoutData(gd_label_19);
/*      */     
/*  812 */     this.text_17 = new Text((Composite)this.group, 2056);
/*  813 */     this.text_17.setBackground(Display.getCurrent()
/*  814 */         .getSystemColor(1));
/*  815 */     GridData gd_text_17 = new GridData(4, 16777216, true, 
/*  816 */         false, 2, 1);
/*  817 */     this.text_17.setLayoutData(gd_text_17);
/*      */     
/*  819 */     Label label_21 = new Label((Composite)this.group, 2);
/*  820 */     label_21.setBackground(Display.getCurrent()
/*  821 */         .getSystemColor(1));
/*  822 */     GridData gd_label_21 = new GridData(4, 4, false, 
/*  823 */         false, 1, 3);
/*  824 */     gd_label_21.heightHint = 4;
/*  825 */     gd_label_21.widthHint = 1;
/*  826 */     label_21.setLayoutData(gd_label_21);
/*      */     
/*  828 */     Label label_27 = new Label((Composite)this.group, 0);
/*  829 */     label_27.setBackground(Display.getCurrent()
/*  830 */         .getSystemColor(1));
/*  831 */     label_27.setLayoutData(new GridData(16777216, 16777216, false, 
/*  832 */           false, 3, 1));
/*  833 */     label_27.setText("发证人");
/*      */     
/*  835 */     Label label_22 = new Label((Composite)this.group, 2);
/*  836 */     label_22.setBackground(Display.getCurrent()
/*  837 */         .getSystemColor(1));
/*  838 */     GridData gd_label_22 = new GridData(4, 4, false, 
/*  839 */         false, 1, 3);
/*  840 */     gd_label_22.widthHint = 1;
/*  841 */     gd_label_22.heightHint = 8;
/*  842 */     label_22.setLayoutData(gd_label_22);
/*      */     
/*  844 */     this.text_21 = new Text((Composite)this.group, 2056);
/*  845 */     this.text_21.setBackground(Display.getCurrent()
/*  846 */         .getSystemColor(1));
/*  847 */     GridData gd_text_21 = new GridData(4, 16777216, true, 
/*  848 */         false);
/*  849 */     this.text_21.setLayoutData(gd_text_21);
/*      */     
/*  851 */     Label label_25 = new Label((Composite)this.group, 2);
/*  852 */     label_25.setBackground(Display.getCurrent()
/*  853 */         .getSystemColor(1));
/*  854 */     GridData gd_label_25 = new GridData(4, 4, false, 
/*  855 */         false, 1, 3);
/*  856 */     gd_label_25.widthHint = 1;
/*  857 */     gd_label_25.heightHint = 6;
/*  858 */     label_25.setLayoutData(gd_label_25);
/*      */     
/*  860 */     Label label_28 = new Label((Composite)this.group, 258);
/*  861 */     label_28.setBackground(Display.getCurrent()
/*  862 */         .getSystemColor(1));
/*  863 */     label_28.setLayoutData(new GridData(4, 4, true, false));
/*      */     
/*  865 */     Label label_29 = new Label((Composite)this.group, 258);
/*  866 */     label_29.setBackground(Display.getCurrent()
/*  867 */         .getSystemColor(1));
/*  868 */     label_29.setLayoutData(new GridData(4, 4, false, false, 
/*  869 */           2, 1));
/*      */     
/*  871 */     Label label_30 = new Label((Composite)this.group, 258);
/*  872 */     label_30.setBackground(Display.getCurrent()
/*  873 */         .getSystemColor(1));
/*  874 */     label_30.setLayoutData(new GridData(4, 4, false, false, 
/*  875 */           3, 1));
/*      */     
/*  877 */     Label label_31 = new Label((Composite)this.group, 258);
/*  878 */     label_31.setBackground(Display.getCurrent()
/*  879 */         .getSystemColor(1));
/*  880 */     label_31.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  882 */     Label label_17 = new Label((Composite)this.group, 0);
/*  883 */     label_17.setBackground(Display.getCurrent()
/*  884 */         .getSystemColor(1));
/*  885 */     label_17.setLayoutData(new GridData(16777216, 16777216, false, 
/*  886 */           false));
/*  887 */     label_17.setText("领 证 人");
/*      */     
/*  889 */     this.text_20 = new Text((Composite)this.group, 2056);
/*  890 */     this.text_20.setBackground(Display.getCurrent()
/*  891 */         .getSystemColor(1));
/*  892 */     GridData gd_text_20 = new GridData(4, 16777216, true, 
/*  893 */         false, 2, 1);
/*  894 */     this.text_20.setLayoutData(gd_text_20);
/*      */     
/*  896 */     Label label_18 = new Label((Composite)this.group, 0);
/*  897 */     label_18.setBackground(Display.getCurrent()
/*  898 */         .getSystemColor(1));
/*  899 */     label_18.setLayoutData(new GridData(16777216, 16777216, false, 
/*  900 */           false, 3, 1));
/*  901 */     label_18.setText("领证日期");
/*      */     
/*  903 */     this.text_23 = new Text((Composite)this.group, 2056);
/*  904 */     this.text_23.setBackground(Display.getCurrent()
/*  905 */         .getSystemColor(1));
/*  906 */     GridData gd_text_23 = new GridData(4, 16777216, true, 
/*  907 */         false);
/*  908 */     this.text_23.setLayoutData(gd_text_23);
/*      */     
/*  910 */     Label label_20 = new Label((Composite)this.group, 258);
/*  911 */     label_20.setBackground(Display.getCurrent()
/*  912 */         .getSystemColor(1));
/*  913 */     label_20.setLayoutData(new GridData(4, 4, false, false, 
/*  914 */           17, 1));
/*      */     
/*  916 */     Label label_13 = new Label((Composite)this.group, 2);
/*  917 */     label_13.setBackground(Display.getCurrent()
/*  918 */         .getSystemColor(1));
/*  919 */     label_13.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  921 */     Label label_12 = new Label((Composite)this.group, 0);
/*  922 */     label_12.setBackground(Display.getCurrent()
/*  923 */         .getSystemColor(1));
/*  924 */     label_12.setLayoutData(new GridData(16777216, 16777216, false, 
/*  925 */           false, 4, 1));
/*  926 */     label_12.setText("备注");
/*      */     
/*  928 */     Label label_14 = new Label((Composite)this.group, 2);
/*  929 */     label_14.setBackground(Display.getCurrent()
/*  930 */         .getSystemColor(1));
/*  931 */     GridData gd_label_14 = new GridData(4, 4, false, 
/*  932 */         false);
/*  933 */     gd_label_14.widthHint = 2;
/*  934 */     label_14.setLayoutData(gd_label_14);
/*      */     
/*  936 */     this.text_24 = new Text((Composite)this.group, 2570);
/*      */     
/*  938 */     this.text_24.setBackground(Display.getCurrent()
/*  939 */         .getSystemColor(1));
/*  940 */     GridData gd_text_24 = new GridData(4, 16777216, true, 
/*  941 */         false, 10, 1);
/*  942 */     gd_text_24.heightHint = 71;
/*  943 */     this.text_24.setLayoutData(gd_text_24);
/*      */     
/*  945 */     Label label_15 = new Label((Composite)this.group, 2);
/*  946 */     label_15.setBackground(Display.getCurrent()
/*  947 */         .getSystemColor(1));
/*  948 */     GridData gd_label_15 = new GridData(4, 4, false, 
/*  949 */         false);
/*  950 */     gd_label_15.widthHint = 1;
/*  951 */     label_15.setLayoutData(gd_label_15);
/*      */     
/*  953 */     Label label_11 = new Label((Composite)this.group, 258);
/*  954 */     label_11.setBackground(Display.getCurrent()
/*  955 */         .getSystemColor(1));
/*  956 */     label_11.setLayoutData(new GridData(4, 4, false, false, 
/*  957 */           17, 1));
/*      */     
/*  959 */     Label label_4 = new Label((Composite)this.group, 2);
/*  960 */     label_4.setBackground(Display.getCurrent()
/*  961 */         .getSystemColor(1));
/*  962 */     GridData gd_label_4 = new GridData(4, 4, false, 
/*  963 */         false);
/*  964 */     gd_label_4.heightHint = 21;
/*  965 */     gd_label_4.widthHint = 3;
/*  966 */     label_4.setLayoutData(gd_label_4);
/*      */     
/*  968 */     Label label = new Label((Composite)this.group, 0);
/*  969 */     label.setBackground(
/*  970 */         Display.getCurrent().getSystemColor(1));
/*  971 */     label.setLayoutData(new GridData(16777216, 16777216, false, false, 
/*  972 */           4, 1));
/*  973 */     label.setText("联系人");
/*      */     
/*  975 */     Label label_5 = new Label((Composite)this.group, 2);
/*  976 */     label_5.setBackground(Display.getCurrent()
/*  977 */         .getSystemColor(1));
/*  978 */     GridData gd_label_5 = new GridData(4, 4, false, 
/*  979 */         false);
/*  980 */     gd_label_5.heightHint = 16;
/*  981 */     gd_label_5.widthHint = 2;
/*  982 */     label_5.setLayoutData(gd_label_5);
/*      */     
/*  984 */     this.text_25 = new Text((Composite)this.group, 2056);
/*  985 */     this.text_25.setBackground(Display.getCurrent()
/*  986 */         .getSystemColor(1));
/*  987 */     GridData gd_text_25 = new GridData(4, 16777216, true, 
/*  988 */         false, 2, 1);
/*  989 */     this.text_25.setLayoutData(gd_text_25);
/*      */     
/*  991 */     Label label_6 = new Label((Composite)this.group, 2);
/*  992 */     label_6.setBackground(Display.getCurrent()
/*  993 */         .getSystemColor(1));
/*  994 */     GridData gd_label_6 = new GridData(4, 4, false, 
/*  995 */         false);
/*  996 */     gd_label_6.heightHint = 10;
/*  997 */     gd_label_6.widthHint = 2;
/*  998 */     label_6.setLayoutData(gd_label_6);
/*      */     
/* 1000 */     Label label_1 = new Label((Composite)this.group, 0);
/* 1001 */     label_1.setBackground(Display.getCurrent()
/* 1002 */         .getSystemColor(1));
/* 1003 */     label_1
/* 1004 */       .setLayoutData(new GridData(16777216, 16777216, false, 
/* 1005 */           false));
/* 1006 */     label_1.setText("联系电话");
/*      */     
/* 1008 */     Label label_7 = new Label((Composite)this.group, 2);
/* 1009 */     label_7.setBackground(Display.getCurrent()
/* 1010 */         .getSystemColor(1));
/* 1011 */     GridData gd_label_7 = new GridData(4, 4, false, 
/* 1012 */         false);
/* 1013 */     gd_label_7.heightHint = 16;
/* 1014 */     gd_label_7.widthHint = 0;
/* 1015 */     label_7.setLayoutData(gd_label_7);
/*      */     
/* 1017 */     this.text_22 = new Text((Composite)this.group, 2056);
/* 1018 */     this.text_22.setBackground(Display.getCurrent()
/* 1019 */         .getSystemColor(1));
/* 1020 */     GridData gd_text_22 = new GridData(4, 16777216, true, 
/* 1021 */         false);
/* 1022 */     this.text_22.setLayoutData(gd_text_22);
/*      */     
/* 1024 */     Label label_8 = new Label((Composite)this.group, 2);
/* 1025 */     label_8.setBackground(Display.getCurrent()
/* 1026 */         .getSystemColor(1));
/* 1027 */     GridData gd_label_8 = new GridData(4, 4, false, 
/* 1028 */         false);
/* 1029 */     gd_label_8.heightHint = 11;
/* 1030 */     gd_label_8.widthHint = 2;
/* 1031 */     label_8.setLayoutData(gd_label_8);
/*      */     
/* 1033 */     Label label_2 = new Label((Composite)this.group, 0);
/* 1034 */     label_2.setBackground(Display.getCurrent()
/* 1035 */         .getSystemColor(1));
/* 1036 */     label_2
/* 1037 */       .setLayoutData(new GridData(16777216, 16777216, false, 
/* 1038 */           false));
/* 1039 */     label_2.setText("邮政编码");
/*      */     
/* 1041 */     Label label_10 = new Label((Composite)this.group, 2);
/* 1042 */     label_10.setBackground(Display.getCurrent()
/* 1043 */         .getSystemColor(1));
/* 1044 */     GridData gd_label_10 = new GridData(4, 4, false, 
/* 1045 */         false);
/* 1046 */     gd_label_10.heightHint = 15;
/* 1047 */     gd_label_10.widthHint = 3;
/* 1048 */     label_10.setLayoutData(gd_label_10);
/*      */     
/* 1050 */     this.text_27 = new Text((Composite)this.group, 2056);
/* 1051 */     this.text_27.setBackground(Display.getCurrent()
/* 1052 */         .getSystemColor(1));
/* 1053 */     GridData gd_text_27 = new GridData(4, 16777216, true, 
/* 1054 */         false);
/* 1055 */     this.text_27.setLayoutData(gd_text_27);
/*      */     
/* 1057 */     Label label_9 = new Label((Composite)this.group, 2);
/* 1058 */     label_9.setBackground(Display.getCurrent()
/* 1059 */         .getSystemColor(1));
/* 1060 */     GridData gd_label_9 = new GridData(4, 4, false, 
/* 1061 */         false);
/* 1062 */     gd_label_9.heightHint = 17;
/* 1063 */     gd_label_9.widthHint = 2;
/* 1064 */     label_9.setLayoutData(gd_label_9);
/*      */     
/* 1066 */     Label label_3 = new Label((Composite)this.group, 258);
/* 1067 */     label_3.setBackground(Display.getCurrent()
/* 1068 */         .getSystemColor(1));
/* 1069 */     label_3.setLayoutData(new GridData(4, 4, false, false, 
/* 1070 */           17, 1));
/* 1071 */     this.group.setSize(788, 1124);
/* 1072 */     this.scrolledComposite.setContent((Control)this.group);
/* 1073 */     setData();
/* 1074 */     return (Control)this.container;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createButtonsForButtonBar(Composite parent) {
/* 1084 */     parent.setBackground(Display.getCurrent()
/* 1085 */         .getSystemColor(1));
/* 1086 */     if (!this.isWtAccept) {
/* 1087 */       createButton(parent, 1, "关闭", false);
/*      */     } else {
/* 1089 */       createButton(parent, 0, "确定", true);
/* 1090 */       createButton(parent, 1, "取消", false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Point getInitialSize() {
/* 1099 */     return new Point(800, 600);
/*      */   }
/*      */   
/*      */   protected void configureShell(Shell newShell) {
/* 1103 */     super.configureShell(newShell);
/* 1104 */     newShell.setText("证书补领");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setData() {
/* 1111 */     this.text_26.setText(this.cert.getCertDupCount());
/* 1112 */     this.text_22.setText(this.cert.getLinkTel());
/* 1113 */     this.text_20.setText(this.cert.getCertAccepter());
/* 1114 */     this.text_17.setText(this.cert.getGrantCopyCertCount());
/* 1115 */     this.text_14.setText(this.cert.getChargeSign());
/* 1116 */     this.text_11.setText(this.cert.getChkSign().equals("") ? 
/* 1117 */         GljgUserInfo.getInstance().getRealname() : this.cert.getChkSign());
/* 1118 */     this.text_8.setText(this.cert.getAcptSign());
/* 1119 */     this.text.setText(this.cert.getLawyerName());
/* 1120 */     this.text_25.setText(this.cert.getLinkMan());
/* 1121 */     this.text_29.setText(this.cert.getCertCount());
/* 1122 */     this.text_28.setText(this.cert.getUnitName());
/* 1123 */     if (this.cert.getUnifyCode() != null)
/* 1124 */       this.text_6.setText(this.cert.getUnifyCode()); 
/* 1125 */     this.text_27.setText(this.cert.getPoatCode());
/* 1126 */     this.text_24.setText(this.cert.getNotes());
/* 1127 */     this.text_23.setText(this.cert.getCertAcceptDate());
/* 1128 */     this.text_21.setText(this.cert.getCertSender());
/* 1129 */     this.text_19.setText(this.cert.getNewCertCode());
/* 1130 */     this.text_18.setText(this.cert.getChargeSignDate());
/* 1131 */     this.text_16.setText(this.cert.getChargeAdvice());
/* 1132 */     this.text_15.setText(PublicUtil.getNowDate());
/* 1133 */     this.text_13.setText(this.cert.getChkAdvice());
/* 1134 */     this.text_12.setText(this.cert.getAcptSignDate());
/* 1135 */     this.text_10.setText(this.cert.getAcptAdvice());
/* 1136 */     this.text_9.setText(this.cert.getHoddUnitDate());
/* 1137 */     this.text_7.setText(this.cert.getLawyerAdviceDate());
/* 1138 */     this.text_5.setText(this.cert.getHoldUnitAdvice());
/* 1139 */     this.text_4.setText(this.cert.getLawyerAdvice());
/* 1140 */     this.text_2.setText(this.cert.getReason());
/*      */     
/* 1142 */     if (!this.isWtAccept) {
/* 1143 */       this.text_2.setEditable(false);
/* 1144 */       this.text_11.setEditable(false);
/* 1145 */       this.text_13.setEditable(false);
/* 1146 */       this.text_15.setEditable(false);
/*      */     } 
/*      */     
/* 1149 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1151 */             if (CertFileInfoDialogShenHe.this.isWtAccept) {
/* 1152 */               CalendarDialog cal = new CalendarDialog(CertFileInfoDialogShenHe.this.container.getShell(), CertFileInfoDialogShenHe.this.text_15, 
/* 1153 */                   new Point((CertFileInfoDialogShenHe.this.container.getLocation()).x + 
/* 1154 */                     (CertFileInfoDialogShenHe.this.group.getLocation()).x + 
/* 1155 */                     (CertFileInfoDialogShenHe.this.container.getShell().getLocation()).x + 3 + 
/* 1156 */                     (CertFileInfoDialogShenHe.this.text_15.getLocation()).x, 
/* 1157 */                     (CertFileInfoDialogShenHe.this.container.getShell().getLocation()).y + 
/* 1158 */                     (CertFileInfoDialogShenHe.this.group.getLocation()).y + 
/* 1159 */                     (CertFileInfoDialogShenHe.this.text_15.getBounds()).y + 
/* 1160 */                     (CertFileInfoDialogShenHe.this.text_15.getBounds()).height + 30));
/* 1161 */               cal.open();
/*      */             } 
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */   
/*      */   protected void buttonPressed(int buttonId) {
/* 1169 */     if (buttonId == 1) {
/* 1170 */       this.returnValue = 1;
/* 1171 */       super.buttonPressed(buttonId);
/*      */     } 
/* 1173 */     if (buttonId == 0) {
/* 1174 */       this.returnValue = 0;
/* 1175 */       dealOperation(buttonId);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void dealOperation(int buttonId) {
/* 1184 */     ArrayList<ItemChangeModel> itemChange = new ArrayList();
/* 1185 */     if (this.text_13.getText() == null || this.text_13.getText().equals("")) {
/* 1186 */       SydjMessageDialog.openInformation(getParentShell(), "提示", 
/* 1187 */           "请填写审核意见");
/*      */     } else {
/* 1189 */       if (!this.text_2.getText().trim().equals(this.cert.getReason())) {
/* 1190 */         ItemChangeModel item = new ItemChangeModel(this.cert.getApplyId(), 
/* 1191 */             this.cert.getCurrentId(), "补领原因", this.cert.getReason(), 
/* 1192 */             this.text_2.getText());
/* 1193 */         itemChange.add(item);
/*      */       } 
/* 1195 */       if ((new CertOperationShenHe()).setAdviceInfo(this.cert.getApplyId(), 
/* 1196 */           this.cert.getCurrentId(), GljgUserInfo.getInstance().getGroupid(), 
/* 1197 */           this.text_11.getText().trim(), this.text_13.getText().trim(), 
/* 1198 */           itemChange, this.cert.getUnitId(), this.cert.getHoldUnitId(), 
/* 1199 */           this.text_15.getText())) {
/* 1200 */         SydjMessageDialog.openInformation(getParentShell(), "提示", 
/* 1201 */             "数据处理成功！");
/* 1202 */         super.buttonPressed(buttonId);
/*      */       } else {
/*      */         
/* 1205 */         SydjMessageDialog.openInformation(getParentShell(), "提示", 
/* 1206 */             "数据处理失败！");
/*      */         return;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   protected void initializeBounds() {
/* 1214 */     super.initializeBounds();
/* 1215 */     PublicUtil.setCenter(getShell());
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\cert\CertFileInfoDialogShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */