/*      */ package cs.sydj.operation.shouli.annualcheck;
/*      */ 
/*      */ import cs.sydj.common.LoadDOC.OperatorDOC;
/*      */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.messageTrans.MessageSender;
/*      */ import cs.sydj.sys.messageconf.MessageProxy;
/*      */ import cs.sydj.util.messageutil.MessageXML;
/*      */ import java.io.File;
/*      */ import java.util.ArrayList;
/*      */ import java.util.HashMap;
/*      */ import javax.jms.JMSException;
/*      */ import server.sydj.operation.commons.AnnualCheckAlteration;
/*      */ import server.sydj.operation.commons.AnnualCheckModel;
/*      */ import server.sydj.operation.commons.AnnualCheckTableContentModel;
/*      */ import server.sydj.operation.commons.FileModel;
/*      */ import server.sydj.operation.commons.UnitInfoModel;
/*      */ 
/*      */ 
/*      */ 
/*      */ public class AnnualCheckOperationShouLi
/*      */ {
/*   23 */   String operation = "AnnualCheckShouLi";
/*      */   
/*   25 */   HashMap messageParameter = new HashMap<Object, Object>();
/*   26 */   String messagexml = null;
/*   27 */   String replyxml = null;
/*   28 */   ArrayList result = new ArrayList();
/*   29 */   MessageSender sender = null;
/*      */   private String name;
/*      */   private String beginDate;
/*      */   private String endDate;
/*      */   private String type;
/*      */   private String applyId;
/*      */   private String id;
/*      */   private String groupId;
/*      */   
/*      */   public AnnualCheckOperationShouLi() {}
/*      */   
/*      */   public AnnualCheckOperationShouLi(String name, String beginDate, String endDate, String type) {
/*   41 */     this.name = name;
/*   42 */     this.beginDate = beginDate;
/*   43 */     this.endDate = endDate;
/*   44 */     this.type = type;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckInfo(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*   61 */     this.messageParameter.put("name", name);
/*   62 */     this.messageParameter.put("bnDate", bnDate);
/*   63 */     this.messageParameter.put("enDate", enDate);
/*   64 */     this.messageParameter.put("state", state);
/*   65 */     this.messageParameter.put("groupId", groupId);
/*   66 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*   67 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*   68 */     this.messagexml = 
/*   69 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfo", this.messageParameter);
/*      */     try {
/*   71 */       this.sender = new MessageSender(
/*   72 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*   73 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*   74 */       this.replyxml = this.sender
/*   75 */         .sendMessage(this.messagexml, "xml");
/*   76 */       this.result = MessageXML.XMLToList(this.replyxml);
/*   77 */     } catch (JMSException e) {
/*   78 */       e.printStackTrace();
/*      */     }
/*   80 */     catch (Exception e) {
/*   81 */       e.printStackTrace();
/*      */     } 
/*   83 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckInfoBJ(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  100 */     this.messageParameter.put("name", name);
/*  101 */     this.messageParameter.put("bnDate", bnDate);
/*  102 */     this.messageParameter.put("enDate", enDate);
/*  103 */     this.messageParameter.put("state", state);
/*  104 */     this.messageParameter.put("groupId", groupId);
/*  105 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  106 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  107 */     this.messagexml = 
/*  108 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfoBJ", this.messageParameter);
/*      */     try {
/*  110 */       this.sender = new MessageSender(
/*  111 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  112 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  113 */       this.replyxml = this.sender
/*  114 */         .sendMessage(this.messagexml, "xml");
/*  115 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  116 */     } catch (JMSException e) {
/*  117 */       e.printStackTrace();
/*      */     }
/*  119 */     catch (Exception e) {
/*  120 */       e.printStackTrace();
/*      */     } 
/*  122 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAnnualCheckInfoBJ(HashMap args) {
/*  138 */     String returnStr = "";
/*  139 */     this.messagexml = 
/*  140 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfoBJ", args);
/*      */     try {
/*  142 */       this.sender = new MessageSender(
/*  143 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  144 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  145 */       this.replyxml = this.sender
/*  146 */         .sendMessage(this.messagexml, "xml");
/*  147 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  148 */     } catch (JMSException e) {
/*  149 */       e.printStackTrace();
/*      */     }
/*  151 */     catch (Exception e) {
/*  152 */       e.printStackTrace();
/*      */     } 
/*      */     
/*  155 */     if (this.result != null && this.result.size() > 0) {
/*  156 */       String filePath = String.valueOf(args.get("filePath"));
/*  157 */       String fileName = "";
/*  158 */       ReplaceMap rmap = new ReplaceMap();
/*  159 */       for (int i = 0; i < this.result.size(); i++) {
/*  160 */         AnnualCheckModel acm = this.result.get(i);
/*  161 */         AnnualCheckTableContentModel model = getAnnualCheckTable(acm.getApplyId(), acm.getCurrentId());
/*  162 */         if (model != null) {
/*      */           try {
/*  164 */             fileName = String.valueOf(filePath) + File.separator + "事业单位法人年度报告书" + 
/*  165 */               "-" + model.getCertId() + "-" + model.getUnifyCode() + ".doc";
/*  166 */             OperatorDOC operatordoc = new OperatorDOC(
/*  167 */                 PublicUtil.getRealPath("Template/doc/sydw_annual_check_apply_report_gjj_new.doc"), 
/*  168 */                 fileName, rmap.getAnnualCheckFileMap(model));
/*  169 */             operatordoc.saveFile();
/*  170 */           } catch (Exception e2) {
/*  171 */             e2.printStackTrace();
/*      */           } 
/*      */         }
/*      */       } 
/*  175 */       returnStr = "导出完成！";
/*      */     } else {
/*  177 */       returnStr = "";
/*      */     } 
/*  179 */     return returnStr;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckInfoAll(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  196 */     this.messageParameter.put("name", name);
/*  197 */     this.messageParameter.put("bnDate", bnDate);
/*  198 */     this.messageParameter.put("enDate", enDate);
/*  199 */     this.messageParameter.put("state", state);
/*  200 */     this.messageParameter.put("groupId", groupId);
/*  201 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  202 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  203 */     this.messagexml = 
/*  204 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfoAll", this.messageParameter);
/*      */     try {
/*  206 */       this.sender = new MessageSender(
/*  207 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  208 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  209 */       this.replyxml = this.sender
/*  210 */         .sendMessage(this.messagexml, "xml");
/*  211 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  212 */     } catch (JMSException e) {
/*  213 */       e.printStackTrace();
/*      */     }
/*  215 */     catch (Exception e) {
/*  216 */       e.printStackTrace();
/*      */     } 
/*  218 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckInfoOfCon(String groupId, String annualYear, int annualtype, int searchFlag) {
/*  232 */     this.messageParameter.put("groupId", groupId);
/*  233 */     this.messageParameter.put("annualYear", annualYear);
/*  234 */     this.messageParameter.put("annualtype", Integer.valueOf(annualtype));
/*  235 */     this.messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*  236 */     this.messagexml = 
/*  237 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfoOfCon", this.messageParameter);
/*      */     try {
/*  239 */       this.sender = new MessageSender(
/*  240 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  241 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  242 */       this.replyxml = this.sender
/*  243 */         .sendMessage(this.messagexml, "xml");
/*  244 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  245 */     } catch (JMSException e) {
/*  246 */       e.printStackTrace();
/*      */     }
/*  248 */     catch (Exception e) {
/*  249 */       e.printStackTrace();
/*      */     } 
/*  251 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getUnitInfo(String unitId) {
/*  266 */     this.messageParameter.put("unitId", unitId);
/*  267 */     this.messagexml = 
/*  268 */       MessageXML.MessageToXML(this.operation, "getUnitInfo", this.messageParameter);
/*      */     try {
/*  270 */       this.sender = new MessageSender(
/*  271 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  272 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  273 */       this.replyxml = this.sender
/*  274 */         .sendMessage(this.messagexml, "xml");
/*  275 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  276 */     } catch (JMSException e) {
/*  277 */       e.printStackTrace();
/*      */     }
/*  279 */     catch (Exception e) {
/*  280 */       e.printStackTrace();
/*      */     } 
/*  282 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getLeaderAcvice(String applyId, String currentId) {
/*  293 */     this.messageParameter.put("applyId", applyId);
/*  294 */     this.messageParameter.put("currentId", currentId);
/*  295 */     this.messagexml = 
/*  296 */       MessageXML.MessageToXML(this.operation, "getLeaderAcvice", this.messageParameter);
/*      */     try {
/*  298 */       this.sender = new MessageSender(
/*  299 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  300 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  301 */       this.replyxml = this.sender
/*  302 */         .sendMessage(this.messagexml, "xml");
/*  303 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  304 */     } catch (JMSException e) {
/*  305 */       e.printStackTrace();
/*      */     }
/*  307 */     catch (Exception e) {
/*  308 */       e.printStackTrace();
/*      */     } 
/*  310 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AnnualCheckOperationShouLi(String applyId, String id, String groupId) {
/*  318 */     this.applyId = applyId;
/*  319 */     this.id = id;
/*  320 */     this.groupId = groupId;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/*  334 */     this.messageParameter.put("applyId", applyId);
/*  335 */     this.messageParameter.put("currentId", currentId);
/*  336 */     this.messageParameter.put("groupId", groupId);
/*  337 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/*  338 */     this.messagexml = 
/*  339 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckFileInfo", this.messageParameter);
/*      */     try {
/*  341 */       this.sender = new MessageSender(
/*  342 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  343 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  344 */       this.replyxml = this.sender
/*  345 */         .sendMessage(this.messagexml, "xml");
/*  346 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  347 */     } catch (JMSException e) {
/*  348 */       e.printStackTrace();
/*      */     }
/*  350 */     catch (Exception e) {
/*  351 */       e.printStackTrace();
/*      */     } 
/*  353 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/*  367 */     this.messageParameter.put("applyId", applyId);
/*  368 */     this.messageParameter.put("currentId", currentId);
/*  369 */     this.messageParameter.put("groupId", groupId);
/*  370 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/*  371 */     this.messageParameter.put("id", id);
/*  372 */     this.messagexml = 
/*  373 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckHistoryFileInfo", this.messageParameter);
/*      */     try {
/*  375 */       this.sender = new MessageSender(
/*  376 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  377 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  378 */       this.replyxml = this.sender
/*  379 */         .sendMessage(this.messagexml, "xml");
/*  380 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  381 */     } catch (JMSException e) {
/*  382 */       e.printStackTrace();
/*      */     }
/*  384 */     catch (Exception e) {
/*  385 */       e.printStackTrace();
/*      */     } 
/*  387 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckHistoryInfo(UnitInfoModel logout) {
/*  397 */     this.messageParameter.put("applyId", logout.getApplyId());
/*  398 */     this.messageParameter.put("currentId", logout.getId());
/*  399 */     this.messagexml = 
/*  400 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckHistoryInfo", this.messageParameter);
/*      */     try {
/*  402 */       this.sender = new MessageSender(
/*  403 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  404 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  405 */       this.replyxml = this.sender
/*  406 */         .sendMessage(this.messagexml, "xml");
/*  407 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  408 */     } catch (JMSException e) {
/*  409 */       e.printStackTrace();
/*      */     }
/*  411 */     catch (Exception e) {
/*  412 */       e.printStackTrace();
/*      */     } 
/*  414 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList dealAnnex(ArrayList fileList) {
/*  423 */     this.messageParameter.put("list", MessageXML.getReplyXML(fileList));
/*  424 */     this.messagexml = 
/*  425 */       MessageXML.MessageToXML(this.operation, "dealAnnex", this.messageParameter);
/*      */     try {
/*  427 */       this.sender = new MessageSender(
/*  428 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  429 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  430 */       this.replyxml = this.sender
/*  431 */         .sendMessage(this.messagexml, "xml");
/*  432 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  433 */     } catch (JMSException e) {
/*  434 */       e.printStackTrace();
/*      */     }
/*  436 */     catch (Exception e) {
/*  437 */       e.printStackTrace();
/*      */     } 
/*  439 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAdviceInfo(FileModel file) {
/*  446 */     this.messageParameter.put("applyId", file.getApplyId());
/*  447 */     this.messageParameter.put("currentId", file.getId());
/*  448 */     this.messageParameter.put("groupId", file.getGroupId());
/*  449 */     this.messageParameter.put("type", "0");
/*  450 */     this.messagexml = 
/*  451 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*      */     try {
/*  453 */       this.sender = new MessageSender(
/*  454 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  455 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  456 */       this.replyxml = this.sender
/*  457 */         .sendMessage(this.messagexml, "xml");
/*  458 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  459 */     } catch (JMSException e) {
/*  460 */       e.printStackTrace();
/*      */     }
/*  462 */     catch (Exception e) {
/*  463 */       e.printStackTrace();
/*      */     } 
/*  465 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getTableAdditonal(FileModel file) {
/*  472 */     this.messageParameter.put("applyId", file.getApplyId());
/*  473 */     this.messageParameter.put("currentId", file.getId());
/*  474 */     this.messageParameter.put("fileName", file.getFileName());
/*  475 */     this.messageParameter.put("isLogOut", "0");
/*  476 */     this.messageParameter.put("type", "0");
/*  477 */     this.messagexml = 
/*  478 */       MessageXML.MessageToXML(this.operation, "getTableAdditonal", this.messageParameter);
/*      */     try {
/*  480 */       this.sender = new MessageSender(
/*  481 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  482 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  483 */       this.replyxml = this.sender
/*  484 */         .sendMessage(this.messagexml, "xml");
/*  485 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  486 */     } catch (JMSException e) {
/*  487 */       e.printStackTrace();
/*      */     }
/*  489 */     catch (Exception e) {
/*  490 */       e.printStackTrace();
/*      */     } 
/*  492 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean setAdviceInfo(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate) {
/*  501 */     this.messageParameter.put("applyId", applyId);
/*  502 */     this.messageParameter.put("currentId", currentId);
/*  503 */     this.messageParameter.put("groupId", groupId);
/*  504 */     this.messageParameter.put("advice", advice);
/*  505 */     this.messageParameter.put("sign", sign);
/*  506 */     this.messageParameter.put("unitId", unitId);
/*  507 */     this.messageParameter.put("holdUnitId", holdUnitId);
/*  508 */     this.messageParameter.put("signDate", signDate);
/*  509 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/*  510 */     this.messagexml = 
/*  511 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*      */     try {
/*  513 */       this.sender = new MessageSender(
/*  514 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  515 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  516 */       this.replyxml = this.sender
/*  517 */         .sendMessage(this.messagexml, "short");
/*  518 */       if (this.replyxml.equals("false"))
/*  519 */         return false; 
/*  520 */     } catch (JMSException e) {
/*  521 */       e.printStackTrace();
/*  522 */       return false;
/*      */     }
/*  524 */     catch (Exception e) {
/*  525 */       e.printStackTrace();
/*  526 */       return false;
/*      */     } 
/*  528 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean setAdviceInfoGJJ(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate) {
/*  537 */     this.messageParameter.put("applyId", applyId);
/*  538 */     this.messageParameter.put("currentId", currentId);
/*  539 */     this.messageParameter.put("groupId", groupId);
/*  540 */     this.messageParameter.put("advice", advice);
/*  541 */     this.messageParameter.put("sign", sign);
/*  542 */     this.messageParameter.put("unitId", unitId);
/*  543 */     this.messageParameter.put("holdUnitId", holdUnitId);
/*  544 */     this.messageParameter.put("signDate", signDate);
/*  545 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/*  546 */     this.messagexml = 
/*  547 */       MessageXML.MessageToXML(this.operation, "setAdviceInfoGJJ", this.messageParameter);
/*      */     try {
/*  549 */       this.sender = new MessageSender(
/*  550 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  551 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  552 */       this.replyxml = this.sender
/*  553 */         .sendMessage(this.messagexml, "short");
/*  554 */       if (this.replyxml.equals("false"))
/*  555 */         return false; 
/*  556 */     } catch (JMSException e) {
/*  557 */       e.printStackTrace();
/*  558 */       return false;
/*      */     }
/*  560 */     catch (Exception e) {
/*  561 */       e.printStackTrace();
/*  562 */       return false;
/*      */     } 
/*  564 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean getAnnex(FileModel annex) {
/*  572 */     this.messageParameter.put("applyId", this.applyId);
/*  573 */     this.messageParameter.put("id", this.id);
/*  574 */     this.messageParameter.put("goupId", this.groupId);
/*  575 */     this.messagexml = 
/*  576 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*      */     try {
/*  578 */       this.sender = new MessageSender(
/*  579 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  580 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  581 */       this.replyxml = this.sender
/*  582 */         .sendMessage(this.messagexml, "short");
/*  583 */       if (this.replyxml.equals("false"))
/*  584 */         return false; 
/*  585 */     } catch (JMSException e) {
/*  586 */       e.printStackTrace();
/*  587 */       return false;
/*      */     }
/*  589 */     catch (Exception e) {
/*  590 */       e.printStackTrace();
/*  591 */       return false;
/*      */     } 
/*  593 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList dealSingleAnnex(FileModel annex) {
/*  602 */     this.messageParameter.put("applyId", annex.getApplyId());
/*  603 */     this.messageParameter.put("currentId", annex.getId());
/*  604 */     this.messageParameter.put("groupId", annex.getGroupId());
/*  605 */     this.messageParameter.put("attachId", annex.getAnnexId());
/*  606 */     this.messageParameter.put("stat", annex.getAnnexStat());
/*  607 */     this.messageParameter.put("unitId", annex.getUnitId());
/*  608 */     this.messageParameter.put("holdUnit", annex.getHoldUnitId());
/*  609 */     this.messageParameter.put("fileName", annex.getFileName());
/*  610 */     this.messageParameter.put("year", annex.getYear());
/*  611 */     this.messagexml = 
/*  612 */       MessageXML.MessageToXML(this.operation, "dealSingleAnnex", this.messageParameter);
/*      */     try {
/*  614 */       this.sender = new MessageSender(
/*  615 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  616 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  617 */       this.replyxml = this.sender
/*  618 */         .sendMessage(this.messagexml, "xml");
/*  619 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  620 */     } catch (JMSException e) {
/*  621 */       e.printStackTrace();
/*      */     }
/*  623 */     catch (Exception e) {
/*  624 */       e.printStackTrace();
/*      */     } 
/*  626 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String acceptPass(String applyId, String currentId) {
/*  635 */     this.messageParameter.put("applyId", applyId);
/*  636 */     this.messageParameter.put("currentId", currentId);
/*  637 */     this.messagexml = 
/*  638 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*      */     try {
/*  640 */       this.sender = new MessageSender(
/*  641 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  642 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  643 */       this.replyxml = this.sender
/*  644 */         .sendMessage(this.messagexml, "short");
/*  645 */     } catch (JMSException e) {
/*  646 */       e.printStackTrace();
/*      */       
/*  648 */       return null;
/*  649 */     } catch (Exception e) {
/*  650 */       e.printStackTrace();
/*  651 */       return null;
/*      */     } 
/*  653 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String acceptPassGJJ(String applyId, String currentId) {
/*  662 */     this.messageParameter.put("applyId", applyId);
/*  663 */     this.messageParameter.put("currentId", currentId);
/*  664 */     this.messagexml = 
/*  665 */       MessageXML.MessageToXML(this.operation, "acceptPassGJJ", this.messageParameter);
/*      */     try {
/*  667 */       this.sender = new MessageSender(
/*  668 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  669 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  670 */       this.replyxml = this.sender
/*  671 */         .sendMessage(this.messagexml, "short");
/*  672 */     } catch (JMSException e) {
/*  673 */       e.printStackTrace();
/*      */       
/*  675 */       return null;
/*  676 */     } catch (Exception e) {
/*  677 */       e.printStackTrace();
/*  678 */       return null;
/*      */     } 
/*  680 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String acceptPassGJJNew(String applyId, String currentId) {
/*  689 */     this.messageParameter.put("applyId", applyId);
/*  690 */     this.messageParameter.put("currentId", currentId);
/*  691 */     this.messagexml = 
/*  692 */       MessageXML.MessageToXML(this.operation, "acceptPassGJJNew", this.messageParameter);
/*      */     try {
/*  694 */       this.sender = new MessageSender(
/*  695 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  696 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  697 */       this.replyxml = this.sender
/*  698 */         .sendMessage(this.messagexml, "short");
/*  699 */     } catch (JMSException e) {
/*  700 */       e.printStackTrace();
/*      */       
/*  702 */       return null;
/*  703 */     } catch (Exception e) {
/*  704 */       e.printStackTrace();
/*  705 */       return null;
/*      */     } 
/*  707 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String backModifyStr(String applyId, String currentId, String year) {
/*  717 */     this.messageParameter.put("applyId", applyId);
/*  718 */     this.messageParameter.put("currentId", currentId);
/*  719 */     this.messageParameter.put("year", year);
/*  720 */     this.messagexml = 
/*  721 */       MessageXML.MessageToXML(this.operation, "backModifyStr", this.messageParameter);
/*      */     try {
/*  723 */       this.sender = new MessageSender(
/*  724 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  725 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  726 */       this.replyxml = this.sender
/*  727 */         .sendMessage(this.messagexml, "short");
/*  728 */     } catch (JMSException e) {
/*  729 */       e.printStackTrace();
/*      */       
/*  731 */       return "error";
/*  732 */     } catch (Exception e) {
/*  733 */       e.printStackTrace();
/*  734 */       return "error";
/*      */     } 
/*  736 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String checkBackOffReason(String applyId, String currentId) {
/*  745 */     this.messageParameter.put("applyId", applyId);
/*  746 */     this.messageParameter.put("currentId", currentId);
/*  747 */     this.messagexml = 
/*  748 */       MessageXML.MessageToXML(this.operation, "checkBackOffReason", this.messageParameter);
/*      */     try {
/*  750 */       this.sender = new MessageSender(
/*  751 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  752 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  753 */       this.replyxml = this.sender
/*  754 */         .sendMessage(this.messagexml, "short");
/*  755 */     } catch (JMSException e) {
/*  756 */       e.printStackTrace();
/*      */       
/*  758 */       return "error";
/*  759 */     } catch (Exception e) {
/*  760 */       e.printStackTrace();
/*  761 */       return "error";
/*      */     } 
/*  763 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String backModify(String applyId, String currentId, String advice, String year) {
/*  773 */     this.messageParameter.put("applyId", applyId);
/*  774 */     this.messageParameter.put("currentId", currentId);
/*  775 */     this.messageParameter.put("advice", advice);
/*  776 */     this.messageParameter.put("year", year);
/*  777 */     this.messagexml = 
/*  778 */       MessageXML.MessageToXML(this.operation, "backModify", this.messageParameter);
/*      */     try {
/*  780 */       this.sender = new MessageSender(
/*  781 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  782 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  783 */       this.replyxml = this.sender
/*  784 */         .sendMessage(this.messagexml, "short");
/*  785 */     } catch (JMSException e) {
/*  786 */       e.printStackTrace();
/*      */       
/*  788 */       return null;
/*  789 */     } catch (Exception e) {
/*  790 */       e.printStackTrace();
/*  791 */       return null;
/*      */     } 
/*  793 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnexName(String groupId) {
/*  802 */     this.messageParameter.put("groupId", groupId);
/*  803 */     this.messagexml = 
/*  804 */       MessageXML.MessageToXML(this.operation, "getAnnexName", this.messageParameter);
/*      */     try {
/*  806 */       this.sender = new MessageSender(
/*  807 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  808 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  809 */       this.replyxml = this.sender
/*  810 */         .sendMessage(this.messagexml, "xml");
/*  811 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  812 */     } catch (JMSException e) {
/*  813 */       e.printStackTrace();
/*      */     }
/*  815 */     catch (Exception e) {
/*  816 */       e.printStackTrace();
/*      */     } 
/*  818 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getManagerOrgnization(String groupId, String flag, String districtCode) {
/*  828 */     this.messageParameter.put("groupId", groupId);
/*  829 */     this.messageParameter.put("flag", flag);
/*  830 */     this.messageParameter.put("districtCode", districtCode);
/*  831 */     this.messagexml = 
/*  832 */       MessageXML.MessageToXML(this.operation, "getManagerOrgnization", this.messageParameter);
/*      */     
/*      */     try {
/*  835 */       this.sender = new MessageSender(
/*  836 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  837 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  838 */       this.replyxml = this.sender
/*  839 */         .sendMessage(this.messagexml, "xml");
/*  840 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  841 */     } catch (JMSException e) {
/*  842 */       e.printStackTrace();
/*      */     }
/*  844 */     catch (Exception e) {
/*  845 */       e.printStackTrace();
/*      */     } 
/*  847 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId) {
/*  857 */     this.messageParameter.put("applyId", applyId);
/*  858 */     this.messageParameter.put("currentId", currentId);
/*  859 */     this.messageParameter.put("advice", advice);
/*  860 */     this.messageParameter.put("groupId", groupId);
/*  861 */     this.messagexml = 
/*  862 */       MessageXML.MessageToXML(this.operation, "dealNotAccept", this.messageParameter);
/*      */     try {
/*  864 */       this.sender = new MessageSender(
/*  865 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  866 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  867 */       this.replyxml = this.sender
/*  868 */         .sendMessage(this.messagexml, "short");
/*  869 */     } catch (JMSException e) {
/*  870 */       e.printStackTrace();
/*      */     }
/*  872 */     catch (Exception e) {
/*  873 */       e.printStackTrace();
/*      */     } 
/*  875 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AnnualCheckTableContentModel getAnnualCheckTable(String applyId, String currentId) {
/*  883 */     AnnualCheckTableContentModel model = new AnnualCheckTableContentModel();
/*  884 */     this.messageParameter.put("applyId", applyId);
/*  885 */     this.messageParameter.put("currentId", currentId);
/*  886 */     this.messagexml = 
/*  887 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckTable", this.messageParameter);
/*      */     try {
/*  889 */       this.sender = new MessageSender(
/*  890 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  891 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  892 */       this.replyxml = this.sender
/*  893 */         .sendMessage(this.messagexml, "short");
/*  894 */       model = 
/*  895 */         (AnnualCheckTableContentModel)MessageXML.XMLToObject(this.replyxml);
/*  896 */     } catch (JMSException e) {
/*  897 */       e.printStackTrace();
/*      */     }
/*  899 */     catch (Exception e) {
/*  900 */       e.printStackTrace();
/*      */     } 
/*  902 */     return model;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckTableList(String applyIds) {
/*  909 */     AnnualCheckTableContentModel model = new AnnualCheckTableContentModel();
/*  910 */     this.messageParameter.put("applyIds", applyIds);
/*  911 */     this.messagexml = 
/*  912 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckTableList", this.messageParameter);
/*      */     try {
/*  914 */       this.sender = new MessageSender(
/*  915 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  916 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  917 */       this.replyxml = this.sender
/*  918 */         .sendMessage(this.messagexml, "xml");
/*  919 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  920 */     } catch (JMSException e) {
/*  921 */       e.printStackTrace();
/*      */     }
/*  923 */     catch (Exception e) {
/*  924 */       e.printStackTrace();
/*      */     } 
/*  926 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String finishProclaimGJJ(String applyIds) {
/*  933 */     AnnualCheckTableContentModel model = new AnnualCheckTableContentModel();
/*  934 */     this.messageParameter.put("applyIds", applyIds);
/*  935 */     this.messagexml = 
/*  936 */       MessageXML.MessageToXML(this.operation, "finishProclaimGJJ", this.messageParameter);
/*      */     try {
/*  938 */       this.sender = new MessageSender(
/*  939 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  940 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  941 */       this.replyxml = this.sender
/*  942 */         .sendMessage(this.messagexml, "short");
/*  943 */     } catch (JMSException e) {
/*  944 */       e.printStackTrace();
/*      */     }
/*  946 */     catch (Exception e) {
/*  947 */       e.printStackTrace();
/*      */     } 
/*  949 */     return this.replyxml;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList getAnnualCheckSydwBranchList(String realId) {
/*  956 */     this.messageParameter.put("realId", realId);
/*  957 */     this.messagexml = 
/*  958 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckSydwBranchList", this.messageParameter);
/*      */     try {
/*  960 */       this.sender = new MessageSender(
/*  961 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  962 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  963 */       this.replyxml = this.sender
/*  964 */         .sendMessage(this.messagexml, "xml");
/*  965 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  966 */     } catch (JMSException e) {
/*  967 */       e.printStackTrace();
/*      */     }
/*  969 */     catch (Exception e) {
/*  970 */       e.printStackTrace();
/*      */     } 
/*  972 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public ArrayList<AnnualCheckAlteration> getAnnualCheckAlterations(String applyId, String currentId, String yearReport1) {
/*  981 */     this.messageParameter.put("applyId", applyId);
/*  982 */     this.messageParameter.put("currentId", currentId);
/*  983 */     this.messageParameter.put("yearReport1", yearReport1);
/*  984 */     this.messagexml = 
/*  985 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckAlterations", this.messageParameter);
/*      */     try {
/*  987 */       this.sender = new MessageSender(
/*  988 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  989 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  990 */       this.replyxml = this.sender
/*  991 */         .sendMessage(this.messagexml, "xml");
/*  992 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  993 */     } catch (JMSException e) {
/*  994 */       e.printStackTrace();
/*      */     }
/*  996 */     catch (Exception e) {
/*  997 */       e.printStackTrace();
/*      */     } 
/*  999 */     return this.result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getAnnualCheckAlterNum(String applyId, String currentId) {
/* 1006 */     String result = "";
/* 1007 */     this.messageParameter.put("applyId", applyId);
/* 1008 */     this.messageParameter.put("currentId", currentId);
/* 1009 */     this.messagexml = 
/* 1010 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckAlterNum", this.messageParameter);
/*      */     try {
/* 1012 */       this.sender = new MessageSender(
/* 1013 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 1014 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 1015 */       result = this.sender.sendMessage(this.messagexml, 
/* 1016 */           "short");
/* 1017 */     } catch (JMSException e) {
/* 1018 */       e.printStackTrace();
/*      */     }
/* 1020 */     catch (Exception e) {
/* 1021 */       e.printStackTrace();
/*      */     } 
/* 1023 */     return result;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getLastId(String applyId, String currentId) {
/* 1030 */     String result = "";
/* 1031 */     this.messageParameter.put("applyId", applyId);
/* 1032 */     this.messageParameter.put("currentId", currentId);
/* 1033 */     this.messagexml = 
/* 1034 */       MessageXML.MessageToXML(this.operation, "getLastId", this.messageParameter);
/*      */     try {
/* 1036 */       this.sender = new MessageSender(
/* 1037 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 1038 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 1039 */       result = this.sender.sendMessage(this.messagexml, 
/* 1040 */           "short");
/* 1041 */     } catch (JMSException e) {
/* 1042 */       e.printStackTrace();
/*      */     }
/* 1044 */     catch (Exception e) {
/* 1045 */       e.printStackTrace();
/*      */     } 
/* 1047 */     return result;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\annualcheck\AnnualCheckOperationShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */