/*     */ package cs.sydj.operation.shouli.biangeng;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.shouli.biangeng.BianGengFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ShouLiBianGengDataManage
/*     */ {
/*  25 */   private MessageSender sender = null;
/*  26 */   String operation = "ShouLiBianGeng";
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsShouLiBianGeng(String groupid, String applystate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  31 */     String methodname = "getConditionsShouLiBianGeng";
/*  32 */     String msgType = "xml";
/*  33 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  34 */     String replyxml = null;
/*  35 */     ArrayList result = new ArrayList();
/*  36 */     messageParameter.put("groupid", groupid);
/*  37 */     messageParameter.put("applystate", applystate);
/*  38 */     messageParameter.put("sydwname", sydwname);
/*  39 */     messageParameter.put("startdate", startdate);
/*  40 */     messageParameter.put("enddate", enddate);
/*  41 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  42 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  43 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  44 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  46 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String ModifyInsAttachState(InsAttachmentInfo insinfo) {
/*  51 */     String methodname = "ModifyInsAttachState";
/*  52 */     String msgType = "short";
/*  53 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  54 */     String replyxml = null;
/*  55 */     ArrayList result = new ArrayList();
/*  56 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  57 */     messageParameter.put("realid", insinfo.getRealid());
/*  58 */     messageParameter.put("attachid", insinfo.getAttachid());
/*  59 */     messageParameter.put("state", insinfo.getAttachstate());
/*  60 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  62 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getInsAttachmentName(InstaurationShouLiInfo insinfo) {
/*  67 */     String methodname = "getInsAttachmentName";
/*  68 */     String msgType = "xml";
/*  69 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  70 */     String replyxml = null;
/*  71 */     ArrayList result = new ArrayList();
/*  72 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  73 */     messageParameter.put("realid", insinfo.getRealid());
/*  74 */     messageParameter.put("groupid", insinfo.getGroupid());
/*  75 */     messageParameter.put("applystate", insinfo.getAPPLY_STATE());
/*  76 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  77 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  79 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String isShouli(InstaurationShouLiInfo insinfo, int attachflag) {
/*  84 */     String methodname = "isShouli";
/*  85 */     String msgType = "short";
/*  86 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  87 */     String replyxml = null;
/*  88 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  89 */     messageParameter.put("realid", insinfo.getRealid());
/*  90 */     messageParameter.put("attachflag", String.valueOf(attachflag));
/*  91 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  93 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String isJbdwComplete(InsAttachmentInfo insinfo, String groupid, String districtcode) {
/*  98 */     String methodname = "isJbdwComplete";
/*  99 */     String msgType = "short";
/* 100 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 101 */     String replyxml = null;
/* 102 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 103 */     messageParameter.put("realid", insinfo.getRealid());
/* 104 */     messageParameter.put("groupid", groupid);
/* 105 */     messageParameter.put("districtcode", districtcode);
/* 106 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 108 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengInfo(InsAttachmentInfo insinfo) {
/* 113 */     String methodname = "QueryBianGengInfo";
/* 114 */     String msgType = "xml";
/* 115 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 116 */     String replyxml = null;
/* 117 */     ArrayList result = new ArrayList();
/* 118 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 119 */     messageParameter.put("realid", insinfo.getRealid());
/* 120 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 121 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 123 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengItems(InsAttachmentInfo insinfo) {
/* 128 */     String methodname = "QueryBianGengItems";
/* 129 */     String msgType = "xml";
/* 130 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 131 */     String replyxml = null;
/* 132 */     ArrayList result = new ArrayList();
/* 133 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 134 */     messageParameter.put("realid", insinfo.getRealid());
/* 135 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 136 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 138 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String saveFrBianGengInfo(BianGengFRInfo insinfo, ArrayList itemchange) {
/* 143 */     String methodname = "saveFrBianGengInfo";
/* 144 */     String msgType = "short";
/* 145 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 146 */     String replyxml = null;
/* 147 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 148 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 149 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 151 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList queryBackComboList(InstaurationShouLiInfo insinfo) {
/* 156 */     String methodname = "queryBackComboLists";
/* 157 */     String msgType = "xml";
/* 158 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 159 */     String replyxml = null;
/* 160 */     ArrayList result = new ArrayList();
/* 161 */     messageParameter.put("groupId", insinfo.getGroupid());
/* 162 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 163 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 165 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String biangengShouliOK(String applyId, String currentId, String fddbrFlag) {
/* 170 */     String methodname = "biangengShouliOK";
/* 171 */     String msgType = "short";
/* 172 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 173 */     String replyxml = null;
/* 174 */     messageParameter.put("applyId", applyId);
/* 175 */     messageParameter.put("currentId", currentId);
/* 176 */     messageParameter.put("fddbrFlag", fddbrFlag);
/* 177 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 179 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String queryBackAppendStr(InstaurationShouLiInfo insinfo) {
/* 184 */     String methodname = "queryBackAppendStr";
/* 185 */     String msgType = "short";
/* 186 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 187 */     String replyxml = null;
/* 188 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 189 */     messageParameter.put("currentId", insinfo.getRealid());
/* 190 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 192 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice, String fddbrFlag) {
/* 198 */     String methodname = "backModify";
/* 199 */     String msgType = "short";
/* 200 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 201 */     String replyxml = null;
/* 202 */     messageParameter.put("applyId", applyId);
/* 203 */     messageParameter.put("currentId", currentId);
/* 204 */     messageParameter.put("advice", advice);
/* 205 */     messageParameter.put("fddbrFlag", fddbrFlag);
/* 206 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 208 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId, String fddbrFlag) {
/* 214 */     String methodname = "dealNotAccept";
/* 215 */     String msgType = "short";
/* 216 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 217 */     String replyxml = null;
/* 218 */     ArrayList result = new ArrayList();
/* 219 */     messageParameter.put("applyId", applyId);
/* 220 */     messageParameter.put("currentId", currentId);
/* 221 */     messageParameter.put("advice", advice);
/* 222 */     messageParameter.put("groupId", groupId);
/* 223 */     messageParameter.put("fddbrFlag", fddbrFlag);
/* 224 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 226 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getShouLiBianGengHisInfo(InstaurationShouLiInfo insinfo) {
/* 231 */     String methodname = "getShouLiBianGengHisInfo";
/* 232 */     String msgType = "xml";
/* 233 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 234 */     String replyxml = null;
/* 235 */     ArrayList result = new ArrayList();
/* 236 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 237 */     messageParameter.put("currentId", insinfo.getRealid());
/* 238 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 239 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 241 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getInsHisAttachmentName(HistoryModel insinfo, String groupid, String applystate) {
/* 246 */     String methodname = "getInsHisAttachmentName";
/* 247 */     String msgType = "xml";
/* 248 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 249 */     String replyxml = null;
/* 250 */     ArrayList result = new ArrayList();
/* 251 */     messageParameter.put("applyid", insinfo.getApplyId());
/* 252 */     messageParameter.put("realid", insinfo.getCurrentId());
/* 253 */     messageParameter.put("groupid", groupid);
/* 254 */     messageParameter.put("hisid", insinfo.getId());
/* 255 */     messageParameter.put("applystate", applystate);
/* 256 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 257 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 259 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getLeaderAdvice(InstaurationShouLiInfo insinfo) {
/* 264 */     String methodname = "getLeaderAdvice";
/* 265 */     String msgType = "xml";
/* 266 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 267 */     String replyxml = null;
/* 268 */     ArrayList result = new ArrayList();
/* 269 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 270 */     messageParameter.put("currentId", insinfo.getRealid());
/* 271 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 272 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 274 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 281 */     String replyxml = "";
/* 282 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 283 */         messageParameter);
/*     */     try {
/* 285 */       this.sender = new MessageSender(
/* 286 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 287 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 288 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 289 */     } catch (JMSException e) {
/* 290 */       e.printStackTrace();
/* 291 */     } catch (Exception e) {
/* 292 */       e.printStackTrace();
/*     */     } 
/* 294 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\biangeng\ShouLiBianGengDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */