/*     */ package cs.sydj.operation.shouli.cert.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.NotAcceptDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.cert.CertDetailDialogShouLi;
/*     */ import cs.sydj.operation.shouli.cert.CertOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertDetailActionGroupShouLi
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private CertDetailDialogShouLi dialog;
/*     */   
/*     */   public CertDetailActionGroupShouLi(CertDetailDialogShouLi dialog) {
/*  41 */     this.dialog = dialog;
/*  42 */     this.barManager = dialog.getBarManager();
/*  43 */     this.applyId = dialog.getCert().getApplyId();
/*  44 */     this.currentId = dialog.getCert().getId();
/*  45 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  50 */       setId("cs.sydj.shouli.logout.acceptpass");
/*  51 */       setText("受理通过");
/*  52 */       setToolTipText("受理通过");
/*  53 */       setEnabled((StaticVariableClass.isDeal && 
/*  54 */           StaticVariableClass.isWtAdvice));
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  59 */         CertOperationShouLi cert = new CertOperationShouLi();
/*  60 */         UnitInfoModel model = CertDetailActionGroupShouLi.this.dialog.getCert();
/*  61 */         String flag = cert
/*  62 */           .acceptPass(model.getApplyId(), model.getId());
/*  63 */         if ("true".equals(flag)) {
/*  64 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/*  65 */           CertDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/*  66 */           CertDetailActionGroupShouLi.this.dialog.getShell().dispose();
/*     */         } else {
/*  68 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         } 
/*  70 */       } catch (Exception e) {
/*  71 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  79 */       setId("cs.sydj.shouli.cert.backmodify");
/*  80 */       setText("退回修改");
/*  81 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  85 */       CertOperationShouLi cert = new CertOperationShouLi();
/*  86 */       ArrayList<FileModel> lists = CertDetailActionGroupShouLi.this.dialog.getFileList();
/*  87 */       String year = "";
/*  88 */       if (!lists.isEmpty()) {
/*  89 */         FileModel model = lists.get(0);
/*  90 */         year = model.getYear();
/*     */       } 
/*  92 */       String str = cert.backModifyStr(CertDetailActionGroupShouLi.this.applyId, CertDetailActionGroupShouLi.this.currentId, year);
/*  93 */       if (str == null)
/*     */         return; 
/*  95 */       ArrayList list = cert.getAnnexName(
/*  96 */           GljgUserInfo.getInstance().getGroupid());
/*  97 */       if (list == null)
/*     */         return; 
/*  99 */       String advice = cert.checkBackOffReason(CertDetailActionGroupShouLi.this.applyId, CertDetailActionGroupShouLi.this.currentId);
/* 100 */       if (advice == null)
/*     */         return; 
/* 102 */       BackModifyDialog back = new BackModifyDialog(CertDetailActionGroupShouLi.this.shell, str, list, 
/* 103 */           advice, "你单位提交的证书补领申请材料不全，请补充提交：", 
/* 104 */           "你单位提交的证书补领申请材料不合格，请重新提交：", "事业单位法人证书补领申请报告书", "", "");
/* 105 */       if (back.open() == 0) {
/* 106 */         String flag = cert.backModify(CertDetailActionGroupShouLi.this.applyId, CertDetailActionGroupShouLi.this.currentId, 
/* 107 */             back.getReason());
/* 108 */         if ("true".equals(flag)) {
/* 109 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 110 */           CertDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 111 */           if (!CertDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 112 */             CertDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */         } else {
/* 114 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         } 
/* 116 */         CertDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 117 */         if (!CertDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 118 */           CertDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class NotAcceptAction extends Action {
/*     */     public NotAcceptAction() {
/* 125 */       setId("cs.sydj.shouli.cert.notaccept");
/* 126 */       setText("不予受理");
/* 127 */       setToolTipText("不予受理");
/*     */     }
/*     */     
/*     */     public void run() {
/* 131 */       if (SydjMessageDialog.openConfirm(null, "提示", "不予受理后事业单位将无法修改申请材料，需要删除后重新填写再提交！确认不予受理吗？")) {
/* 132 */         CertOperationShouLi operation = new CertOperationShouLi();
/* 133 */         ArrayList list = operation.getManagerOrgnization(
/* 134 */             GljgUserInfo.getInstance().getGroupid(), "0", 
/* 135 */             GljgUserInfo.getInstance().getDistrictcode());
/* 136 */         if (list == null) {
/*     */           return;
/*     */         }
/* 139 */         NotAcceptDialog dial = new NotAcceptDialog(CertDetailActionGroupShouLi.this.shell, "证书补领", list);
/* 140 */         if (dial.open() == 0) {
/* 141 */           CertOperationShouLi oper = new CertOperationShouLi();
/* 142 */           String flag = oper.dealNotAccept(CertDetailActionGroupShouLi.this.applyId, CertDetailActionGroupShouLi.this.currentId, 
/* 143 */               dial.getReason(), 
/* 144 */               GljgUserInfo.getInstance().getGroupid());
/* 145 */           if ("true".equals(flag)) {
/* 146 */             SydjMessageDialog.openInformation(null, "提示", 
/* 147 */                 "操作成功！");
/* 148 */             CertDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 149 */             if (!CertDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 150 */               CertDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 152 */             SydjMessageDialog.openInformation(null, "提示", 
/* 153 */                 "操作失败！");
/*     */             return;
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class DealAnnexAction
/*     */     extends Action {
/*     */     public DealAnnexAction() {
/* 164 */       setId("cs.sydj.shouli.cert.dealannex");
/* 165 */       setText("处理附件");
/* 166 */       setToolTipText("处理附件");
/*     */     }
/*     */     
/*     */     public void run() {
/* 170 */       ArrayList oldList = CertDetailActionGroupShouLi.this.dialog.getFileList();
/* 171 */       CertOperationShouLi cert = new CertOperationShouLi();
/* 172 */       ArrayList fileInfo = cert.dealAnnex(oldList);
/* 173 */       if (fileInfo != null) {
/* 174 */         CertDetailActionGroupShouLi.this.dialog.setFileList(fileInfo);
/* 175 */         PublicUtil.setPassEnable(CertDetailActionGroupShouLi.this.dialog.getFileList());
/* 176 */         CertDetailActionGroupShouLi.this.fillActionToolBar();
/* 177 */         if (!StaticVariableClass.isDealAnnexVisible && 
/* 178 */           CertDetailActionGroupShouLi.this.dialog.getNewColumnTableColumn_3() != null) {
/* 179 */           CertDetailActionGroupShouLi.this.dialog.getNewColumnTableColumn_3().dispose();
/* 180 */           CertDetailActionGroupShouLi.this.dialog.getTableViewer().refresh();
/* 181 */           CertDetailActionGroupShouLi.this.dialog.setRate();
/* 182 */           PublicUtil.setWidth(CertDetailActionGroupShouLi.this.dialog.getComposite(), 
/* 183 */               CertDetailActionGroupShouLi.this.dialog.getTableViewer().getTable(), CertDetailActionGroupShouLi.this.dialog.getRate());
/*     */         } 
/*     */         
/* 186 */         CertDetailActionGroupShouLi.this.dialog.clearData();
/* 187 */         CertDetailActionGroupShouLi.this.dialog.setData();
/* 188 */         CertDetailActionGroupShouLi.this.dialog.setFontColor();
/* 189 */         CertDetailActionGroupShouLi.this.dialog.setCursor();
/* 190 */         SydjMessageDialog.openInformation(null, "提示", "修改成功");
/*     */       } else {
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 198 */     this.barManager.removeAll();
/* 199 */     if (StaticVariableClass.isDealAnnexVisible && this.dialog.isVisible()) {
/* 200 */       Action dealAnnex = new DealAnnexAction();
/* 201 */       this.barManager.add(createContributionItem((IAction)dealAnnex));
/*     */     } 
/* 203 */     if (this.isVisible) {
/* 204 */       Action acceptPass = new AcceptPassAction();
/* 205 */       Action backModify = new BackModifyAction();
/* 206 */       Action notAccept = new NotAcceptAction();
/* 207 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 208 */       this.barManager.add(createContributionItem((IAction)backModify));
/* 209 */       this.barManager.add(createContributionItem((IAction)notAccept));
/*     */     } 
/* 211 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 215 */     ActionContributionItem act = new ActionContributionItem(action);
/* 216 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 217 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 223 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\cert\actions\CertDetailActionGroupShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */