/*     */ package cs.sydj.operation.shouli.instauration;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.HistoryTableViewerLabelProvider;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ShouliInsHisInfoDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table_1;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private InstaurationShouLiInfo insinfo;
/*     */   private ArrayList historyList;
/*     */   private boolean OkButtonFlag;
/*  50 */   private TableCursor cursor = null;
/*     */   private TableViewer tableViewer;
/*  52 */   protected int selectColums = 32;
/*     */ 
/*     */ 
/*     */   
/*     */   String operationType;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ShouliInsHisInfoDialog(Shell parent, int style) {
/*  62 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public ShouliInsHisInfoDialog(Shell parent, InstaurationShouLiInfo insinfo, ArrayList historyList, boolean OkButtonFlag, String operationType) {
/*  67 */     super(parent, 0);
/*  68 */     this.insinfo = insinfo;
/*  69 */     this.historyList = historyList;
/*  70 */     this.OkButtonFlag = OkButtonFlag;
/*  71 */     this.operationType = operationType;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ShouliInsHisInfoDialog(Shell parent) {
/*  80 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  89 */     createContents();
/*  90 */     PublicUtil.setCenter(this.shell);
/*  91 */     this.shell.open();
/*  92 */     this.shell.layout();
/*  93 */     Display display = getParent().getDisplay();
/*  94 */     while (!this.shell.isDisposed()) {
/*  95 */       if (!display.readAndDispatch())
/*  96 */         display.sleep(); 
/*     */     } 
/*  98 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 105 */     this.shell = new Shell(getParent(), 67680);
/* 106 */     this.shell.setBackgroundMode(1);
/* 107 */     this.shell.setBackground(
/* 108 */         Display.getCurrent().getSystemColor(1));
/* 109 */     this.shell.setLayout((Layout)new FormLayout());
/* 110 */     this.shell.setSize(800, 600);
/* 111 */     this.shell.setText("历史记录");
/*     */     
/* 113 */     Composite group = new Composite((Composite)this.shell, 0);
/* 114 */     GridLayout gridLayout = new GridLayout();
/* 115 */     gridLayout.marginTop = 25;
/* 116 */     gridLayout.marginRight = 25;
/* 117 */     gridLayout.marginLeft = 25;
/* 118 */     group.setLayout((Layout)gridLayout);
/* 119 */     FormData fd_group = new FormData();
/* 120 */     fd_group.bottom = new FormAttachment(100, -60);
/* 121 */     fd_group.right = new FormAttachment(100, -5);
/* 122 */     fd_group.top = new FormAttachment(0, 0);
/* 123 */     fd_group.left = new FormAttachment(0, 0);
/* 124 */     group.setLayoutData(fd_group);
/* 125 */     Object data = this.historyList;
/*     */     
/* 127 */     Label label = new Label(group, 0);
/* 128 */     label.setLayoutData(new GridData());
/* 129 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 130 */     label.setText("“" + this.insinfo.getSydwname() + "”设立登记申请历史记录");
/* 131 */     label.setFont(
/* 132 */         SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 133 */     Label label_2 = new Label(group, 258);
/* 134 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 136 */     this.tableViewer = new TableViewer(group, 67584);
/* 137 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new HistoryTableViewerLabelProvider());
/* 138 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 139 */     this.table_1 = this.tableViewer.getTable();
/* 140 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 142 */             int colums = ShouliInsHisInfoDialog.this.cursor.getColumn();
/* 143 */             ShouliInsHisInfoDialog.this.openChildrenDialog(colums);
/* 144 */             ShouliInsHisInfoDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 147 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 148 */         false);
/* 149 */     gd_table_1.heightHint = 312;
/* 150 */     this.table_1.setLayoutData(gd_table_1);
/* 151 */     this.table_1.setLinesVisible(true);
/* 152 */     this.table_1.setHeaderVisible(true);
/* 153 */     PublicUtil.setMouseHands(this.table_1, "0");
/*     */     
/* 155 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 156 */         0);
/* 157 */     newColumnTableColumn_1.setAlignment(16777216);
/* 158 */     newColumnTableColumn_1.setWidth(91);
/* 159 */     newColumnTableColumn_1.setText("提交次数");
/*     */     
/* 161 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 162 */         0);
/* 163 */     newColumnTableColumn_2.setAlignment(16777216);
/* 164 */     newColumnTableColumn_2.setWidth(100);
/* 165 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 167 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 168 */         0);
/* 169 */     newColumnTableColumn.setAlignment(16777216);
/* 170 */     newColumnTableColumn.setWidth(350);
/* 171 */     newColumnTableColumn.setText("举办单位意见");
/*     */     
/* 173 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 174 */         0);
/* 175 */     newColumnTableColumn_3.setAlignment(16777216);
/* 176 */     newColumnTableColumn_3.setWidth(350);
/* 177 */     newColumnTableColumn_3.setText("受理人意见");
/*     */     
/* 179 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 180 */         0);
/* 181 */     newColumnTableColumn_4.setAlignment(16777216);
/* 182 */     newColumnTableColumn_4.setWidth(350);
/* 183 */     newColumnTableColumn_4.setText("审核人意见");
/*     */     
/* 185 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 186 */         0);
/* 187 */     newColumnTableColumn_5.setAlignment(16777216);
/* 188 */     newColumnTableColumn_5.setWidth(350);
/* 189 */     newColumnTableColumn_5.setText("核准人意见");
/*     */     
/* 191 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 192 */         0);
/* 193 */     newColumnTableColumn_6.setAlignment(16777216);
/* 194 */     newColumnTableColumn_6.setWidth(100);
/* 195 */     newColumnTableColumn_6.setText("核准时间");
/* 196 */     this.tableViewer.setInput(data);
/*     */     
/* 198 */     Label label_1 = new Label(group, 258);
/* 199 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 201 */     Button button = new Button((Composite)this.shell, 0);
/* 202 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 204 */             ShouliInsHisInfoDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 208 */     FormData fd_button = new FormData();
/* 209 */     fd_button.bottom = new FormAttachment(0, 556);
/* 210 */     fd_button.top = new FormAttachment(0, 533);
/* 211 */     fd_button.right = new FormAttachment(0, 781);
/* 212 */     fd_button.left = new FormAttachment(0, 706);
/* 213 */     button.setLayoutData(fd_button);
/* 214 */     button.setText("关闭");
/* 215 */     setFontColor();
/* 216 */     setCursor();
/* 217 */     PublicUtil.setTableHeight(this.table_1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 224 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 225 */       this.table_1.getItem(i)
/* 226 */         .setFont(
/* 227 */           0, 
/* 228 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 229 */             false, false));
/* 230 */       this.table_1.getItem(i).setForeground(0, 
/* 231 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 239 */     if (this.cursor != null)
/*     */     {
/* 241 */       this.cursor.dispose(); } 
/* 242 */     this.cursor = new TableCursor(this.table_1, 0);
/* 243 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 244 */         .getSystemColor(26));
/* 245 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 246 */         .getSystemColor(27));
/* 247 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 250 */             int colums = ShouliInsHisInfoDialog.this.cursor.getColumn();
/* 251 */             ShouliInsHisInfoDialog.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 260 */     if (colums == 0)
/*     */       try {
/* 262 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 263 */           .getSelection();
/* 264 */         HistoryModel history = (HistoryModel)select.getFirstElement();
/* 265 */         ShouLiInstaurationDataManage dataManage = new ShouLiInstaurationDataManage();
/* 266 */         ArrayList result = new ArrayList();
/* 267 */         result = dataManage.getInsHisAttachmentName(history, this.insinfo.getGroupid(), this.insinfo.getAPPLY_STATE(), this.operationType);
/* 268 */         if (result != null) {
/* 269 */           ShouliInsHisDetailDialog detailinfodialog = new ShouliInsHisDetailDialog(
/* 270 */               PlatformUI.getWorkbench()
/* 271 */               .getActiveWorkbenchWindow().getShell(), 
/* 272 */               result, this.insinfo, this.OkButtonFlag, this.operationType);
/* 273 */           detailinfodialog.open();
/*     */         } 
/* 275 */       } catch (Exception e) {
/* 276 */         e.printStackTrace();
/*     */       }  
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\instauration\ShouliInsHisInfoDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */