/*     */ package cs.sydj.operation.shouli.logout;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.LogOutTableContentModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutOperationShouLi
/*     */ {
/*  17 */   String operation = "LogOutShouLi";
/*  18 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  19 */   String messagexml = null;
/*  20 */   String replyxml = null;
/*  21 */   ArrayList result = new ArrayList();
/*  22 */   MessageSender sender = null;
/*     */   private String name;
/*     */   private String beginDate;
/*     */   private String endDate;
/*     */   private String type;
/*     */   private String applyId;
/*     */   private String id;
/*     */   private String groupId;
/*     */   
/*     */   public LogOutOperationShouLi() {}
/*     */   
/*     */   public LogOutOperationShouLi(String name, String beginDate, String endDate, String type) {
/*  34 */     this.name = name;
/*  35 */     this.beginDate = beginDate;
/*  36 */     this.endDate = endDate;
/*  37 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutInfo(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  53 */     this.messageParameter.put("name", name);
/*  54 */     this.messageParameter.put("bnDate", bnDate);
/*  55 */     this.messageParameter.put("enDate", enDate);
/*  56 */     this.messageParameter.put("state", state);
/*  57 */     this.messageParameter.put("groupId", groupId);
/*  58 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  59 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  60 */     this.messagexml = 
/*  61 */       MessageXML.MessageToXML(this.operation, "getLogoutInfo", this.messageParameter);
/*     */     try {
/*  63 */       this.sender = new MessageSender(
/*  64 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  65 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  66 */       this.replyxml = this.sender
/*  67 */         .sendMessage(this.messagexml, "xml");
/*  68 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  69 */     } catch (JMSException e) {
/*  70 */       e.printStackTrace();
/*     */     }
/*  72 */     catch (Exception e) {
/*  73 */       e.printStackTrace();
/*     */     } 
/*  75 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLeaderAcvice(String applyId, String currentId) {
/*  86 */     this.messageParameter.put("applyId", applyId);
/*  87 */     this.messageParameter.put("currentId", currentId);
/*  88 */     this.messagexml = 
/*  89 */       MessageXML.MessageToXML(this.operation, "getLeaderAcvice", this.messageParameter);
/*     */     try {
/*  91 */       this.sender = new MessageSender(
/*  92 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  93 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  94 */       this.replyxml = this.sender
/*  95 */         .sendMessage(this.messagexml, "xml");
/*  96 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  97 */     } catch (JMSException e) {
/*  98 */       e.printStackTrace();
/*     */     }
/* 100 */     catch (Exception e) {
/* 101 */       e.printStackTrace();
/*     */     } 
/* 103 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public LogOutOperationShouLi(String applyId, String id, String groupId) {
/* 111 */     this.applyId = applyId;
/* 112 */     this.id = id;
/* 113 */     this.groupId = groupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/* 127 */     this.messageParameter.put("applyId", applyId);
/* 128 */     this.messageParameter.put("currentId", currentId);
/* 129 */     this.messageParameter.put("groupId", groupId);
/* 130 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 131 */     this.messagexml = 
/* 132 */       MessageXML.MessageToXML(this.operation, "getLogoutFileInfo", this.messageParameter);
/*     */     try {
/* 134 */       this.sender = new MessageSender(
/* 135 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 136 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 137 */       this.replyxml = this.sender
/* 138 */         .sendMessage(this.messagexml, "xml");
/* 139 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 140 */     } catch (JMSException e) {
/* 141 */       e.printStackTrace();
/*     */     }
/* 143 */     catch (Exception e) {
/* 144 */       e.printStackTrace();
/*     */     } 
/* 146 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 160 */     this.messageParameter.put("applyId", applyId);
/* 161 */     this.messageParameter.put("currentId", currentId);
/* 162 */     this.messageParameter.put("groupId", groupId);
/* 163 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 164 */     this.messageParameter.put("id", id);
/* 165 */     this.messagexml = 
/* 166 */       MessageXML.MessageToXML(this.operation, "getLogOutHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 168 */       this.sender = new MessageSender(
/* 169 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 170 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 171 */       this.replyxml = this.sender
/* 172 */         .sendMessage(this.messagexml, "xml");
/* 173 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 174 */     } catch (JMSException e) {
/* 175 */       e.printStackTrace();
/*     */     }
/* 177 */     catch (Exception e) {
/* 178 */       e.printStackTrace();
/*     */     } 
/* 180 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogoutHistoryInfo(UnitInfoModel logout) {
/* 190 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 191 */     this.messageParameter.put("currentId", logout.getId());
/* 192 */     this.messagexml = 
/* 193 */       MessageXML.MessageToXML(this.operation, "getLogoutHistoryInfo", this.messageParameter);
/*     */     try {
/* 195 */       this.sender = new MessageSender(
/* 196 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 197 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 198 */       this.replyxml = this.sender
/* 199 */         .sendMessage(this.messagexml, "xml");
/* 200 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 201 */     } catch (JMSException e) {
/* 202 */       e.printStackTrace();
/*     */     }
/* 204 */     catch (Exception e) {
/* 205 */       e.printStackTrace();
/*     */     } 
/* 207 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList dealAnnex(ArrayList fileList) {
/* 216 */     this.messageParameter.put("list", MessageXML.getReplyXML(fileList));
/* 217 */     this.messagexml = 
/* 218 */       MessageXML.MessageToXML(this.operation, "dealAnnex", this.messageParameter);
/*     */     try {
/* 220 */       this.sender = new MessageSender(
/* 221 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 222 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 223 */       this.replyxml = this.sender
/* 224 */         .sendMessage(this.messagexml, "xml");
/* 225 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 226 */     } catch (JMSException e) {
/* 227 */       e.printStackTrace();
/*     */     }
/* 229 */     catch (Exception e) {
/* 230 */       e.printStackTrace();
/*     */     } 
/* 232 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 239 */     this.messageParameter.put("applyId", file.getApplyId());
/* 240 */     this.messageParameter.put("currentId", file.getId());
/* 241 */     this.messageParameter.put("groupId", file.getGroupId());
/* 242 */     this.messageParameter.put("type", "0");
/* 243 */     this.messagexml = 
/* 244 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 246 */       this.sender = new MessageSender(
/* 247 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 248 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 249 */       this.replyxml = this.sender
/* 250 */         .sendMessage(this.messagexml, "xml");
/* 251 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 252 */     } catch (JMSException e) {
/* 253 */       e.printStackTrace();
/*     */     }
/* 255 */     catch (Exception e) {
/* 256 */       e.printStackTrace();
/*     */     } 
/* 258 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean setAdviceInfo(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate) {
/* 267 */     this.messageParameter.put("applyId", applyId);
/* 268 */     this.messageParameter.put("currentId", currentId);
/* 269 */     this.messageParameter.put("groupId", groupId);
/* 270 */     this.messageParameter.put("advice", advice);
/* 271 */     this.messageParameter.put("sign", sign);
/* 272 */     this.messageParameter.put("unitId", unitId);
/* 273 */     this.messageParameter.put("holdUnitId", holdUnitId);
/* 274 */     this.messageParameter.put("signDate", signDate);
/* 275 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/* 276 */     this.messagexml = 
/* 277 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 279 */       this.sender = new MessageSender(
/* 280 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 281 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 282 */       this.replyxml = this.sender
/* 283 */         .sendMessage(this.messagexml, "short");
/* 284 */       if (this.replyxml.equals("false"))
/* 285 */         return false; 
/* 286 */     } catch (JMSException e) {
/* 287 */       e.printStackTrace();
/* 288 */       return false;
/*     */     }
/* 290 */     catch (Exception e) {
/* 291 */       e.printStackTrace();
/* 292 */       return false;
/*     */     } 
/* 294 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getAnnex(FileModel annex) {
/* 302 */     this.messageParameter.put("applyId", this.applyId);
/* 303 */     this.messageParameter.put("id", this.id);
/* 304 */     this.messageParameter.put("goupId", this.groupId);
/* 305 */     this.messagexml = 
/* 306 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 308 */       this.sender = new MessageSender(
/* 309 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 310 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 311 */       this.replyxml = this.sender
/* 312 */         .sendMessage(this.messagexml, "short");
/* 313 */       if (this.replyxml.equals("false"))
/* 314 */         return false; 
/* 315 */     } catch (JMSException e) {
/* 316 */       e.printStackTrace();
/* 317 */       return false;
/*     */     }
/* 319 */     catch (Exception e) {
/* 320 */       e.printStackTrace();
/* 321 */       return false;
/*     */     } 
/* 323 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList dealSingleAnnex(FileModel annex) {
/* 332 */     this.messageParameter.put("applyId", annex.getApplyId());
/* 333 */     this.messageParameter.put("currentId", annex.getId());
/* 334 */     this.messageParameter.put("groupId", annex.getGroupId());
/* 335 */     this.messageParameter.put("attachId", annex.getAnnexId());
/* 336 */     this.messageParameter.put("stat", annex.getAnnexStat());
/* 337 */     this.messageParameter.put("unitId", annex.getUnitId());
/* 338 */     this.messageParameter.put("holdUnit", annex.getHoldUnitId());
/* 339 */     this.messageParameter.put("fileName", annex.getFileName());
/* 340 */     this.messageParameter.put("year", annex.getYear());
/* 341 */     this.messagexml = 
/* 342 */       MessageXML.MessageToXML(this.operation, "dealSingleAnnex", this.messageParameter);
/*     */     try {
/* 344 */       this.sender = new MessageSender(
/* 345 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 346 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 347 */       this.replyxml = this.sender
/* 348 */         .sendMessage(this.messagexml, "xml");
/* 349 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 350 */     } catch (JMSException e) {
/* 351 */       e.printStackTrace();
/*     */     }
/* 353 */     catch (Exception e) {
/* 354 */       e.printStackTrace();
/*     */     } 
/* 356 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId) {
/* 365 */     this.messageParameter.put("applyId", applyId);
/* 366 */     this.messageParameter.put("currentId", currentId);
/* 367 */     this.messagexml = 
/* 368 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 370 */       this.sender = new MessageSender(
/* 371 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 372 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 373 */       this.replyxml = this.sender
/* 374 */         .sendMessage(this.messagexml, "short");
/* 375 */     } catch (JMSException e) {
/* 376 */       e.printStackTrace();
/*     */       
/* 378 */       return null;
/* 379 */     } catch (Exception e) {
/* 380 */       e.printStackTrace();
/* 381 */       return null;
/*     */     } 
/* 383 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModifyStr(String applyId, String currentId, String year) {
/* 392 */     this.messageParameter.put("applyId", applyId);
/* 393 */     this.messageParameter.put("currentId", currentId);
/* 394 */     this.messageParameter.put("year", year);
/* 395 */     this.messagexml = 
/* 396 */       MessageXML.MessageToXML(this.operation, "backModifyStr", this.messageParameter);
/*     */     try {
/* 398 */       this.sender = new MessageSender(
/* 399 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 400 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 401 */       this.replyxml = this.sender
/* 402 */         .sendMessage(this.messagexml, "short");
/* 403 */     } catch (JMSException e) {
/* 404 */       e.printStackTrace();
/*     */       
/* 406 */       return "error";
/* 407 */     } catch (Exception e) {
/* 408 */       e.printStackTrace();
/* 409 */       return "error";
/*     */     } 
/* 411 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String checkBackOffReason(String applyId, String currentId) {
/* 420 */     this.messageParameter.put("applyId", applyId);
/* 421 */     this.messageParameter.put("currentId", currentId);
/* 422 */     this.messagexml = 
/* 423 */       MessageXML.MessageToXML(this.operation, "checkBackOffReason", this.messageParameter);
/*     */     try {
/* 425 */       this.sender = new MessageSender(
/* 426 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 427 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 428 */       this.replyxml = this.sender
/* 429 */         .sendMessage(this.messagexml, "short");
/* 430 */     } catch (JMSException e) {
/* 431 */       e.printStackTrace();
/*     */       
/* 433 */       return "error";
/* 434 */     } catch (Exception e) {
/* 435 */       e.printStackTrace();
/* 436 */       return "error";
/*     */     } 
/* 438 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice) {
/* 447 */     this.messageParameter.put("applyId", applyId);
/* 448 */     this.messageParameter.put("currentId", currentId);
/* 449 */     this.messageParameter.put("advice", advice);
/* 450 */     this.messagexml = 
/* 451 */       MessageXML.MessageToXML(this.operation, "backModify", this.messageParameter);
/*     */     try {
/* 453 */       this.sender = new MessageSender(
/* 454 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 455 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 456 */       this.replyxml = this.sender
/* 457 */         .sendMessage(this.messagexml, "short");
/* 458 */     } catch (JMSException e) {
/* 459 */       e.printStackTrace();
/*     */       
/* 461 */       return null;
/* 462 */     } catch (Exception e) {
/* 463 */       e.printStackTrace();
/* 464 */       return null;
/*     */     } 
/* 466 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnexName(String groupId) {
/* 475 */     this.messageParameter.put("groupId", groupId);
/* 476 */     this.messagexml = 
/* 477 */       MessageXML.MessageToXML(this.operation, "getAnnexName", this.messageParameter);
/*     */     try {
/* 479 */       this.sender = new MessageSender(
/* 480 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 481 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 482 */       this.replyxml = this.sender
/* 483 */         .sendMessage(this.messagexml, "xml");
/* 484 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 485 */     } catch (JMSException e) {
/* 486 */       e.printStackTrace();
/*     */     }
/* 488 */     catch (Exception e) {
/* 489 */       e.printStackTrace();
/*     */     } 
/* 491 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getManagerOrgnization(String groupId, String flag, String districtCode) {
/* 501 */     this.messageParameter.put("groupId", groupId);
/* 502 */     this.messageParameter.put("flag", flag);
/* 503 */     this.messageParameter.put("districtCode", districtCode);
/* 504 */     this.messagexml = 
/* 505 */       MessageXML.MessageToXML(this.operation, "getManagerOrgnization", this.messageParameter);
/*     */     try {
/* 507 */       this.sender = new MessageSender(
/* 508 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 509 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 510 */       this.replyxml = this.sender
/* 511 */         .sendMessage(this.messagexml, "xml");
/* 512 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 513 */     } catch (JMSException e) {
/* 514 */       e.printStackTrace();
/*     */     }
/* 516 */     catch (Exception e) {
/* 517 */       e.printStackTrace();
/*     */     } 
/* 519 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId) {
/* 529 */     this.messageParameter.put("applyId", applyId);
/* 530 */     this.messageParameter.put("currentId", currentId);
/* 531 */     this.messageParameter.put("advice", advice);
/* 532 */     this.messageParameter.put("groupId", groupId);
/* 533 */     this.messagexml = 
/* 534 */       MessageXML.MessageToXML(this.operation, "dealNotAccept", this.messageParameter);
/*     */     try {
/* 536 */       this.sender = new MessageSender(
/* 537 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 538 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 539 */       this.replyxml = this.sender
/* 540 */         .sendMessage(this.messagexml, "short");
/* 541 */     } catch (JMSException e) {
/* 542 */       e.printStackTrace();
/*     */     }
/* 544 */     catch (Exception e) {
/* 545 */       e.printStackTrace();
/*     */     } 
/* 547 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public LogOutTableContentModel getLogOutTable(String applyId, String currentId) {
/* 555 */     LogOutTableContentModel model = new LogOutTableContentModel();
/* 556 */     this.messageParameter.put("applyId", applyId);
/* 557 */     this.messageParameter.put("currentId", currentId);
/* 558 */     this.messagexml = 
/* 559 */       MessageXML.MessageToXML(this.operation, "getLogOutTable", this.messageParameter);
/*     */     try {
/* 561 */       this.sender = new MessageSender(
/* 562 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 563 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 564 */       this.replyxml = this.sender
/* 565 */         .sendMessage(this.messagexml, "short");
/* 566 */       model = (LogOutTableContentModel)MessageXML.XMLToObject(this.replyxml);
/* 567 */     } catch (JMSException e) {
/* 568 */       e.printStackTrace();
/*     */     }
/* 570 */     catch (Exception e) {
/* 571 */       e.printStackTrace();
/*     */     } 
/* 573 */     return model;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\logout\LogOutOperationShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */