/*     */ package cs.sydj.operation.shouli.logout.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.NotAcceptDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.logout.LogOutDetailDialogShouLi;
/*     */ import cs.sydj.operation.shouli.logout.LogOutOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutDetailActionGroupShouLi
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private LogOutDetailDialogShouLi dialog;
/*     */   
/*     */   public LogOutDetailActionGroupShouLi(LogOutDetailDialogShouLi dialog) {
/*  41 */     this.dialog = dialog;
/*  42 */     this.barManager = dialog.getBarManager();
/*  43 */     this.applyId = dialog.getLogout().getApplyId();
/*  44 */     this.currentId = dialog.getLogout().getId();
/*  45 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  50 */       setId("cs.sydj.shouli.logout.acceptpass");
/*  51 */       setText("受理通过");
/*  52 */       setToolTipText("受理通过");
/*  53 */       setEnabled((StaticVariableClass.isDeal && 
/*  54 */           StaticVariableClass.isWtAdvice));
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  59 */         LogOutOperationShouLi logout = new LogOutOperationShouLi();
/*  60 */         UnitInfoModel model = LogOutDetailActionGroupShouLi.this.dialog.getLogout();
/*  61 */         String flag = logout.acceptPass(model.getApplyId(), 
/*  62 */             model.getId());
/*  63 */         if (flag == null) {
/*     */           return;
/*     */         }
/*  66 */         if ("true".equals(flag)) {
/*  67 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/*  68 */           LogOutDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/*  69 */           LogOutDetailActionGroupShouLi.this.dialog.getShell().dispose();
/*     */         } else {
/*  71 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         }
/*     */       
/*     */       }
/*  75 */       catch (Exception e) {
/*  76 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  84 */       setId("cs.sydj.shouli.logout.backmodify");
/*  85 */       setText("退回修改");
/*  86 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  90 */       LogOutOperationShouLi logout = new LogOutOperationShouLi();
/*  91 */       ArrayList<FileModel> lists = LogOutDetailActionGroupShouLi.this.dialog.getFileList();
/*  92 */       String year = "";
/*  93 */       if (!lists.isEmpty()) {
/*  94 */         FileModel model = lists.get(0);
/*  95 */         year = model.getYear();
/*     */       } 
/*  97 */       String str = logout.backModifyStr(LogOutDetailActionGroupShouLi.this.applyId, LogOutDetailActionGroupShouLi.this.currentId, year);
/*  98 */       if (str == null)
/*     */         return; 
/* 100 */       ArrayList list = logout.getAnnexName(
/* 101 */           GljgUserInfo.getInstance().getGroupid());
/* 102 */       if (list == null)
/*     */         return; 
/* 104 */       String advice = logout.checkBackOffReason(LogOutDetailActionGroupShouLi.this.applyId, LogOutDetailActionGroupShouLi.this.currentId);
/* 105 */       if (advice == null)
/*     */         return; 
/* 107 */       BackModifyDialog back = new BackModifyDialog(LogOutDetailActionGroupShouLi.this.shell, str, list, 
/* 108 */           advice, "你单位提交的注销登记申请材料不全，请补充提交：", 
/* 109 */           "你单位提交的注销登记申请材料不合格，请重新提交：", "事业单位法人注销登记（备案）申请书", "", "");
/* 110 */       if (back.open() == 0) {
/* 111 */         String flag = logout.backModify(LogOutDetailActionGroupShouLi.this.applyId, LogOutDetailActionGroupShouLi.this.currentId, 
/* 112 */             back.getReason());
/* 113 */         if (flag != null) {
/* 114 */           if ("true".equals(flag)) {
/* 115 */             SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 116 */             LogOutDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 117 */             if (!LogOutDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 118 */               LogOutDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 120 */             SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */           } 
/*     */         }
/* 123 */         LogOutDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 124 */         if (!LogOutDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 125 */           LogOutDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class NotAcceptAction extends Action {
/*     */     public NotAcceptAction() {
/* 132 */       setId("cs.sydj.shouli.logout.notaccept");
/* 133 */       setText("不予受理");
/* 134 */       setToolTipText("不予受理");
/*     */     }
/*     */     
/*     */     public void run() {
/* 138 */       if (SydjMessageDialog.openConfirm(null, "提示", "不予受理后事业单位将无法修改申请材料，需要删除后重新填写再提交！确认不予受理吗？")) {
/* 139 */         LogOutOperationShouLi operation = new LogOutOperationShouLi();
/* 140 */         ArrayList list = operation.getManagerOrgnization(
/* 141 */             GljgUserInfo.getInstance().getGroupid(), "0", 
/* 142 */             GljgUserInfo.getInstance().getDistrictcode());
/* 143 */         if (list == null) {
/*     */           return;
/*     */         }
/* 146 */         NotAcceptDialog dial = new NotAcceptDialog(LogOutDetailActionGroupShouLi.this.shell, "注销登记", list);
/* 147 */         if (dial.open() == 0) {
/* 148 */           LogOutOperationShouLi oper = new LogOutOperationShouLi();
/* 149 */           String flag = oper.dealNotAccept(LogOutDetailActionGroupShouLi.this.applyId, LogOutDetailActionGroupShouLi.this.currentId, 
/* 150 */               dial.getReason(), 
/* 151 */               GljgUserInfo.getInstance().getGroupid());
/* 152 */           if (flag != null)
/* 153 */             if (flag.equals("true")) {
/* 154 */               SydjMessageDialog.openInformation(null, "提示", 
/* 155 */                   "操作成功！");
/* 156 */               LogOutDetailActionGroupShouLi.this.dialog.setReturnValue(0);
/* 157 */               if (!LogOutDetailActionGroupShouLi.this.dialog.getShell().isDisposed())
/* 158 */                 LogOutDetailActionGroupShouLi.this.dialog.getShell().dispose(); 
/*     */             } else {
/* 160 */               SydjMessageDialog.openInformation(null, "提示", 
/* 161 */                   "操作失败！");
/*     */               return;
/*     */             }  
/*     */         } 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class DealAnnexAction
/*     */     extends Action
/*     */   {
/*     */     public DealAnnexAction() {
/* 173 */       setId("cs.sydj.shouli.logout.dealannex");
/* 174 */       setText("处理附件");
/* 175 */       setToolTipText("处理附件");
/*     */     }
/*     */     
/*     */     public void run() {
/* 179 */       ArrayList oldList = LogOutDetailActionGroupShouLi.this.dialog.getFileList();
/* 180 */       LogOutOperationShouLi logout = new LogOutOperationShouLi();
/* 181 */       ArrayList fileInfo = logout.dealAnnex(oldList);
/* 182 */       if (fileInfo != null) {
/* 183 */         LogOutDetailActionGroupShouLi.this.dialog.setFileList(fileInfo);
/* 184 */         PublicUtil.setPassEnable(LogOutDetailActionGroupShouLi.this.dialog.getFileList());
/* 185 */         LogOutDetailActionGroupShouLi.this.fillActionToolBar();
/* 186 */         if (!StaticVariableClass.isDealAnnexVisible && 
/* 187 */           LogOutDetailActionGroupShouLi.this.dialog.getNewColumnTableColumn_3() != null) {
/* 188 */           LogOutDetailActionGroupShouLi.this.dialog.getNewColumnTableColumn_3().dispose();
/* 189 */           LogOutDetailActionGroupShouLi.this.dialog.getTableViewer().refresh();
/* 190 */           LogOutDetailActionGroupShouLi.this.dialog.setRate();
/* 191 */           PublicUtil.setWidth(LogOutDetailActionGroupShouLi.this.dialog.getComposite(), 
/* 192 */               LogOutDetailActionGroupShouLi.this.dialog.getTableViewer().getTable(), LogOutDetailActionGroupShouLi.this.dialog.getRate());
/*     */         } 
/*     */         
/* 195 */         LogOutDetailActionGroupShouLi.this.dialog.clearData();
/* 196 */         LogOutDetailActionGroupShouLi.this.dialog.setData();
/* 197 */         LogOutDetailActionGroupShouLi.this.dialog.setFontColor();
/* 198 */         LogOutDetailActionGroupShouLi.this.dialog.setCursor();
/* 199 */         SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */       } else {
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 207 */     this.barManager.removeAll();
/* 208 */     if (StaticVariableClass.isDealAnnexVisible && this.dialog.isVisible()) {
/* 209 */       Action dealAnnex = new DealAnnexAction();
/* 210 */       this.barManager.add(createContributionItem((IAction)dealAnnex));
/*     */     } 
/* 212 */     if (this.isVisible) {
/* 213 */       Action acceptPass = new AcceptPassAction();
/* 214 */       Action backModify = new BackModifyAction();
/* 215 */       Action notAccept = new NotAcceptAction();
/* 216 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 217 */       this.barManager.add(createContributionItem((IAction)backModify));
/* 218 */       this.barManager.add(createContributionItem((IAction)notAccept));
/*     */     } 
/* 220 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 224 */     ActionContributionItem act = new ActionContributionItem(action);
/* 225 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 226 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 232 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\logout\actions\LogOutDetailActionGroupShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */