/*     */ package cs.sydj.operation.supervise.dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.data.modify.DataModifyOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.FileDialog;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.AttachModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SuperviseAttachsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ArrayList attachs;
/*     */   private Composite composite_2;
/*     */   private GridData gd_composite_2;
/*     */   private Composite composite_3;
/*     */   private Group group;
/*     */   private TableViewer table;
/*  51 */   private int addAttachSum = 0;
/*  52 */   private int deleteAttachSum = 0;
/*     */   
/*  54 */   final Label[] attachsLabel_1 = new Label[30];
/*  55 */   Text[] attachsText = new Text[30];
/*  56 */   final GridData[] attachsData1 = new GridData[30];
/*  57 */   final Button[] attachsButton_view = new Button[30];
/*  58 */   final GridData[] attachsData2 = new GridData[30];
/*  59 */   final Button[] attachsButton_delete = new Button[30];
/*  60 */   final GridData[] attachsData3 = new GridData[30];
/*     */ 
/*     */   
/*  63 */   Button[] old_attachsButton = null;
/*  64 */   Button[] old_attachsButton_view = null;
/*  65 */   Button[] old_attachsButton_delete = null;
/*     */   
/*  67 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  68 */   private InsAttachmentInfo attInfo = new InsAttachmentInfo();
/*  69 */   String[] att_ext_name = new String[] { "GIF", "gif", "BMP", "bmp", "JPEG", "jpeg", 
/*  70 */       "JPG", "jpg", "DOC", "doc", "DOCX", "docx", "TXT", "txt", 
/*  71 */       "XLS", "xls", "XLSX", "xlsx", "ZIP", "zip", "RAR", "rar" };
/*     */   
/*     */   private Button button;
/*     */   
/*     */   private Button button_1;
/*     */   
/*     */   private Button button_3;
/*     */   
/*     */   private Button button_2;
/*     */   
/*     */   private Label label_11;
/*     */   
/*     */   private String type;
/*     */   
/*     */   private String year;
/*     */   
/*     */   public SuperviseAttachsDialog(Shell parentShell, ArrayList attachs, InsAttachmentInfo attInfo, TableViewer table, String type, String year) {
/*  88 */     super(parentShell);
/*  89 */     setShellStyle(66560);
/*  90 */     this.attachs = attachs;
/*  91 */     this.attInfo = attInfo;
/*  92 */     this.type = type;
/*  93 */     this.year = year;
/*  94 */     this.table = table;
/*  95 */     if (attachs != null) {
/*  96 */       this.addAttachSum += attachs.size();
/*     */     }
/*  98 */     this.old_attachsButton = new Button[attachs.size()];
/*  99 */     this.old_attachsButton_view = new Button[attachs.size()];
/* 100 */     this.old_attachsButton_delete = new Button[attachs.size()];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 110 */     parent.setBackground(Display.getCurrent()
/* 111 */         .getSystemColor(1));
/* 112 */     parent.setBackgroundMode(2);
/* 113 */     Composite container = (Composite)super.createDialogArea(parent);
/* 114 */     container.setLayout((Layout)new GridLayout());
/*     */     
/* 116 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 117 */         container, 768);
/* 118 */     scrolledComposite.setLayoutData(new GridData(4, 4, true, 
/* 119 */           true));
/* 120 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 121 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 122 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 124 */     this.group = new Group((Composite)scrolledComposite, 0);
/* 125 */     this.group.setLayoutData(new GridData(4, 4, true, true));
/* 126 */     GridLayout gridLayout = new GridLayout();
/* 127 */     gridLayout.horizontalSpacing = 0;
/* 128 */     gridLayout.verticalSpacing = 0;
/* 129 */     gridLayout.marginWidth = 0;
/* 130 */     gridLayout.marginHeight = 0;
/* 131 */     this.group.setLayout((Layout)gridLayout);
/*     */ 
/*     */     
/* 134 */     if (!this.attInfo.getAttachstate().equals("0")) {
/*     */       
/* 136 */       Label label_1 = new Label((Composite)this.group, 258);
/*     */       
/* 138 */       label_1.setLayoutData(new GridData(4, 16777216, true, 
/* 139 */             false));
/* 140 */       Composite composite = new Composite((Composite)this.group, 0);
/* 141 */       composite.setLayoutData(new GridData(4, 4, true, 
/* 142 */             false));
/* 143 */       GridLayout gridLayout1 = new GridLayout();
/* 144 */       gridLayout1.marginWidth = 0;
/* 145 */       gridLayout1.numColumns = 5;
/* 146 */       composite.setLayout((Layout)gridLayout1);
/*     */     } 
/*     */ 
/*     */     
/* 150 */     this.composite_2 = new Composite((Composite)this.group, 0);
/* 151 */     this.gd_composite_2 = new GridData(4, 128, false, false);
/* 152 */     this.gd_composite_2.heightHint = 0;
/* 153 */     this.composite_2.setLayoutData(this.gd_composite_2);
/* 154 */     GridLayout gridLayout_3 = new GridLayout();
/* 155 */     gridLayout_3.verticalSpacing = 0;
/* 156 */     gridLayout_3.marginWidth = 0;
/* 157 */     gridLayout_3.marginHeight = 0;
/* 158 */     gridLayout_3.horizontalSpacing = 0;
/* 159 */     gridLayout_3.numColumns = 4;
/* 160 */     this.composite_2.setLayout((Layout)gridLayout_3);
/* 161 */     Composite composite_6 = new Composite((Composite)this.group, 0);
/* 162 */     composite_6
/* 163 */       .setLayoutData(new GridData(4, 4, true, false));
/* 164 */     GridLayout gridLayout_4 = new GridLayout();
/* 165 */     gridLayout_4.marginWidth = 0;
/* 166 */     composite_6.setLayout((Layout)gridLayout_4);
/*     */     
/* 168 */     if ("0".equals(this.attInfo.getAttachstate())) {
/* 169 */       Label label_9 = new Label((Composite)this.group, 258);
/*     */       
/* 171 */       label_9.setLayoutData(new GridData(4, 16777216, false, 
/* 172 */             false));
/* 173 */       Label label_8 = new Label((Composite)this.group, 0);
/* 174 */       label_8.setLayoutData(new GridData(16384, 16777216, true, 
/* 175 */             false));
/* 176 */       label_8.setText("  点击附件名称查看附件：");
/*     */       
/* 178 */       Label label_10 = new Label((Composite)this.group, 322);
/*     */       
/* 180 */       label_10.setLayoutData(new GridData(4, 16777216, true, 
/* 181 */             false));
/*     */       
/* 183 */       this.composite_3 = new Composite((Composite)this.group, 0);
/* 184 */       this.composite_3.setLayoutData(new GridData(4, 4, false, 
/* 185 */             false));
/* 186 */       GridLayout gridLayout_1 = new GridLayout();
/* 187 */       gridLayout_1.numColumns = 3;
/* 188 */       this.composite_3.setLayout((Layout)gridLayout_1);
/*     */       
/* 190 */       setData();
/*     */     } 
/*     */     
/* 193 */     if (!"0".equals(this.attInfo.getAttachstate())) {
/* 194 */       Label label_80 = new Label((Composite)this.group, 258);
/*     */       
/* 196 */       label_80.setLayoutData(new GridData(4, 16777216, false, 
/* 197 */             false));
/*     */       
/* 199 */       Composite composite = new Composite((Composite)this.group, 0);
/* 200 */       composite.setLayoutData(new GridData(4, 16777216, true, 
/* 201 */             false));
/* 202 */       GridLayout gridLayout_1 = new GridLayout();
/* 203 */       gridLayout_1.numColumns = 2;
/* 204 */       composite.setLayout((Layout)gridLayout_1);
/* 205 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 206 */       Label label_2 = new Label(composite, 0);
/* 207 */       label_2.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 208 */       label_2.setText("■");
/* 209 */       label_2.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 210 */       Label label_20 = new Label(composite, 0);
/* 211 */       label_20.setText("查看附件状态：");
/*     */       
/* 213 */       Label label_100 = new Label((Composite)this.group, 322);
/*     */       
/* 215 */       label_100.setLayoutData(new GridData(4, 16777216, true, 
/* 216 */             false));
/*     */       
/* 218 */       Label label_40 = new Label((Composite)this.group, 64);
/* 219 */       label_40.setFont(
/* 220 */           SWTResourceManager.getFont("楷体_GB2312", 12, 1));
/* 221 */       GridData gd_label_40 = new GridData(16777216, 16777216, 
/* 222 */           true, false);
/* 223 */       gd_label_40.heightHint = 60;
/* 224 */       label_40.setLayoutData(gd_label_40);
/* 225 */       label_40.setText("附件“" + 
/* 226 */           this.attInfo.getFilename() + 
/* 227 */           "”" + 
/* 228 */           PublicUtil.getAnnexStat(Integer.valueOf(this.attInfo
/* 229 */               .getAttachstate()).intValue()));
/*     */     } 
/*     */     
/* 232 */     if ("事业单位章程草案".equals(this.attInfo.getFilename()) || 
/* 233 */       "住所证明".equals(this.attInfo.getFilename()) || 
/* 234 */       "登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/*     */       
/* 236 */       Label label_7 = new Label((Composite)this.group, 258);
/*     */       
/* 238 */       label_7.setLayoutData(new GridData(4, 16777216, true, 
/* 239 */             false));
/*     */       
/* 241 */       Composite composite = new Composite((Composite)this.group, 0);
/* 242 */       composite.setLayoutData(new GridData(4, 16777216, true, 
/* 243 */             false));
/* 244 */       GridLayout gridLayout_1 = new GridLayout();
/* 245 */       gridLayout_1.numColumns = 2;
/* 246 */       composite.setLayout((Layout)gridLayout_1);
/* 247 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 248 */       Label label_2 = new Label(composite, 0);
/* 249 */       label_2.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 250 */       label_2.setText("■");
/* 251 */       label_2.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 252 */       Label label_12 = new Label(composite, 0);
/* 253 */       label_12.setText("文件说明：");
/* 254 */       label_2.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 255 */       Label label_13 = new Label((Composite)this.group, 258);
/*     */       
/* 257 */       label_13.setLayoutData(new GridData(4, 16777216, true, 
/* 258 */             false));
/*     */       
/* 260 */       Composite composite_4 = new Composite((Composite)this.group, 0);
/* 261 */       composite_4.setBackground(Display.getCurrent()
/* 262 */           .getSystemColor(1));
/* 263 */       composite_4.setLayoutData(new GridData(4, 4, true, 
/* 264 */             false));
/* 265 */       composite_4.setLayout((Layout)new GridLayout());
/*     */       
/* 267 */       if ("事业单位章程草案".equals(this.attInfo.getFilename())) {
/* 268 */         Label label_14 = new Label(composite_4, 0);
/* 269 */         label_14.setLayoutData(new GridData(16777216, 16777216, 
/* 270 */               true, false));
/* 271 */         label_14.setImage(
/* 272 */             CacheImage.getINSTANCE()
/* 273 */             .getImage("cs.sydj", "icons/ZhangChengCaoAn.GIF"));
/*     */       } 
/*     */       
/* 276 */       if ("住所证明".equals(this.attInfo.getFilename())) {
/* 277 */         Label label_15 = new Label(composite_4, 0);
/* 278 */         label_15.setLayoutData(new GridData(16777216, 16777216, 
/* 279 */               true, false));
/* 280 */         label_15.setImage(
/* 281 */             CacheImage.getINSTANCE()
/* 282 */             .getImage("cs.sydj", "icons/ZhuSuoZhengMing.GIF"));
/*     */       } 
/*     */       
/* 285 */       if ("登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/* 286 */         Label label_16 = new Label(composite_4, 0);
/* 287 */         label_16.setLayoutData(new GridData(16777216, 16777216, 
/* 288 */               true, false));
/* 289 */         label_16.setImage(CacheImage.getINSTANCE()
/*     */             
/* 291 */             .getImage("cs.sydj", "icons/YaoQiuQiTaWenJian.GIF"));
/*     */       } 
/*     */     } 
/* 294 */     setActions();
/*     */     
/* 296 */     this.group.setSize(this.group.computeSize(-1, -1));
/* 297 */     scrolledComposite.setContent((Control)this.group);
/* 298 */     return (Control)container;
/*     */   }
/*     */   
/*     */   private void addViewListener(Button bt, final int index) {
/* 302 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 304 */             FileDialog filedialog = new FileDialog(SuperviseAttachsDialog.this.getShell(), 4096);
/* 305 */             String filePath = filedialog.open();
/* 306 */             String ext_name = "";
/* 307 */             if (filePath != null) {
/* 308 */               ext_name = filePath
/* 309 */                 .substring(filePath.lastIndexOf(".") + 1);
/* 310 */               if (!SuperviseAttachsDialog.this.checkAttach(filePath, ext_name)) {
/*     */                 
/* 312 */                 SydjMessageDialog.openWarning(
/* 313 */                     SuperviseAttachsDialog.this.getShell(), 
/* 314 */                     "警告", 
/* 315 */                     "只能上传后缀为“*.GIF，*.gif，*.BMP，*.bmp，*.JPEG，*.jpeg，*.JPG，*.jpg，*.DOC，*.doc，*.DOCX，*.docx，*.TXT，*.txt，*.XLS，*.xls，*.XLSX，*.xlsx，*.ZIP，*.zip，*.RAR，*.rar”的文件格式！");
/*     */               } else {
/*     */                 try {
/* 318 */                   if (PublicUtil.checkAttachSize(filePath)) {
/* 319 */                     SuperviseAttachsDialog.this.attachsText[index].setText(filePath);
/*     */                   } else {
/* 321 */                     SydjMessageDialog.openWarning(SuperviseAttachsDialog.this.getShell(), "警告", 
/* 322 */                         "附件大于100K，超过上限！请重新选择");
/*     */                   } 
/* 324 */                 } catch (FileNotFoundException e1) {
/* 325 */                   SydjMessageDialog.openError(SuperviseAttachsDialog.this.getShell(), "错误", "文件不存在！");
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void addDeleteListener(Button bt, final int index) {
/* 334 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 336 */             SuperviseAttachsDialog.this.attachsLabel_1[index].dispose();
/* 337 */             SuperviseAttachsDialog.this.attachsLabel_1[index] = null;
/*     */             
/* 339 */             SuperviseAttachsDialog.this.attachsText[index].dispose();
/* 340 */             SuperviseAttachsDialog.this.attachsText[index] = null;
/* 341 */             SuperviseAttachsDialog.this.attachsData1[index] = null;
/*     */             
/* 343 */             SuperviseAttachsDialog.this.attachsButton_view[index].dispose();
/* 344 */             SuperviseAttachsDialog.this.attachsButton_view[index] = null;
/* 345 */             SuperviseAttachsDialog.this.attachsData2[index] = null;
/*     */             
/* 347 */             SuperviseAttachsDialog.this.attachsButton_delete[index].dispose();
/* 348 */             SuperviseAttachsDialog.this.attachsButton_delete[index] = null;
/* 349 */             SuperviseAttachsDialog.this.attachsData3[index] = null;
/*     */             
/* 351 */             SuperviseAttachsDialog.this.deleteAttachSum = SuperviseAttachsDialog.this.deleteAttachSum + 1;
/* 352 */             SuperviseAttachsDialog.this.gd_composite_2.heightHint = (SuperviseAttachsDialog.this.addAttachSum - SuperviseAttachsDialog.this.deleteAttachSum - 
/* 353 */               SuperviseAttachsDialog.this.attachs.size()) * 30;
/* 354 */             SuperviseAttachsDialog.this.composite_2.setLayoutData(SuperviseAttachsDialog.this.gd_composite_2);
/* 355 */             SuperviseAttachsDialog.this.composite_2.layout();
/* 356 */             SuperviseAttachsDialog.this.group
/* 357 */               .setSize(600, 
/* 358 */                 550 + (SuperviseAttachsDialog.this.addAttachSum - SuperviseAttachsDialog.this.deleteAttachSum - 
/* 359 */                 SuperviseAttachsDialog.this.attachs.size()) * 30);
/* 360 */             SuperviseAttachsDialog.this.group.layout();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 369 */     for (int i = 0; i < this.attachs.size(); i++) {
/* 370 */       AttachModel model = this.attachs.get(i);
/*     */       
/* 372 */       this.old_attachsButton[i] = new Button(this.composite_3, 8388608);
/* 373 */       this.old_attachsButton[i].setText(String.valueOf(String.valueOf(i + 1)) + "、" + 
/* 374 */           model.getAttachName());
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean checkAttach(String filePath, String ext_name) {
/* 380 */     for (int a = 0; a < this.att_ext_name.length; a++) {
/* 381 */       if (this.att_ext_name[a].equals(ext_name))
/* 382 */         return true; 
/*     */     } 
/* 384 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 398 */     if (buttonId == 0) {
/* 399 */       if (this.attInfo.getAttachstate().equals("0")) {
/* 400 */         submitAttachs();
/*     */       }
/* 402 */       else if (this.button.getSelection()) {
/* 403 */         submitAttachs();
/*     */       }
/* 405 */       else if (this.button_1.getSelection()) {
/* 406 */         if (modAttaState("1")) {
/* 407 */           SydjMessageDialog.openInformation(getShell(), "提示", 
/* 408 */               "修改成功！");
/*     */         } else {
/* 410 */           SydjMessageDialog.openInformation(getShell(), "提示", 
/* 411 */               "修改失败！");
/*     */         }
/*     */       
/* 414 */       } else if (modAttaState("2")) {
/* 415 */         SydjMessageDialog.openInformation(getShell(), "提示", 
/* 416 */             "修改成功！");
/*     */       } else {
/* 418 */         SydjMessageDialog.openInformation(getShell(), "提示", 
/* 419 */             "修改失败！");
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 425 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void submitAttachs() {
/* 434 */     boolean isModified = isModified();
/* 435 */     if (isModified) {
/* 436 */       DataModifyOperation modify = new DataModifyOperation();
/* 437 */       InsAttachmentInfo iai = new InsAttachmentInfo();
/* 438 */       iai = this.attInfo;
/* 439 */       for (int i = 0; i < this.attachsText.length; i++) {
/* 440 */         if (this.attachsText[i] != null && 
/* 441 */           this.attachsText[i].getText().trim().length() > 0) {
/* 442 */           String filePath = this.attachsText[i].getText().trim();
/* 443 */           String ext_name = filePath.substring(
/* 444 */               filePath.lastIndexOf(".") + 1);
/*     */           try {
/* 446 */             if (PublicUtil.checkAttachSize(filePath)) {
/* 447 */               iai.setEXT_NAME(ext_name);
/* 448 */               iai.setStatechangedate(this.year);
/* 449 */               iai.setJbdwid(this.attInfo.getJbdwid());
/* 450 */               String replyStr = modify.uploadAttachs1(iai, 
/* 451 */                   filePath);
/* 452 */               if (replyStr == null || replyStr.length() == 0) {
/* 453 */                 SydjMessageDialog.openError(getShell(), "错误", 
/* 454 */                     "上传失败！");
/*     */               } else {
/*     */                 
/* 457 */                 iai.setATTACH_GROUP_ID(replyStr);
/*     */               } 
/*     */             } else {
/* 460 */               SydjMessageDialog.openWarning(getShell(), "警告", 
/* 461 */                   String.valueOf(filePath) + "大于100K，未上传！");
/*     */             } 
/* 463 */           } catch (FileNotFoundException e) {
/* 464 */             SydjMessageDialog.openError(getShell(), "错误", String.valueOf(filePath) + 
/* 465 */                 "文件不存在！");
/*     */           } 
/*     */         } 
/*     */       } 
/* 469 */       SydjMessageDialog.openInformation(getShell(), "", "上传成功！");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean modAttaState(String state) {
/* 479 */     boolean flag = true;
/* 480 */     DataModifyOperation modify = new DataModifyOperation();
/* 481 */     FileModel mod = new FileModel();
/* 482 */     mod.setApplyId(this.attInfo.getApplyid());
/* 483 */     mod.setGroupId(GljgUserInfo.getInstance().getGroupid());
/* 484 */     mod.setId(this.attInfo.getRealid());
/* 485 */     mod.setAnnexId(this.attInfo.getAttachid());
/* 486 */     mod.setFileName(this.attInfo.getFilename());
/* 487 */     mod.setUnitId(this.attInfo.getSydwid());
/* 488 */     mod.setHoldUnitId(this.attInfo.getJbdwid());
/* 489 */     mod.setAnnexStat(state);
/* 490 */     mod.setSubDate(this.year);
/* 491 */     String flags = modify.dealSingleAnnex(mod);
/* 492 */     if (flags == null) {
/* 493 */       flag = false;
/*     */     }
/* 495 */     else if ("true".equals(flags)) {
/* 496 */       flag = true;
/*     */     } else {
/* 498 */       flag = false;
/*     */     } 
/*     */     
/* 501 */     return flag;
/*     */   }
/*     */   
/*     */   protected boolean isModified() {
/* 505 */     for (int i = 0; i < this.attachsText.length; i++) {
/* 506 */       if (this.attachsText[i] != null && 
/* 507 */         this.attachsText[i].getText().trim().length() > 0) {
/* 508 */         return true;
/*     */       }
/*     */     } 
/* 511 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 526 */     return new Point(800, 600);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 531 */     super.initializeBounds();
/* 532 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 536 */     super.configureShell(newShell);
/* 537 */     newShell.setText("附件状态");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\supervise\dialog\SuperviseAttachsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */