/*     */ package cs.sydj.operation.supervise.excel;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SuperviseSaveEXCELResultDialog
/*     */   extends Dialog
/*     */ {
/*  31 */   protected String result = null;
/*     */   protected Shell shell;
/*  33 */   protected String sheetName = "";
/*  34 */   protected String type = "";
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */   
/*     */   private ArrayList<?> list;
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseSaveEXCELResultDialog(Shell parent, int style) {
/*  45 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseSaveEXCELResultDialog(Shell parent) {
/*  54 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseSaveEXCELResultDialog(Shell parent, ArrayList<?> list, String sheetName) {
/*  66 */     super(parent);
/*  67 */     this.sheetName = sheetName;
/*  68 */     this.suffix = "xls";
/*  69 */     this.list = list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  78 */     createContents();
/*  79 */     PublicUtil.setCenter(this.shell);
/*  80 */     this.shell.open();
/*  81 */     this.shell.layout();
/*  82 */     Display display = getParent().getDisplay();
/*  83 */     while (!this.shell.isDisposed()) {
/*  84 */       if (!display.readAndDispatch())
/*  85 */         display.sleep(); 
/*     */     } 
/*  87 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  94 */     this.shell = new Shell(getParent(), 67680);
/*  95 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  96 */     this.shell.setBackgroundMode(1);
/*  97 */     GridLayout gridLayout = new GridLayout();
/*  98 */     gridLayout.numColumns = 3;
/*  99 */     this.shell.setLayout((Layout)gridLayout);
/* 100 */     this.shell.setSize(350, 180);
/* 101 */     this.shell.setText(String.valueOf(this.sheetName) + "下载");
/*     */     
/* 103 */     Label label = new Label((Composite)this.shell, 0);
/* 104 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 105 */     gd_label.widthHint = 183;
/* 106 */     label.setLayoutData(gd_label);
/* 107 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 108 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 111 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 112 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 113 */     gd_sadLabel.widthHint = 100;
/* 114 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 117 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 118 */     label_2.setLayoutData(new GridData());
/*     */     
/* 120 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 121 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 122 */     label_1.setLayoutData(gd_label_1);
/* 123 */     label_1.setText("名称：");
/*     */     
/* 125 */     Label label_info = new Label((Composite)this.shell, 64);
/* 126 */     GridData gd_label_info = new GridData(4, 16777216, true, false);
/* 127 */     label_info.setLayoutData(gd_label_info);
/* 128 */     label_info.setText(this.sheetName);
/*     */ 
/*     */ 
/*     */     
/* 132 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 133 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 134 */     GridLayout gridLayout_1 = new GridLayout();
/* 135 */     gridLayout_1.numColumns = 3;
/* 136 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 138 */     Button button = new Button(composite, 0);
/* 139 */     button.setText("打开");
/* 140 */     button.setVisible(false);
/* 141 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */     
/* 146 */     Button button_1 = new Button(composite, 0);
/* 147 */     button_1.setLayoutData(new GridData());
/* 148 */     button_1.setText("保存");
/* 149 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 151 */             DirectoryDialog save = new DirectoryDialog(SuperviseSaveEXCELResultDialog.this.shell);
/* 152 */             save.setText(String.valueOf(SuperviseSaveEXCELResultDialog.this.sheetName) + "保存");
/* 153 */             save.setMessage("选择保存目录：");
/* 154 */             String fileName = save.open();
/* 155 */             if (fileName != null) {
/*     */               try {
/* 157 */                 SuperviseSaveExcelProgressDialog ss = null;
/*     */                 
/* 159 */                 if (SuperviseSaveEXCELResultDialog.this.list != null && SuperviseSaveEXCELResultDialog.this.list.size() > 0) {
/* 160 */                   ss = new SuperviseSaveExcelProgressDialog(
/* 161 */                       SuperviseSaveEXCELResultDialog.this.shell, SuperviseSaveEXCELResultDialog.this.list, "接受数据中...", "正在生成Excel中...", fileName, SuperviseSaveEXCELResultDialog.this.sheetName);
/*     */                 }
/*     */                 
/* 164 */                 ss.run(true, true);
/* 165 */                 int r = ss.creatresult;
/* 166 */                 if (r == 0) {
/* 167 */                   SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 169 */                 if (r == -1) {
/* 170 */                   SydjMessageDialog.openInformation(null, "提示", "下载未完成！");
/*     */                 }
/* 172 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 173 */                   SydjMessageDialog.openInformation(null, "提示", "下载完成!\n以下Excel文件未下载成功：" + ss.wrongfile);
/*     */                 } else {
/* 175 */                   SydjMessageDialog.openInformation(null, "提示", "全部Excel文件下载完成!");
/*     */                 }
/*     */               
/* 178 */               } catch (Exception e) {
/* 179 */                 e.printStackTrace();
/* 180 */                 SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */                 return;
/*     */               } 
/* 183 */               SuperviseSaveEXCELResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 188 */     Button button_2 = new Button(composite, 0);
/* 189 */     button_2.setText("取消");
/* 190 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 192 */             SuperviseSaveEXCELResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 196 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 197 */     label_2_1.setLayoutData(new GridData());
/* 198 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\supervise\excel\SuperviseSaveEXCELResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */