/*     */ package cs.sydj.operation.wszx;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.WszxInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ public class WszxOperation
/*     */ {
/*  15 */   String operation = "WszxOperation";
/*  16 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  17 */   String messagexml = null;
/*  18 */   String replyxml = null;
/*  19 */   ArrayList result = new ArrayList();
/*  20 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAllWszxList(String groupId, String districtCode, int startNo, int maxCount, String status) {
/*  30 */     this.messageParameter.put("groupId", groupId);
/*  31 */     this.messageParameter.put("districtCode", districtCode);
/*  32 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  33 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  34 */     this.messageParameter.put("status", status);
/*  35 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getAllWszxList", this.messageParameter);
/*     */     try {
/*  37 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  38 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  39 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  40 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  41 */     } catch (JMSException e) {
/*  42 */       e.printStackTrace();
/*     */     }
/*  44 */     catch (Exception e) {
/*  45 */       e.printStackTrace();
/*     */     } 
/*  47 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String updateWszx(WszxInfo info, String userName, String str) {
/*  57 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/*  58 */     this.messageParameter.put("userName", userName);
/*  59 */     this.messageParameter.put("str", str);
/*  60 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateWszx", this.messageParameter);
/*     */     try {
/*  62 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  63 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  64 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  65 */     } catch (JMSException e) {
/*  66 */       e.printStackTrace();
/*     */     }
/*  68 */     catch (Exception e) {
/*  69 */       e.printStackTrace();
/*     */     } 
/*  71 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getWszxCount(WszxInfo info) {
/*  81 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/*  82 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getWszxCount", this.messageParameter);
/*     */     try {
/*  84 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  85 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  86 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/*  87 */     } catch (JMSException e) {
/*  88 */       e.printStackTrace();
/*     */     }
/*  90 */     catch (Exception e) {
/*  91 */       e.printStackTrace();
/*     */     } 
/*  93 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String updateTransferWszx(InfoEntity treeinfo, WszxInfo info, String userName) {
/* 103 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/* 104 */     this.messageParameter.put("treeinfo", MessageXML.getReplyXML(treeinfo));
/* 105 */     this.messageParameter.put("userName", userName);
/* 106 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateTransferWszx", this.messageParameter);
/*     */     try {
/* 108 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 109 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 110 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 111 */     } catch (JMSException e) {
/* 112 */       e.printStackTrace();
/*     */     }
/* 114 */     catch (Exception e) {
/* 115 */       e.printStackTrace();
/*     */     } 
/* 117 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String updateWszxCode(WszxInfo info, String userName) {
/* 126 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/* 127 */     this.messageParameter.put("userName", userName);
/* 128 */     this.messagexml = MessageXML.MessageToXML(this.operation, "updateWszxCode", this.messageParameter);
/*     */     try {
/* 130 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 131 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 132 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 133 */     } catch (JMSException e) {
/* 134 */       e.printStackTrace();
/*     */     }
/* 136 */     catch (Exception e) {
/* 137 */       e.printStackTrace();
/*     */     } 
/* 139 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String deleteWszx(WszxInfo info, String userName) {
/* 150 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/* 151 */     this.messageParameter.put("userName", userName);
/* 152 */     this.messagexml = MessageXML.MessageToXML(this.operation, "deleteWszx", this.messageParameter);
/*     */     try {
/* 154 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 155 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 156 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 157 */     } catch (JMSException e) {
/* 158 */       e.printStackTrace();
/*     */     }
/* 160 */     catch (Exception e) {
/* 161 */       e.printStackTrace();
/*     */     } 
/* 163 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String hideWszx(WszxInfo info, String userName) {
/* 173 */     this.messageParameter.put("info", MessageXML.getReplyXML(info));
/* 174 */     this.messageParameter.put("userName", userName);
/* 175 */     this.messagexml = MessageXML.MessageToXML(this.operation, "hideWszx", this.messageParameter);
/*     */     try {
/* 177 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 178 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 179 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 180 */     } catch (JMSException e) {
/* 181 */       e.printStackTrace();
/*     */     }
/* 183 */     catch (Exception e) {
/* 184 */       e.printStackTrace();
/*     */     } 
/* 186 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\wszx\WszxOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */