/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.excel.GenSydwExcel;
/*     */ import cs.admin.search.table.SaveSydwDetailsEXCELDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.VerifyRoleRight;
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Cursor;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.swt.widgets.TreeItem;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.forms.events.ExpansionAdapter;
/*     */ import org.eclipse.ui.forms.events.ExpansionEvent;
/*     */ import org.eclipse.ui.forms.events.IExpansionListener;
/*     */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*     */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationAdmin
/*     */   extends ViewPart
/*     */ {
/*  58 */   public ExpandableComposite[] comps = new ExpandableComposite[8];
/*  59 */   private FormToolkit toolkit = null;
/*     */   
/*  61 */   private final int heightall = 260;
/*     */   
/*     */   private Composite composite;
/*     */   
/*     */   private Composite wholecomp;
/*     */   private ScrolledComposite scrolledComposite;
/*     */   public static final String ID = "cs.sydj.sys.ui.NavigationAdmin";
/*     */   private TreeViewer treeViewer;
/*     */   private Tree tree;
/*  70 */   VerifyRoleRight verifyRole = new VerifyRoleRight();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  80 */     Composite container = new Composite(parent, 0);
/*  81 */     container.setLayout((Layout)new FillLayout(512));
/*  82 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  83 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/*  85 */     this.scrolledComposite = new ScrolledComposite(container, 2560);
/*  86 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/*  87 */     this.scrolledComposite.setExpandVertical(true);
/*  88 */     this.scrolledComposite.setExpandHorizontal(true);
/*  89 */     this.scrolledComposite.setMinHeight(260);
/*     */     
/*  91 */     this.composite = new Composite((Composite)this.scrolledComposite, 0);
/*  92 */     this.composite.setLayout((Layout)new FormLayout());
/*  93 */     this.composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */     
/*  96 */     this.toolkit = new FormToolkit(this.composite.getDisplay());
/*  97 */     this.wholecomp = this.toolkit.createComposite((Composite)container.getShell());
/*  98 */     this.wholecomp.setLayout((Layout)new FillLayout(512));
/*  99 */     this.toolkit.adapt(this.composite);
/*     */ 
/*     */ 
/*     */     
/* 103 */     final ExpandableComposite title = this.toolkit.createExpandableComposite(this.composite, 2);
/* 104 */     title.marginHeight = 5;
/* 105 */     title.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/* 106 */     title.setForeground(SWTResourceManager.getColor(255, 255, 255));
/* 107 */     title.setFont(SWTResourceManager.getFont("", 11, 1));
/* 108 */     title.setBackground(SWTResourceManager.getColor(0, 128, 255));
/* 109 */     title.setText("进入事业单位登记管理系统");
/*     */     
/* 111 */     FormData fd_title = new FormData();
/* 112 */     fd_title.top = new FormAttachment(0, 2);
/* 113 */     fd_title.left = new FormAttachment(0, 2);
/* 114 */     fd_title.right = new FormAttachment(100, 2);
/* 115 */     title.setLayoutData(fd_title);
/*     */     
/* 117 */     Composite comp = this.toolkit.createComposite((Composite)title);
/* 118 */     comp.setLayout((Layout)new FormLayout());
/* 119 */     title.setClient((Control)comp);
/*     */     
/* 121 */     title.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 123 */             title.setExpanded(false);
/* 124 */             ChangePerspective cp = new ChangePerspective(0);
/* 125 */             cp.changePrespective();
/* 126 */             NavigationAdmin.this.openExpand(6);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 131 */     final ExpandableComposite titleQ = this.toolkit.createExpandableComposite(this.composite, 2);
/* 132 */     titleQ.marginHeight = 5;
/* 133 */     titleQ.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/* 134 */     titleQ.setForeground(SWTResourceManager.getColor(255, 255, 255));
/* 135 */     titleQ.setFont(SWTResourceManager.getFont("", 11, 1));
/* 136 */     titleQ.setBackground(SWTResourceManager.getColor(0, 128, 255));
/* 137 */     titleQ.setText("进入机关网上赋码系统");
/*     */     
/* 139 */     FormData fd_titleQ = new FormData();
/* 140 */     fd_titleQ.top = new FormAttachment(0, 25);
/* 141 */     fd_titleQ.left = new FormAttachment(0, 2);
/* 142 */     fd_titleQ.right = new FormAttachment(100, 2);
/* 143 */     titleQ.setLayoutData(fd_titleQ);
/*     */     
/* 145 */     Composite compQ = this.toolkit.createComposite((Composite)titleQ);
/* 146 */     compQ.setLayout((Layout)new FormLayout());
/* 147 */     titleQ.setClient((Control)compQ);
/*     */     
/* 149 */     titleQ.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 151 */             titleQ.setExpanded(false);
/*     */             
/* 153 */             ChangePerspective cp = new ChangePerspective(2);
/* 154 */             cp.changePrespective();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 159 */     Label s = new Label(this.composite, 258);
/* 160 */     s.setBackground(Display.getCurrent().getSystemColor(1));
/* 161 */     this.toolkit.adapt((Control)s, true, true);
/*     */     
/* 163 */     FormData fd_s = new FormData();
/* 164 */     fd_s.top = new FormAttachment((Control)titleQ, 3, 1024);
/* 165 */     fd_s.left = new FormAttachment(0, 0);
/* 166 */     fd_s.right = new FormAttachment(100, 0);
/* 167 */     s.setLayoutData(fd_s);
/*     */ 
/*     */     
/* 170 */     Label inter = s;
/*     */ 
/*     */     
/* 173 */     this.treeViewer = new TreeViewer(this.composite, 0);
/* 174 */     this.tree = this.treeViewer.getTree();
/*     */     
/* 176 */     FormData fd_title1 = new FormData();
/* 177 */     fd_title1.top = new FormAttachment((Control)inter, 2);
/* 178 */     fd_title1.left = new FormAttachment(0, 2);
/* 179 */     fd_title1.right = new FormAttachment(100, 2);
/* 180 */     fd_title1.bottom = new FormAttachment(100, 0);
/* 181 */     this.tree.setLayoutData(fd_title1);
/*     */     
/* 183 */     this.tree.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 185 */             NavigationInfoEntity select = null;
/*     */             
/* 187 */             IStructuredSelection i = (IStructuredSelection)NavigationAdmin.this.treeViewer.getSelection();
/* 188 */             if (i == null) {
/*     */               return;
/*     */             }
/*     */             
/* 192 */             select = (NavigationInfoEntity)i.getFirstElement();
/* 193 */             String view = select.getId();
/* 194 */             if (view.length() < 3) {
/* 195 */               TreeItem[] items = NavigationAdmin.this.treeViewer.getTree().getSelection();
/* 196 */               if (items == null || items.length == 0)
/* 197 */                 return;  if (items[0].getExpanded()) { items[0].setExpanded(false); }
/* 198 */               else { NavigationAdmin.this.treeViewer.expandToLevel(i.getFirstElement(), 1); }
/*     */               
/*     */               return;
/*     */             } 
/* 202 */             if ("close".equals(view)) {
/* 203 */               if (SydjMessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "退出系统", "是否要退出系统？")) {
/*     */                 try {
/* 205 */                   MessageSender sender = new MessageSender(
/* 206 */                       MessageProxy.getSystemenv("UserLoginQueue"), 
/* 207 */                       MessageProxy.getSystemenv("UserLoginReplyQueue"));
/* 208 */                   sender.logout("4");
/* 209 */                 } catch (Exception ex) {
/* 210 */                   ex.printStackTrace();
/*     */                 } 
/* 212 */                 PlatformUI.getWorkbench().close();
/*     */               }  return;
/*     */             } 
/* 215 */             if ("excelReport".equals(view)) {
/* 216 */               SaveSydwDetailsEXCELDialog s = new SaveSydwDetailsEXCELDialog(NavigationAdmin.this.composite.getShell(), "登记管理局通讯录");
/* 217 */               String filepath = (String)s.open();
/* 218 */               if (filepath != null) {
/*     */                 
/* 220 */                 boolean flag = (new GenSydwExcel()).genDjjtxlExcel(filepath);
/* 221 */                 if (flag) {
/* 222 */                   MessageBox mbox = new MessageBox(NavigationAdmin.this.composite.getShell(), 196);
/* 223 */                   mbox.setMessage("Excel文件下载完成，是否打开？");
/* 224 */                   mbox.setText("信息提示");
/* 225 */                   if (mbox.open() == 64) {
/* 226 */                     Program.launch(filepath);
/*     */                   }
/*     */                 } else {
/* 229 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 230 */                       "生成Excel文件错误，下载失败");
/*     */                   
/*     */                   return;
/*     */                 } 
/*     */               } 
/*     */               
/*     */               return;
/*     */             } 
/*     */             try {
/* 239 */               IViewReference[] iViewReferences = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getViewReferences();
/* 240 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView("cs.admin.intro.plainView"); byte b; int j; IViewReference[] arrayOfIViewReference1;
/* 241 */               for (j = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < j; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 242 */                 String otherid = iViewReference.getId();
/* 243 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoShowLi") && !otherid.equals("cs.sydj.sys.ui.NavigationChangetoQuntuan") && 
/* 244 */                   !otherid.equals("cs.sydj.sys.ui.NavigationAdmin") && 
/* 245 */                   !"cs.admin.intro.plainView".equals(view)) {
/* 246 */                   IViewPart iViewPart = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView(otherid);
/* 247 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iViewPart);
/* 248 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/* 251 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/*     */               
/* 253 */               IViewPart iview = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView("cs.admin.intro.plainView");
/* 254 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iview);
/* 255 */               iview = null;
/*     */             
/*     */             }
/* 258 */             catch (Exception e1) {
/* 259 */               e1.printStackTrace();
/*     */               try {
/* 261 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/* 262 */               } catch (PartInitException e) {
/* 263 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 270 */     this.treeViewer.setContentProvider((IContentProvider)new NavigationShouLiTreeViewerContentProvider());
/* 271 */     this.treeViewer.setInput(navigationCreat());
/* 272 */     this.treeViewer.expandToLevel(1);
/* 273 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new NavigationTreeViewerLableProvider());
/*     */ 
/*     */     
/* 276 */     this.scrolledComposite.setContent((Control)this.composite);
/* 277 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Object navigationCreat() {
/* 286 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 287 */     addTreeNodeLevel(list, new String[] { "通讯录", "统计分析", "信息查询", "精确查询", "跟踪检查", "报送统计数据", "公文收发", "信用信息与监督管理", "内部检查", "网上咨询", "退出" });
/* 288 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNodeLevel(ArrayList<NavigationInfoEntity> list, String[] name) {
/* 298 */     for (int i = 0; i < name.length; i++) {
/*     */ 
/*     */ 
/*     */       
/* 302 */       NavigationInfoEntity items = new NavigationInfoEntity();
/*     */       
/* 304 */       items.setName(name[i]);
/* 305 */       items.setDJGLJG(true);
/*     */       
/* 307 */       if ("报送统计数据".equals(name[i])) {
/* 308 */         items.setId("cs.admin.statistic.StatisticDataView");
/* 309 */       } else if ("退出".equals(name[i])) {
/* 310 */         items.setId("close");
/* 311 */       } else if ("网上咨询".equals(name[i])) {
/* 312 */         if (!this.verifyRole.haveRoleRight(new String[] { "网上咨询管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 315 */         items.setId("cs.sydj.operation.wszx.WszxView");
/*     */       } else {
/* 317 */         items.setId(String.valueOf(i));
/* 318 */         items.setChildren(getAdminMenuChildList(items.getId(), 2));
/* 319 */         if ("信用信息与监督管理".equals(name[i]) && 
/* 320 */           !this.verifyRole.haveRoleRight(new String[] { "失信人员管理员", "失信单位管理员", "执法人员名录库管理员", 
/* 321 */               "事业单位名录库管理员", "公示信息抽查管理员", "网上举报管理员", "行政处罚管理员", 
/* 322 */               "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/*     */ 
/*     */ 
/*     */         
/* 328 */         if ("内部检查".equals(name[i]) && 
/* 329 */           !PublicUtil.checkSpecGroup("3482")) {
/*     */           continue;
/*     */         }
/*     */       } 
/*     */ 
/*     */       
/* 335 */       list.add(items);
/*     */       continue;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/* 347 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 348 */     if ("0".equals(id)) {
/*     */       
/* 350 */       if (PublicUtil.checkDistrictCode())
/* 351 */         addTreeNode(list, "省级通讯录维护", "cs.admin.ab.manage.GljgProvinceBookView"); 
/* 352 */       addTreeNode(list, "通讯录维护", "cs.admin.ab.manage.AddressBookView");
/* 353 */       addTreeNode(list, "通讯录查询", "cs.admin.ab.query.AddressBookQueryView");
/* 354 */     } else if ("1".equals(id)) {
/*     */       
/* 356 */       addTreeNode(list, "基本情况简表", "cs.admin.statistic.StatisticSYDWNewView");
/* 357 */       addTreeNode(list, "基本情况汇总表", "cs.admin.statistic.StatisticAllSYDWView");
/* 358 */       addTreeNode(list, "设立登记简表", "cs.admin.statistic.StatisticInstaurationView");
/* 359 */       addTreeNode(list, "设立登记汇总表", "cs.admin.statistic.StatisticAllInstView");
/* 360 */       addTreeNode(list, "法定代表人汇总表", "cs.admin.statistic.StatisticAllFDDBRView");
/* 361 */       addTreeNode(list, "变更登记简表", "cs.admin.statistic.StatisticAlterationView");
/* 362 */       addTreeNode(list, "变更登记汇总表", "cs.admin.statistic.StatisticAllAlterView");
/* 363 */       addTreeNode(list, "年度报告公示情况简表", "cs.admin.statistic.StatisticAnnualCheckView");
/* 364 */       addTreeNode(list, "年度报告公示情况统计", "cs.admin.statistic.StatisticAnnualPublishView");
/* 365 */       addTreeNode(list, "注销登记简表", "cs.admin.statistic.StatisticWrittenoffView");
/* 366 */       addTreeNode(list, "注销登记汇总表", "cs.admin.statistic.StatisticAllWrittenoffView");
/* 367 */       addTreeNode(list, "证书补领简表", "cs.admin.statistic.StatisticReissueView");
/* 368 */       addTreeNode(list, "重新申领证书简表", "cs.admin.statistic.StatisticReinsView");
/* 369 */       addTreeNode(list, "报送统计数据", "cs.admin.statistic.StatisticDataView");
/* 370 */       addTreeNode(list, "监察数据统计", "cs.admin.statistic.StatisticSYDWJianChaView");
/* 371 */       addTreeNode(list, "事业单位法人登记数量汇总表", "cs.admin.statistic.StatisticCountAllFRView");
/* 372 */       addTreeNode(list, "行业分类统计", "cs.admin.statistic.StatisticSYDWHylbView");
/* 373 */       addTreeNode(list, "登记管理数据统计", "cs.admin.statistic.StatisticAmountView");
/*     */ 
/*     */     
/*     */     }
/* 377 */     else if ("2".equals(id)) {
/*     */       
/* 379 */       addTreeNode(list, "证书号查询", "cs.admin.search.SearchSYDWCodeView");
/* 380 */       addTreeNode(list, "统一社会信用代码查询", "cs.admin.search.SearchUNIFYCodeView");
/* 381 */       addTreeNode(list, "单位名称查询", "cs.admin.search.SearchSYDWNameView");
/* 382 */       addTreeNode(list, "法定代表人姓名查询", "cs.admin.search.SearchFDDBRNameView");
/* 383 */       addTreeNode(list, "举办单位名称查询", "cs.admin.search.SearchJBDWNameView");
/* 384 */       addTreeNode(list, "组合智能查询", "cs.admin.search.SearchCombineView");
/* 385 */       addTreeNode(list, "全库查询", "cs.sydj.operation.data.query.DataQuery");
/* 386 */       addTreeNode(list, "历次名称查询", "cs.admin.search.SearchSydwHistoryNameView");
/* 387 */     } else if ("3".equals(id)) {
/*     */       
/* 389 */       addTreeNode(list, "统一社会信用代码查询", "cs.admin.search.SpecificUNIFYCodeView");
/* 390 */       addTreeNode(list, "事业单位名称查询", "cs.admin.search.SpecificSYDWNameView");
/* 391 */     } else if ("4".equals(id)) {
/*     */       
/* 393 */       addTreeNode(list, "办理情况", "cs.sydj.operation.trackandcheck.TrackAndCheckState");
/* 394 */       addTreeNode(list, "办理结果", "cs.sydj.operation.trackandcheck.TrackAndCheckResult");
/* 395 */       OtherHandle oh = new OtherHandle();
/* 396 */       if (oh.checkJdyj()) {
/* 397 */         if (PublicUtil.checkSpecLeaderRole(0) || PublicUtil.checkRole()) {
/* 398 */           addTreeNode(list, "过程监控", "cs.sydj.operation.supervise.SuperviseView");
/*     */         }
/* 400 */         if (PublicUtil.checkSpecLeaderRole(0) || PublicUtil.checkRole()) {
/* 401 */           addTreeNode(list, "超过时限", "cs.sydj.operation.supervise.SuperviseAlertView");
/*     */         }
/* 403 */         if (PublicUtil.checkRole() && !PublicUtil.checkSpecLeaderRole(0)) {
/* 404 */           addTreeNode(list, "即将到期", "cs.sydj.operation.supervise.SuperviseWarnView");
/*     */         }
/* 406 */         if (PublicUtil.checkRole() || PublicUtil.checkSpecLeaderRole(0)) {
/* 407 */           addTreeNode(list, "备注延时", "cs.sydj.operation.supervise.SuperviseBzcxView");
/*     */         }
/* 409 */         if (PublicUtil.checkRole() || PublicUtil.checkSpecLeaderRole(2)) {
/* 410 */           addTreeNode(list, "即时超时", "cs.sydj.operation.supervise.SuperviseJscsView");
/*     */         }
/*     */       } 
/* 413 */     } else if ("6".equals(id)) {
/*     */       
/* 415 */       addTreeNode(list, "最新公文", "cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView");
/* 416 */       addTreeNode(list, "公文接受", "cs.sydj.sysmanage.documenttransport.receive.ReceiveDocumentView");
/* 417 */       addTreeNode(list, "公文发送", "cs.sydj.sysmanage.documenttransport.send.SendDocumentView");
/* 418 */       addTreeNode(list, "公文管理", "cs.sydj.sysmanage.documenttransport.check.CheckDocumentView");
/* 419 */     } else if ("7".equals(id)) {
/*     */       
/* 421 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "失信人员管理员", "系统管理员" }))
/* 422 */         addTreeNode(list, "失信人员", "cs.sydj.operation.credit.person.CreditPersonView"); 
/* 423 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "失信单位管理员", "系统管理员" }))
/* 424 */         addTreeNode(list, "失信单位", "cs.sydj.operation.credit.sydw.CreditSydwView"); 
/* 425 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "执法人员名录库管理员", "系统管理员" }))
/* 426 */         addTreeNode(list, "执法人员名录库", "cs.sydj.operation.credit.check.CreditCheckPersonView"); 
/* 427 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "事业单位名录库管理员", "系统管理员" }))
/* 428 */         addTreeNode(list, "事业单位名录库", "cs.sydj.operation.credit.check.MingLuSydwView"); 
/* 429 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "公示信息抽查管理员", "系统管理员" }))
/* 430 */         addTreeNode(list, "公示信息抽查", "cs.sydj.operation.credit.check.CreditCheckView"); 
/* 431 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "网上举报管理员", "系统管理员" }))
/* 432 */         addTreeNode(list, "网上举报", "cs.sydj.operation.credit.report.CreditReportView"); 
/* 433 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "行政处罚管理员", "系统管理员" }))
/* 434 */         addTreeNode(list, "行政处罚", "cs.sydj.operation.credit.punish.CreditPunishView"); 
/* 435 */       if (this.verifyRole.haveRoleRight(new String[] { "本级系统管理员", "信用信息备注管理员", "系统管理员" })) {
/* 436 */         addTreeNode(list, "信用信息备注", "cs.sydj.operation.data.adjust.CreditDataAdjust");
/*     */       }
/* 438 */       if (PublicUtil.checkSpecDistrict("11", 2))
/* 439 */         addTreeNode(list, "网站信息录入", "cs.sydj.operation.credit.message.CreditMessageView"); 
/* 440 */     } else if ("8".equals(id)) {
/*     */       
/* 442 */       addTreeNode(list, "检查操作", "cs.sydj.operation.nbjc.NbjcOptView");
/* 443 */       addTreeNode(list, "检查记录", "cs.sydj.operation.nbjc.NbjcRecordView");
/*     */     } 
/*     */ 
/*     */     
/* 447 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 458 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 459 */     chidrenInfo.setName(name);
/* 460 */     chidrenInfo.setId(id);
/* 461 */     list.add(chidrenInfo);
/*     */   }
/*     */   
/*     */   private void addLinkListener(Link link, final String view) {
/* 465 */     link.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           
/*     */           public void widgetSelected(SelectionEvent event)
/*     */           {
/*     */             try {
/* 471 */               IViewReference[] iViewReferences = 
/* 472 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 473 */                 .getActivePage().getViewReferences();
/* 474 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 475 */                 .getActivePage().showView(
/* 476 */                   "cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/* 477 */               for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 478 */                 String otherid = iViewReference.getId();
/*     */                 
/* 480 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoShowLi") && 
/*     */                   
/* 482 */                   !otherid.equals("cs.sydj.sys.ui.NavigationAdmin") && 
/*     */                   
/* 484 */                   !"cs.admin.intro.plainView".equals(view)) {
/*     */                   
/* 486 */                   IViewPart iViewPart = PlatformUI.getWorkbench()
/* 487 */                     .getActiveWorkbenchWindow().getActivePage()
/* 488 */                     .findView(otherid);
/* 489 */                   PlatformUI.getWorkbench()
/* 490 */                     .getActiveWorkbenchWindow().getActivePage()
/* 491 */                     .hideView(iViewPart);
/* 492 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/* 495 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 496 */                 .getActivePage().showView(view);
/*     */               
/* 498 */               IViewPart iview = PlatformUI.getWorkbench()
/* 499 */                 .getActiveWorkbenchWindow().getActivePage()
/* 500 */                 .findView("cs.admin.intro.plainView");
/* 501 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 502 */                 .getActivePage().hideView(iview);
/* 503 */               iview = null;
/*     */             
/*     */             }
/* 506 */             catch (Exception e1) {
/* 507 */               e1.printStackTrace();
/*     */               try {
/* 509 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 510 */                   .getActivePage().showView(view);
/* 511 */               } catch (PartInitException e) {
/* 512 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private Label addFirstLink(Composite comp, String infotext, String ID) {
/* 520 */     Label pic = new Label(comp, 0);
/*     */     
/* 522 */     FormData fd_pic = new FormData();
/* 523 */     fd_pic.top = new FormAttachment(0, 0);
/* 524 */     fd_pic.left = new FormAttachment(0, 5);
/* 525 */     pic.setLayoutData(fd_pic);
/* 526 */     pic.setImage(CacheImage.getINSTANCE()
/* 527 */         .getImage("cs.sydj", "icons/left_3.gif"));
/* 528 */     this.toolkit.adapt((Control)pic, true, true);
/*     */     
/* 530 */     Label info = new Label(comp, 0);
/* 531 */     info.setText(infotext);
/* 532 */     FormData fd_info = new FormData();
/* 533 */     fd_info.left = new FormAttachment((Control)pic, 1, 131072);
/* 534 */     fd_info.top = new FormAttachment((Control)pic, 0, 128);
/* 535 */     info.setLayoutData(fd_info);
/* 536 */     this.toolkit.adapt((Control)info, true, true);
/* 537 */     info.setCursor(new Cursor(null, 21));
/* 538 */     addLinkListener(info, ID);
/*     */     
/* 540 */     return pic;
/*     */   }
/*     */ 
/*     */   
/*     */   private Label addNextLink(Composite comp, Label piclast, String infotext, String ID) {
/* 545 */     Label pic = new Label(comp, 0);
/* 546 */     FormData fd_pic = new FormData();
/* 547 */     fd_pic.top = new FormAttachment((Control)piclast, 0, 1024);
/* 548 */     fd_pic.left = new FormAttachment((Control)piclast, 0, 16384);
/* 549 */     pic.setLayoutData(fd_pic);
/* 550 */     pic.setImage(CacheImage.getINSTANCE()
/* 551 */         .getImage("cs.sydj", "icons/left_3.gif"));
/* 552 */     this.toolkit.adapt((Control)pic, true, true);
/*     */     
/* 554 */     Label info = new Label(comp, 0);
/* 555 */     info.setText(infotext);
/* 556 */     FormData fd_info = new FormData();
/* 557 */     fd_info.left = new FormAttachment((Control)pic, 1, 131072);
/* 558 */     fd_info.top = new FormAttachment((Control)pic, 0, 128);
/* 559 */     info.setLayoutData(fd_info);
/* 560 */     this.toolkit.adapt((Control)info, true, true);
/* 561 */     info.setCursor(new Cursor(null, 21));
/* 562 */     addLinkListener(info, ID);
/* 563 */     return pic;
/*     */   }
/*     */ 
/*     */   
/*     */   private Label addLastLink(Composite comp, Label piclast, String infotext, String ID) {
/* 568 */     Label pic = new Label(comp, 0);
/* 569 */     FormData fd_pic = new FormData();
/* 570 */     fd_pic.top = new FormAttachment((Control)piclast, 0, 1024);
/* 571 */     fd_pic.left = new FormAttachment((Control)piclast, 0, 16384);
/* 572 */     pic.setLayoutData(fd_pic);
/* 573 */     pic.setImage(CacheImage.getINSTANCE()
/* 574 */         .getImage("cs.sydj", "icons/left_4.gif"));
/* 575 */     this.toolkit.adapt((Control)pic, true, true);
/*     */     
/* 577 */     Label info = new Label(comp, 0);
/* 578 */     info.setText(infotext);
/* 579 */     FormData fd_info = new FormData();
/* 580 */     fd_info.left = new FormAttachment((Control)pic, 1, 131072);
/* 581 */     fd_info.top = new FormAttachment((Control)pic, 0, 128);
/* 582 */     info.setLayoutData(fd_info);
/* 583 */     this.toolkit.adapt((Control)info, true, true);
/* 584 */     info.setCursor(new Cursor(null, 21));
/* 585 */     addLinkListener(info, ID);
/* 586 */     return pic;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void addLinkListener(final ExpandableComposite link, final String view) {
/* 592 */     link.addExpansionListener((IExpansionListener)new ExpansionAdapter()
/*     */         {
/*     */           public void expansionStateChanged(ExpansionEvent event) {
/* 595 */             link.setExpanded(false);
/*     */ 
/*     */             
/*     */             try {
/* 599 */               IViewReference[] iViewReferences = 
/* 600 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 601 */                 .getActivePage().getViewReferences();
/* 602 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 603 */                 .getActivePage().showView(
/* 604 */                   "cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/* 605 */               for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 606 */                 String otherid = iViewReference.getId();
/*     */                 
/* 608 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoShowLi") && 
/*     */                   
/* 610 */                   !otherid.equals("cs.sydj.sys.ui.NavigationAdmin") && 
/*     */                   
/* 612 */                   !"cs.admin.intro.plainView".equals(view)) {
/*     */                   
/* 614 */                   IViewPart iViewPart = PlatformUI.getWorkbench()
/* 615 */                     .getActiveWorkbenchWindow().getActivePage()
/* 616 */                     .findView(otherid);
/* 617 */                   PlatformUI.getWorkbench()
/* 618 */                     .getActiveWorkbenchWindow().getActivePage()
/* 619 */                     .hideView(iViewPart);
/* 620 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/* 623 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 624 */                 .getActivePage().showView(view);
/*     */               
/* 626 */               IViewPart iview = PlatformUI.getWorkbench()
/* 627 */                 .getActiveWorkbenchWindow().getActivePage()
/* 628 */                 .findView("cs.admin.intro.plainView");
/* 629 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 630 */                 .getActivePage().hideView(iview);
/* 631 */               iview = null;
/*     */             
/*     */             }
/* 634 */             catch (Exception e1) {
/* 635 */               e1.printStackTrace();
/*     */               try {
/* 637 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 638 */                   .getActivePage().showView(view);
/* 639 */               } catch (PartInitException e) {
/* 640 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addLinkListener(Label link, final String view) {
/* 657 */     link.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */ 
/*     */           
/*     */           public void mouseDown(MouseEvent event)
/*     */           {
/*     */             try {
/* 664 */               IViewReference[] iViewReferences = 
/* 665 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 666 */                 .getActivePage().getViewReferences();
/* 667 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 668 */                 .getActivePage().showView(
/* 669 */                   "cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/* 670 */               for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 671 */                 String otherid = iViewReference.getId();
/*     */                 
/* 673 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoShowLi") && 
/*     */                   
/* 675 */                   !otherid.equals("cs.sydj.sys.ui.NavigationAdmin") && 
/*     */                   
/* 677 */                   !"cs.admin.intro.plainView".equals(view)) {
/*     */                   
/* 679 */                   IViewPart iViewPart = PlatformUI.getWorkbench()
/* 680 */                     .getActiveWorkbenchWindow().getActivePage()
/* 681 */                     .findView(otherid);
/* 682 */                   PlatformUI.getWorkbench()
/* 683 */                     .getActiveWorkbenchWindow().getActivePage()
/* 684 */                     .hideView(iViewPart);
/* 685 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/* 688 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 689 */                 .getActivePage().showView(view);
/*     */               
/* 691 */               IViewPart iview = PlatformUI.getWorkbench()
/* 692 */                 .getActiveWorkbenchWindow().getActivePage()
/* 693 */                 .findView("cs.admin.intro.plainView");
/* 694 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 695 */                 .getActivePage().hideView(iview);
/* 696 */               iview = null;
/*     */             
/*     */             }
/* 699 */             catch (Exception e1) {
/* 700 */               e1.printStackTrace();
/*     */               try {
/* 702 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 703 */                   .getActivePage().showView(view);
/* 704 */               } catch (PartInitException e) {
/* 705 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initView() {
/* 722 */     for (int i = 0; i < this.comps.length; i++) {
/* 723 */       if (this.comps[i] != null && this.comps[i] instanceof ExpandableComposite) {
/* 724 */         this.comps[i].setExpanded(false);
/*     */       }
/*     */     } 
/*     */     
/* 728 */     this.scrolledComposite.setMinHeight(260);
/* 729 */     this.wholecomp.layout();
/* 730 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */   
/*     */   public void openExpand(int n) {
/* 735 */     int temp = 0;
/* 736 */     switch (n) {
/*     */       case 0:
/* 738 */         temp = 224;
/*     */         break;
/*     */       case 1:
/* 741 */         temp = 85;
/*     */         break;
/*     */       case 2:
/* 744 */         temp = 34;
/*     */         break;
/*     */     } 
/*     */ 
/*     */     
/* 749 */     openExpand(n, temp);
/*     */   }
/*     */ 
/*     */   
/*     */   public void openExpand(int n, int high) {
/* 754 */     for (int i = 0; i < this.comps.length; i++) {
/* 755 */       if (this.comps[i] != null && this.comps[i] instanceof ExpandableComposite && (
/* 756 */         i != n || (i >= 3 && i != 5)))
/*     */       {
/*     */         
/* 759 */         this.comps[i].setExpanded(false);
/*     */       }
/*     */     } 
/* 762 */     this.scrolledComposite.setMinHeight(260 + high);
/* 763 */     this.wholecomp.layout();
/* 764 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 774 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 775 */       .getToolBarManager();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationAdmin.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */