/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.VerifyRoleRight;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.swt.widgets.TreeItem;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationOutline
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sys.ui.NavigationOutline";
/*  40 */   VerifyRoleRight verifyRole = new VerifyRoleRight();
/*     */   
/*     */   private TreeViewer treeViewer;
/*     */   private Tree tree;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  46 */     Composite container = new Composite(parent, 0);
/*  47 */     container.setLayout((Layout)new FillLayout(512));
/*  48 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  49 */     container.setBackground(SWTResourceManager.getColor(235, 242, 252));
/*  50 */     container.setToolTipText("");
/*     */ 
/*     */     
/*  53 */     this.treeViewer = new TreeViewer(container, 0);
/*  54 */     this.tree = this.treeViewer.getTree();
/*  55 */     this.tree.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/*  57 */             NavigationInfoEntity select = null;
/*     */             
/*  59 */             IStructuredSelection i = (IStructuredSelection)NavigationOutline.this.treeViewer.getSelection();
/*  60 */             if (i == null) {
/*     */               return;
/*     */             }
/*     */             
/*  64 */             select = (NavigationInfoEntity)i.getFirstElement();
/*  65 */             String view = select.getId();
/*  66 */             if (view.length() < 2) {
/*  67 */               TreeItem[] items = NavigationOutline.this.treeViewer.getTree().getSelection();
/*  68 */               if (items == null || items.length == 0)
/*  69 */                 return;  if (items[0].getExpanded()) { items[0].setExpanded(false); }
/*  70 */               else { NavigationOutline.this.treeViewer.expandToLevel(i.getFirstElement(), 1); }
/*     */               
/*     */               return;
/*     */             } 
/*  74 */             if ("close".equals(view)) {
/*  75 */               if (SydjMessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "退出系统", "是否要退出系统？")) {
/*  76 */                 PlatformUI.getWorkbench().close();
/*     */               }
/*     */               
/*     */               return;
/*     */             } 
/*     */             try {
/*  82 */               IViewReference[] iViewReferences = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getViewReferences();
/*  83 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView("cs.admin.intro.plainView"); byte b; int j; IViewReference[] arrayOfIViewReference1;
/*  84 */               for (j = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < j; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/*  85 */                 String otherid = iViewReference.getId();
/*  86 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationOutline") && !"cs.admin.intro.plainView".equals(view)) {
/*  87 */                   IViewPart iViewPart = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView(otherid);
/*  88 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iViewPart);
/*  89 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/*  92 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/*     */               
/*  94 */               IViewPart iview = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().findView("cs.admin.intro.plainView");
/*  95 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().hideView(iview);
/*  96 */               iview = null;
/*     */             
/*     */             }
/*  99 */             catch (Exception e1) {
/* 100 */               e1.printStackTrace();
/*     */               try {
/* 102 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/* 103 */               } catch (PartInitException e) {
/* 104 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 111 */     this.treeViewer.setContentProvider((IContentProvider)new NavigationOutlineTreeViewerContentProvider());
/* 112 */     this.treeViewer.setInput(navigationCreat());
/* 113 */     this.treeViewer.expandToLevel(1);
/* 114 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new NavigationTreeViewerLableProvider());
/*     */ 
/*     */     
/* 117 */     createActions();
/* 118 */     initializeMenu();
/* 119 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Object navigationCreat() {
/* 128 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 129 */     addTreeNodeLevel(list, new String[] { "首页", "录入材料", "证书打印", "公告制作", "信息查询", "统计分析", "举办单位管理", "系统管理", "退出" });
/* 130 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNodeLevel(ArrayList<NavigationInfoEntity> list, String[] name) {
/* 140 */     for (int i = 0; i < name.length; i++) {
/*     */       
/* 142 */       if ("录入材料".equals(name[i]) ? 
/* 143 */         !this.verifyRole.haveRoleRight(new String[] { "材料录入员"
/*     */ 
/*     */           
/* 146 */           }) : ("证书打印".equals(name[i]) ? 
/* 147 */         !this.verifyRole.haveRoleRight(new String[] { "证书打印员"
/*     */ 
/*     */           
/* 150 */           }) : ("公告制作".equals(name[i]) ? 
/* 151 */         !this.verifyRole.haveRoleRight(new String[] { "公告制作员"
/*     */ 
/*     */           
/* 154 */           }) : ("信息查询".equals(name[i]) && 
/* 155 */         !this.verifyRole.haveRoleRight(new String[] { "信息查询" }))))) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 162 */         NavigationInfoEntity items = new NavigationInfoEntity();
/*     */         
/* 164 */         items.setName(name[i]);
/* 165 */         items.setDJGLJG(true);
/* 166 */         if ("首页".equals(name[i])) {
/* 167 */           items.setId("cs.outline.home.HomePage");
/* 168 */         } else if ("统计分析".equals(name[i])) {
/* 169 */           items.setId("cs.outline.statistic.StatisticSYDWNewView");
/* 170 */         } else if ("举办单位管理".equals(name[i])) {
/* 171 */           items.setId("cs.outline.jbdw.SysJBDWManageView");
/* 172 */         } else if ("退出".equals(name[i])) {
/* 173 */           items.setId("close");
/*     */         } else {
/* 175 */           items.setId(String.valueOf(i));
/* 176 */           items.setChildren(getAdminMenuChildList(items.getId(), 2));
/*     */         } 
/*     */         
/* 179 */         list.add(items);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/* 191 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 192 */     if ("1".equals(id)) {
/* 193 */       addTreeNode(list, "设立登记", "cs.outline.withinput.instauration.WithinputInstaurationView");
/* 194 */       addTreeNode(list, "变更登记", "cs.outline.withinput.biangeng.WithinputBianGengView");
/*     */       
/* 196 */       addTreeNode(list, "注销登记", "cs.outline.withinput.logout.WithinputLouOutView");
/* 197 */       addTreeNode(list, "证书补领", "cs.outline.withinput.cert.WithinputCertView");
/* 198 */     } else if ("2".equals(id)) {
/* 199 */       addTreeNode(list, "设立登记", "cs.outline.print.InstallrationPrint");
/* 200 */       addTreeNode(list, "变更登记", "cs.outline.print.AlterItemPrint");
/* 201 */       addTreeNode(list, "证书补领", "cs.outline.print.CertPrint");
/* 202 */       addTreeNode(list, "证书重打", "cs.outline.print.RePrintCert");
/* 203 */     } else if ("3".equals(id)) {
/* 204 */       addTreeNode(list, "设立登记", "cs.outline.bulletin.InstallBulletin");
/* 205 */       addTreeNode(list, "变更登记", "cs.outline.bulletin.AlterItemBulletin");
/*     */       
/* 207 */       addTreeNode(list, "注销登记", "cs.outline.bulletin.LogOutBulletin");
/* 208 */       addTreeNode(list, "证书补领", "cs.outline.bulletin.CertRegainBulletin");
/* 209 */       addTreeNode(list, "查看制作", "cs.outline.bulletin.ViewBulletin");
/* 210 */     } else if ("4".equals(id)) {
/* 211 */       addTreeNode(list, "统一社会信用代码查询", "cs.outline.search.SearchSYDWCodeView");
/* 212 */       addTreeNode(list, "单位名称查询", "cs.outline.search.SearchSYDWNameView");
/* 213 */       addTreeNode(list, "法定代表人姓名查询", "cs.outline.search.SearchFDDBRNameView");
/* 214 */       addTreeNode(list, "举办单位名称查询", "cs.outline.search.SearchJBDWNameView");
/* 215 */     } else if ("7".equals(id)) {
/* 216 */       addTreeNode(list, "用户管理", "cs.outline.sysmanage.usermanage.SysUserManageView");
/* 217 */       addTreeNode(list, "登记管理机关管理", "cs.outline.sysmanage.deptmanage.SysDeptManageView");
/*     */     } 
/* 219 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 230 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 231 */     chidrenInfo.setName(name);
/* 232 */     chidrenInfo.setId(id);
/* 233 */     list.add(chidrenInfo);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 244 */     IToolBarManager toolBarManager = getViewSite().getActionBars().getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 251 */     IMenuManager menuManager = getViewSite().getActionBars().getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationOutline.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */