/*    */ package cs.sydj.sys.ui;
/*    */ 
/*    */ import java.util.ArrayList;
/*    */ import org.eclipse.jface.viewers.ITreeContentProvider;
/*    */ import org.eclipse.jface.viewers.Viewer;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class NavigationOutlineTreeViewerContentProvider
/*    */   implements ITreeContentProvider
/*    */ {
/*    */   public NavigationOutlineTreeViewerContentProvider(int type) {}
/*    */   
/*    */   public NavigationOutlineTreeViewerContentProvider() {}
/*    */   
/*    */   public Object[] getChildren(Object arg0) {
/* 27 */     NavigationInfoEntity parent = (NavigationInfoEntity)arg0;
/* 28 */     if (parent.getChildren() != null && !parent.getChildren().isEmpty()) return parent.getChildren().toArray(); 
/* 29 */     if (parent.getId() != null)
/* 30 */       parent.setChildren(getAdminMenuChildList(parent.getId(), 2)); 
/* 31 */     ArrayList<NavigationInfoEntity> infos = parent.getChildren();
/* 32 */     if (infos != null)
/* 33 */       return infos.toArray(); 
/* 34 */     return new Object[0];
/*    */   }
/*    */   
/*    */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/* 38 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 39 */     if ("0".equals(id)) {
/* 40 */       addTreeNode(list, "设立登记", "cs.outline.withinput.instauration.WithinputInstaurationView");
/* 41 */       addTreeNode(list, "变更登记", "cs.outline.withinput.biangeng.WithinputBianGengView");
/* 42 */       addTreeNode(list, "年度检验", "cs.outline.withinput.annualcheck.WithinputAnnualCheckView");
/* 43 */       addTreeNode(list, "注销登记", "cs.outline.withinput.logout.WithinputLouOutView");
/* 44 */       addTreeNode(list, "证书补领", "cs.outline.withinput.cert.WithinputCertView");
/* 45 */     } else if ("1".equals(id)) {
/* 46 */       addTreeNode(list, "设立登记", "cs.outline.print.InstallrationPrint");
/* 47 */       addTreeNode(list, "变更登记", "cs.outline.print.AlterItemPrint");
/* 48 */       addTreeNode(list, "证书补领", "cs.outline.print.CertPrint");
/* 49 */       addTreeNode(list, "证书重打", "cs.outline.print.RePrintCert");
/* 50 */     } else if ("2".equals(id)) {
/* 51 */       addTreeNode(list, "设立登记", "cs.outline.bulletin.InstallBulletin");
/* 52 */       addTreeNode(list, "变更登记", "cs.outline.bulletin.AlterItemBulletin");
/* 53 */       addTreeNode(list, "年度检验", "cs.outline.bulletin.AnnualCheckBulletin");
/* 54 */       addTreeNode(list, "注销登记", "cs.outline.bulletin.LogOutBulletin");
/* 55 */       addTreeNode(list, "证书补领", "cs.outline.bulletin.CertRegainBulletin");
/* 56 */       addTreeNode(list, "查看制作", "cs.outline.bulletin.ViewBulletin");
/* 57 */     } else if ("3".equals(id)) {
/* 58 */       addTreeNode(list, "统一社会信用代码查询", "cs.outline.search.SearchSYDWCodeView");
/* 59 */       addTreeNode(list, "单位名称查询", "cs.outline.search.SearchSYDWNameView");
/* 60 */       addTreeNode(list, "法定代表人姓名查询", "cs.outline.search.SearchFDDBRNameView");
/* 61 */       addTreeNode(list, "举办单位名称查询", "cs.outline.search.SearchJBDWNameView");
/*    */     } 
/* 63 */     return list;
/*    */   }
/*    */   
/*    */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 67 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 68 */     chidrenInfo.setName(name);
/* 69 */     chidrenInfo.setId(id);
/* 70 */     list.add(chidrenInfo);
/*    */   }
/*    */ 
/*    */   
/*    */   public boolean hasChildren(Object arg0) {
/* 75 */     NavigationInfoEntity info = (NavigationInfoEntity)arg0;
/* 76 */     return info.isDJGLJG();
/*    */   }
/*    */ 
/*    */   
/*    */   public Object[] getElements(Object arg0) {
/* 81 */     if (arg0 instanceof ArrayList) {
/* 82 */       ArrayList input = (ArrayList)arg0;
/* 83 */       return input.toArray();
/*    */     } 
/* 85 */     return null;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public void dispose() {}
/*    */ 
/*    */ 
/*    */   
/*    */   public Object getParent(Object arg0) {
/* 96 */     return null;
/*    */   }
/*    */   
/*    */   public void inputChanged(Viewer arg0, Object arg1, Object arg2) {}
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationOutlineTreeViewerContentProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */