/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import org.eclipse.jface.viewers.ILabelProvider;
/*     */ import org.eclipse.jface.viewers.ILabelProviderListener;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationTreeViewerLableProvider
/*     */   implements ILabelProvider
/*     */ {
/*     */   public Image getImage(Object arg0) {
/*     */     Image i;
/*  21 */     NavigationInfoEntity info = (NavigationInfoEntity)arg0;
/*  22 */     if (info.isDJGLJG()) {
/*  23 */       if ("录入材料".equals(info.getName())) {
/*  24 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/menu_child.gif");
/*  25 */       } else if ("统计分析".equals(info.getName())) {
/*  26 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/chart_bar.png");
/*  27 */       } else if ("举办单位管理".equals(info.getName())) {
/*  28 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/computer.png");
/*  29 */       } else if ("主管单位管理".equals(info.getName())) {
/*  30 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/table_relationship.png");
/*  31 */       } else if ("首页".equals(info.getName())) {
/*  32 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/house.png");
/*  33 */       } else if ("系统管理".equals(info.getName())) {
/*  34 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/computer.png");
/*  35 */       } else if ("管辖变更数据移交".equals(info.getName())) {
/*  36 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/application_go.png");
/*  37 */       } else if ("永久库信息修改".equals(info.getName())) {
/*  38 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/database_edit.png");
/*  39 */       } else if ("信息查询".equals(info.getName())) {
/*  40 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/search.png");
/*  41 */       } else if ("全库查询".equals(info.getName())) {
/*  42 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/query.png");
/*  43 */       } else if ("精确查询".equals(info.getName())) {
/*  44 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/search.png");
/*  45 */       } else if ("跟踪检查".equals(info.getName())) {
/*  46 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/lorry_link.png");
/*  47 */       } else if ("报送统计数据".equals(info.getName())) {
/*  48 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/historyData.gif");
/*  49 */       } else if (info.getName().indexOf("年检情况统计") != -1) {
/*  50 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/table_row_insert.png");
/*  51 */       } else if ("公文收发".equals(info.getName())) {
/*  52 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/doc_send.png");
/*  53 */       } else if ("全国登记局通讯录".equals(info.getName())) {
/*  54 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/document.png");
/*  55 */       } else if ("数据整理".equals(info.getName())) {
/*  56 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/database_table.png");
/*  57 */       } else if ("事业单位排序".equals(info.getName())) {
/*  58 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/leaf.gif");
/*  59 */       } else if ("电子证书管理".equals(info.getName())) {
/*  60 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/jfcs.gif");
/*  61 */       } else if ("监督管理".equals(info.getName())) {
/*  62 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/manager.png");
/*  63 */       } else if ("监督预警".equals(info.getName())) {
/*  64 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/jfcs.gif");
/*  65 */       } else if ("离线数据同步".equals(info.getName())) {
/*  66 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/sync.png");
/*  67 */       } else if ("修改个人信息".equals(info.getName())) {
/*  68 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/group_edit.png");
/*  69 */       } else if ("退出".equals(info.getName())) {
/*  70 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/logout.png");
/*  71 */       } else if ("用户密码重置".equals(info.getName())) {
/*  72 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/password.gif");
/*  73 */       } else if ("光盘密码管理".equals(info.getName())) {
/*  74 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/password.gif");
/*  75 */       } else if ("图片密码管理".equals(info.getName())) {
/*  76 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/password.gif");
/*  77 */       } else if ("举办单位用户管理".equals(info.getName())) {
/*  78 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/username.gif");
/*  79 */       } else if ("用户权限分配".equals(info.getName())) {
/*  80 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/userManag.gif");
/*  81 */       } else if ("链接管理".equals(info.getName())) {
/*  82 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/lorry_link.png");
/*  83 */       } else if ("信用信息与监督管理".equals(info.getName())) {
/*  84 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/manager.png");
/*  85 */       } else if ("网上咨询".equals(info.getName())) {
/*  86 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/table_relationship.png");
/*  87 */       } else if ("内部检查".equals(info.getName())) {
/*  88 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/lorry_link.png");
/*  89 */       } else if ("通讯录".equals(info.getName())) {
/*  90 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/office_excel.png");
/*  91 */       } else if ("机构类别管理".equals(info.getName())) {
/*  92 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/computer.png");
/*  93 */       } else if ("导出数据".equals(info.getName())) {
/*  94 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/upload_start.png");
/*  95 */       } else if ("授权管理".equals(info.getName())) {
/*  96 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/manager.png");
/*  97 */       } else if ("授权统计查询".equals(info.getName())) {
/*  98 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/search.png");
/*     */       } else {
/* 100 */         i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/menu_parent.gif");
/*     */       }
/*     */     
/* 103 */     } else if (info.getChildren() == null) {
/* 104 */       i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/bullet_black.png");
/*     */     } else {
/* 106 */       i = CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/menu_parent.gif");
/*     */     } 
/*     */     
/* 109 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getText(Object arg0) {
/* 114 */     NavigationInfoEntity info = (NavigationInfoEntity)arg0;
/* 115 */     return info.getName();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addListener(ILabelProviderListener arg0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLabelProperty(Object arg0, String arg1) {
/* 135 */     return false;
/*     */   }
/*     */   
/*     */   public void removeListener(ILabelProviderListener arg0) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationTreeViewerLableProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */