/*     */ package cs.sydj.sysmanage.actormanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Hashtable;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.List;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.user.UserActor;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysUserActorManageView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.actormanage.SysUserActorManageView";
/*  44 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  45 */   private SysUserActorManageController sumController = new SysUserActorManageController(
/*  46 */       this.user);
/*     */   private TreeViewer treeview;
/*  48 */   private TreeViewerLableProvider tvlabelP = new TreeViewerLableProvider();
/*  49 */   private TreeViewerContentProvider tvcontentP = new TreeViewerContentProvider();
/*     */   private Composite group;
/*     */   private Label infouser;
/*     */   private List listall;
/*     */   private List listuser;
/*  54 */   private Shell shell = null;
/*  55 */   private Composite comp = null;
/*     */   
/*     */   Hashtable userActors;
/*     */   ArrayList allActors;
/*  59 */   String selecteduserid = null;
/*  60 */   String selectedgourid = null;
/*     */   
/*     */   private Composite composite_1;
/*     */   
/*     */   private Composite composite;
/*     */   
/*     */   private StackLayout stackLayout;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  70 */     this.comp = arg0;
/*  71 */     this.shell = arg0.getShell();
/*  72 */     arg0.setBackgroundMode(1);
/*  73 */     arg0
/*  74 */       .setBackground(Display.getCurrent().getSystemColor(
/*  75 */           1));
/*  76 */     arg0.setLayout((Layout)new FormLayout());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  98 */     this.treeview = new TreeViewer(arg0, 0);
/*  99 */     Tree tree = this.treeview.getTree();
/* 100 */     tree.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 102 */             InfoEntity select = null;
/*     */             
/* 104 */             IStructuredSelection i = (IStructuredSelection)SysUserActorManageView.this.treeview
/* 105 */               .getSelection();
/* 106 */             boolean isUser = false;
/* 107 */             if (i != null) {
/* 108 */               select = (InfoEntity)i.getFirstElement();
/* 109 */               SysUserActorManageView.this.selecteduserid = select.getId();
/* 110 */               SysUserActorManageView.this.selectedgourid = select.getGroupid();
/* 111 */               if (select != null && !select.isDJGLJG())
/* 112 */                 isUser = true; 
/*     */             } 
/* 114 */             if (!isUser) {
/* 115 */               if (SysUserActorManageView.this.group.isVisible()) {
/*     */                 
/* 117 */                 SysUserActorManageView.this.stackLayout.topControl = (Control)SysUserActorManageView.this.composite_1;
/* 118 */                 SysUserActorManageView.this.composite.layout();
/*     */               } 
/*     */             } else {
/* 121 */               if (!SysUserActorManageView.this.group.isVisible()) {
/* 122 */                 SysUserActorManageView.this.stackLayout.topControl = (Control)SysUserActorManageView.this.group;
/* 123 */                 SysUserActorManageView.this.composite.layout();
/*     */               } 
/* 125 */               String temp = ">>当前用户：" + select.getName() + "[" + 
/* 126 */                 select.getUsername() + "]";
/* 127 */               if (temp.equals(SysUserActorManageView.this.infouser.getText()))
/*     */                 return; 
/* 129 */               SysUserActorManageView.this.infouser.setText(temp);
/* 130 */               SysUserActorManageView.this.infouser.update();
/* 131 */               SysUserActorManageView.this.userActors = SysUserActorManageView.this.sumController.getActorsbyID(select.getId());
/* 132 */               SysUserActorManageView.this.allActors = SysUserActorManageView.this.sumController.getActors();
/* 133 */               SysUserActorManageView.this.setListDatas();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 138 */     FormData fd_tree = new FormData();
/* 139 */     fd_tree.right = new FormAttachment(50, 0);
/* 140 */     fd_tree.bottom = new FormAttachment(100, -10);
/* 141 */     fd_tree.top = new FormAttachment(0, 10);
/* 142 */     fd_tree.left = new FormAttachment(0, 10);
/* 143 */     tree.setLayoutData(fd_tree);
/*     */ 
/*     */     
/* 146 */     Label label_3 = new Label(arg0, 2);
/* 147 */     FormData fd_label_3 = new FormData();
/* 148 */     fd_label_3.bottom = new FormAttachment((Control)tree, 0, 1024);
/* 149 */     fd_label_3.right = new FormAttachment((Control)tree, 6, 131072);
/* 150 */     fd_label_3.left = new FormAttachment((Control)tree, 4, 131072);
/* 151 */     fd_label_3.top = new FormAttachment((Control)tree, 0, 128);
/* 152 */     label_3.setLayoutData(fd_label_3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 158 */     this.composite = new Composite(arg0, 0);
/* 159 */     FormData fd_composite = new FormData();
/* 160 */     fd_composite.bottom = new FormAttachment(0, 370);
/* 161 */     fd_composite.top = new FormAttachment((Control)tree, 0, 128);
/* 162 */     fd_composite.right = new FormAttachment(100, -10);
/* 163 */     fd_composite.left = new FormAttachment((Control)tree, 10, 131072);
/* 164 */     this.composite.setLayoutData(fd_composite);
/* 165 */     this.stackLayout = new StackLayout();
/* 166 */     this.composite.setLayout((Layout)this.stackLayout);
/*     */     
/* 168 */     this.group = new Composite(this.composite, 0);
/* 169 */     this.group.setLayout((Layout)new FormLayout());
/*     */     
/* 171 */     Label label_1 = new Label(this.group, 0);
/* 172 */     label_1.setForeground(SWTResourceManager.getColor(204, 102, 153));
/* 173 */     FormData fd_label_1 = new FormData();
/* 174 */     fd_label_1.top = new FormAttachment(0, 0);
/* 175 */     fd_label_1.left = new FormAttachment(0, 0);
/* 176 */     label_1.setLayoutData(fd_label_1);
/* 177 */     label_1.setText("■用户角色管理");
/*     */     
/* 179 */     Label label_2 = new Label(this.group, 258);
/* 180 */     FormData fd_label_2 = new FormData();
/* 181 */     fd_label_2.right = new FormAttachment(100, 0);
/* 182 */     fd_label_2.left = new FormAttachment((Control)label_1, 0, 16384);
/* 183 */     fd_label_2.top = new FormAttachment((Control)label_1, 2, 1024);
/* 184 */     label_2.setLayoutData(fd_label_2);
/*     */     
/* 186 */     this.infouser = new Label(this.group, 0);
/* 187 */     this.infouser.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 188 */     FormData fd_label_info = new FormData();
/* 189 */     fd_label_info.bottom = new FormAttachment((Control)label_2, 35, 1024);
/* 190 */     fd_label_info.top = new FormAttachment((Control)label_2, 20, 128);
/* 191 */     fd_label_info.right = new FormAttachment((Control)label_2, 0, 131072);
/* 192 */     fd_label_info.left = new FormAttachment((Control)label_1, 0, 16384);
/* 193 */     this.infouser.setLayoutData(fd_label_info);
/* 194 */     this.infouser.setText("Label");
/*     */     
/* 196 */     Label label_5 = new Label(this.group, 0);
/* 197 */     FormData fd_label_5 = new FormData();
/* 198 */     fd_label_5.left = new FormAttachment(0, 0);
/* 199 */     fd_label_5.top = new FormAttachment(100, -20);
/* 200 */     label_5.setLayoutData(fd_label_5);
/* 201 */     label_5.setForeground(SWTResourceManager.getColor(0, 0, 255));
/* 202 */     label_5.setText("提示：点击左侧用户名，可查看该用户的角色信息。");
/*     */     
/* 204 */     Label label_6 = new Label(this.group, 16777216);
/* 205 */     label_6.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 206 */     FormData fd_label_6 = new FormData();
/* 207 */     fd_label_6.bottom = new FormAttachment((Control)this.infouser, 16, 1024);
/* 208 */     fd_label_6.right = new FormAttachment(41, 0);
/* 209 */     fd_label_6.top = new FormAttachment((Control)this.infouser, 1, 1024);
/* 210 */     fd_label_6.left = new FormAttachment((Control)this.infouser, 0, 16384);
/*     */ 
/*     */     
/* 213 */     label_6.setLayoutData(fd_label_6);
/* 214 */     label_6.setText("用户角色");
/*     */     
/* 216 */     Label label_7 = new Label(this.group, 16777216);
/* 217 */     label_7.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 218 */     FormData fd_label_7 = new FormData();
/* 219 */     fd_label_7.bottom = new FormAttachment((Control)label_6, 0, 1024);
/* 220 */     fd_label_7.right = new FormAttachment(59, 0);
/* 221 */     fd_label_7.top = new FormAttachment((Control)this.infouser, 1, 1024);
/* 222 */     fd_label_7.left = new FormAttachment((Control)label_6, 1, 131072);
/* 223 */     label_7.setLayoutData(fd_label_7);
/* 224 */     label_7.setText("操作");
/*     */     
/* 226 */     Label label_8 = new Label(this.group, 16777216);
/* 227 */     label_8.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 228 */     FormData fd_label_8 = new FormData();
/* 229 */     fd_label_8.bottom = new FormAttachment((Control)label_6, 0, 1024);
/* 230 */     fd_label_8.top = new FormAttachment((Control)this.infouser, 1, 1024);
/* 231 */     fd_label_8.left = new FormAttachment((Control)label_7, 1, 131072);
/* 232 */     fd_label_8.right = new FormAttachment(100, 0);
/* 233 */     label_8.setLayoutData(fd_label_8);
/* 234 */     label_8.setText("可选角色");
/*     */     
/* 236 */     this.listuser = new List(this.group, 2562);
/* 237 */     FormData fd_group_1 = new FormData();
/* 238 */     fd_group_1.right = new FormAttachment((Control)label_6, 0, 131072);
/* 239 */     fd_group_1.top = new FormAttachment((Control)label_6, 3, -1);
/* 240 */     fd_group_1.bottom = new FormAttachment(100, -50);
/* 241 */     fd_group_1.left = new FormAttachment(0, 0);
/* 242 */     this.listuser.setLayoutData(fd_group_1);
/*     */     
/* 244 */     this.listall = new List(this.group, 2562);
/* 245 */     FormData fd_group_3 = new FormData();
/* 246 */     fd_group_3.left = new FormAttachment((Control)label_8, 0, 16384);
/* 247 */     fd_group_3.top = new FormAttachment((Control)this.listuser, 0, 128);
/* 248 */     fd_group_3.bottom = new FormAttachment((Control)this.listuser, 0, 1024);
/* 249 */     fd_group_3.right = new FormAttachment(100, 0);
/* 250 */     this.listall.setLayoutData(fd_group_3);
/*     */     
/* 252 */     Composite composite_2 = new Composite(this.group, 0);
/* 253 */     GridLayout gridLayout = new GridLayout();
/* 254 */     gridLayout.marginRight = 1;
/* 255 */     gridLayout.marginLeft = 1;
/* 256 */     gridLayout.verticalSpacing = 15;
/* 257 */     gridLayout.horizontalSpacing = 0;
/* 258 */     gridLayout.marginWidth = 0;
/* 259 */     gridLayout.marginHeight = 0;
/* 260 */     composite_2.setLayout((Layout)gridLayout);
/* 261 */     FormData fd_group_2 = new FormData();
/* 262 */     fd_group_2.right = new FormAttachment((Control)label_7, 0, 131072);
/* 263 */     fd_group_2.left = new FormAttachment((Control)label_7, 0, 16384);
/* 264 */     fd_group_2.bottom = new FormAttachment((Control)this.listuser, 0, 1024);
/* 265 */     fd_group_2.top = new FormAttachment((Control)this.listuser, 0, 128);
/* 266 */     composite_2.setLayoutData(fd_group_2);
/*     */     
/* 268 */     Button button = new Button(composite_2, 8388608);
/* 269 */     GridData gd_button = new GridData(16777216, 1024, true, 
/* 270 */         true);
/* 271 */     gd_button.widthHint = 35;
/* 272 */     button.setLayoutData(gd_button);
/* 273 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 276 */             ArrayList<String> actorids = new ArrayList<String>();
/* 277 */             String[] actors = SysUserActorManageView.this.listuser.getSelection(); byte b; int i; String[] arrayOfString1;
/* 278 */             for (i = (arrayOfString1 = actors).length, b = 0; b < i; ) { String actor = arrayOfString1[b];
/*     */               
/* 280 */               actorids.add((String)SysUserActorManageView.this.listuser.getData(actor)); b++; }
/* 281 */              if (!actorids.isEmpty()) {
/* 282 */               int r = SysUserActorManageView.this.sumController.removeActors(SysUserActorManageView.this.selecteduserid, 
/* 283 */                   SysUserActorManageView.this.selectedgourid, actorids);
/*     */               
/* 285 */               switch (r) {
/*     */                 
/*     */                 case -1:
/* 288 */                   SysUserActorManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 291 */                   SysUserActorManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */               } 
/*     */ 
/*     */ 
/*     */               
/*     */               String[] arrayOfString;
/* 298 */               for (int j = (arrayOfString = actors).length; i < j; ) { String actor = arrayOfString[i];
/*     */                 
/* 300 */                 SysUserActorManageView.this.userActors.remove(SysUserActorManageView.this.listuser.getData(actor)); i++; }
/*     */               
/* 302 */               SysUserActorManageView.this.setListDatas();
/*     */             } else {
/* 304 */               SysUserActorManageView.this.showInfoBox("请选择用户角色！");
/*     */             }  }
/*     */         });
/* 307 */     button.setText(">>");
/* 308 */     Button button_1 = new Button(composite_2, 8388608);
/* 309 */     GridData gd_button_1 = new GridData(16777216, 128, false, 
/* 310 */         true);
/* 311 */     gd_button_1.widthHint = 35;
/* 312 */     button_1.setLayoutData(gd_button_1);
/* 313 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 315 */             ArrayList<String> actorids = new ArrayList<String>();
/* 316 */             String[] actors = SysUserActorManageView.this.listall.getSelection(); byte b; int i; String[] arrayOfString1;
/* 317 */             for (i = (arrayOfString1 = actors).length, b = 0; b < i; ) { String actor = arrayOfString1[b];
/*     */               
/* 319 */               actorids.add((String)SysUserActorManageView.this.listall.getData(actor)); b++; }
/* 320 */              if (!actorids.isEmpty()) {
/* 321 */               int r = SysUserActorManageView.this.sumController.addActors(SysUserActorManageView.this.selecteduserid, 
/* 322 */                   SysUserActorManageView.this.selectedgourid, actorids);
/*     */               
/* 324 */               switch (r) {
/*     */                 
/*     */                 case -1:
/* 327 */                   SysUserActorManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 330 */                   SysUserActorManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */               } 
/*     */ 
/*     */ 
/*     */               
/*     */               String[] arrayOfString;
/* 337 */               for (int j = (arrayOfString = actors).length; i < j; ) { String actor = arrayOfString[i];
/*     */                 
/* 339 */                 SysUserActorManageView.this.userActors.put((String)SysUserActorManageView.this.listall.getData(actor), actor); i++; }
/* 340 */                SysUserActorManageView.this.listuser.removeAll();
/* 341 */               SysUserActorManageView.this.listall.removeAll();
/* 342 */               SysUserActorManageView.this.setListDatas();
/*     */             } else {
/* 344 */               SysUserActorManageView.this.showInfoBox("请选择可选角色！");
/*     */             }  }
/*     */         });
/* 347 */     button_1.setText("<<");
/*     */     
/* 349 */     this.composite_1 = new Composite(this.composite, 0);
/* 350 */     this.composite_1.setLayout((Layout)new FormLayout());
/* 351 */     CLabel label_4 = new CLabel(this.composite_1, 0);
/* 352 */     label_4.setText("提示：点击左侧用户名，可查看该用户的角色信息。");
/*     */     
/* 354 */     initUI();
/* 355 */     initData();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void setListDatas() {
/* 361 */     this.listall.removeAll();
/* 362 */     this.listuser.removeAll();
/* 363 */     for (int a = 0; a < this.allActors.size(); a++) {
/* 364 */       UserActor oneinall = this.allActors.get(a);
/*     */       
/* 366 */       if (this.userActors.containsKey(oneinall.getACTOR_ID())) {
/* 367 */         this.listuser.add(oneinall.getACTOR_NAME());
/* 368 */         this.listuser.setData(oneinall.getACTOR_NAME(), 
/* 369 */             oneinall.getACTOR_ID());
/*     */       } else {
/*     */         
/* 372 */         this.listall.add(oneinall.getACTOR_NAME());
/* 373 */         this.listall.setData(oneinall.getACTOR_NAME(), 
/* 374 */             oneinall.getACTOR_ID());
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void initData() {
/* 381 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 382 */     this.treeview.setInput(this.sumController.creatRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 387 */     initializeToolBar();
/*     */     
/* 389 */     this.stackLayout.topControl = (Control)this.composite_1;
/* 390 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 401 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 402 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 406 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 407 */     mbox.setMessage(info);
/* 408 */     mbox.setText("错误提示");
/* 409 */     mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\actormanage\SysUserActorManageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */