/*     */ package cs.sydj.sysmanage.deptmanage;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysDeptManageAddGLJGTreeDialog
/*     */   extends Dialog
/*     */ {
/*     */   private TreeViewer treeViewer;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*  37 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */ 
/*     */ 
/*     */   
/*     */   private SysDeptManageController sumController;
/*     */ 
/*     */ 
/*     */   
/*     */   public SysDeptManageAddGLJGTreeDialog(Shell parent, int style) {
/*  46 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysDeptManageAddGLJGTreeDialog(Shell parent) {
/*  55 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public SysDeptManageAddGLJGTreeDialog(Shell parent, SysDeptManageController sumController) {
/*  60 */     this(parent, 0);
/*  61 */     this.sumController = sumController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  69 */     createContents();
/*  70 */     PublicUtil.setCenter(this.shell);
/*  71 */     this.shell.open();
/*  72 */     this.shell.layout();
/*  73 */     Display display = getParent().getDisplay();
/*  74 */     while (!this.shell.isDisposed()) {
/*  75 */       if (!display.readAndDispatch())
/*  76 */         display.sleep(); 
/*     */     } 
/*  78 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  86 */     this.shell = new Shell(getParent(), 67680);
/*  87 */     this.shell.setBackgroundMode(1);
/*  88 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  89 */     this.shell.setLayout((Layout)new FormLayout());
/*  90 */     this.shell.setSize(432, 371);
/*  91 */     this.shell.setText("选择登记管理机关");
/*     */     
/*  93 */     this.treeViewer = new TreeViewer((Composite)this.shell, 2048);
/*  94 */     Tree tree = this.treeViewer.getTree();
/*  95 */     FormData fd_tree = new FormData();
/*  96 */     fd_tree.right = new FormAttachment(0, 370);
/*  97 */     fd_tree.top = new FormAttachment(0, 0);
/*  98 */     fd_tree.left = new FormAttachment(0, 0);
/*  99 */     tree.setLayoutData(fd_tree);
/*     */ 
/*     */     
/* 102 */     CLabel label = new CLabel((Composite)this.shell, 0);
/* 103 */     fd_tree.bottom = new FormAttachment((Control)label, 0, 128);
/* 104 */     FormData fd_label = new FormData();
/* 105 */     fd_label.top = new FormAttachment(100, -20);
/* 106 */     fd_label.bottom = new FormAttachment(100, -5);
/* 107 */     fd_label.right = new FormAttachment(100, -5);
/* 108 */     fd_label.left = new FormAttachment((Control)tree, 0, 16384);
/* 109 */     label.setLayoutData(fd_label);
/* 110 */     label.setText("提示：选中部门至高亮蓝色，点击确定即可。");
/*     */     
/* 112 */     Button button = new Button((Composite)this.shell, 0);
/* 113 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 115 */             IStructuredSelection i = (IStructuredSelection)SysDeptManageAddGLJGTreeDialog.this.treeViewer.getSelection();
/* 116 */             SysDeptManageAddGLJGTreeDialog.this.result = i.getFirstElement();
/* 117 */             if (!SysDeptManageAddGLJGTreeDialog.this.shell.isDisposed()) {
/* 118 */               SysDeptManageAddGLJGTreeDialog.this.shell.dispose();
/*     */             }
/*     */           }
/*     */         });
/* 122 */     FormData fd_button = new FormData();
/* 123 */     fd_button.right = new FormAttachment((Control)tree, 50, 131072);
/* 124 */     fd_button.top = new FormAttachment(0, 43);
/* 125 */     fd_button.bottom = new FormAttachment(0, 65);
/* 126 */     fd_button.left = new FormAttachment((Control)tree, 5, 131072);
/* 127 */     button.setLayoutData(fd_button);
/* 128 */     button.setText("确定");
/*     */     
/* 130 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 131 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 133 */             if (!SysDeptManageAddGLJGTreeDialog.this.shell.isDisposed())
/* 134 */               SysDeptManageAddGLJGTreeDialog.this.shell.dispose(); 
/*     */           }
/*     */         });
/* 137 */     FormData fd_button_1 = new FormData();
/* 138 */     fd_button_1.right = new FormAttachment((Control)button, 0, 131072);
/* 139 */     fd_button_1.top = new FormAttachment(0, 88);
/* 140 */     fd_button_1.bottom = new FormAttachment(0, 110);
/* 141 */     fd_button_1.left = new FormAttachment((Control)button, 0, 16384);
/* 142 */     button_1.setLayoutData(fd_button_1);
/* 143 */     button_1.setText("取消");
/*     */ 
/*     */     
/* 146 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 147 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */     
/* 149 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\deptmanage\SysDeptManageAddGLJGTreeDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */