/*     */ package cs.sydj.sysmanage.deptmanage;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import server.sydj.sysmanage.gljg.GLJGInfo;
/*     */ import server.sydj.sysmanage.gljg.GLJGInfoManage;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ public class SysDeptManageController
/*     */ {
/*     */   private GljgUserInfo user;
/*  13 */   private GLJGInfoManage gljgim = new GLJGInfoManage();
/*     */   
/*     */   public SysDeptManageController(GljgUserInfo user) {
/*  16 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList creatRoot() {
/*  24 */     InfoEntity ie = new InfoEntity();
/*  25 */     ie.setName(this.user.getGroupname());
/*  26 */     ie.setDJGLJG(true);
/*  27 */     ie.setId(this.user.getGroupid());
/*     */     
/*  29 */     if (this.user.getDistrictcode().equals("100000")) {
/*     */       
/*  31 */       ie.setId("1");
/*  32 */       ie.setName("国家事业单位登记管理局");
/*     */     } 
/*     */ 
/*     */     
/*  36 */     ArrayList<InfoEntity> al = new ArrayList();
/*     */     
/*  38 */     al.add(ie);
/*  39 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteGLJGInfo(String groupid) {
/*  53 */     return this.gljgim.deleteGLJGInfo(groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveGLJGbyID(GLJGInfo g, InfoEntity i, int type) {
/*  68 */     if (type == 0) {
/*  69 */       return this.gljgim.moveSubGLJGbyID(g.getGROUP_ID(), g.getGROUP_NAME(), i.getId(), 
/*  70 */           i.getWholeName());
/*     */     }
/*  72 */     return this.gljgim.moveGLJGbyID(g.getGROUP_ID(), g.getGROUP_NAME(), i.getId(), 
/*  73 */         i.getWholeName(), i.getGroupid(), i.getOrderid());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addGLJG(GLJGInfo parentgljg, String gljgName, String discode, String address, String phone, String fax, String postcode) {
/*  94 */     GLJGInfo f = new GLJGInfo();
/*  95 */     f.setGROUP_NAME(String.valueOf(parentgljg.getGROUP_NAME()) + "//" + gljgName);
/*  96 */     f.setDISTRICT_CODE(discode);
/*  97 */     f.setADDRESS(address);
/*  98 */     f.setLINK_TEL(phone);
/*  99 */     f.setFAX(fax);
/* 100 */     f.setPOST_CODE(postcode);
/* 101 */     f.setPARENT_ID(parentgljg.getGROUP_ID());
/*     */     
/* 103 */     return this.gljgim.addGLJGInfo(f);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateGLJG(GLJGInfo org, String gljgName, String discode, String address, String phone, String fax, String postcode) {
/* 122 */     String GROUP_NAME = org.getGROUP_NAME();
/* 123 */     if (GROUP_NAME != null && GROUP_NAME.length() > 0) {
/* 124 */       int i = GROUP_NAME.lastIndexOf("/");
/* 125 */       if (i < 2) return -2; 
/* 126 */       GROUP_NAME = GROUP_NAME.substring(0, i - 1);
/*     */     } else {
/*     */       
/* 129 */       return -2;
/* 130 */     }  GLJGInfo f = new GLJGInfo();
/* 131 */     f.setGROUP_ID(org.getGROUP_ID());
/* 132 */     f.setGROUP_NAME(String.valueOf(GROUP_NAME) + "//" + gljgName);
/* 133 */     f.setDISTRICT_CODE(discode);
/* 134 */     f.setADDRESS(address);
/* 135 */     f.setLINK_TEL(phone);
/* 136 */     f.setFAX(fax);
/* 137 */     f.setPOST_CODE(postcode);
/* 138 */     f.setPARENT_ID(org.getPARENT_ID());
/*     */     
/* 140 */     return this.gljgim.updateGLJGInfo(f, this.user.getDistrictcode());
/*     */   }
/*     */   
/*     */   public GLJGInfo getGLJGbyID(String groupid) {
/* 144 */     return this.gljgim.getGLJGInfobyID(groupid);
/*     */   }
/*     */   
/*     */   public ArrayList<GLJGInfo> searchDeptName(String text) {
/* 148 */     String groupid = this.user.getGroupid();
/* 149 */     if (this.user.getDistrictcode().equals("100000")) groupid = "1"; 
/* 150 */     return this.gljgim.searchDeptName(text, groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int[] checkTheSYDW(String groupid) {
/* 159 */     return this.gljgim.checkTheSYDW(groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList creatRootFromView() {
/* 169 */     InfoEntity ie = new InfoEntity();
/* 170 */     ie.setDJGLJG(true);
/*     */     
/* 172 */     ie.setId("1");
/* 173 */     ie.setName("国家事业单位登记管理局");
/*     */     
/* 175 */     ArrayList<InfoEntity> al = new ArrayList();
/* 176 */     al.add(ie);
/* 177 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList<GLJGInfo> searchDeptNameFromView(String text) {
/* 187 */     String groupid = this.user.getGroupid();
/* 188 */     if (this.user.getDistrictcode().equals("100000")) groupid = "1"; 
/* 189 */     return this.gljgim.searchDeptNameFromView(text, groupid);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\deptmanage\SysDeptManageController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */