/*     */ package cs.sydj.sysmanage.documenttransport.download;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.documenttransport.check.CheckDocumentController;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.List;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.documenttransport.Document;
/*     */ import server.sydj.documenttransport.DocumentAttachment;
/*     */ 
/*     */ 
/*     */ public class DocumentDetailsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_3;
/*     */   private Text text_1;
/*     */   private Text text_2;
/*     */   private Text text;
/*     */   private List list;
/*  41 */   private int style = 1;
/*  42 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  44 */   private CheckDocumentController sumController = null;
/*     */   private Document document;
/*     */   private Shell shell;
/*  47 */   private ArrayList<DocumentAttachment> docattachs = new ArrayList<DocumentAttachment>();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DocumentDetailsDialog(Shell parentShell) {
/*  55 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public DocumentDetailsDialog(Shell parentShell, CheckDocumentController sumController, Document document) {
/*  60 */     super(parentShell);
/*  61 */     this.sumController = sumController;
/*  62 */     this.document = document;
/*  63 */     this.docattachs = sumController.getDoc_AttachsName(document.getDOC_ID());
/*     */   }
/*     */   
/*     */   public DocumentDetailsDialog(Shell parentShell, Document document, int style) {
/*  67 */     super(parentShell);
/*  68 */     this.style = style;
/*  69 */     this.sumController = new CheckDocumentController(this.user);
/*  70 */     this.document = document;
/*  71 */     if (style == 0) {
/*  72 */       this.docattachs = this.sumController.getNewDoc_AttachsName(document.getDOC_ID(), document.getDOC_RECEIVE_ID());
/*     */     } else {
/*  74 */       this.docattachs = this.sumController.getDoc_AttachsName(document.getDOC_ID());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/*  84 */     Composite container = (Composite)super.createDialogArea(arg0);
/*  85 */     this.shell = arg0.getShell();
/*  86 */     arg0.setBackgroundMode(1);
/*  87 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  88 */     arg0.setLayout((Layout)new GridLayout());
/*     */     
/*  90 */     Group group = new Group(container, 0);
/*  91 */     group.setText("公文信息");
/*  92 */     GridLayout gridLayout_2 = new GridLayout();
/*  93 */     gridLayout_2.numColumns = 2;
/*  94 */     group.setLayout((Layout)gridLayout_2);
/*  95 */     group.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  97 */     CLabel label = new CLabel((Composite)group, 0);
/*  98 */     label.setText("发文标题：");
/*     */     
/* 100 */     this.text = new Text((Composite)group, 2056);
/* 101 */     this.text
/* 102 */       .setBackground(Display.getCurrent().getSystemColor(
/* 103 */           1));
/* 104 */     GridData gd_text = new GridData(300, -1);
/* 105 */     this.text.setLayoutData(gd_text);
/*     */     
/* 107 */     CLabel label_2 = new CLabel((Composite)group, 0);
/* 108 */     label_2
/* 109 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 110 */     label_2.setText("发文编号：");
/*     */     
/* 112 */     this.text_2 = new Text((Composite)group, 2056);
/* 113 */     this.text_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 114 */     this.text_2.setLayoutData(new GridData(300, -1));
/*     */     
/* 116 */     CLabel label_1 = new CLabel((Composite)group, 0);
/* 117 */     label_1
/* 118 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 119 */     label_1.setText("发文时间：");
/*     */     
/* 121 */     this.text_1 = new Text((Composite)group, 2056);
/* 122 */     this.text_1.setBackground(Display.getCurrent()
/* 123 */         .getSystemColor(1));
/* 124 */     GridData gd_text_1 = new GridData(300, -1);
/* 125 */     this.text_1.setLayoutData(gd_text_1);
/* 126 */     if (this.style > 0) {
/* 127 */       CLabel label_3 = new CLabel((Composite)group, 0);
/* 128 */       label_3
/* 129 */         .setLayoutData(new GridData(131072, 16777216, false, false));
/* 130 */       label_3.setText("接收单位：");
/*     */       
/* 132 */       this.text_3 = new Text((Composite)group, 2634);
/*     */       
/* 134 */       this.text_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 135 */       GridData gd_text_3 = new GridData(4, 16777216, true, 
/* 136 */           false);
/* 137 */       gd_text_3.heightHint = 40;
/* 138 */       this.text_3.setLayoutData(gd_text_3);
/*     */     } else {
/* 140 */       CLabel label_3 = new CLabel((Composite)group, 0);
/* 141 */       label_3
/* 142 */         .setLayoutData(new GridData(131072, 16777216, false, false));
/* 143 */       label_3.setText("发文单位：");
/*     */       
/* 145 */       this.text_3 = new Text((Composite)group, 2056);
/* 146 */       this.text_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 147 */       GridData gd_text_3 = new GridData(4, 16777216, true, 
/* 148 */           false);
/* 149 */       this.text_3.setLayoutData(gd_text_3);
/*     */     } 
/*     */     
/* 152 */     Group group_1 = new Group(container, 0);
/* 153 */     group_1.setText("公文附件");
/* 154 */     GridLayout gridLayout = new GridLayout();
/* 155 */     gridLayout.numColumns = 2;
/* 156 */     group_1.setLayout((Layout)gridLayout);
/* 157 */     group_1.setLayoutData(new GridData(4, 4, false, true));
/*     */     
/* 159 */     this.list = new List((Composite)group_1, 2048);
/* 160 */     this.list.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDoubleClick(MouseEvent e) {
/* 162 */             if (DocumentDetailsDialog.this.list.getSelectionCount() > 0) {
/* 163 */               String[] docname = DocumentDetailsDialog.this.list.getSelection();
/* 164 */               String docattachid = (String)DocumentDetailsDialog.this.list.getData(docname[0]);
/* 165 */               OpenSaveDocFileDialog dialog = new OpenSaveDocFileDialog(
/* 166 */                   DocumentDetailsDialog.this.getShell(), docname[0], docattachid);
/* 167 */               String fileName = (String)dialog.open();
/* 168 */               if (fileName != null) {
/* 169 */                 LoadSuccessDialog load = new LoadSuccessDialog(DocumentDetailsDialog.this.shell, 
/* 170 */                     fileName);
/* 171 */                 load.open();
/*     */               } 
/*     */             } else {
/* 174 */               DocumentDetailsDialog.this.showInfoBox("请选择要下载的文件！");
/* 175 */               DocumentDetailsDialog.this.list.select(0);
/*     */             } 
/*     */           }
/*     */         });
/* 179 */     GridData gd_list = new GridData(4, 4, true, true);
/* 180 */     gd_list.heightHint = 40;
/* 181 */     this.list.setLayoutData(gd_list);
/*     */     
/* 183 */     Button button = new Button((Composite)group_1, 0);
/* 184 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 186 */             if (DocumentDetailsDialog.this.list.getSelectionCount() > 0) {
/* 187 */               String[] docname = DocumentDetailsDialog.this.list.getSelection();
/* 188 */               String docattachid = (String)DocumentDetailsDialog.this.list.getData(docname[0]);
/* 189 */               OpenSaveDocFileDialog dialog = new OpenSaveDocFileDialog(
/* 190 */                   DocumentDetailsDialog.this.getShell(), docname[0], docattachid);
/* 191 */               dialog.open();
/*     */             } else {
/* 193 */               DocumentDetailsDialog.this.showInfoBox("请选择要下载的文件！");
/* 194 */               DocumentDetailsDialog.this.list.select(0);
/*     */             } 
/*     */           }
/*     */         });
/* 198 */     button.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 199 */     button.setText("下载");
/*     */     
/* 201 */     this.text.setText(this.document.getDOC_TITLE());
/* 202 */     this.text_2.setText(this.document.getDOC_NUMBER());
/* 203 */     this.text_1.setText(this.document.getSOURCE_APPLY_DATE());
/* 204 */     if (this.style > 0) {
/* 205 */       this.text_3.setText(this.document.getDESTINATION());
/*     */     } else {
/* 207 */       this.text_3.setText(this.document.getSOURCE_GROUP_NAME());
/*     */     } 
/* 209 */     for (int i = 0; i < this.docattachs.size(); i++) {
/* 210 */       DocumentAttachment doattach = this.docattachs.get(i);
/* 211 */       this.list.add(doattach.getDOC_NAME());
/* 212 */       this.list.setData(doattach.getDOC_NAME(), doattach.getATTACHMENT_DOC_ID());
/*     */     } 
/*     */     
/* 215 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 226 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/* 227 */     if (this.style > 0) createButton(parent, 0, "删除", true); 
/* 228 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 236 */     return new Point(500, 375);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 240 */     if (buttonId == 0) {
/* 241 */       MessageBox mbox = new MessageBox(this.shell, 196);
/*     */       
/* 243 */       mbox.setMessage("您真的确定删除该公文吗?");
/* 244 */       mbox.setText("信息提示");
/* 245 */       int button_id = mbox.open();
/* 246 */       if (button_id == 64) {
/* 247 */         int r = this.sumController.delete(this.document.getDOC_ID());
/* 248 */         switch (r) {
/*     */           case 0:
/* 250 */             showInfoBox("数据库出错，请与管理员联系！");
/*     */             return;
/*     */           case -1:
/* 253 */             showInfoBox("网络传输错误，请重试！");
/*     */             return;
/*     */           case 1:
/*     */             break;
/*     */           default:
/* 258 */             showInfoBox("未知错误，请与管理员联系！");
/*     */             return;
/*     */         } 
/*     */       } 
/*     */     } 
/* 263 */     super.buttonPressed(buttonId);
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 267 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 268 */     mbox.setMessage(info);
/* 269 */     mbox.setText("错误提示");
/* 270 */     mbox.open();
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 274 */     super.configureShell(newShell);
/* 275 */     newShell.setText("公文查看");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\download\DocumentDetailsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */