/*     */ package cs.sydj.sysmanage.documenttransport.download;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OpenSaveDocFileDialog
/*     */   extends Dialog
/*     */ {
/*  28 */   protected String result = null;
/*     */   protected Shell shell;
/*  30 */   protected String name = "";
/*  31 */   protected String type = "";
/*     */   protected String suffix;
/*     */   private String attachId;
/*  34 */   private FileController fc = new FileController();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenSaveDocFileDialog(Shell parent, int style) {
/*  43 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenSaveDocFileDialog(Shell parent) {
/*  52 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenSaveDocFileDialog(Shell parent, String name, String docattachId) {
/*  67 */     super(parent);
/*  68 */     this.name = name;
/*  69 */     int i = name.lastIndexOf(".");
/*  70 */     if (i > 0) { name = name.substring(i); }
/*  71 */     else { name = "txt"; }
/*  72 */      this.suffix = name;
/*  73 */     this.attachId = docattachId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  82 */     createContents();
/*  83 */     PublicUtil.setCenter(this.shell);
/*  84 */     this.shell.open();
/*  85 */     this.shell.layout();
/*  86 */     Display display = getParent().getDisplay();
/*  87 */     while (!this.shell.isDisposed()) {
/*  88 */       if (!display.readAndDispatch())
/*  89 */         display.sleep(); 
/*     */     } 
/*  91 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  98 */     this.shell = new Shell(getParent(), 67680);
/*  99 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/* 100 */     this.shell.setBackgroundMode(1);
/* 101 */     GridLayout gridLayout = new GridLayout();
/* 102 */     gridLayout.numColumns = 3;
/* 103 */     this.shell.setLayout((Layout)gridLayout);
/* 104 */     this.shell.setSize(350, 180);
/* 105 */     this.shell.setText("文件下载");
/*     */     
/* 107 */     Label label = new Label((Composite)this.shell, 0);
/* 108 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 109 */     gd_label.widthHint = 183;
/* 110 */     label.setLayoutData(gd_label);
/* 111 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 112 */     label.setText("您想打开或保存此文件吗？");
/*     */ 
/*     */     
/* 115 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 116 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 117 */     gd_sadLabel.widthHint = 100;
/* 118 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 121 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 122 */     label_2.setLayoutData(new GridData());
/*     */ 
/*     */     
/* 125 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 126 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 127 */     label_1.setLayoutData(gd_label_1);
/* 128 */     label_1.setText("名称：");
/*     */     
/* 130 */     CLabel label_info = new CLabel((Composite)this.shell, 0);
/* 131 */     GridData gd_label_info = new GridData();
/* 132 */     label_info.setLayoutData(gd_label_info);
/* 133 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 137 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 138 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 139 */     GridLayout gridLayout_1 = new GridLayout();
/* 140 */     gridLayout_1.numColumns = 3;
/* 141 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 143 */     Button button = new Button(composite, 0);
/* 144 */     button.setText("打开");
/* 145 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 147 */             String url = OpenSaveDocFileDialog.this.fc.getDocAttach(OpenSaveDocFileDialog.this.attachId, null);
/* 148 */             if (url != null) {
/* 149 */               Program.launch(url);
/* 150 */               OpenSaveDocFileDialog.this.shell.dispose();
/*     */             } else {
/*     */               return;
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 157 */     Button button_1 = new Button(composite, 0);
/* 158 */     button_1.setLayoutData(new GridData());
/* 159 */     button_1.setText("保存");
/* 160 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 162 */             SaveDialog save = new SaveDialog(OpenSaveDocFileDialog.this.shell);
/* 163 */             save.setFileName(OpenSaveDocFileDialog.this.name);
/* 164 */             save.setFilterExtensions(new String[] { "*." + this.this$0.suffix });
/* 165 */             String fileName = save.open();
/* 166 */             if (fileName != null) {
/*     */               
/* 168 */               String url = OpenSaveDocFileDialog.this.fc.getDocAttach(OpenSaveDocFileDialog.this.attachId, fileName);
/* 169 */               if (url != null) {
/* 170 */                 OpenSaveDocFileDialog.this.result = fileName;
/*     */                 
/* 172 */                 OpenSaveDocFileDialog.this.shell.dispose();
/*     */               } else {
/*     */                 return;
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 180 */     Button button_2 = new Button(composite, 0);
/* 181 */     button_2.setText("取消");
/* 182 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 184 */             OpenSaveDocFileDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 188 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 189 */     label_2_1.setLayoutData(new GridData());
/* 190 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\download\OpenSaveDocFileDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */