/*     */ package cs.sydj.sysmanage.hylbmanage;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerControler;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerLableProvider;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import server.sydj.sysmanage.hylb.HYLBtreeItem;
/*     */ 
/*     */ public class SysHYLBTreeDialog extends Dialog {
/*     */   private TreeViewer treeViewer;
/*  30 */   private GljgUserInfo user = GljgUserInfo.getInstance(); protected Object result; protected Shell shell;
/*     */   private TreeViewerControler tvCon;
/*  32 */   protected int setedLevel = 2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysHYLBTreeDialog(Shell parent, int setedLevel) {
/*  40 */     super(parent);
/*  41 */     this.setedLevel = setedLevel;
/*  42 */     this.tvCon = new TreeViewerControler();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysHYLBTreeDialog(Shell parent) {
/*  51 */     super(parent);
/*  52 */     this.tvCon = new TreeViewerControler();
/*     */   }
/*     */   
/*     */   public SysHYLBTreeDialog(Shell parent, TreeViewerControler tvCon) {
/*  56 */     super(parent);
/*  57 */     this.tvCon = tvCon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  66 */     createContents();
/*  67 */     PublicUtil.setCenter(this.shell);
/*  68 */     this.shell.open();
/*  69 */     this.shell.layout();
/*  70 */     Display display = getParent().getDisplay();
/*  71 */     while (!this.shell.isDisposed()) {
/*  72 */       if (!display.readAndDispatch())
/*  73 */         display.sleep(); 
/*     */     } 
/*  75 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  82 */     this.shell = new Shell(getParent(), 67680);
/*  83 */     this.shell.setBackgroundMode(1);
/*  84 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  85 */     this.shell.setLayout((Layout)new FormLayout());
/*  86 */     this.shell.setSize(432, 371);
/*  87 */     this.shell.setText("选择行业类别");
/*     */     
/*  89 */     this.treeViewer = new TreeViewer((Composite)this.shell, 2048);
/*  90 */     Tree tree = this.treeViewer.getTree();
/*  91 */     FormData fd_tree = new FormData();
/*  92 */     fd_tree.right = new FormAttachment(0, 370);
/*  93 */     fd_tree.top = new FormAttachment(0, 0);
/*  94 */     fd_tree.left = new FormAttachment(0, 0);
/*  95 */     tree.setLayoutData(fd_tree);
/*     */ 
/*     */     
/*  98 */     CLabel label = new CLabel((Composite)this.shell, 0);
/*  99 */     fd_tree.bottom = new FormAttachment((Control)label, 0, 128);
/* 100 */     FormData fd_label = new FormData();
/* 101 */     fd_label.top = new FormAttachment(100, -20);
/* 102 */     fd_label.bottom = new FormAttachment(100, -5);
/* 103 */     fd_label.right = new FormAttachment(100, -5);
/* 104 */     fd_label.left = new FormAttachment((Control)tree, 0, 16384);
/* 105 */     label.setLayoutData(fd_label);
/* 106 */     label.setText("提示：选中名称至高亮蓝色，点击确定即可。");
/*     */     
/* 108 */     Button button = new Button((Composite)this.shell, 0);
/* 109 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 111 */             IStructuredSelection i = (IStructuredSelection)SysHYLBTreeDialog.this.treeViewer
/* 112 */               .getSelection();
/*     */             
/* 114 */             HYLBtreeItem ie = (HYLBtreeItem)i.getFirstElement();
/*     */             
/* 116 */             if (ie != null && ie.getDescription() != null && 
/* 117 */               ie.getDescription().length() > 0 && 
/* 118 */               !SysHYLBTreeDialog.this.shell.isDisposed()) {
/* 119 */               SysHYLBTreeDialog.this.result = ie;
/* 120 */               SysHYLBTreeDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 128 */     FormData fd_button = new FormData();
/* 129 */     fd_button.right = new FormAttachment((Control)tree, 50, 131072);
/* 130 */     fd_button.top = new FormAttachment(0, 43);
/* 131 */     fd_button.bottom = new FormAttachment(0, 65);
/* 132 */     fd_button.left = new FormAttachment((Control)tree, 5, 131072);
/* 133 */     button.setLayoutData(fd_button);
/* 134 */     button.setText("确定");
/*     */     
/* 136 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 137 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 139 */             if (!SysHYLBTreeDialog.this.shell.isDisposed())
/* 140 */               SysHYLBTreeDialog.this.shell.dispose(); 
/*     */           }
/*     */         });
/* 143 */     FormData fd_button_1 = new FormData();
/* 144 */     fd_button_1.right = new FormAttachment((Control)button, 0, 131072);
/* 145 */     fd_button_1.top = new FormAttachment(0, 88);
/* 146 */     fd_button_1.bottom = new FormAttachment(0, 110);
/* 147 */     fd_button_1.left = new FormAttachment((Control)button, 0, 16384);
/* 148 */     button_1.setLayoutData(fd_button_1);
/* 149 */     button_1.setText("取消");
/*     */     
/* 151 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerContentProvider());
/* 152 */     this.treeViewer.setInput(this.tvCon.creatRoot());
/* 153 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\hylbmanage\SysHYLBTreeDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */