/*     */ package cs.sydj.sysmanage.jbdwmanage;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import server.sydj.sysmanage.jbdw.DqjgInfo;
/*     */ import server.sydj.sysmanage.jbdw.JBDWInfo;
/*     */ import server.sydj.sysmanage.jbdw.JBDWInfoManage;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ public class SysJBDWManageController
/*     */ {
/*     */   private GljgUserInfo user;
/*  13 */   private JBDWInfoManage jim = new JBDWInfoManage();
/*     */ 
/*     */   
/*     */   public SysJBDWManageController(GljgUserInfo user) {
/*  17 */     this.user = user;
/*     */   }
/*     */   
/*     */   public ArrayList<JBDWInfo> searchJBDWName(String name) {
/*  21 */     String groupid = this.user.getGroupid();
/*  22 */     if ("100000".equals(this.user.getDistrictcode()))
/*  23 */       groupid = "1"; 
/*  24 */     return this.jim.searchJBDWName(name, groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateJBDW(JBDWInfo jbdw, String name, String address, String link_man, String link_tel, String fax, String post_code, String email, String mobile, String unifyCode) {
/*  38 */     jbdw.setNAME(name);
/*  39 */     jbdw.setDESCRIPT(name);
/*  40 */     jbdw.setADDRESS(address);
/*  41 */     jbdw.setLINK_MAN(link_man);
/*  42 */     jbdw.setLINK_TEL(link_tel);
/*  43 */     jbdw.setFAX(fax);
/*  44 */     jbdw.setPOST_CODE(post_code);
/*  45 */     jbdw.setEMAIL(email);
/*  46 */     jbdw.setMOBILE(mobile);
/*  47 */     jbdw.setUnifyCode(unifyCode);
/*     */     
/*  49 */     return this.jim.updateJBDWInfo(jbdw);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveJBDWbyID(JBDWInfo jbdw, InfoEntity info, int type) {
/*  63 */     String groupid = this.user.getGroupid();
/*  64 */     if (this.user.getDistrictcode().equals("100000"))
/*  65 */       groupid = "1"; 
/*  66 */     if (type == 1) {
/*  67 */       return this.jim.moveJBDWbyID(jbdw.getJBDW_ID(), info.getId(), 
/*  68 */           jbdw.getROOT_TYPE(), info.getGroupid(), info.getOrderid(), 
/*  69 */           groupid);
/*     */     }
/*  71 */     return this.jim.moveSubJBDWbyID(jbdw.getJBDW_ID(), info.getId(), "jbdw" + 
/*  72 */         groupid, null, groupid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addJBDW(JBDWInfo jbdw, String name, String address, String link_man, String link_tel, String fax, String post_code, String email, String mobile, String unifyCode) {
/*  86 */     String groupid = this.user.getGroupid();
/*  87 */     if (this.user.getDistrictcode().equals("100000"))
/*  88 */       groupid = "1"; 
/*  89 */     JBDWInfo j = new JBDWInfo();
/*  90 */     j.setADDRESS(address);
/*  91 */     j.setNAME(name);
/*  92 */     j.setDESCRIPT(name);
/*  93 */     j.setLINK_MAN(link_man);
/*  94 */     j.setLINK_TEL(link_tel);
/*  95 */     j.setPOST_CODE(post_code);
/*  96 */     j.setFAX(fax);
/*  97 */     j.setEMAIL(email);
/*  98 */     j.setMOBILE(mobile);
/*  99 */     j.setROOT_TYPE(jbdw.getROOT_TYPE());
/* 100 */     j.setPARENT_ID(jbdw.getJBDW_ID());
/* 101 */     j.setGROUP_ID(groupid);
/* 102 */     j.setUnifyCode(unifyCode);
/*     */     
/* 104 */     String returns = this.jim.addJBDWInfo(j);
/*     */     
/* 106 */     int i = -2;
/* 107 */     if (returns != null && returns.contains("#")) {
/* 108 */       i = 1;
/*     */     } else {
/*     */       try {
/* 111 */         i = Integer.valueOf(returns).intValue();
/* 112 */       } catch (Exception exception) {}
/*     */     } 
/*     */     
/* 115 */     return i;
/*     */   }
/*     */   
/*     */   public JBDWInfo getJBDWbyID(String jbdwid) {
/* 119 */     return this.jim.getJBDWInfobyID(jbdwid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteJBDWInfo(String jbdwID) {
/* 131 */     return this.jim.deleteJBDWInfo(jbdwID);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkHasSYDW(String jbdwID) {
/* 141 */     return this.jim.checkTheSYDW(jbdwID);
/*     */   }
/*     */   
/*     */   public ArrayList<InfoEntity> getJbdwChildList(String jbdw_id, int onlyJbdw) {
/* 145 */     return this.jim.getJbdwChildList(jbdw_id, onlyJbdw);
/*     */   }
/*     */   
/*     */   public int getJbdwChildCount(String jbdw_id, int onlyJbdw) {
/* 149 */     return this.jim.getJbdwChildCount(jbdw_id, onlyJbdw);
/*     */   }
/*     */ 
/*     */   
/*     */   public DqjgInfo getDqjgbyID(String jbdwid) {
/* 154 */     return this.jim.getDqjgbyID(jbdwid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addDqjg(DqjgInfo jbdw, String name, String address, String link_man, String link_tel, String fax, String post_code, String email, String mobile) {
/* 168 */     String groupid = this.user.getGroupid();
/* 169 */     if (this.user.getDistrictcode().equals("100000"))
/* 170 */       groupid = "1"; 
/* 171 */     DqjgInfo j = new DqjgInfo();
/* 172 */     j.setADDRESS(address);
/* 173 */     j.setNAME(name);
/* 174 */     j.setDESCRIPT(name);
/* 175 */     j.setLINK_MAN(link_man);
/* 176 */     j.setLINK_TEL(link_tel);
/* 177 */     j.setPOST_CODE(post_code);
/* 178 */     j.setFAX(fax);
/* 179 */     j.setEMAIL(email);
/* 180 */     j.setMOBILE(mobile);
/* 181 */     j.setROOT_TYPE(jbdw.getDESCRIPT());
/* 182 */     j.setPARENT_ID(jbdw.getJBDW_ID());
/* 183 */     j.setGROUP_ID(groupid);
/* 184 */     String returns = this.jim.addDqjgInfo(j);
/*     */ 
/*     */     
/* 187 */     return Integer.valueOf(returns).intValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateDqjg(DqjgInfo jbdw, String name, String address, String link_man, String link_tel, String fax, String post_code, String email, String mobile) {
/* 200 */     jbdw.setNAME(name);
/* 201 */     jbdw.setDESCRIPT(name);
/* 202 */     jbdw.setADDRESS(address);
/* 203 */     jbdw.setLINK_MAN(link_man);
/* 204 */     jbdw.setLINK_TEL(link_tel);
/* 205 */     jbdw.setFAX(fax);
/* 206 */     jbdw.setPOST_CODE(post_code);
/* 207 */     jbdw.setEMAIL(email);
/* 208 */     jbdw.setMOBILE(mobile);
/*     */     
/* 210 */     return this.jim.updateDqjgInfo(jbdw);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteDqjgInfo(String jbdwID) {
/* 221 */     return this.jim.deleteDqjgInfo(jbdwID);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkHasDqjg(String jbdwID) {
/* 231 */     return this.jim.checkHasDqjg(jbdwID);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkUnifyCodeExist(String unifyCode) {
/* 241 */     return this.jim.checkUnifyCodeExist(unifyCode);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\jbdwmanage\SysJBDWManageController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */