/*     */ package cs.sydj.sysmanage.jbdwmanage;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerControler;
/*     */ import cs.sydj.sysmanage.jbdwmanage.treeview.TreeViewerLableProvider;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ public class SysJBDWTreeDialog extends Dialog {
/*     */   private TreeViewer treeViewer;
/*  29 */   private GljgUserInfo user = GljgUserInfo.getInstance(); protected Object result; protected Shell shell;
/*     */   private TreeViewerControler tvCon;
/*  31 */   protected int setedLevel = 2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysJBDWTreeDialog(Shell parent, int setedLevel) {
/*  39 */     super(parent);
/*  40 */     this.setedLevel = setedLevel;
/*  41 */     this.tvCon = new TreeViewerControler();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysJBDWTreeDialog(Shell parent) {
/*  50 */     super(parent);
/*  51 */     this.tvCon = new TreeViewerControler();
/*     */   }
/*     */   
/*     */   public SysJBDWTreeDialog(Shell parent, TreeViewerControler tvCon) {
/*  55 */     super(parent);
/*  56 */     this.tvCon = tvCon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  65 */     createContents();
/*  66 */     PublicUtil.setCenter(this.shell);
/*  67 */     this.shell.open();
/*  68 */     this.shell.layout();
/*  69 */     Display display = getParent().getDisplay();
/*  70 */     while (!this.shell.isDisposed()) {
/*  71 */       if (!display.readAndDispatch())
/*  72 */         display.sleep(); 
/*     */     } 
/*  74 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  81 */     this.shell = new Shell(getParent(), 67680);
/*  82 */     this.shell.setBackgroundMode(1);
/*  83 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  84 */     this.shell.setLayout((Layout)new FormLayout());
/*  85 */     this.shell.setSize(432, 371);
/*  86 */     this.shell.setText("选择举办单位");
/*     */     
/*  88 */     this.treeViewer = new TreeViewer((Composite)this.shell, 2048);
/*  89 */     Tree tree = this.treeViewer.getTree();
/*  90 */     FormData fd_tree = new FormData();
/*  91 */     fd_tree.right = new FormAttachment(0, 370);
/*  92 */     fd_tree.top = new FormAttachment(0, 0);
/*  93 */     fd_tree.left = new FormAttachment(0, 0);
/*  94 */     tree.setLayoutData(fd_tree);
/*     */ 
/*     */     
/*  97 */     CLabel label = new CLabel((Composite)this.shell, 0);
/*  98 */     fd_tree.bottom = new FormAttachment((Control)label, 0, 128);
/*  99 */     FormData fd_label = new FormData();
/* 100 */     fd_label.top = new FormAttachment(100, -20);
/* 101 */     fd_label.bottom = new FormAttachment(100, -5);
/* 102 */     fd_label.right = new FormAttachment(100, -5);
/* 103 */     fd_label.left = new FormAttachment((Control)tree, 0, 16384);
/* 104 */     label.setLayoutData(fd_label);
/* 105 */     label.setText("提示：选中名称至高亮蓝色，点击确定即可。");
/*     */     
/* 107 */     Button button = new Button((Composite)this.shell, 0);
/* 108 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 110 */             IStructuredSelection i = (IStructuredSelection)SysJBDWTreeDialog.this.treeViewer
/* 111 */               .getSelection();
/*     */             
/* 113 */             InfoEntity ie = (InfoEntity)i.getFirstElement();
/*     */             
/* 115 */             if (ie != null && ie.getName() != null && 
/* 116 */               ie.getName().length() > 0 && 
/* 117 */               SysJBDWTreeDialog.this.checkClickInfo(ie) && !SysJBDWTreeDialog.this.shell.isDisposed()) {
/* 118 */               SysJBDWTreeDialog.this.result = ie;
/* 119 */               SysJBDWTreeDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 127 */     FormData fd_button = new FormData();
/* 128 */     fd_button.right = new FormAttachment((Control)tree, 50, 131072);
/* 129 */     fd_button.top = new FormAttachment(0, 43);
/* 130 */     fd_button.bottom = new FormAttachment(0, 65);
/* 131 */     fd_button.left = new FormAttachment((Control)tree, 5, 131072);
/* 132 */     button.setLayoutData(fd_button);
/* 133 */     button.setText("确定");
/*     */     
/* 135 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 136 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 138 */             if (!SysJBDWTreeDialog.this.shell.isDisposed())
/* 139 */               SysJBDWTreeDialog.this.shell.dispose(); 
/*     */           }
/*     */         });
/* 142 */     FormData fd_button_1 = new FormData();
/* 143 */     fd_button_1.right = new FormAttachment((Control)button, 0, 131072);
/* 144 */     fd_button_1.top = new FormAttachment(0, 88);
/* 145 */     fd_button_1.bottom = new FormAttachment(0, 110);
/* 146 */     fd_button_1.left = new FormAttachment((Control)button, 0, 16384);
/* 147 */     button_1.setLayoutData(fd_button_1);
/* 148 */     button_1.setText("取消");
/*     */ 
/*     */     
/* 151 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerContentProvider());
/* 152 */     this.treeViewer.setInput(this.tvCon.creatRoot(this.user.getGroupid()));
/* 153 */     this.treeViewer.expandToLevel(1);
/* 154 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */   }
/*     */   
/*     */   private boolean checkClickInfo(InfoEntity ie) {
/* 158 */     return (ie.getLevel() < this.setedLevel);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\jbdwmanage\SysJBDWTreeDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */