/*     */ package cs.sydj.sysmanage.networkselect;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.util.messageutil.XMLTools;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NetworkSelectView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.networkselect.NetworkSelectView";
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  32 */     final XMLTools xt = new XMLTools();
/*  33 */     String network = xt.getNetworkSelect();
/*     */     
/*  35 */     Composite container = new Composite(parent, 0);
/*  36 */     container.setLayout((Layout)new FillLayout());
/*     */     
/*  38 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/*  39 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/*  41 */     Composite composite = new Composite((Composite)scrolledComposite, 0);
/*  42 */     composite.setLocation(0, 0);
/*  43 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*  44 */     GridLayout gridLayout = new GridLayout();
/*  45 */     gridLayout.marginRight = 30;
/*  46 */     gridLayout.marginLeft = 30;
/*  47 */     gridLayout.marginTop = 30;
/*  48 */     composite.setLayout((Layout)gridLayout);
/*     */     
/*  50 */     Composite composite_1 = new Composite(composite, 0);
/*  51 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/*  52 */     composite_1.setLayoutData(new GridData(4, 4, true, true));
/*  53 */     GridLayout gridLayout_1 = new GridLayout();
/*  54 */     gridLayout_1.numColumns = 6;
/*  55 */     composite_1.setLayout((Layout)gridLayout_1);
/*     */     
/*  57 */     Label label_2_1 = new Label(composite_1, 0);
/*  58 */     GridData gd_label_2_1 = new GridData(16384, 16777216, false, false, 6, 1);
/*  59 */     gd_label_2_1.heightHint = 40;
/*  60 */     label_2_1.setLayoutData(gd_label_2_1);
/*  61 */     label_2_1.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  62 */     label_2_1.setFont(SWTResourceManager.getFont("", 11, 1));
/*  63 */     label_2_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  64 */     label_2_1.setText("提示：现阶段北方用户推荐选用“中国网通”，南方用户推荐选用“中国电信”。");
/*     */     
/*  66 */     Label label_3 = new Label(composite_1, 0);
/*  67 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/*  68 */     label_3.setFont(SWTResourceManager.getFont("楷体_GB2312", 16, 1));
/*  69 */     label_3.setText("请选择网络环境：");
/*     */     
/*  71 */     final Button button_3 = new Button(composite_1, 16);
/*  72 */     button_3.setBackground(Display.getCurrent().getSystemColor(1));
/*  73 */     button_3.setText("中国网通");
/*  74 */     if (network.equals("china netcom")) {
/*  75 */       button_3.setSelection(true);
/*     */     }
/*     */     
/*  78 */     Label label_1_2 = new Label(composite_1, 0);
/*  79 */     label_1_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  80 */     label_1_2.setText("   ");
/*     */     
/*  82 */     final Button button_4 = new Button(composite_1, 16);
/*  83 */     button_4.setBackground(Display.getCurrent().getSystemColor(1));
/*  84 */     button_4.setText("中国电信");
/*  85 */     if (network.equals("china telecom")) {
/*  86 */       button_4.setSelection(true);
/*     */     }
/*     */     
/*  89 */     Label label_1_3 = new Label(composite_1, 0);
/*  90 */     label_1_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  91 */     label_1_3.setText("   ");
/*     */     
/*  93 */     Button button_2_1 = new Button(composite_1, 8388608);
/*  94 */     button_2_1.setLayoutData(new GridData());
/*  95 */     button_2_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  96 */     button_2_1.setText("确  定");
/*     */     
/*  98 */     final Label label = new Label(composite_1, 0);
/*  99 */     label.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 100 */     label.setFont(SWTResourceManager.getFont("", 14, 2));
/* 101 */     label.setLayoutData(new GridData(4, 16777216, false, false, 5, 1));
/* 102 */     label.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*     */     
/* 104 */     Label label_1 = new Label(composite_1, 0);
/* 105 */     label_1.setLayoutData(new GridData(-1, 30));
/* 106 */     label_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 107 */     label_1.setText(" ");
/*     */ 
/*     */     
/* 110 */     button_2_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 112 */             String str = "";
/* 113 */             if (button_3.getSelection()) {
/* 114 */               str = "china netcom";
/*     */             }
/* 116 */             if (button_4.getSelection()) {
/* 117 */               str = "china telecom";
/*     */             }
/* 119 */             xt.modifyNetworkSelect(str);
/* 120 */             label.setText("修改成功！");
/*     */           }
/*     */         });
/*     */     
/* 124 */     composite.setSize(710, 635);
/* 125 */     scrolledComposite.setContent((Control)composite);
/*     */     
/* 127 */     createActions();
/* 128 */     initializeToolBar();
/* 129 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 143 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 144 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 151 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 152 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\networkselect\NetworkSelectView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */