/*     */ package cs.sydj.sysmanage.processmanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.process.SysProcess;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysProcessDefineView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.pinreset.SysProcessDefineView";
/*  34 */   private final GljgUserInfo user = GljgUserInfo.getInstance();
/*  35 */   private final SysProcessController suPRController = new SysProcessController();
/*     */   
/*  37 */   private Shell shell = null;
/*  38 */   private Composite comp = null;
/*     */   private Text text_ins_approve;
/*     */   private Text text_ins_notice;
/*     */   private Text text_ins_audit;
/*     */   private Text text_ins_accept;
/*     */   private Text text_bg_accept;
/*     */   private Text text_bg_audit;
/*     */   private Text text_bg_approve;
/*     */   private Text text_bg_notice;
/*     */   private Text text_logout_accept;
/*     */   private Text text_reins_accept;
/*     */   private Text text_cert_accept;
/*     */   private Text text_reins_audit;
/*     */   private Text text_cert_audit;
/*     */   private Text text_logout_audit;
/*     */   private Text text_logout_approve;
/*     */   private Text text_cert_approve;
/*     */   private Text text_reins_approve;
/*     */   private Text text_logout_notice;
/*     */   private Text text_cert_notice;
/*     */   private Text text_reins_notice;
/*     */   private Text text_hour;
/*     */   private Text text_min;
/*     */   private Text text_annual_date;
/*     */   private Button bnButtonN;
/*     */   private Button button_annualSublevel;
/*     */   private Button button_autoAnnual;
/*  65 */   private String sublevelNotice = "本级";
/*     */   
/*     */   private Button btnResetButton;
/*     */   
/*     */   private boolean isJdyj = false;
/*  70 */   private String ctrlTag = "关闭";
/*  71 */   private final OtherHandle oh = new OtherHandle();
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  75 */     this.comp = arg0;
/*  76 */     this.shell = arg0.getShell();
/*  77 */     arg0.setBackgroundMode(1);
/*  78 */     arg0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  79 */     GridLayout gl_arg0 = new GridLayout();
/*  80 */     gl_arg0.marginHeight = 20;
/*  81 */     gl_arg0.numColumns = 3;
/*  82 */     arg0.setLayout((Layout)gl_arg0);
/*     */     
/*  84 */     Label label_kongbai1 = new Label(arg0, 0);
/*  85 */     label_kongbai1.setLayoutData(new GridData(16384, 16777216, true, false));
/*  86 */     label_kongbai1.setText(" ");
/*     */     
/*  88 */     final Composite composite = new Composite(arg0, 0);
/*  89 */     composite
/*  90 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  91 */     GridLayout gridLayout_1 = new GridLayout();
/*  92 */     gridLayout_1.horizontalSpacing = 0;
/*  93 */     gridLayout_1.verticalSpacing = 6;
/*  94 */     gridLayout_1.numColumns = 8;
/*  95 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/*  97 */     Label lblNewLabel = new Label(composite, 0);
/*  98 */     lblNewLabel.setBackground(SWTResourceManager.getColor(197, 228, 255));
/*  99 */     lblNewLabel.setLayoutData(new GridData(16777216, 16777216, false, false, 8, 1));
/* 100 */     lblNewLabel.setText("流程时限管理");
/*     */     
/* 102 */     Label label_28 = new Label(composite, 258);
/* 103 */     GridData gd_label_h1 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 104 */     gd_label_h1.widthHint = 550;
/* 105 */     label_28.setLayoutData(gd_label_h1);
/*     */     
/* 107 */     Label label_4 = new Label(composite, 0);
/* 108 */     label_4.setText("设立登记");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 117 */     Label label = new Label(composite, 0);
/* 118 */     label.setLayoutData(new GridData(131072, 16777216, false, false));
/* 119 */     label.setText("受理");
/*     */     
/* 121 */     this.text_ins_accept = new Text(composite, 2048);
/* 122 */     this.text_ins_accept.setTextLimit(2);
/* 123 */     GridData gd_text_ins_accept = new GridData(16384, 16777216, false, false);
/* 124 */     gd_text_ins_accept.widthHint = 60;
/* 125 */     this.text_ins_accept.setLayoutData(gd_text_ins_accept);
/*     */     
/* 127 */     Label label_1 = new Label(composite, 0);
/* 128 */     label_1.setLayoutData(new GridData(131072, 16777216, false, false));
/* 129 */     label_1.setText("审核");
/*     */     
/* 131 */     this.text_ins_audit = new Text(composite, 2048);
/* 132 */     this.text_ins_audit.setTextLimit(2);
/* 133 */     GridData gd_text_ins_audit = new GridData(16384, 16777216, false, false);
/* 134 */     gd_text_ins_audit.widthHint = 60;
/* 135 */     this.text_ins_audit.setLayoutData(gd_text_ins_audit);
/*     */     
/* 137 */     Label label_2 = new Label(composite, 0);
/* 138 */     label_2.setLayoutData(new GridData(131072, 16777216, false, false));
/* 139 */     label_2.setText("核准");
/*     */     
/* 141 */     this.text_ins_approve = new Text(composite, 2048);
/* 142 */     this.text_ins_approve.setTextLimit(2);
/* 143 */     GridData gd_text_ins_approve = new GridData(16384, 16777216, false, false);
/* 144 */     gd_text_ins_approve.widthHint = 60;
/* 145 */     this.text_ins_approve.setLayoutData(gd_text_ins_approve);
/*     */     
/* 147 */     Label label_3 = new Label(composite, 0);
/* 148 */     label_3.setLayoutData(new GridData(131072, 16777216, false, false));
/* 149 */     label_3.setText("通知");
/*     */     
/* 151 */     this.text_ins_notice = new Text(composite, 2048);
/* 152 */     this.text_ins_notice.setTextLimit(2);
/* 153 */     GridData gd_text_ins_notice = new GridData(16384, 16777216, false, false);
/* 154 */     gd_text_ins_notice.widthHint = 60;
/* 155 */     this.text_ins_notice.setLayoutData(gd_text_ins_notice);
/*     */     
/* 157 */     Label label_7 = new Label(composite, 258);
/* 158 */     GridData gd_label_h2 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 159 */     gd_label_h2.widthHint = 550;
/* 160 */     label_7.setLayoutData(gd_label_h2);
/*     */     
/* 162 */     Label label_5 = new Label(composite, 0);
/* 163 */     label_5.setText("变更登记");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 172 */     Label label_6 = new Label(composite, 0);
/* 173 */     label_6.setLayoutData(new GridData(131072, 16777216, false, false));
/* 174 */     label_6.setText("受理");
/*     */     
/* 176 */     this.text_bg_accept = new Text(composite, 2048);
/* 177 */     this.text_bg_accept.setTextLimit(2);
/* 178 */     GridData gd_text_bg_accept = new GridData(16384, 16777216, false, false);
/* 179 */     gd_text_bg_accept.widthHint = 60;
/* 180 */     this.text_bg_accept.setLayoutData(gd_text_bg_accept);
/*     */     
/* 182 */     Label label_15 = new Label(composite, 0);
/* 183 */     label_15.setText("审核");
/* 184 */     label_15.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 186 */     this.text_bg_audit = new Text(composite, 2048);
/* 187 */     this.text_bg_audit.setTextLimit(2);
/* 188 */     GridData gd_text_bg_audit = new GridData(16384, 16777216, false, false);
/* 189 */     gd_text_bg_audit.widthHint = 60;
/* 190 */     this.text_bg_audit.setLayoutData(gd_text_bg_audit);
/*     */     
/* 192 */     Label label_19 = new Label(composite, 0);
/* 193 */     label_19.setText("核准");
/* 194 */     label_19.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 196 */     this.text_bg_approve = new Text(composite, 2048);
/* 197 */     this.text_bg_approve.setTextLimit(2);
/* 198 */     GridData gd_text_bg_approve = new GridData(16384, 16777216, false, false);
/* 199 */     gd_text_bg_approve.widthHint = 60;
/* 200 */     this.text_bg_approve.setLayoutData(gd_text_bg_approve);
/*     */     
/* 202 */     Label label_23 = new Label(composite, 0);
/* 203 */     label_23.setText("通知");
/* 204 */     label_23.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 206 */     this.text_bg_notice = new Text(composite, 2048);
/* 207 */     this.text_bg_notice.setTextLimit(2);
/* 208 */     GridData gd_text_bg_notice = new GridData(16777216, 16777216, false, false);
/* 209 */     gd_text_bg_notice.widthHint = 60;
/* 210 */     this.text_bg_notice.setLayoutData(gd_text_bg_notice);
/*     */     
/* 212 */     Label label_8 = new Label(composite, 258);
/* 213 */     GridData gd_label_h3 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 214 */     gd_label_h3.widthHint = 550;
/* 215 */     label_8.setLayoutData(gd_label_h3);
/*     */     
/* 217 */     Label label_9 = new Label(composite, 0);
/* 218 */     label_9.setText("注销登记");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 227 */     Label label_12 = new Label(composite, 0);
/* 228 */     label_12.setText("受理");
/* 229 */     label_12.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 231 */     this.text_logout_accept = new Text(composite, 2048);
/* 232 */     this.text_logout_accept.setTextLimit(2);
/* 233 */     GridData gd_text_logout_accept = new GridData(16384, 16777216, false, false);
/* 234 */     gd_text_logout_accept.widthHint = 60;
/* 235 */     this.text_logout_accept.setLayoutData(gd_text_logout_accept);
/*     */     
/* 237 */     Label label_16 = new Label(composite, 0);
/* 238 */     label_16.setText("审核");
/* 239 */     label_16.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 241 */     this.text_logout_audit = new Text(composite, 2048);
/* 242 */     this.text_logout_audit.setTextLimit(2);
/* 243 */     GridData gd_text_logout_audit = new GridData(16384, 16777216, false, false);
/* 244 */     gd_text_logout_audit.widthHint = 60;
/* 245 */     this.text_logout_audit.setLayoutData(gd_text_logout_audit);
/*     */     
/* 247 */     Label label_20 = new Label(composite, 0);
/* 248 */     label_20.setText("核准");
/* 249 */     label_20.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 251 */     this.text_logout_approve = new Text(composite, 2048);
/* 252 */     this.text_logout_approve.setTextLimit(2);
/* 253 */     GridData gd_text_logout_approve = new GridData(16384, 16777216, false, false);
/* 254 */     gd_text_logout_approve.widthHint = 60;
/* 255 */     this.text_logout_approve.setLayoutData(gd_text_logout_approve);
/*     */     
/* 257 */     Label label_24 = new Label(composite, 0);
/* 258 */     label_24.setText("通知");
/* 259 */     label_24.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 261 */     this.text_logout_notice = new Text(composite, 2048);
/* 262 */     this.text_logout_notice.setTextLimit(2);
/* 263 */     GridData gd_text_logout_notice = new GridData(16384, 16777216, false, false);
/* 264 */     gd_text_logout_notice.widthHint = 60;
/* 265 */     this.text_logout_notice.setLayoutData(gd_text_logout_notice);
/*     */     
/* 267 */     Label label_29 = new Label(composite, 258);
/* 268 */     GridData gd_label_h4 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 269 */     gd_label_h4.widthHint = 550;
/* 270 */     label_29.setLayoutData(gd_label_h4);
/*     */     
/* 272 */     Label label_10 = new Label(composite, 0);
/*     */     
/* 274 */     label_10.setText("证书补领");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 283 */     Label label_13 = new Label(composite, 0);
/* 284 */     label_13.setText("受理");
/* 285 */     label_13.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 287 */     this.text_cert_accept = new Text(composite, 2048);
/* 288 */     this.text_cert_accept.setTextLimit(2);
/* 289 */     GridData gd_text_cert_accept = new GridData(16384, 16777216, false, false);
/* 290 */     gd_text_cert_accept.widthHint = 60;
/* 291 */     this.text_cert_accept.setLayoutData(gd_text_cert_accept);
/*     */     
/* 293 */     Label label_17 = new Label(composite, 0);
/* 294 */     label_17.setText("审核");
/* 295 */     label_17.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 297 */     this.text_cert_audit = new Text(composite, 2048);
/* 298 */     this.text_cert_audit.setTextLimit(2);
/* 299 */     GridData gd_text_cert_audit = new GridData(16384, 16777216, false, false);
/* 300 */     gd_text_cert_audit.widthHint = 60;
/* 301 */     this.text_cert_audit.setLayoutData(gd_text_cert_audit);
/*     */     
/* 303 */     Label label_21 = new Label(composite, 0);
/* 304 */     label_21.setText("核准");
/* 305 */     label_21.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 307 */     this.text_cert_approve = new Text(composite, 2048);
/* 308 */     this.text_cert_approve.setTextLimit(2);
/* 309 */     GridData gd_text_cert_approve = new GridData(16384, 16777216, false, false);
/* 310 */     gd_text_cert_approve.widthHint = 60;
/* 311 */     this.text_cert_approve.setLayoutData(gd_text_cert_approve);
/*     */     
/* 313 */     Label label_25 = new Label(composite, 0);
/* 314 */     label_25.setText("通知");
/* 315 */     label_25.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 317 */     this.text_cert_notice = new Text(composite, 2048);
/* 318 */     this.text_cert_notice.setTextLimit(2);
/* 319 */     GridData gd_text_cert_notice = new GridData(16384, 16777216, false, false);
/* 320 */     gd_text_cert_notice.widthHint = 60;
/* 321 */     this.text_cert_notice.setLayoutData(gd_text_cert_notice);
/*     */     
/* 323 */     Label label_27 = new Label(composite, 258);
/* 324 */     GridData gd_label_h5 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 325 */     gd_label_h5.widthHint = 550;
/* 326 */     label_27.setLayoutData(gd_label_h5);
/*     */     
/* 328 */     Label label_11 = new Label(composite, 0);
/* 329 */     label_11.setText("重新申领");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 338 */     Label label_14 = new Label(composite, 0);
/* 339 */     label_14.setText("受理");
/* 340 */     label_14.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 342 */     this.text_reins_accept = new Text(composite, 2048);
/* 343 */     this.text_reins_accept.setTextLimit(2);
/* 344 */     GridData gd_text_reins_accept = new GridData(16384, 16777216, false, false);
/* 345 */     gd_text_reins_accept.widthHint = 60;
/* 346 */     this.text_reins_accept.setLayoutData(gd_text_reins_accept);
/*     */     
/* 348 */     Label label_18 = new Label(composite, 0);
/* 349 */     label_18.setText("审核");
/*     */     
/* 351 */     this.text_reins_audit = new Text(composite, 2048);
/* 352 */     this.text_reins_audit.setTextLimit(2);
/* 353 */     GridData gd_text_reins_audit = new GridData(16384, 16777216, false, false);
/* 354 */     gd_text_reins_audit.widthHint = 60;
/* 355 */     this.text_reins_audit.setLayoutData(gd_text_reins_audit);
/*     */     
/* 357 */     Label label_22 = new Label(composite, 0);
/* 358 */     label_22.setText("核准");
/*     */     
/* 360 */     this.text_reins_approve = new Text(composite, 2048);
/* 361 */     this.text_reins_approve.setTextLimit(2);
/* 362 */     GridData gd_text_reins_approve = new GridData(16384, 16777216, false, false);
/* 363 */     gd_text_reins_approve.widthHint = 60;
/* 364 */     this.text_reins_approve.setLayoutData(gd_text_reins_approve);
/*     */     
/* 366 */     Label label_26 = new Label(composite, 0);
/* 367 */     label_26.setText("通知");
/*     */     
/* 369 */     this.text_reins_notice = new Text(composite, 2048);
/* 370 */     this.text_reins_notice.setTextLimit(2);
/* 371 */     GridData gd_text_reins_notice = new GridData(16384, 16777216, false, false);
/* 372 */     gd_text_reins_notice.widthHint = 60;
/* 373 */     this.text_reins_notice.setLayoutData(gd_text_reins_notice);
/*     */     
/* 375 */     Label label_271 = new Label(composite, 258);
/* 376 */     GridData gd_label_h51 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 377 */     gd_label_h51.widthHint = 550;
/* 378 */     label_271.setLayoutData(gd_label_h51);
/*     */     
/* 380 */     Label label_111 = new Label(composite, 0);
/* 381 */     label_111.setText("工作截止时间");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 390 */     Label label_141 = new Label(composite, 0);
/* 391 */     label_141.setText("小时");
/* 392 */     label_141.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 394 */     this.text_hour = new Text(composite, 2048);
/* 395 */     this.text_hour.setTextLimit(2);
/* 396 */     this.text_hour.setText("16");
/* 397 */     GridData gd_text_hour = new GridData(16384, 16777216, false, false);
/* 398 */     gd_text_hour.widthHint = 60;
/* 399 */     this.text_hour.setLayoutData(gd_text_hour);
/*     */     
/* 401 */     Label label_181 = new Label(composite, 0);
/* 402 */     label_181.setText("分钟");
/*     */     
/* 404 */     this.text_min = new Text(composite, 2048);
/* 405 */     this.text_min.setTextLimit(2);
/* 406 */     this.text_min.setText("30");
/* 407 */     GridData gd_text_min = new GridData(16384, 16777216, false, false);
/* 408 */     gd_text_min.widthHint = 60;
/* 409 */     this.text_min.setLayoutData(gd_text_min);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 416 */     Label label_271_1 = new Label(composite, 258);
/* 417 */     GridData gd_label_h51_1 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 418 */     gd_label_h51_1.widthHint = 550;
/* 419 */     label_271_1.setLayoutData(gd_label_h51_1);
/*     */     
/* 421 */     Label label_111_1 = new Label(composite, 0);
/* 422 */     label_111_1.setText("年度报告自助修改截止日期");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 431 */     Label label_141_1 = new Label(composite, 0);
/* 432 */     label_141_1.setText("日期");
/* 433 */     label_141_1.setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 435 */     this.text_annual_date = new Text(composite, 2056);
/* 436 */     this.text_annual_date.setBackground(Display.getCurrent()
/* 437 */         .getSystemColor(1));
/* 438 */     this.text_annual_date.setTextLimit(10);
/* 439 */     this.text_annual_date.setText(String.valueOf(PublicUtil.getNowYear()) + "-03-31");
/* 440 */     this.text_annual_date.setBounds(135, 55, 80, 17);
/* 441 */     GridData gd_text_annual_date = new GridData(16384, 16777216, false, false, 2, 1);
/* 442 */     gd_text_annual_date.widthHint = 135;
/* 443 */     this.text_annual_date.setLayoutData(gd_text_annual_date);
/*     */     
/* 445 */     this.bnButtonN = new Button(composite, 0);
/* 446 */     this.bnButtonN.setBounds(100, 50, 48, 22);
/* 447 */     this.bnButtonN.setText("日历");
/*     */     
/* 449 */     this.button_annualSublevel = new Button(composite, 32);
/* 450 */     this.button_annualSublevel.setText("仅本级");
/* 451 */     this.button_annualSublevel.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 452 */     this.button_annualSublevel.setFont(SWTResourceManager.getFont("", 9, 0));
/* 453 */     this.button_annualSublevel.setLayoutData(gd_text_annual_date);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 460 */     Label label_271_2 = new Label(composite, 258);
/* 461 */     GridData gd_label_h51_2 = new GridData(16777216, 16777216, false, false, 8, 1);
/* 462 */     gd_label_h51_2.widthHint = 550;
/* 463 */     label_271_2.setLayoutData(gd_label_h51_2);
/*     */     
/* 465 */     Label label_111_2 = new Label(composite, 0);
/* 466 */     label_111_2.setText("年度报告自动公示");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 479 */     this.button_autoAnnual = new Button(composite, 32);
/* 480 */     this.button_autoAnnual.setText("自动公示");
/* 481 */     this.button_autoAnnual.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 482 */     this.button_autoAnnual.setFont(SWTResourceManager.getFont("", 9, 0));
/* 483 */     this.button_autoAnnual.setLayoutData(gd_text_annual_date);
/*     */ 
/*     */ 
/*     */     
/* 487 */     if (!this.oh.checkYjgs()) {
/* 488 */       label_271_2.setVisible(false);
/* 489 */       label_111_2.setVisible(false);
/* 490 */       this.button_autoAnnual.setVisible(false);
/*     */     } 
/*     */ 
/*     */     
/* 494 */     GridData gd_label_meihua = new GridData(16777216, 16777216, false, false);
/* 495 */     gd_label_meihua.widthHint = 120;
/*     */ 
/*     */     
/* 498 */     Label text1 = new Label(composite, 0);
/* 499 */     text1.setLayoutData(gd_label_meihua);
/*     */     
/* 501 */     Label text2 = new Label(composite, 0);
/* 502 */     text2.setLayoutData(gd_label_meihua);
/*     */     
/* 504 */     Label text3 = new Label(composite, 0);
/* 505 */     text3.setLayoutData(gd_label_meihua);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 512 */     Button btnSubmitButton = new Button(composite, 0);
/* 513 */     btnSubmitButton.setLayoutData(new GridData(16384, 16777216, false, false, 1, 1));
/* 514 */     btnSubmitButton.setText("确  定");
/*     */ 
/*     */ 
/*     */     
/* 518 */     String btnCtrl = "";
/* 519 */     this.isJdyj = this.oh.checkJdyj();
/* 520 */     btnCtrl = ctrlJdyj();
/* 521 */     this.btnResetButton = new Button(composite, 0);
/* 522 */     this.btnResetButton.setText(btnCtrl);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 527 */     Label label_konbai2 = new Label(arg0, 0);
/* 528 */     label_konbai2.setLayoutData(new GridData(16384, 16777216, true, false));
/* 529 */     label_konbai2.setText(" ");
/*     */     
/* 531 */     initUI();
/* 532 */     getData();
/*     */     
/* 534 */     this.bnButtonN.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 537 */             CalendarDialog cal = new CalendarDialog(SysProcessDefineView.this.comp.getShell(), 
/* 538 */                 SysProcessDefineView.this.text_annual_date, new Point(
/* 539 */                   (SysProcessDefineView.this.comp.getShell().getLocation()).x + 
/* 540 */                   (int)(
/* 541 */                   (SysProcessDefineView.this.comp.getShell().getBounds()).width * 0.2D) + 5 + 
/* 542 */                   (composite.getLocation()).x + 
/* 543 */                   (SysProcessDefineView.this.text_annual_date.getBounds()).x, 
/* 544 */                   (SysProcessDefineView.this.comp.getShell().getLocation()).y + 
/* 545 */                   172 + 
/* 546 */                   (SysProcessDefineView.this.comp.getLocation()).y + 
/* 547 */                   (composite.getLocation()).y + 
/* 548 */                   (SysProcessDefineView.this.text_annual_date.getBounds()).y + 
/* 549 */                   (SysProcessDefineView.this.text_annual_date.getBounds()).height));
/* 550 */             cal.open();
/*     */           }
/*     */         });
/*     */     
/* 554 */     btnSubmitButton.addSelectionListener((SelectionListener)new SelectionAdapter() { public void widgetSelected(SelectionEvent e) {
/*     */             MessageBox mbox;
/* 556 */             if (SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_ins_accept, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_ins_audit, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_ins_approve, "限时不能为空，请输入！") || 
/* 557 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_ins_notice, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_bg_accept, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_bg_audit, "限时不能为空，请输入！") || 
/* 558 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_bg_approve, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_bg_notice, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_logout_accept, "限时不能为空，请输入！") || 
/* 559 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_logout_audit, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_logout_approve, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_logout_notice, "限时不能为空，请输入！") || 
/* 560 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_cert_accept, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_cert_audit, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_cert_approve, "限时不能为空，请输入！") || 
/* 561 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_cert_notice, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_reins_accept, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_reins_audit, "限时不能为空，请输入！") || 
/* 562 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_reins_approve, "限时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_reins_notice, "限时不能为空，请输入！") || 
/* 563 */               SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_hour, "小时不能为空，请输入！") || SysProcessDefineView.this.isInputNull(SysProcessDefineView.this.text_min, "分钟不能为空，请输入！")) {
/*     */               return;
/*     */             }
/*     */             
/* 567 */             if (!SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_ins_accept) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_ins_audit) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_ins_approve) || 
/* 568 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_ins_notice) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_bg_accept) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_bg_audit) || 
/* 569 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_bg_approve) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_bg_notice) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_logout_accept) || 
/* 570 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_logout_audit) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_logout_approve) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_logout_notice) || 
/* 571 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_cert_accept) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_cert_audit) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_cert_approve) || 
/* 572 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_cert_notice) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_reins_accept) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_reins_audit) || 
/* 573 */               !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_reins_approve) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_reins_notice) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_hour) || !SysProcessDefineView.this.isNum(SysProcessDefineView.this.text_min)) {
/*     */               return;
/*     */             }
/*     */             
/* 577 */             SysProcess sp = new SysProcess();
/* 578 */             sp.setDistrictCode(SysProcessDefineView.this.user.getDistrictcode());
/* 579 */             sp.setGroupId(SysProcessDefineView.this.user.getGroupid());
/* 580 */             sp.setUserName(SysProcessDefineView.this.user.getRealname());
/* 581 */             sp.setInsAccept(SysProcessDefineView.this.text_ins_accept.getText().trim());
/* 582 */             sp.setInsAudit(SysProcessDefineView.this.text_ins_audit.getText().trim());
/* 583 */             sp.setInsApprove(SysProcessDefineView.this.text_ins_approve.getText().trim());
/* 584 */             sp.setInsNotice(SysProcessDefineView.this.text_ins_notice.getText().trim());
/* 585 */             sp.setBgAccept(SysProcessDefineView.this.text_bg_accept.getText().trim());
/* 586 */             sp.setBgAudit(SysProcessDefineView.this.text_bg_audit.getText().trim());
/* 587 */             sp.setBgApprove(SysProcessDefineView.this.text_bg_approve.getText().trim());
/* 588 */             sp.setBgNotice(SysProcessDefineView.this.text_bg_notice.getText().trim());
/* 589 */             sp.setLogoutAccept(SysProcessDefineView.this.text_logout_accept.getText().trim());
/* 590 */             sp.setLogoutAudit(SysProcessDefineView.this.text_logout_audit.getText().trim());
/* 591 */             sp.setLogoutApprove(SysProcessDefineView.this.text_logout_approve.getText().trim());
/* 592 */             sp.setLogoutNotice(SysProcessDefineView.this.text_logout_notice.getText().trim());
/* 593 */             sp.setCertAccept(SysProcessDefineView.this.text_cert_accept.getText().trim());
/* 594 */             sp.setCertAudit(SysProcessDefineView.this.text_cert_audit.getText().trim());
/* 595 */             sp.setCertApprove(SysProcessDefineView.this.text_cert_approve.getText().trim());
/* 596 */             sp.setCertNotice(SysProcessDefineView.this.text_cert_notice.getText().trim());
/* 597 */             sp.setReinsAccept(SysProcessDefineView.this.text_reins_accept.getText().trim());
/* 598 */             sp.setReinsAudit(SysProcessDefineView.this.text_reins_audit.getText().trim());
/* 599 */             sp.setReinsApprove(SysProcessDefineView.this.text_reins_approve.getText().trim());
/* 600 */             sp.setReinsNotice(SysProcessDefineView.this.text_reins_notice.getText().trim());
/* 601 */             sp.setHourEnd(SysProcessDefineView.this.text_hour.getText().trim());
/* 602 */             sp.setMinuteEnd(SysProcessDefineView.this.text_min.getText().trim());
/* 603 */             sp.setAnnualDate(SysProcessDefineView.this.text_annual_date.getText().trim());
/* 604 */             sp.setAnnualSublevel(SysProcessDefineView.this.button_annualSublevel.getSelection() ? "1" : "0");
/* 605 */             sp.setAutoAnnual(SysProcessDefineView.this.button_autoAnnual.getSelection() ? "1" : "0");
/*     */             
/* 607 */             int r = SysProcessDefineView.this.suPRController.updateProcess(sp);
/*     */             
/* 609 */             switch (r) {
/*     */               case 0:
/* 611 */                 mbox = new MessageBox(SysProcessDefineView.this.shell, 
/* 612 */                     34);
/* 613 */                 mbox.setMessage("添加成功！");
/* 614 */                 mbox.setText("信息提示");
/* 615 */                 mbox.open();
/*     */                 return;
/*     */               case 2:
/* 618 */                 SysProcessDefineView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                 return;
/*     */               case 1:
/* 621 */                 mbox = new MessageBox(SysProcessDefineView.this.shell, 
/* 622 */                     34);
/* 623 */                 mbox.setMessage("修改成功！");
/* 624 */                 mbox.setText("信息提示");
/* 625 */                 mbox.open();
/*     */                 return;
/*     */             } 
/*     */             
/* 629 */             SysProcessDefineView.this.showInfoBox("未知错误，请与管理员联系！");
/*     */           } }
/*     */       );
/*     */ 
/*     */ 
/*     */     
/* 635 */     this.btnResetButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 637 */             int nRet = -1;
/*     */             try {
/* 639 */               SysProcessDefineView.this.btnResetButton.setEnabled(false);
/* 640 */               boolean flag = SydjMessageDialog.openConfirm(null, "提示", 
/* 641 */                   String.valueOf(SysProcessDefineView.this.ctrlTag) + "监督预警功能即将操作，确定吗？");
/* 642 */               if (flag) {
/* 643 */                 if ("关闭".equals(SysProcessDefineView.this.ctrlTag)) {
/* 644 */                   nRet = SysProcessDefineView.this.oh.oprtJdyjState("0");
/* 645 */                   if (nRet == 0) {
/* 646 */                     SysProcessDefineView.this.btnResetButton.setText("开启监督预警功能");
/* 647 */                     SysProcessDefineView.this.isJdyj = false;
/* 648 */                     SysProcessDefineView.this.ctrlJdyj();
/*     */                   } 
/* 650 */                 } else if ("开启".equals(SysProcessDefineView.this.ctrlTag)) {
/* 651 */                   nRet = SysProcessDefineView.this.oh.oprtJdyjState("1");
/* 652 */                   if (nRet == 0) {
/* 653 */                     SysProcessDefineView.this.btnResetButton.setText("关闭监督预警功能");
/* 654 */                     SysProcessDefineView.this.isJdyj = true;
/* 655 */                     SysProcessDefineView.this.ctrlJdyj();
/*     */                   } 
/*     */                 } 
/* 658 */                 if (nRet == 0) {
/* 659 */                   MessageBox mbox = new MessageBox(SysProcessDefineView.this.shell, 
/* 660 */                       34);
/* 661 */                   mbox.setMessage("操作成功！");
/* 662 */                   mbox.setText("信息提示");
/* 663 */                   mbox.open();
/*     */                 } else {
/* 665 */                   MessageBox mbox = new MessageBox(SysProcessDefineView.this.shell, 
/* 666 */                       34);
/* 667 */                   mbox.setMessage("修改成功！");
/* 668 */                   mbox.setText("信息提示");
/* 669 */                   mbox.open();
/*     */                 } 
/*     */               } 
/* 672 */             } catch (Exception ex) {
/* 673 */               ex.printStackTrace();
/*     */             } finally {
/* 675 */               SysProcessDefineView.this.btnResetButton.setEnabled(true);
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 680 */     this.button_annualSublevel.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 682 */             int nRet = -1;
/*     */             try {
/* 684 */               SysProcessDefineView.this.button_annualSublevel.setEnabled(false);
/* 685 */               String info = "您将统一设置" + SysProcessDefineView.this.sublevelNotice + "登记机关年度报告自助修改截止日期，确定吗？";
/* 686 */               if (!SysProcessDefineView.this.button_annualSublevel.getSelection()) {
/* 687 */                 info = "您将取消统一设置" + SysProcessDefineView.this.sublevelNotice + "登记机关年度报告自助修改截止日期，确定吗？";
/*     */               }
/* 689 */               boolean flag = SydjMessageDialog.openConfirm(null, "提示", info);
/* 690 */               if (!flag) {
/* 691 */                 SysProcessDefineView.this.button_annualSublevel.setSelection(!SysProcessDefineView.this.button_annualSublevel.getSelection());
/*     */               }
/* 693 */             } catch (Exception ex) {
/* 694 */               ex.printStackTrace();
/*     */             } finally {
/* 696 */               SysProcessDefineView.this.button_annualSublevel.setEnabled(true);
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void getData() {
/* 704 */     SysProcess sp = this.suPRController.getProcessByDistrictCode(this.user.getDistrictcode());
/* 705 */     if (sp != null) {
/* 706 */       if (sp.getInsAccept() != null)
/* 707 */         this.text_ins_accept.setText(sp.getInsAccept()); 
/* 708 */       if (sp.getInsAudit() != null)
/* 709 */         this.text_ins_audit.setText(sp.getInsAudit()); 
/* 710 */       if (sp.getInsApprove() != null)
/* 711 */         this.text_ins_approve.setText(sp.getInsApprove()); 
/* 712 */       if (sp.getInsNotice() != null)
/* 713 */         this.text_ins_notice.setText(sp.getInsNotice()); 
/* 714 */       if (sp.getBgAccept() != null)
/* 715 */         this.text_bg_accept.setText(sp.getBgAccept()); 
/* 716 */       if (sp.getBgAudit() != null)
/* 717 */         this.text_bg_audit.setText(sp.getBgAudit()); 
/* 718 */       if (sp.getBgApprove() != null)
/* 719 */         this.text_bg_approve.setText(sp.getBgApprove()); 
/* 720 */       if (sp.getBgNotice() != null)
/* 721 */         this.text_bg_notice.setText(sp.getBgNotice()); 
/* 722 */       if (sp.getLogoutAccept() != null)
/* 723 */         this.text_logout_accept.setText(sp.getLogoutAccept()); 
/* 724 */       if (sp.getLogoutAudit() != null)
/* 725 */         this.text_logout_audit.setText(sp.getLogoutAudit()); 
/* 726 */       if (sp.getLogoutApprove() != null)
/* 727 */         this.text_logout_approve.setText(sp.getLogoutApprove()); 
/* 728 */       if (sp.getLogoutNotice() != null)
/* 729 */         this.text_logout_notice.setText(sp.getLogoutNotice()); 
/* 730 */       if (sp.getCertAccept() != null)
/* 731 */         this.text_cert_accept.setText(sp.getCertAccept()); 
/* 732 */       if (sp.getCertAudit() != null)
/* 733 */         this.text_cert_audit.setText(sp.getCertAudit()); 
/* 734 */       if (sp.getLogoutApprove() != null)
/* 735 */         this.text_cert_approve.setText(sp.getLogoutApprove()); 
/* 736 */       if (sp.getCertNotice() != null)
/* 737 */         this.text_cert_notice.setText(sp.getCertNotice()); 
/* 738 */       if (sp.getReinsAccept() != null)
/* 739 */         this.text_reins_accept.setText(sp.getReinsAccept()); 
/* 740 */       if (sp.getReinsAudit() != null)
/* 741 */         this.text_reins_audit.setText(sp.getReinsAudit()); 
/* 742 */       if (sp.getReinsApprove() != null)
/* 743 */         this.text_reins_approve.setText(sp.getReinsApprove()); 
/* 744 */       if (sp.getReinsNotice() != null)
/* 745 */         this.text_reins_notice.setText(sp.getReinsNotice()); 
/* 746 */       if (sp.getHourEnd() != null)
/* 747 */         this.text_hour.setText(sp.getHourEnd()); 
/* 748 */       if (sp.getMinuteEnd() != null)
/* 749 */         this.text_min.setText(sp.getMinuteEnd()); 
/* 750 */       if (sp.getAnnualDate() != null)
/* 751 */         this.text_annual_date.setText(sp.getAnnualDate()); 
/* 752 */       if ("1".equals(sp.getAnnualSublevel()))
/* 753 */         this.button_annualSublevel.setSelection(true); 
/* 754 */       if ("1".equals(sp.getAutoAnnual()))
/* 755 */         this.button_autoAnnual.setSelection(true); 
/* 756 */       if ("0".equals(sp.getAnnualOpen())) {
/* 757 */         this.text_annual_date.setEnabled(false);
/* 758 */         this.bnButtonN.setEnabled(false);
/* 759 */         this.bnButtonN.setText("被上级锁定");
/* 760 */         this.button_annualSublevel.setEnabled(false);
/*     */       } 
/* 762 */       if ("0".equals(sp.getSubLevelNum())) {
/* 763 */         this.button_annualSublevel.setEnabled(false);
/*     */       } else {
/* 765 */         String districtCode = sp.getDistrictCode();
/* 766 */         if (districtCode != null && districtCode.equals("100000")) {
/* 767 */           this.sublevelNotice = "全国";
/* 768 */         } else if (districtCode != null && districtCode.indexOf("0000") != -1) {
/* 769 */           this.sublevelNotice = "全省";
/* 770 */         } else if (districtCode != null && districtCode.indexOf("00") != -1) {
/* 771 */           this.sublevelNotice = "全市";
/*     */         } 
/* 773 */         this.button_annualSublevel.setText("包括" + this.sublevelNotice);
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 779 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 788 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 789 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isInputNull(Text text, String info) {
/* 793 */     if (text.getText() == null || text.getText().trim().length() <= 0) {
/* 794 */       text.setText(text.getText().trim());
/* 795 */       MessageBox mbox = new MessageBox(this.shell, 40);
/* 796 */       mbox.setMessage(info);
/* 797 */       mbox.setText("错误提示");
/* 798 */       mbox.open();
/* 799 */       text.setFocus();
/* 800 */       return true;
/*     */     } 
/* 802 */     return false;
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(Text text, String info) {
/* 807 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 808 */     mbox.setMessage(info);
/* 809 */     mbox.setText("错误提示");
/* 810 */     mbox.open();
/* 811 */     text.setFocus();
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 815 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 816 */     mbox.setMessage(info);
/* 817 */     mbox.setText("错误提示");
/* 818 */     mbox.open();
/*     */   }
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 822 */     text.setText(text.getText().trim());
/* 823 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 824 */     mbox.setMessage(info);
/* 825 */     mbox.setText("错误提示");
/* 826 */     mbox.open();
/* 827 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text) {
/* 832 */     text.setText(text.getText().trim());
/*     */     
/* 834 */     if (!text.getText().trim().matches("^[\\d]+$")) {
/* 835 */       text.setText(text.getText().trim());
/* 836 */       showInputErr(text, "请输入正整数!");
/* 837 */       return false;
/*     */     } 
/*     */     
/* 840 */     if (Integer.parseInt(text.getText().trim()) <= 0) {
/* 841 */       showInputErr(text, "请输入大于零的正整数!");
/* 842 */       return false;
/*     */     } 
/*     */     
/* 845 */     return true;
/*     */   }
/*     */   
/*     */   private String ctrlJdyj() {
/* 849 */     String btnCtrl = "";
/* 850 */     if (this.isJdyj) {
/* 851 */       this.ctrlTag = "关闭";
/* 852 */       btnCtrl = String.valueOf(this.ctrlTag) + "监督预警功能";
/*     */     } else {
/* 854 */       this.ctrlTag = "开启";
/* 855 */       btnCtrl = String.valueOf(this.ctrlTag) + "监督预警功能";
/*     */     } 
/* 857 */     return btnCtrl;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\processmanage\SysProcessDefineView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */