/*     */ package cs.sydj.sysmanage.urlmanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.other.GljgExtInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysPublishUrlView
/*     */   extends ViewPart
/*     */ {
/*     */   private Text text_query_website;
/*     */   private Text text_publish_url;
/*     */   public static final String ID = "cs.sydj.sysmanage.urlmanage.SysPublishUrlView";
/*  33 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  34 */   private SysPublishUrlController suPRController = new SysPublishUrlController(
/*  35 */       this.user);
/*     */   
/*  37 */   private Shell shell = null;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  41 */     this.shell = arg0.getShell();
/*  42 */     arg0.setBackgroundMode(1);
/*  43 */     GridLayout gridLayout = new GridLayout();
/*  44 */     gridLayout.marginTop = 20;
/*  45 */     gridLayout.numColumns = 3;
/*  46 */     arg0.setLayout((Layout)gridLayout);
/*  47 */     arg0
/*  48 */       .setBackground(Display.getCurrent().getSystemColor(
/*  49 */           1));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  55 */     Label label = new Label(arg0, 0);
/*  56 */     label.setLayoutData(new GridData(16777216, 16777216, true, false));
/*  57 */     label.setText("年度报告公示链接");
/*  58 */     label.setFont(SWTResourceManager.getFont("", 10, 1));
/*     */ 
/*     */     
/*  61 */     Label label_11 = new Label(arg0, 0);
/*  62 */     label_11.setLayoutData(new GridData(16384, 16777216, true, false));
/*  63 */     label_11.setText("");
/*     */     
/*  65 */     Composite composite = new Composite(arg0, 0);
/*  66 */     composite
/*  67 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  68 */     GridLayout gridLayout_1 = new GridLayout();
/*  69 */     gridLayout_1.horizontalSpacing = 0;
/*  70 */     gridLayout_1.verticalSpacing = 2;
/*  71 */     gridLayout_1.numColumns = 9;
/*  72 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/*  74 */     Label label_3 = new Label(composite, 0);
/*  75 */     label_3.setBackground(SWTResourceManager.getColor(197, 228, 255));
/*  76 */     label_3.setLayoutData(new GridData(4, 16777216, false, false, 
/*  77 */           9, 1));
/*  78 */     label_3.setText("修改本登记管理机关年度报告公示链接（ 适用于未使用事业单位在线网站群的登记管理机关）");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  84 */     Label label_6 = new Label(composite, 0);
/*  85 */     label_6
/*  86 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  87 */     label_6.setText("链接地址：");
/*     */     
/*  89 */     this.text_publish_url = new Text(composite, 2048);
/*  90 */     this.text_publish_url.setTextLimit(100);
/*  91 */     GridData gd_text_publish_url = new GridData(4, 16777216, 
/*  92 */         true, false, 4, 1);
/*  93 */     this.text_publish_url.setLayoutData(gd_text_publish_url);
/*     */     
/*  95 */     Composite composite_1 = new Composite(composite, 0);
/*  96 */     composite_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  97 */     composite_1.setLayoutData(new GridData(16777216, 16777216, false, 
/*  98 */           false, 9, 1));
/*  99 */     GridLayout gridLayout_2 = new GridLayout();
/* 100 */     gridLayout_2.marginTop = 10;
/* 101 */     gridLayout_2.verticalSpacing = 0;
/* 102 */     gridLayout_2.horizontalSpacing = 50;
/* 103 */     gridLayout_2.marginWidth = 0;
/* 104 */     gridLayout_2.marginHeight = 0;
/* 105 */     gridLayout_2.numColumns = 2;
/* 106 */     composite_1.setLayout((Layout)gridLayout_2);
/* 107 */     Button button_1 = new Button(composite_1, 8389632);
/* 108 */     GridData gd_button_1 = new GridData(16384, 1024, false, 
/* 109 */         false);
/* 110 */     gd_button_1.heightHint = 18;
/* 111 */     gd_button_1.widthHint = 100;
/* 112 */     button_1.setLayoutData(gd_button_1);
/* 113 */     button_1.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 114 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() { public void widgetSelected(SelectionEvent e) {
/*     */             MessageBox mbox;
/* 116 */             if (SysPublishUrlView.this.text_publish_url.getText() != null && SysPublishUrlView.this.text_publish_url.getText().length() > 0 && 
/* 117 */               !SysPublishUrlView.this.text_publish_url.getText().startsWith("http://") && !SysPublishUrlView.this.text_publish_url.getText().startsWith("https://")) {
/* 118 */               SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_publish_url, "链接地址必须以http://或者https://开始！");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 123 */             int r = SysPublishUrlView.this.suPRController.changeGljgExtInfo("publish_url", SysPublishUrlView.this.text_publish_url.getText());
/*     */             
/* 125 */             switch (r) {
/*     */               case -1:
/* 127 */                 SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_publish_url, "数据库出错，请与管理员联系！");
/*     */                 return;
/*     */               case -2:
/* 130 */                 SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_publish_url, "网络传输错误，请重试！");
/*     */                 return;
/*     */               case 1:
/* 133 */                 mbox = new MessageBox(SysPublishUrlView.this.shell, 
/* 134 */                     34);
/* 135 */                 mbox.setMessage("信息修改成功！");
/* 136 */                 mbox.setText("信息提示");
/* 137 */                 mbox.open();
/*     */                 return;
/*     */             } 
/* 140 */             SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_publish_url, "未知错误，请与管理员联系！");
/*     */           } }
/*     */       );
/*     */ 
/*     */ 
/*     */     
/* 146 */     button_1.setText("确定修改");
/* 147 */     Button button_4 = new Button(composite_1, 8389632);
/* 148 */     button_4.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 149 */     GridData gd_button_4 = new GridData(16384, 1024, false, 
/* 150 */         false);
/* 151 */     gd_button_4.heightHint = 18;
/* 152 */     gd_button_4.widthHint = 100;
/* 153 */     button_4.setLayoutData(gd_button_4);
/* 154 */     button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 156 */             SysPublishUrlView.this.text_publish_url.setText("");
/*     */           }
/*     */         });
/* 159 */     button_4.setText("重新输入");
/*     */     
/* 161 */     Label label_12 = new Label(arg0, 0);
/* 162 */     label_12.setLayoutData(new GridData(16384, 16777216, true, false));
/* 163 */     label_12.setText("");
/*     */ 
/*     */     
/* 166 */     Label label_14 = new Label(arg0, 0);
/* 167 */     label_14.setText("  ");
/* 168 */     label_14.setLayoutData(new GridData(16777216, 16777216, true, false));
/*     */ 
/*     */ 
/*     */     
/* 172 */     Label label_13 = new Label(arg0, 0);
/* 173 */     label_13.setText(" 事业单位查询链接 ");
/* 174 */     label_13.setFont(SWTResourceManager.getFont("", 10, 1));
/* 175 */     label_13.setLayoutData(new GridData(16777216, 16777216, true, false));
/*     */ 
/*     */ 
/*     */     
/* 179 */     Composite composite_2 = new Composite(arg0, 0);
/* 180 */     composite_2.setLayoutData(new GridData(4, 16777216, false, 
/* 181 */           false));
/* 182 */     GridLayout gridLayout_3 = new GridLayout();
/* 183 */     gridLayout_3.verticalSpacing = 2;
/* 184 */     gridLayout_3.numColumns = 9;
/* 185 */     gridLayout_3.horizontalSpacing = 0;
/* 186 */     composite_2.setLayout((Layout)gridLayout_3);
/*     */     
/* 188 */     Label label_3_1 = new Label(composite_2, 0);
/* 189 */     label_3_1.setLayoutData(new GridData(4, 16777216, false, 
/* 190 */           false, 9, 1));
/* 191 */     label_3_1.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 192 */     label_3_1.setText("修改本登记管理机关事业单位查询链接（ 适用于未使用事业单位在线网站群的登记管理机关）");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 199 */     Label label_6_1 = new Label(composite_2, 0);
/* 200 */     label_6_1.setLayoutData(new GridData(131072, 16777216, false, 
/* 201 */           false));
/* 202 */     label_6_1.setText("链接地址：");
/*     */     
/* 204 */     this.text_query_website = new Text(composite_2, 2048);
/* 205 */     this.text_query_website.setTextLimit(100);
/* 206 */     GridData gd_text_query_website = new GridData(4, 16777216, 
/* 207 */         true, false, 4, 1);
/* 208 */     this.text_query_website.setLayoutData(gd_text_query_website);
/* 209 */     this.text_query_website.setText("");
/*     */     
/* 211 */     Composite composite_1_1 = new Composite(composite_2, 0);
/* 212 */     composite_1_1.setLayoutData(new GridData(16777216, 16777216, false, 
/* 213 */           false, 9, 1));
/* 214 */     GridLayout gridLayout_4 = new GridLayout();
/* 215 */     gridLayout_4.verticalSpacing = 0;
/* 216 */     gridLayout_4.numColumns = 2;
/* 217 */     gridLayout_4.marginWidth = 0;
/* 218 */     gridLayout_4.marginTop = 10;
/* 219 */     gridLayout_4.marginHeight = 0;
/* 220 */     gridLayout_4.horizontalSpacing = 50;
/* 221 */     composite_1_1.setLayout((Layout)gridLayout_4);
/* 222 */     composite_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*     */     
/* 224 */     Button button_1_1 = new Button(composite_1_1, 8389632);
/* 225 */     button_1_1.addSelectionListener((SelectionListener)new SelectionAdapter() { public void widgetSelected(SelectionEvent e) {
/*     */             MessageBox mbox;
/* 227 */             if (SysPublishUrlView.this.text_query_website.getText() != null && SysPublishUrlView.this.text_query_website.getText().length() > 0 && 
/* 228 */               !SysPublishUrlView.this.text_query_website.getText().startsWith("http://") && !SysPublishUrlView.this.text_query_website.getText().startsWith("https://")) {
/* 229 */               SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_query_website, "链接地址必须以http://或者https://开始！");
/*     */               
/*     */               return;
/*     */             } 
/* 233 */             int r = SysPublishUrlView.this.suPRController.changeGljgExtInfo("web_site", SysPublishUrlView.this.text_query_website.getText());
/*     */             
/* 235 */             switch (r) {
/*     */               case -1:
/* 237 */                 SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_query_website, "数据库出错，请与管理员联系！");
/*     */                 return;
/*     */               case -2:
/* 240 */                 SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_query_website, "网络传输错误，请重试！");
/*     */                 return;
/*     */               case 1:
/* 243 */                 mbox = new MessageBox(SysPublishUrlView.this.shell, 
/* 244 */                     34);
/* 245 */                 mbox.setMessage("信息修改成功！");
/* 246 */                 mbox.setText("信息提示");
/* 247 */                 mbox.open();
/*     */                 return;
/*     */             } 
/* 250 */             SysPublishUrlView.this.showInfoBox(SysPublishUrlView.this.text_query_website, "未知错误，请与管理员联系！");
/*     */           } }
/*     */       );
/*     */ 
/*     */ 
/*     */     
/* 256 */     GridData gd_button_1_1 = new GridData(16384, 1024, 
/* 257 */         false, false);
/* 258 */     gd_button_1_1.heightHint = 18;
/* 259 */     gd_button_1_1.widthHint = 100;
/* 260 */     button_1_1.setLayoutData(gd_button_1_1);
/* 261 */     button_1_1.setBackground(SWTResourceManager.getColor(197, 228, 255));
/* 262 */     button_1_1.setText("确定修改");
/*     */     
/* 264 */     Button button_4_1 = new Button(composite_1_1, 8389632);
/* 265 */     button_4_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 267 */             SysPublishUrlView.this.text_query_website.setText(SysPublishUrlView.this.user.getRealname());
/*     */           }
/*     */         });
/* 270 */     GridData gd_button_4_1 = new GridData(16384, 1024, 
/* 271 */         false, false);
/* 272 */     gd_button_4_1.heightHint = 18;
/* 273 */     gd_button_4_1.widthHint = 100;
/* 274 */     button_4_1.setLayoutData(gd_button_4_1);
/* 275 */     button_4_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 276 */     button_4_1.setText("重新输入");
/*     */ 
/*     */     
/* 279 */     initUI();
/* 280 */     setText();
/*     */   }
/*     */   
/*     */   private void setText() {
/* 284 */     GljgExtInfo gljgExtInfo = this.suPRController.getGljgExtInfo();
/* 285 */     if (gljgExtInfo != null) {
/* 286 */       this.text_query_website.setText(gljgExtInfo.getWebSite());
/* 287 */       this.text_publish_url.setText(gljgExtInfo.getPublishUrl());
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 293 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 302 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 303 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isInputNull(Text text, String info) {
/* 307 */     if (text.getText() == null || text.getText().trim().length() <= 0) {
/* 308 */       text.setText(text.getText().trim());
/* 309 */       MessageBox mbox = new MessageBox(this.shell, 40);
/* 310 */       mbox.setMessage(info);
/* 311 */       mbox.setText("错误提示");
/* 312 */       mbox.open();
/* 313 */       text.setFocus();
/* 314 */       return true;
/*     */     } 
/* 316 */     return false;
/*     */   }
/*     */   
/*     */   private void showInfoBox(Text text, String info) {
/* 320 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 321 */     mbox.setMessage(info);
/* 322 */     mbox.setText("错误提示");
/* 323 */     mbox.open();
/* 324 */     text.setFocus();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanag\\urlmanage\SysPublishUrlView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */