/*     */ package cs.sydj.sysmanage.usermanage;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import server.sydj.sysmanage.user.GLJGUser;
/*     */ import server.sydj.sysmanage.user.GLJGUserManage;
/*     */ import server.sydj.sysmanage.user.UserActorManage;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntityManage;
/*     */ 
/*     */ 
/*     */ public class SysUserManageController
/*     */ {
/*  14 */   private GljgUserInfo user = null;
/*  15 */   private GLJGUserManage gljgum = new GLJGUserManage();
/*  16 */   private InfoEntityManage ieManage = new InfoEntityManage();
/*     */   
/*     */   public SysUserManageController(GljgUserInfo user) {
/*  19 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysUserManageController() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList creatRoot() {
/*  30 */     InfoEntity ie = new InfoEntity();
/*  31 */     if (this.user != null) {
/*  32 */       ie.setName(this.user.getGroupname());
/*  33 */       ie.setDJGLJG(true);
/*  34 */       ie.setId(this.user.getGroupid());
/*     */       
/*  36 */       if (this.user.getDistrictcode().equals("100000")) {
/*  37 */         ie.setId("1");
/*  38 */         ie.setName("国家事业单位登记管理局");
/*     */       }
/*     */     
/*     */     } else {
/*     */       
/*  43 */       ie.setId("1");
/*  44 */       ie.setName("国家事业单位登记管理局");
/*  45 */       ie.setDJGLJG(true);
/*     */     } 
/*  47 */     ArrayList<InfoEntity> al = new ArrayList();
/*     */     
/*  49 */     al.add(ie);
/*  50 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList<InfoEntity> getInfoList(String id, int onlyGLJG) {
/*  56 */     return this.ieManage.getChildInfoList(id, onlyGLJG);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList<InfoEntity> getInfoListForWszx(String id, int onlyGLJG) {
/*  61 */     return this.ieManage.getChildInfoListForWszx(id, onlyGLJG);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateUserNamebyID(String userid, String name, String isOff) {
/*  74 */     return this.gljgum.updateUserNamebyID(userid, name, isOff);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateUserMobileById(String userId, String mobile) {
/*  84 */     int i = this.gljgum.updateUserMobileById(userId, mobile);
/*     */     
/*  86 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addUser(String groupid, String username, String realname, String mobile, String password, ArrayList<String> actorids) {
/* 102 */     return this.gljgum.addUser(groupid, username, realname, mobile, password, actorids);
/*     */   }
/*     */   
/*     */   public int checkName(String name) {
/* 106 */     return this.gljgum.checkUserName(name);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getActors() {
/* 111 */     return (new UserActorManage()).getActors();
/*     */   }
/*     */   
/*     */   public GLJGUser getUserbyID(String userid) {
/* 115 */     return this.gljgum.getUserbyID(userid);
/*     */   }
/*     */   
/*     */   public String searchUserName(String text) {
/* 119 */     return this.gljgum.searchUserName(text, this.user.getGroupid()).getSearchResult(
/* 120 */         this.user.getGroupname());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteUser(String userid) {
/* 130 */     return this.gljgum.deleteUser(userid);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getActorsbyID(String userID) {
/* 135 */     return (new UserActorManage()).getActorsbyID(userID);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList<InfoEntity> getInfoListFromView(String id) {
/* 146 */     return this.ieManage.getChildInfoListFromView(id);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getUserMobile(String userId) {
/* 156 */     String mobile = "";
/* 157 */     GLJGUser gljgUser = this.gljgum.getUserbyID(userId);
/* 158 */     if (gljgUser != null)
/* 159 */       mobile = gljgUser.getPhone(); 
/* 160 */     if (mobile == null)
/* 161 */       mobile = ""; 
/* 162 */     return mobile;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanag\\usermanage\SysUserManageController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */