/*     */ package cs.sydj.sysmanage.usermanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.layout.RowData;
/*     */ import org.eclipse.swt.layout.RowLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.user.GLJGUser;
/*     */ import server.sydj.sysmanage.user.UserResult;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ public class SysUserManageView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.usermanage.SysUserManageView";
/*  37 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  38 */   private SysUserManageController sumController = new SysUserManageController(
/*  39 */       this.user);
/*     */   private TreeViewer treeview;
/*     */   private Text text;
/*  42 */   private TreeViewerLableProvider tvlabelP = new TreeViewerLableProvider();
/*  43 */   private TreeViewerContentProvider tvcontentP = new TreeViewerContentProvider(
/*  44 */       this.sumController);
/*     */   
/*  46 */   private Shell shell = null;
/*  47 */   private Composite comp = null;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  51 */     this.comp = arg0;
/*  52 */     this.shell = arg0.getShell();
/*  53 */     arg0.setBackgroundMode(1);
/*  54 */     arg0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  55 */     GridLayout gridLayout = new GridLayout();
/*  56 */     gridLayout.marginHeight = 20;
/*  57 */     gridLayout.numColumns = 5;
/*  58 */     arg0.setLayout((Layout)gridLayout);
/*     */     
/*  60 */     Label label_4 = new Label(arg0, 0);
/*  61 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/*  62 */     label_4.setText("  ");
/*     */     
/*  64 */     Label label = new Label(arg0, 0);
/*  65 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  66 */     GridData gd_label = new GridData(16384, 16777216, false, false, 3, 1);
/*  67 */     gd_label.widthHint = 500;
/*  68 */     label.setLayoutData(gd_label);
/*  69 */     label.setText("用户管理");
/*     */     
/*  71 */     Label label_5 = new Label(arg0, 0);
/*  72 */     label_5.setLayoutData(new GridData(4, 16777216, true, false));
/*  73 */     label_5.setText("  ");
/*     */ 
/*     */     
/*  76 */     Label label_3 = new Label(arg0, 258);
/*  77 */     GridData gd_label_3 = new GridData(4, 16777216, false, false, 3, 1);
/*  78 */     label_3.setLayoutData(gd_label_3);
/*     */ 
/*     */ 
/*     */     
/*  82 */     Label label_1 = new Label(arg0, 0);
/*  83 */     label_1.setLayoutData(new GridData());
/*  84 */     label_1.setText("请输入用户名进行查询：");
/*     */     
/*  86 */     this.text = new Text(arg0, 2048);
/*  87 */     this.text.setTextLimit(200);
/*  88 */     this.text.setLayoutData(new GridData(160, -1));
/*     */     
/*  90 */     Button button = new Button(arg0, 0);
/*  91 */     button.setLayoutData(new GridData());
/*     */ 
/*     */ 
/*     */     
/*  95 */     final Label label_2 = new Label(arg0, 64);
/*     */     
/*  97 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*  99 */             if (SysUserManageView.this.text.getText() != null && 
/* 100 */               SysUserManageView.this.text.getText().trim().length() > 0) {
/* 101 */               String result = SysUserManageView.this.sumController.searchUserName(
/* 102 */                   SysUserManageView.this.text.getText().trim());
/* 103 */               if (result == null || result.length() == 0) {
/* 104 */                 label_2.setText("您所查询的用户不存在，或者不属于您所在登记机关管辖。");
/*     */               } else {
/* 106 */                 label_2.setText(result);
/* 107 */               }  SysUserManageView.this.comp.layout();
/*     */             } else {
/* 109 */               SysUserManageView.this.text.setText("");
/* 110 */               label_2.setText("");
/*     */             } 
/*     */           }
/*     */         });
/* 114 */     button.setText("查询");
/*     */     
/* 116 */     GridData gd_label_2 = new GridData(16384, 16777216, true, false, 3, 1);
/* 117 */     label_2.setLayoutData(gd_label_2);
/*     */ 
/*     */ 
/*     */     
/* 121 */     this.treeview = new TreeViewer(arg0, 2048);
/* 122 */     Tree tree = this.treeview.getTree();
/* 123 */     GridData gd_tree = new GridData(4, 4, false, false, 3, 1);
/* 124 */     gd_tree.heightHint = 200;
/* 125 */     tree.setLayoutData(gd_tree);
/*     */ 
/*     */ 
/*     */     
/* 129 */     Composite composite = new Composite(arg0, 0);
/* 130 */     RowLayout rowLayout = new RowLayout();
/* 131 */     rowLayout.spacing = 5;
/* 132 */     composite.setLayout((Layout)rowLayout);
/* 133 */     GridData gd_composite = new GridData(16777216, 128, false, false, 3, 1);
/* 134 */     composite.setLayoutData(gd_composite);
/* 135 */     Button button_1 = new Button(composite, 0);
/* 136 */     RowData rd_button_1 = new RowData();
/* 137 */     rd_button_1.width = 75;
/* 138 */     rd_button_1.height = 18;
/* 139 */     button_1.setLayoutData(rd_button_1);
/* 140 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 142 */             IStructuredSelection is = (IStructuredSelection)SysUserManageView.this.treeview
/* 143 */               .getSelection();
/* 144 */             Object result = is.getFirstElement();
/* 145 */             InfoEntity ie = (InfoEntity)result;
/* 146 */             SysUserManageAddUserDialog sumAddUserDialog = new SysUserManageAddUserDialog(
/* 147 */                 SysUserManageView.this.shell, SysUserManageView.this.sumController, ie);
/* 148 */             int i = sumAddUserDialog.open();
/*     */             
/* 150 */             if (i == 0) {
/* 151 */               SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 152 */               SysUserManageView.this.treeview.refresh();
/* 153 */               UserResult u = sumAddUserDialog.getResult();
/* 154 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 
/* 155 */                   34);
/* 156 */               mbox.setMessage("添加成功！\n用户名称：" + u.getUserName() + 
/* 157 */                   "\n真实姓名：" + u.getRealName() + "\n部门：" + 
/* 158 */                   u.getGroupName());
/* 159 */               mbox.setText("信息提示");
/* 160 */               mbox.open();
/*     */             } 
/*     */           }
/*     */         });
/* 164 */     button_1.setText("添加用户");
/*     */     
/* 166 */     Button button_2 = new Button(composite, 0);
/* 167 */     RowData rd_button_2 = new RowData();
/* 168 */     rd_button_2.height = 18;
/* 169 */     rd_button_2.width = 75;
/* 170 */     button_2.setLayoutData(rd_button_2);
/* 171 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 173 */             InfoEntity select = null;
/*     */             
/* 175 */             IStructuredSelection i = (IStructuredSelection)SysUserManageView.this.treeview
/* 176 */               .getSelection();
/* 177 */             boolean isUser = false;
/* 178 */             if (i != null) {
/* 179 */               select = (InfoEntity)i.getFirstElement();
/* 180 */               if (select != null && !select.isDJGLJG())
/* 181 */                 isUser = true; 
/*     */             } 
/* 183 */             if (!isUser) {
/* 184 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 40);
/*     */               
/* 186 */               mbox.setMessage("请选择要操作的用户！");
/* 187 */               mbox.setText("错误提示");
/* 188 */               mbox.open();
/*     */             } else {
/* 190 */               GLJGUser user = SysUserManageView.this.sumController.getUserbyID(select.getId());
/* 191 */               if (user == null) {
/* 192 */                 SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 193 */                 SysUserManageView.this.treeview.refresh();
/*     */               } else {
/* 195 */                 SysUserManageUpdateUserInfoDialog sumUpdateUserDialog = new SysUserManageUpdateUserInfoDialog(
/* 196 */                     SysUserManageView.this.shell, SysUserManageView.this.sumController, user);
/* 197 */                 int r = 0;
/*     */                 
/* 199 */                 r = sumUpdateUserDialog.open();
/*     */                 
/* 201 */                 if (r == 0) {
/* 202 */                   SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 203 */                   SysUserManageView.this.treeview.refresh();
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/* 209 */     button_2.setText("信息修改");
/*     */     
/* 211 */     Button button_3 = new Button(composite, 0);
/* 212 */     RowData rd_button_3 = new RowData();
/* 213 */     rd_button_3.width = 75;
/* 214 */     rd_button_3.height = 18;
/* 215 */     button_3.setLayoutData(rd_button_3);
/* 216 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 218 */             InfoEntity select = null;
/*     */             
/* 220 */             IStructuredSelection i = (IStructuredSelection)SysUserManageView.this.treeview
/* 221 */               .getSelection();
/* 222 */             boolean isUser = false;
/* 223 */             if (i != null) {
/* 224 */               select = (InfoEntity)i.getFirstElement();
/* 225 */               if (select != null && !select.isDJGLJG())
/* 226 */                 isUser = true; 
/*     */             } 
/* 228 */             if (!isUser) {
/* 229 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 40);
/*     */               
/* 231 */               mbox.setMessage("请选择要操作的用户！");
/* 232 */               mbox.setText("错误提示");
/* 233 */               mbox.open();
/*     */             } else {
/* 235 */               GLJGUser user = SysUserManageView.this.sumController.getUserbyID(select.getId());
/* 236 */               if (user == null) {
/* 237 */                 SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 238 */                 SysUserManageView.this.treeview.refresh();
/*     */               } else {
/* 240 */                 SysUserManageCheckUserDialog sumUpdateUserDialog = new SysUserManageCheckUserDialog(
/* 241 */                     SysUserManageView.this.shell, SysUserManageView.this.sumController, user);
/* 242 */                 int r = 0;
/*     */                 
/* 244 */                 r = sumUpdateUserDialog.open();
/*     */                 
/* 246 */                 if (r == 0) {
/* 247 */                   SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 248 */                   SysUserManageView.this.treeview.refresh();
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/* 254 */     button_3.setText("信息查看");
/*     */     
/* 256 */     Button button_4 = new Button(composite, 0);
/* 257 */     RowData rd_button_4 = new RowData();
/* 258 */     rd_button_4.width = 75;
/* 259 */     rd_button_4.height = 18;
/* 260 */     button_4.setLayoutData(rd_button_4);
/* 261 */     button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 263 */             InfoEntity select = null;
/*     */             
/* 265 */             IStructuredSelection i = (IStructuredSelection)SysUserManageView.this.treeview
/* 266 */               .getSelection();
/* 267 */             boolean isUser = false;
/* 268 */             if (i != null) {
/* 269 */               select = (InfoEntity)i.getFirstElement();
/* 270 */               if (select != null && !select.isDJGLJG())
/* 271 */                 isUser = true; 
/*     */             } 
/* 273 */             if (!isUser) {
/* 274 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 40);
/*     */               
/* 276 */               mbox.setMessage("请选择要操作的用户！");
/* 277 */               mbox.setText("错误提示");
/* 278 */               mbox.open();
/*     */             }
/* 280 */             else if (select.getId().equals(SysUserManageView.this.user.getUserid())) {
/* 281 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 
/* 282 */                   40);
/* 283 */               mbox.setMessage("不可以删除自己！");
/* 284 */               mbox.setText("错误提示");
/* 285 */               mbox.open();
/*     */             } else {
/* 287 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 
/* 288 */                   196);
/* 289 */               mbox.setMessage("您真的确定删除该用户吗?");
/* 290 */               mbox.setText("信息提示");
/* 291 */               int button_id = mbox.open();
/* 292 */               if (button_id == 64) {
/* 293 */                 int r = SysUserManageView.this.sumController.deleteUser(select.getId());
/* 294 */                 switch (r) {
/*     */                   case 0:
/*     */                     break;
/*     */                   case -1:
/* 298 */                     SysUserManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                     return;
/*     */                   case -2:
/* 301 */                     SysUserManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                     return;
/*     */                   case 1:
/* 304 */                     SydjMessageDialog.openInformation(null, "提示", 
/* 305 */                         "删除成功！");
/*     */                     break;
/*     */                   case 2:
/* 308 */                     SysUserManageView.this.showInfoBox("该用户存在登记业务操作，禁止删除！");
/*     */                     return;
/*     */                   default:
/* 311 */                     SysUserManageView.this.showInfoBox("未知错误，请与管理员联系！");
/*     */                     return;
/*     */                 } 
/* 314 */                 SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 315 */                 SysUserManageView.this.treeview.refresh();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 321 */     button_4.setText("删除用户");
/*     */ 
/*     */     
/* 324 */     Button button_mobile = new Button(composite, 0);
/* 325 */     RowData rd_button_mobile = new RowData();
/* 326 */     rd_button_mobile.height = 18;
/* 327 */     rd_button_mobile.width = 75;
/* 328 */     button_mobile.setLayoutData(rd_button_2);
/* 329 */     button_mobile.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 331 */             InfoEntity select = null;
/*     */             
/* 333 */             IStructuredSelection i = (IStructuredSelection)SysUserManageView.this.treeview
/* 334 */               .getSelection();
/* 335 */             boolean isUser = false;
/* 336 */             if (i != null) {
/* 337 */               select = (InfoEntity)i.getFirstElement();
/* 338 */               if (select != null && !select.isDJGLJG())
/* 339 */                 isUser = true; 
/*     */             } 
/* 341 */             if (!isUser) {
/* 342 */               MessageBox mbox = new MessageBox(SysUserManageView.this.shell, 40);
/*     */               
/* 344 */               mbox.setMessage("请选择要操作的用户！");
/* 345 */               mbox.setText("错误提示");
/* 346 */               mbox.open();
/*     */             } else {
/*     */               
/* 349 */               GLJGUser currUser = SysUserManageView.this.sumController.getUserbyID(select.getId());
/* 350 */               if (currUser == null) {
/* 351 */                 SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 352 */                 SysUserManageView.this.treeview.refresh();
/*     */               } else {
/* 354 */                 SysUserManageUpdateMobileDialog sumUpdateUserDialog = new SysUserManageUpdateMobileDialog(
/* 355 */                     SysUserManageView.this.shell, SysUserManageView.this.sumController, currUser);
/* 356 */                 int r = 0;
/*     */                 
/* 358 */                 r = sumUpdateUserDialog.open();
/*     */                 
/* 360 */                 if (r == 0) {
/* 361 */                   SysUserManageView.this.treeview.setInput(SysUserManageView.this.sumController.creatRoot());
/* 362 */                   SysUserManageView.this.treeview.refresh();
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 369 */     button_mobile.setText("修改手机号码");
/*     */ 
/*     */ 
/*     */     
/* 373 */     initUI();
/* 374 */     initData();
/*     */   }
/*     */   
/*     */   private void initData() {
/* 378 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 379 */     this.treeview.setInput(this.sumController.creatRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 384 */     initializeToolBar();
/* 385 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 395 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 396 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 400 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 401 */     mbox.setMessage(info);
/* 402 */     mbox.setText("错误提示");
/* 403 */     mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanag\\usermanage\SysUserManageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */