/*     */ package cs.sydj.sysmanage.zgdwmanage.ins;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.commons.WithinputIsNew;
/*     */ import server.sydj.sysmanage.zgdw.ZgdwInfoManage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreInstaurationListView
/*     */   extends ViewPart
/*     */ {
/*     */   protected Label label_title;
/*     */   private Text text_go;
/*     */   private Text text_search_name;
/*     */   private Text text_input_name;
/*     */   private Table table;
/*     */   private Label label_page;
/*     */   private Label label_total;
/*     */   private Button button_prev;
/*     */   private Button button_next;
/*     */   TableViewer tableViewer;
/*  75 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  76 */   private String groupId = this.user.getGroupid();
/*  77 */   private ZgdwInfoManage zgdwManage = new ZgdwInfoManage();
/*  78 */   private WithinputDataManage dataManage = new WithinputDataManage();
/*     */   
/*  80 */   private ArrayList list = new ArrayList();
/*  81 */   String alertMsg = "";
/*     */   
/*  83 */   int totalRows = 0;
/*  84 */   int maxCount = 15;
/*  85 */   int startNo = 1;
/*  86 */   int currentPage = 1;
/*  87 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  91 */   private String sydwnameStr = "";
/*  92 */   private TableCursor cursor = null;
/*  93 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  99 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 103 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 107 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 111 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 115 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 119 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 128 */     Composite container = new Composite(parent, 0);
/* 129 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 130 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 132 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 133 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 134 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 135 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 136 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 138 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 139 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 140 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 141 */     this.composite_total.setSize(800, 600);
/*     */     
/* 143 */     Composite composite = new Composite(this.composite_total, 0);
/* 144 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 146 */     FormData fd_composite = new FormData();
/* 147 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 148 */     fd_composite.top = new FormAttachment(0, 20);
/* 149 */     composite.setLayoutData(fd_composite);
/* 150 */     GridLayout gridLayout = new GridLayout();
/* 151 */     gridLayout.numColumns = 3;
/* 152 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 154 */     Label label = new Label(composite, 0);
/* 155 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 156 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 157 */     label.setText("请输入单位名称（第一名称）：");
/*     */     
/* 159 */     this.text_input_name = new Text(composite, 2048);
/* 160 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 161 */     gd_text.widthHint = 200;
/* 162 */     this.text_input_name.setLayoutData(gd_text);
/*     */     
/* 164 */     Button button = new Button(composite, 0);
/* 165 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 166 */     gd_button.heightHint = 20;
/* 167 */     button.setLayoutData(gd_button);
/* 168 */     button.setText("查询");
/*     */     
/* 170 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 171 */     this.table = this.tableViewer.getTable();
/* 172 */     FormData fd_table = new FormData();
/*     */     
/* 174 */     fd_table.bottom = new FormAttachment(0, 439);
/* 175 */     fd_table.right = new FormAttachment(100, -35);
/* 176 */     fd_table.top = new FormAttachment(0, 95);
/* 177 */     fd_table.left = new FormAttachment(0, 35);
/* 178 */     this.table.setLayoutData(fd_table);
/* 179 */     this.table.setLinesVisible(true);
/* 180 */     this.table.setHeaderVisible(true);
/* 181 */     PublicUtil.setTableHeight(this.table);
/* 182 */     PublicUtil.setMouseHands(this.table, "0#5");
/*     */     
/* 184 */     this.tableLayout = new TableLayout();
/* 185 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 187 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(28));
/* 188 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table, 16777216);
/* 189 */     newColumnTableColumn_0.setText("单位名称");
/*     */     
/* 191 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(16));
/* 192 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 193 */     newColumnTableColumn.setAlignment(16777216);
/* 194 */     newColumnTableColumn.setText("主管部门");
/*     */     
/* 196 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 197 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 198 */     newColumnTableColumn_1.setText("添加时间");
/*     */     
/* 200 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 201 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 202 */     newColumnTableColumn_2.setText("状态");
/*     */     
/* 204 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 205 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 206 */     newColumnTableColumn_3.setText("操作者");
/*     */     
/* 208 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 209 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 210 */     newColumnTableColumn_4.setText("操作");
/*     */     
/* 212 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 213 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 214 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 216 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 217 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 219 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 220 */     composite_3.setLayoutData(fd_composite_3);
/* 221 */     GridLayout gridLayout_3 = new GridLayout();
/* 222 */     gridLayout_3.numColumns = 4;
/* 223 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 227 */     Label label_8 = new Label(composite_3, 0);
/* 228 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 229 */     label_8.setBackground(Display.getCurrent().getSystemColor(1));
/* 230 */     label_8.setText("单位名称（第一名称）：");
/*     */     
/* 232 */     this.text_search_name = new Text(composite_3, 2048);
/* 233 */     GridData gd_text_sydw_name = new GridData(4, 16777216, false, false);
/* 234 */     gd_text_sydw_name.widthHint = 340;
/* 235 */     this.text_search_name.setLayoutData(gd_text_sydw_name);
/*     */     
/* 237 */     Button button_3 = new Button(composite_3, 0);
/* 238 */     GridData gd_button_3 = new GridData(16384, 16777216, true, false);
/* 239 */     gd_button_3.heightHint = 20;
/* 240 */     button_3.setLayoutData(gd_button_3);
/* 241 */     button_3.setText("添加新设立预登记");
/*     */ 
/*     */ 
/*     */     
/* 245 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 246 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new PreInstaurationLableProvider());
/*     */ 
/*     */     
/* 249 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 251 */             PreInstaurationListView.this.totalRows = 0;
/* 252 */             PreInstaurationListView.this.currentPage = 1;
/* 253 */             PreInstaurationListView.this.sydwnameStr = PreInstaurationListView.this.text_input_name.getText();
/* 254 */             PreInstaurationListView.this.list = PreInstaurationListView.this.zgdwManage.getZgdwPreInsListInfo(PreInstaurationListView.this.groupId, PreInstaurationListView.this.startNo, PreInstaurationListView.this.maxCount, PreInstaurationListView.this.sydwnameStr);
/* 255 */             PreInstaurationListView.this.setFenYe(PreInstaurationListView.this.list, PreInstaurationListView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 260 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 262 */             if (PreInstaurationListView.this.text_search_name.getText().trim().length() > 0) {
/*     */               
/* 264 */               String checkWordValid = PublicUtil.checkWordValid(PreInstaurationListView.this.text_search_name.getText());
/* 265 */               if (checkWordValid != null && checkWordValid.length() > 0) {
/* 266 */                 SydjMessageDialog.openWarning(null, "提示", checkWordValid);
/* 267 */                 PreInstaurationListView.this.text_search_name.setFocus();
/*     */               } else {
/*     */                 
/* 270 */                 String szResult = PublicUtil.checkSydwNameStart(PreInstaurationListView.this.text_search_name.getText().trim());
/* 271 */                 if (!"".equals(szResult)) {
/* 272 */                   SydjMessageDialog.openWarning(null, "提示", szResult);
/* 273 */                   PreInstaurationListView.this.text_search_name.setFocus();
/*     */                 } else {
/*     */                   
/* 276 */                   String existResult = PreInstaurationListView.this.zgdwManage.checkExistPreIns(PreInstaurationListView.this.text_search_name.getText().trim(), PreInstaurationListView.this.groupId);
/* 277 */                   if ("true".equals(existResult)) {
/* 278 */                     SydjMessageDialog.openWarning(null, "错误", "新设立预登记单位名称已存在，请检查确认！");
/* 279 */                     PreInstaurationListView.this.text_search_name.setFocus();
/*     */                   } else {
/*     */                     
/* 282 */                     PreInstaurationListView.this.alertMsg = PreInstaurationListView.this.dataManage
/*     */                       
/* 284 */                       .isNew("0", "0", PreInstaurationListView.this.text_search_name.getText().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 285 */                     if (PreInstaurationListView.this.alertMsg != null && PreInstaurationListView.this.alertMsg.length() > 0) {
/* 286 */                       WithinputIsNew win = new WithinputIsNew();
/* 287 */                       win = (WithinputIsNew)MessageXML.XMLToObject(PreInstaurationListView.this.alertMsg);
/* 288 */                       if ("true".equals(win.getIsnew())) {
/* 289 */                         SydwInfo sydwinfo = new SydwInfo();
/* 290 */                         sydwinfo.setSYDW_NAME_FIRST(PreInstaurationListView.this.text_search_name.getText().trim());
/* 291 */                         sydwinfo.setSYDW_NAME_SECOND("");
/* 292 */                         sydwinfo.setSYDW_NAME_THIRD("");
/* 293 */                         sydwinfo.setSYDW_NAME_OTHER("");
/*     */                         
/* 295 */                         PreInstaurationInputDialog dialog = new PreInstaurationInputDialog(
/* 296 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 297 */                             .getShell(), sydwinfo);
/* 298 */                         if (dialog.open() == 0) {
/*     */                           
/* 300 */                           String flag = PreInstaurationListView.this.zgdwManage.saveZgdwPreInsInfo(sydwinfo, dialog.getAfterMod(), 
/* 301 */                               PreInstaurationListView.this.user.getGroupid(), PreInstaurationListView.this.user.getUserid(), 
/* 302 */                               PreInstaurationListView.this.user.getRealname(), PreInstaurationListView.this.user.getDistrictcode(), "new");
/* 303 */                           if (flag != null) {
/* 304 */                             if ("true".equals(flag)) {
/*     */                               
/* 306 */                               SydjMessageDialog.openInformation(null, "提示", "新设立预登记信息登记成功！");
/*     */ 
/*     */                               
/* 309 */                               PreInstaurationListView.this.text_search_name.setText("");
/* 310 */                               PreInstaurationListView.this.list = PreInstaurationListView.this.zgdwManage.getZgdwPreInsListInfo(PreInstaurationListView.this.groupId, PreInstaurationListView.this.startNo, PreInstaurationListView.this.maxCount, PreInstaurationListView.this.sydwnameStr);
/* 311 */                               PreInstaurationListView.this.tableViewer.setInput(PreInstaurationListView.this.list);
/* 312 */                               PreInstaurationListView.this.setFontColor();
/* 313 */                               PreInstaurationListView.this.setCursor();
/*     */                             } else {
/*     */                               
/* 316 */                               SydjMessageDialog.openInformation(null, "提示", "新设立预登记信息登记失败！");
/* 317 */                               PreInstaurationListView.this.text_search_name.setFocus();
/*     */                             }
/*     */                           
/*     */                           }
/*     */                         } 
/* 322 */                       } else if ("false_1".equals(win.getIsnew())) {
/* 323 */                         SydjMessageDialog.openWarning(null, "提示", 
/* 324 */                             win.getMessage());
/* 325 */                         PreInstaurationListView.this.text_search_name.setFocus();
/*     */                       } 
/*     */                     } 
/*     */                   } 
/*     */                 } 
/*     */               } 
/*     */             } else {
/*     */               
/* 333 */               SydjMessageDialog.openWarning(null, "错误", "请输入新设立预登记单位名称！");
/* 334 */               PreInstaurationListView.this.text_search_name.setFocus();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 340 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 341 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 342 */     GridLayout gridLayout_4 = new GridLayout();
/* 343 */     gridLayout_4.numColumns = 2;
/* 344 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 345 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 346 */     FormData fd_composite_fenye = new FormData();
/* 347 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 348 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 349 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 350 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 351 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 353 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 354 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 355 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 356 */     GridLayout gridLayout_2 = new GridLayout();
/* 357 */     gridLayout_2.marginTop = 3;
/* 358 */     gridLayout_2.verticalSpacing = 0;
/* 359 */     gridLayout_2.marginWidth = 0;
/* 360 */     gridLayout_2.marginHeight = 0;
/* 361 */     gridLayout_2.horizontalSpacing = 2;
/* 362 */     gridLayout_2.numColumns = 7;
/* 363 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 365 */     Label label_1 = new Label(composite_1, 0);
/* 366 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 367 */     label_1.setText("页次：");
/*     */     
/* 369 */     this.label_page = new Label(composite_1, 131072);
/* 370 */     this.label_page.setBackground(Display.getCurrent().getSystemColor(1));
/* 371 */     this.label_page.setLayoutData(new GridData(4, 16777216, true, false));
/* 372 */     if (this.totalPages == 0) {
/* 373 */       this.label_page.setText("0/0");
/*     */     } else {
/* 375 */       this.label_page.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 378 */     Label label_3 = new Label(composite_1, 0);
/* 379 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 380 */     label_3.setText("页  每页");
/*     */     
/* 382 */     Label label_4 = new Label(composite_1, 0);
/* 383 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 384 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 385 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 387 */     Label label_5 = new Label(composite_1, 0);
/* 388 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 389 */     label_5.setText("行  共");
/*     */     
/* 391 */     this.label_total = new Label(composite_1, 0);
/* 392 */     this.label_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 393 */     this.label_total.setLayoutData(new GridData(16384, 16777216, true, false));
/* 394 */     this.label_total.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 396 */     Label label_7 = new Label(composite_1, 0);
/* 397 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 398 */     label_7.setText("行");
/*     */ 
/*     */     
/* 401 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 402 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 403 */     GridLayout gridLayout_1 = new GridLayout();
/* 404 */     gridLayout_1.numColumns = 6;
/* 405 */     composite_2.setLayout((Layout)gridLayout_1);
/* 406 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 408 */     this.button_prev = new Button(composite_2, 0);
/* 409 */     this.button_prev.setText("上一页");
/* 410 */     if (!this.hasPreviousPage) {
/* 411 */       this.button_prev.setEnabled(false);
/*     */     }
/* 413 */     this.button_prev.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 415 */             PreInstaurationListView.this.list = PreInstaurationListView.this.zgdwManage.getZgdwPreInsListInfo(PreInstaurationListView.this.groupId, (PreInstaurationListView.this.currentPage - 2) * PreInstaurationListView.this.maxCount + 1, PreInstaurationListView.this.maxCount, PreInstaurationListView.this.sydwnameStr);
/* 416 */             PreInstaurationListView.this.setFenYe(PreInstaurationListView.this.list, PreInstaurationListView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 420 */     this.button_next = new Button(composite_2, 0);
/* 421 */     this.button_next.setText("下一页");
/* 422 */     if (!this.hasNextPage) {
/* 423 */       this.button_next.setEnabled(false);
/*     */     }
/* 425 */     this.button_next.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 427 */             PreInstaurationListView.this.list = PreInstaurationListView.this.zgdwManage.getZgdwPreInsListInfo(PreInstaurationListView.this.groupId, PreInstaurationListView.this.currentPage * PreInstaurationListView.this.maxCount + 1, PreInstaurationListView.this.maxCount, PreInstaurationListView.this.sydwnameStr);
/* 428 */             PreInstaurationListView.this.setFenYe(PreInstaurationListView.this.list, PreInstaurationListView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 432 */     Label label_10 = new Label(composite_2, 0);
/* 433 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 434 */     label_10.setText("转至第");
/*     */     
/* 436 */     this.text_go = new Text(composite_2, 2048);
/* 437 */     this.text_go.setLayoutData(new GridData(50, -1));
/*     */     
/* 439 */     Label label_11 = new Label(composite_2, 0);
/* 440 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 441 */     label_11.setText("页");
/*     */     
/* 443 */     Button goButton = new Button(composite_2, 0);
/* 444 */     goButton.setText("GO");
/*     */     
/* 446 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 448 */             if (VerifyFunction.isNumeric(PreInstaurationListView.this.text_go.getText())) {
/* 449 */               int aa = Integer.parseInt(PreInstaurationListView.this.text_go.getText());
/* 450 */               if (aa > PreInstaurationListView.this.totalPages) {
/* 451 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 453 */                 PreInstaurationListView.this.list = PreInstaurationListView.this.zgdwManage.getZgdwPreInsListInfo(PreInstaurationListView.this.groupId, (aa - 1) * PreInstaurationListView.this.maxCount + 1, PreInstaurationListView.this.maxCount, PreInstaurationListView.this.sydwnameStr);
/* 454 */                 PreInstaurationListView.this.setFenYe(PreInstaurationListView.this.list, aa);
/* 455 */                 PreInstaurationListView.this.setFontColor();
/* 456 */                 PreInstaurationListView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 459 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 465 */     Label label_9 = new Label(this.composite_total, 0);
/* 466 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 467 */     FormData fd_label_9 = new FormData();
/* 468 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 469 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 470 */     fd_label_9.top = new FormAttachment(0, 85);
/* 471 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 473 */     this.label_title = new Label(this.composite_total, 0);
/* 474 */     fd_composite.left = new FormAttachment((Control)this.label_title, 0, 16384);
/* 475 */     this.label_title.setBackground(Display.getCurrent().getSystemColor(1));
/* 476 */     FormData fd_label_12 = new FormData();
/* 477 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 478 */     fd_label_12.top = new FormAttachment(0, 70);
/* 479 */     fd_label_12.right = new FormAttachment(0, 240);
/* 480 */     this.label_title.setLayoutData(fd_label_12);
/* 481 */     this.label_title.setText("新设立预登记列表");
/*     */     
/* 483 */     scrolledComposite.setContent((Control)this.composite_total);
/* 484 */     createActions();
/* 485 */     initializeToolBar();
/* 486 */     initializeMenu();
/*     */     
/* 488 */     this.list = this.zgdwManage.getZgdwPreInsListInfo(this.groupId, this.startNo, this.maxCount, this.sydwnameStr);
/* 489 */     this.tableViewer.setInput(this.list);
/* 490 */     if (this.list != null && this.list.size() > 0) {
/* 491 */       this.totalRows = ((SydwInfo)this.list.get(0)).getTotalRows();
/* 492 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 493 */       this.totalPages = pu.getTotalPages();
/* 494 */       this.currentPage = pu.getCurrentPage();
/* 495 */       this.hasNextPage = pu.isHasNextPage();
/* 496 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 498 */       setFenYe(this.list, this.currentPage);
/* 499 */       setFontColor();
/* 500 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 508 */     if (this.cursor != null)
/* 509 */       this.cursor.dispose(); 
/* 510 */     this.cursor = new TableCursor(this.table, 0);
/* 511 */     this.cursor.setBackground(this.table.getDisplay()
/* 512 */         .getSystemColor(26));
/* 513 */     this.cursor.setForeground(this.table.getDisplay()
/* 514 */         .getSystemColor(27));
/* 515 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 517 */             int colums = PreInstaurationListView.this.cursor.getColumn();
/* 518 */             if (colums == 0) {
/* 519 */               PreInstaurationListView.this.openPreInsDetailDialog();
/*     */             }
/* 521 */             if (colums == 5) {
/* 522 */               PreInstaurationListView.this.deleteShenHeDanDialog();
/*     */             }
/* 524 */             PreInstaurationListView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 527 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 530 */             int colums = PreInstaurationListView.this.cursor.getColumn();
/* 531 */             if (colums == PreInstaurationListView.this.selectColums) {
/* 532 */               if (colums == 0) {
/* 533 */                 PreInstaurationListView.this.openPreInsDetailDialog();
/*     */               }
/* 535 */               if (colums == 5) {
/* 536 */                 PreInstaurationListView.this.deleteShenHeDanDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void openPreInsDetailDialog() {
/* 545 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 546 */       .getSelection();
/* 547 */     SydwInfo sydwInfo = (SydwInfo)select.getFirstElement();
/*     */     
/* 549 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */     
/* 551 */     PreInstaurationInputDialog dialog = new PreInstaurationInputDialog(
/* 552 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 553 */         .getShell(), sydwInfo);
/* 554 */     if (dialog.open() == 0) {
/* 555 */       String Flag = this.zgdwManage.saveZgdwPreInsInfo(sydwInfo, dialog.getAfterMod(), 
/* 556 */           GljgUserInfo.getInstance().getGroupid(), 
/* 557 */           GljgUserInfo.getInstance().getUserid(), 
/* 558 */           GljgUserInfo.getInstance().getRealname(), 
/* 559 */           GljgUserInfo.getInstance().getDistrictcode(), "old");
/* 560 */       if (Flag != null) {
/* 561 */         if ("true".equals(Flag)) {
/*     */           
/* 563 */           SydjMessageDialog.openInformation(null, "提示", "修改新设立预登记信息成功！");
/*     */         } else {
/*     */           
/* 566 */           SydjMessageDialog.openInformation(null, "提示", "修改新设立预登记信息失败！");
/*     */           
/*     */           return;
/*     */         } 
/*     */       }
/*     */     } 
/*     */     
/* 573 */     this.list = this.zgdwManage.getZgdwPreInsListInfo(this.groupId, this.startNo, this.maxCount, this.sydwnameStr);
/* 574 */     this.tableViewer.setInput(this.list);
/* 575 */     setFontColor();
/* 576 */     setCursor();
/*     */   }
/*     */ 
/*     */   
/*     */   private void deleteShenHeDanDialog() {
/* 581 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 582 */       .getSelection();
/* 583 */     SydwInfo sydwInfo = (SydwInfo)select.getFirstElement();
/*     */     
/* 585 */     if ("有效".equals(sydwInfo.getSydwState()) && PublicUtil.isNull(sydwInfo.getSYDW_ID())) {
/* 586 */       boolean flags = SydjMessageDialog.openConfirm(
/* 587 */           null, "提示", "确定要删除该新设立预登记吗？ 删除后该新设立预登记不可查看！");
/* 588 */       if (flags) {
/* 589 */         String Flag = this.zgdwManage.deleteZgdwPreInsInfo(sydwInfo.getUNIFY_CODE());
/* 590 */         if (Flag != null) {
/* 591 */           if ("true".equals(Flag)) {
/*     */             
/* 593 */             SydjMessageDialog.openInformation(null, "提示", "新设立预登记删除成功！");
/*     */           } else {
/*     */             
/* 596 */             SydjMessageDialog.openInformation(null, "提示", "新设立预登记删除失败！");
/*     */             
/*     */             return;
/*     */           } 
/*     */         }
/*     */         
/* 602 */         this.list = this.zgdwManage.getZgdwPreInsListInfo(this.groupId, this.startNo, this.maxCount, this.sydwnameStr);
/* 603 */         this.tableViewer.setInput(this.list);
/* 604 */         setFontColor();
/* 605 */         setCursor();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 614 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 615 */       this.table.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 616 */       this.table.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 617 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 618 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<SydwInfo> list, int nextcurrentPage) {
/* 623 */     this.totalRows = 0;
/* 624 */     if (list != null && list.size() > 0) {
/* 625 */       this.totalRows = ((SydwInfo)list.get(0)).getTotalRows();
/*     */     }
/* 627 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 628 */     this.totalPages = pu.getTotalPages();
/* 629 */     this.currentPage = pu.getCurrentPage();
/* 630 */     this.hasNextPage = pu.isHasNextPage();
/* 631 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 632 */     this.startNo = pu.getStartNum();
/*     */ 
/*     */     
/* 635 */     this.tableViewer.setInput(list);
/* 636 */     setFontColor();
/* 637 */     setCursor();
/* 638 */     if (this.totalPages == 0) {
/* 639 */       this.label_page.setText("0/0");
/*     */     } else {
/* 641 */       this.label_page.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 643 */     this.label_total.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 644 */     this.label_total.getParent().getParent().layout();
/* 645 */     this.button_prev.setEnabled(this.hasPreviousPage);
/* 646 */     this.button_next.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 654 */     this.list = this.zgdwManage.getZgdwPreInsListInfo(this.groupId, this.startNo, this.maxCount, this.sydwnameStr);
/* 655 */     this.tableViewer.setInput(this.list);
/* 656 */     setFontColor();
/* 657 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 671 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 672 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 679 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 680 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\zgdwmanage\ins\PreInstaurationListView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */