/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.AbstractPrintOptionsPanel;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.controller.FileDestinationTypePanel;
/*     */ import jpdf.gui.controller.FileOutputPanel;
/*     */ import jpdf.gui.controller.PrintPageRangePanel;
/*     */ import jpdf.gui.controller.PrinterSelectionPanel;
/*     */ import jpdf.gui.preview.AbstractPreviewControlPanel;
/*     */ import jpdf.gui.preview.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.FullColLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewPrintContainerPanel
/*     */   extends AbstractPrintOptionsContainerPanel
/*     */ {
/*     */   public PreviewPrintContainerPanel() {
/*  80 */     super("PreviewPrint", arrayOfPrintOptionsController);
/*     */     
/*  82 */     a((Locale)null);
/*     */   }
/*     */ 
/*     */   
/*     */   public PreviewPrintContainerPanel(Locale paramLocale) {
/*  87 */     super("PreviewPrint", arrayOfPrintOptionsController);
/*     */     
/*  89 */     a(paramLocale);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintableControlPanel getPreviewControlPanel() {
/* 102 */     return (PreviewPrintableControlPanel)getPrintOptionsControllerList()[6];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Locale paramLocale) {
/*     */     String str1, str2;
/*     */     PrintOptionsController[] arrayOfPrintOptionsController1;
/* 293 */     PreviewPrintableControlPanel previewPrintableControlPanel = (PreviewPrintableControlPanel)(arrayOfPrintOptionsController1 = getPrintOptionsControllerList())[6]; AbstractPreviewControlPanel.ControlState controlState; (controlState = new AbstractPreviewControlPanel.ControlState()).displayingSize = true; previewPrintableControlPanel.setControlState(controlState);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 300 */     ((PrinterSelectionPanel)arrayOfPrintOptionsController1[0]).disablePageKeys();
/*     */ 
/*     */     
/* 303 */     PrintOptionsController[] arrayOfPrintOptionsController3 = arrayOfPrintOptionsController1; int k = 0; int j; if ((j = ((AbstractPrintOptionsPanel)arrayOfPrintOptionsController3[4]).getLabelPreferredWidth()) > 0) k = j;  if ((j = ((AbstractPrintOptionsPanel)arrayOfPrintOptionsController3[5]).getLabelPreferredWidth()) > k) k = j;  ((AbstractPrintOptionsPanel)arrayOfPrintOptionsController3[4]).setLabelPreferredWidth(k); ((AbstractPrintOptionsPanel)arrayOfPrintOptionsController3[5]).setLabelPreferredWidth(k);
/*     */ 
/*     */     
/* 306 */     setLayout(new BorderLayout(7, 7));
/* 307 */     setBorder(EMPTY_BORDER);
/*     */ 
/*     */     
/* 310 */     add(arrayOfPrintOptionsController1[0].getDisplayComponent(), "North");
/* 311 */     PrintOptionsController[] arrayOfPrintOptionsController5 = arrayOfPrintOptionsController1; Locale locale2 = paramLocale; PreviewPrintContainerPanel previewPrintContainerPanel = this; PrintPageRangePanel printPageRangePanel = (PrintPageRangePanel)arrayOfPrintOptionsController5[1]; JPanel jPanel2 = new JPanel((LayoutManager)new FullColLayout(7)); JPanel jPanel3; (jPanel3 = new JPanel(new FlowLayout(0, 7, 2))).add(arrayOfPrintOptionsController5[8].getDisplayComponent()); printPageRangePanel.addComponentBelow(jPanel3); PrintOptionsController[] arrayOfPrintOptionsController6 = arrayOfPrintOptionsController5; JPanel jPanel4 = new JPanel(new FlowLayout(1, 0, 0)); JPanel jPanel5; (jPanel5 = new JPanel((LayoutManager)new ColLayout())).add(arrayOfPrintOptionsController6[3].getDisplayComponent()); jPanel5.add(arrayOfPrintOptionsController6[10].getDisplayComponent()); jPanel4.add(jPanel5); jPanel2.add(jPanel4); jPanel2.add((Component)printPageRangePanel); jPanel2.add(arrayOfPrintOptionsController5[2].getDisplayComponent()); PrintOptionsController[] arrayOfPrintOptionsController2 = arrayOfPrintOptionsController5; Locale locale3 = locale2; jPanel5 = new JPanel(new BorderLayout()); JPanel jPanel1 = new JPanel(); if (locale3 == null) { str1 = "Job Attributes"; } else { str1 = ResourceAdministrator.getLocalizedString("jobAttributes"); }  jPanel5.setBorder(BorderFactory.createTitledBorder(str1)); if (arrayOfPrintOptionsController2[7] != null) jPanel1.add(arrayOfPrintOptionsController2[7].getDisplayComponent());  if (arrayOfPrintOptionsController2[9] != null) jPanel1.add(arrayOfPrintOptionsController2[9].getDisplayComponent());  jPanel1.add(arrayOfPrintOptionsController2[4].getDisplayComponent()); jPanel1.add(arrayOfPrintOptionsController2[5].getDisplayComponent()); int i = jPanel1.getComponentCount(); jPanel1.setLayout(new GridLayout(i, 1, 0, 3)); jPanel5.add(jPanel1, "North"); jPanel2.add(jPanel5); add(jPanel2, "West");
/* 312 */     PrintOptionsController[] arrayOfPrintOptionsController4 = arrayOfPrintOptionsController1; Locale locale1 = paramLocale; jPanel2 = new JPanel(new BorderLayout()); if (locale1 == null) { str2 = "Preview"; } else { str2 = ResourceAdministrator.getLocalizedString("preview"); }  jPanel2.setBorder(BorderFactory.createTitledBorder(str2)); jPanel2.setPreferredSize(new Dimension(350, 250)); JComponent jComponent = arrayOfPrintOptionsController4[6].getDisplayComponent(); jPanel2.add(jComponent, "Center"); add(jPanel2, "Center");
/*     */ 
/*     */     
/* 315 */     FileDestinationTypePanel fileDestinationTypePanel = (FileDestinationTypePanel)arrayOfPrintOptionsController1[10];
/* 316 */     FileOutputPanel fileOutputPanel = (FileOutputPanel)arrayOfPrintOptionsController1[3];
/* 317 */     fileDestinationTypePanel.setSelectionObserver((FileDestinationTypePanel.FileTypeSelectionObserver)fileOutputPanel);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\PreviewPrintContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */