/*     */ package jpdf.gui.container;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.IllegalComponentStateException;
/*     */ import java.awt.KeyboardFocusManager;
/*     */ import java.awt.LayoutManager;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.event.ChangeEvent;
/*     */ import javax.swing.event.ChangeListener;
/*     */ import jpdf.gui.InputDataException;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.component.FocusLossUpdatable;
/*     */ import jpdf.gui.dialog.AbstractPrintDialog;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TopTabPaneContainerPanel
/*     */   extends AbstractPrintOptionsContainerPanel
/*     */ {
/*     */   static class a
/*     */     implements ChangeListener
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void stateChanged(ChangeEvent param1ChangeEvent) {
/*  62 */       KeyboardFocusManager keyboardFocusManager = null;
/*     */       JTabbedPane jTabbedPane;
/*  64 */       Component component = (jTabbedPane = (JTabbedPane)param1ChangeEvent.getSource()).getSelectedComponent();
/*  65 */       keyboardFocusManager = null;
/*     */ 
/*     */       
/*  68 */       if (component instanceof jpdf.gui.UpdatableDisplay) {
/*     */         Component component1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  83 */         if (component1 = (keyboardFocusManager = KeyboardFocusManager.getCurrentKeyboardFocusManager()).getFocusOwner() instanceof FocusLossUpdatable)
/*     */         {
/*  85 */           ((FocusLossUpdatable)component1).lostFocus();
/*     */         }
/*     */       } 
/*     */ 
/*     */       
/*  90 */       TabPaneContainerPanel.focusOnFirstInputComponent(component);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   private AbstractPrintDialog.ButtonPanel dialogButtonPanel = null;
/*  99 */   private JTabbedPane tabbedPane = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TopTabPaneContainerPanel(PrintOptionsController[] paramArrayOfPrintOptionsController) {
/* 108 */     super("Top Tab Pane", paramArrayOfPrintOptionsController);
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 110 */     PrintOptionsController[] arrayOfPrintOptionsController = (topTabPaneContainerPanel = this).getPrintOptionsControllerList(); JPanel jPanel = new JPanel(); topTabPaneContainerPanel.setLayout(new BorderLayout()); byte b; topTabPaneContainerPanel.setBorder(BorderFactory.createEmptyBorder(b = 4, b, b, b)); jPanel.add(topTabPaneContainerPanel.a(arrayOfPrintOptionsController)); topTabPaneContainerPanel.add(arrayOfPrintOptionsController[0].getDisplayComponent(), "Center"); topTabPaneContainerPanel.add(jPanel, "South");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addDialogButtonPanel(AbstractPrintDialog.ButtonPanel paramButtonPanel) {
/*     */     String str1;
/* 131 */     JPanel jPanel1 = (JPanel)getComponent(1);
/* 132 */     JPanel jPanel2 = new JPanel(new BorderLayout());
/*     */ 
/*     */     
/* 135 */     if (getDialogButtonPanel() != null) {
/*     */       
/* 137 */       str1 = "The Button Panel was previously added.  It cannot be added again.";
/* 138 */       throw new IllegalComponentStateException(str1);
/*     */     } 
/*     */ 
/*     */     
/* 142 */     str1.setLayout((LayoutManager)new ColLayout(3, 6));
/*     */ 
/*     */     
/* 145 */     remove(jPanel1);
/*     */ 
/*     */     
/* 148 */     jPanel2.add(jPanel1, "Center");
/* 149 */     jPanel2.add((Component)str1, "East");
/*     */ 
/*     */     
/* 152 */     add(jPanel2, "South");
/*     */     
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 155 */     String str2 = str1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPrintDialog.ButtonPanel getDialogButtonPanel() {
/* 164 */     return this.dialogButtonPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JTabbedPane getTabbedPane() {
/* 172 */     return this.tabbedPane;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 190 */     PrintOptionsController[] arrayOfPrintOptionsController = getPrintOptionsControllerList();
/* 191 */     boolean bool = true;
/* 192 */     int i = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 198 */       for (byte b = 0; b < arrayOfPrintOptionsController.length;)
/*     */       {
/*     */         
/* 201 */         if (bool = arrayOfPrintOptionsController[b].updatePrintOptions(paramPrintInfoHolder)) {
/*     */           b++;
/*     */         }
/*     */       }
/*     */     
/* 206 */     } catch (InputDataException inputDataException) {
/*     */       TopTabPaneContainerPanel topTabPaneContainerPanel; JTabbedPane jTabbedPane;
/*     */       Container container1;
/*     */       Container container2;
/* 210 */       for (container1 = inputDataException.INPUT_COMPONENT, jTabbedPane = (topTabPaneContainerPanel = this).getTabbedPane(), container2 = container1.getParent(), i = -1; container2 != jTabbedPane && container2 != null; container2 = (container1 = container2).getParent()); if (container2 == jTabbedPane) i = jTabbedPane.indexOfComponent(container1); 
/* 211 */       if ((i = i) >= 0) getTabbedPane().setSelectedIndex(i);
/*     */ 
/*     */       
/* 214 */       handleInputDataException(inputDataException);
/*     */       
/* 216 */       bool = false;
/*     */     } 
/*     */     
/* 219 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JTabbedPane a(PrintOptionsController[] paramArrayOfPrintOptionsController) {
/* 233 */     JComponent jComponent = null;
/*     */     
/* 235 */     this.tabbedPane = new JTabbedPane();
/*     */ 
/*     */     
/* 238 */     for (byte b = 1; b < paramArrayOfPrintOptionsController.length; b++) {
/*     */       
/* 240 */       jComponent = paramArrayOfPrintOptionsController[b].getDisplayComponent();
/* 241 */       this.tabbedPane.addTab(paramArrayOfPrintOptionsController[b].getName(), jComponent);
/*     */     } 
/*     */ 
/*     */     
/* 245 */     this.tabbedPane.addChangeListener(new a((byte)0));
/*     */     
/* 247 */     return this.tabbedPane;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\TopTabPaneContainerPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */