/*     */ package jpdf.gui.container.assembly;
/*     */ 
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.controller.AbstractOffsetPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OffsetsAssemblyPanel
/*     */   extends AbstractPrintOptionsContainerPanel
/*     */ {
/*     */   public static class OneRowLayout
/*     */     extends OffsetsAssemblyPanel
/*     */   {
/*     */     public OneRowLayout(boolean param1Boolean) {
/*  57 */       this("Offsets", param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public OneRowLayout(Locale param1Locale, boolean param1Boolean) {
/*  62 */       super(param1Locale, false, param1Boolean, (byte)0);
/*     */       
/*  64 */       a(getName());
/*     */     }
/*     */ 
/*     */     
/*     */     public OneRowLayout(String param1String, boolean param1Boolean) {
/*  69 */       super(param1String, false, param1Boolean, (byte)0);
/*     */       
/*  71 */       a(param1String);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private void a(String param1String) {
/*  79 */       PrintOptionsController[] arrayOfPrintOptionsController = getPrintOptionsControllerList();
/*     */ 
/*     */       
/*  82 */       param1String = param1String + " (" + ResourceAdministrator.getMediaSizeUnitsString() + ")";
/*     */ 
/*     */       
/*  85 */       setLayout((LayoutManager)new RowLayout(0, 7));
/*  86 */       setBorder(BorderFactory.createTitledBorder(param1String));
/*     */ 
/*     */       
/*  89 */       add(arrayOfPrintOptionsController[0].getDisplayComponent());
/*  90 */       add(arrayOfPrintOptionsController[1].getDisplayComponent());
/*  91 */       add(arrayOfPrintOptionsController[2].getDisplayComponent());
/*  92 */       add(arrayOfPrintOptionsController[3].getDisplayComponent());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TwoRowLayout
/*     */     extends OffsetsAssemblyPanel
/*     */   {
/*     */     public TwoRowLayout(boolean param1Boolean, int param1Int) {
/* 111 */       this("Offsets", param1Boolean, param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(Locale param1Locale, boolean param1Boolean, int param1Int) {
/* 120 */       super(param1Locale, false, param1Boolean, (byte)0);
/*     */       
/* 122 */       a(getName(), param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(String param1String, boolean param1Boolean, int param1Int) {
/* 131 */       super(param1String, false, param1Boolean, (byte)0);
/*     */       
/* 133 */       a(param1String, param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private void a(String param1String, int param1Int) {
/* 163 */       PrintOptionsController[] arrayOfPrintOptionsController2 = getPrintOptionsControllerList();
/*     */ 
/*     */       
/* 166 */       param1String = param1String + " (" + ResourceAdministrator.getMediaSizeUnitsString() + ")";
/*     */ 
/*     */       
/* 169 */       setLayout(new FlowLayout(param1Int));
/* 170 */       setBorder(BorderFactory.createTitledBorder(param1String));
/*     */ 
/*     */       
/* 173 */       PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController2; ColLayout colLayout = new ColLayout(0, 4, 7); JPanel jPanel1 = new JPanel(new GridLayout(1, 2, 7, 0)); JPanel jPanel2; (jPanel2 = new JPanel((LayoutManager)colLayout)).add(arrayOfPrintOptionsController1[0].getDisplayComponent()); jPanel2.add(arrayOfPrintOptionsController1[2].getDisplayComponent()); jPanel1.add(jPanel2); (jPanel2 = new JPanel((LayoutManager)colLayout)).add(arrayOfPrintOptionsController1[1].getDisplayComponent()); jPanel2.add(arrayOfPrintOptionsController1[3].getDisplayComponent()); jPanel1.add(jPanel2); add(jPanel1);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class DiamondLayout
/*     */     extends OffsetsAssemblyPanel
/*     */   {
/*     */     public DiamondLayout(boolean param1Boolean1, int param1Int, boolean param1Boolean2) {
/* 193 */       this("Offsets", param1Boolean1, param1Int, param1Boolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public DiamondLayout(Locale param1Locale, boolean param1Boolean1, int param1Int, boolean param1Boolean2) {
/* 203 */       super(param1Locale, param1Boolean2, param1Boolean1, (byte)0);
/*     */       
/* 205 */       a(getName(), param1Int, param1Boolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public DiamondLayout(String param1String, boolean param1Boolean1, int param1Int, boolean param1Boolean2) {
/* 215 */       super(param1String, param1Boolean2, param1Boolean1, (byte)0);
/*     */       
/* 217 */       a(param1String, param1Int, param1Boolean2);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private void a(String param1String, int param1Int, boolean param1Boolean) {
/* 275 */       PrintOptionsController[] arrayOfPrintOptionsController2 = getPrintOptionsControllerList();
/*     */ 
/*     */       
/* 278 */       param1String = param1String + " (" + ResourceAdministrator.getMediaSizeUnitsString() + ")";
/*     */ 
/*     */       
/* 281 */       setLayout(new FlowLayout(param1Int, 0, 0));
/* 282 */       setBorder(BorderFactory.createTitledBorder(param1String));
/*     */ 
/*     */       
/* 285 */       if (param1Boolean) {
/*     */         
/* 287 */         PrintOptionsController[] arrayOfPrintOptionsController = arrayOfPrintOptionsController2; GridLayout gridLayout = new GridLayout(1, 2, 40, 0); JPanel jPanel4 = new JPanel(new GridLayout(3, 1, 0, 0)), jPanel3 = new JPanel(gridLayout); ((AbstractOffsetPanel)arrayOfPrintOptionsController[2]).centerAlignment(); jPanel4.add(arrayOfPrintOptionsController[2].getDisplayComponent()); jPanel3.add(arrayOfPrintOptionsController[0].getDisplayComponent()); jPanel3.add(arrayOfPrintOptionsController[1].getDisplayComponent()); jPanel4.add(jPanel3); ((AbstractOffsetPanel)arrayOfPrintOptionsController[3]).centerAlignment(); jPanel4.add(arrayOfPrintOptionsController[3].getDisplayComponent()); add(jPanel4);
/*     */         
/*     */         return;
/*     */       } 
/* 291 */       PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController2; RowLayout rowLayout = new RowLayout(0, 7); JPanel jPanel2 = new JPanel(new GridLayout(3, 1, 0, 7)), jPanel1 = new JPanel((LayoutManager)rowLayout); ((AbstractOffsetPanel)arrayOfPrintOptionsController1[2]).centerAlignment(); jPanel2.add(arrayOfPrintOptionsController1[2].getDisplayComponent()); jPanel1.add(arrayOfPrintOptionsController1[0].getDisplayComponent()); jPanel1.add(arrayOfPrintOptionsController1[1].getDisplayComponent()); jPanel2.add(jPanel1); ((AbstractOffsetPanel)arrayOfPrintOptionsController1[3]).centerAlignment(); jPanel2.add(arrayOfPrintOptionsController1[3].getDisplayComponent()); add(jPanel2);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private OffsetsAssemblyPanel(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 313 */     super(ResourceAdministrator.getLocalizedString("offsets"), arrayOfPrintOptionsController);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private OffsetsAssemblyPanel(String paramString, boolean paramBoolean1, boolean paramBoolean2) {
/* 319 */     super(paramString, arrayOfPrintOptionsController);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\container\assembly\OffsetsAssemblyPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */