/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Font;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.FocusListener;
/*     */ import java.util.Locale;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTextField;
/*     */ import jpdf.attribute.PageNotesSyntax;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.component.AbstractUpdateTextField;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ import jpdf.gui.component.PrintParameterMarkerToolBarPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.component.d.d;
/*     */ import jpdf_common.gui.component.g.f;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPageNotesPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */   implements HeaderFooterInputController
/*     */ {
/*     */   static class a
/*     */     extends JTextField
/*     */     implements PrintParameterMarkerToolBarPanel.NoteTextComponent
/*     */   {
/*     */     protected a() {
/*  67 */       super(16);
/*     */       
/*  69 */       a(this, 150);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected static void a(JTextField param1JTextField, int param1Int) {
/*     */       Dimension dimension;
/*  84 */       if ((dimension = param1JTextField.getPreferredSize()).width > 150) {
/*     */         
/*  86 */         param1JTextField.setColumns(0);
/*  87 */         dimension.width = 150;
/*  88 */         param1JTextField.setPreferredSize(dimension);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends AbstractUpdateTextField
/*     */     implements PrintParameterMarkerToolBarPanel.NoteTextComponent
/*     */   {
/*     */     private c() {
/* 102 */       super(16);
/*     */       
/* 104 */       AbstractPageNotesPanel.a.a((JTextField)this, 150);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void updated() {
/* 110 */       AbstractPageNotesPanel.this.updatePrintOptions();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     implements ActionListener
/*     */   {
/*     */     private b(AbstractPageNotesPanel this$0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       d d;
/* 140 */       (d = (d)this.a.getFontSelectionPanel()).b(this.a.getColorSelectionPanel().o());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 149 */   protected static final Dimension SPINNER_SIZE = new Dimension(50, 25);
/*     */ 
/*     */   
/*     */   protected static final int LEFT_INDEX = 0;
/*     */ 
/*     */   
/*     */   protected static final int CENTER_INDEX = 1;
/*     */ 
/*     */   
/*     */   protected static final int RIGHT_INDEX = 2;
/*     */   
/*     */   protected final boolean UPDATED_IMMEDIATELY;
/*     */   
/* 162 */   private PrintInfoHolder printInfoHolder = null;
/* 163 */   private JTextField[] noteFieldList = null;
/* 164 */   private f colorSelectionPanel = null;
/* 165 */   private jpdf_common.gui.component.d.a fontSelectionPanel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageNotesPanel(String paramString, boolean paramBoolean) {
/* 180 */     super(paramString);
/*     */     
/* 182 */     this.UPDATED_IMMEDIATELY = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addInputFocusListener(PrintParameterMarkerToolBarPanel paramPrintParameterMarkerToolBarPanel) {
/* 200 */     FocusListener focusListener = paramPrintParameterMarkerToolBarPanel.getNoteComponentFocusListener();
/* 201 */     JTextField[] arrayOfJTextField = getNoteFieldList();
/*     */     
/* 203 */     for (byte b = 0; b < arrayOfJTextField.length; b++)
/*     */     {
/* 205 */       arrayOfJTextField[b].addFocusListener(focusListener);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font getDefaultNoteFont() {
/* 217 */     return PageNotesSyntax.getDefaultNoteFont();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontOptionsLayout(LayoutManager paramLayoutManager) {
/* 226 */     getFontSelectionPanel().a(paramLayoutManager);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createContentPanel(Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/*     */     String str2, str1, str4, str5, str6;
/*     */     byte b;
/* 243 */     JPanel jPanel1 = new JPanel(new BorderLayout(7, 7));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 251 */     if (paramLocale == null) {
/*     */       
/* 253 */       str2 = "Font";
/*     */     }
/*     */     else {
/*     */       
/* 257 */       str2 = ResourceAdministrator.getLocalizedString("font");
/*     */     } 
/*     */ 
/*     */     
/* 261 */     boolean bool6 = paramBoolean2, bool5 = paramBoolean1, bool4 = this.UPDATED_IMMEDIATELY; Font font = getDefaultNoteFont(); String str3 = str2; Locale locale2 = paramLocale; AbstractPageNotesPanel abstractPageNotesPanel1 = this; Object object = null; boolean bool = false; if (bool4) object = new Object(abstractPageNotesPanel1, (byte)0);  jpdf_common.gui.d.a a1 = new jpdf_common.gui.d.a(false, true, 6, 64, 1); if (bool6) { abstractPageNotesPanel1.fontSelectionPanel = (jpdf_common.gui.component.d.a)new d(locale2, str3, font, (jpdf_common.gui.component.d.a.a)object, false, a1, bool5); b = bool5 ? 28 : 58; ((d)abstractPageNotesPanel1.fontSelectionPanel).b(b); } else { abstractPageNotesPanel1.fontSelectionPanel = (jpdf_common.gui.component.d.a)new jpdf_common.gui.component.d.c(locale2, str3, font, (jpdf_common.gui.component.d.a.a)object, false, b, bool5); }  boolean bool3 = bool6, bool2 = bool4; locale2 = locale2; object = abstractPageNotesPanel1; JPanel jPanel3 = new JPanel(new FlowLayout(1, 4, 0)); if (locale2 == null) { str1 = "Color:"; } else { str1 = ResourceAdministrator.getLocalizedString("color") + ':'; }  jPanel3.add(new JLabel(str1)); boolean bool1 = bool2 = bool3; ((AbstractPageNotesPanel)(object = object)).colorSelectionPanel = AbstractColorPopupPanel.createForegroundColorPopupPanel(); if (bool2) ((AbstractPageNotesPanel)object).colorSelectionPanel.a(new b((byte)0));  if (bool1) ((AbstractPageNotesPanel)object).colorSelectionPanel.a(new AbstractPrintOptionsControllerPanel.ImmediateUpdateActionListener((AbstractPrintOptionsControllerPanel)object));  jPanel3.add((Component)((AbstractPageNotesPanel)object).colorSelectionPanel); object = jPanel3; abstractPageNotesPanel1.fontSelectionPanel.a((JComponent)object); object = abstractPageNotesPanel1.fontSelectionPanel;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 266 */     Locale locale1 = paramLocale; AbstractPageNotesPanel abstractPageNotesPanel2; if ((abstractPageNotesPanel2 = abstractPageNotesPanel1 = this).UPDATED_IMMEDIATELY) { abstractPageNotesPanel2.noteFieldList = new JTextField[] { (JTextField)new c((byte)0), (JTextField)new c((byte)0), (JTextField)new c((byte)0) }; } else { abstractPageNotesPanel2.noteFieldList = new JTextField[] { new a(), new a(), new a() }; }  JTextField[] arrayOfJTextField = abstractPageNotesPanel2.noteFieldList; JPanel jPanel2 = new JPanel(new GridLayout(1, 3, 7, 0)); if (locale1 == null) { str4 = "Left"; str5 = "Center"; str6 = "Right"; } else { str4 = ResourceAdministrator.getLocalizedString("marginLeft"); str5 = ResourceAdministrator.getLocalizedString("center"); str6 = ResourceAdministrator.getLocalizedString("marginRight"); }  jPanel2.add(PrintComponentFactory.buildTopLabeledComponentPanel(str4, arrayOfJTextField[0], false)); jPanel2.add(PrintComponentFactory.buildTopLabeledComponentPanel(str5, arrayOfJTextField[1], false)); jPanel2.add(PrintComponentFactory.buildTopLabeledComponentPanel(str6, arrayOfJTextField[2], false)); jPanel1.add(jPanel2, "North");
/* 267 */     jPanel1.add((Component)object, "Center");
/*     */     
/* 269 */     return jPanel1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected f getColorSelectionPanel() {
/* 277 */     return this.colorSelectionPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected jpdf_common.gui.component.d.a getFontSelectionPanel() {
/* 285 */     return this.fontSelectionPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String[] getInputNotesArray() {
/* 293 */     JTextField[] arrayOfJTextField = getNoteFieldList();
/*     */     
/*     */     String[] arrayOfString;
/*     */     
/* 297 */     (arrayOfString = new String[3])[0] = arrayOfJTextField[0].getText();
/* 298 */     arrayOfString[1] = arrayOfJTextField[1].getText();
/* 299 */     arrayOfString[2] = arrayOfJTextField[2].getText();
/*     */     
/* 301 */     return arrayOfString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JTextField[] getNoteFieldList() {
/* 309 */     return this.noteFieldList;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 318 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeControls(PageNotesSyntax paramPageNotesSyntax) {
/* 326 */     JTextField[] arrayOfJTextField = null;
/*     */ 
/*     */ 
/*     */     
/* 330 */     if (paramPageNotesSyntax != null) {
/*     */ 
/*     */ 
/*     */       
/* 334 */       (arrayOfJTextField = getNoteFieldList())[0].setText(paramPageNotesSyntax.getArrayElementValue(0));
/* 335 */       arrayOfJTextField[1].setText(paramPageNotesSyntax.getArrayElementValue(1));
/* 336 */       arrayOfJTextField[2].setText(paramPageNotesSyntax.getArrayElementValue(2));
/*     */ 
/*     */       
/* 339 */       getColorSelectionPanel().a(paramPageNotesSyntax.getNotesColor(), true);
/*     */ 
/*     */       
/* 342 */       getFontSelectionPanel().a(paramPageNotesSyntax.getNotesFont());
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setPrintInfoHolder(PrintInfoHolder paramPrintInfoHolder) {
/* 353 */     this.printInfoHolder = paramPrintInfoHolder;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\AbstractPageNotesPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */