/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.io.Serializable;
/*     */ import java.util.Comparator;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.ServiceUIFactory;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JDialog;
/*     */ import jpdf.gui.PrintServiceSelector;
/*     */ import jpdf.gui.dialog.PrintDialogPreferences;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.PrintServiceRegistry;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPrintServiceSelectorPanel
/*     */   extends AbstractPrintServiceSetterPanel
/*     */   implements PrintServiceSelector
/*     */ {
/*     */   class b
/*     */     implements ActionListener
/*     */   {
/*     */     private b(AbstractPrintServiceSelectorPanel this$0) {}
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       PrintService printService;
/*  62 */       ServiceUIFactory serviceUIFactory = (printService = this.a.getSelectedPrintService()).getServiceUIFactory();
/*  63 */       JDialog jDialog = null;
/*  64 */       boolean bool = false;
/*     */ 
/*     */       
/*  67 */       if (serviceUIFactory != null)
/*     */       {
/*     */ 
/*     */         
/*  71 */         if ((jDialog = (JDialog)serviceUIFactory.getUI(3, "javax.swing.JDialog")) != null) {
/*     */           
/*  73 */           jDialog.setVisible(true);
/*  74 */           bool = true;
/*     */         } 
/*     */       }
/*     */ 
/*     */ 
/*     */       
/*  80 */       if (!bool && AbstractPrintServiceSelectorPanel.isToShowNativePropertiesDialog())
/*     */       {
/*  82 */         if (!a(printService))
/*     */         {
/*  84 */           this.a.getPropertiesButton().setEnabled(false);
/*     */         }
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private boolean a(PrintService param1PrintService) {
/*  94 */       String str = param1PrintService.getName();
/*  95 */       boolean bool = false;
/*     */ 
/*     */       
/*  98 */       str = "RUNDLL32 PRINTUI.DLL,PrintUIEntry /v \"Windows XP\" /e /n \"" + str + "\"";
/*     */ 
/*     */       
/*     */       try {
/* 102 */         AbstractPrintServiceSelectorPanel.a(this.a, 1);
/* 103 */         Runtime.getRuntime().exec(str);
/* 104 */         bool = true;
/*     */       }
/* 106 */       catch (Exception exception) {
/*     */         
/* 108 */         PrintManager.handleException((Throwable)(str = null), false);
/* 109 */         ResourceAdministrator.displayPrinterError("msg.printerPropertiesDialogNotAvailable");
/*     */       } 
/*     */       
/* 112 */       return bool;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   static class a
/*     */     implements Serializable, Comparator
/*     */   {
/*     */     private a() {}
/*     */ 
/*     */     
/*     */     public final int compare(Object param1Object1, Object param1Object2) {
/* 125 */       param1Object1 = AbstractPrintServiceSelectorPanel.a((PrintService)param1Object1);
/* 126 */       param1Object2 = AbstractPrintServiceSelectorPanel.a((PrintService)param1Object2);
/*     */       
/* 128 */       return param1Object1.compareToIgnoreCase((String)param1Object2);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final boolean equals(Object param1Object) {
/* 134 */       return (param1Object == this);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 142 */   static final a a = new a((byte)0);
/*     */   
/* 144 */   private static Character b = null;
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean c = false;
/*     */ 
/*     */   
/* 151 */   private JButton propertiesButton = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPrintServiceSelectorPanel(Locale paramLocale, String paramString) {
/* 167 */     this(paramLocale, paramString, PrintDialogPreferences.isToDisplayPrintServicePropertiesButton());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPrintServiceSelectorPanel(Locale paramLocale, String paramString, boolean paramBoolean) {
/* 179 */     super(paramString);
/*     */     
/* 181 */     if (paramBoolean) { String str; Locale locale = paramLocale; AbstractPrintServiceSelectorPanel abstractPrintServiceSelectorPanel = this; if (locale == null) { str = "Properties..."; } else { str = ResourceAdministrator.getLocalizedString("button.properties"); }  abstractPrintServiceSelectorPanel.propertiesButton = new JButton(str); abstractPrintServiceSelectorPanel.propertiesButton.addActionListener(new b((byte)0)); abstractPrintServiceSelectorPanel.propertiesButton.setFocusable(false); }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Character getPrefixDelimiterCharacter() {
/* 198 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JButton getPropertiesButton() {
/* 208 */     return this.propertiesButton;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeSelectionList() {
/* 218 */     initializeSelectionList((DocFlavor)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeSelectionList(DocFlavor paramDocFlavor) {
/*     */     PrintService[] arrayOfPrintService;
/* 236 */     if ((arrayOfPrintService = PrintServiceRegistry.lookupPrintServices(paramDocFlavor, null)).length == 0) {
/*     */       
/* 238 */       String str = "There are no Print Services available which support this Doc Flavor:\n  " + paramDocFlavor;
/*     */       
/* 240 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 244 */     initializeSelectionList(arrayOfPrintService);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToShowNativePropertiesDialog() {
/* 254 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPrefixDelimiterCharacter(Character paramCharacter) {
/* 266 */     b = paramCharacter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintService setSelectedPrintService(PrintService paramPrintService) {
/* 277 */     JButton jButton = getPropertiesButton();
/* 278 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 282 */     paramPrintService = super.setSelectedPrintService(paramPrintService);
/*     */ 
/*     */     
/* 285 */     if (jButton != null)
/*     */     {
/* 287 */       if (paramPrintService == null) {
/*     */         
/* 289 */         jButton.setEnabled(false);
/*     */       }
/*     */       else {
/*     */         
/* 293 */         bool = (isToShowNativePropertiesDialog() || paramPrintService.getServiceUIFactory() != null) ? true : false;
/*     */         
/* 295 */         jButton.setEnabled(bool);
/*     */       } 
/*     */     }
/*     */     
/* 299 */     return paramPrintService;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToShowNativePropertiesDialog(boolean paramBoolean) {
/* 310 */     if (jpdf_common.system.a.a.e) c = paramBoolean;
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static String a(PrintService paramPrintService) {
/* 323 */     Character character = getPrefixDelimiterCharacter();
/* 324 */     String str = paramPrintService.getName();
/* 325 */     int i = 0;
/*     */     
/* 327 */     if (character != null)
/*     */     {
/*     */       
/* 330 */       if ((i = str.lastIndexOf(character.charValue())) >= 0)
/*     */       {
/* 332 */         str = str.substring(i + 1);
/*     */       }
/*     */     }
/*     */     
/* 336 */     return str;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\AbstractPrintServiceSelectorPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */