/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.MouseAdapter;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FitOrScalePanel
/*     */   extends AbstractRadioButtonPanel
/*     */ {
/*     */   protected final boolean UPDATED_IMMEDIATELY;
/*     */   
/*     */   public static class OneRowLayout
/*     */     extends FitOrScalePanel
/*     */   {
/*     */     public OneRowLayout(FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  74 */       this("Size", param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public OneRowLayout(Locale param1Locale, FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  80 */       this(ResourceAdministrator.getLocalizedString("size"), param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public OneRowLayout(String param1String, FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  87 */       super(param1String, param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean, (byte)0);
/*     */       
/*  89 */       setFitPanel(param1FitToPagesPanel);
/*  90 */       setScalePanel(param1ScaleFactorPanel);
/*  91 */       ScaleFactorPanel scaleFactorPanel = param1ScaleFactorPanel; FitToPagesPanel fitToPagesPanel = param1FitToPagesPanel; OneRowLayout oneRowLayout; JRadioButton[] arrayOfJRadioButton = (oneRowLayout = this).createFitOrScaleRadioButtons(); JPanel jPanel = new JPanel((LayoutManager)new RowLayout(2, 21)); oneRowLayout.setButtonList(arrayOfJRadioButton); jPanel.add(oneRowLayout.createFitOrScalePanel(arrayOfJRadioButton[1], (JPanel)scaleFactorPanel)); jPanel.add(oneRowLayout.createFitOrScalePanel(arrayOfJRadioButton[0], (JPanel)fitToPagesPanel)); initializeBorderLayoutContents(jPanel, param1String);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TwoRowLayout
/*     */     extends FitOrScalePanel
/*     */   {
/*     */     public TwoRowLayout(FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/* 125 */       this("Size", param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(Locale param1Locale, FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/* 131 */       this(ResourceAdministrator.getLocalizedString("size"), param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(String param1String, FitToPagesPanel param1FitToPagesPanel, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/* 138 */       super(param1String, param1FitToPagesPanel, param1ScaleFactorPanel, param1Boolean, (byte)0);
/*     */       
/* 140 */       setFitPanel(param1FitToPagesPanel);
/* 141 */       setScalePanel(param1ScaleFactorPanel);
/* 142 */       ScaleFactorPanel scaleFactorPanel = param1ScaleFactorPanel; FitToPagesPanel fitToPagesPanel = param1FitToPagesPanel; TwoRowLayout twoRowLayout; JRadioButton[] arrayOfJRadioButton = (twoRowLayout = this).createFitOrScaleRadioButtons(); JPanel jPanel = new JPanel(new GridLayout(2, 1, 0, 7)); twoRowLayout.setButtonList(arrayOfJRadioButton); jPanel.add(twoRowLayout.createFitOrScalePanel(arrayOfJRadioButton[1], (JPanel)scaleFactorPanel)); jPanel.add(twoRowLayout.createFitOrScalePanel(arrayOfJRadioButton[0], (JPanel)fitToPagesPanel)); initializeBorderLayoutContents(jPanel, param1String);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     implements ActionListener
/*     */   {
/*     */     private b(FitOrScalePanel this$0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 175 */       JRadioButton jRadioButton = (JRadioButton)param1ActionEvent.getSource();
/*     */       
/* 177 */       FitOrScalePanel.a(this.a, (jRadioButton == this.a.getButtonList()[0]));
/* 178 */       if (this.a.UPDATED_IMMEDIATELY) this.a.updatePrintOptions(this.a.getPrintInfoHolder());
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   class c
/*     */     extends MouseAdapter
/*     */   {
/*     */     private c(FitOrScalePanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void mouseClicked(MouseEvent param1MouseEvent) {
/* 191 */       this.a.getButtonList()[1].doClick();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends MouseAdapter
/*     */   {
/*     */     private a(FitOrScalePanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void mouseClicked(MouseEvent param1MouseEvent) {
/* 204 */       this.a.getButtonList()[0].doClick();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 221 */   private PrintInfoHolder printInfoHolder = null;
/* 222 */   private FitToPagesPanel fitPanel = null;
/* 223 */   private ScaleFactorPanel scalePanel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FitOrScalePanel(String paramString, FitToPagesPanel paramFitToPagesPanel, ScaleFactorPanel paramScaleFactorPanel, boolean paramBoolean) {
/* 237 */     super(paramString);
/*     */     
/* 239 */     this.UPDATED_IMMEDIATELY = paramBoolean;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 245 */     paramScaleFactorPanel.getSpinnerLabel().addMouseListener(new c((byte)0));
/* 246 */     paramFitToPagesPanel.getSpinnerLabel().addMouseListener(new a((byte)0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 260 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 261 */     boolean bool = false;
/*     */     
/*     */     FitOrScalePanel fitOrScalePanel;
/*     */     
/* 265 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder;
/*     */ 
/*     */ 
/*     */     
/*     */     FitToPagesSelected fitToPagesSelected;
/*     */ 
/*     */     
/* 272 */     if ((fitToPagesSelected = (FitToPagesSelected)printRequestAttributeSet.get(FitToPagesSelected.class)) != null) {
/*     */       
/* 274 */       bool = fitToPagesSelected.getValue();
/* 275 */       getButtonList()[bool ? 0 : 1].setSelected(true);
/*     */     } 
/*     */ 
/*     */     
/* 279 */     a(bool);
/*     */ 
/*     */     
/* 282 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 291 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 292 */     boolean bool = getButtonList()[0].isSelected();
/*     */ 
/*     */     
/* 295 */     printRequestAttributeSet.add(bool ? (Attribute)FitToPagesSelected.TRUE : (Attribute)FitToPagesSelected.FALSE);
/*     */ 
/*     */ 
/*     */     
/* 299 */     updateUpdatableContainer(paramPrintInfoHolder);
/*     */     
/* 301 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createFitOrScalePanel(JRadioButton paramJRadioButton, JPanel paramJPanel) {
/*     */     JPanel jPanel;
/* 317 */     (jPanel = new JPanel(new BorderLayout())).add(paramJRadioButton, "West");
/* 318 */     jPanel.add(paramJPanel, "Center");
/*     */     
/* 320 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JRadioButton[] createFitOrScaleRadioButtons() {
/* 328 */     b b = new b((byte)0);
/* 329 */     JRadioButton[] arrayOfJRadioButton = new JRadioButton[2];
/* 330 */     ButtonGroup buttonGroup = getButtonGroup();
/* 331 */     boolean bool = FitToPagesSelected.getDefaultValue();
/*     */ 
/*     */     
/* 334 */     arrayOfJRadioButton[0] = new JRadioButton("", bool);
/* 335 */     arrayOfJRadioButton[1] = new JRadioButton("", !bool);
/*     */ 
/*     */     
/* 338 */     for (bool = false; bool < arrayOfJRadioButton.length; bool++) {
/*     */       
/* 340 */       arrayOfJRadioButton[bool].setFocusable(false);
/* 341 */       arrayOfJRadioButton[bool].addActionListener(b);
/* 342 */       buttonGroup.add(arrayOfJRadioButton[bool]);
/*     */     } 
/*     */     
/* 345 */     return arrayOfJRadioButton;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 354 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setFitPanel(FitToPagesPanel paramFitToPagesPanel) {
/* 362 */     this.fitPanel = paramFitToPagesPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setScalePanel(ScaleFactorPanel paramScaleFactorPanel) {
/* 370 */     this.scalePanel = paramScaleFactorPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(boolean paramBoolean) {
/*     */     FitOrScalePanel fitOrScalePanel;
/* 384 */     FitToPagesPanel fitToPagesPanel = (fitOrScalePanel = this).fitPanel;
/* 385 */     ScaleFactorPanel scaleFactorPanel = (fitOrScalePanel = this).scalePanel;
/* 386 */     jpdf_common.gui.component.k.b b = null;
/* 387 */     if (paramBoolean) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 392 */       scaleFactorPanel.getNumericSpinner().setEnabled(false);
/*     */       
/*     */       jpdf_common.gui.component.k.b b1;
/*     */       
/* 396 */       if ((b1 = fitToPagesPanel.getPagesWideSpinner()) != null) {
/*     */         
/* 398 */         b1.setEnabled(true);
/* 399 */         b = b1;
/*     */       } 
/*     */       
/* 402 */       if ((b1 = fitToPagesPanel.getPagesHighSpinner()) != null)
/*     */       {
/* 404 */         b1.setEnabled(true);
/* 405 */         if (b == null) b = b1;
/*     */       
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 412 */       (b = scaleFactorPanel.getNumericSpinner()).setEnabled(true);
/*     */       
/*     */       jpdf_common.gui.component.k.b b1;
/*     */       
/* 416 */       if ((b1 = fitToPagesPanel.getPagesWideSpinner()) != null) b1.setEnabled(false);
/*     */       
/* 418 */       if ((b1 = fitToPagesPanel.getPagesHighSpinner()) != null) b1.setEnabled(false);
/*     */     
/*     */     } 
/*     */     
/* 422 */     b.requestFocus();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\FitOrScalePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */