/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Arrays;
/*     */ import java.util.Locale;
/*     */ import javax.print.PrintService;
/*     */ import javax.swing.DefaultComboBoxModel;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrinterSelectionPanel
/*     */   extends AbstractPrintServiceSelectorPanel
/*     */ {
/*     */   static class a
/*     */   {
/*     */     protected final PrintService a;
/*     */     
/*     */     protected a(PrintService param1PrintService) {
/*  65 */       this.a = param1PrintService;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final String toString() {
/*  71 */       return AbstractPrintServiceSelectorPanel.a(this.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends JComboBox
/*     */     implements ActionListener
/*     */   {
/*     */     private b() {
/*  86 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       b b1;
/*  98 */       PrinterSelectionPanel.a a = (PrinterSelectionPanel.a)(b1 = PrinterSelectionPanel.this.getPrinterSelectionComboBox()).getSelectedItem();
/*     */ 
/*     */       
/* 101 */       PrinterSelectionPanel.a(PrinterSelectionPanel.this, a.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class OneRowLayout
/*     */     extends PrinterSelectionPanel
/*     */   {
/*     */     public OneRowLayout(int param1Int) {
/* 144 */       this((Locale)null, "Printer", param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public OneRowLayout(Locale param1Locale, int param1Int) {
/* 149 */       this(param1Locale, ResourceAdministrator.getLocalizedString("printService"), param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public OneRowLayout(String param1String, int param1Int) {
/* 154 */       this((Locale)null, param1String, param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public OneRowLayout(Locale param1Locale, String param1String, int param1Int) {
/* 159 */       super(param1Locale, param1String, (byte)0);
/*     */       
/*     */       JButton jButton;
/* 162 */       if ((jButton = getPropertiesButton()) == null) {
/*     */         
/* 164 */         PrintComponentFactory.arrangeLabeledComponentContents((JPanel)this, param1String, param1Int, getPrinterSelectionComboBox(), 4);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 170 */       PrintComponentFactory.arrangeLabeledComponentContents((JPanel)this, param1String, param1Int, getPrinterSelectionComboBox(), jButton, 4);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class TwoRowLayout
/*     */     extends PrinterSelectionPanel
/*     */   {
/*     */     public TwoRowLayout(int param1Int) {
/* 189 */       this((Locale)null, "Printer", param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public TwoRowLayout(Locale param1Locale, int param1Int) {
/* 194 */       this(param1Locale, ResourceAdministrator.getLocalizedString("printService"), param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public TwoRowLayout(String param1String, int param1Int) {
/* 199 */       this((Locale)null, param1String, param1Int);
/*     */     }
/*     */ 
/*     */     
/*     */     public TwoRowLayout(Locale param1Locale, String param1String, int param1Int) {
/* 204 */       super(param1Locale, param1String, (byte)0);
/*     */       
/* 206 */       param1Int = param1Int; param1String = param1String; TwoRowLayout twoRowLayout; JButton jButton = (twoRowLayout = this).getPropertiesButton(); twoRowLayout.setLayout(new BorderLayout(5, 5)); JPanel jPanel = createLabeledComponentPanel(param1String, param1Int, twoRowLayout.getPrinterSelectionComboBox()); twoRowLayout.add(jPanel, "North"); if (jButton != null) twoRowLayout.add(twoRowLayout.createPropertiesButtonPanel(), "Center");
/*     */     
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected JPanel createPropertiesButtonPanel() {
/*     */       JPanel jPanel;
/* 216 */       (jPanel = new JPanel(new FlowLayout(2, 0, 0))).add(getPropertiesButton());
/*     */       
/* 218 */       return jPanel;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 247 */   private b printerSelectionComboBox = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PrinterSelectionPanel(Locale paramLocale, String paramString) {
/* 260 */     super(paramLocale, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void disablePageKeys() {
/*     */     b b1;
/* 277 */     jpdf_common.gui.d.a.a(b1 = getPrinterSelectionComboBox());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeSelectionList(PrintService[] paramArrayOfPrintService) {
/* 287 */     b b1 = getPrinterSelectionComboBox();
/* 288 */     Arrays.sort(paramArrayOfPrintService, a);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 294 */     a[] arrayOfA = new a[paramArrayOfPrintService.length];
/* 295 */     for (byte b2 = 0; b2 < paramArrayOfPrintService.length; b2++)
/*     */     {
/* 297 */       arrayOfA[b2] = new a(paramArrayOfPrintService[b2]);
/*     */     }
/*     */ 
/*     */     
/* 301 */     b1.setModel(new DefaultComboBoxModel<a>(arrayOfA));
/*     */ 
/*     */     
/* 304 */     setSelectedPrintService(getSelectedPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintService setSelectedPrintService(PrintService paramPrintService) {
/* 317 */     paramPrintService = super.setSelectedPrintService(paramPrintService);
/*     */ 
/*     */     
/* 320 */     b.a(getPrinterSelectionComboBox(), paramPrintService);
/*     */     
/* 322 */     return paramPrintService;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected b getPrinterSelectionComboBox() {
/* 335 */     if (this.printerSelectionComboBox == null)
/*     */     {
/* 337 */       this.printerSelectionComboBox = new b((byte)0);
/*     */     }
/*     */     
/* 340 */     return this.printerSelectionComboBox;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PrinterSelectionPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */