/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.event.WindowAdapter;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTabbedPane;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.UpdatableDisplay;
/*     */ import jpdf.gui.container.AbstractContentContainerPanel;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.container.Notes_3_ContainerPanel;
/*     */ import jpdf.gui.container.PageSetup_4_ContainerPanel;
/*     */ import jpdf.gui.container.TabPaneContainerPanel;
/*     */ import jpdf.gui.container.TopTabPaneContainerPanel;
/*     */ import jpdf.gui.preview.AbstractPreviewControlPanel;
/*     */ import jpdf.gui.preview.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ import jpdf_common.gui.utility.c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewSetupContentDialog
/*     */   extends AbstractPrintDialog
/*     */   implements InitializableDisplay, UpdatableDisplay
/*     */ {
/*     */   static class a
/*     */     extends WindowAdapter
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*     */       PreviewSetupContentDialog previewSetupContentDialog;
/*     */       JTabbedPane jTabbedPane;
/*     */       TopTabPaneContainerPanel topTabPaneContainerPanel;
/*     */       Component component;
/*  96 */       TabPaneContainerPanel.focusOnFirstInputComponent(component = (jTabbedPane = (topTabPaneContainerPanel = (TopTabPaneContainerPanel)(previewSetupContentDialog = (PreviewSetupContentDialog)param1WindowEvent.getSource()).getPrintOptionsContainerPanel()).getTabbedPane()).getSelectedComponent());
/*     */ 
/*     */       
/*  99 */       previewSetupContentDialog.removeWindowListener(this);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 112 */   private static final AbstractPreviewControlPanel.ControlState a = new AbstractPreviewControlPanel.ControlState();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final String CONTENT_TYPE;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractContentContainerPanel paramAbstractContentContainerPanel, String paramString, Printable paramPrintable) {
/* 146 */     this(paramFrame, ResourceAdministrator.getLocalizedString("title.setupDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramAbstractContentContainerPanel, paramString, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog(Frame paramFrame, String paramString1, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractContentContainerPanel paramAbstractContentContainerPanel, String paramString2, Printable paramPrintable) {
/* 167 */     super(paramFrame, paramString1, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintRequestAttributeSet, (PrintOptionsController)paramAbstractContentContainerPanel), (Object)null);
/*     */ 
/*     */     
/* 170 */     this.CONTENT_TYPE = paramString2;
/*     */ 
/*     */     
/* 173 */     b().setControlState(a);
/*     */ 
/*     */     
/* 176 */     setSize(computeInitialDialogSize());
/* 177 */     setLocation(0, 0);
/*     */ 
/*     */     
/* 180 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractContentContainerPanel paramAbstractContentContainerPanel, String paramString, Printable paramPrintable) {
/* 201 */     this(paramDialog, ResourceAdministrator.getLocalizedString("title.setupDialog"), paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, paramAbstractContentContainerPanel, paramString, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog(Dialog paramDialog, String paramString1, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, AbstractContentContainerPanel paramAbstractContentContainerPanel, String paramString2, Printable paramPrintable) {
/* 222 */     super(paramDialog, paramString1, (Dimension)null, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, a(paramLocale, paramPrintRequestAttributeSet, (PrintOptionsController)paramAbstractContentContainerPanel), (Object)null);
/*     */ 
/*     */     
/* 225 */     this.CONTENT_TYPE = paramString2;
/*     */ 
/*     */     
/* 228 */     b().setControlState(a);
/*     */ 
/*     */     
/* 231 */     setSize(computeInitialDialogSize());
/* 232 */     setLocation(0, 0);
/*     */ 
/*     */     
/* 235 */     setViewPrintable(paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewSetupContentDialog createPrintableContentDialog(Frame paramFrame, AttributeSetPrintable paramAttributeSetPrintable) {
/* 257 */     return createPrintableContentDialog(paramFrame, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewSetupContentDialog createPrintableContentDialog(Frame paramFrame, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 277 */     AbstractContentContainerPanel abstractContentContainerPanel = ContentDialogAdministrator.createOptionsContainer(paramLocale, paramPrintRequestAttributeSet, paramPrintable, true, true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 287 */     String str = "-" + abstractContentContainerPanel.getContentType() + '-';
/*     */     
/*     */     PreviewSetupContentDialog previewSetupContentDialog;
/*     */     
/* 291 */     return previewSetupContentDialog = new PreviewSetupContentDialog(paramFrame, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, abstractContentContainerPanel, str, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewSetupContentDialog createPrintableContentDialog(Dialog paramDialog, AttributeSetPrintable paramAttributeSetPrintable) {
/* 308 */     return createPrintableContentDialog(paramDialog, Locale.getDefault(), paramAttributeSetPrintable.getAttributeSet(), PrintManager.getDefaultPrintService(), DocFlavor.SERVICE_FORMATTED.PRINTABLE, (Printable)paramAttributeSetPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static PreviewSetupContentDialog createPrintableContentDialog(Dialog paramDialog, Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor, Printable paramPrintable) {
/* 329 */     AbstractContentContainerPanel abstractContentContainerPanel = ContentDialogAdministrator.createOptionsContainer(paramLocale, paramPrintRequestAttributeSet, paramPrintable, true, true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 339 */     String str = "-" + abstractContentContainerPanel.getContentType() + '-';
/*     */     
/*     */     PreviewSetupContentDialog previewSetupContentDialog;
/*     */     
/* 343 */     return previewSetupContentDialog = new PreviewSetupContentDialog(paramDialog, paramLocale, paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor, abstractContentContainerPanel, str, paramPrintable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/*     */     InitializableDisplay initializableDisplay;
/* 355 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(3)).initializeDisplay();
/*     */     
/* 357 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(0)).initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToDisplayFullScreenSized() {
/* 368 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToDisplayFullScreenSized(boolean paramBoolean) {
/* 379 */     b = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/* 388 */     c c = new c(30);
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 390 */     JTabbedPane jTabbedPane = (topTabPaneContainerPanel = (TopTabPaneContainerPanel)getPrintOptionsContainerPanel()).getTabbedPane();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 395 */     setDefaultCursor();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 400 */     c.a(getButtonPanel());
/* 401 */     c.a((JPanel)b());
/* 402 */     c.a(jTabbedPane);
/*     */ 
/*     */     
/* 405 */     addWindowListener(new a((byte)0));
/*     */ 
/*     */     
/* 408 */     if (isToDisplayFullScreenSized()) {
/*     */       
/* 410 */       showInPlace();
/*     */     }
/*     */     else {
/*     */       
/* 414 */       super.show();
/*     */     } 
/*     */ 
/*     */     
/* 418 */     b().storeControlState(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/* 429 */     b().updateDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addDialogContents(JComponent paramJComponent, AbstractPrintDialog.ButtonPanel paramButtonPanel) {
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 448 */     (topTabPaneContainerPanel = (TopTabPaneContainerPanel)paramJComponent).addDialogButtonPanel(paramButtonPanel);
/*     */ 
/*     */     
/* 451 */     super.addDialogContents((JComponent)topTabPaneContainerPanel, (AbstractPrintDialog.ButtonPanel)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Dimension computeInitialDialogSize() {
/* 462 */     Dimension dimension3, dimension1 = Toolkit.getDefaultToolkit().getScreenSize();
/* 463 */     Dimension dimension2 = null;
/* 464 */     if (isToDisplayFullScreenSized()) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 469 */       dimension3 = dimension1;
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 475 */       dimension3 = new Dimension();
/* 476 */       pack();
/* 477 */       dimension2 = getSize();
/* 478 */       dimension3.width = dimension2.width;
/* 479 */       dimension1.height -= 100;
/*     */     } 
/*     */     
/* 482 */     return dimension3;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AbstractPrintDialog.ButtonPanel getButtonPanel() {
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 493 */     return (topTabPaneContainerPanel = (TopTabPaneContainerPanel)getPrintOptionsContainerPanel()).getDialogButtonPanel();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String getHelpButtonSuffix() {
/* 505 */     return this.CONTENT_TYPE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeDialogContents(Locale paramLocale, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/* 516 */     addDialogContents((JComponent)paramAbstractPrintOptionsContainerPanel, createButtonPanelOkCancel(paramLocale));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractPrintOptionsContainerPanel a(Locale paramLocale, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintOptionsController paramPrintOptionsController) {
/* 531 */     paramPrintOptionsController = paramPrintOptionsController; paramPrintRequestAttributeSet = paramPrintRequestAttributeSet; paramLocale = paramLocale; PrintOptionsController[] arrayOfPrintOptionsController = new PrintOptionsController[4]; boolean bool = PrintDialogPreferences.isToAllowReverseOrientations(); Notes_3_ContainerPanel.ConstructionOptions constructionOptions = new Notes_3_ContainerPanel.ConstructionOptions(true, true, true, true, false); if (paramLocale == null) { arrayOfPrintOptionsController[0] = (PrintOptionsController)new PreviewPrintableControlPanel(true); arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_4_ContainerPanel(bool, true); arrayOfPrintOptionsController[2] = paramPrintOptionsController; arrayOfPrintOptionsController[3] = (PrintOptionsController)new Notes_3_ContainerPanel(paramPrintRequestAttributeSet, constructionOptions); } else { arrayOfPrintOptionsController[0] = (PrintOptionsController)new PreviewPrintableControlPanel(paramLocale, true); arrayOfPrintOptionsController[1] = (PrintOptionsController)new PageSetup_4_ContainerPanel(paramLocale, bool, true); arrayOfPrintOptionsController[2] = paramPrintOptionsController; arrayOfPrintOptionsController[3] = (PrintOptionsController)new Notes_3_ContainerPanel(paramPrintRequestAttributeSet, paramLocale, constructionOptions); }  return (AbstractPrintOptionsContainerPanel)new TopTabPaneContainerPanel(arrayOfPrintOptionsController);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreviewPrintableControlPanel b() {
/* 585 */     return (PreviewPrintableControlPanel)getPrintOptionsController(0);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\PreviewSetupContentDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */