/*     */ package jpdf.gui.dialog;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.event.WindowAdapter;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTabbedPane;
/*     */ import jpdf.gui.InitializableDisplay;
/*     */ import jpdf.gui.PrintOptionsController;
/*     */ import jpdf.gui.UpdatableDisplay;
/*     */ import jpdf.gui.container.AbstractContentContainerPanel;
/*     */ import jpdf.gui.container.AbstractPrintOptionsContainerPanel;
/*     */ import jpdf.gui.container.Notes_3_ContainerPanel;
/*     */ import jpdf.gui.container.PageSetup_4_ContainerPanel;
/*     */ import jpdf.gui.container.TabPaneContainerPanel;
/*     */ import jpdf.gui.container.TopTabPaneContainerPanel;
/*     */ import jpdf.gui.preview2.PageLayout;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.gui.preview2.PreviewWindowHelper;
/*     */ import jpdf.gui.preview2.toolbar.PageNavigationToolbarPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.printable.AttributeSetPrintable;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf_common.gui.utility.c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewSetupContentDialog2
/*     */   extends AbstractPrintDialog
/*     */   implements InitializableDisplay, UpdatableDisplay
/*     */ {
/*     */   static class a
/*     */     extends WindowAdapter
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*     */       PreviewSetupContentDialog2 previewSetupContentDialog2;
/*     */       JTabbedPane jTabbedPane;
/*     */       Component component;
/*     */       TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 102 */       TabPaneContainerPanel.focusOnFirstInputComponent(component = (jTabbedPane = (topTabPaneContainerPanel = (TopTabPaneContainerPanel)(previewSetupContentDialog2 = (PreviewSetupContentDialog2)param1WindowEvent.getSource()).getPrintOptionsContainerPanel()).getTabbedPane()).getSelectedComponent());
/*     */ 
/*     */       
/* 105 */       previewSetupContentDialog2.removeWindowListener(this);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   private static final PreviewPrintableControlPanel.PreviewState a = new PreviewPrintableControlPanel.PreviewState();
/*     */   
/*     */   private static boolean b = false;
/*     */   
/*     */   private static boolean c = false;
/*     */   
/*     */   private final String CONTENT_TYPE;
/*     */   
/*     */   private final boolean PREVIEW_WITH_TOOLBAR;
/*     */ 
/*     */   
/*     */   static {
/* 135 */     a.pageLayout = PageLayout.SINGLE_COL;
/* 136 */     a.fitWidthZoomSelected = true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog2(Frame paramFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/* 159 */     this(paramFrame, paramFullyNavigableAttributeSetPrintable, ResourceAdministrator.getLocalizedString("title.setupDialog"));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog2(Frame paramFrame, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, String paramString) {
/* 168 */     super(paramFrame, paramString, (AttributeSetPrintable)paramFullyNavigableAttributeSetPrintable, a(paramFullyNavigableAttributeSetPrintable));
/*     */     
/* 170 */     this.CONTENT_TYPE = "-" + c().getContentType() + '-';
/*     */ 
/*     */     
/* 173 */     setSize(computeInitialDialogSize());
/* 174 */     setLocation(0, 0);
/*     */ 
/*     */     
/* 177 */     setViewPrintable((Printable)paramFullyNavigableAttributeSetPrintable);
/*     */ 
/*     */     
/* 180 */     this.PREVIEW_WITH_TOOLBAR = isToDisplayPreviewToolbars();
/* 181 */     if (this.PREVIEW_WITH_TOOLBAR) {
/*     */       
/* 183 */       addPreviewToolBars();
/*     */ 
/*     */ 
/*     */       
/* 187 */       d().setPreviewState(a);
/*     */       
/*     */       return;
/*     */     } 
/* 191 */     b();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog2(Dialog paramDialog, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/* 202 */     this(paramDialog, paramFullyNavigableAttributeSetPrintable, ResourceAdministrator.getLocalizedString("title.setupDialog"));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewSetupContentDialog2(Dialog paramDialog, FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, String paramString) {
/* 211 */     super(paramDialog, paramString, (AttributeSetPrintable)paramFullyNavigableAttributeSetPrintable, a(paramFullyNavigableAttributeSetPrintable));
/*     */     
/* 213 */     this.CONTENT_TYPE = "-" + c().getContentType() + '-';
/*     */ 
/*     */     
/* 216 */     setSize(computeInitialDialogSize());
/* 217 */     setLocation(0, 0);
/*     */ 
/*     */     
/* 220 */     setViewPrintable((Printable)paramFullyNavigableAttributeSetPrintable);
/*     */ 
/*     */     
/* 223 */     this.PREVIEW_WITH_TOOLBAR = isToDisplayPreviewToolbars();
/* 224 */     if (this.PREVIEW_WITH_TOOLBAR) {
/*     */       
/* 226 */       addPreviewToolBars();
/*     */ 
/*     */ 
/*     */       
/* 230 */       d().setPreviewState(a);
/*     */       
/*     */       return;
/*     */     } 
/* 234 */     b();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/*     */     InitializableDisplay initializableDisplay;
/* 252 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(3)).initializeDisplay();
/*     */     
/* 254 */     (initializableDisplay = (InitializableDisplay)getPrintOptionsController(0)).initializeDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToDisplayFullScreenSized() {
/* 264 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToDisplayPreviewToolbars() {
/* 273 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToDisplayFullScreenSized(boolean paramBoolean) {
/* 283 */     b = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToDisplayPreviewToolbars(boolean paramBoolean) {
/* 292 */     c = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/* 301 */     c c = new c(30);
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 303 */     JTabbedPane jTabbedPane = (topTabPaneContainerPanel = (TopTabPaneContainerPanel)getPrintOptionsContainerPanel()).getTabbedPane();
/* 304 */     PreviewPrintableControlPanel previewPrintableControlPanel = d();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 309 */     c.a(getButtonPanel());
/* 310 */     c.a((JPanel)previewPrintableControlPanel);
/* 311 */     c.a(jTabbedPane);
/*     */ 
/*     */     
/* 314 */     addWindowListener(new a((byte)0));
/*     */ 
/*     */     
/* 317 */     if (isToDisplayFullScreenSized()) {
/*     */       
/* 319 */       showInPlace();
/*     */     }
/*     */     else {
/*     */       
/* 323 */       super.show();
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 328 */     if (this.PREVIEW_WITH_TOOLBAR)
/*     */     {
/* 330 */       previewPrintableControlPanel.storePreviewState(a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/* 342 */     d().updateDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addDialogContents(JComponent paramJComponent, AbstractPrintDialog.ButtonPanel paramButtonPanel) {
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 361 */     (topTabPaneContainerPanel = (TopTabPaneContainerPanel)paramJComponent).addDialogButtonPanel(paramButtonPanel);
/*     */ 
/*     */     
/* 364 */     super.addDialogContents((JComponent)topTabPaneContainerPanel, (AbstractPrintDialog.ButtonPanel)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addPreviewToolBars() {
/* 372 */     d().addStandardToolBars(this.DIALOG_LOCALE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Dimension computeInitialDialogSize() {
/* 382 */     Dimension dimension2, dimension1 = Toolkit.getDefaultToolkit().getScreenSize();
/* 383 */     Object object = null;
/* 384 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 388 */     if (isToDisplayFullScreenSized()) {
/*     */       
/* 390 */       dimension2 = dimension1;
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 396 */       dimension2 = new Dimension();
/* 397 */       pack();
/* 398 */       Dimension dimension = getSize();
/* 399 */       dimension2.width = dimension.width;
/* 400 */       dimension2.height = c().getHeight() << 2;
/* 401 */       int i = dimension1.height - 144;
/* 402 */       if (dimension2.height > i) dimension2.height = i;
/*     */     
/*     */     } 
/* 405 */     return dimension2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AbstractPrintDialog.ButtonPanel getButtonPanel() {
/*     */     TopTabPaneContainerPanel topTabPaneContainerPanel;
/* 416 */     return (topTabPaneContainerPanel = (TopTabPaneContainerPanel)getPrintOptionsContainerPanel()).getDialogButtonPanel();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String getHelpButtonSuffix() {
/* 428 */     return this.CONTENT_TYPE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeDialogContents(Locale paramLocale, AbstractPrintOptionsContainerPanel paramAbstractPrintOptionsContainerPanel) {
/* 439 */     addDialogContents((JComponent)paramAbstractPrintOptionsContainerPanel, createButtonPanelOkCancel(paramLocale));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void b() {
/* 453 */     PreviewPrintableControlPanel previewPrintableControlPanel = d();
/*     */ 
/*     */     
/*     */     PageNavigationToolbarPanel pageNavigationToolbarPanel;
/*     */     
/* 458 */     (pageNavigationToolbarPanel = new PageNavigationToolbarPanel(previewPrintableControlPanel, this.DIALOG_LOCALE, PreviewWindowHelper.isPageNavigationAudible())).setPageNavigationControlsVisible(false);
/* 459 */     pageNavigationToolbarPanel.setBorder(null);
/* 460 */     previewPrintableControlPanel.addToolBarComponent((JComponent)pageNavigationToolbarPanel, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static AbstractPrintOptionsContainerPanel a(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable) {
/* 511 */     PrintRequestAttributeSet printRequestAttributeSet = paramFullyNavigableAttributeSetPrintable.getAttributeSet();
/*     */ 
/*     */     
/*     */     Locale locale2;
/*     */     
/* 516 */     AbstractContentContainerPanel abstractContentContainerPanel1 = ContentDialogAdministrator.createOptionsContainer(locale2 = Locale.getDefault(), paramFullyNavigableAttributeSetPrintable.getAttributeSet(), (Printable)paramFullyNavigableAttributeSetPrintable, true, true);
/*     */ 
/*     */ 
/*     */     
/* 520 */     AbstractContentContainerPanel abstractContentContainerPanel2 = abstractContentContainerPanel1; printRequestAttributeSet = printRequestAttributeSet; Locale locale1 = locale2; PrintOptionsController[] arrayOfPrintOptionsController2 = new PrintOptionsController[4]; Notes_3_ContainerPanel.ConstructionOptions constructionOptions = new Notes_3_ContainerPanel.ConstructionOptions(true, true, true, true, false); boolean bool = PrintDialogPreferences.isToAllowReverseOrientations(); PreviewPrintableControlPanel previewPrintableControlPanel; (previewPrintableControlPanel = new PreviewPrintableControlPanel("preview2", getAttributeSetUpdateObserver(), isToDisplayPreviewToolbars())).setPageLayout(null, PageLayout.SINGLE_COL); previewPrintableControlPanel.setZoomFactorFitWidth(null); arrayOfPrintOptionsController2[0] = (PrintOptionsController)previewPrintableControlPanel; arrayOfPrintOptionsController2[2] = (PrintOptionsController)abstractContentContainerPanel2; if (locale1 == null) { arrayOfPrintOptionsController2[1] = (PrintOptionsController)new PageSetup_4_ContainerPanel(bool, true); arrayOfPrintOptionsController2[3] = (PrintOptionsController)new Notes_3_ContainerPanel(printRequestAttributeSet, constructionOptions); } else { arrayOfPrintOptionsController2[1] = (PrintOptionsController)new PageSetup_4_ContainerPanel(locale1, bool, true); arrayOfPrintOptionsController2[3] = (PrintOptionsController)new Notes_3_ContainerPanel(printRequestAttributeSet, locale1, constructionOptions); }  PrintOptionsController[] arrayOfPrintOptionsController1 = arrayOfPrintOptionsController2;
/*     */     
/* 522 */     return (AbstractPrintOptionsContainerPanel)new TopTabPaneContainerPanel(arrayOfPrintOptionsController1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private AbstractContentContainerPanel c() {
/* 548 */     return (AbstractContentContainerPanel)getPrintOptionsController(2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PreviewPrintableControlPanel d() {
/* 556 */     return (PreviewPrintableControlPanel)getPrintOptionsController(0);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\dialog\PreviewSetupContentDialog2.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */