/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.Point;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.WindowAdapter;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.dialog.AbstractPrintDialog;
/*     */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*     */ import jpdf.gui.dialog.factory.SetupPrintDialogFactory;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.b.b;
/*     */ import jpdf_common.gui.utility.WindowUtility;
/*     */ import jpdf_common.gui.utility.c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractViewDialog
/*     */   extends b
/*     */   implements ViewWindow
/*     */ {
/*     */   static class a
/*     */     extends WindowAdapter
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*     */       AbstractViewDialog abstractViewDialog;
/* 129 */       (abstractViewDialog = (AbstractViewDialog)param1WindowEvent.getSource()).getViewControlPanel().initializeDisplay();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void windowClosed(WindowEvent param1WindowEvent) {
/* 138 */       AbstractViewDialog abstractViewDialog = (AbstractViewDialog)param1WindowEvent.getSource();
/*     */       
/* 140 */       if (AbstractViewDialog.isToUsePreviousSizeLocation()) {
/*     */         
/* 142 */         AbstractViewDialog.a(abstractViewDialog);
/* 143 */         AbstractViewDialog.b(abstractViewDialog);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 152 */   private static Dimension a = null;
/* 153 */   private static Point b = null;
/*     */   
/*     */   private static boolean c = false;
/*     */   
/*     */   private static boolean d = true;
/*     */   
/*     */   protected final PrintInfoHolder INFO_HOLDER;
/*     */   
/*     */   protected final Locale DIALOG_LOCALE;
/*     */   
/*     */   private jpdf_common.gui.component.m.a printButton;
/*     */   
/* 165 */   private AbstractSetupPrintDialogFactory dialogFactory = (AbstractSetupPrintDialogFactory)new SetupPrintDialogFactory();
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean savingPrintDefaults = true;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean toPrintDisplayedMaterial = true;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean closedDueToPrintRequest = false;
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean navigableFromChildDialog = true;
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractViewDialog(Frame paramFrame, String paramString, Locale paramLocale, AbstractViewControlPanel paramAbstractViewControlPanel, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 186 */     super((paramFrame != null) ? paramFrame : getActiveFrame(), paramString, null, true, 2);
/*     */     
/* 188 */     this.DIALOG_LOCALE = paramLocale;
/*     */ 
/*     */     
/* 191 */     AbstractViewControlPanel abstractViewControlPanel = paramAbstractViewControlPanel; Frame frame = paramFrame; AbstractViewDialog abstractViewDialog = this; Dimension dimension1 = getDefaultDisplaySize(), dimension2 = Toolkit.getDefaultToolkit().getScreenSize(); Point point = getDefaultDisplayLocation(); if (dimension1 == null) { dimension1 = dimension2; } else { if (dimension1.width < 0) dimension2.width += dimension1.width;  if (dimension1.height < 0) dimension2.height += dimension1.height;  if (dimension1.width < 200) dimension1.width = 200;  if (dimension1.height < 200) dimension1.height = 200;  }  abstractViewDialog.setSize(dimension1.width, dimension1.height); if (dimension1 != dimension2) if (point == null) { WindowUtility.setNewWindowLocation(frame, (Window)abstractViewDialog); } else { abstractViewDialog.setLocation(point.x, point.y); }   abstractViewDialog.setVisible(false); abstractViewDialog.setResizable(true); abstractViewDialog.getContentPane().add((Component)abstractViewControlPanel); abstractViewDialog.addWindowListener(new a((byte)0));
/*     */ 
/*     */     
/* 194 */     this.INFO_HOLDER = ViewWindowAdministrator.a(paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor);
/*     */ 
/*     */ 
/*     */     
/* 198 */     paramAbstractViewControlPanel.initializePrintOptions(this.INFO_HOLDER);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void displayPageSetupDialog() {
/* 214 */     setWaitCursor();
/*     */ 
/*     */ 
/*     */     
/* 218 */     AbstractPrintDialog abstractPrintDialog = preparePageSetupDialog();
/* 219 */     setDefaultCursor();
/* 220 */     abstractPrintDialog.show();
/*     */ 
/*     */ 
/*     */     
/* 224 */     if (abstractPrintDialog.isActionButtonPressed()) handlePageSetupActionButtonPress(abstractPrintDialog);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Point getDefaultDisplayLocation() {
/* 235 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Dimension getDefaultDisplaySize() {
/* 246 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSetupPrintDialogFactory getDialogFactory() {
/* 254 */     return this.dialogFactory;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Throwable getLastPreviewException() {
/* 262 */     return getViewControlPanel().getLastPreviewException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintInfoHolder getPrintInfoHolder() {
/* 271 */     return this.INFO_HOLDER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractViewControlPanel getViewControlPanel() {
/* 280 */     return (AbstractViewControlPanel)getContentPane().getComponent(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isClosedDueToPrintRequest() {
/* 292 */     return this.closedDueToPrintRequest;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isSavingPrintDefaults() {
/* 302 */     return this.savingPrintDefaults;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToCloseAfterPrint() {
/* 311 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isToPrintDisplayedMaterial() {
/* 321 */     return this.toPrintDisplayedMaterial;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToUsePreviousSizeLocation() {
/* 332 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void maximize() {
/* 342 */     setSize(Toolkit.getDefaultToolkit().getScreenSize());
/* 343 */     setLocation(0, 0);
/* 344 */     jpdf_common.gui.d.a.c((Component)getViewControlPanel());
/* 345 */     validate();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToNext() {
/* 354 */     getViewControlPanel().navigateToNext();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPrevious() {
/* 363 */     getViewControlPanel().navigateToPrevious();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void performPrintAction() {
/* 378 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*     */     
/* 380 */     Locale locale = Locale.getDefault();
/* 381 */     boolean bool1 = true;
/* 382 */     boolean bool2 = isSavingPrintDefaults();
/* 383 */     setWaitCursor();
/*     */ 
/*     */ 
/*     */     
/*     */     AbstractPrintDialog abstractPrintDialog;
/*     */ 
/*     */     
/* 390 */     boolean bool = ((abstractPrintDialog = getDialogFactory().buildPrintDialog((JDialog)this, locale, this.INFO_HOLDER.getAttributeSet(), printService, this.INFO_HOLDER.getDocFlavor())) != null) ? true : false;
/* 391 */     setDefaultCursor();
/*     */ 
/*     */ 
/*     */     
/* 395 */     if (bool) {
/*     */ 
/*     */       
/* 398 */       abstractPrintDialog.setToUpdateDefaultPrintService(bool2);
/*     */       
/*     */       AbstractViewDialog abstractViewDialog;
/*     */       
/* 402 */       if ((abstractViewDialog = this).navigableFromChildDialog) abstractPrintDialog.addPreviewNavigationActions();
/*     */       
/* 404 */       abstractPrintDialog.show();
/* 405 */       bool1 = abstractPrintDialog.isActionButtonPressed();
/*     */     } 
/*     */ 
/*     */     
/* 409 */     if (bool1) {
/*     */ 
/*     */       
/* 412 */       if (bool) {
/*     */         
/* 414 */         printService = abstractPrintDialog.getSelectedPrintService();
/* 415 */         handlePrintServiceSelection(printService);
/*     */       } 
/*     */ 
/*     */       
/* 419 */       if (isToCloseAfterPrint()) {
/*     */         
/* 421 */         boolean bool3 = true; AbstractViewDialog abstractViewDialog; (abstractViewDialog = this).closedDueToPrintRequest = true;
/* 422 */         dispose();
/*     */       } 
/*     */ 
/*     */       
/* 426 */       if (isToPrintDisplayedMaterial()) {
/*     */ 
/*     */         
/* 429 */         this.INFO_HOLDER.setSelectedPrintService(printService);
/*     */ 
/*     */         
/* 432 */         printDisplayedMaterial(bool2);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */ 
/*     */       
/* 439 */       if (!bool)
/*     */       {
/* 441 */         if (bool2) PrintManager.setDefaultPrintService(printService);
/*     */       
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplayLocation(Point paramPoint) {
/* 455 */     b = paramPoint;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplayLocation(int paramInt1, int paramInt2) {
/* 465 */     b = new Point(paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplaySize(Dimension paramDimension) {
/* 476 */     a = paramDimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplaySize(int paramInt1, int paramInt2) {
/* 486 */     a = new Dimension(paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDialogFactory(AbstractSetupPrintDialogFactory paramAbstractSetupPrintDialogFactory) {
/* 500 */     this.dialogFactory = paramAbstractSetupPrintDialogFactory;
/*     */ 
/*     */ 
/*     */     
/* 504 */     setPrintButtonToolTipText(a(this.DIALOG_LOCALE));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintButtonToolTipText(String paramString) {
/*     */     AbstractViewDialog abstractViewDialog;
/*     */     jpdf_common.gui.component.m.a a1;
/* 517 */     if ((a1 = (abstractViewDialog = this).printButton) != null) a1.setToolTipText(paramString);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSavingPrintDefaults(boolean paramBoolean) {
/* 527 */     this.savingPrintDefaults = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToCloseAfterPrint(boolean paramBoolean) {
/* 536 */     d = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToCloseOnPreviewException(boolean paramBoolean) {
/* 545 */     getViewControlPanel().setToCloseWindowOnPreviewException(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToPrintDisplayedMaterial(boolean paramBoolean) {
/* 555 */     this.toPrintDisplayedMaterial = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToUsePreviousSizeLocation(boolean paramBoolean) {
/* 568 */     c = paramBoolean;
/* 569 */     if (!paramBoolean) {
/*     */       
/* 571 */       Dimension dimension = null;
/* 572 */       b = (Point)(dimension = null);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/*     */     c c;
/* 591 */     (c = new c(20)).a((JPanel)getViewControlPanel());
/*     */ 
/*     */     
/* 594 */     if (ViewWindowAdministrator.isToDisplayHelpButton()) addHelpButton();
/*     */     
/* 596 */     super.show();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void sizeToFit() {
/* 608 */     ViewWindowAdministrator.a((Window)this, getViewControlPanel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addHelpButton() {
/* 624 */     ViewWindowAdministrator.a(this, this.DIALOG_LOCALE, !isOverviewDialog());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addToolBarPopupMenu(JPanel paramJPanel) {
/* 638 */     ViewWindowAdministrator.a(getViewControlPanel(), paramJPanel);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createToolBarOperationsPanel(Locale paramLocale, LayoutManager paramLayoutManager) {
/* 649 */     return createToolBarOperationsPanel(paramLocale, paramLayoutManager, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createToolBarOperationsPanel(Locale paramLocale, LayoutManager paramLayoutManager, boolean paramBoolean1, boolean paramBoolean2) {
/* 680 */     JPanel jPanel = new JPanel(paramLayoutManager);
/*     */     
/* 682 */     if (paramLocale == null) {
/*     */       
/* 684 */       if (paramBoolean1)
/*     */       {
/* 686 */         jPanel.add((Component)ViewWindowAdministrator.createPageSetupButton(this));
/*     */       }
/* 688 */       if (paramBoolean2) jPanel.add((Component)b((Locale)null)); 
/* 689 */       jPanel.add((Component)ViewWindowAdministrator.createMaximizeButton(this));
/* 690 */       jPanel.add((Component)ViewWindowAdministrator.createSizeToFitButton(this));
/* 691 */       jPanel.add((Component)ViewWindowAdministrator.createCloseButton(this));
/*     */     }
/*     */     else {
/*     */       
/* 695 */       if (paramBoolean1)
/*     */       {
/* 697 */         jPanel.add((Component)ViewWindowAdministrator.createPageSetupButton(this, paramLocale));
/*     */       }
/* 699 */       if (paramBoolean2) jPanel.add((Component)b(paramLocale)); 
/* 700 */       jPanel.add((Component)ViewWindowAdministrator.createMaximizeButton(this, paramLocale));
/* 701 */       jPanel.add((Component)ViewWindowAdministrator.createSizeToFitButton(this, paramLocale));
/* 702 */       jPanel.add((Component)ViewWindowAdministrator.createCloseButton(this, paramLocale));
/*     */     } 
/*     */     
/* 705 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handlePageSetupActionButtonPress(AbstractPrintDialog paramAbstractPrintDialog) {
/* 713 */     getViewControlPanel().updateDisplay();
/*     */ 
/*     */     
/* 716 */     handlePrintServiceSelection(paramAbstractPrintDialog.getPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handlePrintServiceSelection(PrintService paramPrintService) {
/* 728 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*     */     
/* 730 */     if (paramPrintService != printService)
/*     */     {
/* 732 */       this.INFO_HOLDER.setSelectedPrintService(paramPrintService);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isOverviewDialog() {
/* 742 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AbstractPrintDialog preparePageSetupDialog() {
/* 755 */     AbstractPrintDialog abstractPrintDialog = getDialogFactory().buildPageSetupDialog((JDialog)this, Locale.getDefault(), this.INFO_HOLDER.getAttributeSet(), this.INFO_HOLDER.getSelectedPrintService(), this.INFO_HOLDER.getDocFlavor(), getViewControlPanel().getTargetPrintable());
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 760 */     e e = new e(this, abstractPrintDialog);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 772 */     abstractPrintDialog.addApplyButton(ResourceAdministrator.getLocalizedString("apply"), e);
/*     */     
/*     */     AbstractViewDialog abstractViewDialog;
/*     */     
/* 776 */     if ((abstractViewDialog = this).navigableFromChildDialog) abstractPrintDialog.addPreviewNavigationActions();
/*     */     
/* 778 */     return abstractPrintDialog;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(boolean paramBoolean) {
/* 805 */     this.navigableFromChildDialog = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String a(Locale paramLocale) {
/* 819 */     boolean bool = getDialogFactory().isPrintDialogBuilt();
/*     */     
/* 821 */     return ViewWindowAdministrator.a(paramLocale, bool, this.INFO_HOLDER.getSelectedPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private jpdf_common.gui.component.m.a b(Locale paramLocale) {
/* 830 */     String str = a(paramLocale);
/*     */     
/* 832 */     this.printButton = ViewWindowAdministrator.createPrintButton(this, str);
/*     */     
/* 834 */     return this.printButton;
/*     */   }
/*     */   
/*     */   protected abstract void printDisplayedMaterial(boolean paramBoolean);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractViewDialog.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */