/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.Cursor;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.Point;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.event.WindowAdapter;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.DocFlavor;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.dialog.AbstractPrintDialog;
/*     */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*     */ import jpdf.gui.dialog.factory.SetupPrintDialogFactory;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ import jpdf_common.gui.utility.WindowUtility;
/*     */ import jpdf_common.gui.utility.c;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractViewFrame
/*     */   extends JFrame
/*     */   implements ViewWindow, WaitCursorable
/*     */ {
/*     */   static class a
/*     */     extends WindowAdapter
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void windowOpened(WindowEvent param1WindowEvent) {
/*     */       AbstractViewFrame abstractViewFrame;
/* 128 */       (abstractViewFrame = (AbstractViewFrame)param1WindowEvent.getSource()).getViewControlPanel().initializeDisplay();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void windowClosed(WindowEvent param1WindowEvent) {
/* 137 */       AbstractViewFrame abstractViewFrame = (AbstractViewFrame)param1WindowEvent.getSource();
/*     */       
/* 139 */       if (AbstractViewFrame.isToUsePreviousSizeLocation()) {
/*     */         
/* 141 */         AbstractViewFrame.a(abstractViewFrame);
/* 142 */         AbstractViewFrame.b(abstractViewFrame);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   private static Dimension a = null;
/* 152 */   private static Point b = null;
/*     */ 
/*     */   
/*     */   private static boolean c = false;
/*     */ 
/*     */   
/*     */   protected final PrintInfoHolder INFO_HOLDER;
/*     */   
/*     */   protected final Locale FRAME_LOCALE;
/*     */   
/* 162 */   private jpdf_common.gui.component.m.a printButton = null;
/* 163 */   private AbstractSetupPrintDialogFactory dialogFactory = (AbstractSetupPrintDialogFactory)new SetupPrintDialogFactory();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean savingPrintDefaults = true;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean navigableFromChildDialog = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractViewFrame(String paramString, Locale paramLocale, AbstractViewControlPanel paramAbstractViewControlPanel, PrintRequestAttributeSet paramPrintRequestAttributeSet, PrintService paramPrintService, DocFlavor paramDocFlavor) {
/* 181 */     super(paramString);
/*     */     
/* 183 */     this.FRAME_LOCALE = paramLocale;
/*     */ 
/*     */     
/* 186 */     AbstractViewControlPanel abstractViewControlPanel = paramAbstractViewControlPanel; AbstractViewFrame abstractViewFrame = this; Dimension dimension1 = getDefaultDisplaySize(), dimension2 = Toolkit.getDefaultToolkit().getScreenSize(); Point point = getDefaultDisplayLocation(); boolean bool = false; abstractViewFrame.setVisible(false); abstractViewFrame.setResizable(true); abstractViewFrame.setDefaultCloseOperation(2); if (dimension1 == null) { abstractViewFrame.setSize(dimension2.width - 200, dimension2.height - 200); bool = true; } else { if (dimension1.width < 0) dimension2.width += dimension1.width;  if (dimension1.height < 0) dimension2.height += dimension1.height;  if (dimension1.width < 200) dimension1.width = 200;  if (dimension1.height < 200) dimension1.height = 200;  abstractViewFrame.setSize(dimension1.width, dimension1.height); }  if (point == null) { WindowUtility.setNewWindowLocation(abstractViewFrame); } else { abstractViewFrame.setLocation(point.x, point.y); }  if (bool) abstractViewFrame.maximize();  abstractViewFrame.getContentPane().add((Component)abstractViewControlPanel); abstractViewFrame.addWindowListener(new a((byte)0));
/*     */ 
/*     */     
/* 189 */     this.INFO_HOLDER = ViewWindowAdministrator.a(paramPrintRequestAttributeSet, paramPrintService, paramDocFlavor);
/*     */ 
/*     */ 
/*     */     
/* 193 */     paramAbstractViewControlPanel.initializePrintOptions(this.INFO_HOLDER);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void displayPageSetupDialog() {
/* 208 */     setWaitCursor();
/*     */ 
/*     */ 
/*     */     
/* 212 */     AbstractPrintDialog abstractPrintDialog = preparePageSetupDialog();
/* 213 */     setDefaultCursor();
/* 214 */     abstractPrintDialog.show();
/*     */ 
/*     */ 
/*     */     
/* 218 */     if (abstractPrintDialog.isActionButtonPressed()) handlePageSetupActionButtonPress(abstractPrintDialog);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Point getDefaultDisplayLocation() {
/* 229 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Dimension getDefaultDisplaySize() {
/* 239 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractSetupPrintDialogFactory getDialogFactory() {
/* 247 */     return this.dialogFactory;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Throwable getLastPreviewException() {
/* 255 */     return getViewControlPanel().getLastPreviewException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintInfoHolder getPrintInfoHolder() {
/* 264 */     return this.INFO_HOLDER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractViewControlPanel getViewControlPanel() {
/* 273 */     return (AbstractViewControlPanel)getContentPane().getComponent(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isSavingPrintDefaults() {
/* 283 */     return this.savingPrintDefaults;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToUsePreviousSizeLocation() {
/* 294 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void maximize() {
/* 303 */     setExtendedState(6);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToNext() {
/* 312 */     getViewControlPanel().navigateToNext();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPrevious() {
/* 321 */     getViewControlPanel().navigateToPrevious();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void performPrintAction() {
/* 333 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*     */     
/* 335 */     Locale locale = Locale.getDefault();
/* 336 */     boolean bool1 = true;
/* 337 */     boolean bool2 = isSavingPrintDefaults();
/* 338 */     setWaitCursor();
/*     */ 
/*     */ 
/*     */     
/*     */     AbstractPrintDialog abstractPrintDialog;
/*     */ 
/*     */     
/* 345 */     boolean bool = ((abstractPrintDialog = getDialogFactory().buildPrintDialog(this, locale, this.INFO_HOLDER.getAttributeSet(), printService, this.INFO_HOLDER.getDocFlavor())) != null) ? true : false;
/* 346 */     setDefaultCursor();
/*     */ 
/*     */ 
/*     */     
/* 350 */     if (bool) {
/*     */ 
/*     */       
/* 353 */       abstractPrintDialog.setToUpdateDefaultPrintService(bool2);
/*     */ 
/*     */ 
/*     */       
/* 357 */       abstractPrintDialog.addPreviewNavigationActions();
/*     */       
/* 359 */       abstractPrintDialog.show();
/* 360 */       bool1 = abstractPrintDialog.isActionButtonPressed();
/*     */     } 
/*     */ 
/*     */     
/* 364 */     if (bool1) {
/*     */ 
/*     */       
/* 367 */       if (bool) {
/*     */         
/* 369 */         printService = abstractPrintDialog.getSelectedPrintService();
/* 370 */         handlePrintServiceSelection(printService);
/*     */       } 
/*     */ 
/*     */       
/* 374 */       this.INFO_HOLDER.setSelectedPrintService(printService);
/*     */ 
/*     */       
/* 377 */       printDisplayedMaterial(bool2);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDefaultCursor() {
/* 387 */     setCursor(Cursor.getPredefinedCursor(0));
/* 388 */     getGlassPane().setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplayLocation(Point paramPoint) {
/* 399 */     b = paramPoint;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplayLocation(int paramInt1, int paramInt2) {
/* 409 */     b = new Point(paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplaySize(Dimension paramDimension) {
/* 419 */     a = paramDimension;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setDefaultDisplaySize(int paramInt1, int paramInt2) {
/* 429 */     a = new Dimension(paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setDialogFactory(AbstractSetupPrintDialogFactory paramAbstractSetupPrintDialogFactory) {
/* 443 */     this.dialogFactory = paramAbstractSetupPrintDialogFactory;
/*     */ 
/*     */ 
/*     */     
/* 447 */     setPrintButtonToolTipText(a(this.FRAME_LOCALE));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintButtonToolTipText(String paramString) {
/*     */     jpdf_common.gui.component.m.a a1;
/*     */     AbstractViewFrame abstractViewFrame;
/* 460 */     if ((a1 = (abstractViewFrame = this).printButton) != null) a1.setToolTipText(paramString);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSavingPrintDefaults(boolean paramBoolean) {
/* 470 */     this.savingPrintDefaults = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setToCloseOnPreviewException(boolean paramBoolean) {
/* 479 */     getViewControlPanel().setToCloseWindowOnPreviewException(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToUsePreviousSizeLocation(boolean paramBoolean) {
/* 492 */     c = paramBoolean;
/* 493 */     if (!paramBoolean) {
/*     */       
/* 495 */       Dimension dimension = null;
/* 496 */       b = (Point)(dimension = null);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setWaitCursor() {
/* 506 */     getGlassPane().setVisible(true);
/* 507 */     setCursor(Cursor.getPredefinedCursor(3));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void show() {
/*     */     c c;
/* 525 */     (c = new c(20)).a((JPanel)getViewControlPanel());
/*     */ 
/*     */     
/* 528 */     if (ViewWindowAdministrator.isToDisplayHelpButton()) addHelpButton();
/*     */     
/* 530 */     super.show();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void sizeToFit() {
/* 542 */     ViewWindowAdministrator.a(this, getViewControlPanel());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addHelpButton() {
/* 558 */     ViewWindowAdministrator.a(this, this.FRAME_LOCALE, !isOverviewDisplay());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addToolBarPopupMenu(JPanel paramJPanel) {
/* 572 */     ViewWindowAdministrator.a(getViewControlPanel(), paramJPanel);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createToolBarOperationsPanel(Locale paramLocale, LayoutManager paramLayoutManager) {
/* 582 */     return createToolBarOperationsPanel(paramLocale, paramLayoutManager, true, true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createToolBarOperationsPanel(Locale paramLocale, LayoutManager paramLayoutManager, boolean paramBoolean1, boolean paramBoolean2) {
/* 594 */     JPanel jPanel = new JPanel(paramLayoutManager);
/*     */     
/* 596 */     if (paramLocale == null) {
/*     */       
/* 598 */       if (paramBoolean1)
/*     */       {
/* 600 */         jPanel.add((Component)ViewWindowAdministrator.createPageSetupButton(this));
/*     */       }
/* 602 */       if (paramBoolean2) jPanel.add((Component)b((Locale)null)); 
/* 603 */       jPanel.add((Component)ViewWindowAdministrator.createMaximizeButton(this));
/* 604 */       jPanel.add((Component)ViewWindowAdministrator.createSizeToFitButton(this));
/* 605 */       jPanel.add((Component)ViewWindowAdministrator.createCloseButton(this));
/*     */     }
/*     */     else {
/*     */       
/* 609 */       if (paramBoolean1)
/*     */       {
/* 611 */         jPanel.add((Component)ViewWindowAdministrator.createPageSetupButton(this, paramLocale));
/*     */       }
/* 613 */       if (paramBoolean2) jPanel.add((Component)b(paramLocale)); 
/* 614 */       jPanel.add((Component)ViewWindowAdministrator.createMaximizeButton(this, paramLocale));
/* 615 */       jPanel.add((Component)ViewWindowAdministrator.createSizeToFitButton(this, paramLocale));
/* 616 */       jPanel.add((Component)ViewWindowAdministrator.createCloseButton(this, paramLocale));
/*     */     } 
/*     */     
/* 619 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handlePageSetupActionButtonPress(AbstractPrintDialog paramAbstractPrintDialog) {
/* 627 */     getViewControlPanel().updateDisplay();
/*     */ 
/*     */     
/* 630 */     handlePrintServiceSelection(paramAbstractPrintDialog.getPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void handlePrintServiceSelection(PrintService paramPrintService) {
/* 641 */     PrintService printService = this.INFO_HOLDER.getSelectedPrintService();
/*     */     
/* 643 */     if (paramPrintService != printService)
/*     */     {
/* 645 */       this.INFO_HOLDER.setSelectedPrintService(paramPrintService);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isOverviewDisplay() {
/* 656 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected AbstractPrintDialog preparePageSetupDialog() {
/* 669 */     AbstractPrintDialog abstractPrintDialog = getDialogFactory().buildPageSetupDialog(this, Locale.getDefault(), this.INFO_HOLDER.getAttributeSet(), this.INFO_HOLDER.getSelectedPrintService(), this.INFO_HOLDER.getDocFlavor(), getViewControlPanel().getTargetPrintable());
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 674 */     f f = new f(this, abstractPrintDialog);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 686 */     abstractPrintDialog.addApplyButton(ResourceAdministrator.getLocalizedString("apply"), f);
/*     */ 
/*     */ 
/*     */     
/* 690 */     abstractPrintDialog.addPreviewNavigationActions();
/*     */     
/* 692 */     return abstractPrintDialog;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(boolean paramBoolean) {
/* 719 */     this.navigableFromChildDialog = false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String a(Locale paramLocale) {
/* 733 */     boolean bool = getDialogFactory().isPrintDialogBuilt();
/*     */     
/* 735 */     return ViewWindowAdministrator.a(paramLocale, bool, this.INFO_HOLDER.getSelectedPrintService());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private jpdf_common.gui.component.m.a b(Locale paramLocale) {
/* 744 */     String str = a(paramLocale);
/*     */     
/* 746 */     this.printButton = ViewWindowAdministrator.createPrintButton(this, str);
/*     */     
/* 748 */     return this.printButton;
/*     */   }
/*     */   
/*     */   protected abstract void printDisplayedMaterial(boolean paramBoolean);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\AbstractViewFrame.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */