/*     */ package jpdf.gui.preview;
/*     */ 
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import jpdf.ability.LookAheadAble;
/*     */ import jpdf.gui.PrintableViewer;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.PageCountPrintable;
/*     */ import jpdf.printable.ResetablePrintable;
/*     */ import jpdf.printable.ValidatingPrintable;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PreviewPrintableControlPanel
/*     */   extends AbstractPreviewControlPanel
/*     */   implements PrintableViewer
/*     */ {
/*     */   abstract class a
/*     */     implements PrintablePagePaintObserver
/*     */   {
/* 171 */     private int a = -999;
/*     */ 
/*     */ 
/*     */     
/*     */     public void failedPaintPage(Printable param1Printable, int param1Int) {
/* 176 */       BasicResourceManager.beep();
/* 177 */       this.b.getPageNavigationPanel().disableForwardPageNavigation(-1);
/*     */     }
/*     */ 
/*     */     
/*     */     protected final int a() {
/* 182 */       return this.a;
/*     */     }
/*     */ 
/*     */     
/*     */     protected final void a(int param1Int) {
/* 187 */       this.a = param1Int;
/*     */     }
/*     */ 
/*     */     
/*     */     private a(PreviewPrintableControlPanel this$0) {}
/*     */   }
/*     */ 
/*     */   
/*     */   class c
/*     */     extends a
/*     */   {
/*     */     private c(PreviewPrintableControlPanel this$0) {
/* 199 */       super((byte)0);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void paintedPage(Printable param1Printable, int param1Int) {
/* 204 */       if (param1Int == a()) {
/*     */         
/* 206 */         this.a.getPageNavigationPanel().updatePageNavigationControls(param1Printable, param1Int, ((PageCountPrintable)param1Printable).getPageCount());
/*     */ 
/*     */         
/* 209 */         a(-999);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends a
/*     */   {
/*     */     private b(PreviewPrintableControlPanel this$0) {
/* 222 */       super((byte)0);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void paintedPage(Printable param1Printable, int param1Int) {
/* 227 */       if (param1Int == a()) {
/*     */         
/* 229 */         this.a.getPageNavigationPanel().updatePageNavigationControls(param1Printable, param1Int, ((LookAheadAble)param1Printable).isMoreDataAvailable());
/*     */ 
/*     */         
/* 232 */         a(-999);
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   class d
/*     */     extends a
/*     */   {
/*     */     private d(PreviewPrintableControlPanel this$0) {
/* 241 */       super((byte)0);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void paintedPage(Printable param1Printable, int param1Int) {
/* 246 */       if (param1Int == a()) {
/*     */         
/* 248 */         this.a.getPageNavigationPanel().updatePageNavigationControls(param1Printable, param1Int);
/* 249 */         a(-999);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 258 */   private Printable targetPrintable = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintableControlPanel(boolean paramBoolean) {
/* 275 */     super(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintableControlPanel(Locale paramLocale, boolean paramBoolean) {
/* 288 */     super(paramLocale, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintableControlPanel(String paramString, boolean paramBoolean) {
/* 301 */     super(paramString, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getCurrentPageIndex() {
/* 315 */     return getDisplayPanel().getPrintablePageIndex();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getPageCount() {
/* 324 */     Printable printable = getTargetPrintable();
/* 325 */     int i = -1;
/*     */     
/* 327 */     if (printable instanceof PageCountPrintable)
/*     */     {
/* 329 */       i = ((PageCountPrintable)printable).getPageCount();
/*     */     }
/*     */     
/* 332 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Printable getPrintable() {
/* 341 */     return this.targetPrintable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializeDisplay() {
/* 352 */     super.initializeDisplay();
/*     */ 
/*     */     
/* 355 */     a(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPage(int paramInt) {
/*     */     PrintablePreviewPanel printablePreviewPanel;
/* 367 */     (printablePreviewPanel = getDisplayPanel()).setPreviewPrintable(getTargetPrintable(), paramInt);
/* 368 */     printablePreviewPanel.repaint();
/*     */ 
/*     */     
/* 371 */     a(paramInt);
/*     */ 
/*     */     
/* 374 */     navigatedPage();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintable(Printable paramPrintable) {
/* 383 */     PrintablePreviewPanel printablePreviewPanel = getDisplayPanel();
/*     */ 
/*     */     
/* 386 */     this.targetPrintable = paramPrintable;
/*     */ 
/*     */     
/* 389 */     printablePreviewPanel.setPreviewPrintable(paramPrintable, 0);
/*     */ 
/*     */     
/* 392 */     getPageNavigationPanel().addPageNavigationControls(paramPrintable);
/*     */ 
/*     */     
/* 395 */     setZooomingEnabled(!(paramPrintable instanceof jpdf.ability.Unscalable));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 400 */     if (paramPrintable instanceof PageCountPrintable) {
/*     */       
/* 402 */       printablePreviewPanel.setPagePaintObserver(new c((byte)0));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 408 */     if (paramPrintable instanceof LookAheadAble) {
/*     */       
/* 410 */       printablePreviewPanel.setPagePaintObserver(new b((byte)0));
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */     
/* 416 */     printablePreviewPanel.setPagePaintObserver(new d((byte)0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/* 446 */     PrintablePreviewPanel printablePreviewPanel = getDisplayPanel();
/* 447 */     PrintRequestAttributeSet printRequestAttributeSet = getPrintInfoHolder().getAttributeSet();
/* 448 */     Printable printable = getTargetPrintable();
/* 449 */     int j = -1;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 454 */     if (printable == null) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 459 */     PageFormat pageFormat = printablePreviewPanel.updatePageFormat(printRequestAttributeSet);
/*     */ 
/*     */     
/* 462 */     if (printable instanceof ValidatingPrintable) {
/*     */       
/*     */       try {
/*     */         
/* 466 */         ((ValidatingPrintable)printable).validate(pageFormat);
/*     */       }
/* 468 */       catch (Exception exception) {
/*     */         
/* 470 */         printablePreviewPanel.setToPaintImage(false);
/* 471 */         printablePreviewPanel.repaint();
/* 472 */         PrintManager.handleException(exception);
/*     */         return;
/*     */       } 
/*     */     }
/* 476 */     printablePreviewPanel.setToPaintImage(true);
/*     */ 
/*     */     
/* 479 */     int i = printablePreviewPanel.getPrintablePageIndex();
/*     */ 
/*     */     
/* 482 */     if (printable instanceof ResetablePrintable)
/*     */     {
/* 484 */       ((ResetablePrintable)printable).reset();
/*     */     }
/*     */ 
/*     */     
/* 488 */     if (printable instanceof PageCountPrintable)
/*     */     {
/* 490 */       j = ((PageCountPrintable)printable).computePageCount(pageFormat);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 495 */     getZoomPercentageComboBox().configureForPageFormat(pageFormat);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 500 */     if (printable instanceof jpdf.ability.navigate.JumpForwardAble) {
/*     */ 
/*     */ 
/*     */       
/* 504 */       if (j >= 0 && i >= j && printable instanceof jpdf.ability.navigate.PageRestartAble)
/*     */       {
/*     */         
/* 507 */         navigateToPage(0);
/*     */       }
/*     */       else
/*     */       {
/* 511 */         repaint();
/* 512 */         a(i);
/*     */       
/*     */       }
/*     */     
/*     */     }
/* 517 */     else if (printable instanceof jpdf.ability.navigate.PageRestartAble) {
/*     */       
/* 519 */       navigateToPage(0);
/*     */     } 
/*     */ 
/*     */     
/* 523 */     updateMediaLabel((PrintRequestAttributeSet)exception);
/*     */ 
/*     */ 
/*     */     
/* 527 */     if (this.FIT_RADIO_BUTTON.isSelected()) {
/*     */       
/* 529 */       zoomDisplayToFit();
/*     */       
/*     */       return;
/*     */     } 
/* 533 */     updateDisplayPanelSize();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Printable getTargetPrintable() {
/* 549 */     return this.targetPrintable;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(int paramInt) {
/* 564 */     if (paramInt < 0) {
/*     */       return;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 572 */     if (!isShowing()) {
/*     */       return;
/*     */     }
/*     */     a a;
/* 576 */     if ((a = (a)getDisplayPanel().getPagePaintObserver()) != null) a.a(paramInt); 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PreviewPrintableControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */