/*      */ package jpdf.gui.preview2.text;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Color;
/*      */ import java.awt.Component;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.LayoutManager;
/*      */ import java.awt.Point;
/*      */ import java.awt.Toolkit;
/*      */ import java.awt.event.ActionEvent;
/*      */ import java.awt.event.ActionListener;
/*      */ import java.awt.event.MouseEvent;
/*      */ import java.awt.event.MouseListener;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Printable;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.ActionMap;
/*      */ import javax.swing.BorderFactory;
/*      */ import javax.swing.Icon;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JButton;
/*      */ import javax.swing.JCheckBox;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JTextField;
/*      */ import javax.swing.KeyStroke;
/*      */ import javax.swing.event.DocumentEvent;
/*      */ import javax.swing.event.DocumentListener;
/*      */ import jpdf.ability.PrintablePageContentPainter;
/*      */ import jpdf.gui.preview2.AttributeSetChangeObserver;
/*      */ import jpdf.gui.preview2.PageNavigationObserver;
/*      */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*      */ import jpdf.gui.preview2.PreviewWindowHelper;
/*      */ import jpdf.gui.preview2.toolbar.AbstractPreviewToolbarPanel;
/*      */ import jpdf.gui.preview2.toolbar.SearchToolbarPanel;
/*      */ import jpdf.manage.ResourceAdministrator;
/*      */ import jpdf_common.gui.layout.RowLayout;
/*      */ import jpdf_common.system.manage.BasicResourceManager;
/*      */ import jpdf_common.system.manage.IconRetriever;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class SearchControlPanel
/*      */   extends JPanel
/*      */   implements PrintablePageContentPainter, AttributeSetChangeObserver, PageNavigationObserver
/*      */ {
/*      */   static abstract class a
/*      */     extends JButton
/*      */     implements ActionListener
/*      */   {
/*   65 */     private static Point a = new Point(-28, -24);
/*      */ 
/*      */ 
/*      */     
/*      */     private a(String param1String1, String param1String2, boolean param1Boolean) {
/*   70 */       super(IconRetriever.getIconResource(param1String1));
/*      */       
/*   72 */       setEnabled(param1Boolean);
/*   73 */       setFocusable(false);
/*   74 */       if (param1String2 != null) setToolTipText(param1String2); 
/*   75 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     public Dimension getPreferredSize() {
/*   80 */       return SearchControlPanel.a();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public Point getToolTipLocation(MouseEvent param1MouseEvent) {
/*   92 */       return a;
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean isPreferredSizeSet() {
/*   97 */       return true;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class b
/*      */     extends JLabel
/*      */   {
/*      */     private b() {}
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private b(String param1String) {
/*  114 */       super(param1String);
/*      */     }
/*      */ 
/*      */     
/*      */     public Dimension getPreferredSize() {
/*  119 */       return SearchControlPanel.a();
/*      */     }
/*      */ 
/*      */     
/*      */     public boolean isPreferredSizeSet() {
/*  124 */       return true;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class k
/*      */     extends b
/*      */     implements MouseListener
/*      */   {
/*      */     private k() {
/*  137 */       super("1", (byte)0);
/*      */       
/*  139 */       setBorder(BorderFactory.createLineBorder(Color.BLACK, 1));
/*  140 */       setHorizontalAlignment(0);
/*  141 */       setBackground(SearchControlPanel.a(SearchControlPanel.this).getPreviewTheme().getSearchSelectionBackground());
/*  142 */       setOpaque(false);
/*      */       
/*  144 */       addMouseListener(this);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private void a(int param1Int) {
/*  173 */       setText(param1Int + 1);
/*      */     }
/*      */     
/*      */     public final void mouseClicked(MouseEvent param1MouseEvent) {
/*      */       k k1;
/*  178 */       if ((k1 = this).isOpaque())
/*      */       {
/*  180 */         SearchControlPanel.this.displayCurrentSeachSelection();
/*      */       }
/*      */     }
/*      */ 
/*      */     
/*      */     public final void mouseEntered(MouseEvent param1MouseEvent) {}
/*      */ 
/*      */     
/*      */     public final void mouseExited(MouseEvent param1MouseEvent) {}
/*      */ 
/*      */     
/*      */     public final void mousePressed(MouseEvent param1MouseEvent) {}
/*      */ 
/*      */     
/*      */     public final void mouseReleased(MouseEvent param1MouseEvent) {}
/*      */   }
/*      */ 
/*      */   
/*      */   static class g
/*      */     extends b
/*      */   {
/*      */     private g() {
/*  202 */       super((byte)0);
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private Icon NOT_FOUND_ICON = IconRetriever.getIconResource("preview/findNotFound.png");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private Icon WRAP_TO_TOP_ICON = IconRetriever.getIconResource("preview/findWrapToTop.png");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private Icon WRAP_TO_BOTTOM_ICON = IconRetriever.getIconResource("preview/findWrapToBottom.png");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class c
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private c() {
/*  237 */       super(ResourceAdministrator.getLocalizedString("search.matchCase"), SearchControlPanel.b());
/*      */ 
/*      */       
/*  240 */       setOpaque(false);
/*  241 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  246 */       SearchControlPanel.this.clearSelection();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class m
/*      */     extends JCheckBox
/*      */   {
/*      */     private m() {
/*  258 */       super(ResourceAdministrator.getLocalizedString("search.wrap"), SearchControlPanel.c());
/*      */ 
/*      */       
/*  261 */       setOpaque(false);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class j
/*      */     extends JCheckBox
/*      */     implements ActionListener
/*      */   {
/*      */     private j() {
/*  274 */       super(ResourceAdministrator.getLocalizedString("search.headerFooter"), SearchControlPanel.d());
/*      */ 
/*      */       
/*  277 */       setOpaque(false);
/*  278 */       addActionListener(this);
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  283 */       param1ActionEvent = null;
/*      */ 
/*      */ 
/*      */       
/*  287 */       if (!isSelected()) {
/*      */         SearchController searchController;
/*      */         
/*  290 */         if ((searchController = SearchControlPanel.b(SearchControlPanel.this)).isSearchSelectionInHeader() || searchController.isSearchSelectionInFooter())
/*      */         {
/*      */           
/*  293 */           SearchControlPanel.this.clearSelection();
/*      */         }
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class l
/*      */     extends JCheckBox
/*      */   {
/*      */     private l() {
/*  307 */       super(ResourceAdministrator.getLocalizedString("search.wholeWord"), SearchControlPanel.e());
/*      */ 
/*      */       
/*  310 */       setOpaque(false);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class h
/*      */     extends JTextField
/*      */     implements ActionListener, DocumentListener
/*      */   {
/*      */     private h() {
/*  323 */       super(20);
/*      */       h h1;
/*  325 */       Dimension dimension = (h1 = this).getPreferredSize(); h1.setText(SearchControlPanel.f()); h1.addActionListener(h1); h1.getDocument().addDocumentListener(h1); dimension.width /= 2; h1.setMinimumSize(dimension); InputMap inputMap = (h1 = h1).getInputMap(0); ActionMap actionMap = h1.getActionMap(); String str = "findNext"; inputMap.put(SearchToolbarPanel.getFindTextActionKeyStroke(), str); g g = new g(h1, str); actionMap.put(str, g);
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  330 */       SearchControlPanel.this.findNext();
/*      */     }
/*      */ 
/*      */     
/*      */     public final void changedUpdate(DocumentEvent param1DocumentEvent) {
/*  335 */       SearchControlPanel.this.clearSelection();
/*  336 */       a();
/*      */     }
/*      */ 
/*      */     
/*      */     public final void insertUpdate(DocumentEvent param1DocumentEvent) {
/*  341 */       SearchControlPanel.this.clearSelection();
/*  342 */       a();
/*      */     }
/*      */ 
/*      */     
/*      */     public final void removeUpdate(DocumentEvent param1DocumentEvent) {
/*  347 */       SearchControlPanel.this.clearSelection();
/*  348 */       a();
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private void a() {
/*  393 */       boolean bool = (getText().trim().length() > 0) ? true : false;
/*      */       
/*  395 */       SearchControlPanel.c(SearchControlPanel.this).setEnabled(bool);
/*  396 */       SearchControlPanel.d(SearchControlPanel.this).setEnabled(bool);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class e
/*      */     extends a
/*      */   {
/*      */     private e() {
/*  408 */       super("preview/findNext.png", (String)null, false, (byte)0);
/*      */       
/*  410 */       e e1 = this; String str; setToolTipText(AbstractPreviewToolbarPanel.buildToolTipText(str = ResourceAdministrator.getLocalizedString("search.findNext"), SearchControlPanel.this.getFindNextKeyStroke()));
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  415 */       SearchControlPanel.this.findNext();
/*      */ 
/*      */ 
/*      */       
/*  419 */       SearchControlPanel.this.requestFocus();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class f
/*      */     extends a
/*      */   {
/*      */     private f() {
/*  438 */       super("preview/findPrevious.png", (String)null, false, (byte)0);
/*      */       
/*  440 */       f f1 = this; String str; setToolTipText(AbstractPreviewToolbarPanel.buildToolTipText(str = ResourceAdministrator.getLocalizedString("search.findPrevious"), SearchControlPanel.this.getFindPreviousKeyStroke()));
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  445 */       SearchControlPanel.this.findPrevious();
/*      */ 
/*      */ 
/*      */       
/*  449 */       SearchControlPanel.this.requestFocus();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class d
/*      */     extends jpdf_common.gui.component.m.a
/*      */   {
/*      */     private d() {
/*  469 */       super("preview/findClose.png", null);
/*      */     }
/*      */ 
/*      */     
/*      */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  474 */       SearchControlPanel.this.setVisible(false);
/*  475 */       SearchControlPanel.this.clearSelection();
/*      */     }
/*      */ 
/*      */     
/*      */     public final Dimension getPreferredSize() {
/*  480 */       return SearchControlPanel.a();
/*      */     }
/*      */ 
/*      */     
/*      */     public final boolean isPreferredSizeSet() {
/*  485 */       return true;
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   class i
/*      */     extends Thread
/*      */   {
/*      */     i(SearchControlPanel this$0) {
/*  499 */       super("Seach Control Flash Color Thread");
/*      */       
/*  501 */       setPriority(10);
/*  502 */       start();
/*      */     }
/*      */ 
/*      */     
/*      */     public final void run() {
/*  507 */       Color color = this.a.getBackground();
/*      */       
/*  509 */       for (byte b = 0; b < 2; b++) {
/*      */         
/*  511 */         this.a.setBackground(Color.ORANGE);
/*  512 */         this.a.repaint();
/*      */         
/*      */         try {
/*  515 */           sleep(500L);
/*      */         }
/*  517 */         catch (InterruptedException interruptedException) {}
/*  518 */         this.a.setBackground(color);
/*  519 */         this.a.repaint();
/*      */         
/*      */         try {
/*  522 */           sleep(500L);
/*      */         }
/*  524 */         catch (InterruptedException interruptedException) {}
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  534 */   private static Dimension a = new Dimension(24, 24);
/*  535 */   private static String b = "";
/*      */   
/*      */   private static boolean c = false;
/*      */   
/*      */   private static boolean d = true;
/*      */   
/*      */   private static boolean e = true;
/*      */   
/*      */   private static boolean f = false;
/*      */   
/*      */   private final PreviewPrintableControlPanel PREVIEW_CONTROL_PANEL;
/*      */   
/*  547 */   private final g NOT_FOUND_ICON_LABEL = new g((byte)0);
/*  548 */   private final c CASE_SENSITIVE_CHECK_BOX = new c((byte)0);
/*  549 */   private final m WRAP_SEARCH_CHECK_BOX = new m((byte)0);
/*  550 */   private final l WHOLE_WORD_CHECK_BOX = new l((byte)0);
/*  551 */   private final j HEADER_FOOTER_CHECK_BOX = new j((byte)0);
/*  552 */   private final h FIND_TEXT_FIELD = new h((byte)0);
/*  553 */   private final e FIND_NEXT_BUTTON = new e((byte)0);
/*  554 */   private final f FIND_PREVIOUS_BUTTON = new f((byte)0);
/*      */   
/*      */   private final k PAGE_NUMBER_LABEL;
/*  557 */   private SearchController searchController = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SearchControlPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/*  566 */     super(new BorderLayout(5, 5));
/*      */     
/*  568 */     this.PREVIEW_CONTROL_PANEL = paramPreviewPrintableControlPanel;
/*  569 */     this.PREVIEW_CONTROL_PANEL.addPageNavigationObserver(this);
/*  570 */     this.PREVIEW_CONTROL_PANEL.addAttributeSetChangeObserver(this);
/*      */ 
/*      */     
/*  573 */     this.PAGE_NUMBER_LABEL = new k((byte)0);
/*      */ 
/*      */     
/*  576 */     h.a(this.FIND_TEXT_FIELD);
/*      */     
/*  578 */     SearchControlPanel searchControlPanel1 = this; RowLayout rowLayout = new RowLayout(0, 5); JPanel jPanel1 = new JPanel((LayoutManager)rowLayout); rowLayout.setToAllowLayoutLeftOfContainer(false); rowLayout.setShrinkingComponent(searchControlPanel1.FIND_TEXT_FIELD); searchControlPanel1.setBorder(BorderFactory.createEmptyBorder(2, 5, 2, 2)); String str1 = ResourceAdministrator.getLocalizedString("search.find"); jPanel1.setOpaque(false); jPanel1.add(new JLabel(str1 + ":")); jPanel1.add(searchControlPanel1.FIND_TEXT_FIELD); SearchControlPanel searchControlPanel2 = searchControlPanel1; JPanel jPanel2; (jPanel2 = new JPanel((LayoutManager)new RowLayout(0, 2))).setOpaque(false); jPanel2.add(searchControlPanel2.FIND_PREVIOUS_BUTTON); jPanel2.add(searchControlPanel2.PAGE_NUMBER_LABEL); jPanel2.add(searchControlPanel2.FIND_NEXT_BUTTON); jPanel2.add(searchControlPanel2.NOT_FOUND_ICON_LABEL); jPanel1.add(jPanel2); jPanel1.add(searchControlPanel1.CASE_SENSITIVE_CHECK_BOX); jPanel1.add(searchControlPanel1.WRAP_SEARCH_CHECK_BOX); jPanel1.add(searchControlPanel1.WHOLE_WORD_CHECK_BOX); jPanel1.add(searchControlPanel1.HEADER_FOOTER_CHECK_BOX); searchControlPanel1.add(jPanel1, "Center"); searchControlPanel1.add((Component)new d((byte)0), "East"); InputMap inputMap = (searchControlPanel2 = searchControlPanel1).PREVIEW_CONTROL_PANEL.getInputMap(2); ActionMap actionMap = searchControlPanel2.PREVIEW_CONTROL_PANEL.getActionMap(); String str2 = "findNext"; inputMap.put(searchControlPanel2.getFindNextKeyStroke(), str2); d d = new d(searchControlPanel2, str2); actionMap.put(str2, d); str2 = "findPrev"; inputMap.put(searchControlPanel2.getFindPreviousKeyStroke(), str2); e e1 = new e(searchControlPanel2, str2); actionMap.put(str2, e1); inputMap = searchControlPanel2.getInputMap(1); actionMap = searchControlPanel2.getActionMap(); str2 = "findEscape"; inputMap.put(KeyStroke.getKeyStroke(27, 0), str2); f f1 = new f(searchControlPanel2, str2); actionMap.put(str2, f1); searchControlPanel1.h();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void clearSelection() {
/*      */     SearchController searchController;
/*  594 */     if ((searchController = g()) != null && searchController.isSearchSelectionPresent()) {
/*      */       
/*  596 */       searchController.clearSelection();
/*  597 */       g.a(this.NOT_FOUND_ICON_LABEL);
/*  598 */       k.a(this.PAGE_NUMBER_LABEL);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayCurrentSeachSelection() {
/*  610 */     g().displayCurrentSelection();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void findNext() {
/*  618 */     SearchController searchController = null;
/*  619 */     String str = getFindText();
/*  620 */     boolean bool1 = false;
/*  621 */     boolean bool2 = isCaseSensitiveSelected();
/*  622 */     boolean bool3 = isWrapSearchSelected();
/*  623 */     boolean bool4 = isWholeWordSearchSelected();
/*  624 */     boolean bool5 = isHeaderFooterSelected();
/*      */ 
/*      */     
/*  627 */     if (str.trim().length() > 0) {
/*      */ 
/*      */       
/*  630 */       bool1 = (searchController = g()).findNext(str, bool2, bool3, bool4, bool5);
/*      */       
/*  632 */       a(searchController, str, true, bool2, bool3, bool4, bool5, bool1);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void findPrevious() {
/*  642 */     SearchController searchController = null;
/*  643 */     String str = getFindText();
/*  644 */     boolean bool1 = false;
/*  645 */     boolean bool2 = isCaseSensitiveSelected();
/*  646 */     boolean bool3 = isWrapSearchSelected();
/*  647 */     boolean bool4 = isWholeWordSearchSelected();
/*  648 */     boolean bool5 = isHeaderFooterSelected();
/*      */ 
/*      */     
/*  651 */     if (str.trim().length() > 0) {
/*      */ 
/*      */       
/*  654 */       bool1 = (searchController = g()).findPrevious(str, bool2, bool3, bool4, bool5);
/*      */ 
/*      */       
/*  657 */       a(searchController, str, false, bool2, bool3, bool4, bool5, bool1);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public String getFindText() {
/*  668 */     return this.FIND_TEXT_FIELD.getText();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void handleAttributeSetChange(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/*  683 */     SearchController searchController = g();
/*  684 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */     
/*  688 */     if (searchController != null)
/*      */     {
/*      */ 
/*      */       
/*  692 */       if (bool = searchController.handleAttributeSetChange(paramPrintRequestAttributeSet, paramBoolean)) clearSelection();
/*      */     
/*      */     }
/*      */     
/*  696 */     if (paramBoolean) h();
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void handlePageNavigation(int paramInt1, int paramInt2) {
/*      */     SearchController searchController;
/*  711 */     if ((searchController = g()) == null || !searchController.isSearchSelectionPresent())
/*      */     {
/*  713 */       k.a(this.PAGE_NUMBER_LABEL, paramInt1);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void handleScrollAtTopBottom(boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/*  724 */     handlePageNavigation(paramInt1, paramInt2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isCaseSensitiveSelected() {
/*  732 */     return this.CASE_SENSITIVE_CHECK_BOX.isSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isHeaderFooterSelected() {
/*  740 */     return this.HEADER_FOOTER_CHECK_BOX.isSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isWholeWordSearchSelected() {
/*  748 */     return this.WHOLE_WORD_CHECK_BOX.isSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean isWrapSearchSelected() {
/*  756 */     return this.WRAP_SEARCH_CHECK_BOX.isSelected();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void paintContent(Printable paramPrintable, Graphics2D paramGraphics2D, PageFormat paramPageFormat, int paramInt, float paramFloat1, float paramFloat2) {
/*  773 */     if (!isVisible()) {
/*      */       return;
/*      */     }
/*      */ 
/*      */     
/*      */     SearchController searchController;
/*      */ 
/*      */     
/*  781 */     if ((searchController = g()) != null)
/*      */     {
/*  783 */       searchController.paintContent(paramPrintable, paramGraphics2D, paramPageFormat, paramInt, paramFloat1, paramFloat2);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void prepareForSearchOperation() {
/*  797 */     if (this.FIND_TEXT_FIELD.isFocusOwner()) {
/*      */       
/*  799 */       displayCurrentSeachSelection();
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  805 */     setVisible(true);
/*  806 */     requestFocus();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void requestFocus() {
/*  817 */     this.FIND_TEXT_FIELD.requestFocus();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setEnabled(boolean paramBoolean) {
/*  828 */     super.setEnabled(paramBoolean);
/*  829 */     this.FIND_TEXT_FIELD.setEnabled(paramBoolean);
/*  830 */     this.FIND_NEXT_BUTTON.setEnabled(paramBoolean);
/*  831 */     this.FIND_PREVIOUS_BUTTON.setEnabled(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected KeyStroke getFindNextKeyStroke() {
/*  845 */     return KeyStroke.getKeyStroke(114, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected KeyStroke getFindPreviousKeyStroke() {
/*  854 */     return KeyStroke.getKeyStroke(114, 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private SearchController g() {
/*  978 */     if (this.searchController == null && isVisible())
/*      */     {
/*      */       
/*  981 */       this.searchController = new SearchController(this.PREVIEW_CONTROL_PANEL);
/*      */     }
/*      */ 
/*      */     
/*  985 */     return this.searchController;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void h() {
/*  993 */     int i = this.PREVIEW_CONTROL_PANEL.getPrintable().getPageCount();
/*      */ 
/*      */     
/*  996 */     setEnabled((i > 0));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(SearchController paramSearchController, String paramString, boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4, boolean paramBoolean5, boolean paramBoolean6) {
/* 1058 */     boolean bool2 = paramSearchController.isWrappedFind();
/*      */ 
/*      */     
/* 1061 */     if (!paramBoolean6) {
/*      */       
/* 1063 */       Toolkit.getDefaultToolkit().beep();
/*      */     }
/* 1065 */     else if (bool2) {
/*      */       
/* 1067 */       if (PreviewWindowHelper.isSearchWrapAudible()) BasicResourceManager.playAudio("sound/searchWrap.au");
/*      */     
/*      */     } 
/*      */     
/* 1071 */     g.a(this.NOT_FOUND_ICON_LABEL, paramBoolean6, bool2, paramBoolean1);
/* 1072 */     k.a(this.PAGE_NUMBER_LABEL, paramSearchController, paramBoolean6);
/*      */ 
/*      */     
/* 1075 */     String str = paramString;
/* 1076 */     boolean bool1 = paramBoolean2;
/* 1077 */     d = bool1 = paramBoolean5;
/* 1078 */     e = bool1 = paramBoolean3;
/* 1079 */     f = bool1 = paramBoolean4;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\text\SearchControlPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */