/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.ComponentOrientation;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.FocusAdapter;
/*     */ import java.awt.event.FocusEvent;
/*     */ import java.util.Locale;
/*     */ import javax.swing.AbstractAction;
/*     */ import javax.swing.ActionMap;
/*     */ import javax.swing.InputMap;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.KeyStroke;
/*     */ import jpdf.gui.preview2.PageNavigationObserver;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPageNavigationToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */   implements PageNavigationObserver
/*     */ {
/*     */   protected final jpdf_common.gui.component.c.a PAGE_NUMBER_INPUT_FIELD;
/*     */   protected final JLabel PAGE_COUNT_LABEL;
/*     */   private final String OF_STRING;
/*     */   private final boolean PAGE_NAVIGATION_AUDIBLE;
/*     */   
/*     */   class a
/*     */     extends AbstractAction
/*     */   {
/*     */     private a() {}
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  64 */       if (AbstractPageNavigationToolbarPanel.this.isForwardNavigationAllowed()) {
/*     */         
/*  66 */         AbstractPageNavigationToolbarPanel.this.navigateToPageNext();
/*     */         
/*     */         return;
/*     */       } 
/*  70 */       BasicResourceManager.beep();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class h
/*     */     extends AbstractAction
/*     */   {
/*     */     private h() {}
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  87 */       if (AbstractPageNavigationToolbarPanel.this.isBackwardNavigationAllowed()) {
/*     */         
/*  89 */         AbstractPageNavigationToolbarPanel.this.navigateToPagePrevious();
/*     */         
/*     */         return;
/*     */       } 
/*  93 */       BasicResourceManager.beep();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends AbstractAction
/*     */   {
/*     */     private b() {}
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 110 */       if (AbstractPageNavigationToolbarPanel.this.isBackwardNavigationAllowed()) {
/*     */         
/* 112 */         AbstractPageNavigationToolbarPanel.this.navigateToPage(0);
/*     */         
/*     */         return;
/*     */       } 
/* 116 */       BasicResourceManager.beep();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends AbstractAction
/*     */   {
/*     */     private c() {}
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 133 */       if (AbstractPageNavigationToolbarPanel.this.isForwardNavigationAllowed()) {
/*     */         
/* 135 */         AbstractPageNavigationToolbarPanel.this.navigateToPageLast();
/*     */         
/*     */         return;
/*     */       } 
/* 139 */       BasicResourceManager.beep();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class d
/*     */     extends AbstractAction
/*     */   {
/*     */     private d() {}
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       String str;
/* 153 */       if ((str = param1ActionEvent.getActionCommand()) == null) {
/*     */         return;
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 159 */       int i = Integer.parseInt(param1ActionEvent.getActionCommand()) - 1;
/*     */ 
/*     */       
/* 162 */       AbstractPageNavigationToolbarPanel.this.navigateToPage(i);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class e
/*     */     extends AbstractAction
/*     */   {
/*     */     private e() {}
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 175 */       AbstractPageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.selectAll();
/* 176 */       AbstractPageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.requestFocus();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class f
/*     */     implements ActionListener
/*     */   {
/*     */     private f(AbstractPageNavigationToolbarPanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 189 */       AbstractPageNavigationToolbarPanel.a(this.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class g
/*     */     extends FocusAdapter
/*     */   {
/*     */     private g(AbstractPageNavigationToolbarPanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public final void focusLost(FocusEvent param1FocusEvent) {
/* 203 */       AbstractPageNavigationToolbarPanel.a(this.a);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPageNavigationToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, Locale paramLocale, boolean paramBoolean) {
/* 238 */     super(paramPreviewPrintableControlPanel);
/*     */     
/* 240 */     if (paramLocale == null) {
/*     */       
/* 242 */       this.OF_STRING = "  of ";
/*     */     } else {
/*     */       ComponentOrientation componentOrientation;
/*     */ 
/*     */ 
/*     */       
/* 248 */       if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight()) {
/*     */         
/* 250 */         this.OF_STRING = " " + ResourceAdministrator.getLocalizedString("of") + "  ";
/*     */       }
/*     */       else {
/*     */         
/* 254 */         this.OF_STRING = "  " + ResourceAdministrator.getLocalizedString("of") + " ";
/*     */       } 
/*     */     }  AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel2;
/* 257 */     int j = (abstractPageNavigationToolbarPanel2 = this).PREVIEW_CONTROL_PANEL.getPageCount(); Dimension dimension; JLabel jLabel; (dimension = (jLabel = new JLabel(abstractPageNavigationToolbarPanel2.b(j))).getPreferredSize()).width += 10; jLabel.setPreferredSize(dimension); this.PAGE_COUNT_LABEL = jLabel;
/* 258 */     boolean bool = true; AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel1; int i = a((abstractPageNavigationToolbarPanel1 = this).PREVIEW_CONTROL_PANEL.getPageCount()); jpdf_common.gui.component.c.a a1; (a1 = new jpdf_common.gui.component.c.a(i, true, false)).setEnabled(true); a1.addActionListener(new f((byte)0)); a1.addFocusListener(new g((byte)0)); a1.setText("1"); jpdf_common.gui.d.a.b((JComponent)a1, 36); jpdf_common.gui.d.a.b((JComponent)a1, 35); this.PAGE_NUMBER_INPUT_FIELD = a1;
/* 259 */     this.PAGE_NAVIGATION_AUDIBLE = paramBoolean;
/*     */ 
/*     */     
/* 262 */     b();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPage(int paramInt) {
/* 275 */     if (this.PREVIEW_CONTROL_PANEL.navigateToPage(this, paramInt)) {
/*     */       
/* 277 */       handlePageNavigation(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.getPageCount());
/*     */       
/* 279 */       if (this.PAGE_NAVIGATION_AUDIBLE) { AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel; (abstractPageNavigationToolbarPanel = this).PREVIEW_CONTROL_PANEL.playPageTurn(); }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPageLast() {
/* 288 */     if (this.PREVIEW_CONTROL_PANEL.navigateToPageLast(this)) {
/*     */       
/* 290 */       handlePageNavigation(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.getPageCount());
/*     */       
/* 292 */       if (this.PAGE_NAVIGATION_AUDIBLE) { AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel; (abstractPageNavigationToolbarPanel = this).PREVIEW_CONTROL_PANEL.playPageTurn(); }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPageNext() {
/* 301 */     if (this.PREVIEW_CONTROL_PANEL.navigateToPageNext(this)) {
/*     */       
/* 303 */       handlePageNavigation(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.getPageCount());
/*     */       
/* 305 */       if (this.PAGE_NAVIGATION_AUDIBLE) { AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel; (abstractPageNavigationToolbarPanel = this).PREVIEW_CONTROL_PANEL.playPageTurn(); }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void navigateToPagePrevious() {
/* 314 */     if (this.PREVIEW_CONTROL_PANEL.navigateToPagePrevious(this)) {
/*     */       
/* 316 */       handlePageNavigation(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.getPageCount());
/*     */       
/* 318 */       if (this.PAGE_NAVIGATION_AUDIBLE) { AbstractPageNavigationToolbarPanel abstractPageNavigationToolbarPanel; (abstractPageNavigationToolbarPanel = this).PREVIEW_CONTROL_PANEL.playPageTurn(); }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isBackwardNavigationAllowed() {
/* 333 */     return a(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.isScrolledToTop());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean isForwardNavigationAllowed() {
/* 343 */     return a(this.PREVIEW_CONTROL_PANEL.getCurrentPageIndex(), this.PREVIEW_CONTROL_PANEL.getPageCount(), this.PREVIEW_CONTROL_PANEL.isScrolledToBottom());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static int a(int paramInt) {
/* 359 */     return (int)(Math.log(paramInt) / Math.log(10.0D)) + 1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final String b(int paramInt) {
/*     */     ComponentOrientation componentOrientation;
/* 411 */     if (!(componentOrientation = ComponentOrientation.getOrientation(Locale.getDefault())).isLeftToRight())
/*     */     {
/* 413 */       return paramInt + this.OF_STRING;
/*     */     }
/*     */     
/* 416 */     return this.OF_STRING + paramInt + " ";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean a(int paramInt, boolean paramBoolean) {
/* 425 */     return (paramInt > 0 || !paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean a(int paramInt1, int paramInt2, boolean paramBoolean) {
/* 437 */     if ((paramInt1 = paramInt1 + 1) < paramInt2 || !paramBoolean) return true;  return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void b() {
/* 454 */     InputMap inputMap = this.PREVIEW_CONTROL_PANEL.getInputMap(2);
/*     */     
/* 456 */     ActionMap actionMap = this.PREVIEW_CONTROL_PANEL.getActionMap();
/* 457 */     String str = "pageDown";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 463 */     inputMap.put(KeyStroke.getKeyStroke(34, 0), str);
/* 464 */     inputMap.put(KeyStroke.getKeyStroke(34, 8), str);
/* 465 */     actionMap.put(str, new a((byte)0));
/*     */ 
/*     */     
/* 468 */     str = "pageUp";
/* 469 */     inputMap.put(KeyStroke.getKeyStroke(33, 0), str);
/* 470 */     inputMap.put(KeyStroke.getKeyStroke(33, 8), str);
/* 471 */     actionMap.put(str, new h((byte)0));
/*     */ 
/*     */     
/* 474 */     str = "pageFirst";
/* 475 */     inputMap.put(KeyStroke.getKeyStroke(36, 0), str);
/* 476 */     inputMap.put(KeyStroke.getKeyStroke(36, 8), str);
/* 477 */     actionMap.put(str, new b((byte)0));
/*     */ 
/*     */     
/* 480 */     str = "pageLast";
/* 481 */     inputMap.put(KeyStroke.getKeyStroke(35, 0), str);
/* 482 */     inputMap.put(KeyStroke.getKeyStroke(35, 8), str);
/* 483 */     actionMap.put(str, new c((byte)0));
/*     */ 
/*     */     
/* 486 */     str = "pageFieldGoTo";
/* 487 */     inputMap.put(KeyStroke.getKeyStroke(71, 2), str);
/* 488 */     actionMap.put(str, new e((byte)0));
/*     */ 
/*     */     
/* 491 */     str = "pageNumber";
/* 492 */     d d = new d((byte)0);
/* 493 */     for (byte b = 1; b <= 9; b++) {
/*     */       
/* 495 */       inputMap.put(KeyStroke.getKeyStroke(b + 48, 8), str);
/* 496 */       actionMap.put(str, d);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\AbstractPageNavigationToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */