/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.Locale;
/*     */ import javax.swing.ImageIcon;
/*     */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DialogControlToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */ {
/*     */   class a
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public a() {
/*  58 */       super(DialogControlToolbarPanel.getCloseButtonIcon(), "Close");
/*     */     }
/*     */ 
/*     */     
/*     */     public a(byte param1Byte) {
/*  63 */       super(DialogControlToolbarPanel.getCloseButtonIcon(), ResourceAdministrator.getLocalizedString("close"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  68 */       DialogControlToolbarPanel.a(DialogControlToolbarPanel.this).dispose();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public b() {
/*  80 */       super(DialogControlToolbarPanel.getMaximizeButtonIcon(), "Maximize");
/*     */     }
/*     */ 
/*     */     
/*     */     public b(byte param1Byte) {
/*  85 */       super(DialogControlToolbarPanel.getMaximizeButtonIcon(), ResourceAdministrator.getLocalizedString("maximize"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  90 */       DialogControlToolbarPanel.a(DialogControlToolbarPanel.this).maximize();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public c() {
/* 102 */       super(DialogControlToolbarPanel.getSizeToFitButtonIcon(), "Size To Fit");
/*     */     }
/*     */ 
/*     */     
/*     */     public c(byte param1Byte) {
/* 107 */       super(DialogControlToolbarPanel.getSizeToFitButtonIcon(), ResourceAdministrator.getLocalizedString("sizeToFit"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 112 */       DialogControlToolbarPanel.a(DialogControlToolbarPanel.this).sizeToFit();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   private static ImageIcon b = BasicResourceManager.getIconResource("preview/windowRestore.png");
/* 122 */   private static ImageIcon c = BasicResourceManager.getIconResource("preview/windowMaximize.png");
/* 123 */   private static ImageIcon d = BasicResourceManager.getIconResource("remove.gif");
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a SIZE_TO_FIT_BUTTON;
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a MAXIMIZE_BUTTON;
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a CLOSE_BUTTON;
/*     */ 
/*     */   
/*     */   private final PreviewPrintableDialog PREVIEW_DIALOG;
/*     */ 
/*     */ 
/*     */   
/*     */   public DialogControlToolbarPanel(PreviewPrintableDialog paramPreviewPrintableDialog) {
/* 142 */     this(paramPreviewPrintableDialog, null);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public DialogControlToolbarPanel(PreviewPrintableDialog paramPreviewPrintableDialog, Locale paramLocale) {
/* 148 */     super(paramPreviewPrintableDialog.getPreviewControlPanel());
/*     */     
/* 150 */     this.PREVIEW_DIALOG = paramPreviewPrintableDialog;
/* 151 */     if (paramLocale == null) {
/*     */       
/* 153 */       this.SIZE_TO_FIT_BUTTON = new c();
/* 154 */       this.MAXIMIZE_BUTTON = new b();
/* 155 */       this.CLOSE_BUTTON = new a();
/*     */     }
/*     */     else {
/*     */       
/* 159 */       this.SIZE_TO_FIT_BUTTON = new c((byte)0);
/* 160 */       this.MAXIMIZE_BUTTON = new b((byte)0);
/* 161 */       this.CLOSE_BUTTON = new a((byte)0);
/*     */     } 
/*     */ 
/*     */     
/* 165 */     addControls();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getCloseButtonIcon() {
/* 179 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getMaximizeButtonIcon() {
/* 188 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getSizeToFitButtonIcon() {
/* 197 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setCloseButtonIcon(ImageIcon paramImageIcon) {
/* 206 */     d = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setMaximizeButtonIcon(ImageIcon paramImageIcon) {
/* 215 */     c = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setSizeToFitButtonIcon(ImageIcon paramImageIcon) {
/* 224 */     b = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls() {
/* 238 */     add((Component)this.SIZE_TO_FIT_BUTTON);
/* 239 */     add((Component)this.MAXIMIZE_BUTTON);
/* 240 */     add((Component)this.CLOSE_BUTTON);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\DialogControlToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */