/*     */ package jpdf.printer.swing;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.RenderingHints;
/*     */ import javax.swing.ComboBoxEditor;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JSpinner;
/*     */ import javax.swing.ListCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class PrintSwingUtility
/*     */ {
/*     */   public static void configureGraphicsForPreview(Graphics2D paramGraphics2D) {
/*  43 */     paramGraphics2D.setRenderingHint(RenderingHints.KEY_FRACTIONALMETRICS, RenderingHints.VALUE_FRACTIONALMETRICS_ON);
/*     */     
/*  45 */     paramGraphics2D.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_OFF);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void makeBackgroundColorSettable(JComponent paramJComponent) {
/*  76 */     Component[] arrayOfComponent = paramJComponent.getComponents();
/*  77 */     Color color = null;
/*  78 */     color = null;
/*  79 */     color = null;
/*  80 */     color = null;
/*     */     
/*  82 */     for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */       
/*  84 */       color = arrayOfComponent[b].getBackground();
/*     */ 
/*     */       
/*  87 */       if (arrayOfComponent[b] instanceof javax.swing.JPanel || arrayOfComponent[b] instanceof javax.swing.Box) {
/*     */ 
/*     */ 
/*     */         
/*  91 */         if (color instanceof javax.swing.plaf.UIResource)
/*     */         {
/*  93 */           ((JComponent)arrayOfComponent[b]).setOpaque(false);
/*  94 */           makeBackgroundColorSettable((JComponent)arrayOfComponent[b]);
/*     */         
/*     */         }
/*     */       
/*     */       }
/*  99 */       else if (arrayOfComponent[b] instanceof javax.swing.JTextField) {
/*     */         
/* 101 */         if (color instanceof javax.swing.plaf.UIResource && !color.equals(Color.WHITE))
/*     */         {
/*     */           
/* 104 */           ((JComponent)arrayOfComponent[b]).setOpaque(false);
/*     */         
/*     */         }
/*     */       
/*     */       }
/* 109 */       else if (arrayOfComponent[b] instanceof javax.swing.AbstractButton || arrayOfComponent[b] instanceof javax.swing.JTextField) {
/*     */ 
/*     */         
/* 112 */         if (color instanceof javax.swing.plaf.UIResource)
/*     */         {
/* 114 */           ((JComponent)arrayOfComponent[b]).setOpaque(false);
/*     */         }
/*     */       } else {
/*     */         Component component;
/*     */         
/* 119 */         if (arrayOfComponent[b] instanceof JComboBox) {
/*     */           
/* 121 */           if (color instanceof javax.swing.plaf.UIResource && !color.equals(Color.WHITE))
/*     */           {
/*     */             
/* 124 */             ((JComponent)arrayOfComponent[b]).setOpaque(false);
/*     */           }
/*     */           
/*     */           ListCellRenderer<?> listCellRenderer;
/* 128 */           if (listCellRenderer = ((JComboBox)arrayOfComponent[b]).getRenderer() instanceof JComponent)
/*     */           {
/*     */             
/* 131 */             if ((component = (JComponent)listCellRenderer).getBackground() instanceof javax.swing.plaf.UIResource)
/*     */             {
/* 133 */               component.setOpaque(false);
/*     */             }
/*     */           }
/*     */           
/*     */           ComboBoxEditor comboBoxEditor;
/* 138 */           if (comboBoxEditor = ((JComboBox)arrayOfComponent[b]).getEditor() instanceof ComboBoxEditor)
/*     */           {
/*     */             
/* 141 */             if (component = comboBoxEditor.getEditorComponent() instanceof JComponent)
/*     */             {
/*     */               
/* 144 */               if ((component = component).getBackground() instanceof javax.swing.plaf.UIResource)
/*     */               {
/* 146 */                 component.setOpaque(false);
/*     */               
/*     */               }
/*     */             
/*     */             }
/*     */           }
/*     */         }
/* 153 */         else if (arrayOfComponent[b] instanceof JSpinner) {
/*     */           
/* 155 */           if (component instanceof javax.swing.plaf.UIResource) {
/*     */             
/* 157 */             ((JSpinner)arrayOfComponent[b]).setOpaque(false);
/*     */             
/* 159 */             if ((component = ((JSpinner)arrayOfComponent[b]).getEditor()).getBackground() instanceof javax.swing.plaf.UIResource)
/*     */             {
/* 161 */               component.setOpaque(false);
/*     */             }
/* 163 */             if (component instanceof JSpinner.DefaultEditor)
/*     */             {
/*     */               
/* 166 */               if ((component = ((JSpinner.DefaultEditor)component).getTextField()).getBackground() instanceof javax.swing.plaf.UIResource)
/*     */               {
/* 168 */                 component.setOpaque(false);
/*     */               }
/*     */             }
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\swing\PrintSwingUtility.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */