/*     */ package jpdf.report.decoration;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Font;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.text.Format;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.table.TableModel;
/*     */ import jpdf.ability.AttributeSetUpdateObserver;
/*     */ import jpdf.ability.PrintAttributeSetGettable;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.ColumnHeaders;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.attribute.OffsetLeft;
/*     */ import jpdf.attribute.OffsetRight;
/*     */ import jpdf.attribute.RowHeaders;
/*     */ import jpdf.attribute.ScaleFactor;
/*     */ import jpdf.attribute.ScaleFactorMax;
/*     */ import jpdf.attribute.ScaleFactorMin;
/*     */ import jpdf.attribute.SizeToFitPageWidth;
/*     */ import jpdf.attribute.TableGridHorizontal;
/*     */ import jpdf.attribute.TableGridVertical;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf.printer.ComponentPrinterBuilder;
/*     */ import jpdf.printer.GapPainter;
/*     */ import jpdf.printer.TableComponentPrinter;
/*     */ import jpdf.printer.swing.PrintTableUtility;
/*     */ import jpdf.report.table.ReportTable;
/*     */ import jpdf.report.table.SegmentedReportTable;
/*     */ import jpdf.report.table.renderer.FormattedCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticsTable
/*     */   extends ReportTable
/*     */   implements PrintAttributeSetGettable, ComponentPrinterBuilder, ReportDecoration
/*     */ {
/*     */   private final PrintRequestAttributeSet PRINT_ATTRIBUTE_SET;
/*     */   private final JTable DATA_TABLE;
/*     */   private final boolean HEADER;
/*     */   private final int[] COLUMN_WIDTHS;
/*     */   
/*     */   class a
/*     */     extends TableComponentPrinter
/*     */     implements AttributeSetUpdateObserver
/*     */   {
/*     */     private boolean a = false;
/*     */     
/*     */     private a(StatisticsTable this$0, StatisticsTable param1StatisticsTable1, String param1String) {
/*  89 */       super((JTable)param1StatisticsTable1, param1String, false, true);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void updatedAttributeSet(AttributeSet param1AttributeSet, Object param1Object) {
/* 100 */       param1Object = getAttributeSet();
/* 101 */       boolean bool = true;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       Attribute attribute;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 111 */       if ((attribute = param1AttributeSet.get(FitToPagesSelected.class)) != null) param1Object.add(attribute);
/*     */       
/* 113 */       if ((attribute = param1AttributeSet.get(OffsetLeft.class)) != null) param1Object.add(attribute);
/*     */       
/* 115 */       if ((attribute = param1AttributeSet.get(OffsetRight.class)) != null) param1Object.add(attribute);
/*     */       
/* 117 */       if ((attribute = param1AttributeSet.get(ScaleFactor.class)) != null) param1Object.add(attribute);
/*     */       
/* 119 */       if ((attribute = param1AttributeSet.get(ScaleFactorMax.class)) != null) param1Object.add(attribute);
/*     */       
/* 121 */       if ((attribute = param1AttributeSet.get(ScaleFactorMin.class)) != null) param1Object.add(attribute);
/*     */       
/* 123 */       if ((attribute = param1AttributeSet.get(AlignmentFactorHorizontal.class)) != null) param1Object.add(attribute);
/*     */ 
/*     */       
/* 126 */       attribute = param1AttributeSet.get(SizeToFitPageWidth.class);
/* 127 */       this.a = (attribute == SizeToFitPageWidth.TRUE);
/*     */ 
/*     */ 
/*     */       
/* 131 */       if (RowHeaders.isToInclude(param1AttributeSet)) {
/*     */         a a2; JScrollPane jScrollPane1; JTable jTable; Component component1;
/* 133 */         bool = ((jScrollPane1 = jpdf_common.gui.d.a.b(jTable = StatisticsTable.a((StatisticsTable)(a2 = this).TARGET_COMPONENT))) == null) ? false : ((jScrollPane1.getRowHeader() == null) ? false : (((component1 = jScrollPane1.getRowHeader().getView()) == null) ? false : component1.getWidth()));
/*     */       } 
/*     */ 
/*     */       
/*     */       a a1;
/*     */ 
/*     */       
/*     */       Component component;
/*     */       
/*     */       JScrollPane jScrollPane;
/*     */       
/* 144 */       ((Dimension)(param1Object = (component = ((jScrollPane = jpdf_common.gui.d.a.b((a1 = this).TARGET_COMPONENT)) == null) ? null : ((jScrollPane.getRowHeader() == null) ? null : jScrollPane.getRowHeader().getView())).getSize())).width = bool;
/* 145 */       component.setSize((Dimension)param1Object);
/*     */       
/* 147 */       ((Dimension)(param1Object = component.getPreferredSize())).width = bool;
/* 148 */       ((JComponent)component).setPreferredSize((Dimension)param1Object);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void prepareForPrinting(PageFormat param1PageFormat, AttributeSet param1AttributeSet) {
/*     */       StatisticsTable statisticsTable;
/* 158 */       JTable jTable = StatisticsTable.a(statisticsTable = (StatisticsTable)this.TARGET_COMPONENT);
/*     */       
/* 160 */       super.prepareForPrinting(param1PageFormat, param1AttributeSet);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 167 */       if (this.a) {
/*     */         
/* 169 */         if (StatisticsTable.b(this.b) == null) {
/*     */           
/* 171 */           PrintTableUtility.copyColumnWidths(jTable, (JTable)statisticsTable);
/*     */         }
/*     */         else {
/*     */           
/* 175 */           StatisticsTable.a(statisticsTable, jTable, StatisticsTable.b(this.b));
/*     */         } 
/* 177 */         doLayout();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 218 */   private GapPainter gapPainter = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable(boolean paramBoolean, JTable paramJTable, int paramInt) {
/* 232 */     this(paramBoolean, paramJTable, paramInt, (Color)null, (Color)null, paramJTable.getFont());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable(boolean paramBoolean, JTable paramJTable, int paramInt, Color paramColor1, Color paramColor2, Font paramFont) {
/* 245 */     super(paramInt, paramJTable.getColumnCount(), paramColor1, paramColor2, paramFont);
/*     */ 
/*     */     
/* 248 */     this.HEADER = paramBoolean;
/* 249 */     this.DATA_TABLE = paramJTable;
/* 250 */     this.PRINT_ATTRIBUTE_SET = buildPrintAttributeSet();
/* 251 */     this.COLUMN_WIDTHS = null;
/* 252 */     PrintTableUtility.copyColumnWidths(paramJTable, (JTable)this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable(boolean paramBoolean, JTable paramJTable, int paramInt, int[] paramArrayOfint) {
/* 278 */     this(paramBoolean, paramJTable, paramInt, paramArrayOfint, (Color)null, (Color)null, paramJTable.getFont());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticsTable(boolean paramBoolean, JTable paramJTable, int paramInt, int[] paramArrayOfint, Color paramColor1, Color paramColor2, Font paramFont) {
/* 308 */     super(paramInt, paramArrayOfint.length, paramColor1, paramColor2, paramFont);
/*     */     
/* 310 */     this.HEADER = paramBoolean;
/* 311 */     this.DATA_TABLE = paramJTable;
/* 312 */     this.PRINT_ATTRIBUTE_SET = buildPrintAttributeSet();
/* 313 */     this.COLUMN_WIDTHS = paramArrayOfint;
/* 314 */     a(paramJTable, paramArrayOfint);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractComponentPrinter buildComponentPrinter(JComponent paramJComponent, String paramString) {
/* 331 */     return (AbstractComponentPrinter)new a(this, paramString, (byte)0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Float computeColumnAverage(JTable paramJTable, int paramInt) {
/* 341 */     TableModel tableModel = paramJTable.getModel();
/* 342 */     Object object = null;
/* 343 */     Float float_ = null;
/* 344 */     float f = 0.0F;
/* 345 */     byte b1 = 0;
/* 346 */     int i = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 349 */     for (byte b2 = 0; b2 < i; b2++) {
/*     */ 
/*     */       
/* 352 */       if (object = tableModel.getValueAt(b2, paramInt) instanceof Number) {
/*     */         
/* 354 */         f += ((Number)object).floatValue();
/* 355 */         b1++;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 360 */     if (b1 > 0)
/*     */     {
/* 362 */       float_ = new Float(f / b1);
/*     */     }
/*     */     
/* 365 */     return float_;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Float computeColumnMaximum(JTable paramJTable, int paramInt) {
/* 375 */     TableModel tableModel = paramJTable.getModel();
/* 376 */     Object object = null;
/* 377 */     Float float_ = null;
/* 378 */     float f2 = 0.0F;
/* 379 */     float f1 = 0.0F;
/* 380 */     boolean bool = false;
/* 381 */     int i = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 384 */     for (byte b = 0; b < i; b++) {
/*     */       Object object1;
/*     */       
/* 387 */       if (object1 = tableModel.getValueAt(b, paramInt) instanceof Number) {
/*     */         float f;
/* 389 */         if (bool) {
/*     */ 
/*     */           
/* 392 */           if ((f = ((Number)object1).floatValue()) > f2) f2 = f;
/*     */         
/*     */         } else {
/*     */           
/* 396 */           f2 = ((Number)f).floatValue();
/* 397 */           bool = true;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 403 */     if (bool)
/*     */     {
/* 405 */       float_ = new Float(f2);
/*     */     }
/*     */     
/* 408 */     return float_;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Float computeColumnMinimum(JTable paramJTable, int paramInt) {
/* 418 */     TableModel tableModel = paramJTable.getModel();
/* 419 */     Object object = null;
/* 420 */     Float float_ = null;
/* 421 */     float f2 = 0.0F;
/* 422 */     float f1 = 0.0F;
/* 423 */     boolean bool = false;
/* 424 */     int i = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 427 */     for (byte b = 0; b < i; b++) {
/*     */       Object object1;
/*     */       
/* 430 */       if (object1 = tableModel.getValueAt(b, paramInt) instanceof Number) {
/*     */         float f;
/* 432 */         if (bool) {
/*     */ 
/*     */           
/* 435 */           if ((f = ((Number)object1).floatValue()) < f2) f2 = f;
/*     */         
/*     */         } else {
/*     */           
/* 439 */           f2 = ((Number)f).floatValue();
/* 440 */           bool = true;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 446 */     if (bool)
/*     */     {
/* 448 */       float_ = new Float(f2);
/*     */     }
/*     */     
/* 451 */     return float_;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Float computeColumnTotal(JTable paramJTable, int paramInt) {
/* 461 */     TableModel tableModel = paramJTable.getModel();
/* 462 */     Object object = null;
/* 463 */     Float float_ = null;
/* 464 */     float f = 0.0F;
/* 465 */     byte b1 = 0;
/* 466 */     int i = paramJTable.getRowCount();
/*     */ 
/*     */     
/* 469 */     for (byte b2 = 0; b2 < i; b2++) {
/*     */ 
/*     */       
/* 472 */       if (object = tableModel.getValueAt(b2, paramInt) instanceof Number) {
/*     */         
/* 474 */         f += ((Number)object).floatValue();
/* 475 */         b1++;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 480 */     if (b1 > 0)
/*     */     {
/* 482 */       float_ = new Float(f);
/*     */     }
/*     */     
/* 485 */     return float_;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public GapPainter getGapPainter() {
/* 495 */     return this.gapPainter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintRequestAttributeSet getPrintAttributeSet() {
/* 504 */     return this.PRINT_ATTRIBUTE_SET;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isFooter() {
/* 514 */     return !this.HEADER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isHeader() {
/* 524 */     return this.HEADER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellValue(int paramInt1, int paramInt2, int paramInt3) {
/* 532 */     getModel().setValueAt(Integer.valueOf(paramInt3), paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellValue(int paramInt1, int paramInt2, float paramFloat) {
/* 540 */     getModel().setValueAt(new Float(paramFloat), paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellValue(int paramInt1, int paramInt2, Object paramObject) {
/* 548 */     getModel().setValueAt(paramObject, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCellValues(Object[][] paramArrayOfObject) {
/* 559 */     TableModel tableModel = getModel();
/*     */     
/* 561 */     for (byte b = 0; b < paramArrayOfObject.length; b++) {
/*     */       
/* 563 */       for (byte b1 = 0; b1 < (paramArrayOfObject[0]).length; b1++)
/*     */       {
/* 565 */         tableModel.setValueAt(paramArrayOfObject[b][b1], b, b1);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnAlignment(int paramInt1, int paramInt2) {
/* 577 */     a(paramInt1).setHorizontalAlignment(paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnBackgroundColor(int paramInt, Color paramColor) {
/* 585 */     a(paramInt).setCellBackgroundColor(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnFont(int paramInt, Font paramFont) {
/* 593 */     a(paramInt).setCellFont(paramFont);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnForegroundColor(int paramInt, Color paramColor) {
/* 601 */     a(paramInt).setCellForegroundColor(paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnFormat(int paramInt, Format paramFormat) {
/* 609 */     a(paramInt).setCellFormat(paramFormat);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnPadding(int paramInt1, int paramInt2, int paramInt3) {
/* 623 */     setColumnPadding(paramInt1, 0, paramInt2, 0, paramInt3);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnPadding(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5) {
/*     */     FormattedCellRenderer formattedCellRenderer;
/* 641 */     if (formattedCellRenderer = a(paramInt1) instanceof JComponent)
/*     */     {
/* 643 */       applyPadding((JComponent)formattedCellRenderer, paramInt2, paramInt3, paramInt4, paramInt5);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setColumnRenderer(int paramInt, FormattedCellRenderer paramFormattedCellRenderer) {
/*     */     TableColumn tableColumn;
/*     */     TableColumnModel tableColumnModel;
/* 656 */     (tableColumn = (tableColumnModel = getColumnModel()).getColumn(paramInt)).setCellRenderer((TableCellRenderer)paramFormattedCellRenderer);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setGapPainter(GapPainter paramGapPainter) {
/* 665 */     this.gapPainter = paramGapPainter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintRequestAttributeSet buildPrintAttributeSet() {
/*     */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet;
/* 680 */     (hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet()).add((Attribute)TableGridHorizontal.FALSE);
/* 681 */     hashPrintRequestAttributeSet.add((Attribute)TableGridVertical.FALSE);
/* 682 */     hashPrintRequestAttributeSet.add((Attribute)ColumnHeaders.FALSE);
/* 683 */     hashPrintRequestAttributeSet.add((Attribute)RowHeaders.TRUE);
/*     */     
/* 685 */     return hashPrintRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureEnclosingScrollPane() {
/* 697 */     Container container = null;
/* 698 */     container = getParent();
/* 699 */     JPanel jPanel = null;
/*     */ 
/*     */     
/* 702 */     super.configureEnclosingScrollPane();
/*     */ 
/*     */     
/* 705 */     if (container instanceof javax.swing.JViewport)
/*     */     {
/*     */ 
/*     */       
/* 709 */       if (container = container.getParent() instanceof JScrollPane) {
/*     */ 
/*     */         
/* 712 */         (jPanel = new JPanel(new FlowLayout(0, 0, 0))).setOpaque(false);
/*     */         
/* 714 */         (container = container).setRowHeaderView(jPanel);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FormattedCellRenderer a(int paramInt) {
/*     */     FormattedCellRenderer formattedCellRenderer;
/*     */     TableColumn tableColumn;
/*     */     TableColumnModel tableColumnModel;
/* 735 */     if ((formattedCellRenderer = (FormattedCellRenderer)(tableColumn = (tableColumnModel = getColumnModel()).getColumn(paramInt)).getCellRenderer()) == null) {
/*     */       
/* 737 */       formattedCellRenderer = new FormattedCellRenderer();
/* 738 */       tableColumn.setCellRenderer((TableCellRenderer)formattedCellRenderer);
/*     */     } 
/*     */     
/* 741 */     return formattedCellRenderer;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(JTable paramJTable, int[] paramArrayOfint) {
/* 750 */     TableColumnModel tableColumnModel = paramJTable.getColumnModel();
/* 751 */     paramArrayOfint = (int[])paramArrayOfint.clone();
/* 752 */     int i = 0;
/* 753 */     int j = (paramJTable.getPreferredSize()).width;
/* 754 */     int k = paramJTable.getColumnCount();
/* 755 */     int m = 0;
/*     */ 
/*     */ 
/*     */     
/* 759 */     if (paramJTable instanceof SegmentedReportTable) {
/*     */       SegmentedReportTable segmentedReportTable;
/*     */       
/* 762 */       m = (segmentedReportTable = (SegmentedReportTable)paramJTable).getSegmentationLevelLeaf();
/*     */       int n;
/* 764 */       if ((n = segmentedReportTable.getSegmentationLevel()) < m) {
/*     */ 
/*     */         
/* 767 */         n = m - n;
/* 768 */         for (m = 0; m < n; m++)
/*     */         {
/* 770 */           j -= tableColumnModel.getColumn(m).getPreferredWidth();
/*     */         }
/*     */       } 
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 777 */     for (byte b = 1; b < paramArrayOfint.length; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 782 */       if (paramArrayOfint[b] <= 0) {
/*     */ 
/*     */         
/* 785 */         if ((m = k - paramArrayOfint.length - b) < 0) m = 0; 
/* 786 */         paramArrayOfint[b] = tableColumnModel.getColumn(m).getPreferredWidth();
/*     */       } 
/* 788 */       i += paramArrayOfint[b];
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 793 */     if (i >= j) {
/*     */       
/* 795 */       String str = "The total width of the columns in the Statistics Table (" + i + ") must be less than the width of the Data Table (" + j + ").";
/*     */ 
/*     */       
/* 798 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */ 
/*     */     
/* 802 */     paramArrayOfint[0] = j - i;
/*     */ 
/*     */     
/* 805 */     PrintTableUtility.setColumnWidths((JTable)this, paramArrayOfint);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\decoration\StatisticsTable.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */