/*     */ package jpdf.report.form;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Toolkit;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.border.Border;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NamedFormFieldPanel
/*     */   extends FormPanel
/*     */ {
/*     */   public static final String NAME_TOP = "North";
/*     */   public static final String NAME_BOTTOM = "South";
/*     */   public static final String NAME_LEFT = "West";
/*     */   public static final String NAME_RIGHT = "East";
/*     */   private final String NAME_LOCATION;
/*     */   
/*     */   class a
/*     */     extends BorderLayout
/*     */   {
/*     */     public final int BASELINE_ALIGNMENT_OFFSET;
/*     */     
/*     */     private a(JLabel param1JLabel1, JLabel param1JLabel2, boolean param1Boolean, int param1Int1, int param1Int2) {
/*  60 */       super(param1Int1, param1Int2);
/*     */       
/*     */       int i;
/*  63 */       addLayoutComponent(param1JLabel1, NamedFormFieldPanel.a(NamedFormFieldPanel.this));
/*  64 */       addLayoutComponent(param1JLabel2, "Center");
/*     */ 
/*     */ 
/*     */       
/*  68 */       if (param1Boolean) {
/*     */         
/*  70 */         param1JLabel1.setVerticalAlignment(3);
/*  71 */         param1JLabel2.setVerticalAlignment(3);
/*     */       }
/*     */       else {
/*     */         
/*  75 */         param1JLabel1.setVerticalAlignment(1);
/*  76 */         param1JLabel2.setVerticalAlignment(1);
/*     */       } 
/*     */ 
/*     */       
/*  80 */       boolean bool = param1Boolean; param1JLabel1 = param1JLabel2; JLabel jLabel; Font font1 = (jLabel = param1JLabel1).getFont(), font2 = param1JLabel1.getFont(); FontMetrics fontMetrics1 = Toolkit.getDefaultToolkit().getFontMetrics(font1), fontMetrics2 = Toolkit.getDefaultToolkit().getFontMetrics(font2); if (bool) { i = fontMetrics1.getDescent() + (jLabel.getInsets()).bottom - fontMetrics2.getDescent() + (param1JLabel1.getInsets()).bottom; } else { i = fontMetrics2.getAscent() + (param1JLabel1.getInsets()).top - fontMetrics1.getAscent() + (i.getInsets()).top; }  this.BASELINE_ALIGNMENT_OFFSET = i;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void layoutContainer(Container param1Container) {
/*  91 */       JComponent jComponent = null;
/*  92 */       int i = 0;
/*     */ 
/*     */       
/*  95 */       super.layoutContainer(param1Container);
/*     */ 
/*     */ 
/*     */       
/*  99 */       if (this.BASELINE_ALIGNMENT_OFFSET != 0) {
/*     */ 
/*     */         
/* 102 */         if (this.BASELINE_ALIGNMENT_OFFSET < 0) {
/*     */ 
/*     */           
/* 105 */           i = (jComponent = NamedFormFieldPanel.this.getFieldNameComponent()).getY() + this.BASELINE_ALIGNMENT_OFFSET;
/* 106 */           jComponent.setLocation(jComponent.getX(), i);
/*     */           
/*     */           return;
/*     */         } 
/*     */         
/* 111 */         i = (jComponent = NamedFormFieldPanel.this.getFieldValueComponent()).getY() - this.BASELINE_ALIGNMENT_OFFSET;
/* 112 */         jComponent.setLocation(jComponent.getX(), i);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NamedFormFieldPanel(JComponent paramJComponent, Border paramBorder) {
/* 192 */     this(paramJComponent, (JComponent)null, paramBorder, (Color)null, "North");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NamedFormFieldPanel(JComponent paramJComponent1, JComponent paramJComponent2, Border paramBorder, Color paramColor) {
/* 206 */     this(paramJComponent1, paramJComponent2, paramBorder, paramColor, "North");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NamedFormFieldPanel(JComponent paramJComponent1, JComponent paramJComponent2, Border paramBorder, Color paramColor, String paramString) {
/* 224 */     super(new BorderLayout(0, 0), paramBorder, paramColor);
/*     */     
/*     */     String str1;
/* 227 */     if (paramJComponent1 == null) {
/*     */       
/* 229 */       str1 = "The Field Name Component cannot be NULL.";
/* 230 */       throw new IllegalArgumentException(str1);
/*     */     } 
/* 232 */     if (paramString != "North" && paramString != "South" && paramString != "West" && paramString != "East") {
/*     */ 
/*     */       
/* 235 */       str1 = "Invalid Name Location: " + paramString;
/* 236 */       throw new IllegalArgumentException(str1);
/*     */     } 
/*     */     
/* 239 */     this.NAME_LOCATION = paramString;
/*     */     
/* 241 */     String str3 = paramString; JComponent jComponent = paramJComponent2; String str2 = str1; NamedFormFieldPanel namedFormFieldPanel; (namedFormFieldPanel = this).add((Component)str2, str3); if (jComponent != null) namedFormFieldPanel.add(jComponent, "Center");
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean alignBaselines() {
/* 262 */     BorderLayout borderLayout = (BorderLayout)getLayout();
/* 263 */     JComponent jComponent1 = getFieldNameComponent();
/* 264 */     JComponent jComponent2 = getFieldValueComponent();
/* 265 */     boolean bool = false;
/* 266 */     bool = false;
/* 267 */     int j = borderLayout.getHgap();
/* 268 */     int i = borderLayout.getVgap();
/*     */ 
/*     */ 
/*     */     
/* 272 */     if ((this.NAME_LOCATION == "West" || this.NAME_LOCATION == "East") && jComponent1 instanceof JLabel && jComponent2 instanceof JLabel) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 278 */       bool = (((JLabel)jComponent2).getVerticalAlignment() == 3) ? true : false;
/*     */ 
/*     */ 
/*     */       
/* 282 */       setLayout(new a((JLabel)jComponent1, (JLabel)jComponent2, bool, j, i, (byte)0));
/*     */ 
/*     */       
/* 285 */       bool = true;
/*     */     } 
/*     */     
/* 288 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JComponent getFieldNameComponent() {
/* 296 */     return (JComponent)getComponent(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JComponent getFieldValueComponent() {
/* 304 */     if (getComponentCount() <= 0) return null;
/*     */     
/* 306 */     return (JComponent)getComponent(1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNameLocation() {
/* 317 */     return this.NAME_LOCATION;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNameValueBackground(Color paramColor1, Color paramColor2) {
/*     */     JComponent jComponent;
/* 331 */     (jComponent = getFieldNameComponent()).setOpaque(true);
/* 332 */     jComponent.setBackground(paramColor1);
/*     */ 
/*     */ 
/*     */     
/* 336 */     if ((jComponent = getFieldValueComponent()) != null) {
/*     */       
/* 338 */       jComponent.setOpaque(true);
/* 339 */       jComponent.setBackground(paramColor2);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNameValueGap(int paramInt) {
/* 350 */     BorderLayout borderLayout = (BorderLayout)getLayout();
/*     */     
/*     */     String str;
/* 353 */     if ((str = getNameLocation()) == "North" || str == "South") {
/*     */       
/* 355 */       borderLayout.setVgap(paramInt);
/*     */       
/*     */       return;
/*     */     } 
/* 359 */     borderLayout.setHgap(paramInt);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/*     */     String str;
/*     */     JComponent jComponent;
/* 370 */     if (jComponent = getFieldNameComponent() instanceof JLabel) {
/*     */ 
/*     */ 
/*     */       
/* 374 */       str = "name='" + ((JLabel)jComponent).getText() + "'";
/*     */     }
/*     */     else {
/*     */       
/* 378 */       str = "nameClass=" + str.getClass().getSimpleName() + "'";
/*     */     } 
/*     */     
/* 381 */     return getClass().getSimpleName() + " [" + str + ", nameLocation='" + getNameLocation() + "']";
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\form\NamedFormFieldPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */