/*     */ package jpdf_common.gui.component.e;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.UndoableEditEvent;
/*     */ import javax.swing.text.AbstractDocument;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.text.MutableAttributeSet;
/*     */ import javax.swing.text.html.HTML;
/*     */ import javax.swing.text.html.HTMLDocument;
/*     */ import javax.swing.text.html.StyleSheet;
/*     */ import jpdf_common.gui.d.a;
/*     */ import jpdf_common.system.manage.BasicApplicationManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class c
/*     */   extends HTMLDocument
/*     */ {
/*     */   public c(StyleSheet paramStyleSheet) {
/*  47 */     super(paramStyleSheet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void a(HTMLDocument paramHTMLDocument) {
/*  72 */     Element element = paramHTMLDocument.getDefaultRootElement();
/*  73 */     String str = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  78 */     AbstractDocument.BranchElement branchElement = (AbstractDocument.BranchElement)getDefaultRootElement();
/*     */ 
/*     */     
/*  81 */     Element[] arrayOfElement = new Element[((HTMLDocument.BlockElement)element).getChildCount()];
/*     */ 
/*     */     
/*     */     try {
/*  85 */       writeLock();
/*     */ 
/*     */       
/*  88 */       setBase(paramHTMLDocument.getBase());
/*     */ 
/*     */       
/*  91 */       str = paramHTMLDocument.getText(0, paramHTMLDocument.getLength());
/*  92 */       insertString(0, str, null);
/*     */ 
/*     */       
/*  95 */       for (byte b = 0; b < arrayOfElement.length; b++)
/*     */       {
/*  97 */         arrayOfElement[b] = a(branchElement, element.getElement(b));
/*     */       }
/*     */ 
/*     */       
/* 101 */       branchElement.replace(0, branchElement.getElementCount(), arrayOfElement);
/*     */       return;
/* 103 */     } catch (Throwable throwable) {
/*     */       
/* 105 */       BasicApplicationManager.handleError((Throwable)(paramHTMLDocument = null), false);
/*     */       
/*     */       return;
/*     */     } finally {
/* 109 */       writeUnlock();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final Color a() {
/* 127 */     Element element = null;
/* 128 */     Color color = null;
/*     */     
/* 130 */     element = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 135 */     if ((element = b()) != null && element.getName().equalsIgnoreCase(HTML.Tag.BODY.toString())) {
/*     */       String str;
/*     */ 
/*     */ 
/*     */       
/*     */       MutableAttributeSet mutableAttributeSet;
/*     */ 
/*     */       
/* 143 */       if ((str = (String)(mutableAttributeSet = (MutableAttributeSet)element.getAttributes()).getAttribute(HTML.Attribute.BGCOLOR)) != null && str.length() == 7 && str.charAt(0) == '#')
/*     */       {
/*     */         
/* 146 */         color = a.a(str.substring(1));
/*     */       }
/*     */     } 
/*     */     
/* 150 */     return color;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void a(Color paramColor) {
/* 162 */     MutableAttributeSet mutableAttributeSet = null;
/* 163 */     Element element = null;
/* 164 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 172 */       if ((element = b()) != null && element.getName().equalsIgnoreCase(HTML.Tag.BODY.toString()))
/*     */       {
/*     */ 
/*     */         
/* 176 */         mutableAttributeSet = (MutableAttributeSet)element.getAttributes();
/* 177 */         writeLock();
/* 178 */         bool = true;
/*     */ 
/*     */ 
/*     */         
/* 182 */         if (paramColor != null) {
/*     */           
/* 184 */           mutableAttributeSet.addAttribute(HTML.Attribute.BGCOLOR, "#" + a.a(paramColor));
/*     */         
/*     */         }
/*     */         else {
/*     */           
/* 189 */           mutableAttributeSet.removeAttribute(HTML.Attribute.BGCOLOR);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/* 194 */         Element element1 = element; c c1 = this; int j = element1.getStartOffset(), i = element1.getEndOffset() - j; AbstractDocument.DefaultDocumentEvent defaultDocumentEvent = new AbstractDocument.DefaultDocumentEvent(c1, j, i, DocumentEvent.EventType.CHANGE); c1.fireChangedUpdate(defaultDocumentEvent); c1.fireUndoableEditUpdate(new UndoableEditEvent(c1, defaultDocumentEvent));
/*     */       }
/*     */     
/*     */     } finally {
/*     */       
/* 199 */       if (bool) writeUnlock();
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Element a(Element paramElement1, Element paramElement2) {
/* 214 */     Element[] arrayOfElement = null;
/*     */ 
/*     */     
/* 217 */     if (paramElement2.isLeaf()) {
/*     */       
/* 219 */       paramElement1 = createLeafElement(paramElement1, paramElement2.getAttributes(), paramElement2.getStartOffset(), paramElement2.getEndOffset());
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 225 */       paramElement1 = createBranchElement(paramElement1, paramElement2.getAttributes());
/* 226 */       arrayOfElement = new Element[paramElement2.getElementCount()];
/*     */       
/* 228 */       for (byte b = 0; b < arrayOfElement.length; b++)
/*     */       {
/* 230 */         arrayOfElement[b] = a(paramElement1, paramElement2.getElement(b));
/*     */       }
/*     */       
/* 233 */       ((AbstractDocument.BranchElement)paramElement1).replace(0, 0, arrayOfElement);
/*     */     } 
/*     */     
/* 236 */     return paramElement1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Element b() {
/* 259 */     return getDefaultRootElement().getElement(1);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\component\e\c.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */