/*     */ package jpdf_demo.a;
/*     */ 
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.AttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.AlignmentFactorVertical;
/*     */ import jpdf.attribute.BackgroundColorOnPage;
/*     */ import jpdf.attribute.ContentHeadersOnEveryPage;
/*     */ import jpdf.attribute.HighlightSelections;
/*     */ import jpdf.attribute.PageFooterAttribute;
/*     */ import jpdf.attribute.PageFrame;
/*     */ import jpdf.attribute.PageHeaderAttribute;
/*     */ import jpdf.attribute.SplitColumns;
/*     */ import jpdf.attribute.TableGridHorizontal;
/*     */ import jpdf.attribute.TableGridVertical;
/*     */ import jpdf.attribute.UseBackgroundColor;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.d.a;
/*     */ import jpdf_common.gui.d.j;
/*     */ 
/*     */ 
/*     */ public final class b
/*     */ {
/*  31 */   public static final JobName a = new JobName("JPDF Demo", null);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void a(AttributeSet paramAttributeSet) {
/*  50 */     if (j.l()) {
/*     */       
/*  52 */       if (paramAttributeSet.get(TableGridHorizontal.class) == null)
/*     */       {
/*  54 */         paramAttributeSet.add((Attribute)TableGridHorizontal.FALSE);
/*     */       }
/*  56 */       if (paramAttributeSet.get(TableGridVertical.class) == null)
/*     */       {
/*  58 */         paramAttributeSet.add((Attribute)TableGridVertical.FALSE);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void a() {
/*  71 */     MediaSizeName mediaSizeName = PrintUtility.DEFAULT_MEDIA_SIZE_NAME;
/*     */     
/*  73 */     float[] arrayOfFloat = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  78 */     AlignmentFactorHorizontal.setDefaultCenterAlignment(true);
/*  79 */     AlignmentFactorVertical.setDefaultCenterAlignment(false);
/*     */ 
/*     */     
/*  82 */     PrintManager.resetDefaultAttributeSet();
/*     */     
/*     */     PrintRequestAttributeSet printRequestAttributeSet;
/*     */     
/*  86 */     (printRequestAttributeSet = PrintManager.getDefaultPrintAttributes()).add(a);
/*  87 */     printRequestAttributeSet.add((Attribute)PageFrame.FALSE);
/*  88 */     printRequestAttributeSet.add((Attribute)HighlightSelections.TRUE);
/*  89 */     printRequestAttributeSet.add((Attribute)UseBackgroundColor.FALSE);
/*  90 */     printRequestAttributeSet.add((Attribute)BackgroundColorOnPage.FALSE);
/*  91 */     printRequestAttributeSet.add(OrientationRequested.PORTRAIT);
/*  92 */     printRequestAttributeSet.add((Attribute)ContentHeadersOnEveryPage.TRUE);
/*  93 */     printRequestAttributeSet.add((Attribute)SplitColumns.FALSE);
/*  94 */     printRequestAttributeSet.add(mediaSizeName);
/*  95 */     printRequestAttributeSet.add((Attribute)a.e());
/*  96 */     printRequestAttributeSet.add((Attribute)a.c());
/*     */ 
/*     */     
/*     */     MediaSize mediaSize;
/*     */     
/* 101 */     if ((mediaSize = MediaSize.getMediaSizeForName(mediaSizeName)) != null) {
/*     */       
/* 103 */       arrayOfFloat = mediaSize.getSize(25400);
/* 104 */       printRequestAttributeSet.add(new MediaPrintableArea(0.5F, 0.5F, arrayOfFloat[0] - 1.0F, arrayOfFloat[1] - 1.0F, 25400));
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 109 */       printRequestAttributeSet.remove(MediaPrintableArea.class);
/*     */     } 
/*     */ 
/*     */     
/* 113 */     a(printRequestAttributeSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void b(AttributeSet paramAttributeSet) {
/* 122 */     PageHeaderAttribute pageHeaderAttribute = (PageHeaderAttribute)paramAttributeSet.get(PageHeaderAttribute.class);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 127 */     PageFooterAttribute pageFooterAttribute = (PageFooterAttribute)paramAttributeSet.get(PageFooterAttribute.class);
/* 128 */     if (pageHeaderAttribute == null && pageFooterAttribute == null) {
/*     */       
/* 130 */       paramAttributeSet.add((Attribute)a.e());
/* 131 */       paramAttributeSet.add((Attribute)a.c());
/*     */     } 
/*     */ 
/*     */     
/* 135 */     a(paramAttributeSet);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\a\b.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */