/*     */ package jpdf_demo.d.a;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Font;
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.report.AbstractSectionOptions;
/*     */ import jpdf.report.ReportFactory;
/*     */ import jpdf.report.ReportPrinter;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.AbstractStatisticsTableBuilder;
/*     */ import jpdf.report.decoration.HtmlDecorationBuilder;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.StatisticsTable;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.TableSectionOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ import jpdf.report.table.renderer.FormattedCellRenderer;
/*     */ import jpdf_demo.d.c.h;
/*     */ import jpdf_demo.d.c.i;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class b
/*     */   extends a
/*     */ {
/*     */   static class a
/*     */     extends AbstractStatisticsTableBuilder
/*     */   {
/*  48 */     private JTable a = null;
/*  49 */     private float b = 0.0F;
/*  50 */     private float c = 0.0F;
/*  51 */     private float d = 0.0F;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final JComponent buildDecorationComponent(ArrayList param1ArrayList, JComponent param1JComponent) {
/*     */       JTable jTable;
/*  63 */       Float float_1 = StatisticsTable.computeColumnTotal(jTable = (JTable)param1JComponent, 4);
/*     */ 
/*     */       
/*     */       float f;
/*     */ 
/*     */       
/*  69 */       Float float_2 = new Float(Math.round((f = float_1.floatValue()) * 5.0F) / 100.0F);
/*  70 */       Float float_3 = new Float(float_1.floatValue() + float_2.floatValue());
/*     */ 
/*     */       
/*  73 */       this.a = jTable;
/*  74 */       this.b += float_1.floatValue();
/*  75 */       this.c += float_2.floatValue();
/*  76 */       this.d += float_3.floatValue();
/*     */       
/*  78 */       return (JComponent)a(jTable, float_1, float_2, float_3);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private StatisticsTable a(JTable param1JTable, Float param1Float1, Float param1Float2, Float param1Float3) {
/*     */       StatisticsTable statisticsTable;
/* 103 */       (statisticsTable = buildStatisticsTable(param1JTable, 3, new int[] { 0, -1 })).setBorder(BorderFactory.createMatteBorder(2, 0, 0, 0, Color.BLACK));
/*     */ 
/*     */       
/* 106 */       Font font = statisticsTable.getFont().deriveFont(1);
/* 107 */       statisticsTable.setFont(font);
/* 108 */       statisticsTable.setColumnAlignment(0, 4);
/* 109 */       FormattedCellRenderer formattedCellRenderer = FormattedCellRenderer.buildNumberFormatInstance(jpdf_demo.d.a.b, 5);
/* 110 */       statisticsTable.setColumnRenderer(1, formattedCellRenderer);
/*     */ 
/*     */       
/* 113 */       statisticsTable.setCellValue(0, 0, "Subtotal:");
/* 114 */       statisticsTable.setCellValue(0, 1, param1Float1);
/*     */ 
/*     */       
/* 117 */       statisticsTable.setCellValue(1, 0, "Tax:");
/* 118 */       statisticsTable.setCellValue(1, 1, param1Float2);
/*     */ 
/*     */       
/* 121 */       statisticsTable.setCellValue(2, 0, "Total:");
/* 122 */       statisticsTable.setCellValue(2, 1, param1Float3);
/*     */       
/* 124 */       return statisticsTable;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private a() {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class b
/*     */     extends AbstractSectionOptions
/*     */   {
/*     */     private final b.a a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private b(b.a param1a, PrintRequestAttributeSet param1PrintRequestAttributeSet) {
/* 152 */       super(param1PrintRequestAttributeSet);
/*     */       
/* 154 */       this.a = param1a;
/*     */       
/* 156 */       setSectionStartNewPageHeight(80);
/*     */       
/*     */       TitleOptions titleOptions;
/* 159 */       (titleOptions = (titleOptions = ReportStandardizer.getSectionHeaderTitleOptions()).clone()).setHorizontalAlignment(4); titleOptions.setBottomInset(0); setSectionHeaderBuilder((ReportDecorationBuilder)new AbstractStatisticsTableBuilder.TitleBuilder(true, "Month Totals", titleOptions, 3));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final int addSectionComponents(ArrayList param1ArrayList) {
/* 168 */       return addSectionComponents(param1ArrayList, (JComponent)b.a.a(this.a));
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 200 */   private final FormattedCellRenderer j = FormattedCellRenderer.buildNumberFormatInstance(a, 14);
/*     */ 
/*     */   
/*     */   private final FormattedCellRenderer k;
/*     */ 
/*     */   
/*     */   private final FormattedCellRenderer l;
/*     */ 
/*     */ 
/*     */   
/*     */   public b() {
/* 211 */     super("Customer Order Details");
/*     */ 
/*     */     
/* 214 */     this.k = FormattedCellRenderer.buildNumberFormatInstance(b, 5);
/* 215 */     this.l = FormattedCellRenderer.buildNumberFormatInstance(b, 5);
/* 216 */     this.l.setCellWidthPadding(22);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final ReportPrinter a() {
/* 230 */     h[] arrayOfH1 = i.a(5, 2011);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 237 */     h[] arrayOfH2 = arrayOfH1; PrintRequestAttributeSet printRequestAttributeSet = this.i; b b1 = this; AbstractSectionOptions[] arrayOfAbstractSectionOptions2 = new AbstractSectionOptions[arrayOfH2.length + 1]; TableData tableData = null; h h = null; tableData = null; Border border = BorderFactory.createLineBorder(Color.BLACK); String[] arrayOfString = i.f(); a a1; (a1 = new a((byte)0)).setBottomMargin(12); for (byte b2 = 0; b2 < arrayOfH2.length; ) { tableData = new TableData(arrayOfString, (h = arrayOfH2[b2]).d); TableSectionOptions tableSectionOptions1; (tableSectionOptions1 = new TableSectionOptions(printRequestAttributeSet, tableData, (ReportDecorationBuilder)a1)).setTableBottomMargin(1); tableSectionOptions1.setContentName("Order No: " + (arrayOfH2[b2]).b); TableSectionOptions tableSectionOptions2 = tableSectionOptions1; b b3 = b1; tableSectionOptions2.setColumnRenderer(0, (TableCellRenderer)b3.j); tableSectionOptions2.setColumnToWrap(2, 280); tableSectionOptions2.setColumnRenderer(3, (TableCellRenderer)b3.k); tableSectionOptions2.setColumnRenderer(4, (TableCellRenderer)b3.l); h h1; boolean bool = ((h1 = arrayOfH2[b2]).a.h != null && !h1.a.h.trim().equals("")) ? true : false; String str2 = "<TABLE VALIGN='top'><TR><TD ALIGN='right'><B>Order No:&nbsp;</B></TD><TD><FONT face='courier' color='#AA0000'><B>" + h1.b + "</B></FONT></TD></TR>" + "<TR><TD ALIGN='right'><B>Order&nbsp;Date:&nbsp;</B></TD>" + "<TD>" + ResourceAdministrator.formatAsDate(h1.c) + "</TD></TR>" + "<TR><TD ALIGN='right'><B>Customer:&nbsp;</B></TD>" + "<TD>" + h1.a.b + " " + h1.a.c + "</TD></TR>" + "</TABLE>", str3 = "<B>Company/Phone/Email</B><BR>" + h1.a.d + "<BR>" + h1.a.e + "<BR>" + h1.a.f, str1 = "<B>Address</B><BR>" + h1.a.g + "<BR>" + (bool ? (h1.a.h + "<BR>") : "") + h1.a.i + ", " + h1.a.j + " " + h1.a.k; HtmlDecorationBuilder htmlDecorationBuilder; (htmlDecorationBuilder = new HtmlDecorationBuilder(true, str2 = "<HTML><BODY><TABLE width='100%' VALIGN='top' CELLPADDING='0' CELLSPACING='0'><TR><TD>" + str2 + "</TD><TD>" + str3 + "</TD><TD>" + str1 + "</TD></TR>" + "</TABLE></BODY>" + "</HTML>")).setBottomMargin(1); htmlDecorationBuilder.setBackgroundColor(e); htmlDecorationBuilder.setDecorationBorder(border); tableSectionOptions1.setSectionHeaderBuilder((ReportDecorationBuilder)htmlDecorationBuilder); arrayOfAbstractSectionOptions2[b2] = (AbstractSectionOptions)tableSectionOptions1; b2++; }  arrayOfAbstractSectionOptions2[arrayOfH2.length] = new b(a1, printRequestAttributeSet, (byte)0); AbstractSectionOptions[] arrayOfAbstractSectionOptions1 = arrayOfAbstractSectionOptions2;
/*     */     
/* 239 */     return ReportFactory.createReportPrinter(this.h, arrayOfAbstractSectionOptions1, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 258 */     a(paramPrintRequestAttributeSet, this.h, false, 0.5F, true, false);
/*     */     
/* 260 */     paramPrintRequestAttributeSet.add((Attribute)a(this.h, "May 2011"));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\d\a\b.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */