/*     */ package jpdf_demo.d.f;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import jpdf.attribute.PageReportHeader;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*     */ import jpdf.report.AbstractSectionOptions;
/*     */ import jpdf.report.ReportFactory;
/*     */ import jpdf.report.ReportOptions;
/*     */ import jpdf.report.ReportPrinter;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.TableRowCountTitleBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.GlobalTableCustomizer;
/*     */ import jpdf.report.table.SegmentedTableSectionOptions;
/*     */ import jpdf.report.table.TableCustomizer;
/*     */ import jpdf.report.table.TableSectionOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ import jpdf.report.table.renderer.BasicReportCellRenderer;
/*     */ import jpdf.report.table.renderer.OddRowColorizer;
/*     */ import jpdf.report.table.renderer.TableCellCustomizer;
/*     */ import jpdf_demo.d.a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class a
/*     */   extends a
/*     */ {
/*     */   static class a
/*     */     implements TableCustomizer
/*     */   {
/*  58 */     private final BasicReportCellRenderer a = (BasicReportCellRenderer)new GlobalTableCustomizer.DefaultTableHeaderCellRenderer(2, 2);
/*     */     
/*  60 */     private final Dimension b = new Dimension(0, 0);
/*     */ 
/*     */     
/*     */     public final void customizeTable(JTable param1JTable) {
/*  64 */       Double double_ = new Double(0.0D);
/*     */       
/*  66 */       param1JTable.setIntercellSpacing(this.b);
/*  67 */       param1JTable.getTableHeader().setDefaultRenderer((TableCellRenderer)this.a);
/*  68 */       param1JTable.putClientProperty("JpdfTableCellShift_X", double_);
/*  69 */       param1JTable.putClientProperty("JpdfTableCellShift_Y", double_);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private a() {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   private final Object[][] j = jpdf_common.gui.d.a.g();
/*  88 */   private final String[] k = jpdf_common.gui.d.a.f();
/*     */   
/*     */   private final b l;
/*  91 */   private PreviewPrintableDialog m = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public a() {
/* 100 */     super("Massachussets Libraries", false);
/*     */     
/* 102 */     this.l = new b(this);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 107 */     a(this.i);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final ReportPrinter a() {
/* 121 */     return a(new TableData(this.k, this.j), "All Regions", this.l.b());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final PreviewPrintableDialog c() {
/* 137 */     this.m = super.c();
/*     */ 
/*     */     
/*     */     PreviewPrintableControlPanel previewPrintableControlPanel;
/*     */ 
/*     */     
/* 143 */     (previewPrintableControlPanel = this.m.getPreviewControlPanel()).setToolBarBottomComponent((JComponent)this.l, true);
/*     */     
/* 145 */     return this.m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/* 160 */     a(paramPrintRequestAttributeSet, "Massachussets Libraries", true, 0.35F, false, false, false);
/*     */ 
/*     */     
/* 163 */     paramPrintRequestAttributeSet.add((Attribute)c("All Regions"));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final ReportPrinter a(TableData paramTableData, String paramString, boolean paramBoolean) {
/*     */     SegmentedTableSectionOptions segmentedTableSectionOptions;
/*     */     TableSectionOptions tableSectionOptions;
/*     */     TableRowCountTitleBuilder tableRowCountTitleBuilder;
/* 179 */     ReportOptions reportOptions = new ReportOptions("Massachussets Libraries");
/*     */ 
/*     */ 
/*     */     
/* 183 */     String str = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 188 */     this.i.add((Attribute)c(paramString));
/*     */ 
/*     */     
/* 191 */     Font font = ReportStandardizer.getDefaultSectionContentFont().deriveFont(1);
/*     */ 
/*     */     
/* 194 */     if (paramBoolean) {
/*     */ 
/*     */       
/* 197 */       TitleOptions titleOptions = new TitleOptions(font, 0, 8);
/* 198 */       str = "[-sCv-] Region Count: ";
/* 199 */       tableRowCountTitleBuilder = new TableRowCountTitleBuilder(false, str, titleOptions);
/*     */ 
/*     */ 
/*     */       
/* 203 */       segmentedTableSectionOptions = new SegmentedTableSectionOptions(this.i, paramTableData, (ReportDecorationBuilder)tableRowCountTitleBuilder, 1);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */ 
/*     */       
/* 211 */       TitleOptions titleOptions = new TitleOptions((Font)tableRowCountTitleBuilder, 0, 8);
/* 212 */       TableRowCountTitleBuilder tableRowCountTitleBuilder1 = new TableRowCountTitleBuilder(false, "Library Count: ", titleOptions);
/*     */ 
/*     */       
/* 215 */       tableSectionOptions = new TableSectionOptions(this.i, (TableData)segmentedTableSectionOptions, (ReportDecorationBuilder)tableRowCountTitleBuilder1);
/*     */       
/* 217 */       reportOptions.setToIncludeContinuationText(false);
/*     */     } 
/* 219 */     tableSectionOptions.setTableCustomizer(new a((byte)0));
/*     */ 
/*     */     
/* 222 */     tableSectionOptions.setTableCellCustomizer((TableCellCustomizer)new OddRowColorizer());
/*     */ 
/*     */ 
/*     */     
/* 226 */     tableSectionOptions.setColumnToWrap(1, 140);
/* 227 */     tableSectionOptions.setColumnToWrap(2, 160);
/* 228 */     tableSectionOptions.setColumnToWrap(4, 100);
/*     */     
/*     */     ReportPrinter reportPrinter;
/*     */     
/* 232 */     (reportPrinter = ReportFactory.createReportPrinter(reportOptions, (AbstractSectionOptions)tableSectionOptions)).setPageSubheaderPainterToFirstTableHeader(5, 0, 3, false);
/*     */     
/* 234 */     return reportPrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final PreviewPrintableDialog f() {
/* 242 */     return this.m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private PageReportHeader c(String paramString) {
/* 260 */     String[] arrayOfString1 = { "Date:", "Time:" };
/* 261 */     String[] arrayOfString2 = { "Page:", "Sorted By:" };
/* 262 */     String[] arrayOfString3 = { "[-d-]", "[-t-]" };
/*     */     
/* 264 */     String[] arrayOfString4 = { "[-p-] of [-n-]", this.l.a() };
/*     */ 
/*     */ 
/*     */     
/* 268 */     paramString = "<HTML><CENTER>Massachussets Libraries<BR><FONT size='-1'>" + paramString + "</FONT></CENTER></HTML>";
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 273 */     return new PageReportHeader(paramString, arrayOfString1, arrayOfString3, arrayOfString2, arrayOfString4, 14, 12);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\d\f\a.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */