/*     */ package jxl.biff.formula;
/*     */ 
/*     */ import java.io.BufferedReader;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.io.InputStreamReader;
/*     */ import java.io.Reader;
/*     */ import jxl.biff.WorkbookMethods;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class Yylex
/*     */ {
/*  28 */   private final int YY_BUFFER_SIZE = 512;
/*  29 */   private final int YY_F = -1;
/*  30 */   private final int YY_NO_STATE = -1;
/*  31 */   private final int YY_NOT_ACCEPT = 0;
/*  32 */   private final int YY_START = 1;
/*  33 */   private final int YY_END = 2;
/*  34 */   private final int YY_NO_ANCHOR = 4;
/*  35 */   private final int YY_BOL = 128; private boolean emptyString; private ExternalSheet externalSheet; private WorkbookMethods nameTable; private BufferedReader yy_reader; private int yy_buffer_index; private int yy_buffer_read;
/*  36 */   private final int YY_EOF = 129; private int yy_buffer_start; private int yy_buffer_end; private char[] yy_buffer; private int yychar; private int yyline; private boolean yy_at_bol;
/*     */   int getPos() {
/*  38 */     return this.yychar;
/*     */   }
/*     */   private int yy_lexical_state; private boolean yy_eof_done; private final int YYSTRING = 1; private final int YYINITIAL = 0; private final int[] yy_state_dtrans; private boolean yy_last_was_cr; private final int YY_E_INTERNAL = 0; private final int YY_E_MATCH = 1; private String[] yy_error_string; private int[] yy_acpt;
/*     */   private int[] yy_cmap;
/*     */   private int[] yy_rmap;
/*     */   private int[][] yy_nxt;
/*     */   
/*     */   void setExternalSheet(ExternalSheet es) {
/*  46 */     this.externalSheet = es;
/*     */   }
/*     */   
/*     */   void setNameTable(WorkbookMethods nt) {
/*  50 */     this.nameTable = nt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   Yylex(Reader reader) {
/*  64 */     this();
/*  65 */     if (null == reader) {
/*  66 */       throw new Error("Error: Bad input stream initializer.");
/*     */     }
/*  68 */     this.yy_reader = new BufferedReader(reader);
/*     */   }
/*     */   
/*     */   Yylex(InputStream instream) {
/*  72 */     this();
/*  73 */     if (null == instream) {
/*  74 */       throw new Error("Error: Bad input stream initializer.");
/*     */     }
/*  76 */     this.yy_reader = new BufferedReader(new InputStreamReader(instream));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Yylex() {
/*  91 */     this.yy_eof_done = false;
/*  92 */     this.YYSTRING = 1;
/*  93 */     this.YYINITIAL = 0;
/*  94 */     this.yy_state_dtrans = new int[] { 0, 26 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 154 */     this.yy_last_was_cr = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 198 */     this.YY_E_INTERNAL = 0;
/* 199 */     this.YY_E_MATCH = 1;
/* 200 */     this.yy_error_string = new String[] { "Error: Internal error.\n", "Error: Unmatched input.\n" };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 248 */     this.yy_acpt = new int[] { 0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 4, 4, 4, 4, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 312 */     this.yy_cmap = unpackFromString(1, 130, "21:8,14:3,21:21,14,16,20,15,11,15:2,13,18,19,3,1,8,2,10,4,9:10,17,15,7,6,5,15:2,12:26,21:3,15:2,21,12:26,21,15,21,15,21,0:2")[0];
/*     */ 
/*     */ 
/*     */     
/* 316 */     this.yy_rmap = unpackFromString(1, 62, "0,1,2:4,3,2,4,2,5,2,1:4,2:3,6,7,1,8,9,10,11,12,1,2,13,14,15,16,17,18,19,20,8,21,22,23,24,25,26,27,28,29,30,31,32,33,34,10,35,36,37,11,38,39,40,41,42")[0];
/*     */ 
/*     */ 
/*     */     
/* 320 */     this.yy_nxt = unpackFromString(43, 22, "1,2,3,4,5,6,7,8,9,10,28,58,33,35,11,28:2,12,13,14,15,-1:24,28:12,36,28:2,60,-1:6,28:5,16,28:6,36,28:2,60,-1:6,28:4,17,18,28:6,36,28:2,60,-1:6,28:8,10,37,28:2,36,28:2,60,-1:6,28:8,19,28:3,36,28:2,60,59,-1:5,28:8,29,28,39,30,36,28:2,60,-1,21,-1:4,28:8,22,28:3,36,28:2,60,-1:6,28:8,23,28:3,36,28:2,60,51,-1:13,24,-1:21,25,-1:12,1,32:19,27,32,-1,28:8,29,28:2,34,36,28:2,60,59,-1:5,28:8,34,28:2,30,36,28:2,60,-1,21,-1:12,31,-1:7,51,-1:5,32:19,-1,32,-1,28:8,19,28,39,20,36,28:2,60,-1,21,-1:4,28:8,34,28:2,34,36,28:2,60,-1:6,28:12,-1,28:3,-1:21,40,-1:6,28:8,19,28,39,42,36,28:2,60,-1:6,28:8,19,28:3,36,28:2,60,-1:16,43,44,-1:10,28:8,23,28,45,46,36,28:2,60,-1:6,28:8,19,28,39,28,36,28:2,60,-1:17,44,-1:18,31,-1,49,50,-1:10,28:8,23,28:3,36,28:2,60,-1:6,28:8,23,28,45,28,36,28:2,60,-1:17,48,-1:18,24,-1,52,53,-1:18,31,-1:21,31,-1,49,-1:21,54,55,-1:18,24,-1,52,-1:22,55,-1:18,25,-1,56,57,-1:18,25,-1,56,-1:11,28:11,38,36,28:2,60,-1:16,47,48,-1:10,28:10,61,41,36,28:2,60,-1:6,28:11,41,36,28:2,60,-1:5");
/*     */     this.yy_buffer = new char[512];
/*     */     this.yy_buffer_read = 0;
/*     */     this.yy_buffer_index = 0;
/*     */     this.yy_buffer_start = 0;
/*     */     this.yy_buffer_end = 0;
/*     */     this.yychar = 0;
/*     */     this.yyline = 0;
/*     */     this.yy_at_bol = true;
/*     */     this.yy_lexical_state = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void yybegin(int state) {
/*     */     this.yy_lexical_state = state;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ParseItem yylex() throws IOException, FormulaException {
/* 342 */     int yy_anchor = 4;
/* 343 */     int yy_state = this.yy_state_dtrans[this.yy_lexical_state];
/* 344 */     int yy_next_state = -1;
/* 345 */     int yy_last_accept_state = -1;
/* 346 */     boolean yy_initial = true;
/*     */ 
/*     */     
/* 349 */     yy_mark_start();
/* 350 */     int yy_this_accept = this.yy_acpt[yy_state];
/* 351 */     if (0 != yy_this_accept) {
/* 352 */       yy_last_accept_state = yy_state;
/* 353 */       yy_mark_end();
/*     */     }  while (true) {
/*     */       int yy_lookahead;
/* 356 */       if (yy_initial && this.yy_at_bol) { yy_lookahead = 128; }
/* 357 */       else { yy_lookahead = yy_advance(); }
/* 358 */        yy_next_state = -1;
/* 359 */       yy_next_state = this.yy_nxt[this.yy_rmap[yy_state]][this.yy_cmap[yy_lookahead]];
/* 360 */       if (129 == yy_lookahead && true == yy_initial) {
/* 361 */         return null;
/*     */       }
/* 363 */       if (-1 != yy_next_state) {
/* 364 */         yy_state = yy_next_state;
/* 365 */         yy_initial = false;
/* 366 */         yy_this_accept = this.yy_acpt[yy_state];
/* 367 */         if (0 != yy_this_accept) {
/* 368 */           yy_last_accept_state = yy_state;
/* 369 */           yy_mark_end();
/*     */         } 
/*     */         continue;
/*     */       } 
/* 373 */       if (-1 == yy_last_accept_state) {
/* 374 */         throw new Error("Lexical Error: Unmatched Input.");
/*     */       }
/*     */       
/* 377 */       yy_anchor = this.yy_acpt[yy_last_accept_state];
/* 378 */       if (0 != (0x2 & yy_anchor)) {
/* 379 */         yy_move_end();
/*     */       }
/* 381 */       yy_to_mark();
/* 382 */       switch (yy_last_accept_state) {
/*     */         case -2:
/*     */         case 1:
/*     */           break;
/*     */         
/*     */         case 2:
/* 388 */           return new Plus();
/*     */         case -3:
/*     */           break;
/*     */         case 3:
/* 392 */           return new Minus();
/*     */         case -4:
/*     */           break;
/*     */         case 4:
/* 396 */           return new Multiply();
/*     */         case -5:
/*     */           break;
/*     */         case 5:
/* 400 */           return new Divide();
/*     */         case -6:
/*     */           break;
/*     */         case 6:
/* 404 */           return new GreaterThan();
/*     */         case -7:
/*     */           break;
/*     */         case 7:
/* 408 */           return new Equal();
/*     */         case -8:
/*     */           break;
/*     */         case 8:
/* 412 */           return new LessThan();
/*     */         case -9:
/*     */           break;
/*     */         case 9:
/* 416 */           return new ArgumentSeparator();
/*     */         case -10:
/*     */           break;
/*     */         case 10:
/* 420 */           return new IntegerValue(yytext());
/*     */         
/*     */         case -11:
/*     */         case -12:
/*     */         case 11:
/*     */           break;
/*     */         
/*     */         case 12:
/* 428 */           return new RangeSeparator();
/*     */         case -13:
/*     */           break;
/*     */         case 13:
/* 432 */           return new OpenParentheses();
/*     */         case -14:
/*     */           break;
/*     */         case 14:
/* 436 */           return new CloseParentheses();
/*     */         case -15:
/*     */           break;
/*     */         case 15:
/* 440 */           this.emptyString = true; yybegin(1); break;
/*     */         case -16:
/*     */           break;
/*     */         case 16:
/* 444 */           return new GreaterEqual();
/*     */         case -17:
/*     */           break;
/*     */         case 17:
/* 448 */           return new NotEqual();
/*     */         case -18:
/*     */           break;
/*     */         case 18:
/* 452 */           return new LessEqual();
/*     */         case -19:
/*     */           break;
/*     */         case 19:
/* 456 */           return new CellReference(yytext());
/*     */         case -20:
/*     */           break;
/*     */         case 20:
/* 460 */           return new NameRange(yytext(), this.nameTable);
/*     */         case -21:
/*     */           break;
/*     */         case 21:
/* 464 */           return new StringFunction(yytext());
/*     */         case -22:
/*     */           break;
/*     */         case 22:
/* 468 */           return new DoubleValue(yytext());
/*     */         case -23:
/*     */           break;
/*     */         case 23:
/* 472 */           return new CellReference3d(yytext(), this.externalSheet);
/*     */         case -24:
/*     */           break;
/*     */         case 24:
/* 476 */           return new Area(yytext());
/*     */         case -25:
/*     */           break;
/*     */         case 25:
/* 480 */           return new Area3d(yytext(), this.externalSheet);
/*     */         case -26:
/*     */           break;
/*     */         case 26:
/* 484 */           this.emptyString = false; return new StringValue(yytext());
/*     */         case -27:
/*     */           break;
/*     */         case 27:
/* 488 */           yybegin(0); if (this.emptyString) return new StringValue("");  break;
/*     */         case -28:
/*     */           break;
/*     */         case 29:
/* 492 */           return new CellReference(yytext());
/*     */         case -29:
/*     */           break;
/*     */         case 30:
/* 496 */           return new NameRange(yytext(), this.nameTable);
/*     */         case -30:
/*     */           break;
/*     */         case 31:
/* 500 */           return new CellReference3d(yytext(), this.externalSheet);
/*     */         case -31:
/*     */           break;
/*     */         case 32:
/* 504 */           this.emptyString = false; return new StringValue(yytext());
/*     */         case -32:
/*     */           break;
/*     */         case 34:
/* 508 */           return new NameRange(yytext(), this.nameTable);
/*     */         case -33:
/*     */           break;
/*     */         default:
/* 512 */           yy_error(0, false); break;
/*     */         case -1:
/*     */           break;
/* 515 */       }  yy_initial = true;
/* 516 */       yy_state = this.yy_state_dtrans[this.yy_lexical_state];
/* 517 */       yy_next_state = -1;
/* 518 */       yy_last_accept_state = -1;
/* 519 */       yy_mark_start();
/* 520 */       yy_this_accept = this.yy_acpt[yy_state];
/* 521 */       if (0 != yy_this_accept) {
/* 522 */         yy_last_accept_state = yy_state;
/* 523 */         yy_mark_end();
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private int yy_advance() throws IOException {
/*     */     if (this.yy_buffer_index < this.yy_buffer_read)
/*     */       return this.yy_buffer[this.yy_buffer_index++]; 
/*     */     if (0 != this.yy_buffer_start) {
/*     */       int i = this.yy_buffer_start;
/*     */       int j = 0;
/*     */       while (i < this.yy_buffer_read) {
/*     */         this.yy_buffer[j] = this.yy_buffer[i];
/*     */         i++;
/*     */         j++;
/*     */       } 
/*     */       this.yy_buffer_end -= this.yy_buffer_start;
/*     */       this.yy_buffer_start = 0;
/*     */       this.yy_buffer_read = j;
/*     */       this.yy_buffer_index = j;
/*     */       int next_read = this.yy_reader.read(this.yy_buffer, this.yy_buffer_read, this.yy_buffer.length - this.yy_buffer_read);
/*     */       if (-1 == next_read)
/*     */         return 129; 
/*     */       this.yy_buffer_read += next_read;
/*     */     } 
/*     */     while (this.yy_buffer_index >= this.yy_buffer_read) {
/*     */       if (this.yy_buffer_index >= this.yy_buffer.length)
/*     */         this.yy_buffer = yy_double(this.yy_buffer); 
/*     */       int next_read = this.yy_reader.read(this.yy_buffer, this.yy_buffer_read, this.yy_buffer.length - this.yy_buffer_read);
/*     */       if (-1 == next_read)
/*     */         return 129; 
/*     */       this.yy_buffer_read += next_read;
/*     */     } 
/*     */     return this.yy_buffer[this.yy_buffer_index++];
/*     */   }
/*     */   
/*     */   private void yy_move_end() {
/*     */     if (this.yy_buffer_end > this.yy_buffer_start && '\n' == this.yy_buffer[this.yy_buffer_end - 1])
/*     */       this.yy_buffer_end--; 
/*     */     if (this.yy_buffer_end > this.yy_buffer_start && '\r' == this.yy_buffer[this.yy_buffer_end - 1])
/*     */       this.yy_buffer_end--; 
/*     */   }
/*     */   
/*     */   private void yy_mark_start() {
/*     */     for (int i = this.yy_buffer_start; i < this.yy_buffer_index; i++) {
/*     */       if ('\n' == this.yy_buffer[i] && !this.yy_last_was_cr)
/*     */         this.yyline++; 
/*     */       if ('\r' == this.yy_buffer[i]) {
/*     */         this.yyline++;
/*     */         this.yy_last_was_cr = true;
/*     */       } else {
/*     */         this.yy_last_was_cr = false;
/*     */       } 
/*     */     } 
/*     */     this.yychar = this.yychar + this.yy_buffer_index - this.yy_buffer_start;
/*     */     this.yy_buffer_start = this.yy_buffer_index;
/*     */   }
/*     */   
/*     */   private void yy_mark_end() {
/*     */     this.yy_buffer_end = this.yy_buffer_index;
/*     */   }
/*     */   
/*     */   private void yy_to_mark() {
/*     */     this.yy_buffer_index = this.yy_buffer_end;
/*     */     this.yy_at_bol = (this.yy_buffer_end > this.yy_buffer_start && ('\r' == this.yy_buffer[this.yy_buffer_end - 1] || '\n' == this.yy_buffer[this.yy_buffer_end - 1] || '߬' == this.yy_buffer[this.yy_buffer_end - 1] || '߭' == this.yy_buffer[this.yy_buffer_end - 1]));
/*     */   }
/*     */   
/*     */   private String yytext() {
/*     */     return new String(this.yy_buffer, this.yy_buffer_start, this.yy_buffer_end - this.yy_buffer_start);
/*     */   }
/*     */   
/*     */   private int yylength() {
/*     */     return this.yy_buffer_end - this.yy_buffer_start;
/*     */   }
/*     */   
/*     */   private char[] yy_double(char[] buf) {
/*     */     char[] newbuf = new char[2 * buf.length];
/*     */     for (int i = 0; i < buf.length; i++)
/*     */       newbuf[i] = buf[i]; 
/*     */     return newbuf;
/*     */   }
/*     */   
/*     */   private void yy_error(int code, boolean fatal) {
/*     */     System.out.print(this.yy_error_string[code]);
/*     */     System.out.flush();
/*     */     if (fatal)
/*     */       throw new Error("Fatal Error.\n"); 
/*     */   }
/*     */   
/*     */   private int[][] unpackFromString(int size1, int size2, String st) {
/*     */     int colonIndex = -1;
/*     */     int sequenceLength = 0;
/*     */     int sequenceInteger = 0;
/*     */     int[][] res = new int[size1][size2];
/*     */     for (int i = 0; i < size1; i++) {
/*     */       for (int j = 0; j < size2; j++) {
/*     */         if (sequenceLength != 0) {
/*     */           res[i][j] = sequenceInteger;
/*     */           sequenceLength--;
/*     */         } else {
/*     */           int commaIndex = st.indexOf(',');
/*     */           String workString = (commaIndex == -1) ? st : st.substring(0, commaIndex);
/*     */           st = st.substring(commaIndex + 1);
/*     */           colonIndex = workString.indexOf(':');
/*     */           if (colonIndex == -1) {
/*     */             res[i][j] = Integer.parseInt(workString);
/*     */           } else {
/*     */             String lengthString = workString.substring(colonIndex + 1);
/*     */             sequenceLength = Integer.parseInt(lengthString);
/*     */             workString = workString.substring(0, colonIndex);
/*     */             sequenceInteger = Integer.parseInt(workString);
/*     */             res[i][j] = sequenceInteger;
/*     */             sequenceLength--;
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     return res;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\formula\Yylex.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */