/*      */ package oracle.jdbc.driver;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.InputStream;
/*      */ import java.sql.SQLException;
/*      */ import oracle.jdbc.oracore.OracleTypeADT;
/*      */ import oracle.net.ns.BreakNetException;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ class T4C8Oall
/*      */   extends T4CTTIfun
/*      */ {
/*  122 */   static final byte[] EMPTY_BYTES = new byte[0];
/*      */   
/*      */   static final int UOPF_PRS = 1;
/*      */   
/*      */   static final int UOPF_BND = 8;
/*      */   
/*      */   static final int UOPF_EXE = 32;
/*      */   
/*      */   static final int UOPF_FEX = 512;
/*      */   
/*      */   static final int UOPF_FCH = 64;
/*      */   
/*      */   static final int UOPF_CAN = 128;
/*      */   
/*      */   static final int UOPF_COM = 256;
/*      */   
/*      */   static final int UOPF_DSY = 8192;
/*      */   
/*      */   static final int UOPF_SIO = 1024;
/*      */   
/*      */   static final int UOPF_NPL = 32768;
/*      */   
/*      */   static final int UOPF_DFN = 16;
/*      */   
/*  146 */   int receiveState = 0;
/*      */ 
/*      */   
/*      */   static final int IDLE_RECEIVE_STATE = 0;
/*      */ 
/*      */   
/*      */   static final int ACTIVE_RECEIVE_STATE = 1;
/*      */ 
/*      */   
/*      */   static final int READROW_RECEIVE_STATE = 2;
/*      */ 
/*      */   
/*      */   static final int STREAM_RECEIVE_STATE = 3;
/*      */   
/*      */   int rowsProcessed;
/*      */   
/*      */   int numberOfDefinePositions;
/*      */   
/*      */   long options;
/*      */   
/*      */   int cursor;
/*      */   
/*  168 */   byte[] sqlStmt = new byte[0];
/*  169 */   final long[] al8i4 = new long[13];
/*      */ 
/*      */   
/*      */   boolean plsql = false;
/*      */ 
/*      */   
/*      */   Accessor[] definesAccessors;
/*      */ 
/*      */   
/*      */   int definesLength;
/*      */ 
/*      */   
/*      */   Accessor[] outBindAccessors;
/*      */   
/*      */   int numberOfBindPositions;
/*      */   
/*      */   InputStream[][] parameterStream;
/*      */   
/*      */   byte[][][] parameterDatum;
/*      */   
/*      */   OracleTypeADT[][] parameterOtype;
/*      */   
/*      */   short[] bindIndicators;
/*      */   
/*      */   byte[] bindBytes;
/*      */   
/*      */   char[] bindChars;
/*      */   
/*      */   int bindIndicatorSubRange;
/*      */   
/*      */   byte[] tmpBindsByteArray;
/*      */   
/*      */   DBConversion conversion;
/*      */   
/*      */   byte[] ibtBindBytes;
/*      */   
/*      */   char[] ibtBindChars;
/*      */   
/*      */   short[] ibtBindIndicators;
/*      */   
/*      */   boolean sendBindsDefinition = false;
/*      */   
/*      */   OracleStatement oracleStatement;
/*      */   
/*      */   short dbCharSet;
/*      */   
/*      */   short NCharSet;
/*      */   
/*      */   T4CTTIrxd rxd;
/*      */   
/*      */   T4C8TTIrxh rxh;
/*      */   
/*      */   T4CTTIoac oac;
/*      */   
/*      */   T4CTTIdcb dcb;
/*      */   
/*      */   T4CTTIofetch ofetch;
/*      */   
/*      */   T4CTTIoexec oexec;
/*      */   
/*      */   T4CTTIfob fob;
/*      */   
/*      */   byte typeOfStatement;
/*      */   
/*      */   boolean sendDefines = false;
/*      */   
/*  235 */   int defCols = 0;
/*      */ 
/*      */   
/*      */   int rowsToFetch;
/*      */ 
/*      */   
/*      */   T4CTTIoac[] oacdefBindsSent;
/*      */   
/*      */   T4CTTIoac[] oacdefDefines;
/*      */   
/*      */   int[] definedColumnSize;
/*      */   
/*      */   int[] definedColumnType;
/*      */   
/*      */   int[] definedColumnFormOfUse;
/*      */ 
/*      */   
/*      */   T4C8Oall(T4CMAREngine paramT4CMAREngine, T4CConnection paramT4CConnection, T4CTTIoer paramT4CTTIoer) throws IOException, SQLException {
/*  253 */     super((byte)3, 0, (short)94);
/*      */     
/*  255 */     setMarshalingEngine(paramT4CMAREngine);
/*      */     
/*  257 */     this.rxh = new T4C8TTIrxh(this.meg);
/*  258 */     this.rxd = new T4CTTIrxd(this.meg);
/*  259 */     this.oer = paramT4CTTIoer;
/*  260 */     this.oac = new T4CTTIoac(this.meg);
/*  261 */     this.dcb = new T4CTTIdcb(this.meg);
/*  262 */     this.ofetch = new T4CTTIofetch(this.meg);
/*  263 */     this.oexec = new T4CTTIoexec(this.meg);
/*  264 */     this.fob = new T4CTTIfob(this.meg);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   T4CTTIoac[] marshal(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, boolean paramBoolean4, byte paramByte, int paramInt1, byte[] paramArrayOfbyte1, int paramInt2, Accessor[] paramArrayOfAccessor1, int paramInt3, Accessor[] paramArrayOfAccessor2, int paramInt4, byte[] paramArrayOfbyte2, char[] paramArrayOfchar1, short[] paramArrayOfshort1, int paramInt5, DBConversion paramDBConversion, byte[] paramArrayOfbyte3, InputStream[][] paramArrayOfInputStream, byte[][][] paramArrayOfbyte, OracleTypeADT[][] paramArrayOfOracleTypeADT, OracleStatement paramOracleStatement, byte[] paramArrayOfbyte4, char[] paramArrayOfchar2, short[] paramArrayOfshort2, T4CTTIoac[] paramArrayOfT4CTTIoac, int[] paramArrayOfint1, int[] paramArrayOfint2, int[] paramArrayOfint3) throws SQLException, IOException {
/*  287 */     this.typeOfStatement = paramByte;
/*  288 */     this.cursor = paramInt1;
/*  289 */     this.sqlStmt = paramBoolean1 ? paramArrayOfbyte1 : EMPTY_BYTES;
/*  290 */     this.rowsToFetch = paramInt2;
/*  291 */     this.outBindAccessors = paramArrayOfAccessor1;
/*  292 */     this.numberOfBindPositions = paramInt3;
/*  293 */     this.definesAccessors = paramArrayOfAccessor2;
/*  294 */     this.definesLength = paramInt4;
/*  295 */     this.bindBytes = paramArrayOfbyte2;
/*  296 */     this.bindChars = paramArrayOfchar1;
/*  297 */     this.bindIndicators = paramArrayOfshort1;
/*  298 */     this.bindIndicatorSubRange = paramInt5;
/*  299 */     this.conversion = paramDBConversion;
/*  300 */     this.tmpBindsByteArray = paramArrayOfbyte3;
/*  301 */     this.parameterStream = paramArrayOfInputStream;
/*  302 */     this.parameterDatum = paramArrayOfbyte;
/*  303 */     this.parameterOtype = paramArrayOfOracleTypeADT;
/*  304 */     this.oracleStatement = paramOracleStatement;
/*  305 */     this.ibtBindBytes = paramArrayOfbyte4;
/*  306 */     this.ibtBindChars = paramArrayOfchar2;
/*  307 */     this.ibtBindIndicators = paramArrayOfshort2;
/*  308 */     this.oacdefBindsSent = paramArrayOfT4CTTIoac;
/*  309 */     this.definedColumnType = paramArrayOfint1;
/*  310 */     this.definedColumnSize = paramArrayOfint2;
/*  311 */     this.definedColumnFormOfUse = paramArrayOfint3;
/*      */ 
/*      */     
/*  314 */     this.dbCharSet = paramDBConversion.getServerCharSetId();
/*  315 */     this.NCharSet = paramDBConversion.getNCharSetId();
/*      */ 
/*      */     
/*  318 */     int i = 0;
/*  319 */     if (this.bindIndicators != null) {
/*  320 */       i = ((this.bindIndicators[this.bindIndicatorSubRange + 3] & 0xFFFF) << 16) + (this.bindIndicators[this.bindIndicatorSubRange + 4] & 0xFFFF);
/*      */     }
/*      */ 
/*      */     
/*  324 */     if (paramArrayOfbyte1 == null)
/*      */     {
/*      */ 
/*      */       
/*  328 */       DatabaseError.throwSqlException(431);
/*      */     }
/*  330 */     if (this.typeOfStatement != 2 && i > 1)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  335 */       DatabaseError.throwSqlException(433);
/*      */     }
/*      */ 
/*      */     
/*  339 */     this.rowsProcessed = 0;
/*  340 */     this.options = 0L;
/*  341 */     this.plsql = (this.typeOfStatement == 1 || this.typeOfStatement == 4);
/*      */     
/*  343 */     this.sendBindsDefinition = false;
/*      */ 
/*      */     
/*  346 */     if (this.receiveState != 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  351 */       this.receiveState = 0;
/*  352 */       DatabaseError.throwSqlException(447);
/*      */     } 
/*      */     
/*  355 */     this.rxh.init();
/*  356 */     this.rxd.init();
/*  357 */     this.oer.init();
/*      */ 
/*      */     
/*  360 */     this.sendDefines = false;
/*  361 */     if (paramBoolean1 && paramBoolean2 && !paramBoolean3 && this.definedColumnType != null) {
/*      */       
/*  363 */       this.sendDefines = true;
/*  364 */       initDefinesDefinition();
/*      */     } 
/*      */ 
/*      */     
/*  368 */     if (this.numberOfBindPositions > 0 && this.bindIndicators != null) {
/*      */       
/*  370 */       if (this.oacdefBindsSent == null)
/*  371 */         this.oacdefBindsSent = new T4CTTIoac[this.numberOfBindPositions]; 
/*  372 */       this.sendBindsDefinition = initBindsDefinition(this.oacdefBindsSent);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  382 */     this.options = setOptions(paramBoolean1, paramBoolean2, paramBoolean3);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  387 */     if ((this.options & 0x1L) > 0L) {
/*  388 */       this.al8i4[0] = 1L;
/*      */     } else {
/*  390 */       this.al8i4[0] = 0L;
/*      */     } 
/*      */     
/*  393 */     if (this.plsql || this.typeOfStatement == 3) {
/*  394 */       this.al8i4[1] = 1L;
/*  395 */     } else if (paramBoolean4) {
/*      */       
/*  397 */       if (paramBoolean3 && this.oracleStatement.connection.useFetchSizeWithLongColumn) {
/*  398 */         this.al8i4[1] = this.rowsToFetch;
/*      */       } else {
/*  400 */         this.al8i4[1] = 0L;
/*      */       } 
/*  402 */     } else if (this.typeOfStatement == 2) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  408 */       this.al8i4[1] = (i == 0) ? this.oracleStatement.batch : i;
/*      */     }
/*  410 */     else if (paramBoolean3 && !paramBoolean4) {
/*      */       
/*  412 */       this.al8i4[1] = this.rowsToFetch;
/*      */     } else {
/*  414 */       this.al8i4[1] = 0L;
/*      */     } 
/*      */     
/*  417 */     if (this.typeOfStatement == 0) {
/*  418 */       this.al8i4[7] = 1L;
/*      */     } else {
/*  420 */       this.al8i4[7] = 0L;
/*      */     } 
/*  422 */     this.meg.pipeState = 1;
/*  423 */     marshalAll();
/*  424 */     this.meg.pipeState = 2;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  435 */     return this.oacdefBindsSent;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void receive() throws SQLException, IOException {
/*  451 */     if (this.receiveState != 0 && this.receiveState != 2)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  458 */       DatabaseError.throwSqlException(447);
/*      */     }
/*      */     
/*  461 */     this.receiveState = 1;
/*      */     
/*  463 */     boolean bool1 = false;
/*  464 */     boolean bool2 = false;
/*  465 */     boolean bool3 = false;
/*      */ 
/*      */     
/*  468 */     this.rowsProcessed = 0;
/*      */ 
/*      */ 
/*      */     
/*  472 */     this.rxd.setNumberOfColumns(this.definesLength);
/*      */     
/*      */     while (true) {
/*      */       
/*      */       try { int i;
/*      */         
/*      */         T4CTTIiov t4CTTIiov;
/*      */         int j, arrayOfInt[], k;
/*  480 */         byte b = this.meg.unmarshalSB1();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*  486 */         switch (b)
/*      */         
/*      */         { 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 21:
/*  496 */             i = this.meg.unmarshalUB2();
/*      */ 
/*      */             
/*  499 */             this.rxd.unmarshalBVC(i);
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 11:
/*  509 */             t4CTTIiov = new T4CTTIiov(this.meg, this.rxh, this.rxd);
/*      */             
/*  511 */             t4CTTIiov.init();
/*  512 */             t4CTTIiov.unmarshalV10();
/*      */ 
/*      */             
/*  515 */             if (this.oracleStatement.returnParamAccessors == null && !t4CTTIiov.isIOVectorEmpty()) {
/*      */ 
/*      */               
/*  518 */               byte[] arrayOfByte = t4CTTIiov.getIOVector();
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  523 */               this.outBindAccessors = t4CTTIiov.processRXD(this.outBindAccessors, this.numberOfBindPositions, this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.conversion, this.tmpBindsByteArray, arrayOfByte, this.parameterStream, this.parameterDatum, this.parameterOtype, this.oracleStatement, null, null, null);
/*      */             } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  533 */             bool3 = true;
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 6:
/*  553 */             this.rxh.init();
/*  554 */             this.rxh.unmarshalV10(this.rxd);
/*      */             
/*  556 */             if (this.rxh.uacBufLength > 0)
/*      */             {
/*      */ 
/*      */ 
/*      */               
/*  561 */               DatabaseError.throwSqlException(405);
/*      */             }
/*      */             
/*  564 */             bool2 = true;
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 7:
/*  580 */             if (this.receiveState != 1)
/*      */             {
/*  582 */               DatabaseError.throwSqlException(447);
/*      */             }
/*      */             
/*  585 */             this.receiveState = 2;
/*      */ 
/*      */ 
/*      */             
/*  589 */             if (this.oracleStatement.returnParamAccessors != null && this.numberOfBindPositions > 0) {
/*      */ 
/*      */               
/*  592 */               boolean bool = false;
/*  593 */               for (byte b1 = 0; b1 < this.oracleStatement.numberOfBindPositions; b1++) {
/*      */                 
/*  595 */                 Accessor accessor = this.oracleStatement.returnParamAccessors[b1];
/*  596 */                 if (accessor != null) {
/*      */                   
/*  598 */                   int m = (int)this.meg.unmarshalUB4();
/*  599 */                   if (!bool) {
/*      */                     
/*  601 */                     this.oracleStatement.rowsDmlReturned = m;
/*  602 */                     this.oracleStatement.allocateDmlReturnStorage();
/*  603 */                     this.oracleStatement.setupReturnParamAccessors();
/*  604 */                     bool = true;
/*      */                   } 
/*      */                   
/*  607 */                   for (byte b2 = 0; b2 < m; b2++)
/*      */                   {
/*      */ 
/*      */ 
/*      */                     
/*  612 */                     accessor.unmarshalOneRow(); } 
/*      */                 } 
/*      */               } 
/*  615 */               this.oracleStatement.returnParamsFetched = true;
/*      */             
/*      */             }
/*  618 */             else if (bool3 || (this.outBindAccessors != null && this.definesAccessors == null)) {
/*      */ 
/*      */ 
/*      */               
/*  622 */               if (this.rxd.unmarshal(this.outBindAccessors, this.numberOfBindPositions)) {
/*      */                 
/*  624 */                 this.receiveState = 3;
/*      */ 
/*      */ 
/*      */                 
/*      */                 return;
/*      */               } 
/*  630 */             } else if (this.rxd.unmarshal(this.definesAccessors, this.definesLength)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  636 */               this.receiveState = 3;
/*      */ 
/*      */               
/*      */               return;
/*      */             } 
/*      */ 
/*      */             
/*  643 */             this.receiveState = 1;
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 8:
/*  657 */             if (bool1)
/*      */             {
/*      */ 
/*      */ 
/*      */               
/*  662 */               DatabaseError.throwSqlException(401);
/*      */             }
/*      */ 
/*      */             
/*  666 */             j = this.meg.unmarshalUB2();
/*  667 */             arrayOfInt = new int[j];
/*      */             
/*  669 */             for (k = 0; k < j; k++) {
/*  670 */               arrayOfInt[k] = (int)this.meg.unmarshalUB4();
/*      */             }
/*      */ 
/*      */             
/*  674 */             this.cursor = arrayOfInt[2];
/*      */ 
/*      */             
/*  677 */             this.meg.unmarshalUB2();
/*      */             
/*  679 */             k = this.meg.unmarshalUB2();
/*      */             
/*  681 */             if (k > 0)
/*      */             {
/*  683 */               for (byte b1 = 0; b1 < k; b1++) {
/*      */                 
/*  685 */                 int m = (int)this.meg.unmarshalUB4();
/*      */                 
/*  687 */                 this.meg.unmarshalDALC();
/*      */                 
/*  689 */                 int n = this.meg.unmarshalUB2();
/*      */               } 
/*      */             }
/*      */             
/*  693 */             bool1 = true;
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 16:
/*  703 */             this.dcb.init(this.oracleStatement, 0);
/*      */             
/*  705 */             this.definesAccessors = this.dcb.receive(this.definesAccessors);
/*  706 */             this.numberOfDefinePositions = this.dcb.numuds;
/*  707 */             this.definesLength = this.numberOfDefinePositions;
/*      */             
/*  709 */             this.rxd.setNumberOfColumns(this.numberOfDefinePositions);
/*      */             break;
/*      */ 
/*      */           
/*      */           case 19:
/*  714 */             this.fob.marshal();
/*      */             break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           case 4:
/*  727 */             this.oer.init();
/*      */             
/*  729 */             this.cursor = this.oer.unmarshal();
/*      */ 
/*      */ 
/*      */             
/*  733 */             this.rowsProcessed = this.oer.getCurRowNumber();
/*      */ 
/*      */             
/*  736 */             if (this.typeOfStatement != 0 || (this.typeOfStatement == 0 && this.oer.retCode != 1403)) {
/*      */               
/*      */               try {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  745 */                 this.oer.processError(this.oracleStatement);
/*      */               }
/*  747 */               catch (SQLException sQLException) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  753 */                 this.receiveState = 0;
/*      */                 
/*  755 */                 throw sQLException;
/*      */               } 
/*      */             }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  774 */             this.meg.sentCancel = false;
/*  775 */             this.meg.pipeState = -1; break;default: DatabaseError.throwSqlException(401); break; }  } catch (BreakNetException breakNetException) {  } finally { this.meg.sentCancel = false; this.meg.pipeState = -1; }
/*      */     
/*      */     } 
/*      */     
/*  779 */     if (this.receiveState != 1)
/*      */     {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  785 */       DatabaseError.throwSqlException(447);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  790 */     this.receiveState = 0;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getCursorId() {
/*  804 */     return this.cursor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void continueReadRow(int paramInt) throws SQLException, IOException {
/*  822 */     this.receiveState = 2;
/*      */     
/*  824 */     if (this.rxd.unmarshal(this.definesAccessors, paramInt, this.definesLength)) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  830 */       this.receiveState = 3;
/*      */ 
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */ 
/*      */     
/*  838 */     receive();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   int getNumRows() {
/*  855 */     int i = 0;
/*      */     
/*  857 */     if (this.receiveState == 3) {
/*  858 */       i = -2;
/*      */     } else {
/*      */       
/*  861 */       switch (this.typeOfStatement) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 1:
/*      */         case 2:
/*      */         case 3:
/*      */         case 4:
/*  871 */           i = this.rowsProcessed;
/*      */           break;
/*      */ 
/*      */         
/*      */         case 0:
/*  876 */           i = (this.definesAccessors != null && this.definesLength > 0) ? (this.definesAccessors[0]).lastRowProcessed : 0;
/*      */           break;
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     } 
/*  886 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalAll() throws SQLException, IOException {
/*  902 */     if ((this.options & 0x40L) != 0L && (this.options & 0x20L) == 0L && (this.options & 0x1L) == 0L && (this.options & 0x8L) == 0L && !this.oracleStatement.needToSendOalToFetch) {
/*      */ 
/*      */ 
/*      */       
/*  906 */       this.ofetch.marshal(this.cursor, (int)this.al8i4[1]);
/*      */     }
/*  908 */     else if (this.meg.versionNumber >= 10000 && (this.options & 0x20L) != 0L && (this.options & 0x1L) == 0L && (this.options & 0x40L) == 0L && (this.options & 0x8L) == 0L && this.typeOfStatement != 2 && this.typeOfStatement != 1 && this.typeOfStatement != 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  915 */       boolean bool = false;
/*      */       
/*  917 */       if ((this.options & 0x100L) != 0L) {
/*  918 */         bool = true;
/*      */       }
/*  920 */       this.oexec.marshal(this.cursor, (int)this.al8i4[1], bool);
/*      */       
/*  922 */       if (this.numberOfBindPositions > 0 && this.bindIndicators != null)
/*      */       {
/*      */ 
/*      */         
/*  926 */         int[] arrayOfInt = new int[this.numberOfBindPositions];
/*      */         
/*  928 */         for (byte b = 0; b < this.numberOfBindPositions; b++)
/*      */         {
/*  930 */           arrayOfInt[b] = (this.oacdefBindsSent[b]).oacmxl;
/*      */         }
/*      */         
/*  933 */         marshalBinds(arrayOfInt);
/*      */       }
/*      */     
/*      */     } else {
/*      */       
/*  938 */       if (this.oracleStatement.needToSendOalToFetch) {
/*  939 */         this.oracleStatement.needToSendOalToFetch = false;
/*      */       }
/*      */ 
/*      */       
/*  943 */       marshalPisdef();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  949 */       this.meg.marshalCHR(this.sqlStmt);
/*      */ 
/*      */       
/*  952 */       this.meg.marshalUB4Array(this.al8i4);
/*      */ 
/*      */       
/*  955 */       int[] arrayOfInt = new int[this.numberOfBindPositions];
/*      */       byte b;
/*  957 */       for (b = 0; b < this.numberOfBindPositions; b++)
/*      */       {
/*  959 */         arrayOfInt[b] = (this.oacdefBindsSent[b]).oacmxl;
/*      */       }
/*      */ 
/*      */       
/*  963 */       if ((this.options & 0x8L) != 0L && this.numberOfBindPositions > 0 && this.bindIndicators != null && this.sendBindsDefinition)
/*      */       {
/*  965 */         marshalBindsTypes(this.oacdefBindsSent);
/*      */       }
/*      */ 
/*      */       
/*  969 */       if (this.meg.versionNumber >= 9000 && this.sendDefines) {
/*  970 */         for (b = 0; b < this.defCols; b++) {
/*  971 */           this.oacdefDefines[b].marshal();
/*      */         }
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  977 */       if ((this.options & 0x20L) != 0L && this.numberOfBindPositions > 0 && this.bindIndicators != null)
/*      */       {
/*  979 */         marshalBinds(arrayOfInt);
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalPisdef() throws IOException, SQLException {
/*  997 */     marshalFunHeader();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1006 */     this.meg.marshalUB4(this.options);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1011 */     this.meg.marshalSWORD(this.cursor);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1017 */     if (this.sqlStmt.length == 0) {
/* 1018 */       this.meg.marshalNULLPTR();
/*      */     } else {
/* 1020 */       this.meg.marshalPTR();
/*      */     } 
/*      */     
/* 1023 */     this.meg.marshalSWORD(this.sqlStmt.length);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1029 */     if (this.al8i4.length == 0) {
/* 1030 */       this.meg.marshalNULLPTR();
/*      */     } else {
/* 1032 */       this.meg.marshalPTR();
/*      */     } 
/*      */     
/* 1035 */     this.meg.marshalSWORD(this.al8i4.length);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1042 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1045 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1048 */     this.meg.marshalUB4(0L);
/*      */ 
/*      */     
/* 1051 */     this.meg.marshalUB4(0L);
/*      */ 
/*      */     
/* 1054 */     if (this.typeOfStatement != 1 && this.typeOfStatement != 4) {
/*      */       
/* 1056 */       this.meg.marshalUB4(2147483647L);
/*      */     } else {
/* 1058 */       this.meg.marshalUB4(32760L);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1063 */     if ((this.options & 0x8L) != 0L && this.numberOfBindPositions > 0 && this.sendBindsDefinition) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1068 */       this.meg.marshalPTR();
/*      */ 
/*      */       
/* 1071 */       this.meg.marshalSWORD(this.numberOfBindPositions);
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1077 */       this.meg.marshalNULLPTR();
/*      */ 
/*      */       
/* 1080 */       this.meg.marshalSWORD(0);
/*      */     } 
/*      */ 
/*      */     
/* 1084 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1087 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1090 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1093 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */     
/* 1096 */     this.meg.marshalNULLPTR();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1104 */     if (this.meg.versionNumber >= 9000)
/*      */     {
/* 1106 */       if (this.defCols > 0 && this.sendDefines) {
/*      */ 
/*      */ 
/*      */         
/* 1110 */         this.meg.marshalPTR();
/*      */ 
/*      */         
/* 1113 */         this.meg.marshalSWORD(this.defCols);
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */         
/* 1119 */         this.meg.marshalNULLPTR();
/*      */ 
/*      */         
/* 1122 */         this.meg.marshalSWORD(0);
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   boolean initBindsDefinition(T4CTTIoac[] paramArrayOfT4CTTIoac) throws SQLException, IOException {
/* 1137 */     boolean bool = false;
/*      */     
/* 1139 */     if (paramArrayOfT4CTTIoac.length != this.numberOfBindPositions) {
/*      */       
/* 1141 */       bool = true;
/* 1142 */       paramArrayOfT4CTTIoac = new T4CTTIoac[this.numberOfBindPositions];
/*      */     } 
/*      */ 
/*      */     
/* 1146 */     short[] arrayOfShort = this.bindIndicators;
/*      */ 
/*      */     
/* 1149 */     int i = 0;
/*      */ 
/*      */     
/* 1152 */     byte b1 = 0;
/*      */ 
/*      */     
/* 1155 */     for (byte b2 = 0; b2 < this.numberOfBindPositions; b2++) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1165 */       int j = this.bindIndicatorSubRange + 5 + 10 * b2;
/*      */ 
/*      */ 
/*      */       
/* 1169 */       short s = arrayOfShort[j + 9];
/*      */ 
/*      */       
/* 1172 */       int k = arrayOfShort[j + 0] & 0xFFFF;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1177 */       if (k == 8 || k == 24) {
/*      */         
/* 1179 */         if (this.plsql) {
/* 1180 */           i = 32760;
/*      */         } else {
/* 1182 */           i = Integer.MAX_VALUE;
/* 1183 */         }  this.oac.init((short)k, i, this.dbCharSet, this.NCharSet, s);
/*      */       
/*      */       }
/* 1186 */       else if (k == 998) {
/*      */         
/* 1188 */         if (this.outBindAccessors != null && this.outBindAccessors[b2] != null) {
/*      */           
/* 1190 */           this.oac.init((PlsqlIndexTableAccessor)this.outBindAccessors[b2]);
/* 1191 */           b1++;
/*      */         }
/* 1193 */         else if (this.ibtBindIndicators[6 + b1 * 8] != 0) {
/*      */           
/* 1195 */           short s1 = this.ibtBindIndicators[6 + b1 * 8];
/* 1196 */           int m = this.ibtBindIndicators[6 + b1 * 8 + 2] << 16 & 0xFFFF000 | this.ibtBindIndicators[6 + b1 * 8 + 3];
/*      */ 
/*      */ 
/*      */           
/* 1200 */           i = this.ibtBindIndicators[6 + b1 * 8 + 1];
/*      */           
/* 1202 */           this.oac.initIbt((short)s1, m, i);
/*      */           
/* 1204 */           b1++;
/*      */         } else {
/*      */           
/* 1207 */           DatabaseError.throwSqlException("INTERNAL ERROR: Binding PLSQL index-by table but no type defined", (String)null, -1);
/*      */         }
/*      */       
/*      */       }
/* 1211 */       else if (k == 109 || k == 111) {
/*      */         
/* 1213 */         if (this.outBindAccessors != null && this.outBindAccessors[b2] != null)
/*      */         {
/* 1215 */           if ((this.outBindAccessors[b2]).internalOtype != null) {
/* 1216 */             this.oac.init((OracleTypeADT)((TypeAccessor)this.outBindAccessors[b2]).internalOtype, k, (k == 109) ? 11 : 4000);
/*      */           
/*      */           }
/*      */         
/*      */         }
/* 1221 */         else if (this.parameterOtype != null && this.parameterOtype[this.oracleStatement.firstRowInBatch] != null)
/*      */         {
/*      */           
/* 1224 */           this.oac.init(this.parameterOtype[this.oracleStatement.firstRowInBatch][b2], k, (k == 109) ? 11 : 4000);
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */           
/* 1232 */           DatabaseError.throwSqlException("INTERNAL ERROR: Binding NAMED_TYPE but no type defined", (String)null, -1);
/*      */         
/*      */         }
/*      */       
/*      */       }
/* 1237 */       else if (k == 994) {
/*      */         
/* 1239 */         int[] arrayOfInt = this.oracleStatement.returnParamMeta;
/* 1240 */         k = arrayOfInt[3 + b2 * 3 + 0];
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1245 */         i = arrayOfInt[3 + b2 * 3 + 2];
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1250 */         if (k == 109 || k == 111)
/*      */         {
/* 1252 */           TypeAccessor typeAccessor = (TypeAccessor)this.oracleStatement.returnParamAccessors[b2];
/*      */ 
/*      */           
/* 1255 */           this.oac.init((OracleTypeADT)typeAccessor.internalOtype, (short)k, (k == 109) ? 11 : 4000);
/*      */ 
/*      */         
/*      */         }
/*      */         else
/*      */         {
/*      */ 
/*      */           
/* 1263 */           this.oac.init((short)k, i, this.dbCharSet, this.NCharSet, s);
/*      */ 
/*      */ 
/*      */         
/*      */         }
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       }
/*      */       else {
/*      */ 
/*      */ 
/*      */         
/* 1277 */         i = arrayOfShort[j + 1] & 0xFFFF;
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1282 */         if (i == 0) {
/*      */ 
/*      */ 
/*      */           
/* 1286 */           if (this.typeOfStatement == 1 || (this.oracleStatement.connection.versionNumber >= 10200 && this.typeOfStatement == 4)) {
/*      */ 
/*      */ 
/*      */             
/* 1290 */             i = 32512;
/*      */           }
/* 1292 */           else if (this.typeOfStatement == 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1298 */             int m = arrayOfShort[j + 2] & 0xFFFF;
/*      */ 
/*      */             
/* 1301 */             if (s == 2) {
/* 1302 */               m *= this.conversion.maxNCharSize;
/*      */             }
/* 1304 */             i = (m > 4001) ? m : 4001;
/*      */           
/*      */           }
/*      */           else {
/*      */             
/* 1309 */             i = arrayOfShort[j + 2] & 0xFFFF;
/*      */ 
/*      */ 
/*      */             
/* 1313 */             if (k == 996) {
/* 1314 */               i *= 2;
/*      */             }
/* 1316 */             else if (i > 1) {
/* 1317 */               i--;
/*      */             } 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1323 */             if (s == 2) {
/*      */               
/* 1325 */               i *= this.conversion.maxNCharSize;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*      */             }
/* 1338 */             else if (((T4CConnection)this.oracleStatement.connection).retainV9BehaviorForLong && i <= 4000) {
/*      */ 
/*      */ 
/*      */               
/* 1342 */               i = Math.min(i * this.conversion.sMaxCharSize, 4000);
/*      */             
/*      */             }
/*      */             else {
/*      */               
/* 1347 */               i *= this.conversion.sMaxCharSize;
/*      */             } 
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1356 */           if (i == 0) {
/* 1357 */             i = 32;
/*      */           }
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/* 1363 */         if (k == 9 || k == 996) {
/* 1364 */           k = 1;
/*      */         }
/* 1366 */         this.oac.init((short)k, i, this.dbCharSet, this.NCharSet, s);
/*      */       } 
/*      */ 
/*      */ 
/*      */       
/* 1371 */       if (paramArrayOfT4CTTIoac[b2] == null || !this.oac.isOldSufficient(paramArrayOfT4CTTIoac[b2])) {
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1376 */         T4CTTIoac t4CTTIoac = new T4CTTIoac(this.oac);
/*      */         
/* 1378 */         paramArrayOfT4CTTIoac[b2] = t4CTTIoac;
/* 1379 */         bool = true;
/*      */       } 
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1385 */     if (bool) {
/* 1386 */       this.oracleStatement.nbPostPonedColumns[0] = 0;
/*      */     }
/* 1388 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void initDefinesDefinition() throws SQLException, IOException {
/* 1400 */     this.defCols = 0; byte b;
/* 1401 */     for (b = 0; b < this.definedColumnType.length; b++) {
/*      */       
/* 1403 */       if (this.definedColumnType[b] == 0)
/*      */         break; 
/* 1405 */       this.defCols++;
/*      */     } 
/* 1407 */     this.oacdefDefines = new T4CTTIoac[this.defCols];
/* 1408 */     for (b = 0; b < this.oacdefDefines.length; b++) {
/*      */       
/* 1410 */       this.oacdefDefines[b] = new T4CTTIoac(this.meg);
/* 1411 */       short s = (short)this.oracleStatement.getInternalType(this.definedColumnType[b]);
/* 1412 */       int i = Integer.MAX_VALUE;
/*      */       
/* 1414 */       byte b1 = 1;
/* 1415 */       if (this.definedColumnFormOfUse != null && this.definedColumnFormOfUse.length > b && this.definedColumnFormOfUse[b] == 2)
/*      */       {
/*      */ 
/*      */         
/* 1419 */         b1 = 2;
/*      */       }
/* 1421 */       if (s == 8) {
/* 1422 */         s = 1;
/* 1423 */       } else if (s == 24) {
/* 1424 */         s = 23;
/* 1425 */       } else if (s == 1 || s == 96) {
/*      */ 
/*      */         
/* 1428 */         s = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1434 */         i = 4000 * this.conversion.sMaxCharSize;
/*      */         
/* 1436 */         if (this.definedColumnSize != null && this.definedColumnSize.length > b && this.definedColumnSize[b] > 0)
/*      */         {
/*      */ 
/*      */           
/* 1440 */           i = this.definedColumnSize[b] * this.conversion.sMaxCharSize;
/*      */         }
/* 1442 */       } else if (s == 23) {
/* 1443 */         i = 4000;
/*      */       } 
/* 1445 */       this.oacdefDefines[b].init(s, i, this.dbCharSet, this.NCharSet, b1);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalBindsTypes(T4CTTIoac[] paramArrayOfT4CTTIoac) throws SQLException, IOException {
/* 1460 */     if (paramArrayOfT4CTTIoac == null) {
/*      */       return;
/*      */     }
/* 1463 */     for (byte b = 0; b < paramArrayOfT4CTTIoac.length; b++)
/*      */     {
/* 1465 */       paramArrayOfT4CTTIoac[b].marshal();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void marshalBinds(int[] paramArrayOfint) throws SQLException, IOException {
/* 1487 */     int i = ((this.bindIndicators[this.bindIndicatorSubRange + 3] & 0xFFFF) << 16) + (this.bindIndicators[this.bindIndicatorSubRange + 4] & 0xFFFF);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1495 */     for (byte b = 0; b < i; b++) {
/*      */       
/* 1497 */       int j = this.oracleStatement.firstRowInBatch + b;
/* 1498 */       InputStream[] arrayOfInputStream = null;
/* 1499 */       if (this.parameterStream != null)
/* 1500 */         arrayOfInputStream = this.parameterStream[j]; 
/* 1501 */       byte[][] arrayOfByte = (byte[][])null;
/* 1502 */       if (this.parameterDatum != null)
/* 1503 */         arrayOfByte = this.parameterDatum[j]; 
/* 1504 */       OracleTypeADT[] arrayOfOracleTypeADT = null;
/* 1505 */       if (this.parameterOtype != null) {
/* 1506 */         arrayOfOracleTypeADT = this.parameterOtype[j];
/*      */       }
/*      */       
/* 1509 */       this.rxd.marshal(this.bindBytes, this.bindChars, this.bindIndicators, this.bindIndicatorSubRange, this.tmpBindsByteArray, this.conversion, arrayOfInputStream, arrayOfByte, arrayOfOracleTypeADT, this.ibtBindBytes, this.ibtBindChars, this.ibtBindIndicators, null, b, paramArrayOfint, this.plsql, this.oracleStatement.returnParamMeta, this.oracleStatement.nbPostPonedColumns, this.oracleStatement.indexOfPostPonedColumn);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   long setOptions(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3) throws SQLException {
/* 1530 */     long l = 0L;
/*      */ 
/*      */     
/* 1533 */     if (paramBoolean1 && !paramBoolean2 && !paramBoolean3) {
/* 1534 */       l |= 0x1L;
/* 1535 */     } else if (paramBoolean1 && paramBoolean2 && !paramBoolean3) {
/* 1536 */       l = 32801L;
/* 1537 */     } else if (paramBoolean2 && paramBoolean3) {
/*      */       
/* 1539 */       if (paramBoolean1) {
/* 1540 */         l |= 0x1L;
/*      */       }
/*      */ 
/*      */ 
/*      */       
/* 1545 */       switch (this.typeOfStatement) {
/*      */ 
/*      */         
/*      */         case 0:
/* 1549 */           l |= 0x8060L;
/*      */           break;
/*      */ 
/*      */ 
/*      */         
/*      */         case 1:
/*      */         case 4:
/* 1556 */           if (this.numberOfBindPositions > 0) {
/*      */ 
/*      */             
/* 1559 */             l |= 0x420L | (this.oracleStatement.connection.autoCommitSet ? 256L : 0L);
/*      */ 
/*      */             
/* 1562 */             if (this.sendBindsDefinition)
/* 1563 */               l |= 0x8L; 
/*      */             break;
/*      */           } 
/* 1566 */           l |= 0x20L | (this.oracleStatement.connection.autoCommitSet ? 256L : 0L);
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         case 2:
/*      */         case 3:
/* 1577 */           if (this.oracleStatement.returnParamAccessors != null) {
/* 1578 */             l |= 0x420L | (this.oracleStatement.connection.autoCommitSet ? 256L : 0L);
/*      */             break;
/*      */           } 
/* 1581 */           l |= 0x8020L | (this.oracleStatement.connection.autoCommitSet ? 256L : 0L);
/*      */           break;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/*      */         default:
/* 1591 */           DatabaseError.throwSqlException(432);
/*      */           break;
/*      */       } 
/* 1594 */     } else if (!paramBoolean1 && !paramBoolean2 && paramBoolean3) {
/* 1595 */       l = 32832L;
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/* 1602 */       DatabaseError.throwSqlException(432);
/*      */     } 
/*      */ 
/*      */     
/* 1606 */     if (this.typeOfStatement != 1 && this.typeOfStatement != 4) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1611 */       if (paramBoolean1 || paramBoolean2 || !paramBoolean3)
/*      */       {
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */         
/* 1618 */         if (this.numberOfBindPositions > 0 && this.sendBindsDefinition) {
/* 1619 */           l |= 0x8L;
/*      */         }
/*      */       }
/* 1622 */       if (this.meg.versionNumber >= 9000 && this.sendDefines)
/*      */       {
/* 1624 */         l |= 0x10L;
/*      */       }
/*      */     } 
/*      */     
/* 1628 */     l &= 0xFFFFFFFFFFFFFFFFL;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/* 1634 */     return l;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/* 1639 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*      */   public static final boolean TRACE = false;
/*      */   public static final boolean PRIVATE_TRACE = false;
/*      */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4C8Oall.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */