/*     */ package oracle.jdbc.rowset;
/*     */ 
/*     */ import javax.sql.RowSet;
/*     */ import org.w3c.dom.Document;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.NodeList;
/*     */ import org.xml.sax.SAXException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class OracleWebRowSetXmlReaderDomHandler
/*     */   extends OracleWebRowSetXmlReaderContHandler
/*     */ {
/*     */   OracleWebRowSetXmlReaderDomHandler(RowSet paramRowSet) {
/*  43 */     super(paramRowSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void readXMLDocument(Document paramDocument) throws SAXException {
/*  51 */     Element element = paramDocument.getDocumentElement();
/*  52 */     startElement(null, null, "webRowSet", null);
/*     */ 
/*     */     
/*  55 */     Node node1 = element.getElementsByTagName("properties").item(0);
/*     */     
/*  57 */     startElement(null, null, "properties", null);
/*     */ 
/*     */     
/*  60 */     NodeList nodeList1 = node1.getChildNodes();
/*  61 */     int i = nodeList1.getLength();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  66 */     for (byte b1 = 0; b1 < i; b1++) {
/*     */       
/*  68 */       Node node = nodeList1.item(b1);
/*     */ 
/*     */       
/*  71 */       if (!(node instanceof org.w3c.dom.Text)) {
/*     */ 
/*     */ 
/*     */         
/*  75 */         String str1 = node.getNodeName();
/*  76 */         startElement(null, null, str1, null);
/*     */ 
/*     */ 
/*     */         
/*  80 */         if (node.hasChildNodes()) {
/*     */           
/*  82 */           processElement(node.getFirstChild().getNodeValue());
/*     */ 
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/*  89 */           processElement("");
/*     */         } 
/*     */         
/*  92 */         endElement(null, null, str1);
/*     */       } 
/*     */     } 
/*  95 */     endElement(null, null, "properties");
/*     */ 
/*     */     
/*  98 */     Node node2 = element.getElementsByTagName("metadata").item(0);
/*     */     
/* 100 */     startElement(null, null, "metadata", null);
/*     */ 
/*     */     
/* 103 */     Node node3 = node2.getFirstChild().getNextSibling();
/*     */     
/* 105 */     String str = node3.getNodeName();
/* 106 */     startElement(null, null, str, null);
/*     */ 
/*     */     
/* 109 */     processElement(node3.getFirstChild().getNodeValue());
/* 110 */     endElement(null, null, str);
/*     */ 
/*     */     
/* 113 */     NodeList nodeList2 = node2.getChildNodes();
/* 114 */     int j = nodeList2.getLength();
/*     */ 
/*     */     
/* 117 */     for (byte b2 = 3; b2 < j; b2++) {
/*     */       
/* 119 */       Node node = nodeList2.item(b2);
/*     */ 
/*     */       
/* 122 */       NodeList nodeList = node.getChildNodes();
/* 123 */       int m = nodeList.getLength();
/*     */       
/* 125 */       for (byte b = 0; b < m; b++) {
/*     */         
/* 127 */         Node node5 = nodeList.item(b);
/*     */ 
/*     */         
/* 130 */         if (!(node5 instanceof org.w3c.dom.Text)) {
/*     */ 
/*     */ 
/*     */           
/* 134 */           String str1 = node5.getNodeName();
/* 135 */           startElement(null, null, str1, null);
/*     */ 
/*     */ 
/*     */           
/* 139 */           if (node5.hasChildNodes()) {
/*     */             
/* 141 */             processElement(node5.getFirstChild().getNodeValue());
/*     */ 
/*     */           
/*     */           }
/*     */           else {
/*     */ 
/*     */             
/* 148 */             processElement("");
/*     */           } 
/*     */           
/* 151 */           endElement(null, null, str1);
/*     */         } 
/*     */       } 
/*     */     } 
/* 155 */     endElement(null, null, "metadata");
/*     */ 
/*     */     
/* 158 */     Node node4 = element.getElementsByTagName("data").item(0);
/* 159 */     startElement(null, null, "data", null);
/*     */ 
/*     */     
/* 162 */     NodeList nodeList3 = node4.getChildNodes();
/* 163 */     int k = nodeList3.getLength();
/*     */     
/* 165 */     for (byte b3 = 0; b3 < k; b3++) {
/*     */       
/* 167 */       Node node = nodeList3.item(b3);
/*     */ 
/*     */       
/* 170 */       if (!(node instanceof org.w3c.dom.Text)) {
/*     */ 
/*     */ 
/*     */         
/* 174 */         String str1 = node.getNodeName();
/* 175 */         startElement(null, null, str1, null);
/*     */ 
/*     */         
/* 178 */         NodeList nodeList = node.getChildNodes();
/* 179 */         int m = nodeList.getLength();
/*     */         
/* 181 */         for (byte b = 0; b < m; b++) {
/*     */           
/* 183 */           Node node5 = nodeList.item(b);
/*     */ 
/*     */           
/* 186 */           if (!(node5 instanceof org.w3c.dom.Text)) {
/*     */ 
/*     */ 
/*     */             
/* 190 */             String str3, str2 = node5.getNodeName();
/* 191 */             startElement(null, null, str2, null);
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 196 */             if (node5.hasChildNodes()) {
/*     */               
/* 198 */               str3 = node5.getFirstChild().getNodeValue();
/* 199 */               if (str3 == null)
/*     */               {
/* 201 */                 startElement(null, null, "null", null);
/*     */               
/*     */               }
/*     */             
/*     */             }
/*     */             else {
/*     */               
/* 208 */               str3 = "";
/*     */             } 
/*     */             
/* 211 */             processElement(str3);
/*     */             
/* 213 */             endElement(null, null, str2);
/*     */           } 
/*     */         } 
/*     */ 
/*     */         
/* 218 */         endElement(null, null, str1);
/*     */       } 
/*     */     } 
/*     */     
/* 222 */     endElement(null, null, "data");
/*     */     
/* 224 */     endElement(null, null, "webRowSet");
/*     */     
/* 226 */     endDocument();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\rowset\OracleWebRowSetXmlReaderDomHandler.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */