/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import java.util.Hashtable;
/*     */ import java.util.Map;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JAVA_STRUCT
/*     */   extends STRUCT
/*     */ {
/*     */   public JAVA_STRUCT(StructDescriptor paramStructDescriptor, Connection paramConnection, Object[] paramArrayOfObject) throws SQLException {
/*  60 */     super(paramStructDescriptor, paramConnection, paramArrayOfObject);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JAVA_STRUCT(StructDescriptor paramStructDescriptor, byte[] paramArrayOfbyte, Connection paramConnection) throws SQLException {
/*  79 */     super(paramStructDescriptor, paramArrayOfbyte, paramConnection);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc() throws SQLException {
/* 100 */     Map map = getInternalConnection().getJavaObjectTypeMap();
/*     */     
/* 102 */     Class clazz = null;
/*     */     
/* 104 */     if (map != null) {
/* 105 */       clazz = this.descriptor.getClass(map);
/*     */     } else {
/*     */       
/* 108 */       map = new Hashtable(10);
/*     */       
/* 110 */       getInternalConnection().setJavaObjectTypeMap(map);
/*     */     } 
/*     */     
/* 113 */     if (clazz == null) {
/*     */       
/* 115 */       String str1 = StructDescriptor.getJavaObjectClassName((Connection)getInternalConnection(), getDescriptor());
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 120 */       String str2 = getDescriptor().getSchemaName();
/*     */       
/* 122 */       if (str1 == null || str1.length() == 0)
/*     */       {
/*     */ 
/*     */ 
/*     */         
/* 127 */         DatabaseError.throwSqlException(1);
/*     */       }
/*     */ 
/*     */       
/*     */       try {
/* 132 */         clazz = getInternalConnection().classForNameAndSchema(str1, str2);
/*     */ 
/*     */ 
/*     */       
/*     */       }
/* 137 */       catch (ClassNotFoundException classNotFoundException) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 142 */         DatabaseError.throwSqlException(49, "ClassNotFoundException: " + classNotFoundException.getMessage());
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 147 */       map.put(getSQLTypeName(), clazz);
/*     */     } 
/*     */     
/* 150 */     return toClass(clazz, getMap());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object toJdbc(Map paramMap) throws SQLException {
/* 170 */     return toJdbc();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 175 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:32_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\JAVA_STRUCT.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */