/*     */ package server.admin.search;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.tableinfo.common.FddbrInfo;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ import server.tableinfo.common.StatisticSydwFfrNum;
/*     */ import server.tableinfo.common.SydwAllInfoModel;
/*     */ 
/*     */ 
/*     */ public class SearchManage
/*     */ {
/*  19 */   private MessageSender sender = null;
/*  20 */   private String operation = "SystemAdmin_Search";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  33 */     String replyxml = "";
/*  34 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  35 */         messageParameter);
/*     */     try {
/*  37 */       this.sender = new MessageSender(
/*  38 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  39 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*     */       
/*  41 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  42 */     } catch (JMSException e) {
/*  43 */       e.printStackTrace();
/*  44 */     } catch (Exception e) {
/*  45 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  48 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSYDW1(SYDWInfo si, String groupid, int searchFlag, int textFlag, PageInfo page, String sydwState) {
/*  58 */     String methodname = "searchSYDW1";
/*  59 */     String msgType = "xml";
/*  60 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  61 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/*  62 */     messageParameter.put("groupid", groupid);
/*  63 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*  64 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/*  65 */     messageParameter.put("sydwState", sydwState);
/*  66 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*  67 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/*  68 */         msgType);
/*  69 */     ArrayList al = MessageXML.XMLToList(replyxml);
/*  70 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSYDW(SYDWInfo si, String groupid, int searchFlag, int textFlag, PageInfo page) {
/*  86 */     String methodname = "searchSYDW";
/*  87 */     String msgType = "xml";
/*  88 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  89 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/*  90 */     messageParameter.put("groupid", groupid);
/*  91 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*  92 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/*  93 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*  94 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/*  95 */         msgType);
/*  96 */     ArrayList al = MessageXML.XMLToList(replyxml);
/*  97 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSYDW2(SYDWInfo si, String groupId, int searchFlag, int textFlag, PageInfo page, String sydwState, String instType) {
/* 113 */     String methodname = "searchSYDW2";
/* 114 */     String msgType = "xml";
/* 115 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 116 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/* 117 */     messageParameter.put("groupId", groupId);
/* 118 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 119 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/* 120 */     messageParameter.put("sydwState", sydwState);
/* 121 */     messageParameter.put("instType", instType);
/* 122 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 123 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 124 */         msgType);
/* 125 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 126 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwFromEs(SYDWInfo si, String groupId, String districtCode, int searchFlag, int textFlag, PageInfo page, String sydwState, String instType) {
/* 142 */     String methodname = "searchSydwFromEs";
/* 143 */     String msgType = "xml";
/* 144 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 145 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/* 146 */     messageParameter.put("groupId", groupId);
/* 147 */     messageParameter.put("districtCode", districtCode);
/* 148 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 149 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/* 150 */     messageParameter.put("sydwState", sydwState);
/* 151 */     messageParameter.put("instType", instType);
/* 152 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 153 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 154 */         msgType);
/* 155 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 156 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwHistoryName(SYDWInfo si, String groupid, int searchFlag, int textFlag, PageInfo page, String instType) {
/* 165 */     String methodname = "searchSydwHistoryName";
/* 166 */     String msgType = "xml";
/* 167 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 168 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/* 169 */     messageParameter.put("groupid", groupid);
/* 170 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 171 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/* 172 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 173 */     messageParameter.put("instType", instType);
/* 174 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 175 */         msgType);
/* 176 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 177 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SYDWInfo getSYDW(String sydwid) {
/* 187 */     String methodname = "getSYDW";
/* 188 */     String msgType = "xml";
/* 189 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 190 */     messageParameter.put("sydwid", sydwid);
/*     */     
/* 192 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 193 */         msgType);
/* 194 */     ArrayList<SYDWInfo> al = MessageXML.XMLToList(replyxml);
/* 195 */     if (al.size() == 0) {
/* 196 */       return null;
/*     */     }
/* 198 */     return al.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAllSYDW(SYDWInfo si, String groupid, int searchFlag, int textFlag) {
/* 212 */     String methodname = "getAllSYDW";
/* 213 */     String msgType = "xml";
/* 214 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 215 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/* 216 */     messageParameter.put("groupid", groupid);
/* 217 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 218 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/*     */     
/* 220 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 221 */         msgType);
/*     */     
/* 223 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FddbrInfo getFddbr(String sydwID) {
/* 233 */     String methodname = "getFddbr";
/* 234 */     String msgType = "xml";
/* 235 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 236 */     messageParameter.put("sydwID", sydwID);
/*     */     
/* 238 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 239 */         msgType);
/* 240 */     ArrayList<FddbrInfo> al = MessageXML.XMLToList(replyxml);
/* 241 */     if (al.size() == 0) {
/* 242 */       return null;
/*     */     }
/* 244 */     return al.get(0);
/*     */   }
/*     */   
/*     */   public ArrayList getAlterations(String sydwID) {
/* 248 */     String methodname = "getAlterations";
/* 249 */     String msgType = "xml";
/* 250 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 251 */     messageParameter.put("sydwID", sydwID);
/*     */     
/* 253 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 254 */         msgType);
/*     */     
/* 256 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getReissues(String sydwID) {
/* 266 */     String methodname = "getReissues";
/* 267 */     String msgType = "xml";
/* 268 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 269 */     messageParameter.put("sydwID", sydwID);
/*     */     
/* 271 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 272 */         msgType);
/*     */     
/* 274 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getWritenoffs(String sydwID) {
/* 284 */     String methodname = "getWritenoffs";
/* 285 */     String msgType = "xml";
/* 286 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 287 */     messageParameter.put("sydwID", sydwID);
/*     */     
/* 289 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 290 */         msgType);
/*     */     
/* 292 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnuals(String sydwID) {
/* 302 */     String methodname = "getAnnuals";
/* 303 */     String msgType = "xml";
/* 304 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 305 */     messageParameter.put("sydwID", sydwID);
/*     */     
/* 307 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 308 */         msgType);
/*     */     
/* 310 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSubGLJG(String groupid) {
/* 320 */     String methodname = "getSubGLJG";
/* 321 */     String msgType = "xml";
/* 322 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 323 */     messageParameter.put("groupid", groupid);
/*     */     
/* 325 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 326 */         msgType);
/*     */     
/* 328 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchByCombine(String sql, String groupid, int searchFlag, PageInfo page) {
/* 343 */     String methodname = "searchByCombine";
/* 344 */     String msgType = "xml";
/* 345 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 346 */     messageParameter.put("sql", sql);
/* 347 */     messageParameter.put("groupid", groupid);
/* 348 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 349 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 350 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 351 */         msgType);
/* 352 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 353 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SydwAllInfoModel searchSydwDetailInfo(String sydwCode, boolean bFddbrInfo, boolean bAlter, boolean bAnnualCheck, boolean bReIssue, boolean bLogout) {
/* 370 */     String methodname = "searchSydwDetailInfo";
/* 371 */     String msgType = "xml";
/* 372 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 373 */     messageParameter.put("sydwCode", sydwCode);
/* 374 */     messageParameter.put("bFddbrInfo", Boolean.valueOf(bFddbrInfo));
/* 375 */     messageParameter.put("bAlter", Boolean.valueOf(bAlter));
/* 376 */     messageParameter.put("bAnnualCheck", Boolean.valueOf(bAnnualCheck));
/* 377 */     messageParameter.put("bReIssue", Boolean.valueOf(bReIssue));
/* 378 */     messageParameter.put("bLogout", Boolean.valueOf(bLogout));
/*     */     
/* 380 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 381 */         msgType);
/*     */     
/* 383 */     ArrayList<SydwAllInfoModel> al = MessageXML.XMLToList(replyxml);
/* 384 */     if (al.size() == 0) {
/* 385 */       return null;
/*     */     }
/* 387 */     return al.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSydwInfo(String groupid, int startNo, int maxCount, String searchStr, String searchFiled, String searchType) {
/* 393 */     String methodname = "getSydwInfo";
/* 394 */     String msgType = "xml";
/* 395 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 396 */     String replyxml = null;
/* 397 */     ArrayList result = new ArrayList();
/* 398 */     messageParameter.put("groupid", groupid);
/* 399 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 400 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 401 */     messageParameter.put("searchStr", searchStr);
/* 402 */     messageParameter.put("searchFiled", searchFiled);
/* 403 */     messageParameter.put("searchType", searchType);
/* 404 */     messageParameter.put("district_code", GljgUserInfo.getInstance().getDistrictcode());
/* 405 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 406 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 408 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSydwWriteOffInfo(String groupid, int startNo, int maxCount, String searchStr, String searchFiled, String searchType) {
/* 424 */     String methodname = "getSydwWriteOffInfo";
/* 425 */     String msgType = "xml";
/* 426 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 427 */     String replyxml = null;
/* 428 */     ArrayList result = new ArrayList();
/* 429 */     messageParameter.put("groupid", groupid);
/* 430 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 431 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 432 */     messageParameter.put("searchStr", searchStr);
/* 433 */     messageParameter.put("searchFiled", searchFiled);
/* 434 */     messageParameter.put("searchType", searchType);
/* 435 */     messageParameter.put("district_code", GljgUserInfo.getInstance().getDistrictcode());
/* 436 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 437 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 439 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchFfr(SYDWInfo si, int type, String groupid, int searchFlag, int textFlag, PageInfo page, String startTime, String endTime, String ffrState) {
/* 447 */     String methodname = "searchFfr";
/* 448 */     String msgType = "xml";
/* 449 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 450 */     messageParameter.put("type", String.valueOf(type));
/* 451 */     messageParameter.put("groupid", groupid);
/* 452 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 453 */     messageParameter.put("textFlag", Integer.valueOf(textFlag));
/* 454 */     messageParameter.put("startTime", startTime);
/* 455 */     messageParameter.put("endTime", endTime);
/* 456 */     messageParameter.put("ffrState", ffrState);
/* 457 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 458 */     messageParameter.put("SYDWInfo", MessageXML.getReplyXML(si));
/* 459 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 460 */         msgType);
/* 461 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 462 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SYDWInfo specficSYDW(String searchText, String searchType) {
/* 469 */     String methodname = "specficSYDW";
/* 470 */     String msgType = "xml";
/* 471 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 472 */     messageParameter.put("searchText", searchText);
/* 473 */     messageParameter.put("searchType", searchType);
/*     */     
/* 475 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 476 */         msgType);
/* 477 */     ArrayList<SYDWInfo> al = MessageXML.XMLToList(replyxml);
/* 478 */     if (al.size() == 0) {
/* 479 */       return null;
/*     */     }
/* 481 */     return al.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchPrintUnify(String stime, String etime, String groupid, int searchFlag, int sendFlag, PageInfo page) {
/* 498 */     String methodname = "searchPrintUnify";
/* 499 */     String msgType = "xml";
/* 500 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 501 */     messageParameter.put("stime", stime);
/* 502 */     messageParameter.put("etime", etime);
/* 503 */     messageParameter.put("groupid", groupid);
/* 504 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 505 */     messageParameter.put("sendFlag", Integer.valueOf(sendFlag));
/* 506 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 507 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 508 */         msgType);
/* 509 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 510 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String statisticPrintUnify(String stime, String etime, String groupid, int searchFlag, int sendFlag) {
/* 524 */     String methodname = "statisticPrintUnify";
/* 525 */     String msgType = "short";
/* 526 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 527 */     messageParameter.put("stime", stime);
/* 528 */     messageParameter.put("etime", etime);
/* 529 */     messageParameter.put("groupid", groupid);
/* 530 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 531 */     messageParameter.put("sendFlag", Integer.valueOf(sendFlag));
/* 532 */     String replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 534 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwJianCha(String stime, String etime, String groupid, int searchFlag, String type, PageInfo page) {
/* 549 */     String methodname = "searchSydwJianCha";
/* 550 */     String msgType = "xml";
/* 551 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 552 */     messageParameter.put("stime", stime);
/* 553 */     messageParameter.put("etime", etime);
/* 554 */     messageParameter.put("groupid", groupid);
/* 555 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 556 */     messageParameter.put("type", type);
/* 557 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 558 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 559 */         msgType);
/* 560 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 561 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countAllSydwFRData(String groupid, int searchFlag, String endDate) {
/* 572 */     String methodname = "countAllSydwFRData";
/* 573 */     String msgType = "xml";
/* 574 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 575 */     messageParameter.put("groupid", groupid);
/* 576 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 577 */     messageParameter.put("endDate", endDate);
/* 578 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 579 */         msgType);
/* 580 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 581 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countAllDqjgData(String groupid, int searchFlag, String endDate) {
/* 592 */     String methodname = "countAllDqjgData";
/* 593 */     String msgType = "xml";
/* 594 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 595 */     messageParameter.put("groupid", groupid);
/* 596 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 597 */     messageParameter.put("endDate", endDate);
/* 598 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 599 */         msgType);
/* 600 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 601 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StatisticSydwFfrNum getStatisticFfrByGroupId(String groupId, String ffrState) {
/* 611 */     String methodname = "getStatisticFfrByGroupId";
/* 612 */     String msgType = "xml";
/* 613 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 614 */     messageParameter.put("groupId", groupId);
/* 615 */     messageParameter.put("ffrState", ffrState);
/*     */     
/* 617 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 618 */         msgType);
/* 619 */     ArrayList<StatisticSydwFfrNum> al = MessageXML.XMLToList(replyxml);
/* 620 */     if (al.size() == 0) {
/* 621 */       return null;
/*     */     }
/* 623 */     return al.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateStatisticSydwFfrNum(StatisticSydwFfrNum ssf) {
/* 633 */     String methodname = "updateStatisticSydwFfrNum";
/* 634 */     String msgType = "short";
/* 635 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 636 */     String replyxml = null;
/*     */     
/* 638 */     messageParameter.put("ssf", MessageXML.getReplyXML(ssf));
/* 639 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 641 */     int i = -2;
/*     */     try {
/* 643 */       i = Integer.valueOf(replyxml).intValue();
/* 644 */     } catch (Exception e) {
/* 645 */       e.printStackTrace();
/*     */     } 
/* 647 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList countSydwOrFfrData(String groupid, String searchType, String endDate) {
/* 658 */     String methodname = "countSydwOrFfrData";
/* 659 */     String msgType = "xml";
/* 660 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 661 */     messageParameter.put("groupid", groupid);
/* 662 */     messageParameter.put("searchType", searchType);
/* 663 */     messageParameter.put("endDate", endDate);
/* 664 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 665 */         msgType);
/* 666 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 667 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSydwALterLog(String groupId, String districtCode, int startNo, int maxCount, String unitName) {
/* 682 */     ArrayList result = new ArrayList();
/* 683 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 684 */     messageParameter.put("districtCode", districtCode);
/* 685 */     messageParameter.put("groupId", groupId);
/* 686 */     messageParameter.put("unitName", unitName);
/* 687 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 688 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 689 */     String messagexml = MessageXML.MessageToXML(this.operation, "searchSydwHistoryName", messageParameter);
/*     */     try {
/* 691 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 692 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 693 */       String replyxml = this.sender.sendMessage(messagexml, "xml");
/* 694 */       result = MessageXML.XMLToList(replyxml);
/* 695 */     } catch (JMSException e) {
/* 696 */       e.printStackTrace();
/*     */     }
/* 698 */     catch (Exception e) {
/* 699 */       e.printStackTrace();
/*     */     } 
/* 701 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchHylbInfo(String groupid, int searchFlag) {
/* 716 */     String methodname = "searchHylbInfo";
/* 717 */     String msgType = "xml";
/* 718 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 719 */     messageParameter.put("groupid", groupid);
/* 720 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 721 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 722 */         msgType);
/* 723 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 724 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCgjgInfo(String groupid, int searchFlag, String sydwJglb, String tableName, String scope) {
/* 736 */     String methodname = "searchCgjgInfo";
/* 737 */     String msgType = "xml";
/* 738 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 739 */     messageParameter.put("groupid", groupid);
/* 740 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 741 */     messageParameter.put("sydwJglb", sydwJglb);
/* 742 */     messageParameter.put("tableName", tableName);
/* 743 */     messageParameter.put("scope", scope);
/* 744 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 745 */         msgType);
/* 746 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 747 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCgjgCode(String sydwJglb) {
/* 759 */     String methodname = "searchCgjgCode";
/* 760 */     String msgType = "xml";
/* 761 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 762 */     messageParameter.put("sydwJglb", sydwJglb);
/* 763 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 764 */         msgType);
/* 765 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 766 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCommonSydwInfoList(String tableName, String condition, int startNo, int maxCount) {
/* 779 */     String methodname = "searchCommonSydwInfoList";
/* 780 */     String msgType = "xml";
/* 781 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 782 */     messageParameter.put("tableName", tableName);
/* 783 */     messageParameter.put("condition", condition);
/* 784 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 785 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 786 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 787 */         msgType);
/* 788 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 789 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchCommonSydwInfoExcel(String tableName, String condition) {
/* 799 */     String methodname = "searchCommonSydwInfoExcel";
/* 800 */     String msgType = "xml";
/* 801 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 802 */     messageParameter.put("tableName", tableName);
/* 803 */     messageParameter.put("condition", condition);
/* 804 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 805 */         msgType);
/* 806 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 807 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList amountAllFRData(String groupid, String endDate) {
/* 818 */     String methodname = "amountAllFRData";
/* 819 */     String msgType = "xml";
/* 820 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 821 */     messageParameter.put("groupid", groupid);
/* 822 */     messageParameter.put("endDate", endDate);
/* 823 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 824 */         msgType);
/* 825 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 826 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchSydwHistoryNameList(String groupId, String sydwName, String unifyCode, int startNo, int maxCount) {
/* 841 */     String methodname = "searchSydwHistoryNameList";
/* 842 */     String msgType = "xml";
/* 843 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*     */     
/* 845 */     messageParameter.put("sydwName", sydwName);
/* 846 */     messageParameter.put("unifyCode", unifyCode);
/* 847 */     messageParameter.put("groupId", groupId);
/* 848 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 849 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*     */     
/* 851 */     String replyxml = getData(this.operation, methodname, messageParameter, 
/* 852 */         msgType);
/* 853 */     ArrayList al = MessageXML.XMLToList(replyxml);
/* 854 */     return al;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\admin\search\SearchManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */