/*    */ package server.sydj.sysmanage.presaveceti;
/*    */ 
/*    */ import cs.sydj.messageTrans.MessageSender;
/*    */ import cs.sydj.sys.messageconf.MessageProxy;
/*    */ import cs.sydj.util.messageutil.MessageXML;
/*    */ import java.util.ArrayList;
/*    */ import java.util.HashMap;
/*    */ import javax.jms.JMSException;
/*    */ 
/*    */ 
/*    */ 
/*    */ public class PreSaveCetiManage
/*    */ {
/* 14 */   private MessageSender sender = null;
/*    */ 
/*    */   
/*    */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 18 */     String replyxml = "";
/* 19 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 20 */         messageParameter);
/*    */     try {
/* 22 */       this.sender = new MessageSender(
/* 23 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 24 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 25 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 26 */     } catch (JMSException e) {
/* 27 */       e.printStackTrace();
/* 28 */     } catch (Exception e) {
/* 29 */       e.printStackTrace();
/*    */     } 
/* 31 */     return replyxml;
/*    */   }
/*    */   
/*    */   public ArrayList getAllSaveCeti(String groupid) {
/* 35 */     String operation = "SystemManage_PerSaveCetiManage";
/* 36 */     String methodname = "getAllSaveCeti";
/* 37 */     String msgType = "xml";
/* 38 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 39 */     String replyxml = null;
/* 40 */     messageParameter.put("districtcode", groupid);
/* 41 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 42 */     ArrayList result = new ArrayList();
/* 43 */     result = MessageXML.XMLToList(replyxml);
/* 44 */     return result;
/*    */   }
/*    */   
/*    */   public ArrayList searchSaveCeti(PreSaveCetiInfo sc) {
/* 48 */     String operation = "SystemManage_PerSaveCetiManage";
/* 49 */     String methodname = "searchSaveCeti";
/* 50 */     String msgType = "xml";
/* 51 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 52 */     String replyxml = null;
/* 53 */     messageParameter.put("preSaveCetiInfo", MessageXML.getReplyXML(sc));
/* 54 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 55 */     ArrayList result = new ArrayList();
/* 56 */     result = MessageXML.XMLToList(replyxml);
/* 57 */     return result;
/*    */   }
/*    */   
/*    */   public int deleteCeti(String id) {
/* 61 */     String operation = "SystemManage_PerSaveCetiManage";
/* 62 */     String methodname = "deleteCeti";
/* 63 */     String msgType = "short";
/* 64 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 65 */     String replyxml = null;
/* 66 */     messageParameter.put("id", id);
/* 67 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*    */     
/* 69 */     int i = -2;
/*    */     try {
/* 71 */       i = Integer.valueOf(replyxml).intValue();
/* 72 */     } catch (Exception e) {
/* 73 */       e.printStackTrace();
/*    */     } 
/* 75 */     return i;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public int addCeti(PreSaveCetiInfo sc) {
/* 85 */     String operation = "SystemManage_PerSaveCetiManage";
/* 86 */     String methodname = "addCeti";
/* 87 */     String msgType = "short";
/* 88 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 89 */     String replyxml = null;
/* 90 */     messageParameter.put("preSaveCetiInfo", MessageXML.getReplyXML(sc));
/* 91 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*    */     
/* 93 */     int i = -2;
/*    */     try {
/* 95 */       i = Integer.valueOf(replyxml).intValue();
/* 96 */     } catch (Exception e) {
/* 97 */       e.printStackTrace();
/*    */     } 
/* 99 */     return i;
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\presaveceti\PreSaveCetiManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */