/*     */ package server.sydj.sysmanage.zgdw;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ZgdwUserInfoManage
/*     */ {
/*  22 */   private MessageSender sender = null;
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  26 */     String replyxml = "";
/*  27 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  28 */         messageParameter);
/*     */     try {
/*  30 */       this.sender = new MessageSender(
/*  31 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  32 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  33 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  34 */     } catch (JMSException e) {
/*  35 */       e.printStackTrace();
/*  36 */     } catch (Exception e) {
/*  37 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  40 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addZgdwUser(ZgdwUserInfo zui) {
/*  52 */     String operation = "SystemManage_ZgdwUserManage";
/*  53 */     String methodname = "addZgdwUser";
/*  54 */     String msgType = "short";
/*  55 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  56 */     String replyxml = null;
/*  57 */     messageParameter.put("user", MessageXML.getReplyXML(zui));
/*  58 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  60 */     int i = -2;
/*     */     try {
/*  62 */       i = Integer.valueOf(replyxml).intValue();
/*  63 */     } catch (Exception e) {
/*  64 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  67 */     return i;
/*     */   }
/*     */   
/*     */   public String searchZgdwUserName(String name, String groupId) {
/*  71 */     String operation = "SystemManage_ZgdwUserManage";
/*  72 */     String methodname = "searchZgdwUserName";
/*  73 */     String msgType = "short";
/*  74 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  75 */     String replyxml = null;
/*  76 */     messageParameter.put("groupId", groupId);
/*  77 */     messageParameter.put("name", name);
/*  78 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  80 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteZgdwUser(String userId) {
/*  91 */     String operation = "SystemManage_ZgdwUserManage";
/*  92 */     String methodname = "deleteZgdwUser";
/*  93 */     String msgType = "short";
/*  94 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  95 */     String replyxml = null;
/*  96 */     messageParameter.put("userId", userId);
/*  97 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  99 */     int i = -2;
/*     */     try {
/* 101 */       i = Integer.valueOf(replyxml).intValue();
/* 102 */     } catch (Exception e) {
/* 103 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 106 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateZgdwUser(ZgdwUserInfo zui) {
/* 118 */     String operation = "SystemManage_ZgdwUserManage";
/* 119 */     String methodname = "updateZgdwUser";
/* 120 */     String msgType = "short";
/* 121 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 122 */     String replyxml = null;
/* 123 */     messageParameter.put("user", MessageXML.getReplyXML(zui));
/* 124 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 126 */     int i = -2;
/*     */     try {
/* 128 */       i = Integer.valueOf(replyxml).intValue();
/* 129 */     } catch (Exception e) {
/* 130 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 133 */     return i;
/*     */   }
/*     */   
/*     */   public ZgdwUserInfo getZgdwUser(String id) {
/* 137 */     String operation = "SystemManage_ZgdwUserManage";
/* 138 */     String methodname = "getZgdwUser";
/* 139 */     String msgType = "xml";
/* 140 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 141 */     String replyxml = null;
/*     */     
/* 143 */     messageParameter.put("userId", id);
/* 144 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 145 */     ArrayList<ZgdwUserInfo> result = new ArrayList();
/* 146 */     result = MessageXML.XMLToList(replyxml);
/* 147 */     if (result.isEmpty())
/* 148 */       return null; 
/* 149 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkZgdwUserExist(String zgdwId) {
/* 161 */     String operation = "SystemManage_ZgdwUserManage";
/* 162 */     String methodname = "checkZgdwUserExist";
/* 163 */     String msgType = "short";
/* 164 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 165 */     String replyxml = null;
/* 166 */     messageParameter.put("zgdwId", zgdwId);
/* 167 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 169 */     int i = -2;
/*     */     try {
/* 171 */       i = Integer.valueOf(replyxml).intValue();
/* 172 */     } catch (Exception e) {
/* 173 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 176 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\zgdw\ZgdwUserInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */