/*     */ package cs.admin.ab.query;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.ab.manage.AddressBookLableProvider;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.sysmanage.deptmanage.SysDeptManageController;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.List;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.AddressBook;
/*     */ import server.sydj.sysmanage.gljg.GLJGInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AddressBookQueryView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.admin.ab.query.AddressBookQueryView";
/*  59 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  60 */   private SysDeptManageController sumController = new SysDeptManageController(this.user);
/*     */   private TreeViewer treeview;
/*  62 */   private WithinputDataManage dataManage = new WithinputDataManage();
/*     */   
/*  64 */   private TreeViewerLableProvider tvlabelP = new TreeViewerLableProvider();
/*  65 */   private TreeViewerGLJGProviderFromView tvcontentP = new TreeViewerGLJGProviderFromView();
/*  66 */   private Shell shell = null;
/*  67 */   private Composite comp = null;
/*  68 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private Text text_2;
/*     */   private Text text;
/*     */   private List list;
/*     */   private Tree tree_1;
/*  74 */   private ArrayList listAb = new ArrayList();
/*  75 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Group groupCheck;
/*     */   private Label label_12;
/*     */   private Composite composite;
/*  84 */   int totalRows = 0;
/*  85 */   int maxCount = 15;
/*  86 */   int startNo = 1;
/*  87 */   int currentPage = 1;
/*  88 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   
/*     */   boolean hasPreviousPage = false;
/*     */   Table table;
/*     */   TableViewer tableViewer;
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  99 */     this.comp = arg0;
/* 100 */     this.shell = arg0.getShell();
/* 101 */     arg0.setBackgroundMode(1);
/* 102 */     arg0.setBackground(Display.getCurrent()
/* 103 */         .getSystemColor(1));
/* 104 */     GridLayout gridLayout = new GridLayout();
/* 105 */     gridLayout.marginTop = 10;
/* 106 */     gridLayout.marginRight = 35;
/* 107 */     gridLayout.marginLeft = 35;
/* 108 */     gridLayout.numColumns = 2;
/* 109 */     gridLayout.verticalSpacing = 2;
/* 110 */     gridLayout.marginBottom = 10;
/* 111 */     arg0.setLayout((Layout)gridLayout);
/* 112 */     FormData fd_list = new FormData();
/* 113 */     fd_list.bottom = new FormAttachment(0, 65);
/* 114 */     fd_list.left = new FormAttachment(0, 14);
/* 115 */     fd_list.right = new FormAttachment(0, 470);
/* 116 */     fd_list.top = new FormAttachment(0, 5);
/*     */     
/* 118 */     Label label = new Label(arg0, 16777280);
/* 119 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 120 */     GridData gd_label = new GridData(16384, 16777216, true, 
/* 121 */         false, 2, 1);
/* 122 */     label.setLayoutData(gd_label);
/* 123 */     label.setText("登记管理机关列表");
/*     */     
/* 125 */     Label label_1 = new Label(arg0, 258);
/* 126 */     label_1.setLayoutData(new GridData(4, 16777216, false, false, 2, 1));
/*     */     
/* 128 */     this.text = new Text(arg0, 2048);
/* 129 */     this.text.setTextLimit(500);
/* 130 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 131 */         false);
/* 132 */     gd_text.widthHint = 280;
/* 133 */     this.text.setLayoutData(gd_text);
/*     */     
/* 135 */     Button button = new Button(arg0, 0);
/* 136 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 138 */             if (AddressBookQueryView.this.text.getText() != null && AddressBookQueryView.this.text.getText().trim().length() > 0) {
/* 139 */               AddressBookQueryView.this.initList(AddressBookQueryView.this.sumController.searchDeptNameFromView(AddressBookQueryView.this.text.getText().trim()));
/*     */             } else {
/* 141 */               AddressBookQueryView.this.text.setText("");
/*     */             }  }
/*     */         });
/* 144 */     button.setLayoutData(new GridData());
/* 145 */     button.setText("查询");
/*     */     
/* 147 */     this.list = new List(arg0, 2560);
/* 148 */     this.list.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 150 */             AddressBookQueryView.this.initGroupCheck("100000");
/*     */           }
/*     */         });
/* 153 */     GridData gd_list = new GridData(4, 4, true, false, 2, 1);
/* 154 */     gd_list.widthHint = 100;
/* 155 */     gd_list.heightHint = 30;
/* 156 */     this.list.setLayoutData(gd_list);
/*     */     
/* 158 */     Composite composite_6 = new Composite(arg0, 0);
/* 159 */     GridData gd_composite_6 = new GridData(4, 128, true, false, 2, 1);
/* 160 */     gd_composite_6.heightHint = 530;
/* 161 */     composite_6.setLayoutData(gd_composite_6);
/* 162 */     composite_6.setLayout((Layout)new FormLayout());
/*     */     
/* 164 */     this.treeview = new TreeViewer(composite_6, 2048);
/* 165 */     this.tree_1 = this.treeview.getTree();
/* 166 */     FormData fd_tree_1 = new FormData();
/* 167 */     fd_tree_1.bottom = new FormAttachment(100, 0);
/* 168 */     fd_tree_1.right = new FormAttachment(45, 0);
/* 169 */     fd_tree_1.top = new FormAttachment(0, 0);
/* 170 */     fd_tree_1.left = new FormAttachment(0, 0);
/* 171 */     this.tree_1.setLayoutData(fd_tree_1);
/* 172 */     this.tree_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 174 */             InfoEntity select = null;
/* 175 */             IStructuredSelection i = (IStructuredSelection)AddressBookQueryView.this.treeview.getSelection();
/* 176 */             AddressBookQueryView.this.stackLayout.topControl = (Control)AddressBookQueryView.this.groupCheck;
/* 177 */             if (i != null) {
/* 178 */               select = (InfoEntity)i.getFirstElement();
/* 179 */               AddressBookQueryView.this.listAb = AddressBookQueryView.this.dataManage.getAddressBookList(select.getDistrictCode(), AddressBookQueryView.this.startNo, AddressBookQueryView.this.maxCount);
/* 180 */               AddressBookQueryView.this.tableViewer.setInput(AddressBookQueryView.this.listAb);
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 185 */     this.composite = new Composite(composite_6, 0);
/* 186 */     FormData fd_composite = new FormData();
/* 187 */     fd_composite.bottom = new FormAttachment((Control)this.tree_1, 0, 1024);
/* 188 */     fd_composite.top = new FormAttachment((Control)this.tree_1, 0, 128);
/* 189 */     fd_composite.right = new FormAttachment(100, 0);
/* 190 */     fd_composite.left = new FormAttachment((Control)this.tree_1, 5, 131072);
/* 191 */     this.composite.setLayoutData(fd_composite);
/* 192 */     this.composite.setBackgroundMode(2);
/* 193 */     this.composite.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 194 */     this.composite.setLayout((Layout)this.stackLayout);
/*     */     
/* 196 */     initUI();
/* 197 */     initData();
/*     */   }
/*     */   
/*     */   private void initData() {
/* 201 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 202 */     this.treeview.setInput(this.sumController.creatRootFromView());
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 206 */     initializeToolBar();
/* 207 */     initList(new ArrayList<GLJGInfo>());
/* 208 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/* 209 */     initGroupCheck(this.user.getDistrictcode());
/*     */   }
/*     */   
/*     */   private void initGroupCheck(String selectedDistrictCode) {
/* 213 */     this.districtCode = selectedDistrictCode;
/*     */     
/* 215 */     this.groupCheck = new Group(this.composite, 0);
/* 216 */     GridLayout gridLayout_1 = new GridLayout();
/* 217 */     gridLayout_1.marginWidth = 1;
/* 218 */     gridLayout_1.verticalSpacing = 1;
/* 219 */     gridLayout_1.horizontalSpacing = 1;
/* 220 */     gridLayout_1.numColumns = 2;
/* 221 */     this.groupCheck.setLayout((Layout)gridLayout_1);
/* 222 */     this.groupCheck.setText("查看登记管理机关通讯录");
/*     */     
/* 224 */     this.composite_total = new Composite((Composite)this.groupCheck, 0);
/* 225 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 226 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 227 */     this.composite_total.setSize(800, 600);
/*     */     
/* 229 */     Composite composite = new Composite(this.composite_total, 0);
/* 230 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 232 */     FormData fd_composite = new FormData();
/* 233 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 234 */     fd_composite.top = new FormAttachment(0, 20);
/* 235 */     composite.setLayoutData(fd_composite);
/* 236 */     GridLayout gridLayout = new GridLayout();
/* 237 */     gridLayout.numColumns = 3;
/* 238 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 240 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 241 */     this.table = this.tableViewer.getTable();
/* 242 */     FormData fd_table = new FormData();
/*     */     
/* 244 */     fd_table.bottom = new FormAttachment(0, 439);
/* 245 */     fd_table.right = new FormAttachment(0, 750);
/* 246 */     fd_table.top = new FormAttachment(0, 5);
/* 247 */     fd_table.left = new FormAttachment(0, 10);
/* 248 */     this.table.setLayoutData(fd_table);
/* 249 */     this.table.setLinesVisible(true);
/* 250 */     this.table.setHeaderVisible(true);
/* 251 */     PublicUtil.setTableHeight(this.table);
/*     */     
/* 253 */     this.tableLayout = new TableLayout();
/* 254 */     this.table.setLayout((Layout)this.tableLayout);
/* 255 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(4));
/* 256 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 257 */     newColumnTableColumn.setAlignment(16777216);
/* 258 */     newColumnTableColumn.setText("序号");
/*     */     
/* 260 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(15));
/* 261 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 262 */     newColumnTableColumn_1.setText("姓名");
/*     */     
/* 264 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 265 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 16777216);
/* 266 */     newColumnTableColumn_8.setText("职务");
/*     */     
/* 268 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 269 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 270 */     newColumnTableColumn_2.setText("办公电话");
/*     */     
/* 272 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 273 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 274 */     newColumnTableColumn_3.setText("手机");
/*     */     
/* 276 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 277 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 278 */     newColumnTableColumn_5.setText("传真");
/*     */     
/* 280 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 281 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 282 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 284 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 285 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 287 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 288 */     composite_3.setLayoutData(fd_composite_3);
/* 289 */     GridLayout gridLayout_3 = new GridLayout();
/* 290 */     gridLayout_3.numColumns = 5;
/* 291 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 299 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 300 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AddressBookLableProvider());
/*     */ 
/*     */     
/* 303 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 304 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 305 */     GridLayout gridLayout_4 = new GridLayout();
/* 306 */     gridLayout_4.numColumns = 2;
/* 307 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 308 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 309 */     FormData fd_composite_fenye = new FormData();
/* 310 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 311 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 312 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 313 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 314 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 316 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 317 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 318 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 319 */     GridLayout gridLayout_2 = new GridLayout();
/* 320 */     gridLayout_2.marginTop = 3;
/* 321 */     gridLayout_2.verticalSpacing = 0;
/* 322 */     gridLayout_2.marginWidth = 0;
/* 323 */     gridLayout_2.marginHeight = 0;
/* 324 */     gridLayout_2.horizontalSpacing = 2;
/* 325 */     gridLayout_2.numColumns = 7;
/* 326 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 328 */     Label label_1 = new Label(composite_1, 0);
/* 329 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 330 */     label_1.setText("页次：");
/*     */     
/* 332 */     this.label_2 = new Label(composite_1, 131072);
/* 333 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 334 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 335 */     if (this.totalPages == 0) {
/* 336 */       this.label_2.setText("0/0");
/*     */     } else {
/* 338 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 341 */     Label label_3 = new Label(composite_1, 0);
/* 342 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 343 */     label_3.setText("页  每页");
/*     */     
/* 345 */     Label label_4 = new Label(composite_1, 0);
/* 346 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 347 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 348 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 350 */     Label label_5 = new Label(composite_1, 0);
/* 351 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 352 */     label_5.setText("行  共");
/*     */     
/* 354 */     this.label_6 = new Label(composite_1, 0);
/* 355 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 356 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 357 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 359 */     Label label_7 = new Label(composite_1, 0);
/* 360 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 361 */     label_7.setText("行");
/*     */ 
/*     */     
/* 364 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 365 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 366 */     GridLayout gridLayout_11 = new GridLayout();
/* 367 */     gridLayout_11.numColumns = 6;
/* 368 */     composite_2.setLayout((Layout)gridLayout_11);
/* 369 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 371 */     this.button_1 = new Button(composite_2, 0);
/* 372 */     this.button_1.setText("上一页");
/* 373 */     if (!this.hasPreviousPage) {
/* 374 */       this.button_1.setEnabled(false);
/*     */     }
/* 376 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 378 */             AddressBookQueryView.this.listAb = AddressBookQueryView.this.dataManage.getAddressBookList(AddressBookQueryView.this.districtCode, (AddressBookQueryView.this.currentPage - 2) * AddressBookQueryView.this.maxCount + 1, AddressBookQueryView.this.maxCount);
/* 379 */             AddressBookQueryView.this.setFenYe(AddressBookQueryView.this.listAb, AddressBookQueryView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 383 */     this.button_2 = new Button(composite_2, 0);
/* 384 */     this.button_2.setText("下一页");
/* 385 */     if (!this.hasNextPage) {
/* 386 */       this.button_2.setEnabled(false);
/*     */     }
/* 388 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 390 */             AddressBookQueryView.this.listAb = AddressBookQueryView.this.dataManage.getAddressBookList(AddressBookQueryView.this.districtCode, AddressBookQueryView.this.currentPage * AddressBookQueryView.this.maxCount + 1, AddressBookQueryView.this.maxCount);
/* 391 */             AddressBookQueryView.this.setFenYe(AddressBookQueryView.this.listAb, AddressBookQueryView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 395 */     Label label_10 = new Label(composite_2, 0);
/* 396 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 397 */     label_10.setText("转至第");
/*     */     
/* 399 */     this.text_2 = new Text(composite_2, 2048);
/* 400 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 402 */     Label label_11 = new Label(composite_2, 0);
/* 403 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 404 */     label_11.setText("页");
/*     */     
/* 406 */     Button goButton = new Button(composite_2, 0);
/* 407 */     goButton.setText("GO");
/*     */     
/* 409 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 411 */             if (VerifyFunction.isNumeric(AddressBookQueryView.this.text_2.getText())) {
/* 412 */               int aa = Integer.parseInt(AddressBookQueryView.this.text_2.getText());
/* 413 */               if (aa > AddressBookQueryView.this.totalPages) {
/* 414 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 416 */                 AddressBookQueryView.this.listAb = AddressBookQueryView.this.dataManage.getAddressBookList(AddressBookQueryView.this.districtCode, (aa - 1) * AddressBookQueryView.this.maxCount + 1, AddressBookQueryView.this.maxCount);
/* 417 */                 AddressBookQueryView.this.setFenYe(AddressBookQueryView.this.listAb, aa);
/*     */               } 
/*     */             } else {
/* 420 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 425 */     this.listAb = this.dataManage.getAddressBookList(this.districtCode, this.startNo, this.maxCount);
/* 426 */     this.tableViewer.setInput(this.listAb);
/* 427 */     if (this.listAb != null && this.listAb.size() > 0) {
/* 428 */       this.totalRows = ((AddressBook)this.listAb.get(0)).getTotalRows();
/* 429 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 430 */       this.totalPages = pu.getTotalPages();
/* 431 */       this.currentPage = pu.getCurrentPage();
/* 432 */       this.hasNextPage = pu.isHasNextPage();
/* 433 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 435 */       setFenYe(this.listAb, this.currentPage);
/*     */     } 
/*     */     
/* 438 */     this.stackLayout.topControl = (Control)this.groupCheck;
/* 439 */     composite.layout();
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<AddressBook> listData, int nextcurrentPage) {
/* 443 */     this.totalRows = 0;
/* 444 */     if (listData != null && listData.size() > 0) {
/* 445 */       this.totalRows = ((AddressBook)listData.get(0)).getTotalRows();
/*     */     }
/* 447 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 448 */     this.totalPages = pu.getTotalPages();
/* 449 */     this.currentPage = pu.getCurrentPage();
/* 450 */     this.hasNextPage = pu.isHasNextPage();
/* 451 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 452 */     this.startNo = pu.getStartNum();
/*     */     
/* 454 */     this.tableViewer.setInput(listData);
/* 455 */     if (this.totalPages == 0) {
/* 456 */       this.label_2.setText("0/0");
/*     */     } else {
/* 458 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 460 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 461 */     this.label_6.getParent().getParent().layout();
/* 462 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 463 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */   
/*     */   private void initList(ArrayList<GLJGInfo> results) {
/* 467 */     this.text.setText("");
/* 468 */     this.list.removeAll();
/* 469 */     String groupname = GljgUserInfo.getInstance().getGroupname();
/* 470 */     if (this.user.getDistrictcode().equals("100000"))
/* 471 */       groupname = "国家事业单位登记管理局"; 
/* 472 */     for (GLJGInfo g : results) {
/* 473 */       String temp = g.getSearchResult(groupname);
/* 474 */       this.list.add(temp);
/* 475 */       this.list.setData(temp, g.getGROUP_ID());
/*     */     } 
/* 477 */     GridData gdlist = (GridData)this.list.getLayoutData();
/* 478 */     switch (results.size()) {
/*     */       case 0:
/* 480 */         this.list.setVisible(false);
/* 481 */         gdlist.heightHint = 0;
/* 482 */         this.list.setLayoutData(gdlist);
/* 483 */         this.comp.layout();
/*     */         return;
/*     */       case 1:
/* 486 */         gdlist.heightHint = 20;
/*     */         break;
/*     */       case 2:
/* 489 */         gdlist.heightHint = 35;
/*     */         break;
/*     */       
/*     */       case 3:
/* 493 */         gdlist.heightHint = 50;
/*     */         break;
/*     */       default:
/* 496 */         gdlist.heightHint = 35;
/*     */         break;
/*     */     } 
/* 499 */     this.list.setVisible(true);
/* 500 */     this.list.setLayoutData(gdlist);
/* 501 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 511 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 512 */       .getToolBarManager();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\ab\query\AddressBookQueryView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */