/*     */ package cs.admin.ffr;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveFfrExcelResultDialog
/*     */   extends Dialog
/*     */ {
/*  29 */   protected String result = null;
/*     */   protected Shell shell;
/*  31 */   protected String name = "";
/*     */   
/*     */   protected String suffix;
/*     */   
/*     */   private SearchFfrController ssc;
/*     */   
/*     */   private String searchtype;
/*     */   
/*     */   private String searchcont;
/*     */   
/*     */   private String groupid;
/*     */   
/*     */   private String groupname;
/*     */   private int searchflag;
/*     */   private int textflag;
/*     */   private PageInfo page;
/*     */   private int type;
/*     */   private String dataFlag;
/*     */   private String start;
/*     */   private String end;
/*     */   private String ffrState;
/*     */   
/*     */   public SaveFfrExcelResultDialog(Shell parent, int style) {
/*  54 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveFfrExcelResultDialog(Shell parent) {
/*  63 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveFfrExcelResultDialog(Shell parent, SearchFfrController ssc, String name, String searchtype, String searchcont, String groupid, String groupname, int searchflag, int textflag, PageInfo page, int type, String dataFlag, String start, String end, String ffrState) {
/*  81 */     super(parent);
/*  82 */     this.ssc = ssc;
/*  83 */     this.name = name;
/*  84 */     this.suffix = "xls";
/*  85 */     this.searchtype = searchtype;
/*  86 */     this.searchcont = searchcont;
/*  87 */     this.groupid = groupid;
/*  88 */     this.groupname = groupname;
/*  89 */     this.searchflag = searchflag;
/*  90 */     this.textflag = textflag;
/*  91 */     this.page = page;
/*  92 */     this.type = type;
/*  93 */     this.dataFlag = dataFlag;
/*  94 */     this.start = start;
/*  95 */     this.end = end;
/*  96 */     this.ffrState = ffrState;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 105 */     createContents();
/* 106 */     PublicUtil.setCenter(this.shell);
/* 107 */     this.shell.open();
/* 108 */     this.shell.layout();
/* 109 */     Display display = getParent().getDisplay();
/* 110 */     while (!this.shell.isDisposed()) {
/* 111 */       if (!display.readAndDispatch())
/* 112 */         display.sleep(); 
/*     */     } 
/* 114 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 121 */     this.shell = new Shell(getParent(), 67680);
/* 122 */     GridLayout gridLayout = new GridLayout();
/* 123 */     gridLayout.numColumns = 3;
/* 124 */     this.shell.setLayout((Layout)gridLayout);
/* 125 */     this.shell.setSize(350, 180);
/* 126 */     this.shell.setText("搜索结果下载");
/*     */     
/* 128 */     Label label = new Label((Composite)this.shell, 0);
/* 129 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 130 */         false, 2, 1);
/* 131 */     gd_label.widthHint = 183;
/* 132 */     label.setLayoutData(gd_label);
/* 133 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 134 */     label.setText("您想保存此文件吗？");
/*     */ 
/*     */     
/* 137 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 138 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, 
/* 139 */         false);
/* 140 */     gd_sadLabel.widthHint = 100;
/* 141 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 144 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 145 */     label_2.setLayoutData(new GridData());
/*     */     
/* 147 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 148 */     GridData gd_label_1 = new GridData(131072, 16777216, false, 
/* 149 */         true);
/* 150 */     label_1.setLayoutData(gd_label_1);
/* 151 */     label_1.setText("名称：");
/*     */     
/* 153 */     CLabel label_info = new CLabel((Composite)this.shell, 0);
/* 154 */     GridData gd_label_info = new GridData();
/* 155 */     label_info.setLayoutData(gd_label_info);
/* 156 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 160 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 161 */     composite.setLayoutData(new GridData(16777216, 1024, false, 
/* 162 */           false));
/* 163 */     GridLayout gridLayout_1 = new GridLayout();
/* 164 */     gridLayout_1.numColumns = 3;
/* 165 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 167 */     Button button = new Button(composite, 0);
/* 168 */     button.setText("打开");
/* 169 */     button.setVisible(false);
/* 170 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 183 */     Button button_1 = new Button(composite, 0);
/* 184 */     button_1.setLayoutData(new GridData());
/* 185 */     button_1.setText("保存");
/* 186 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 188 */             DirectoryDialog save = new DirectoryDialog(SaveFfrExcelResultDialog.this.shell);
/* 189 */             save.setText(String.valueOf(SaveFfrExcelResultDialog.this.name) + "保存");
/* 190 */             save.setMessage("选择保存目录：");
/*     */ 
/*     */             
/* 193 */             String fileName = save.open();
/* 194 */             if (fileName != null) {
/*     */               try {
/* 196 */                 ArrayList al = new ArrayList();
/* 197 */                 SaveFfrExcelProgressDialog ss = new SaveFfrExcelProgressDialog(
/* 198 */                     SaveFfrExcelResultDialog.this.shell, "接受数据中...", "正在生成Excel中...", SaveFfrExcelResultDialog.this.groupid, 
/* 199 */                     fileName, SaveFfrExcelResultDialog.this.searchtype, SaveFfrExcelResultDialog.this.searchcont, SaveFfrExcelResultDialog.this.searchflag, SaveFfrExcelResultDialog.this.textflag, 
/* 200 */                     SaveFfrExcelResultDialog.this.ssc, SaveFfrExcelResultDialog.this.page, SaveFfrExcelResultDialog.this.type, SaveFfrExcelResultDialog.this.dataFlag, SaveFfrExcelResultDialog.this.start, SaveFfrExcelResultDialog.this.end, SaveFfrExcelResultDialog.this.ffrState);
/*     */ 
/*     */                 
/* 203 */                 ss.run(true, true);
/*     */                 
/* 205 */                 int r = ss.creatresult;
/* 206 */                 if (r == 0) {
/* 207 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 208 */                       "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 210 */                 if (r == -1) {
/* 211 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 212 */                       "下载未完成！");
/*     */                 }
/* 214 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 215 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 216 */                       "下载完成!\n以下Excel文件未下载成功：" + 
/* 217 */                       ss.wrongfile);
/*     */                 } else {
/* 219 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 220 */                       "全部Excel文件下载完成!");
/*     */                 } 
/* 222 */               } catch (Exception e) {
/* 223 */                 e.printStackTrace();
/* 224 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 225 */                     "生成Excel文件错误，下载失败");
/*     */                 
/*     */                 return;
/*     */               } 
/* 229 */               SaveFfrExcelResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 234 */     Button button_2 = new Button(composite, 0);
/* 235 */     button_2.setText("取消");
/* 236 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 238 */             SaveFfrExcelResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\ffr\SaveFfrExcelResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */