/*     */ package cs.admin.ffr;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.CountCgjgTableLabelProvider;
/*     */ import cs.admin.search.SearchSYDWController;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.search.table.SYDWResultExcelDialog;
/*     */ import cs.admin.search.table.SaveEXCELResultDialog;
/*     */ import cs.admin.search.table.SearchTableContentProvider;
/*     */ import cs.admin.statistic.Dialog.CommonCgjgInfoListDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CountCgjgInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.IndustryCat;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticFfrCgjgCountView
/*     */   extends ViewPart
/*     */ {
/*     */   private final boolean sydwDetailFlag = true;
/*     */   private Table table;
/*     */   private Tree tree_1;
/*     */   private CLabel label;
/*     */   private CLabel label_4;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*  82 */   private final GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  84 */   private Shell shell = null;
/*  85 */   private Composite comp = null;
/*     */   
/*     */   private SearchSYDWController sumController;
/*  88 */   private final StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private String parentid;
/*     */   private String groupid;
/*     */   private String groupname;
/*  95 */   private int searchFlag = 0;
/*     */   
/*     */   private Button button;
/*     */   
/*  99 */   private final TableColumn[] tableColumn = new TableColumn[31];
/* 100 */   private final boolean[] showcolumn = new boolean[31];
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   
/*     */   private Composite composite_3;
/*     */   private Button button_back;
/* 106 */   private TableCursor cursor = null;
/* 107 */   private int selectColums = 10;
/*     */   
/*     */   private ArrayList<IndustryCat> cgjgCodes;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 113 */     this.comp = arg0;
/* 114 */     this.shell = arg0.getShell();
/* 115 */     arg0.setBackgroundMode(1);
/* 116 */     arg0
/* 117 */       .setBackground(Display.getCurrent().getSystemColor(
/* 118 */           1));
/* 119 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 121 */     this.composite_6 = new Composite(arg0, 0);
/* 122 */     GridLayout gridLayout_5 = new GridLayout();
/* 123 */     gridLayout_5.verticalSpacing = 0;
/* 124 */     gridLayout_5.marginTop = 20;
/* 125 */     gridLayout_5.marginBottom = 10;
/* 126 */     gridLayout_5.numColumns = 3;
/* 127 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 130 */     this.label = new CLabel(this.composite_6, 0);
/* 131 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 132 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 133 */         false);
/* 134 */     gd_label.widthHint = 450;
/* 135 */     this.label.setLayoutData(gd_label);
/* 136 */     this.label.setText("统计分析>>垂直管理机关统计");
/*     */ 
/*     */ 
/*     */     
/* 140 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 142 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 147 */     this.composite_3 = new Composite(this.composite_6, 0);
/* 148 */     this.composite_3.setBackgroundMode(2);
/* 149 */     this.composite_3.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 150 */     GridLayout gridLayout_3 = new GridLayout();
/* 151 */     gridLayout_3.numColumns = 2;
/* 152 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 154 */     this.button_9 = new Button(this.composite_3, 16);
/* 155 */     this.button_9.setText("本级登记管理机关");
/* 156 */     this.button_9.setSelection(true);
/*     */     
/* 158 */     this.button_10 = new Button(this.composite_3, 16);
/* 159 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */ 
/*     */     
/* 162 */     Label label_2_1 = new Label(this.composite_6, 0);
/* 163 */     label_2_1
/* 164 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 165 */     label_2_1.setText(" ");
/*     */     
/* 167 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 168 */     this.tree_1 = this.treeViewer.getTree();
/* 169 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/* 170 */         false);
/* 171 */     gd_tree_1.heightHint = 190;
/* 172 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 174 */     Label label_6_1 = new Label(this.composite_6, 0);
/* 175 */     label_6_1
/* 176 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 177 */     label_6_1.setText(" ");
/*     */ 
/*     */     
/* 180 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 181 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 182 */           false));
/* 183 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 185 */     Button button_6 = new Button(composite_2, 0);
/* 186 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 188 */             InfoEntity select = null;
/* 189 */             IStructuredSelection i = (IStructuredSelection)StatisticFfrCgjgCountView.this.treeViewer
/* 190 */               .getSelection();
/*     */             
/* 192 */             StatisticFfrCgjgCountView.this.searchFlag = 0;
/*     */             
/* 194 */             if (StatisticFfrCgjgCountView.this.button_10.getSelection()) {
/* 195 */               StatisticFfrCgjgCountView.this.searchFlag = 1;
/*     */             }
/* 197 */             if (i == null) {
/* 198 */               StatisticFfrCgjgCountView.this.parentid = null;
/* 199 */               StatisticFfrCgjgCountView.this.groupid = StatisticFfrCgjgCountView.this.user.getGroupid();
/* 200 */               StatisticFfrCgjgCountView.this.groupname = StatisticFfrCgjgCountView.this.user.getGroupname();
/*     */             } else {
/* 202 */               select = (InfoEntity)i.getFirstElement();
/* 203 */               if (select == null) {
/* 204 */                 StatisticFfrCgjgCountView.this.parentid = null;
/* 205 */                 StatisticFfrCgjgCountView.this.groupid = StatisticFfrCgjgCountView.this.user.getGroupid();
/* 206 */                 StatisticFfrCgjgCountView.this.groupname = StatisticFfrCgjgCountView.this.user.getGroupname();
/*     */               } else {
/* 208 */                 StatisticFfrCgjgCountView.this.parentid = select.getGroupid();
/* 209 */                 StatisticFfrCgjgCountView.this.groupid = select.getId();
/* 210 */                 StatisticFfrCgjgCountView.this.groupname = select.getName();
/*     */               } 
/*     */             } 
/* 213 */             StatisticFfrCgjgCountView.this.startSearch();
/*     */           }
/*     */         });
/*     */     
/* 217 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 220 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 222 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 223 */         .getSystemColor(1));
/* 224 */     this.scrolledComposite.setBackgroundMode(1);
/*     */     
/* 226 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/* 230 */     this.scrolledComposite.setExpandVertical(true);
/* 231 */     this.scrolledComposite.setExpandHorizontal(true);
/* 232 */     this.scrolledComposite.setMinHeight(960);
/* 233 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 235 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 236 */     GridLayout gridLayout_4 = new GridLayout();
/* 237 */     gridLayout_4.numColumns = 2;
/* 238 */     gridLayout_4.verticalSpacing = 3;
/* 239 */     gridLayout_4.marginTop = 20;
/* 240 */     gridLayout_4.marginRight = 25;
/* 241 */     gridLayout_4.marginLeft = 25;
/* 242 */     gridLayout_4.marginBottom = 10;
/* 243 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*     */     
/* 245 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 246 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 247 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 248 */     this.label_4.setText("统计分析>>垂直管理机关统计结果");
/*     */     
/* 250 */     this.button_back = new Button(this.composite_1, 8388608);
/* 251 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 253 */             StatisticFfrCgjgCountView.this.initSearch();
/*     */           }
/*     */         });
/* 256 */     GridData gd_button_back = new GridData(131072, 16777216, 
/* 257 */         false, false);
/* 258 */     gd_button_back.heightHint = 18;
/* 259 */     gd_button_back.widthHint = 45;
/* 260 */     this.button_back.setLayoutData(gd_button_back);
/* 261 */     this.button_back.setText("返回");
/* 262 */     Label label_1_1 = new Label(this.composite_1, 258);
/*     */     
/* 264 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/* 265 */           false, 2, 1));
/* 266 */     label_1_1.setText("Label");
/*     */     
/* 268 */     this.label_3 = new Label(this.composite_1, 64);
/* 269 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/* 270 */     this.label_3.setText("Label");
/*     */     
/* 272 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*     */     
/* 274 */     this.table = this.tableViewer.getTable();
/* 275 */     this.table.setLinesVisible(true);
/* 276 */     this.table.setHeaderVisible(true);
/*     */     
/* 278 */     GridData gd_table = new GridData(4, 4, true, false, 
/* 279 */         2, 10);
/* 280 */     gd_table.heightHint = 700;
/* 281 */     this.table.setLayoutData(gd_table);
/* 282 */     PublicUtil.setTableHeight(this.table);
/*     */     
/* 284 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */           public void handleEvent(Event event)
/*     */           {
/* 288 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 293 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 294 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/* 295 */           false, 2, 1));
/* 296 */     GridLayout gridLayout_1 = new GridLayout();
/* 297 */     gridLayout_1.marginTop = 2;
/* 298 */     gridLayout_1.marginHeight = 0;
/* 299 */     composite_5.setLayout((Layout)gridLayout_1);
/*     */ 
/*     */ 
/*     */     
/* 303 */     this.button = new Button(this.composite_1, 8388608);
/* 304 */     this.button.setLayoutData(new GridData(-1, 18));
/* 305 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 308 */               PageInfo page = new PageInfo();
/* 309 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticFfrCgjgCountView.this.shell, 
/* 310 */                   StatisticFfrCgjgCountView.this.sumController, "垂直管理机关统计表", "CountCgjg", "", 
/* 311 */                   StatisticFfrCgjgCountView.this.groupid, StatisticFfrCgjgCountView.this.groupname, StatisticFfrCgjgCountView.this.searchFlag, 0, 
/* 312 */                   page, StatisticFfrCgjgCountView.this.showcolumn);
/* 313 */               s.open();
/* 314 */             } catch (Exception e2) {
/* 315 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 319 */     this.button.setText("另存为Excel");
/*     */ 
/*     */ 
/*     */     
/* 323 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 325 */     initAll();
/*     */   }
/*     */ 
/*     */   
/*     */   void initAll() {
/* 330 */     initializeToolBar();
/* 331 */     initSearchController();
/*     */     
/* 333 */     initTypeView();
/* 334 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 335 */     initTypeView();
/* 336 */     initTable();
/* 337 */     initSearch();
/* 338 */     initTree();
/*     */     
/* 340 */     setFontColor();
/* 341 */     setCursor();
/*     */   }
/*     */   
/*     */   private void startSearch() {
/* 345 */     initResult();
/*     */   }
/*     */   
/*     */   private void initTree() {
/* 349 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 350 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 351 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 352 */     this.treeViewer.refresh();
/*     */   }
/*     */   
/*     */   private void initSearchController() {
/* 356 */     this.sumController = new SearchSYDWController(this.user);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initTypeView() {}
/*     */ 
/*     */   
/*     */   private void initTable() {
/* 365 */     int i = -1;
/* 366 */     this.showcolumn[++i] = true;
/* 367 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 368 */     this.tableColumn[i].setText("序号");
/*     */     
/* 370 */     this.showcolumn[++i] = true;
/* 371 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 372 */     this.tableColumn[i].setAlignment(16777216);
/* 373 */     this.tableColumn[i].setText("省份");
/*     */     
/* 375 */     this.showcolumn[++i] = true;
/* 376 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 377 */     this.tableColumn[i].setAlignment(16777216);
/* 378 */     this.tableColumn[i].setText("合计");
/*     */     
/* 380 */     this.cgjgCodes = this.sumController.searchCgjgCode("12");
/*     */     
/* 382 */     String mouseClick = "3";
/* 383 */     for (int j = 0; j < this.cgjgCodes.size(); j++) {
/* 384 */       IndustryCat ic = this.cgjgCodes.get(j);
/* 385 */       this.showcolumn[++i] = true;
/* 386 */       this.tableColumn[i] = new TableColumn(this.table, 0);
/* 387 */       this.tableColumn[i].setAlignment(16777216);
/* 388 */       this.tableColumn[i].setText(ic.getDESCRIPT());
/* 389 */       if (j == 0) {
/* 390 */         mouseClick = (new StringBuilder(String.valueOf(i))).toString();
/*     */       } else {
/* 392 */         mouseClick = String.valueOf(mouseClick) + "#" + i;
/*     */       } 
/*     */     } 
/* 395 */     PublicUtil.setMouseHands(this.table, mouseClick);
/*     */     
/* 397 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CountCgjgTableLabelProvider());
/* 398 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*     */   }
/*     */   
/*     */   private void initSearch() {
/* 402 */     this.button_10.setSelection(false);
/* 403 */     this.button_9.setSelection(true);
/* 404 */     this.searchFlag = 0;
/* 405 */     this.groupid = "";
/* 406 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 407 */     this.comp.layout();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 411 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 412 */     this.tableViewer.setInput(
/* 413 */         resetInfos(this.sumController.searchCgjgInfo(this.groupid, this.searchFlag, "12", "sydw_ffr", "")));
/*     */     
/* 415 */     refreshTable();
/* 416 */     this.comp.layout();
/* 417 */     setFontColor();
/* 418 */     setCursor();
/*     */   }
/*     */   
/*     */   private void refreshTable() {
/* 422 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 423 */       if (this.tableColumn[i] != null) {
/* 424 */         if (this.showcolumn[i]) {
/* 425 */           if (this.tableColumn[i].getText().equals("宗旨和业务范围")) {
/* 426 */             this.tableColumn[i].setWidth(400);
/*     */           } else {
/* 428 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */           } 
/* 430 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 432 */           this.tableColumn[i].setWidth(0);
/* 433 */           this.tableColumn[i].setResizable(false);
/*     */         } 
/*     */       }
/*     */     } 
/* 437 */     this.table.update();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 446 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 447 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<CountCgjgInfo> al) {
/* 451 */     for (int i = 0; i < al.size(); i++) {
/* 452 */       CountCgjgInfo chi = al.get(i);
/* 453 */       chi.setNum((new StringBuilder(String.valueOf(i + 1))).toString());
/* 454 */       al.set(i, chi);
/*     */     } 
/* 456 */     this.label_3.setText("共搜索到[" + al.size() + "]条符合条件的信息 。");
/* 457 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   @Deprecated
/*     */   public class Operation
/*     */   {
/*     */     public void showSYDWInfo(SYDWInfo sydw) {
/* 466 */       (new SYDWResultExcelDialog(StatisticFfrCgjgCountView.this.shell, StatisticFfrCgjgCountView.this.sumController, sydw)).open();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setFontColor() {
/* 475 */     for (int i = 1; i < this.table.getItemCount(); i++) {
/* 476 */       for (int j = 3; j < this.cgjgCodes.size() + 3; j++) {
/* 477 */         this.table.getItem(i).setFont(j, SWTResourceManager.getFont("宋体", 10, 0, false, false));
/* 478 */         this.table.getItem(i).setForeground(j, SWTResourceManager.getColor(37, 26, 181));
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCursor() {
/* 489 */     if (this.cursor != null)
/* 490 */       this.cursor.dispose(); 
/* 491 */     this.cursor = new TableCursor(this.table, 0);
/* 492 */     this.cursor.setBackground(this.table.getDisplay()
/* 493 */         .getSystemColor(26));
/* 494 */     this.cursor.setForeground(this.table.getDisplay()
/* 495 */         .getSystemColor(27));
/* 496 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 498 */             int colums = StatisticFfrCgjgCountView.this.cursor.getColumn();
/* 499 */             int row = StatisticFfrCgjgCountView.this.table.getSelectionIndex();
/* 500 */             if (row > 0 && colums >= 3 && colums < StatisticFfrCgjgCountView.this.cgjgCodes.size() + 3) {
/* 501 */               String count = StatisticFfrCgjgCountView.this.table.getItem(StatisticFfrCgjgCountView.this.cursor.getLocation()).getText(colums);
/* 502 */               if (!"0".equals(count)) {
/* 503 */                 StatisticFfrCgjgCountView.this.openCgjgListDialog(colums);
/*     */               }
/*     */             } 
/* 506 */             StatisticFfrCgjgCountView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 509 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 512 */             int colums = StatisticFfrCgjgCountView.this.cursor.getColumn();
/* 513 */             int row = StatisticFfrCgjgCountView.this.table.getSelectionIndex();
/* 514 */             if (colums == StatisticFfrCgjgCountView.this.selectColums && 
/* 515 */               row > 0 && colums >= 3 && colums < StatisticFfrCgjgCountView.this.cgjgCodes.size() + 3) {
/* 516 */               String count = StatisticFfrCgjgCountView.this.table.getItem(StatisticFfrCgjgCountView.this.cursor.getLocation()).getText(colums);
/* 517 */               if (!"0".equals(count)) {
/* 518 */                 StatisticFfrCgjgCountView.this.openCgjgListDialog(colums);
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openCgjgListDialog(int colums) {
/* 530 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 531 */     CountCgjgInfo cgjgInfo = (CountCgjgInfo)select.getFirstElement();
/* 532 */     String districtcode = cgjgInfo.getDistrictCode();
/* 533 */     String districtcodeSql = " 1 = 1 ";
/* 534 */     int orderNum = colums - 3;
/*     */     
/* 536 */     if (this.searchFlag == 1 && this.groupid.equals("1")) {
/* 537 */       if (districtcode.equals("100000")) {
/* 538 */         districtcodeSql = " t.district_code like '100000' ";
/* 539 */       } else if (districtcode.endsWith("0000")) {
/* 540 */         districtcodeSql = " t.district_code like '" + districtcode.substring(0, 2) + "%' ";
/* 541 */       } else if (districtcode.endsWith("00")) {
/* 542 */         districtcodeSql = " t.district_code like '" + districtcode.substring(0, 4) + "%' ";
/*     */       } else {
/* 544 */         districtcodeSql = " t.district_code = '" + cgjgInfo.getDistrictCode() + "' ";
/*     */       } 
/* 546 */     } else if (this.groupid.equals("1") || this.groupid.equals("3478")) {
/* 547 */       districtcodeSql = " t.district_code like '100000' ";
/*     */     } else {
/* 549 */       districtcodeSql = " t.district_code = '" + cgjgInfo.getDistrictCode() + "' ";
/*     */     } 
/*     */     
/* 552 */     String chuiguanCode = ((IndustryCat)this.cgjgCodes.get(orderNum)).getNAME();
/* 553 */     String condition = "where t.industry_code='" + chuiguanCode + "' and " + districtcodeSql;
/* 554 */     String title = "垂管机关列表>>" + ((IndustryCat)this.cgjgCodes.get(orderNum)).getDESCRIPT();
/*     */     
/* 556 */     CommonCgjgInfoListDialog cgjgField = new CommonCgjgInfoListDialog(
/* 557 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), title, condition, "sydw_ffr");
/* 558 */     cgjgField.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\ffr\StatisticFfrCgjgCountView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */