/*      */ package cs.admin.home;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.ffr.operation.shencha.FfrBiangengShenchaDialog;
/*      */ import cs.ffr.operation.shencha.FfrShenchaDialog;
/*      */ import cs.ffr.operation.shenhe.FfrBiangengShenheDialog;
/*      */ import cs.ffr.operation.shenhe.FfrShenheDialog;
/*      */ import cs.ffr.operation.shouli.FfrBiangengShouliDialog;
/*      */ import cs.ffr.operation.shouli.FfrShouliDialog;
/*      */ import cs.ffr.operation.shouli.FfrShouliLableProvider;
/*      */ import cs.ffr.operation.withinput.WithinputFfrAcceptAuditListsDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.common.TableViewContentProvider;
/*      */ import cs.sydj.common.VerifyRoleRight;
/*      */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.operation.withinput.WithinputDataManage;
/*      */ import cs.sydj.other.OtherHandle;
/*      */ import cs.sydj.util.messageutil.MessageXML;
/*      */ import java.util.ArrayList;
/*      */ import org.eclipse.jface.action.IMenuManager;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.ISelectionChangedListener;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.SelectionChangedEvent;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Group;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.ui.IViewPart;
/*      */ import org.eclipse.ui.IWorkbenchPage;
/*      */ import org.eclipse.ui.PlatformUI;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.operation.commons.WithinputInfo;
/*      */ import server.sydj.operation.commons.WithinputIsNew;
/*      */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class QuntuanHomeView
/*      */   extends ViewPart
/*      */ {
/*      */   private Composite container;
/*   65 */   private Composite composite_2 = null;
/*   66 */   private Composite composite = null;
/*      */   public static final String ID = "cs.admin.home.QuntuanHomeView";
/*   68 */   public static String year = "";
/*   69 */   VerifyRoleRight verifyRole = new VerifyRoleRight();
/*   70 */   private WithinputDataManage withDataManage = new WithinputDataManage();
/*   71 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*   72 */   private ArrayList list = new ArrayList();
/*      */   
/*   74 */   OtherHandle oh = new OtherHandle();
/*   75 */   String alertMsg = "";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void createPartControl(Composite parent) {
/*   84 */     parent.setBackground(Display.getCurrent()
/*   85 */         .getSystemColor(1));
/*   86 */     parent.setBackgroundMode(2);
/*   87 */     this.container = new Composite(parent, 0);
/*   88 */     this.container.setLayout((Layout)new FillLayout());
/*   89 */     this.container.setBackground(Display.getCurrent()
/*   90 */         .getSystemColor(1));
/*   91 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*   92 */         this.container, 2816);
/*   93 */     scrolledComposite.setExpandHorizontal(true);
/*      */     
/*   95 */     this.composite = new Composite((Composite)scrolledComposite, 0);
/*   96 */     this.composite.setLocation(0, 0);
/*   97 */     this.composite.setBackground(Display.getCurrent()
/*   98 */         .getSystemColor(1));
/*   99 */     GridLayout layout = new GridLayout();
/*  100 */     layout.numColumns = 2;
/*  101 */     layout.marginLeft = 25;
/*  102 */     layout.marginRight = 25;
/*  103 */     layout.horizontalSpacing = 0;
/*  104 */     layout.marginTop = 25;
/*  105 */     this.composite.setLayout((Layout)layout);
/*  106 */     this.composite.setBackground(Display.getCurrent().getSystemColor(1));
/*      */     
/*  108 */     Label label = new Label(this.composite, 64);
/*  109 */     label.setText("按照分级管理原则，近期发现个别登记管理机关越权赋码，如国税、海关、人民银行系统等实行垂管的机构。目前系统已对相关机构做冻结操作。请各级登记管理机关严格依权限赋码。垂管系统机构赋码授权工作将根据工作需要后续开展。");
/*      */     
/*  111 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/*  112 */     label.setFont(SWTResourceManager.getFont("", 11, 1));
/*  113 */     GridData gd_cmdIntro = new GridData(4, 4, false, false, 2, 1);
/*  114 */     gd_cmdIntro.widthHint = 600;
/*  115 */     label.setLayoutData(gd_cmdIntro);
/*  116 */     label.setForeground(Display.getCurrent().getSystemColor(3));
/*      */     
/*  118 */     setComposite();
/*  119 */     setActions();
/*  120 */     scrolledComposite.setContent((Control)this.composite);
/*  121 */     createActions();
/*  122 */     initializeToolBar();
/*  123 */     initializeMenu();
/*  124 */     setFocus();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPartName(String name) {
/*  131 */     super.setPartName(name);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createActions() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  145 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/*  146 */       .getToolBarManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeMenu() {
/*  153 */     IMenuManager menuManager = getViewSite().getActionBars()
/*  154 */       .getMenuManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private int setWaitAccept(Composite composite) {
/*  165 */     int height = 0;
/*  166 */     height += 22;
/*  167 */     TableCursor cursor_1 = null;
/*  168 */     Composite composite_1_1 = new Composite(composite, 0);
/*  169 */     composite_1_1.setLayoutData(new GridData(4, 4, true, 
/*  170 */           false));
/*  171 */     GridLayout gridLayout = new GridLayout();
/*  172 */     gridLayout.marginWidth = 0;
/*  173 */     gridLayout.horizontalSpacing = 0;
/*  174 */     gridLayout.marginLeft = 0;
/*  175 */     gridLayout.marginRight = 0;
/*  176 */     composite_1_1.setLayout((Layout)gridLayout);
/*  177 */     composite_1_1.setBackground(Display.getCurrent()
/*  178 */         .getSystemColor(1));
/*      */     
/*  180 */     if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更受理员", "党群机关撤销受理员", 
/*  181 */           "党群机关补领受理员", "党群机关换领受理员" })) {
/*  182 */       Label label = new Label(composite_1_1, 0);
/*  183 */       label.setText(">>受理列表");
/*  184 */       label.setBackground(Display.getCurrent()
/*  185 */           .getSystemColor(1));
/*  186 */       label.setFont(SWTResourceManager.getFont("", 10, 1));
/*      */       
/*  188 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更受理员" })) {
/*  189 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 1, "accept", 1);
/*  190 */         if (this.list != null && this.list.size() > 0) {
/*  191 */           Group group_2 = new Group(composite_1_1, 0);
/*  192 */           group_2.setLayoutData(new GridData(4, 4, 
/*  193 */                 true, true));
/*  194 */           group_2.setFont(
/*  195 */               SWTResourceManager.getFont("", 10, 1));
/*  196 */           group_2.setForeground(
/*  197 */               SWTResourceManager.getColor(208, 81, 4));
/*  198 */           group_2.setLayout((Layout)new GridLayout());
/*  199 */           group_2.setText("■待受理的变更");
/*  200 */           group_2.setBackground(Display.getCurrent()
/*  201 */               .getSystemColor(1));
/*  202 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  203 */               67648);
/*  204 */           Table table_2 = tableViewer_1.getTable();
/*  205 */           table_2.setLinesVisible(true);
/*  206 */           table_2.setHeaderVisible(true);
/*  207 */           GridData gd_table_1_1 = new GridData(4, 
/*  208 */               4, true, false);
/*  209 */           gd_table_1_1.heightHint = 100;
/*  210 */           table_2.setLayoutData(gd_table_1_1);
/*  211 */           TableColumn newColumnTableColumns = new TableColumn(
/*  212 */               table_2, 16384);
/*  213 */           newColumnTableColumns.setAlignment(16384);
/*  214 */           newColumnTableColumns.setWidth(100);
/*  215 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  217 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  218 */               table_2, 16384);
/*  219 */           newColumnTableColumns_0.setAlignment(16384);
/*  220 */           newColumnTableColumns_0.setWidth(100);
/*  221 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  223 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  224 */               table_2, 16384);
/*  225 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  226 */           newColumnTableColumn_2_1.setWidth(50);
/*  227 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  229 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  230 */               table_2, 16777216);
/*  231 */           newColumnTableColumn_4.setAlignment(16777216);
/*  232 */           newColumnTableColumn_4.setWidth(200);
/*  233 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  235 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  236 */               table_2, 16384);
/*  237 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  238 */           newColumnTableColumn_4_1.setWidth(100);
/*  239 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  241 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  242 */               table_2, 16777216);
/*  243 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  244 */           newColumnTableColumn_1_1.setWidth(80);
/*  245 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/*  247 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  248 */               table_2, 16777216);
/*  249 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  250 */           newColumnTableColumn_3_1.setWidth(80);
/*  251 */           newColumnTableColumn_3_1.setText("历史记录");
/*  252 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  253 */           cursor_1 = new TableCursor(table_2, 0);
/*  254 */           cursor_1.setBackground(table_2.getDisplay()
/*  255 */               .getSystemColor(26));
/*  256 */           cursor_1.setForeground(table_2.getDisplay()
/*  257 */               .getSystemColor(27));
/*  258 */           tableViewer_1
/*  259 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  260 */           tableViewer_1
/*  261 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  262 */           tableViewer_1.setInput(this.list);
/*  263 */           setCursorActions(cursor_1, tableViewer_1, group_2, 1, "accept", 1);
/*  264 */           setFontColor(table_2, "0");
/*  265 */           PublicUtil.setTableHeight(table_2);
/*  266 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  267 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  269 */           Button button_4 = new Button((Composite)group_2, 0);
/*  270 */           GridData gd_button_1 = new GridData(131072, 
/*  271 */               16777216, false, false);
/*  272 */           gd_button_1.widthHint = 62;
/*  273 */           button_4.setLayoutData(gd_button_1);
/*  274 */           button_4.setText("更  多");
/*  275 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  278 */                   QuntuanHomeView.this.setGoTo("1", "1");
/*      */                 }
/*      */               });
/*  281 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  285 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关补领受理员" })) {
/*  286 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 3, "accept", 4);
/*  287 */         if (this.list != null && this.list.size() > 0) {
/*  288 */           Group group_2 = new Group(composite_1_1, 0);
/*  289 */           group_2.setLayoutData(new GridData(4, 4, 
/*  290 */                 true, true));
/*  291 */           group_2.setFont(
/*  292 */               SWTResourceManager.getFont("", 10, 1));
/*  293 */           group_2.setForeground(
/*  294 */               SWTResourceManager.getColor(208, 81, 4));
/*  295 */           group_2.setLayout((Layout)new GridLayout());
/*  296 */           group_2.setText("■待受理的补领");
/*  297 */           group_2.setBackground(Display.getCurrent()
/*  298 */               .getSystemColor(1));
/*  299 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  300 */               67648);
/*  301 */           Table table_2 = tableViewer_1.getTable();
/*  302 */           table_2.setLinesVisible(true);
/*  303 */           table_2.setHeaderVisible(true);
/*  304 */           GridData gd_table_1_1 = new GridData(4, 
/*  305 */               4, true, false);
/*  306 */           gd_table_1_1.heightHint = 100;
/*  307 */           table_2.setLayoutData(gd_table_1_1);
/*  308 */           TableColumn newColumnTableColumns = new TableColumn(
/*  309 */               table_2, 16384);
/*  310 */           newColumnTableColumns.setAlignment(16384);
/*  311 */           newColumnTableColumns.setWidth(100);
/*  312 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  314 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  315 */               table_2, 16384);
/*  316 */           newColumnTableColumns_0.setAlignment(16384);
/*  317 */           newColumnTableColumns_0.setWidth(100);
/*  318 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  320 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  321 */               table_2, 16384);
/*  322 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  323 */           newColumnTableColumn_2_1.setWidth(80);
/*  324 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  326 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  327 */               table_2, 16777216);
/*  328 */           newColumnTableColumn_4.setAlignment(16777216);
/*  329 */           newColumnTableColumn_4.setWidth(200);
/*  330 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  332 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  333 */               table_2, 16384);
/*  334 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  335 */           newColumnTableColumn_4_1.setWidth(100);
/*  336 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  338 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  339 */               table_2, 16777216);
/*  340 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  341 */           newColumnTableColumn_1_1.setWidth(80);
/*  342 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/*  344 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  345 */               table_2, 16777216);
/*  346 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  347 */           newColumnTableColumn_3_1.setWidth(80);
/*  348 */           newColumnTableColumn_3_1.setText("历史记录");
/*  349 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  350 */           cursor_1 = new TableCursor(table_2, 0);
/*  351 */           cursor_1.setBackground(table_2.getDisplay()
/*  352 */               .getSystemColor(26));
/*  353 */           cursor_1.setForeground(table_2.getDisplay()
/*  354 */               .getSystemColor(27));
/*  355 */           tableViewer_1
/*  356 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  357 */           tableViewer_1
/*  358 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  359 */           tableViewer_1.setInput(this.list);
/*  360 */           setCursorActions(cursor_1, tableViewer_1, group_2, 3, "accept", 4);
/*  361 */           setFontColor(table_2, "0");
/*  362 */           PublicUtil.setTableHeight(table_2);
/*  363 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  364 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  366 */           Button button_4 = new Button((Composite)group_2, 0);
/*  367 */           GridData gd_button_1 = new GridData(131072, 
/*  368 */               16777216, false, false);
/*  369 */           gd_button_1.widthHint = 62;
/*  370 */           button_4.setLayoutData(gd_button_1);
/*  371 */           button_4.setText("更  多");
/*  372 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  375 */                   QuntuanHomeView.this.setGoTo("1", "3");
/*      */                 }
/*      */               });
/*  378 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  382 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销受理员" })) {
/*  383 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 9, "accept", 5);
/*  384 */         if (this.list != null && this.list.size() > 0) {
/*  385 */           Group group_2 = new Group(composite_1_1, 0);
/*  386 */           group_2.setLayoutData(new GridData(4, 4, 
/*  387 */                 true, true));
/*  388 */           group_2.setFont(
/*  389 */               SWTResourceManager.getFont("", 10, 1));
/*  390 */           group_2.setForeground(
/*  391 */               SWTResourceManager.getColor(208, 81, 4));
/*  392 */           group_2.setLayout((Layout)new GridLayout());
/*  393 */           group_2.setText("■待受理的换领");
/*  394 */           group_2.setBackground(Display.getCurrent()
/*  395 */               .getSystemColor(1));
/*  396 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  397 */               67648);
/*  398 */           Table table_2 = tableViewer_1.getTable();
/*  399 */           table_2.setLinesVisible(true);
/*  400 */           table_2.setHeaderVisible(true);
/*  401 */           GridData gd_table_1_1 = new GridData(4, 
/*  402 */               4, true, false);
/*  403 */           gd_table_1_1.heightHint = 100;
/*  404 */           table_2.setLayoutData(gd_table_1_1);
/*  405 */           TableColumn newColumnTableColumns = new TableColumn(
/*  406 */               table_2, 16384);
/*  407 */           newColumnTableColumns.setAlignment(16384);
/*  408 */           newColumnTableColumns.setWidth(100);
/*  409 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  411 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  412 */               table_2, 16384);
/*  413 */           newColumnTableColumns_0.setAlignment(16384);
/*  414 */           newColumnTableColumns_0.setWidth(100);
/*  415 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  417 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  418 */               table_2, 16384);
/*  419 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  420 */           newColumnTableColumn_2_1.setWidth(80);
/*  421 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  423 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  424 */               table_2, 16777216);
/*  425 */           newColumnTableColumn_4.setAlignment(16777216);
/*  426 */           newColumnTableColumn_4.setWidth(200);
/*  427 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  429 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  430 */               table_2, 16384);
/*  431 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  432 */           newColumnTableColumn_4_1.setWidth(100);
/*  433 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  435 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  436 */               table_2, 16777216);
/*  437 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  438 */           newColumnTableColumn_1_1.setWidth(80);
/*  439 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */ 
/*      */           
/*  442 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  443 */               table_2, 16777216);
/*  444 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  445 */           newColumnTableColumn_3_1.setWidth(80);
/*  446 */           newColumnTableColumn_3_1.setText("历史记录");
/*  447 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  448 */           cursor_1 = new TableCursor(table_2, 0);
/*  449 */           cursor_1.setBackground(table_2.getDisplay()
/*  450 */               .getSystemColor(26));
/*  451 */           cursor_1.setForeground(table_2.getDisplay()
/*  452 */               .getSystemColor(27));
/*  453 */           tableViewer_1
/*  454 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  455 */           tableViewer_1
/*  456 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  457 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 9, "accept", 5);
/*  458 */           tableViewer_1.setInput(this.list);
/*  459 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "accept", 5);
/*  460 */           setFontColor(table_2, "0");
/*  461 */           PublicUtil.setTableHeight(table_2);
/*  462 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  463 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  465 */           Button button_4 = new Button((Composite)group_2, 0);
/*  466 */           GridData gd_button_1 = new GridData(131072, 
/*  467 */               16777216, false, false);
/*  468 */           gd_button_1.widthHint = 62;
/*  469 */           button_4.setLayoutData(gd_button_1);
/*  470 */           button_4.setText("更  多");
/*  471 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  474 */                   QuntuanHomeView.this.setGoTo("1", "2");
/*      */                 }
/*      */               });
/*  477 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  481 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销受理员" })) {
/*  482 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "accept", 2);
/*  483 */         if (this.list != null && this.list.size() > 0) {
/*  484 */           Group group_2 = new Group(composite_1_1, 0);
/*  485 */           group_2.setLayoutData(new GridData(4, 4, 
/*  486 */                 true, true));
/*  487 */           group_2.setFont(
/*  488 */               SWTResourceManager.getFont("", 10, 1));
/*  489 */           group_2.setForeground(
/*  490 */               SWTResourceManager.getColor(208, 81, 4));
/*  491 */           group_2.setLayout((Layout)new GridLayout());
/*  492 */           group_2.setText("■待受理的撤销");
/*  493 */           group_2.setBackground(Display.getCurrent()
/*  494 */               .getSystemColor(1));
/*  495 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  496 */               67648);
/*  497 */           Table table_2 = tableViewer_1.getTable();
/*  498 */           table_2.setLinesVisible(true);
/*  499 */           table_2.setHeaderVisible(true);
/*  500 */           GridData gd_table_1_1 = new GridData(4, 
/*  501 */               4, true, false);
/*  502 */           gd_table_1_1.heightHint = 100;
/*  503 */           table_2.setLayoutData(gd_table_1_1);
/*  504 */           TableColumn newColumnTableColumns = new TableColumn(
/*  505 */               table_2, 16384);
/*  506 */           newColumnTableColumns.setAlignment(16384);
/*  507 */           newColumnTableColumns.setWidth(100);
/*  508 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  510 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  511 */               table_2, 16384);
/*  512 */           newColumnTableColumns_0.setAlignment(16384);
/*  513 */           newColumnTableColumns_0.setWidth(100);
/*  514 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  516 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  517 */               table_2, 16384);
/*  518 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  519 */           newColumnTableColumn_2_1.setWidth(80);
/*  520 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  522 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  523 */               table_2, 16777216);
/*  524 */           newColumnTableColumn_4.setAlignment(16777216);
/*  525 */           newColumnTableColumn_4.setWidth(200);
/*  526 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  528 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  529 */               table_2, 16384);
/*  530 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  531 */           newColumnTableColumn_4_1.setWidth(100);
/*  532 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  534 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  535 */               table_2, 16777216);
/*  536 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  537 */           newColumnTableColumn_1_1.setWidth(80);
/*  538 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */ 
/*      */           
/*  541 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  542 */               table_2, 16777216);
/*  543 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  544 */           newColumnTableColumn_3_1.setWidth(80);
/*  545 */           newColumnTableColumn_3_1.setText("历史记录");
/*  546 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  547 */           cursor_1 = new TableCursor(table_2, 0);
/*  548 */           cursor_1.setBackground(table_2.getDisplay()
/*  549 */               .getSystemColor(26));
/*  550 */           cursor_1.setForeground(table_2.getDisplay()
/*  551 */               .getSystemColor(27));
/*  552 */           tableViewer_1
/*  553 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  554 */           tableViewer_1
/*  555 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  556 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "accept", 2);
/*  557 */           tableViewer_1.setInput(this.list);
/*  558 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "accept", 2);
/*  559 */           setFontColor(table_2, "0");
/*  560 */           PublicUtil.setTableHeight(table_2);
/*  561 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  562 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  564 */           Button button_4 = new Button((Composite)group_2, 0);
/*  565 */           GridData gd_button_1 = new GridData(131072, 
/*  566 */               16777216, false, false);
/*  567 */           gd_button_1.widthHint = 62;
/*  568 */           button_4.setLayoutData(gd_button_1);
/*  569 */           button_4.setText("更  多");
/*  570 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  573 */                   QuntuanHomeView.this.setGoTo("1", "9");
/*      */                 }
/*      */               });
/*  576 */           height += 178;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/*  581 */     return height;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int setWaitShencha(Composite composite) {
/*  588 */     int height = 0;
/*  589 */     height += 22;
/*  590 */     TableCursor cursor_1 = null;
/*  591 */     Composite composite_1_1 = new Composite(composite, 0);
/*  592 */     composite_1_1.setLayoutData(new GridData(4, 4, true, false));
/*  593 */     GridLayout gridLayout = new GridLayout();
/*  594 */     gridLayout.marginWidth = 0;
/*  595 */     gridLayout.horizontalSpacing = 0;
/*  596 */     gridLayout.marginLeft = 0;
/*  597 */     gridLayout.marginRight = 0;
/*  598 */     composite_1_1.setLayout((Layout)gridLayout);
/*  599 */     composite_1_1.setBackground(Display.getCurrent()
/*  600 */         .getSystemColor(1));
/*      */     
/*  602 */     if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更审查员", "党群机关撤销审查员", 
/*  603 */           "党群机关补领审查员", "党群机关换领审查员" })) {
/*  604 */       Label label = new Label(composite_1_1, 0);
/*  605 */       label.setText(">>审查列表");
/*  606 */       label.setBackground(Display.getCurrent()
/*  607 */           .getSystemColor(1));
/*  608 */       label.setFont(SWTResourceManager.getFont("", 10, 1));
/*      */       
/*  610 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更审查员" })) {
/*  611 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 1, "shencha", 1);
/*  612 */         if (this.list != null && this.list.size() > 0) {
/*  613 */           Group group_2 = new Group(composite_1_1, 0);
/*  614 */           group_2.setLayoutData(new GridData(4, 4, 
/*  615 */                 true, true));
/*  616 */           group_2.setFont(
/*  617 */               SWTResourceManager.getFont("", 10, 1));
/*  618 */           group_2.setForeground(
/*  619 */               SWTResourceManager.getColor(208, 81, 4));
/*  620 */           group_2.setLayout((Layout)new GridLayout());
/*  621 */           group_2.setText("■待审查变更");
/*  622 */           group_2.setBackground(Display.getCurrent()
/*  623 */               .getSystemColor(1));
/*  624 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  625 */               67648);
/*  626 */           Table table_2 = tableViewer_1.getTable();
/*  627 */           table_2.setLinesVisible(true);
/*  628 */           table_2.setHeaderVisible(true);
/*  629 */           GridData gd_table_1_1 = new GridData(4, 
/*  630 */               4, true, false);
/*  631 */           gd_table_1_1.heightHint = 100;
/*  632 */           table_2.setLayoutData(gd_table_1_1);
/*  633 */           TableColumn newColumnTableColumns = new TableColumn(
/*  634 */               table_2, 16384);
/*  635 */           newColumnTableColumns.setAlignment(16384);
/*  636 */           newColumnTableColumns.setWidth(100);
/*  637 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  639 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  640 */               table_2, 16384);
/*  641 */           newColumnTableColumns_0.setAlignment(16384);
/*  642 */           newColumnTableColumns_0.setWidth(100);
/*  643 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  645 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  646 */               table_2, 16384);
/*  647 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  648 */           newColumnTableColumn_2_1.setWidth(50);
/*  649 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  651 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  652 */               table_2, 16777216);
/*  653 */           newColumnTableColumn_4.setAlignment(16777216);
/*  654 */           newColumnTableColumn_4.setWidth(200);
/*  655 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  657 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  658 */               table_2, 16384);
/*  659 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  660 */           newColumnTableColumn_4_1.setWidth(50);
/*  661 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  663 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  664 */               table_2, 16777216);
/*  665 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  666 */           newColumnTableColumn_1_1.setWidth(50);
/*  667 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/*  669 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  670 */               table_2, 16777216);
/*  671 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  672 */           newColumnTableColumn_3_1.setWidth(80);
/*  673 */           newColumnTableColumn_3_1.setText("历史记录");
/*  674 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  675 */           cursor_1 = new TableCursor(table_2, 0);
/*  676 */           cursor_1.setBackground(table_2.getDisplay()
/*  677 */               .getSystemColor(26));
/*  678 */           cursor_1.setForeground(table_2.getDisplay()
/*  679 */               .getSystemColor(27));
/*  680 */           tableViewer_1
/*  681 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  682 */           tableViewer_1
/*  683 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  684 */           tableViewer_1.setInput(this.list);
/*  685 */           setCursorActions(cursor_1, tableViewer_1, group_2, 1, "shencha", 1);
/*  686 */           setFontColor(table_2, "0");
/*  687 */           PublicUtil.setTableHeight(table_2);
/*  688 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  689 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  691 */           Button button_4 = new Button((Composite)group_2, 0);
/*  692 */           GridData gd_button_1 = new GridData(131072, 
/*  693 */               16777216, false, false);
/*  694 */           gd_button_1.widthHint = 62;
/*  695 */           button_4.setLayoutData(gd_button_1);
/*  696 */           button_4.setText("更  多");
/*  697 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  700 */                   QuntuanHomeView.this.setGoTo("7", "1");
/*      */                 }
/*      */               });
/*  703 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  707 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关补领审查员" })) {
/*  708 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 3, "shencha", 4);
/*  709 */         if (this.list != null && this.list.size() > 0) {
/*  710 */           Group group_2 = new Group(composite_1_1, 0);
/*  711 */           group_2.setLayoutData(new GridData(4, 4, 
/*  712 */                 true, true));
/*  713 */           group_2.setFont(
/*  714 */               SWTResourceManager.getFont("", 10, 1));
/*  715 */           group_2.setForeground(
/*  716 */               SWTResourceManager.getColor(208, 81, 4));
/*  717 */           group_2.setLayout((Layout)new GridLayout());
/*  718 */           group_2.setText("■待审查补领");
/*  719 */           group_2.setBackground(Display.getCurrent()
/*  720 */               .getSystemColor(1));
/*  721 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  722 */               67648);
/*  723 */           Table table_2 = tableViewer_1.getTable();
/*  724 */           table_2.setLinesVisible(true);
/*  725 */           table_2.setHeaderVisible(true);
/*  726 */           GridData gd_table_1_1 = new GridData(4, 
/*  727 */               4, true, false);
/*  728 */           gd_table_1_1.heightHint = 100;
/*  729 */           table_2.setLayoutData(gd_table_1_1);
/*  730 */           TableColumn newColumnTableColumns = new TableColumn(
/*  731 */               table_2, 16384);
/*  732 */           newColumnTableColumns.setAlignment(16384);
/*  733 */           newColumnTableColumns.setWidth(100);
/*  734 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  736 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  737 */               table_2, 16384);
/*  738 */           newColumnTableColumns_0.setAlignment(16384);
/*  739 */           newColumnTableColumns_0.setWidth(100);
/*  740 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  742 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  743 */               table_2, 16384);
/*  744 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  745 */           newColumnTableColumn_2_1.setWidth(50);
/*  746 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  748 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  749 */               table_2, 16777216);
/*  750 */           newColumnTableColumn_4.setAlignment(16777216);
/*  751 */           newColumnTableColumn_4.setWidth(200);
/*  752 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  754 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  755 */               table_2, 16384);
/*  756 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  757 */           newColumnTableColumn_4_1.setWidth(50);
/*  758 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  760 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  761 */               table_2, 16777216);
/*  762 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  763 */           newColumnTableColumn_1_1.setWidth(50);
/*  764 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */ 
/*      */           
/*  767 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  768 */               table_2, 16777216);
/*  769 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  770 */           newColumnTableColumn_3_1.setWidth(80);
/*  771 */           newColumnTableColumn_3_1.setText("历史记录");
/*  772 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  773 */           cursor_1 = new TableCursor(table_2, 0);
/*  774 */           cursor_1.setBackground(table_2.getDisplay()
/*  775 */               .getSystemColor(26));
/*  776 */           cursor_1.setForeground(table_2.getDisplay()
/*  777 */               .getSystemColor(27));
/*  778 */           tableViewer_1
/*  779 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  780 */           tableViewer_1
/*  781 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  782 */           tableViewer_1.setInput(this.list);
/*  783 */           setCursorActions(cursor_1, tableViewer_1, group_2, 3, "shencha", 4);
/*  784 */           setFontColor(table_2, "0");
/*  785 */           PublicUtil.setTableHeight(table_2);
/*  786 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  787 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  789 */           Button button_4 = new Button((Composite)group_2, 0);
/*  790 */           GridData gd_button_1 = new GridData(131072, 
/*  791 */               16777216, false, false);
/*  792 */           gd_button_1.widthHint = 62;
/*  793 */           button_4.setLayoutData(gd_button_1);
/*  794 */           button_4.setText("更  多");
/*  795 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  798 */                   QuntuanHomeView.this.setGoTo("7", "3");
/*      */                 }
/*      */               });
/*  801 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  805 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销审查员" })) {
/*  806 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 9, "shencha", 5);
/*  807 */         if (this.list != null && this.list.size() > 0) {
/*  808 */           Group group_2 = new Group(composite_1_1, 0);
/*  809 */           group_2.setLayoutData(new GridData(4, 4, 
/*  810 */                 true, true));
/*  811 */           group_2.setFont(
/*  812 */               SWTResourceManager.getFont("", 10, 1));
/*  813 */           group_2.setForeground(
/*  814 */               SWTResourceManager.getColor(208, 81, 4));
/*  815 */           group_2.setLayout((Layout)new GridLayout());
/*  816 */           group_2.setText("■待审查换领");
/*  817 */           group_2.setBackground(Display.getCurrent()
/*  818 */               .getSystemColor(1));
/*  819 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  820 */               67648);
/*  821 */           Table table_2 = tableViewer_1.getTable();
/*  822 */           table_2.setLinesVisible(true);
/*  823 */           table_2.setHeaderVisible(true);
/*  824 */           GridData gd_table_1_1 = new GridData(4, 
/*  825 */               4, true, false);
/*  826 */           gd_table_1_1.heightHint = 100;
/*  827 */           table_2.setLayoutData(gd_table_1_1);
/*  828 */           TableColumn newColumnTableColumns = new TableColumn(
/*  829 */               table_2, 16384);
/*  830 */           newColumnTableColumns.setAlignment(16384);
/*  831 */           newColumnTableColumns.setWidth(100);
/*  832 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  834 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  835 */               table_2, 16384);
/*  836 */           newColumnTableColumns_0.setAlignment(16384);
/*  837 */           newColumnTableColumns_0.setWidth(100);
/*  838 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  840 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  841 */               table_2, 16384);
/*  842 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  843 */           newColumnTableColumn_2_1.setWidth(50);
/*  844 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  846 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  847 */               table_2, 16777216);
/*  848 */           newColumnTableColumn_4.setAlignment(16777216);
/*  849 */           newColumnTableColumn_4.setWidth(200);
/*  850 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  852 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  853 */               table_2, 16384);
/*  854 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  855 */           newColumnTableColumn_4_1.setWidth(50);
/*  856 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  858 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  859 */               table_2, 16777216);
/*  860 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  861 */           newColumnTableColumn_1_1.setWidth(50);
/*  862 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/*  864 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  865 */               table_2, 16777216);
/*  866 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  867 */           newColumnTableColumn_3_1.setWidth(80);
/*  868 */           newColumnTableColumn_3_1.setText("历史记录");
/*  869 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  870 */           cursor_1 = new TableCursor(table_2, 0);
/*  871 */           cursor_1.setBackground(table_2.getDisplay()
/*  872 */               .getSystemColor(26));
/*  873 */           cursor_1.setForeground(table_2.getDisplay()
/*  874 */               .getSystemColor(27));
/*  875 */           tableViewer_1
/*  876 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  877 */           tableViewer_1
/*  878 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  879 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "shencha", 5);
/*  880 */           tableViewer_1.setInput(this.list);
/*  881 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "shencha", 5);
/*  882 */           setFontColor(table_2, "0");
/*  883 */           PublicUtil.setTableHeight(table_2);
/*  884 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  885 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  887 */           Button button_4 = new Button((Composite)group_2, 0);
/*  888 */           GridData gd_button_1 = new GridData(131072, 
/*  889 */               16777216, false, false);
/*  890 */           gd_button_1.widthHint = 62;
/*  891 */           button_4.setLayoutData(gd_button_1);
/*  892 */           button_4.setText("更  多");
/*  893 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  896 */                   QuntuanHomeView.this.setGoTo("7", "2");
/*      */                 }
/*      */               });
/*  899 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/*  903 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销审查员" })) {
/*  904 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "shencha", 2);
/*  905 */         if (this.list != null && this.list.size() > 0) {
/*  906 */           Group group_2 = new Group(composite_1_1, 0);
/*  907 */           group_2.setLayoutData(new GridData(4, 4, 
/*  908 */                 true, true));
/*  909 */           group_2.setFont(
/*  910 */               SWTResourceManager.getFont("", 10, 1));
/*  911 */           group_2.setForeground(
/*  912 */               SWTResourceManager.getColor(208, 81, 4));
/*  913 */           group_2.setLayout((Layout)new GridLayout());
/*  914 */           group_2.setText("■待审查撤销");
/*  915 */           group_2.setBackground(Display.getCurrent()
/*  916 */               .getSystemColor(1));
/*  917 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/*  918 */               67648);
/*  919 */           Table table_2 = tableViewer_1.getTable();
/*  920 */           table_2.setLinesVisible(true);
/*  921 */           table_2.setHeaderVisible(true);
/*  922 */           GridData gd_table_1_1 = new GridData(4, 
/*  923 */               4, true, false);
/*  924 */           gd_table_1_1.heightHint = 100;
/*  925 */           table_2.setLayoutData(gd_table_1_1);
/*  926 */           TableColumn newColumnTableColumns = new TableColumn(
/*  927 */               table_2, 16384);
/*  928 */           newColumnTableColumns.setAlignment(16384);
/*  929 */           newColumnTableColumns.setWidth(100);
/*  930 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/*  932 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/*  933 */               table_2, 16384);
/*  934 */           newColumnTableColumns_0.setAlignment(16384);
/*  935 */           newColumnTableColumns_0.setWidth(100);
/*  936 */           newColumnTableColumns_0.setText("编号");
/*      */           
/*  938 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/*  939 */               table_2, 16384);
/*  940 */           newColumnTableColumn_2_1.setAlignment(16384);
/*  941 */           newColumnTableColumn_2_1.setWidth(50);
/*  942 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/*  944 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/*  945 */               table_2, 16777216);
/*  946 */           newColumnTableColumn_4.setAlignment(16777216);
/*  947 */           newColumnTableColumn_4.setWidth(200);
/*  948 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/*  950 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/*  951 */               table_2, 16384);
/*  952 */           newColumnTableColumn_4_1.setAlignment(16384);
/*  953 */           newColumnTableColumn_4_1.setWidth(50);
/*  954 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/*  956 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/*  957 */               table_2, 16777216);
/*  958 */           newColumnTableColumn_1_1.setAlignment(16777216);
/*  959 */           newColumnTableColumn_1_1.setWidth(50);
/*  960 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/*  962 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/*  963 */               table_2, 16777216);
/*  964 */           newColumnTableColumn_3_1.setAlignment(16777216);
/*  965 */           newColumnTableColumn_3_1.setWidth(80);
/*  966 */           newColumnTableColumn_3_1.setText("历史记录");
/*  967 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/*  968 */           cursor_1 = new TableCursor(table_2, 0);
/*  969 */           cursor_1.setBackground(table_2.getDisplay()
/*  970 */               .getSystemColor(26));
/*  971 */           cursor_1.setForeground(table_2.getDisplay()
/*  972 */               .getSystemColor(27));
/*  973 */           tableViewer_1
/*  974 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/*  975 */           tableViewer_1
/*  976 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/*  977 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "shencha", 2);
/*  978 */           tableViewer_1.setInput(this.list);
/*  979 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "shencha", 2);
/*  980 */           setFontColor(table_2, "0");
/*  981 */           PublicUtil.setTableHeight(table_2);
/*  982 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/*  983 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/*  985 */           Button button_4 = new Button((Composite)group_2, 0);
/*  986 */           GridData gd_button_1 = new GridData(131072, 
/*  987 */               16777216, false, false);
/*  988 */           gd_button_1.widthHint = 62;
/*  989 */           button_4.setLayoutData(gd_button_1);
/*  990 */           button_4.setText("更  多");
/*  991 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/*  994 */                   QuntuanHomeView.this.setGoTo("7", "9");
/*      */                 }
/*      */               });
/*  997 */           height += 178;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 1002 */     return height;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private int setWaitReCheck(Composite composite) {
/* 1009 */     int height = 0;
/* 1010 */     height += 22;
/* 1011 */     TableCursor cursor_1 = null;
/* 1012 */     Composite composite_1_1 = new Composite(composite, 0);
/* 1013 */     composite_1_1.setLayoutData(new GridData(4, 4, true, false));
/* 1014 */     GridLayout gridLayout = new GridLayout();
/* 1015 */     gridLayout.marginWidth = 0;
/* 1016 */     gridLayout.horizontalSpacing = 0;
/* 1017 */     gridLayout.marginLeft = 0;
/* 1018 */     gridLayout.marginRight = 0;
/* 1019 */     composite_1_1.setLayout((Layout)gridLayout);
/* 1020 */     composite_1_1.setBackground(Display.getCurrent()
/* 1021 */         .getSystemColor(1));
/*      */     
/* 1023 */     if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更复核员", "党群机关撤销复核员", 
/* 1024 */           "党群机关补领复核员", "党群机关换领复核员" })) {
/* 1025 */       Label label = new Label(composite_1_1, 0);
/* 1026 */       label.setText(">>复核列表");
/* 1027 */       label.setBackground(Display.getCurrent()
/* 1028 */           .getSystemColor(1));
/* 1029 */       label.setFont(SWTResourceManager.getFont("", 10, 1));
/*      */       
/* 1031 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关变更复核员" })) {
/* 1032 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 1, "audit", 1);
/* 1033 */         if (this.list != null && this.list.size() > 0) {
/* 1034 */           Group group_2 = new Group(composite_1_1, 0);
/* 1035 */           group_2.setLayoutData(new GridData(4, 4, 
/* 1036 */                 true, true));
/* 1037 */           group_2.setFont(
/* 1038 */               SWTResourceManager.getFont("", 10, 1));
/* 1039 */           group_2.setForeground(
/* 1040 */               SWTResourceManager.getColor(208, 81, 4));
/* 1041 */           group_2.setLayout((Layout)new GridLayout());
/* 1042 */           group_2.setText("■待复核变更");
/* 1043 */           group_2.setBackground(Display.getCurrent()
/* 1044 */               .getSystemColor(1));
/* 1045 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/* 1046 */               67648);
/* 1047 */           Table table_2 = tableViewer_1.getTable();
/* 1048 */           table_2.setLinesVisible(true);
/* 1049 */           table_2.setHeaderVisible(true);
/* 1050 */           GridData gd_table_1_1 = new GridData(4, 
/* 1051 */               4, true, false);
/* 1052 */           gd_table_1_1.heightHint = 100;
/* 1053 */           table_2.setLayoutData(gd_table_1_1);
/* 1054 */           TableColumn newColumnTableColumns = new TableColumn(
/* 1055 */               table_2, 16384);
/* 1056 */           newColumnTableColumns.setAlignment(16384);
/* 1057 */           newColumnTableColumns.setWidth(100);
/* 1058 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/* 1060 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/* 1061 */               table_2, 16384);
/* 1062 */           newColumnTableColumns_0.setAlignment(16384);
/* 1063 */           newColumnTableColumns_0.setWidth(100);
/* 1064 */           newColumnTableColumns_0.setText("编号");
/*      */           
/* 1066 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/* 1067 */               table_2, 16384);
/* 1068 */           newColumnTableColumn_2_1.setAlignment(16384);
/* 1069 */           newColumnTableColumn_2_1.setWidth(50);
/* 1070 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/* 1072 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/* 1073 */               table_2, 16777216);
/* 1074 */           newColumnTableColumn_4.setAlignment(16777216);
/* 1075 */           newColumnTableColumn_4.setWidth(200);
/* 1076 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/* 1078 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/* 1079 */               table_2, 16384);
/* 1080 */           newColumnTableColumn_4_1.setAlignment(16384);
/* 1081 */           newColumnTableColumn_4_1.setWidth(50);
/* 1082 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/* 1084 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/* 1085 */               table_2, 16777216);
/* 1086 */           newColumnTableColumn_1_1.setAlignment(16777216);
/* 1087 */           newColumnTableColumn_1_1.setWidth(50);
/* 1088 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/* 1090 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/* 1091 */               table_2, 16777216);
/* 1092 */           newColumnTableColumn_3_1.setAlignment(16777216);
/* 1093 */           newColumnTableColumn_3_1.setWidth(80);
/* 1094 */           newColumnTableColumn_3_1.setText("历史记录");
/* 1095 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/* 1096 */           cursor_1 = new TableCursor(table_2, 0);
/* 1097 */           cursor_1.setBackground(table_2.getDisplay()
/* 1098 */               .getSystemColor(26));
/* 1099 */           cursor_1.setForeground(table_2.getDisplay()
/* 1100 */               .getSystemColor(27));
/* 1101 */           tableViewer_1
/* 1102 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/* 1103 */           tableViewer_1
/* 1104 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/* 1105 */           tableViewer_1.setInput(this.list);
/* 1106 */           setCursorActions(cursor_1, tableViewer_1, group_2, 1, "audit", 1);
/* 1107 */           setFontColor(table_2, "0");
/* 1108 */           PublicUtil.setTableHeight(table_2);
/* 1109 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/* 1110 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/* 1112 */           Button button_4 = new Button((Composite)group_2, 0);
/* 1113 */           GridData gd_button_1 = new GridData(131072, 
/* 1114 */               16777216, false, false);
/* 1115 */           gd_button_1.widthHint = 62;
/* 1116 */           button_4.setLayoutData(gd_button_1);
/* 1117 */           button_4.setText("更  多");
/* 1118 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/* 1121 */                   QuntuanHomeView.this.setGoTo("2", "1");
/*      */                 }
/*      */               });
/* 1124 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/* 1128 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关补领复核员" })) {
/* 1129 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 3, "audit", 4);
/* 1130 */         if (this.list != null && this.list.size() > 0) {
/* 1131 */           Group group_2 = new Group(composite_1_1, 0);
/* 1132 */           group_2.setLayoutData(new GridData(4, 4, 
/* 1133 */                 true, true));
/* 1134 */           group_2.setFont(
/* 1135 */               SWTResourceManager.getFont("", 10, 1));
/* 1136 */           group_2.setForeground(
/* 1137 */               SWTResourceManager.getColor(208, 81, 4));
/* 1138 */           group_2.setLayout((Layout)new GridLayout());
/* 1139 */           group_2.setText("■待复核补领");
/* 1140 */           group_2.setBackground(Display.getCurrent()
/* 1141 */               .getSystemColor(1));
/* 1142 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/* 1143 */               67648);
/* 1144 */           Table table_2 = tableViewer_1.getTable();
/* 1145 */           table_2.setLinesVisible(true);
/* 1146 */           table_2.setHeaderVisible(true);
/* 1147 */           GridData gd_table_1_1 = new GridData(4, 
/* 1148 */               4, true, false);
/* 1149 */           gd_table_1_1.heightHint = 100;
/* 1150 */           table_2.setLayoutData(gd_table_1_1);
/* 1151 */           TableColumn newColumnTableColumns = new TableColumn(
/* 1152 */               table_2, 16384);
/* 1153 */           newColumnTableColumns.setAlignment(16384);
/* 1154 */           newColumnTableColumns.setWidth(100);
/* 1155 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/* 1157 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/* 1158 */               table_2, 16384);
/* 1159 */           newColumnTableColumns_0.setAlignment(16384);
/* 1160 */           newColumnTableColumns_0.setWidth(100);
/* 1161 */           newColumnTableColumns_0.setText("编号");
/*      */           
/* 1163 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/* 1164 */               table_2, 16384);
/* 1165 */           newColumnTableColumn_2_1.setAlignment(16384);
/* 1166 */           newColumnTableColumn_2_1.setWidth(50);
/* 1167 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/* 1169 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/* 1170 */               table_2, 16777216);
/* 1171 */           newColumnTableColumn_4.setAlignment(16777216);
/* 1172 */           newColumnTableColumn_4.setWidth(200);
/* 1173 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/* 1175 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/* 1176 */               table_2, 16384);
/* 1177 */           newColumnTableColumn_4_1.setAlignment(16384);
/* 1178 */           newColumnTableColumn_4_1.setWidth(50);
/* 1179 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/* 1181 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/* 1182 */               table_2, 16777216);
/* 1183 */           newColumnTableColumn_1_1.setAlignment(16777216);
/* 1184 */           newColumnTableColumn_1_1.setWidth(50);
/* 1185 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */ 
/*      */           
/* 1188 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/* 1189 */               table_2, 16777216);
/* 1190 */           newColumnTableColumn_3_1.setAlignment(16777216);
/* 1191 */           newColumnTableColumn_3_1.setWidth(80);
/* 1192 */           newColumnTableColumn_3_1.setText("历史记录");
/* 1193 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/* 1194 */           cursor_1 = new TableCursor(table_2, 0);
/* 1195 */           cursor_1.setBackground(table_2.getDisplay()
/* 1196 */               .getSystemColor(26));
/* 1197 */           cursor_1.setForeground(table_2.getDisplay()
/* 1198 */               .getSystemColor(27));
/* 1199 */           tableViewer_1
/* 1200 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/* 1201 */           tableViewer_1
/* 1202 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/* 1203 */           tableViewer_1.setInput(this.list);
/* 1204 */           setCursorActions(cursor_1, tableViewer_1, group_2, 3, "audit", 4);
/* 1205 */           setFontColor(table_2, "0");
/* 1206 */           PublicUtil.setTableHeight(table_2);
/* 1207 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/* 1208 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/* 1210 */           Button button_4 = new Button((Composite)group_2, 0);
/* 1211 */           GridData gd_button_1 = new GridData(131072, 
/* 1212 */               16777216, false, false);
/* 1213 */           gd_button_1.widthHint = 62;
/* 1214 */           button_4.setLayoutData(gd_button_1);
/* 1215 */           button_4.setText("更  多");
/* 1216 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/* 1219 */                   QuntuanHomeView.this.setGoTo("2", "3");
/*      */                 }
/*      */               });
/* 1222 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/* 1226 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销复核员" })) {
/* 1227 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 9, "audit", 5);
/* 1228 */         if (this.list != null && this.list.size() > 0) {
/* 1229 */           Group group_2 = new Group(composite_1_1, 0);
/* 1230 */           group_2.setLayoutData(new GridData(4, 4, 
/* 1231 */                 true, true));
/* 1232 */           group_2.setFont(
/* 1233 */               SWTResourceManager.getFont("", 10, 1));
/* 1234 */           group_2.setForeground(
/* 1235 */               SWTResourceManager.getColor(208, 81, 4));
/* 1236 */           group_2.setLayout((Layout)new GridLayout());
/* 1237 */           group_2.setText("■待复核换领");
/* 1238 */           group_2.setBackground(Display.getCurrent()
/* 1239 */               .getSystemColor(1));
/* 1240 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/* 1241 */               67648);
/* 1242 */           Table table_2 = tableViewer_1.getTable();
/* 1243 */           table_2.setLinesVisible(true);
/* 1244 */           table_2.setHeaderVisible(true);
/* 1245 */           GridData gd_table_1_1 = new GridData(4, 
/* 1246 */               4, true, false);
/* 1247 */           gd_table_1_1.heightHint = 100;
/* 1248 */           table_2.setLayoutData(gd_table_1_1);
/* 1249 */           TableColumn newColumnTableColumns = new TableColumn(
/* 1250 */               table_2, 16384);
/* 1251 */           newColumnTableColumns.setAlignment(16384);
/* 1252 */           newColumnTableColumns.setWidth(100);
/* 1253 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/* 1255 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/* 1256 */               table_2, 16384);
/* 1257 */           newColumnTableColumns_0.setAlignment(16384);
/* 1258 */           newColumnTableColumns_0.setWidth(100);
/* 1259 */           newColumnTableColumns_0.setText("编号");
/*      */           
/* 1261 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/* 1262 */               table_2, 16384);
/* 1263 */           newColumnTableColumn_2_1.setAlignment(16384);
/* 1264 */           newColumnTableColumn_2_1.setWidth(50);
/* 1265 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/* 1267 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/* 1268 */               table_2, 16777216);
/* 1269 */           newColumnTableColumn_4.setAlignment(16777216);
/* 1270 */           newColumnTableColumn_4.setWidth(200);
/* 1271 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/* 1273 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/* 1274 */               table_2, 16384);
/* 1275 */           newColumnTableColumn_4_1.setAlignment(16384);
/* 1276 */           newColumnTableColumn_4_1.setWidth(50);
/* 1277 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/* 1279 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/* 1280 */               table_2, 16777216);
/* 1281 */           newColumnTableColumn_1_1.setAlignment(16777216);
/* 1282 */           newColumnTableColumn_1_1.setWidth(50);
/* 1283 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/* 1285 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/* 1286 */               table_2, 16777216);
/* 1287 */           newColumnTableColumn_3_1.setAlignment(16777216);
/* 1288 */           newColumnTableColumn_3_1.setWidth(80);
/* 1289 */           newColumnTableColumn_3_1.setText("历史记录");
/* 1290 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/* 1291 */           cursor_1 = new TableCursor(table_2, 0);
/* 1292 */           cursor_1.setBackground(table_2.getDisplay()
/* 1293 */               .getSystemColor(26));
/* 1294 */           cursor_1.setForeground(table_2.getDisplay()
/* 1295 */               .getSystemColor(27));
/* 1296 */           tableViewer_1
/* 1297 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/* 1298 */           tableViewer_1
/* 1299 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/* 1300 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "audit", 5);
/* 1301 */           tableViewer_1.setInput(this.list);
/* 1302 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "audit", 5);
/* 1303 */           setFontColor(table_2, "0");
/* 1304 */           PublicUtil.setTableHeight(table_2);
/* 1305 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/* 1306 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/* 1308 */           Button button_4 = new Button((Composite)group_2, 0);
/* 1309 */           GridData gd_button_1 = new GridData(131072, 
/* 1310 */               16777216, false, false);
/* 1311 */           gd_button_1.widthHint = 62;
/* 1312 */           button_4.setLayoutData(gd_button_1);
/* 1313 */           button_4.setText("更  多");
/* 1314 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/* 1317 */                   QuntuanHomeView.this.setGoTo("2", "2");
/*      */                 }
/*      */               });
/* 1320 */           height += 178;
/*      */         } 
/*      */       } 
/*      */       
/* 1324 */       if (this.verifyRole.haveRoleRight(new String[] { "党群机关撤销复核员" })) {
/* 1325 */         this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "audit", 2);
/* 1326 */         if (this.list != null && this.list.size() > 0) {
/* 1327 */           Group group_2 = new Group(composite_1_1, 0);
/* 1328 */           group_2.setLayoutData(new GridData(4, 4, 
/* 1329 */                 true, true));
/* 1330 */           group_2.setFont(
/* 1331 */               SWTResourceManager.getFont("", 10, 1));
/* 1332 */           group_2.setForeground(
/* 1333 */               SWTResourceManager.getColor(208, 81, 4));
/* 1334 */           group_2.setLayout((Layout)new GridLayout());
/* 1335 */           group_2.setText("■待复核撤销");
/* 1336 */           group_2.setBackground(Display.getCurrent()
/* 1337 */               .getSystemColor(1));
/* 1338 */           TableViewer tableViewer_1 = new TableViewer((Composite)group_2, 
/* 1339 */               67648);
/* 1340 */           Table table_2 = tableViewer_1.getTable();
/* 1341 */           table_2.setLinesVisible(true);
/* 1342 */           table_2.setHeaderVisible(true);
/* 1343 */           GridData gd_table_1_1 = new GridData(4, 
/* 1344 */               4, true, false);
/* 1345 */           gd_table_1_1.heightHint = 100;
/* 1346 */           table_2.setLayoutData(gd_table_1_1);
/* 1347 */           TableColumn newColumnTableColumns = new TableColumn(
/* 1348 */               table_2, 16384);
/* 1349 */           newColumnTableColumns.setAlignment(16384);
/* 1350 */           newColumnTableColumns.setWidth(100);
/* 1351 */           newColumnTableColumns.setText("统一社会信用代码");
/*      */           
/* 1353 */           TableColumn newColumnTableColumns_0 = new TableColumn(
/* 1354 */               table_2, 16384);
/* 1355 */           newColumnTableColumns_0.setAlignment(16384);
/* 1356 */           newColumnTableColumns_0.setWidth(100);
/* 1357 */           newColumnTableColumns_0.setText("编号");
/*      */           
/* 1359 */           TableColumn newColumnTableColumn_2_1 = new TableColumn(
/* 1360 */               table_2, 16384);
/* 1361 */           newColumnTableColumn_2_1.setAlignment(16384);
/* 1362 */           newColumnTableColumn_2_1.setWidth(50);
/* 1363 */           newColumnTableColumn_2_1.setText("办理状态");
/*      */           
/* 1365 */           TableColumn newColumnTableColumn_4 = new TableColumn(
/* 1366 */               table_2, 16777216);
/* 1367 */           newColumnTableColumn_4.setAlignment(16777216);
/* 1368 */           newColumnTableColumn_4.setWidth(200);
/* 1369 */           newColumnTableColumn_4.setText("机构名称");
/*      */           
/* 1371 */           TableColumn newColumnTableColumn_4_1 = new TableColumn(
/* 1372 */               table_2, 16384);
/* 1373 */           newColumnTableColumn_4_1.setAlignment(16384);
/* 1374 */           newColumnTableColumn_4_1.setWidth(50);
/* 1375 */           newColumnTableColumn_4_1.setText("机构性质");
/*      */           
/* 1377 */           TableColumn newColumnTableColumn_1_1 = new TableColumn(
/* 1378 */               table_2, 16777216);
/* 1379 */           newColumnTableColumn_1_1.setAlignment(16777216);
/* 1380 */           newColumnTableColumn_1_1.setWidth(50);
/* 1381 */           newColumnTableColumn_1_1.setText("更新时间");
/*      */           
/* 1383 */           TableColumn newColumnTableColumn_3_1 = new TableColumn(
/* 1384 */               table_2, 16777216);
/* 1385 */           newColumnTableColumn_3_1.setAlignment(16777216);
/* 1386 */           newColumnTableColumn_3_1.setWidth(80);
/* 1387 */           newColumnTableColumn_3_1.setText("历史记录");
/* 1388 */           PublicUtil.setMouseHands(table_2, "0#3#6");
/* 1389 */           cursor_1 = new TableCursor(table_2, 0);
/* 1390 */           cursor_1.setBackground(table_2.getDisplay()
/* 1391 */               .getSystemColor(26));
/* 1392 */           cursor_1.setForeground(table_2.getDisplay()
/* 1393 */               .getSystemColor(27));
/* 1394 */           tableViewer_1
/* 1395 */             .setContentProvider((IContentProvider)new TableViewContentProvider());
/* 1396 */           tableViewer_1
/* 1397 */             .setLabelProvider((IBaseLabelProvider)new FfrShouliLableProvider());
/* 1398 */           this.list = this.withDataManage.getWithinputFfrInfo(this.groupId, 0, 5, "", 2, "audit", 2);
/* 1399 */           tableViewer_1.setInput(this.list);
/* 1400 */           setCursorActions(cursor_1, tableViewer_1, group_2, 2, "audit", 2);
/* 1401 */           setFontColor(table_2, "0");
/* 1402 */           PublicUtil.setTableHeight(table_2);
/* 1403 */           PublicUtil.setTableWidth(composite_1_1, table_2, 
/* 1404 */               "1:1:1:3.5:1:1:1.5");
/*      */           
/* 1406 */           Button button_4 = new Button((Composite)group_2, 0);
/* 1407 */           GridData gd_button_1 = new GridData(131072, 
/* 1408 */               16777216, false, false);
/* 1409 */           gd_button_1.widthHint = 62;
/* 1410 */           button_4.setLayoutData(gd_button_1);
/* 1411 */           button_4.setText("更  多");
/* 1412 */           button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */               {
/*      */                 public void widgetSelected(SelectionEvent arg0) {
/* 1415 */                   QuntuanHomeView.this.setGoTo("2", "9");
/*      */                 }
/*      */               });
/* 1418 */           height += 178;
/*      */         } 
/*      */       } 
/*      */     } 
/*      */     
/* 1423 */     return height;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setActions() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setComposite() {
/* 1437 */     if (this.composite_2 != null) {
/* 1438 */       this.composite_2.dispose();
/*      */     }
/* 1440 */     this.composite_2 = new Composite(this.composite, 0);
/* 1441 */     GridLayout lay = new GridLayout();
/* 1442 */     lay.horizontalSpacing = 0;
/* 1443 */     lay.marginWidth = 0;
/* 1444 */     this.composite_2.setLayoutData(new GridData(4, 4, true, false, 
/* 1445 */           2, 1));
/* 1446 */     this.composite_2.setLayout((Layout)lay);
/* 1447 */     this.composite_2.setBackground(Display.getCurrent()
/* 1448 */         .getSystemColor(1));
/*      */ 
/*      */     
/* 1451 */     int waitAcceptHeight = setWaitAccept(this.composite_2);
/*      */     
/* 1453 */     int waitShenchaHeight = setWaitShencha(this.composite_2);
/*      */     
/* 1455 */     int waitReCheckHeight = setWaitReCheck(this.composite_2);
/*      */     
/* 1457 */     this.composite.setSize(490, 454 + waitAcceptHeight + (
/* 1458 */         (waitAcceptHeight == 0) ? 0 : 5) + waitShenchaHeight + (
/* 1459 */         (waitShenchaHeight == 0) ? 0 : 5) + waitReCheckHeight + (
/* 1460 */         (waitReCheckHeight == 0) ? 0 : 5) + 10);
/* 1461 */     this.composite_2.setSize(490, waitAcceptHeight + (
/* 1462 */         (waitAcceptHeight == 0) ? 0 : 5) + waitShenchaHeight + (
/* 1463 */         (waitShenchaHeight == 0) ? 0 : 5) + waitReCheckHeight + (
/* 1464 */         (waitReCheckHeight == 0) ? 0 : 5));
/*      */     
/* 1466 */     this.composite_2.layout();
/* 1467 */     this.composite.setBackground(Display.getCurrent()
/* 1468 */         .getSystemColor(1));
/* 1469 */     this.composite.layout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setCursorActions(final TableCursor cursor, final TableViewer table, Group group, final int type, final String applyType, int operType) {
/* 1478 */     cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */         {
/*      */           public void mouseDown(MouseEvent arg0) {
/* 1481 */             int colums = ((TableCursor)arg0.getSource()).getColumn();
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1486 */             QuntuanHomeView.this.setUnitNameLink(table, colums, type, applyType);
/*      */           }
/*      */         });
/*      */     
/* 1490 */     table.addSelectionChangedListener(new ISelectionChangedListener()
/*      */         {
/*      */           public void selectionChanged(SelectionChangedEvent arg0) {
/* 1493 */             cursor.getColumn();
/* 1494 */             int colums = cursor.getColumn();
/*      */ 
/*      */ 
/*      */ 
/*      */             
/* 1499 */             QuntuanHomeView.this.setUnitNameLink(table, colums, type, applyType);
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setUnitNameLink(TableViewer table, int colums, int type, String applyType) {
/* 1513 */     if (colums == 0 || colums == 3) {
/* 1514 */       if ("accept".equals(applyType)) {
/* 1515 */         openAcceptInsDetailDialog(table, type);
/* 1516 */       } else if ("shencha".equals(applyType)) {
/* 1517 */         openShenchaDetailDialog(table, type);
/* 1518 */       } else if ("audit".equals(applyType)) {
/* 1519 */         openAuditInsDetailDialog(table, type);
/*      */       } 
/*      */     }
/* 1522 */     if (colums == 6) {
/* 1523 */       openInsListDialog(table, type);
/*      */     }
/*      */   }
/*      */ 
/*      */   
/*      */   private void openAcceptInsDetailDialog(TableViewer tableViewer, int type) {
/* 1529 */     IStructuredSelection select = (IStructuredSelection)tableViewer
/* 1530 */       .getSelection();
/* 1531 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*      */     
/* 1533 */     DataAdjustOperation oper = new DataAdjustOperation();
/*      */ 
/*      */     
/* 1536 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 1537 */     insinfolist = oper.queryFfrApplyInfo(insinfo.getSydwid(), insinfo.getRealid());
/* 1538 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 1539 */     if (insinfolist.size() > 0) {
/* 1540 */       frinfo = insinfolist.get(0);
/*      */     }
/*      */     
/* 1543 */     insinfolist = oper.QueryFfrInfo(insinfo.getSydwid(), "");
/* 1544 */     InstaurationFRInfo frInfoOld = new InstaurationFRInfo();
/* 1545 */     if (insinfolist.size() > 0) {
/* 1546 */       frInfoOld = insinfolist.get(0);
/*      */     }
/* 1548 */     if (1 == type) {
/*      */       
/* 1550 */       FfrBiangengShouliDialog dialog = new FfrBiangengShouliDialog(
/* 1551 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1552 */           .getShell(), frinfo, frInfoOld, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1553 */       if (dialog.open() == 0) {
/* 1554 */         boolean checkUpdate = false;
/*      */         
/* 1556 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1557 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1560 */           this.alertMsg = this.withDataManage
/*      */             
/* 1562 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1563 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1564 */             WithinputIsNew win = new WithinputIsNew();
/* 1565 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1566 */             if ("true".equals(win.getIsnew())) {
/* 1567 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1570 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1575 */         if (checkUpdate) {
/* 1576 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1577 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1578 */               GljgUserInfo.getInstance().getUserid(), 
/* 1579 */               GljgUserInfo.getInstance().getRealname(), 
/* 1580 */               GljgUserInfo.getInstance().getDistrictcode(), "accept");
/* 1581 */           if (strFlag != null) {
/* 1582 */             if ("true".equals(strFlag)) {
/*      */               
/* 1584 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息成功！");
/*      */             } else {
/*      */               
/* 1587 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } else {
/* 1595 */       FfrShouliDialog dialog = new FfrShouliDialog(
/* 1596 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1597 */           .getShell(), frinfo, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1598 */       if (dialog.open() == 0) {
/* 1599 */         boolean checkUpdate = false;
/*      */         
/* 1601 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1602 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1605 */           this.alertMsg = this.withDataManage
/*      */             
/* 1607 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1608 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1609 */             WithinputIsNew win = new WithinputIsNew();
/* 1610 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1611 */             if ("true".equals(win.getIsnew())) {
/* 1612 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1615 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1620 */         if (checkUpdate) {
/* 1621 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1622 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1623 */               GljgUserInfo.getInstance().getUserid(), 
/* 1624 */               GljgUserInfo.getInstance().getRealname(), 
/* 1625 */               GljgUserInfo.getInstance().getDistrictcode(), "accept");
/* 1626 */           if (strFlag != null) {
/* 1627 */             if ("true".equals(strFlag)) {
/*      */               
/* 1629 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息成功！");
/*      */             } else {
/*      */               
/* 1632 */               SydjMessageDialog.openInformation(null, "提示", "受理机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/* 1640 */     setComposite();
/*      */   }
/*      */ 
/*      */   
/*      */   private void openShenchaDetailDialog(TableViewer tableViewer, int type) {
/* 1645 */     IStructuredSelection select = (IStructuredSelection)tableViewer
/* 1646 */       .getSelection();
/* 1647 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*      */     
/* 1649 */     DataAdjustOperation oper = new DataAdjustOperation();
/*      */ 
/*      */     
/* 1652 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 1653 */     insinfolist = oper.queryFfrApplyInfo(insinfo.getSydwid(), insinfo.getRealid());
/* 1654 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 1655 */     if (insinfolist.size() > 0) {
/* 1656 */       frinfo = insinfolist.get(0);
/*      */     }
/*      */     
/* 1659 */     insinfolist = oper.QueryFfrInfo(insinfo.getSydwid(), "");
/* 1660 */     InstaurationFRInfo frInfoOld = new InstaurationFRInfo();
/* 1661 */     if (insinfolist.size() > 0) {
/* 1662 */       frInfoOld = insinfolist.get(0);
/*      */     }
/* 1664 */     if (1 == type) {
/*      */       
/* 1666 */       FfrBiangengShenchaDialog dialog = new FfrBiangengShenchaDialog(
/* 1667 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1668 */           .getShell(), frinfo, frInfoOld, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1669 */       if (dialog.open() == 0) {
/* 1670 */         boolean checkUpdate = false;
/*      */         
/* 1672 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1673 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1676 */           this.alertMsg = this.withDataManage
/*      */             
/* 1678 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1679 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1680 */             WithinputIsNew win = new WithinputIsNew();
/* 1681 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1682 */             if ("true".equals(win.getIsnew())) {
/* 1683 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1686 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1691 */         if (checkUpdate) {
/* 1692 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1693 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1694 */               GljgUserInfo.getInstance().getUserid(), 
/* 1695 */               GljgUserInfo.getInstance().getRealname(), 
/* 1696 */               GljgUserInfo.getInstance().getDistrictcode(), "shencha");
/* 1697 */           if (strFlag != null) {
/* 1698 */             if ("true".equals(strFlag)) {
/*      */               
/* 1700 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息成功！");
/*      */             } else {
/*      */               
/* 1703 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } else {
/* 1711 */       FfrShenchaDialog dialog = new FfrShenchaDialog(
/* 1712 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1713 */           .getShell(), frinfo, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1714 */       if (dialog.open() == 0) {
/* 1715 */         boolean checkUpdate = false;
/*      */         
/* 1717 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1718 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1721 */           this.alertMsg = this.withDataManage
/*      */             
/* 1723 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1724 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1725 */             WithinputIsNew win = new WithinputIsNew();
/* 1726 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1727 */             if ("true".equals(win.getIsnew())) {
/* 1728 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1731 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1736 */         if (checkUpdate) {
/* 1737 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1738 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1739 */               GljgUserInfo.getInstance().getUserid(), 
/* 1740 */               GljgUserInfo.getInstance().getRealname(), 
/* 1741 */               GljgUserInfo.getInstance().getDistrictcode(), "shencha");
/* 1742 */           if (strFlag != null) {
/* 1743 */             if ("true".equals(strFlag)) {
/*      */               
/* 1745 */               SydjMessageDialog.openInformation(null, "提示", "审查机构信息成功！");
/*      */             } else {
/*      */               
/* 1748 */               SydjMessageDialog.openInformation(null, "提示", "审查机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/* 1756 */     setComposite();
/*      */   }
/*      */ 
/*      */   
/*      */   private void openAuditInsDetailDialog(TableViewer tableViewer, int type) {
/* 1761 */     IStructuredSelection select = (IStructuredSelection)tableViewer
/* 1762 */       .getSelection();
/* 1763 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*      */     
/* 1765 */     DataAdjustOperation oper = new DataAdjustOperation();
/*      */ 
/*      */     
/* 1768 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 1769 */     insinfolist = oper.queryFfrApplyInfo(insinfo.getSydwid(), insinfo.getRealid());
/* 1770 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 1771 */     if (insinfolist.size() > 0) {
/* 1772 */       frinfo = insinfolist.get(0);
/*      */     }
/*      */     
/* 1775 */     insinfolist = oper.QueryFfrInfo(insinfo.getSydwid(), "");
/* 1776 */     InstaurationFRInfo frInfoOld = new InstaurationFRInfo();
/* 1777 */     if (insinfolist.size() > 0) {
/* 1778 */       frInfoOld = insinfolist.get(0);
/*      */     }
/* 1780 */     if (1 == type) {
/*      */       
/* 1782 */       FfrBiangengShenheDialog dialog = new FfrBiangengShenheDialog(
/* 1783 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1784 */           .getShell(), frinfo, frInfoOld, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1785 */       if (dialog.open() == 0) {
/* 1786 */         boolean checkUpdate = false;
/*      */         
/* 1788 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1789 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1792 */           this.alertMsg = this.withDataManage
/*      */             
/* 1794 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1795 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1796 */             WithinputIsNew win = new WithinputIsNew();
/* 1797 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1798 */             if ("true".equals(win.getIsnew())) {
/* 1799 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1802 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1807 */         if (checkUpdate) {
/* 1808 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1809 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1810 */               GljgUserInfo.getInstance().getUserid(), 
/* 1811 */               GljgUserInfo.getInstance().getRealname(), 
/* 1812 */               GljgUserInfo.getInstance().getDistrictcode(), "audit");
/* 1813 */           if (strFlag != null) {
/* 1814 */             if ("true".equals(strFlag)) {
/*      */               
/* 1816 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息成功！");
/*      */             } else {
/*      */               
/* 1819 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } else {
/* 1827 */       FfrShenheDialog dialog = new FfrShenheDialog(
/* 1828 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1829 */           .getShell(), frinfo, insinfo.getApplystate(), Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 1830 */       if (dialog.open() == 0) {
/* 1831 */         boolean checkUpdate = false;
/*      */         
/* 1833 */         if (frinfo.getSYDW_NAME_FIRST().equals(dialog.getAfterMod().getSYDW_NAME_FIRST())) {
/* 1834 */           checkUpdate = true;
/*      */         } else {
/*      */           
/* 1837 */           this.alertMsg = this.withDataManage
/*      */             
/* 1839 */             .isNew("0", "0", dialog.getAfterMod().getSYDW_NAME_FIRST().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/* 1840 */           if (this.alertMsg != null && this.alertMsg.length() > 0) {
/* 1841 */             WithinputIsNew win = new WithinputIsNew();
/* 1842 */             win = (WithinputIsNew)MessageXML.XMLToObject(this.alertMsg);
/* 1843 */             if ("true".equals(win.getIsnew())) {
/* 1844 */               checkUpdate = true;
/*      */             }
/*      */           } else {
/* 1847 */             checkUpdate = true;
/*      */           } 
/*      */         } 
/*      */ 
/*      */         
/* 1852 */         if (checkUpdate) {
/* 1853 */           String strFlag = oper.saveSnapFfrOpinionInfo(frinfo, dialog.getAfterMod(), 
/* 1854 */               GljgUserInfo.getInstance().getGroupid(), 
/* 1855 */               GljgUserInfo.getInstance().getUserid(), 
/* 1856 */               GljgUserInfo.getInstance().getRealname(), 
/* 1857 */               GljgUserInfo.getInstance().getDistrictcode(), "audit");
/* 1858 */           if (strFlag != null) {
/* 1859 */             if ("true".equals(strFlag)) {
/*      */               
/* 1861 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息成功！");
/*      */             } else {
/*      */               
/* 1864 */               SydjMessageDialog.openInformation(null, "提示", "复核机构信息失败！");
/*      */               
/*      */               return;
/*      */             } 
/*      */           }
/*      */         } 
/*      */       } 
/*      */     } 
/* 1872 */     setComposite();
/*      */   }
/*      */   
/*      */   private void openInsListDialog(TableViewer tableViewer, int type) {
/* 1876 */     IStructuredSelection select = (IStructuredSelection)tableViewer.getSelection();
/* 1877 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 1878 */     WithinputFfrAcceptAuditListsDialog dialog = new WithinputFfrAcceptAuditListsDialog(
/* 1879 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1880 */         .getShell(), insinfo);
/* 1881 */     dialog.open();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setFontColor(Table table, String applyState) {
/* 1890 */     for (int i = 0; i < table.getItemCount(); i++) {
/* 1891 */       table.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1892 */       table.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 1893 */       if ("复核退回".equals(table.getItem(i).getText(2))) {
/* 1894 */         table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 1, false, false));
/* 1895 */         table.getItem(i).setForeground(2, SWTResourceManager.getColor(255, 0, 0));
/*      */       } 
/* 1897 */       table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1898 */       table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 1899 */       table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1900 */       table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void dispose() {
/* 1906 */     super.dispose();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setGoTo(String type, String state) {
/* 1914 */     if ("1".equals(type) && "1".equals(state)) {
/* 1915 */       addLinkListener("cs.ffr.operation.shouli.WithinputJgFfrView");
/*      */     }
/* 1917 */     if ("1".equals(type) && "2".equals(state)) {
/* 1918 */       addLinkListener("cs.ffr.operation.shouli.WithinputSydwFfrView");
/*      */     }
/* 1920 */     if ("1".equals(type) && "3".equals(state)) {
/* 1921 */       addLinkListener("cs.ffr.operation.shouli.WithinputQzttFfrView");
/*      */     }
/* 1923 */     if ("1".equals(type) && "9".equals(state)) {
/* 1924 */       addLinkListener("cs.ffr.operation.shouli.WithinputQtFfrView");
/*      */     }
/*      */ 
/*      */     
/* 1928 */     if ("7".equals(type) && "1".equals(state)) {
/* 1929 */       addLinkListener("cs.ffr.operation.shencha.WithinputScBgFfrView");
/*      */     }
/* 1931 */     if ("7".equals(type) && "2".equals(state)) {
/* 1932 */       addLinkListener("cs.ffr.operation.shencha.WithinputScBlFfrView");
/*      */     }
/* 1934 */     if ("7".equals(type) && "3".equals(state)) {
/* 1935 */       addLinkListener("cs.ffr.operation.shencha.WithinputScHlFfrView");
/*      */     }
/* 1937 */     if ("7".equals(type) && "9".equals(state)) {
/* 1938 */       addLinkListener("cs.ffr.operation.shencha.WithinputScCxFfrView");
/*      */     }
/*      */ 
/*      */     
/* 1942 */     if ("2".equals(type) && "1".equals(state)) {
/* 1943 */       addLinkListener("cs.ffr.operation.shenhe.WithinputJgFfrView");
/*      */     }
/* 1945 */     if ("2".equals(type) && "2".equals(state)) {
/* 1946 */       addLinkListener("cs.ffr.operation.shenhe.WithinputSydwFfrView");
/*      */     }
/* 1948 */     if ("2".equals(type) && "3".equals(state)) {
/* 1949 */       addLinkListener("cs.ffr.operation.shenhe.WithinputQzttFfrView");
/*      */     }
/* 1951 */     if ("2".equals(type) && "9".equals(state)) {
/* 1952 */       addLinkListener("cs.ffr.operation.shenhe.WithinputQtFfrView");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void addLinkListener(String view) {
/*      */     try {
/* 1963 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1964 */         .getActivePage().showView(view);
/* 1965 */       IWorkbenchPage activePage = PlatformUI.getWorkbench()
/* 1966 */         .getActiveWorkbenchWindow().getActivePage();
/* 1967 */       IViewPart iviewpart = activePage.findView("cs.admin.home.QuntuanHomeView");
/* 1968 */       activePage.hideView(iviewpart);
/* 1969 */       iviewpart = null;
/*      */     }
/* 1971 */     catch (Exception e1) {
/* 1972 */       e1.printStackTrace();
/*      */     } 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\home\QuntuanHomeView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */