/*     */ package cs.admin.intro;
/*     */ 
/*     */ import org.eclipse.ui.IPageLayout;
/*     */ import org.eclipse.ui.IPerspectiveFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AdminPerspective
/*     */   implements IPerspectiveFactory
/*     */ {
/*     */   public void createInitialLayout(IPageLayout layout) {
/*  15 */     String editorArea = layout.getEditorArea();
/*  16 */     addFastViews(layout);
/*  17 */     addViewShortcuts(layout);
/*  18 */     addPerspectiveShortcuts(layout);
/*     */     
/*  20 */     layout.setEditorAreaVisible(false);
/*  21 */     layout.setFixed(true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  29 */     layout.addStandaloneView("cs.sydj.sys.ui.NavigationAdmin", true, 
/*  30 */         1, 0.2F, editorArea);
/*  31 */     layout.getViewLayout("cs.sydj.sys.ui.NavigationAdmin")
/*  32 */       .setCloseable(false);
/*  33 */     layout.getViewLayout("cs.sydj.sys.ui.NavigationAdmin")
/*  34 */       .setMoveable(false);
/*     */     
/*  36 */     layout.addView("cs.admin.home.AdminHomeView", 2, 
/*  37 */         0.8F, editorArea);
/*     */     
/*  39 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomanage.SYDWCetiInfoView")
/*  40 */       .setCloseable(false);
/*     */     
/*  42 */     layout.getViewLayout("cs.admin.search.SearchSYDWCodeView")
/*  43 */       .setCloseable(false);
/*  44 */     layout.getViewLayout("cs.admin.search.SearchSYDWCodeView")
/*  45 */       .setMoveable(false);
/*     */     
/*  47 */     layout.getViewLayout("cs.admin.search.SearchSYDWNameView")
/*  48 */       .setCloseable(false);
/*  49 */     layout.getViewLayout("cs.admin.search.SearchSYDWNameView")
/*  50 */       .setMoveable(false);
/*     */     
/*  52 */     layout.getViewLayout("cs.admin.search.SearchFDDBRNameView")
/*  53 */       .setCloseable(false);
/*  54 */     layout.getViewLayout("cs.admin.search.SearchFDDBRNameView")
/*  55 */       .setMoveable(false);
/*     */     
/*  57 */     layout.getViewLayout("cs.admin.search.SearchJBDWNameView")
/*  58 */       .setCloseable(false);
/*  59 */     layout.getViewLayout("cs.admin.search.SearchJBDWNameView")
/*  60 */       .setMoveable(false);
/*     */     
/*  62 */     layout.getViewLayout("cs.admin.statistic.StatisticInstaurationView")
/*  63 */       .setCloseable(false);
/*  64 */     layout.getViewLayout("cs.admin.statistic.StatisticInstaurationView")
/*  65 */       .setMoveable(false);
/*  66 */     layout.getViewLayout("cs.admin.statistic.StatisticDataView")
/*  67 */       .setCloseable(false);
/*  68 */     layout.getViewLayout("cs.admin.statistic.StatisticDataView")
/*  69 */       .setMoveable(false);
/*     */     
/*  71 */     layout.getViewLayout("cs.admin.statistic.AnnualStatisticView")
/*  72 */       .setCloseable(false);
/*  73 */     layout.getViewLayout("cs.admin.statistic.AnnualStatisticView")
/*  74 */       .setMoveable(false);
/*     */     
/*  76 */     layout.getViewLayout("cs.sydj.operation.trackandcheck.TrackAndCheckState").setCloseable(
/*  77 */         false);
/*  78 */     layout.getViewLayout("cs.sydj.operation.trackandcheck.TrackAndCheckState").setMoveable(
/*  79 */         false);
/*     */     
/*  81 */     layout.getViewLayout("cs.sydj.operation.trackandcheck.TrackAndCheckResult")
/*  82 */       .setCloseable(false);
/*  83 */     layout.getViewLayout("cs.sydj.operation.trackandcheck.TrackAndCheckResult").setMoveable(
/*  84 */         false);
/*  85 */     layout.getViewLayout("cs.admin.statistic.StatisticSYDWNewView")
/*  86 */       .setCloseable(false);
/*  87 */     layout.getViewLayout("cs.admin.statistic.StatisticSYDWNewView")
/*  88 */       .setMoveable(false);
/*  89 */     layout.getViewLayout("cs.admin.search.SearchCombineView")
/*  90 */       .setCloseable(false);
/*  91 */     layout.getViewLayout("cs.admin.search.SearchCombineView")
/*  92 */       .setMoveable(false);
/*     */     
/*  94 */     layout.getViewLayout("cs.admin.statistic.StatisticAllSYDWView")
/*  95 */       .setCloseable(false);
/*  96 */     layout.getViewLayout("cs.admin.statistic.StatisticAllSYDWView")
/*  97 */       .setMoveable(false);
/*     */     
/*  99 */     layout.getViewLayout("cs.admin.statistic.StatisticAllInstView")
/* 100 */       .setCloseable(false);
/* 101 */     layout.getViewLayout("cs.admin.statistic.StatisticAllInstView")
/* 102 */       .setMoveable(false);
/*     */     
/* 104 */     layout.getViewLayout("cs.admin.statistic.StatisticAllFDDBRView")
/* 105 */       .setCloseable(false);
/* 106 */     layout.getViewLayout("cs.admin.statistic.StatisticAllFDDBRView")
/* 107 */       .setMoveable(false);
/*     */     
/* 109 */     layout.getViewLayout("cs.admin.statistic.StatisticAlterationView")
/* 110 */       .setCloseable(false);
/* 111 */     layout.getViewLayout("cs.admin.statistic.StatisticAlterationView")
/* 112 */       .setMoveable(false);
/*     */     
/* 114 */     layout.getViewLayout("cs.admin.statistic.StatisticAllAlterView")
/* 115 */       .setCloseable(false);
/* 116 */     layout.getViewLayout("cs.admin.statistic.StatisticAllAlterView")
/* 117 */       .setMoveable(false);
/*     */     
/* 119 */     layout.getViewLayout("cs.admin.statistic.StatisticAnnualCheckView")
/* 120 */       .setCloseable(false);
/* 121 */     layout.getViewLayout("cs.admin.statistic.StatisticAnnualCheckView")
/* 122 */       .setMoveable(false);
/*     */     
/* 124 */     layout.getViewLayout(
/* 125 */         "cs.admin.statistic.StatisticAllAnnualCheckNPView")
/* 126 */       .setCloseable(false);
/* 127 */     layout.getViewLayout(
/* 128 */         "cs.admin.statistic.StatisticAllAnnualCheckNPView")
/* 129 */       .setMoveable(false);
/*     */     
/* 131 */     layout.getViewLayout("cs.admin.statistic.StatisticWrittenoffView")
/* 132 */       .setCloseable(false);
/* 133 */     layout.getViewLayout("cs.admin.statistic.StatisticWrittenoffView")
/* 134 */       .setMoveable(false);
/*     */     
/* 136 */     layout
/* 137 */       .getViewLayout(
/* 138 */         "cs.admin.statistic.StatisticAllWrittenoffView")
/* 139 */       .setCloseable(false);
/* 140 */     layout
/* 141 */       .getViewLayout(
/* 142 */         "cs.admin.statistic.StatisticAllWrittenoffView")
/* 143 */       .setMoveable(false);
/* 144 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView")
/* 145 */       .setCloseable(false);
/* 146 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView")
/* 147 */       .setMoveable(false);
/*     */     
/* 149 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.receive.ReceiveDocumentView")
/* 150 */       .setCloseable(false);
/* 151 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.receive.ReceiveDocumentView")
/* 152 */       .setMoveable(false);
/* 153 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.send.SendDocumentView").setCloseable(
/* 154 */         false);
/* 155 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.send.SendDocumentView").setMoveable(
/* 156 */         false);
/* 157 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.check.CheckDocumentView")
/* 158 */       .setCloseable(false);
/* 159 */     layout.getViewLayout("cs.sydj.sysmanage.documenttransport.check.CheckDocumentView")
/* 160 */       .setMoveable(false);
/*     */   }
/*     */   
/*     */   private void addFastViews(IPageLayout layout) {}
/*     */   
/*     */   private void addViewShortcuts(IPageLayout layout) {}
/*     */   
/*     */   private void addPerspectiveShortcuts(IPageLayout layout) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\intro\AdminPerspective.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */