/*      */ package cs.admin.search;
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.CommonSaveEXCELResultDialog;
/*      */ import cs.sydj.common.DetailFiledResult;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.TableViewContentProvider;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import java.util.ArrayList;
/*      */ import java.util.List;
/*      */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*      */ import org.eclipse.jface.viewers.ColumnWeightData;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.TableLayout;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FormAttachment;
/*      */ import org.eclipse.swt.layout.FormData;
/*      */ import org.eclipse.swt.layout.FormLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*      */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*      */ import org.eclipse.wb.swt.SWTResourceManager;
/*      */ import server.sydj.operation.commons.DetailResultAlterTableViewerLabelProvider;
/*      */ import server.sydj.operation.commons.DetailResultAnnualTableViewerLabelProvider;
/*      */ import server.sydj.operation.commons.DetailResultTableViewerLabelProvider;
/*      */ import server.sydj.operation.commons.SydwInfo;
/*      */ import server.tableinfo.common.AlterInfoforSta;
/*      */ import server.tableinfo.common.AnnualCheckInfo;
/*      */ import server.tableinfo.common.FddbrInfo;
/*      */ import server.tableinfo.common.ReissueInfo;
/*      */ import server.tableinfo.common.SYDWInfo;
/*      */ import server.tableinfo.common.WriteoffInfo;
/*      */ 
/*      */ public class SydwDetailResultDialog extends Dialog {
/*      */   private SYDWInfo sydwinfo;
/*      */   private boolean[] items;
/*      */   protected SearchSYDWController sumController;
/*      */   private SydwAllInfoModel model;
/*      */   public static final String ID = "cs.admin.search.SydwDetailResult";
/*      */   private TableLayout tableLayout;
/*      */   private Composite composite;
/*      */   private ScrolledComposite scrolledComposite;
/*      */   private FormToolkit toolkit;
/*      */   private int returnValue;
/*      */   private Control positionControl;
/*      */   private Table table;
/*      */   private Table tableFR;
/*      */   private Table tableAlter;
/*   59 */   protected GljgUserInfo user = GljgUserInfo.getInstance(); private Table tableAnnual; private Table tableReIssue; private Table tableWriteOff; private TableViewer tableViewer; private TableViewer tableViewerFR; private TableViewer tableViewerAlter;
/*      */   private TableViewer tableViewerAnnual;
/*      */   private TableViewer tableViewerReIssue;
/*      */   private TableViewer tableViewerWriteOff;
/*      */   private final FormToolkit formToolkit;
/*      */   
/*      */   public SydwDetailResultDialog(Shell parentShell) {
/*   66 */     super(parentShell);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   82 */     this.toolkit = null;
/*   83 */     this.returnValue = 1;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   97 */     this.formToolkit = new FormToolkit(Display.getDefault()); } public SydwDetailResultDialog(Shell parentShell, SYDWInfo sydwinfo, boolean[] items) { super(parentShell); this.toolkit = null; this.returnValue = 1; this.formToolkit = new FormToolkit(Display.getDefault());
/*      */     this.sydwinfo = sydwinfo;
/*      */     this.items = items; }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Control createDialogArea(Composite parent) {
/*  106 */     Composite container = new Composite(parent, 0);
/*  107 */     container.setLayout((Layout)new FillLayout(512));
/*  108 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  109 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/*      */     
/*  111 */     this.scrolledComposite = new ScrolledComposite(container, 2560);
/*  112 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/*  113 */     this.scrolledComposite.setExpandVertical(true);
/*  114 */     this.scrolledComposite.setExpandHorizontal(true);
/*      */     
/*  116 */     this.composite = new Composite((Composite)this.scrolledComposite, 2);
/*  117 */     this.composite.setLayout((Layout)new FormLayout());
/*  118 */     this.composite.setBackground(Display.getCurrent().getSystemColor(1));
/*      */ 
/*      */     
/*  121 */     this.toolkit = new FormToolkit(this.composite.getDisplay());
/*  122 */     this.toolkit.adapt(this.composite);
/*      */ 
/*      */     
/*  125 */     initSearchController();
/*  126 */     this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     
/*  128 */     Label lblNewLabel = new Label(this.composite, 16777216);
/*  129 */     lblNewLabel.setFont(SWTResourceManager.getFont("微软雅黑", 12, 1));
/*  130 */     FormData fd_lblNewLabel = new FormData();
/*  131 */     fd_lblNewLabel.top = new FormAttachment(0);
/*  132 */     fd_lblNewLabel.left = new FormAttachment(0, 230);
/*  133 */     lblNewLabel.setLayoutData(fd_lblNewLabel);
/*  134 */     this.toolkit.adapt((Control)lblNewLabel, true, true);
/*  135 */     this.formToolkit.adapt((Control)lblNewLabel, true, true);
/*  136 */     lblNewLabel.setText("\"" + this.sydwinfo.getSYDW_NAME_FIRST() + "\" 详细信息一览");
/*      */ 
/*      */     
/*  139 */     ExpandableComposite title = this.toolkit.createExpandableComposite(this.composite, 2);
/*  140 */     title.marginHeight = 5;
/*  141 */     title.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  142 */     title.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  143 */     title.setFont(SWTResourceManager.getFont("", 11, 1));
/*  144 */     title.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  145 */     title.setText("基本信息表 ");
/*      */     
/*  147 */     FormData fd_title = new FormData();
/*  148 */     fd_title.top = new FormAttachment((Control)lblNewLabel, 2);
/*  149 */     fd_title.left = new FormAttachment(0, 2);
/*  150 */     fd_title.right = new FormAttachment(100, 2);
/*  151 */     title.setLayoutData(fd_title);
/*      */     
/*  153 */     Composite comp = this.toolkit.createComposite((Composite)title);
/*  154 */     comp.setLayout((Layout)new FormLayout());
/*  155 */     title.setClient((Control)comp);
/*      */ 
/*      */     
/*  158 */     Label s = new Label(this.composite, 258);
/*  159 */     s.setBackground(Display.getCurrent().getSystemColor(1));
/*  160 */     this.toolkit.adapt((Control)s, true, true);
/*      */     
/*  162 */     FormData fd_s = new FormData();
/*  163 */     fd_s.top = new FormAttachment((Control)title, 3, 1024);
/*  164 */     fd_s.left = new FormAttachment(0, 0);
/*  165 */     fd_s.right = new FormAttachment(100, 0);
/*  166 */     s.setLayoutData(fd_s);
/*      */     
/*  168 */     Label inter = s;
/*      */     
/*  170 */     this.tableViewer = new TableViewer(this.composite, 0);
/*  171 */     this.table = this.tableViewer.getTable();
/*  172 */     this.table.setLinesVisible(true);
/*      */     
/*  174 */     FormData fd_title1 = new FormData();
/*  175 */     fd_title1.top = new FormAttachment((Control)inter, 2);
/*  176 */     fd_title1.left = new FormAttachment(0, 2);
/*  177 */     fd_title1.right = new FormAttachment(100, 2);
/*      */     
/*  179 */     this.table.setLayoutData(fd_title1);
/*      */     
/*  181 */     this.tableLayout = new TableLayout();
/*  182 */     this.table.setLayout((Layout)this.tableLayout);
/*  183 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  184 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/*  185 */     newColumnTableColumn.setAlignment(16777216);
/*  186 */     newColumnTableColumn.setText("字段名称");
/*  187 */     newColumnTableColumn.setWidth(150);
/*      */     
/*  189 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(60));
/*  190 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16384);
/*  191 */     newColumnTableColumn_1.setText("字段值");
/*      */     
/*  193 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DetailResultTableViewerLabelProvider());
/*  194 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  195 */     this.tableViewer.setInput(getSydwInfo());
/*      */ 
/*      */ 
/*      */     
/*  199 */     ExpandableComposite titleFR = this.toolkit.createExpandableComposite(this.composite, 2);
/*  200 */     titleFR.marginHeight = 5;
/*  201 */     titleFR.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  202 */     titleFR.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  203 */     titleFR.setFont(SWTResourceManager.getFont("", 11, 1));
/*  204 */     titleFR.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  205 */     titleFR.setText("法定代表人信息");
/*      */     
/*  207 */     FormData fd_title_fr = new FormData();
/*  208 */     fd_title_fr.top = new FormAttachment((Control)this.table, 2);
/*  209 */     fd_title_fr.left = new FormAttachment(0, 2);
/*  210 */     fd_title_fr.right = new FormAttachment(100, 2);
/*  211 */     titleFR.setLayoutData(fd_title_fr);
/*      */     
/*  213 */     Composite compFR = this.toolkit.createComposite((Composite)titleFR);
/*  214 */     compFR.setLayout((Layout)new FormLayout());
/*  215 */     titleFR.setClient((Control)compFR);
/*      */ 
/*      */     
/*  218 */     Label sFR = new Label(this.composite, 258);
/*  219 */     sFR.setBackground(Display.getCurrent().getSystemColor(1));
/*  220 */     this.toolkit.adapt((Control)sFR, true, true);
/*      */     
/*  222 */     FormData fd_s_FR = new FormData();
/*  223 */     fd_s_FR.top = new FormAttachment((Control)titleFR, 3, 1024);
/*  224 */     fd_s_FR.left = new FormAttachment(0, 0);
/*  225 */     fd_s_FR.right = new FormAttachment(100, 0);
/*  226 */     sFR.setLayoutData(fd_s_FR);
/*      */ 
/*      */     
/*  229 */     inter = sFR;
/*      */ 
/*      */     
/*  232 */     this.tableViewerFR = new TableViewer(this.composite, 0);
/*  233 */     this.tableFR = this.tableViewerFR.getTable();
/*  234 */     this.tableFR.setLinesVisible(true);
/*      */     
/*  236 */     FormData fd_title1_fr = new FormData();
/*  237 */     fd_title1_fr.top = new FormAttachment((Control)inter, 2);
/*  238 */     fd_title1_fr.left = new FormAttachment(0, 2);
/*  239 */     fd_title1_fr.right = new FormAttachment(100, 2);
/*      */     
/*  241 */     this.tableFR.setLayoutData(fd_title1_fr);
/*      */     
/*  243 */     this.tableLayout = new TableLayout();
/*  244 */     this.tableFR.setLayout((Layout)this.tableLayout);
/*  245 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  246 */     TableColumn newColumnTableColumn2_1 = new TableColumn(this.tableFR, 16777216);
/*  247 */     newColumnTableColumn2_1.setAlignment(16777216);
/*  248 */     newColumnTableColumn2_1.setText("字段名称");
/*      */     
/*  250 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(60));
/*  251 */     TableColumn newColumnTableColumn2_2 = new TableColumn(this.tableFR, 16384);
/*  252 */     newColumnTableColumn2_2.setText("字段值");
/*      */     
/*  254 */     this.tableViewerFR.setLabelProvider((IBaseLabelProvider)new DetailResultTableViewerLabelProvider());
/*  255 */     this.tableViewerFR.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  256 */     this.tableViewerFR.setInput(getFRInfo());
/*      */ 
/*      */ 
/*      */     
/*  260 */     ExpandableComposite titleAlter = this.toolkit.createExpandableComposite(this.composite, 2);
/*  261 */     titleAlter.marginHeight = 5;
/*  262 */     titleAlter.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  263 */     titleAlter.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  264 */     titleAlter.setFont(SWTResourceManager.getFont("", 11, 1));
/*  265 */     titleAlter.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  266 */     titleAlter.setText("变更情况信息");
/*      */     
/*  268 */     FormData fd_title_alter = new FormData();
/*  269 */     fd_title_alter.top = new FormAttachment((Control)this.tableFR, 2);
/*  270 */     fd_title_alter.left = new FormAttachment(0, 2);
/*  271 */     fd_title_alter.right = new FormAttachment(100, 2);
/*  272 */     titleAlter.setLayoutData(fd_title_alter);
/*      */     
/*  274 */     Composite compAlter = this.toolkit.createComposite((Composite)titleAlter);
/*  275 */     compAlter.setLayout((Layout)new FormLayout());
/*  276 */     titleAlter.setClient((Control)compAlter);
/*      */ 
/*      */     
/*  279 */     Label sAlter = new Label(this.composite, 258);
/*  280 */     sAlter.setBackground(Display.getCurrent().getSystemColor(1));
/*  281 */     this.toolkit.adapt((Control)sAlter, true, true);
/*      */     
/*  283 */     FormData fd_s_Alter = new FormData();
/*  284 */     fd_s_Alter.top = new FormAttachment((Control)titleAlter, 3, 1024);
/*  285 */     fd_s_Alter.left = new FormAttachment(0, 0);
/*  286 */     fd_s_Alter.right = new FormAttachment(100, 0);
/*  287 */     sAlter.setLayoutData(fd_s_Alter);
/*      */ 
/*      */     
/*  290 */     inter = sAlter;
/*      */ 
/*      */     
/*  293 */     this.tableViewerAlter = new TableViewer(this.composite, 0);
/*  294 */     this.tableAlter = this.tableViewerAlter.getTable();
/*  295 */     this.tableAlter.setLinesVisible(true);
/*  296 */     this.tableAlter.setHeaderVisible(true);
/*      */     
/*  298 */     FormData fd_title1_alter = new FormData();
/*  299 */     fd_title1_alter.top = new FormAttachment((Control)inter, 2);
/*  300 */     fd_title1_alter.left = new FormAttachment(0, 2);
/*  301 */     fd_title1_alter.right = new FormAttachment(100, 2);
/*  302 */     this.tableAlter.setLayoutData(fd_title1_alter);
/*      */     
/*  304 */     this.tableLayout = new TableLayout();
/*  305 */     this.tableAlter.setLayout((Layout)this.tableLayout);
/*  306 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(30));
/*  307 */     TableColumn newColumnTableColumn3_1 = new TableColumn(this.tableAlter, 16777216);
/*  308 */     newColumnTableColumn3_1.setAlignment(16777216);
/*  309 */     newColumnTableColumn3_1.setText("变更事项");
/*      */     
/*  311 */     if (this.items[43]) {
/*  312 */       newColumnTableColumn3_1.setWidth(
/*  313 */           TableWidthSet.getWidth(newColumnTableColumn3_1.getText()));
/*  314 */       newColumnTableColumn3_1.setResizable(true);
/*      */     } else {
/*  316 */       newColumnTableColumn3_1.dispose();
/*      */     } 
/*      */     
/*  319 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  320 */     TableColumn newColumnTableColumn3_2 = new TableColumn(this.tableAlter, 16384);
/*  321 */     newColumnTableColumn3_2.setText("变更时间");
/*      */     
/*  323 */     if (this.items[44]) {
/*  324 */       newColumnTableColumn3_2.setWidth(
/*  325 */           TableWidthSet.getWidth(newColumnTableColumn3_1.getText()));
/*  326 */       newColumnTableColumn3_2.setResizable(true);
/*      */     } else {
/*  328 */       newColumnTableColumn3_2.dispose();
/*      */     } 
/*      */     
/*  331 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  332 */     TableColumn newColumnTableColumn3_3 = new TableColumn(this.tableAlter, 16384);
/*  333 */     newColumnTableColumn3_3.setText("原登记情况");
/*      */     
/*  335 */     if (this.items[45]) {
/*  336 */       newColumnTableColumn3_3.setWidth(
/*  337 */           TableWidthSet.getWidth(newColumnTableColumn3_1.getText()));
/*  338 */       newColumnTableColumn3_3.setResizable(true);
/*      */     } else {
/*  340 */       newColumnTableColumn3_3.dispose();
/*      */     } 
/*      */     
/*  343 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  344 */     TableColumn newColumnTableColumn3_4 = new TableColumn(this.tableAlter, 16384);
/*  345 */     newColumnTableColumn3_4.setText("变更后情况");
/*      */     
/*  347 */     if (this.items[46]) {
/*  348 */       newColumnTableColumn3_4.setWidth(
/*  349 */           TableWidthSet.getWidth(newColumnTableColumn3_1.getText()));
/*  350 */       newColumnTableColumn3_4.setResizable(true);
/*      */     } else {
/*  352 */       newColumnTableColumn3_4.dispose();
/*      */     } 
/*      */     
/*  355 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  356 */     TableColumn newColumnTableColumn3_5 = new TableColumn(this.tableAlter, 16384);
/*  357 */     newColumnTableColumn3_5.setText("公告刊登媒体");
/*      */     
/*  359 */     if (this.items[47]) {
/*  360 */       newColumnTableColumn3_5.setWidth(
/*  361 */           TableWidthSet.getWidth(newColumnTableColumn3_1.getText()));
/*  362 */       newColumnTableColumn3_5.setResizable(true);
/*      */     } else {
/*  364 */       newColumnTableColumn3_5.dispose();
/*      */     } 
/*      */     
/*  367 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  368 */     TableColumn newColumnTableColumn3_6 = new TableColumn(this.tableAlter, 16384);
/*  369 */     newColumnTableColumn3_6.setText("公告刊登时间");
/*      */     
/*  371 */     this.tableViewerAlter.setLabelProvider((IBaseLabelProvider)new DetailResultAlterTableViewerLabelProvider());
/*  372 */     this.tableViewerAlter.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  373 */     this.tableViewerAlter.setInput(getAlterInfo());
/*      */ 
/*      */ 
/*      */     
/*  377 */     ExpandableComposite titleAnnual = this.toolkit.createExpandableComposite(this.composite, 2);
/*  378 */     titleAnnual.marginHeight = 5;
/*  379 */     titleAnnual.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  380 */     titleAnnual.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  381 */     titleAnnual.setFont(SWTResourceManager.getFont("", 11, 1));
/*  382 */     titleAnnual.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  383 */     titleAnnual.setText("年检情况信息");
/*      */     
/*  385 */     FormData fd_title_annual = new FormData();
/*  386 */     fd_title_annual.top = new FormAttachment((Control)this.tableAlter, 2);
/*  387 */     fd_title_annual.left = new FormAttachment(0, 2);
/*  388 */     fd_title_annual.right = new FormAttachment(100, 2);
/*  389 */     titleAnnual.setLayoutData(fd_title_annual);
/*      */     
/*  391 */     Composite compAnnual = this.toolkit.createComposite((Composite)titleAnnual);
/*  392 */     compAnnual.setLayout((Layout)new FormLayout());
/*  393 */     titleAnnual.setClient((Control)compAnnual);
/*      */ 
/*      */     
/*  396 */     Label sAnnual = new Label(this.composite, 258);
/*  397 */     sAnnual.setBackground(Display.getCurrent().getSystemColor(1));
/*  398 */     this.toolkit.adapt((Control)sAnnual, true, true);
/*      */     
/*  400 */     FormData fd_s_Annual = new FormData();
/*  401 */     fd_s_Annual.top = new FormAttachment((Control)titleAnnual, 3, 1024);
/*  402 */     fd_s_Annual.left = new FormAttachment(0, 0);
/*  403 */     fd_s_Annual.right = new FormAttachment(100, 0);
/*  404 */     sAnnual.setLayoutData(fd_s_Annual);
/*      */ 
/*      */     
/*  407 */     inter = sAnnual;
/*      */ 
/*      */     
/*  410 */     this.tableViewerAnnual = new TableViewer(this.composite, 0);
/*  411 */     this.tableAnnual = this.tableViewerAnnual.getTable();
/*  412 */     this.tableAnnual.setLinesVisible(true);
/*  413 */     this.tableAnnual.setHeaderVisible(true);
/*      */     
/*  415 */     FormData fd_title1_annual = new FormData();
/*  416 */     fd_title1_annual.top = new FormAttachment((Control)inter, 2);
/*  417 */     fd_title1_annual.left = new FormAttachment(0, 2);
/*  418 */     fd_title1_annual.right = new FormAttachment(100, 2);
/*  419 */     this.tableAnnual.setLayoutData(fd_title1_annual);
/*      */     
/*  421 */     this.tableLayout = new TableLayout();
/*  422 */     this.tableAnnual.setLayout((Layout)this.tableLayout);
/*  423 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(35));
/*  424 */     TableColumn newColumnTableColumn4_1 = new TableColumn(this.tableAnnual, 16777216);
/*  425 */     newColumnTableColumn4_1.setAlignment(16777216);
/*  426 */     newColumnTableColumn4_1.setText("年检时间");
/*      */     
/*  428 */     if (this.items[50]) {
/*  429 */       newColumnTableColumn4_1.setWidth(
/*  430 */           TableWidthSet.getWidth(newColumnTableColumn4_1.getText()));
/*  431 */       newColumnTableColumn4_1.setResizable(true);
/*      */     } else {
/*  433 */       newColumnTableColumn4_1.dispose();
/*      */     } 
/*      */     
/*  436 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(35));
/*  437 */     TableColumn newColumnTableColumn4_2 = new TableColumn(this.tableAnnual, 16777216);
/*  438 */     newColumnTableColumn4_2.setText("年检情况");
/*      */     
/*  440 */     if (this.items[51]) {
/*  441 */       newColumnTableColumn4_2.setWidth(
/*  442 */           TableWidthSet.getWidth(newColumnTableColumn4_2.getText()));
/*  443 */       newColumnTableColumn4_2.setResizable(true);
/*      */     } else {
/*  445 */       newColumnTableColumn4_2.dispose();
/*      */     } 
/*  447 */     this.tableAnnual.update();
/*  448 */     this.tableViewerAnnual.setLabelProvider((IBaseLabelProvider)new DetailResultAnnualTableViewerLabelProvider());
/*  449 */     this.tableViewerAnnual.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  450 */     this.tableViewerAnnual.setInput(getAnnualInfo());
/*      */ 
/*      */ 
/*      */     
/*  454 */     ExpandableComposite titleReIssue = this.toolkit.createExpandableComposite(this.composite, 2);
/*  455 */     titleReIssue.marginHeight = 5;
/*  456 */     titleReIssue.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  457 */     titleReIssue.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  458 */     titleReIssue.setFont(SWTResourceManager.getFont("", 11, 1));
/*  459 */     titleReIssue.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  460 */     titleReIssue.setText("证书补领情况信息");
/*      */     
/*  462 */     FormData fd_title_reissue = new FormData();
/*  463 */     fd_title_reissue.top = new FormAttachment((Control)this.tableAnnual, 2);
/*  464 */     fd_title_reissue.left = new FormAttachment(0, 2);
/*  465 */     fd_title_reissue.right = new FormAttachment(100, 2);
/*  466 */     titleReIssue.setLayoutData(fd_title_reissue);
/*      */     
/*  468 */     Composite compReIssue = this.toolkit.createComposite((Composite)titleReIssue);
/*  469 */     compReIssue.setLayout((Layout)new FormLayout());
/*  470 */     titleReIssue.setClient((Control)compReIssue);
/*      */ 
/*      */     
/*  473 */     Label sReIssue = new Label(this.composite, 258);
/*  474 */     sReIssue.setBackground(Display.getCurrent().getSystemColor(1));
/*  475 */     this.toolkit.adapt((Control)sReIssue, true, true);
/*      */     
/*  477 */     FormData fd_s_reissue = new FormData();
/*  478 */     fd_s_reissue.top = new FormAttachment((Control)titleReIssue, 3, 1024);
/*  479 */     fd_s_reissue.left = new FormAttachment(0, 0);
/*  480 */     fd_s_reissue.right = new FormAttachment(100, 0);
/*  481 */     sReIssue.setLayoutData(fd_s_reissue);
/*      */ 
/*      */     
/*  484 */     inter = sReIssue;
/*      */ 
/*      */     
/*  487 */     this.tableViewerReIssue = new TableViewer(this.composite, 0);
/*  488 */     this.tableReIssue = this.tableViewerReIssue.getTable();
/*  489 */     this.tableReIssue.setLinesVisible(true);
/*  490 */     this.tableReIssue.setHeaderVisible(true);
/*      */     
/*  492 */     FormData fd_title1_reissue = new FormData();
/*  493 */     fd_title1_reissue.top = new FormAttachment((Control)inter, 2);
/*  494 */     fd_title1_reissue.left = new FormAttachment(0, 2);
/*  495 */     fd_title1_reissue.right = new FormAttachment(100, 2);
/*  496 */     this.tableReIssue.setLayoutData(fd_title1_reissue);
/*      */     
/*  498 */     this.tableLayout = new TableLayout();
/*  499 */     this.tableReIssue.setLayout((Layout)this.tableLayout);
/*  500 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(35));
/*  501 */     TableColumn newColumnTableColumn5_1 = new TableColumn(this.tableReIssue, 16777216);
/*  502 */     newColumnTableColumn5_1.setAlignment(16777216);
/*  503 */     newColumnTableColumn5_1.setText("补领证书时间");
/*      */     
/*  505 */     if (this.items[53]) {
/*  506 */       newColumnTableColumn5_1.setWidth(
/*  507 */           TableWidthSet.getWidth(newColumnTableColumn5_1.getText()));
/*  508 */       newColumnTableColumn5_1.setResizable(true);
/*      */     } else {
/*  510 */       newColumnTableColumn5_1.dispose();
/*      */     } 
/*      */     
/*  513 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(35));
/*  514 */     TableColumn newColumnTableColumn5_2 = new TableColumn(this.tableReIssue, 16384);
/*  515 */     newColumnTableColumn5_2.setText("补领证书原因");
/*      */     
/*  517 */     if (this.items[54]) {
/*  518 */       newColumnTableColumn5_2.setWidth(
/*  519 */           TableWidthSet.getWidth(newColumnTableColumn5_2.getText()));
/*  520 */       newColumnTableColumn5_2.setResizable(true);
/*      */     } else {
/*  522 */       newColumnTableColumn5_2.dispose();
/*      */     } 
/*  524 */     this.tableReIssue.update();
/*  525 */     this.tableViewerReIssue.setLabelProvider((IBaseLabelProvider)new DetailResultReIssueTableViewerLabelProvider());
/*  526 */     this.tableViewerReIssue.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  527 */     this.tableViewerReIssue.setInput(getReIssueInfo());
/*      */ 
/*      */ 
/*      */     
/*  531 */     ExpandableComposite titleWriteOff = this.toolkit.createExpandableComposite(this.composite, 2);
/*  532 */     titleWriteOff.marginHeight = 5;
/*  533 */     titleWriteOff.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/*  534 */     titleWriteOff.setForeground(SWTResourceManager.getColor(255, 255, 255));
/*  535 */     titleWriteOff.setFont(SWTResourceManager.getFont("", 11, 1));
/*  536 */     titleWriteOff.setBackground(SWTResourceManager.getColor(0, 128, 255));
/*  537 */     titleWriteOff.setText("注销登记情况信息");
/*      */     
/*  539 */     FormData fd_title_writeoff = new FormData();
/*  540 */     fd_title_writeoff.top = new FormAttachment((Control)this.tableReIssue, 2);
/*  541 */     fd_title_writeoff.left = new FormAttachment(0, 2);
/*  542 */     fd_title_writeoff.right = new FormAttachment(100, 2);
/*  543 */     titleWriteOff.setLayoutData(fd_title_writeoff);
/*      */     
/*  545 */     Composite compWriteOff = this.toolkit.createComposite((Composite)titleWriteOff);
/*  546 */     compWriteOff.setLayout((Layout)new FormLayout());
/*  547 */     titleWriteOff.setClient((Control)compWriteOff);
/*      */ 
/*      */     
/*  550 */     Label sWriteOff = new Label(this.composite, 258);
/*  551 */     sWriteOff.setBackground(Display.getCurrent().getSystemColor(1));
/*  552 */     this.toolkit.adapt((Control)sWriteOff, true, true);
/*      */     
/*  554 */     FormData fd_s_WriteOff = new FormData();
/*  555 */     fd_s_WriteOff.top = new FormAttachment((Control)titleWriteOff, 3, 1024);
/*  556 */     fd_s_WriteOff.left = new FormAttachment(0, 0);
/*  557 */     fd_s_WriteOff.right = new FormAttachment(100, 0);
/*  558 */     sWriteOff.setLayoutData(fd_s_WriteOff);
/*      */ 
/*      */     
/*  561 */     inter = sWriteOff;
/*      */ 
/*      */     
/*  564 */     this.tableViewerWriteOff = new TableViewer(this.composite, 0);
/*  565 */     this.tableWriteOff = this.tableViewerWriteOff.getTable();
/*  566 */     this.tableWriteOff.setLinesVisible(true);
/*  567 */     this.tableWriteOff.setHeaderVisible(true);
/*      */     
/*  569 */     FormData fd_title1_writeoff = new FormData();
/*  570 */     fd_title1_writeoff.top = new FormAttachment((Control)inter, 2);
/*  571 */     fd_title1_writeoff.left = new FormAttachment(0, 2);
/*  572 */     fd_title1_writeoff.right = new FormAttachment(100, 2);
/*      */     
/*  574 */     this.tableWriteOff.setLayoutData(fd_title1_writeoff);
/*      */     
/*  576 */     this.tableLayout = new TableLayout();
/*  577 */     this.tableWriteOff.setLayout((Layout)this.tableLayout);
/*  578 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/*  579 */     TableColumn newColumnTableColumn6_1 = new TableColumn(this.tableWriteOff, 16777216);
/*  580 */     newColumnTableColumn6_1.setAlignment(16777216);
/*  581 */     newColumnTableColumn6_1.setText("注销时间");
/*      */     
/*  583 */     if (this.items[56]) {
/*  584 */       newColumnTableColumn6_1.setWidth(
/*  585 */           TableWidthSet.getWidth(newColumnTableColumn6_1.getText()));
/*  586 */       newColumnTableColumn6_1.setResizable(true);
/*      */     } else {
/*  588 */       newColumnTableColumn6_1.dispose();
/*      */     } 
/*      */     
/*  591 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/*  592 */     TableColumn newColumnTableColumn6_2 = new TableColumn(this.tableWriteOff, 16384);
/*  593 */     newColumnTableColumn6_2.setText("注销理由");
/*      */     
/*  595 */     if (this.items[57]) {
/*  596 */       newColumnTableColumn6_2.setWidth(
/*  597 */           TableWidthSet.getWidth(newColumnTableColumn6_2.getText()));
/*  598 */       newColumnTableColumn6_2.setResizable(true);
/*      */     } else {
/*  600 */       newColumnTableColumn6_2.dispose();
/*      */     } 
/*      */     
/*  603 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  604 */     TableColumn newColumnTableColumn6_3 = new TableColumn(this.tableWriteOff, 16384);
/*  605 */     newColumnTableColumn6_3.setText("清算组织负责人意见");
/*      */     
/*  607 */     if (this.items[58]) {
/*  608 */       newColumnTableColumn6_3.setWidth(
/*  609 */           TableWidthSet.getWidth(newColumnTableColumn6_3.getText()));
/*  610 */       newColumnTableColumn6_3.setResizable(true);
/*      */     } else {
/*  612 */       newColumnTableColumn6_3.dispose();
/*      */     } 
/*      */     
/*  615 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  616 */     TableColumn newColumnTableColumn6_4 = new TableColumn(this.tableWriteOff, 16384);
/*  617 */     newColumnTableColumn6_4.setText("证章收缴情况");
/*      */     
/*  619 */     if (this.items[59]) {
/*  620 */       newColumnTableColumn6_4.setWidth(
/*  621 */           TableWidthSet.getWidth(newColumnTableColumn6_4.getText()));
/*  622 */       newColumnTableColumn6_4.setResizable(true);
/*      */     } else {
/*  624 */       newColumnTableColumn6_4.dispose();
/*      */     } 
/*      */     
/*  627 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/*  628 */     TableColumn newColumnTableColumn6_5 = new TableColumn(this.tableWriteOff, 16384);
/*  629 */     newColumnTableColumn6_5.setText("公告刊登媒体");
/*      */     
/*  631 */     if (this.items[60]) {
/*  632 */       newColumnTableColumn6_5.setWidth(
/*  633 */           TableWidthSet.getWidth(newColumnTableColumn6_5.getText()));
/*  634 */       newColumnTableColumn6_5.setResizable(true);
/*      */     } else {
/*  636 */       newColumnTableColumn6_5.dispose();
/*      */     } 
/*      */     
/*  639 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/*  640 */     TableColumn newColumnTableColumn6_6 = new TableColumn(this.tableWriteOff, 16384);
/*  641 */     newColumnTableColumn6_6.setText("公告刊登时间");
/*      */     
/*  643 */     if (this.items[61]) {
/*  644 */       newColumnTableColumn6_6.setWidth(
/*  645 */           TableWidthSet.getWidth(newColumnTableColumn6_6.getText()));
/*  646 */       newColumnTableColumn6_6.setResizable(true);
/*      */     } else {
/*  648 */       newColumnTableColumn6_6.dispose();
/*      */     } 
/*  650 */     this.tableWriteOff.update();
/*  651 */     this.tableViewerWriteOff.setLabelProvider((IBaseLabelProvider)new DetailResultWriteOffTableViewerLabelProvider());
/*  652 */     this.tableViewerWriteOff.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  653 */     this.tableViewerWriteOff.setInput(getWriteOffInfo());
/*      */ 
/*      */ 
/*      */     
/*  657 */     if (!getSelection(1, 27)) {
/*  658 */       FormData empty = new FormData();
/*  659 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  660 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  661 */       this.table.setLayoutData(empty);
/*  662 */       title.setLayoutData(empty);
/*  663 */       this.positionControl = (Control)lblNewLabel;
/*      */       
/*  665 */       fd_s.top = new FormAttachment(this.positionControl, 0);
/*      */     } else {
/*  667 */       this.positionControl = (Control)this.table;
/*      */     } 
/*      */     
/*  670 */     if (!getSelection(29, 41)) {
/*  671 */       FormData empty = new FormData();
/*  672 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  673 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  674 */       this.tableFR.setLayoutData(empty);
/*  675 */       titleFR.setLayoutData(empty);
/*      */       
/*  677 */       fd_s_FR.top = new FormAttachment(this.positionControl, 0);
/*      */     } else {
/*  679 */       fd_title_fr.top = new FormAttachment(this.positionControl, 2);
/*  680 */       this.positionControl = (Control)this.tableFR;
/*      */     } 
/*  682 */     if (!getSelection(43, 48)) {
/*  683 */       FormData empty = new FormData();
/*  684 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  685 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  686 */       this.tableAlter.setLayoutData(empty);
/*  687 */       titleAlter.setLayoutData(empty);
/*  688 */       fd_s_Alter.top = new FormAttachment(this.positionControl, 0);
/*      */     } else {
/*  690 */       fd_title_alter.top = new FormAttachment(this.positionControl, 2);
/*  691 */       this.positionControl = (Control)this.tableAlter;
/*      */     } 
/*  693 */     if (!getSelection(50, 51)) {
/*  694 */       FormData empty = new FormData();
/*  695 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  696 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  697 */       this.tableAnnual.setLayoutData(empty);
/*  698 */       titleAnnual.setLayoutData(empty);
/*  699 */       fd_s_Annual.top = new FormAttachment(this.positionControl, 0);
/*      */     } else {
/*  701 */       fd_title_annual.top = new FormAttachment(this.positionControl, 2);
/*  702 */       this.positionControl = (Control)this.tableAnnual;
/*      */     } 
/*  704 */     if (!getSelection(53, 54)) {
/*  705 */       FormData empty = new FormData();
/*  706 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  707 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  708 */       this.tableReIssue.setLayoutData(empty);
/*  709 */       titleReIssue.setLayoutData(empty);
/*  710 */       fd_s_reissue.top = new FormAttachment(this.positionControl, 0);
/*      */     } else {
/*  712 */       fd_title_reissue.top = new FormAttachment(this.positionControl, 2);
/*  713 */       this.positionControl = (Control)this.tableReIssue;
/*      */     } 
/*  715 */     if (!getSelection(56, 61)) {
/*  716 */       FormData empty = new FormData();
/*  717 */       empty.top = new FormAttachment((Control)lblNewLabel, 30);
/*  718 */       empty.bottom = new FormAttachment((Control)lblNewLabel, 30);
/*  719 */       this.tableWriteOff.setLayoutData(empty);
/*  720 */       titleWriteOff.setLayoutData(empty);
/*  721 */       fd_s_WriteOff.top = new FormAttachment(this.positionControl, 0);
/*      */     } 
/*      */ 
/*      */     
/*  725 */     this.scrolledComposite.setMinHeight(600);
/*  726 */     this.scrolledComposite.setMinSize(this.composite.computeSize(-1, -1));
/*  727 */     this.scrolledComposite.setContent((Control)this.composite);
/*  728 */     return (Control)container;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createButtonsForButtonBar(Composite parent) {
/*  738 */     createButton(parent, 0, "导出Excel", false);
/*  739 */     createButton(parent, 1, "关 闭", false);
/*      */   }
/*      */   
/*      */   protected void initSearchController() {
/*  743 */     this.sumController = new SearchSYDWController(this.user);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Point getInitialSize() {
/*  752 */     return new Point(800, 600);
/*      */   }
/*      */ 
/*      */   
/*      */   protected void initializeBounds() {
/*  757 */     super.initializeBounds();
/*  758 */     PublicUtil.setCenter(getShell());
/*      */   }
/*      */ 
/*      */   
/*      */   protected void configureShell(Shell newShell) {
/*  763 */     super.configureShell(newShell);
/*  764 */     newShell.setText("事业单位法人登记详细信息");
/*      */   }
/*      */ 
/*      */   
/*      */   public int open() {
/*  769 */     super.open();
/*  770 */     return this.returnValue;
/*      */   }
/*      */ 
/*      */   
/*      */   protected void buttonPressed(int buttonId) {
/*  775 */     if (buttonId == 0) {
/*      */       try {
/*  777 */         if (this.model == null) {
/*  778 */           this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */         }
/*  780 */         CommonSaveEXCELResultDialog s = new CommonSaveEXCELResultDialog(getShell(), this.sydwinfo, this.model, this.items);
/*  781 */         s.open();
/*  782 */       } catch (Exception e2) {
/*  783 */         e2.printStackTrace();
/*      */       } 
/*      */     }
/*      */     
/*  787 */     if (buttonId == 1) {
/*  788 */       this.returnValue = 1;
/*  789 */       super.buttonPressed(buttonId);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList getSydwInfo() {
/*  796 */     ArrayList<DetailFiledResult> list = new ArrayList<DetailFiledResult>();
/*      */     
/*  798 */     if (this.model == null) {
/*  799 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/*  801 */     SydwInfo sy = this.model.getModelSydwInfo();
/*      */ 
/*      */     
/*  804 */     if (this.items[62]) {
/*  805 */       DetailFiledResult dfrUnify = new DetailFiledResult();
/*  806 */       dfrUnify.setFieldTitle("统一社会信用代码");
/*  807 */       dfrUnify.setFieldValue(sy.getUNIFY_CODE());
/*  808 */       list.add(dfrUnify);
/*      */     } 
/*      */     
/*  811 */     if (this.items[1]) {
/*  812 */       DetailFiledResult dfr = new DetailFiledResult();
/*  813 */       dfr.setFieldTitle("单位名称");
/*  814 */       String temp = "";
/*  815 */       if (sy.getSYDW_NAME_SECOND() != null && !sy.getSYDW_NAME_SECOND().trim().equals("")) {
/*  816 */         temp = sy.getSYDW_NAME_SECOND();
/*      */       }
/*  818 */       if (sy.getSYDW_NAME_THIRD() != null && !sy.getSYDW_NAME_THIRD().trim().equals("")) {
/*  819 */         if (temp.equals("")) {
/*  820 */           temp = sy.getSYDW_NAME_THIRD();
/*      */         } else {
/*  822 */           temp = String.valueOf(temp) + "、" + sy.getSYDW_NAME_THIRD();
/*      */         } 
/*      */       }
/*  825 */       if (sy.getSYDW_NAME_OTHER() != null && !sy.getSYDW_NAME_OTHER().trim().equals("")) {
/*  826 */         if (temp.equals("")) {
/*  827 */           temp = sy.getSYDW_NAME_OTHER();
/*      */         } else {
/*  829 */           temp = String.valueOf(temp) + "、" + sy.getSYDW_NAME_OTHER();
/*      */         } 
/*      */       }
/*      */       
/*  833 */       if (temp.equals("")) {
/*  834 */         temp = sy.getSYDW_NAME_FIRST();
/*      */       } else {
/*  836 */         temp = String.valueOf(sy.getSYDW_NAME_FIRST()) + "(" + temp + ")";
/*      */       } 
/*      */       
/*  839 */       dfr.setFieldValue(temp);
/*  840 */       list.add(dfr);
/*      */     } 
/*      */     
/*  843 */     if (this.items[2]) {
/*  844 */       DetailFiledResult dfr = new DetailFiledResult();
/*  845 */       dfr.setFieldTitle("住所");
/*  846 */       dfr.setFieldValue(sy.getADDRESS());
/*  847 */       list.add(dfr);
/*      */     } 
/*  849 */     if (this.items[3]) {
/*  850 */       DetailFiledResult dfr = new DetailFiledResult();
/*  851 */       dfr.setFieldTitle("举办单位");
/*  852 */       dfr.setFieldValue(sy.getJBDW_NAME());
/*  853 */       list.add(dfr);
/*      */     } 
/*  855 */     if (this.items[4]) {
/*  856 */       DetailFiledResult dfr = new DetailFiledResult();
/*  857 */       dfr.setFieldTitle("经费来源");
/*  858 */       dfr.setFieldValue(sy.getASSETS_SOURCE());
/*  859 */       list.add(dfr);
/*      */     } 
/*  861 */     if (this.items[5]) {
/*  862 */       DetailFiledResult dfr = new DetailFiledResult();
/*  863 */       dfr.setFieldTitle("其他资金（万元）");
/*  864 */       dfr.setFieldValue(sy.getASSETS_SOURCE_ADD());
/*  865 */       list.add(dfr);
/*      */     } 
/*  867 */     if (this.items[6]) {
/*  868 */       DetailFiledResult dfr = new DetailFiledResult();
/*  869 */       dfr.setFieldTitle("流动资产（万元）");
/*  870 */       dfr.setFieldValue(sy.getFLOATING_ASSETS());
/*  871 */       list.add(dfr);
/*      */     } 
/*  873 */     if (this.items[7]) {
/*  874 */       DetailFiledResult dfr = new DetailFiledResult();
/*  875 */       dfr.setFieldTitle("固定资产（万元）");
/*  876 */       dfr.setFieldValue(sy.getFIXED_ASSETS());
/*  877 */       list.add(dfr);
/*      */     } 
/*  879 */     if (this.items[8]) {
/*  880 */       DetailFiledResult dfr = new DetailFiledResult();
/*  881 */       dfr.setFieldTitle("开办资金（万元）");
/*  882 */       dfr.setFieldValue(sy.getASSETS_SUM());
/*  883 */       list.add(dfr);
/*      */     } 
/*  885 */     if (this.items[9]) {
/*  886 */       DetailFiledResult dfr = new DetailFiledResult();
/*  887 */       dfr.setFieldTitle("开户银行");
/*  888 */       dfr.setFieldValue(sy.getACCOUNT_BANK());
/*  889 */       list.add(dfr);
/*      */     } 
/*  891 */     if (this.items[10]) {
/*  892 */       DetailFiledResult dfr = new DetailFiledResult();
/*  893 */       dfr.setFieldTitle("银行帐号");
/*  894 */       dfr.setFieldValue(sy.getACCOUNT_NUMBER());
/*  895 */       list.add(dfr);
/*      */     } 
/*  897 */     if (this.items[11]) {
/*  898 */       DetailFiledResult dfr = new DetailFiledResult();
/*  899 */       dfr.setFieldTitle("审批机关");
/*  900 */       dfr.setFieldValue(sy.getAUTH_DEPT());
/*  901 */       list.add(dfr);
/*      */     } 
/*  903 */     if (this.items[12]) {
/*  904 */       DetailFiledResult dfr = new DetailFiledResult();
/*  905 */       dfr.setFieldTitle("批准文号");
/*  906 */       dfr.setFieldValue(sy.getPAPER_ID());
/*  907 */       list.add(dfr);
/*      */     } 
/*  909 */     if (this.items[13]) {
/*  910 */       DetailFiledResult dfr = new DetailFiledResult();
/*  911 */       dfr.setFieldTitle("执业许可证书");
/*  912 */       dfr.setFieldValue(sy.getCERTIFIED_EXEQUATUR());
/*  913 */       list.add(dfr);
/*      */     } 
/*  915 */     if (this.items[14]) {
/*  916 */       DetailFiledResult dfr = new DetailFiledResult();
/*  917 */       dfr.setFieldTitle("机构规格");
/*  918 */       dfr.setFieldValue(sy.getSYDW_LEVEL());
/*  919 */       list.add(dfr);
/*      */     } 
/*  921 */     if (this.items[15]) {
/*  922 */       DetailFiledResult dfr = new DetailFiledResult();
/*  923 */       dfr.setFieldTitle("人员编制");
/*  924 */       dfr.setFieldValue(sy.getAUTH_STAFF());
/*  925 */       list.add(dfr);
/*      */     } 
/*  927 */     if (this.items[16]) {
/*  928 */       DetailFiledResult dfr = new DetailFiledResult();
/*  929 */       dfr.setFieldTitle("从业人数");
/*  930 */       dfr.setFieldValue(sy.getPRACT_NUM());
/*  931 */       list.add(dfr);
/*      */     } 
/*  933 */     if (this.items[17]) {
/*  934 */       DetailFiledResult dfr = new DetailFiledResult();
/*  935 */       dfr.setFieldTitle("宗旨和业务范围");
/*  936 */       dfr.setFieldValue(sy.getTENET_OPERATION());
/*  937 */       list.add(dfr);
/*      */     } 
/*  939 */     if (this.items[18]) {
/*  940 */       DetailFiledResult dfr = new DetailFiledResult();
/*  941 */       dfr.setFieldTitle("设立时间");
/*  942 */       dfr.setFieldValue(sy.getINST_DATE());
/*  943 */       list.add(dfr);
/*      */     } 
/*  945 */     if (this.items[19]) {
/*  946 */       DetailFiledResult dfr = new DetailFiledResult();
/*  947 */       dfr.setFieldTitle("副本份数");
/*  948 */       dfr.setFieldValue(sy.getCERTIFICATE_COPY());
/*  949 */       list.add(dfr);
/*      */     } 
/*  951 */     if (this.items[20]) {
/*  952 */       DetailFiledResult dfr = new DetailFiledResult();
/*  953 */       dfr.setFieldTitle("领证人");
/*  954 */       dfr.setFieldValue(sy.getCERTI_RECIEVER());
/*  955 */       list.add(dfr);
/*      */     } 
/*  957 */     if (this.items[21]) {
/*  958 */       DetailFiledResult dfr = new DetailFiledResult();
/*  959 */       dfr.setFieldTitle("发证人");
/*  960 */       dfr.setFieldValue(sy.getCERTI_SENDER());
/*  961 */       list.add(dfr);
/*      */     } 
/*  963 */     if (this.items[22]) {
/*  964 */       DetailFiledResult dfr = new DetailFiledResult();
/*  965 */       dfr.setFieldTitle("领证日期");
/*  966 */       dfr.setFieldValue(sy.getCERTI_RECIEVE_DATE());
/*  967 */       list.add(dfr);
/*      */     } 
/*  969 */     if (this.items[23]) {
/*  970 */       DetailFiledResult dfr = new DetailFiledResult();
/*  971 */       dfr.setFieldTitle("联系人");
/*  972 */       dfr.setFieldValue(sy.getLINK_MAN());
/*  973 */       list.add(dfr);
/*      */     } 
/*  975 */     if (this.items[24]) {
/*  976 */       DetailFiledResult dfr = new DetailFiledResult();
/*  977 */       dfr.setFieldTitle("联系电话");
/*  978 */       dfr.setFieldValue(sy.getLINK_TEL());
/*  979 */       list.add(dfr);
/*      */     } 
/*  981 */     if (this.items[25]) {
/*  982 */       DetailFiledResult dfr = new DetailFiledResult();
/*  983 */       dfr.setFieldTitle("邮政编码");
/*  984 */       dfr.setFieldValue(sy.getPOST_CODE());
/*  985 */       list.add(dfr);
/*      */     } 
/*  987 */     if (this.items[26]) {
/*  988 */       DetailFiledResult dfr = new DetailFiledResult();
/*  989 */       dfr.setFieldTitle("行业类别");
/*  990 */       dfr.setFieldValue(sy.getINDUSTRY_CODE());
/*  991 */       list.add(dfr);
/*      */     } 
/*  993 */     if (this.items[27]) {
/*  994 */       DetailFiledResult dfr = new DetailFiledResult();
/*  995 */       dfr.setFieldTitle("举办单位类别");
/*  996 */       dfr.setFieldValue(sy.getJBDW_TYPE());
/*  997 */       list.add(dfr);
/*      */     } 
/*      */ 
/*      */     
/* 1001 */     return list;
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList getFRInfo() {
/* 1006 */     ArrayList<DetailFiledResult> list = new ArrayList<DetailFiledResult>();
/*      */     
/* 1008 */     if (this.model == null) {
/* 1009 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/* 1011 */     FddbrInfo frInfo = this.model.getModelFddbrInfo();
/* 1012 */     if (frInfo == null) {
/* 1013 */       frInfo = new FddbrInfo();
/*      */     }
/* 1015 */     if (this.items[29]) {
/* 1016 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1017 */       dfr.setFieldTitle("姓名");
/* 1018 */       dfr.setFieldValue(frInfo.getFR_NAME());
/* 1019 */       list.add(dfr);
/*      */     } 
/* 1021 */     if (this.items[30]) {
/* 1022 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1023 */       dfr.setFieldTitle("曾用名");
/* 1024 */       dfr.setFieldValue(frInfo.getUSED_NAME());
/* 1025 */       list.add(dfr);
/*      */     } 
/* 1027 */     if (this.items[31]) {
/* 1028 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1029 */       dfr.setFieldTitle("性别");
/* 1030 */       dfr.setFieldValue((frInfo.getSEX() == 0) ? "男" : "女");
/* 1031 */       list.add(dfr);
/*      */     } 
/* 1033 */     if (this.items[32]) {
/* 1034 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1035 */       dfr.setFieldTitle("出生年月");
/* 1036 */       dfr.setFieldValue(frInfo.getBIRTHDAY());
/* 1037 */       list.add(dfr);
/*      */     } 
/* 1039 */     if (this.items[33]) {
/* 1040 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1041 */       dfr.setFieldTitle("身份证号");
/* 1042 */       dfr.setFieldValue(frInfo.getID_NUMBER());
/* 1043 */       list.add(dfr);
/*      */     } 
/* 1045 */     if (this.items[34]) {
/* 1046 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1047 */       dfr.setFieldTitle("民族");
/* 1048 */       dfr.setFieldValue(frInfo.getRACE());
/* 1049 */       list.add(dfr);
/*      */     } 
/* 1051 */     if (this.items[35]) {
/* 1052 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1053 */       dfr.setFieldTitle("现任职务");
/* 1054 */       dfr.setFieldValue(frInfo.getCURR_DUTY());
/* 1055 */       list.add(dfr);
/*      */     } 
/* 1057 */     if (this.items[36]) {
/* 1058 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1059 */       dfr.setFieldTitle("技术职称");
/* 1060 */       dfr.setFieldValue(frInfo.getCURR_DUTY());
/* 1061 */       list.add(dfr);
/*      */     } 
/* 1063 */     if (this.items[37]) {
/* 1064 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1065 */       dfr.setFieldTitle("政治面貌");
/* 1066 */       dfr.setFieldValue(frInfo.getPOLITICAL_STATUS());
/* 1067 */       list.add(dfr);
/*      */     } 
/* 1069 */     if (this.items[38]) {
/* 1070 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1071 */       dfr.setFieldTitle("文化程度");
/* 1072 */       dfr.setFieldValue(frInfo.getEDUCATION_LEVEL());
/* 1073 */       list.add(dfr);
/*      */     } 
/* 1075 */     if (this.items[39]) {
/* 1076 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1077 */       dfr.setFieldTitle("工作单位");
/* 1078 */       dfr.setFieldValue(frInfo.getWORK_ENTERPRISE());
/* 1079 */       list.add(dfr);
/*      */     } 
/* 1081 */     if (this.items[40]) {
/* 1082 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1083 */       dfr.setFieldTitle("家庭住址");
/* 1084 */       dfr.setFieldValue(frInfo.getHOME_ADDR());
/* 1085 */       list.add(dfr);
/*      */     } 
/* 1087 */     if (this.items[41]) {
/* 1088 */       DetailFiledResult dfr = new DetailFiledResult();
/* 1089 */       dfr.setFieldTitle("户籍所在地");
/* 1090 */       dfr.setFieldValue(frInfo.getREGISTERED_DISTRICT());
/* 1091 */       list.add(dfr);
/*      */     } 
/*      */     
/* 1094 */     return list;
/*      */   }
/*      */ 
/*      */   
/*      */   private List getAlterInfo() {
/* 1099 */     List<AlterInfoforSta> list = new ArrayList<AlterInfoforSta>();
/*      */     
/* 1101 */     if (this.model == null) {
/* 1102 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/* 1104 */     if (this.model.getListAlterItem() != null) {
/* 1105 */       list.addAll(this.model.getListAlterItem());
/*      */     }
/* 1107 */     return list;
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList getAnnualInfo() {
/* 1112 */     ArrayList<AnnualCheckInfo> list = new ArrayList<AnnualCheckInfo>();
/*      */     
/* 1114 */     if (this.model == null) {
/* 1115 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/* 1117 */     if (this.model.getListAnnaulCheckInfo() != null) {
/* 1118 */       list.addAll(this.model.getListAnnaulCheckInfo());
/*      */     }
/* 1120 */     return list;
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList getReIssueInfo() {
/* 1125 */     ArrayList<ReissueInfo> list = new ArrayList<ReissueInfo>();
/*      */     
/* 1127 */     if (this.model == null) {
/* 1128 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/* 1130 */     if (this.model.getListReissue() != null) {
/* 1131 */       list.addAll(this.model.getListReissue());
/*      */     }
/* 1133 */     return list;
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList getWriteOffInfo() {
/* 1138 */     ArrayList<WriteoffInfo> list = new ArrayList<WriteoffInfo>();
/*      */     
/* 1140 */     if (this.model == null) {
/* 1141 */       this.model = this.sumController.searchSydwDetailInfo(this.sydwinfo.getSYDW_CODE(), getSelection(29, 41), getSelection(43, 48), getSelection(50, 51), getSelection(53, 54), getSelection(56, 61));
/*      */     }
/* 1143 */     if (this.model.getModelWriteOffInfo() != null) {
/* 1144 */       list.add(this.model.getModelWriteOffInfo());
/*      */     }
/* 1146 */     return list;
/*      */   }
/*      */   
/*      */   private boolean getSelection(int start, int end) {
/* 1150 */     boolean result = false;
/* 1151 */     for (int i = start; i <= end; i++) {
/* 1152 */       if (this.items[i]) {
/* 1153 */         result = true;
/*      */         
/*      */         break;
/*      */       } 
/*      */     } 
/* 1158 */     return result;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\SydwDetailResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */