/*      */ package cs.admin.search.table;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.admin.excel.GenSydwExcel;
/*      */ import cs.admin.search.SearchSYDWController;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import java.util.ArrayList;
/*      */ import org.eclipse.jface.dialogs.Dialog;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.program.Program;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Group;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.MessageBox;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import server.tableinfo.common.AnnualCheckInfo;
/*      */ import server.tableinfo.common.FddbrInfo;
/*      */ import server.tableinfo.common.ItemAlteration;
/*      */ import server.tableinfo.common.ReissueInfo;
/*      */ import server.tableinfo.common.SYDWInfo;
/*      */ import server.tableinfo.common.WriteoffInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class SYDWResultExcelDialog
/*      */   extends Dialog
/*      */ {
/*      */   private SearchSYDWController sumCntroller;
/*      */   private SYDWInfo sydw;
/*      */   private Composite composite_1;
/*      */   private Composite composite_2;
/*      */   private Composite composite_3;
/*      */   private Composite composite_4;
/*      */   private Composite composite_5;
/*      */   private Composite composite_6;
/*      */   private Shell shell;
/*   50 */   private StackLayout stackLayout = new StackLayout();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public SYDWResultExcelDialog(Shell parentShell) {
/*   57 */     super(parentShell);
/*      */   }
/*      */ 
/*      */   
/*      */   public SYDWResultExcelDialog(Shell shell, SearchSYDWController sumController, SYDWInfo sydw) {
/*   62 */     super(shell);
/*   63 */     this.shell = shell;
/*   64 */     this.sumCntroller = sumController;
/*   65 */     this.sydw = sydw;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Control createDialogArea(Composite parent) {
/*   76 */     parent.setBackground(Display.getCurrent()
/*   77 */         .getSystemColor(1));
/*   78 */     Composite container = (Composite)super.createDialogArea(parent);
/*   79 */     container.setLayout((Layout)this.stackLayout);
/*   80 */     container.setLayoutData(new GridData(4, 4, true, true));
/*   81 */     container.setBackground(Display.getCurrent()
/*   82 */         .getSystemColor(1));
/*      */     
/*   84 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*   85 */         container, 2816);
/*   86 */     scrolledComposite.setCapture(true);
/*   87 */     scrolledComposite.setBackground(Display.getCurrent()
/*   88 */         .getSystemColor(1));
/*      */     
/*   90 */     this.stackLayout.topControl = (Control)scrolledComposite;
/*      */     
/*   92 */     Composite composite = new Composite((Composite)scrolledComposite, 0);
/*   93 */     composite.setLayout((Layout)new GridLayout());
/*   94 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*      */     
/*   96 */     Label label = new Label(composite, 0);
/*   97 */     label.setFont(SWTResourceManager.getFont("", 14, 1));
/*   98 */     label.setLayoutData(new GridData(16777216, 16777216, false, false));
/*   99 */     label.setBackground(
/*  100 */         Display.getCurrent().getSystemColor(1));
/*  101 */     label.setText("选择保存信息");
/*      */     
/*  103 */     Group group_1 = new Group(composite, 0);
/*  104 */     group_1.setBackground(Display.getCurrent()
/*  105 */         .getSystemColor(1));
/*  106 */     GridLayout gridLayout_6 = new GridLayout();
/*  107 */     gridLayout_6.horizontalSpacing = 1;
/*  108 */     gridLayout_6.marginHeight = 1;
/*  109 */     gridLayout_6.marginWidth = 1;
/*  110 */     group_1.setLayout((Layout)gridLayout_6);
/*      */     
/*  112 */     final Button button_1 = new Button((Composite)group_1, 32);
/*      */     
/*  114 */     GridData gd_button_1 = new GridData(4, 16777216, false, 
/*  115 */         false);
/*  116 */     button_1.setLayoutData(gd_button_1);
/*  117 */     button_1.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  118 */     button_1.setText("全选:事业单位基本信息");
/*      */     
/*  120 */     this.composite_1 = new Composite((Composite)group_1, 0);
/*  121 */     this.composite_1.setBackground(Display.getCurrent()
/*  122 */         .getSystemColor(1));
/*  123 */     GridData gd_composite_1 = new GridData(4, 16777216, 
/*  124 */         true, false);
/*  125 */     this.composite_1.setLayoutData(gd_composite_1);
/*  126 */     GridLayout gridLayout = new GridLayout();
/*  127 */     gridLayout.numColumns = 4;
/*  128 */     this.composite_1.setLayout((Layout)gridLayout);
/*      */     
/*  130 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  133 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_1, button_1.getSelection());
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  138 */     Button button_1_0 = new Button(this.composite_1, 32);
/*  139 */     GridData gd_button_1_0 = new GridData(140, -1);
/*  140 */     button_1_0.setLayoutData(gd_button_1_0);
/*  141 */     button_1_0.setBackground(Display.getCurrent()
/*  142 */         .getSystemColor(1));
/*  143 */     button_1_0.setText("名称");
/*      */     
/*  145 */     Button button_1_1 = new Button(this.composite_1, 32);
/*  146 */     button_1_1.setLayoutData(new GridData(140, -1));
/*  147 */     button_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  148 */     button_1_1.setText("住所");
/*      */     
/*  150 */     Button button_1_2 = new Button(this.composite_1, 32);
/*  151 */     button_1_2.setLayoutData(new GridData(140, -1));
/*  152 */     button_1_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  153 */     button_1_2.setText("举办单位");
/*      */     
/*  155 */     Button button_1_3 = new Button(this.composite_1, 32);
/*  156 */     button_1_3.setLayoutData(new GridData(140, -1));
/*  157 */     button_1_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  158 */     button_1_3.setText("经费来源");
/*      */     
/*  160 */     Button button_1_4 = new Button(this.composite_1, 32);
/*  161 */     button_1_4.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  162 */     button_1_4.setText("开办资金");
/*      */     
/*  164 */     Button button_1_5 = new Button(this.composite_1, 32);
/*  165 */     button_1_5.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  166 */     button_1_5.setText("固定资产");
/*      */     
/*  168 */     Button button_1_6 = new Button(this.composite_1, 32);
/*  169 */     button_1_6.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  170 */     button_1_6.setText("流动资产");
/*      */     
/*  172 */     Button button_1_7 = new Button(this.composite_1, 32);
/*  173 */     button_1_7.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  174 */     button_1_7.setText("其他资金");
/*      */     
/*  176 */     Button button_1_8 = new Button(this.composite_1, 32);
/*  177 */     button_1_8.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  178 */     button_1_8.setText("开户银行");
/*      */     
/*  180 */     Button button_1_9 = new Button(this.composite_1, 32);
/*  181 */     button_1_9.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  182 */     button_1_9.setText("银行帐号");
/*      */     
/*  184 */     Button button_1_10 = new Button(this.composite_1, 32);
/*  185 */     button_1_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  186 */     button_1_10.setText("审批机关");
/*      */     
/*  188 */     Button button_1_11 = new Button(this.composite_1, 32);
/*  189 */     button_1_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  190 */     button_1_11.setText("批准文号");
/*      */     
/*  192 */     Button button_1_12 = new Button(this.composite_1, 32);
/*  193 */     button_1_12.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  194 */     button_1_12.setText("执业许可证书");
/*      */     
/*  196 */     Button button_1_13 = new Button(this.composite_1, 32);
/*  197 */     button_1_13.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  198 */     button_1_13.setText("机构规格");
/*      */     
/*  200 */     Button button_1_14 = new Button(this.composite_1, 32);
/*  201 */     button_1_14.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  202 */     button_1_14.setText("人员编制");
/*      */     
/*  204 */     Button button_1_15 = new Button(this.composite_1, 32);
/*  205 */     button_1_15.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  206 */     button_1_15.setText("从业人数");
/*      */     
/*  208 */     Button button_1_16 = new Button(this.composite_1, 32);
/*  209 */     button_1_16.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  210 */     button_1_16.setText("宗旨和业务范围");
/*      */     
/*  212 */     Button button_1_17 = new Button(this.composite_1, 32);
/*  213 */     button_1_17.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  214 */     button_1_17.setText("设立时间");
/*      */     
/*  216 */     Button button_1_18 = new Button(this.composite_1, 32);
/*  217 */     button_1_18.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  218 */     button_1_18.setText("副本份数");
/*      */     
/*  220 */     Button button_1_19 = new Button(this.composite_1, 32);
/*  221 */     button_1_19.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  222 */     button_1_19.setText("领证人");
/*      */     
/*  224 */     Button button_1_20 = new Button(this.composite_1, 32);
/*  225 */     button_1_20.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  226 */     button_1_20.setText("发证人");
/*      */     
/*  228 */     Button button_1_21 = new Button(this.composite_1, 32);
/*  229 */     button_1_21.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  230 */     button_1_21.setText("领证日期");
/*      */     
/*  232 */     Button button_1_22 = new Button(this.composite_1, 32);
/*  233 */     button_1_22.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  234 */     button_1_22.setText("联系人");
/*      */     
/*  236 */     Button button_1_23 = new Button(this.composite_1, 32);
/*  237 */     button_1_23.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  238 */     button_1_23.setText("联系电话");
/*      */     
/*  240 */     Button button_1_24 = new Button(this.composite_1, 32);
/*  241 */     button_1_24.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  242 */     button_1_24.setText("邮政编码");
/*      */     
/*  244 */     Button button_1_25 = new Button(this.composite_1, 32);
/*  245 */     button_1_25.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  246 */     button_1_25.setText("行业类别");
/*      */     
/*  248 */     Button button_1_26 = new Button(this.composite_1, 32);
/*  249 */     button_1_26.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  250 */     button_1_26.setText("举办单位类别");
/*      */     
/*  252 */     Group group_2 = new Group(composite, 0);
/*  253 */     group_2.setBackground(Display.getCurrent()
/*  254 */         .getSystemColor(1));
/*  255 */     GridLayout gridLayout_7 = new GridLayout();
/*  256 */     gridLayout_7.horizontalSpacing = 1;
/*  257 */     gridLayout_7.marginWidth = 1;
/*  258 */     gridLayout_7.marginHeight = 1;
/*  259 */     group_2.setLayout((Layout)gridLayout_7);
/*      */     
/*  261 */     final Button button_2 = new Button((Composite)group_2, 32);
/*      */     
/*  263 */     GridData gd_button_2 = new GridData(4, 16777216, true, 
/*  264 */         false);
/*  265 */     button_2.setLayoutData(gd_button_2);
/*  266 */     button_2.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  267 */     button_2.setText("全选:法定代表人信息");
/*      */     
/*  269 */     this.composite_2 = new Composite((Composite)group_2, 0);
/*  270 */     this.composite_2.setBackground(Display.getCurrent()
/*  271 */         .getSystemColor(1));
/*  272 */     GridData gd_composite_2 = new GridData(4, 16777216, 
/*  273 */         true, false);
/*  274 */     this.composite_2.setLayoutData(gd_composite_2);
/*  275 */     GridLayout gridLayout_1 = new GridLayout();
/*  276 */     gridLayout_1.numColumns = 4;
/*  277 */     this.composite_2.setLayout((Layout)gridLayout_1);
/*      */     
/*  279 */     Button button_2_0 = new Button(this.composite_2, 32);
/*  280 */     GridData gd_button_2_0 = new GridData(140, -1);
/*  281 */     button_2_0.setLayoutData(gd_button_2_0);
/*  282 */     button_2_0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  283 */     button_2_0.setText("姓名");
/*      */     
/*  285 */     Button button_2_1 = new Button(this.composite_2, 32);
/*  286 */     GridData gd_button_2_1 = new GridData(140, -1);
/*  287 */     button_2_1.setLayoutData(gd_button_2_1);
/*  288 */     button_2_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  289 */     button_2_1.setText("曾用名");
/*      */     
/*  291 */     Button button_2_2 = new Button(this.composite_2, 32);
/*  292 */     GridData gd_button_2_2 = new GridData(140, -1);
/*  293 */     button_2_2.setLayoutData(gd_button_2_2);
/*  294 */     button_2_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  295 */     button_2_2.setText("性别");
/*      */     
/*  297 */     Button button_2_3 = new Button(this.composite_2, 32);
/*  298 */     GridData gd_button_2_3 = new GridData(140, -1);
/*  299 */     button_2_3.setLayoutData(gd_button_2_3);
/*  300 */     button_2_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  301 */     button_2_3.setText("出生年月");
/*      */     
/*  303 */     Button button_2_4 = new Button(this.composite_2, 32);
/*  304 */     GridData gd_button_2_4 = new GridData(120, -1);
/*  305 */     button_2_4.setLayoutData(gd_button_2_4);
/*  306 */     button_2_4.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  307 */     button_2_4.setText("身份证号");
/*      */     
/*  309 */     Button button_2_5 = new Button(this.composite_2, 32);
/*  310 */     GridData gd_button_2_5 = new GridData(120, -1);
/*  311 */     button_2_5.setLayoutData(gd_button_2_5);
/*  312 */     button_2_5.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  313 */     button_2_5.setText("民族");
/*      */     
/*  315 */     Button button_2_6 = new Button(this.composite_2, 32);
/*  316 */     GridData gd_button_2_6 = new GridData(120, -1);
/*  317 */     button_2_6.setLayoutData(gd_button_2_6);
/*  318 */     button_2_6.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  319 */     button_2_6.setText("现任职务");
/*      */     
/*  321 */     Button button_2_7 = new Button(this.composite_2, 32);
/*  322 */     GridData gd_button_2_7 = new GridData(120, -1);
/*  323 */     button_2_7.setLayoutData(gd_button_2_7);
/*  324 */     button_2_7.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  325 */     button_2_7.setText("技术职称");
/*      */     
/*  327 */     Button button_2_8 = new Button(this.composite_2, 32);
/*  328 */     GridData gd_button_2_8 = new GridData(120, -1);
/*  329 */     button_2_8.setLayoutData(gd_button_2_8);
/*  330 */     button_2_8.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  331 */     button_2_8.setText("政治面貌");
/*      */     
/*  333 */     Button button_2_9 = new Button(this.composite_2, 32);
/*  334 */     GridData gd_button_2_9 = new GridData(120, -1);
/*  335 */     button_2_9.setLayoutData(gd_button_2_9);
/*  336 */     button_2_9.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  337 */     button_2_9.setText("文化程度");
/*      */     
/*  339 */     Button button_2_10 = new Button(this.composite_2, 32);
/*  340 */     GridData gd_button_2_10 = new GridData(120, -1);
/*  341 */     button_2_10.setLayoutData(gd_button_2_10);
/*  342 */     button_2_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  343 */     button_2_10.setText("工作单位");
/*      */     
/*  345 */     Button button_2_11 = new Button(this.composite_2, 32);
/*  346 */     GridData gd_button_2_11 = new GridData(120, -1);
/*  347 */     button_2_11.setLayoutData(gd_button_2_11);
/*  348 */     button_2_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  349 */     button_2_11.setText("家庭住址");
/*      */     
/*  351 */     Button button_2_12 = new Button(this.composite_2, 32);
/*  352 */     GridData gd_button_2_12 = new GridData(120, -1);
/*  353 */     button_2_12.setLayoutData(gd_button_2_12);
/*  354 */     button_2_12.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  355 */     button_2_12.setText("户籍所在地");
/*      */     
/*  357 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  360 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_2, button_2.getSelection());
/*      */           }
/*      */         });
/*  363 */     Group group_3 = new Group(composite, 0);
/*  364 */     group_3.setBackground(Display.getCurrent()
/*  365 */         .getSystemColor(1));
/*  366 */     GridLayout gridLayout_8 = new GridLayout();
/*  367 */     gridLayout_8.marginWidth = 1;
/*  368 */     gridLayout_8.marginHeight = 1;
/*  369 */     group_3.setLayout((Layout)gridLayout_8);
/*      */     
/*  371 */     final Button button_3 = new Button((Composite)group_3, 32);
/*      */     
/*  373 */     GridData gd_button_3 = new GridData(4, 16777216, true, 
/*  374 */         false);
/*  375 */     button_3.setLayoutData(gd_button_3);
/*  376 */     button_3.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  377 */     button_3.setText("全选:事业单位变更信息");
/*      */     
/*  379 */     this.composite_3 = new Composite((Composite)group_3, 0);
/*  380 */     GridData gd_composite_3 = new GridData(4, 16777216, 
/*  381 */         true, false);
/*  382 */     this.composite_3.setLayoutData(gd_composite_3);
/*  383 */     this.composite_3.setBackground(Display.getCurrent()
/*  384 */         .getSystemColor(1));
/*  385 */     GridLayout gridLayout_2 = new GridLayout();
/*  386 */     gridLayout_2.numColumns = 4;
/*  387 */     this.composite_3.setLayout((Layout)gridLayout_2);
/*      */     
/*  389 */     Button button_3_0 = new Button(this.composite_3, 32);
/*  390 */     GridData gd_button_3_0 = new GridData(140, -1);
/*  391 */     button_3_0.setLayoutData(gd_button_3_0);
/*  392 */     button_3_0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  393 */     button_3_0.setText("变更事项");
/*      */     
/*  395 */     Button button_3_1 = new Button(this.composite_3, 32);
/*  396 */     GridData gd_button_3_1 = new GridData(140, -1);
/*  397 */     button_3_1.setLayoutData(gd_button_3_1);
/*  398 */     button_3_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  399 */     button_3_1.setText("变更时间");
/*      */     
/*  401 */     Button button_3_2 = new Button(this.composite_3, 32);
/*  402 */     GridData gd_button_3_2 = new GridData(140, -1);
/*  403 */     button_3_2.setLayoutData(gd_button_3_2);
/*  404 */     button_3_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  405 */     button_3_2.setText("原登记情况");
/*      */     
/*  407 */     Button button_3_3 = new Button(this.composite_3, 32);
/*  408 */     GridData gd_button_3_3 = new GridData(140, -1);
/*  409 */     button_3_3.setLayoutData(gd_button_3_3);
/*  410 */     button_3_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  411 */     button_3_3.setText("变更后情况");
/*      */     
/*  413 */     Button button_3_4 = new Button(this.composite_3, 32);
/*  414 */     GridData gd_button_3_4 = new GridData(16384, 16777216, 
/*  415 */         false, false, 2, 1);
/*  416 */     gd_button_3_4.widthHint = 120;
/*  417 */     button_3_4.setLayoutData(gd_button_3_4);
/*  418 */     button_3_4.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  419 */     button_3_4.setText("变更公告刊登媒体");
/*      */     
/*  421 */     Button button_3_5 = new Button(this.composite_3, 32);
/*  422 */     GridData gd_button_3_5 = new GridData(16384, 16777216, 
/*  423 */         false, false, 2, 1);
/*  424 */     gd_button_3_5.widthHint = 120;
/*  425 */     button_3_5.setLayoutData(gd_button_3_5);
/*  426 */     button_3_5.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  427 */     button_3_5.setText("变更时间");
/*      */     
/*  429 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  432 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_3, button_3.getSelection());
/*      */           }
/*      */         });
/*  435 */     Group group_4 = new Group(composite, 0);
/*  436 */     group_4.setLayoutData(new GridData(4, 16777216, false, false));
/*  437 */     group_4.setBackground(Display.getCurrent()
/*  438 */         .getSystemColor(1));
/*  439 */     GridLayout gridLayout_9 = new GridLayout();
/*  440 */     gridLayout_9.marginHeight = 1;
/*  441 */     gridLayout_9.marginWidth = 1;
/*  442 */     group_4.setLayout((Layout)gridLayout_9);
/*      */     
/*  444 */     final Button button_4 = new Button((Composite)group_4, 32);
/*      */     
/*  446 */     GridData gd_button_4 = new GridData(4, 16777216, true, 
/*  447 */         false);
/*  448 */     button_4.setLayoutData(gd_button_4);
/*  449 */     button_4.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  450 */     button_4.setText("全选:事业单位年检信息");
/*      */     
/*  452 */     this.composite_4 = new Composite((Composite)group_4, 0);
/*  453 */     this.composite_4.setBackground(Display.getCurrent()
/*  454 */         .getSystemColor(1));
/*  455 */     GridData gd_composite_4 = new GridData(4, 16777216, 
/*  456 */         true, false);
/*  457 */     this.composite_4.setLayoutData(gd_composite_4);
/*  458 */     GridLayout gridLayout_3 = new GridLayout();
/*  459 */     gridLayout_3.numColumns = 2;
/*  460 */     this.composite_4.setLayout((Layout)gridLayout_3);
/*      */     
/*  462 */     Button button_4_0 = new Button(this.composite_4, 32);
/*  463 */     GridData gd_button_4_0 = new GridData(284, -1);
/*  464 */     button_4_0.setLayoutData(gd_button_4_0);
/*  465 */     button_4_0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  466 */     button_4_0.setText("年检情况");
/*      */     
/*  468 */     Button button_4_1 = new Button(this.composite_4, 32);
/*  469 */     GridData gd_button_4_1 = new GridData(244, -1);
/*  470 */     button_4_1.setLayoutData(gd_button_4_1);
/*  471 */     button_4_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  472 */     button_4_1.setText("年检时间");
/*  473 */     button_4.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  476 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_4, button_4.getSelection());
/*      */           }
/*      */         });
/*  479 */     Group group_5 = new Group(composite, 0);
/*  480 */     group_5.setLayoutData(new GridData(4, 16777216, false, false));
/*  481 */     group_5.setBackground(Display.getCurrent()
/*  482 */         .getSystemColor(1));
/*  483 */     GridLayout gridLayout_10 = new GridLayout();
/*  484 */     gridLayout_10.marginWidth = 1;
/*  485 */     gridLayout_10.marginHeight = 1;
/*  486 */     group_5.setLayout((Layout)gridLayout_10);
/*      */     
/*  488 */     final Button button_5 = new Button((Composite)group_5, 32);
/*  489 */     GridData gd_button_5 = new GridData(4, 16777216, true, 
/*  490 */         false);
/*  491 */     button_5.setLayoutData(gd_button_5);
/*  492 */     button_5.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  493 */     button_5.setText("全选: 补领证书情况 ");
/*      */     
/*  495 */     this.composite_5 = new Composite((Composite)group_5, 0);
/*  496 */     GridData gd_composite_5 = new GridData(4, 16777216, 
/*  497 */         true, false);
/*  498 */     this.composite_5.setLayoutData(gd_composite_5);
/*  499 */     this.composite_5.setBackground(Display.getCurrent()
/*  500 */         .getSystemColor(1));
/*  501 */     GridLayout gridLayout_4 = new GridLayout();
/*  502 */     gridLayout_4.numColumns = 2;
/*  503 */     this.composite_5.setLayout((Layout)gridLayout_4);
/*      */     
/*  505 */     Button button_5_0 = new Button(this.composite_5, 32);
/*  506 */     GridData gd_button_5_0 = new GridData(285, -1);
/*  507 */     button_5_0.setLayoutData(gd_button_5_0);
/*  508 */     button_5_0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  509 */     button_5_0.setText("补领证书时间");
/*      */     
/*  511 */     Button button_5_1 = new Button(this.composite_5, 32);
/*  512 */     GridData gd_button_5_1 = new GridData(244, -1);
/*  513 */     button_5_1.setLayoutData(gd_button_5_1);
/*  514 */     button_5_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  515 */     button_5_1.setText(" 补领证书原因");
/*  516 */     button_5.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  519 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_5, button_5.getSelection());
/*      */           }
/*      */         });
/*  522 */     Group group_6 = new Group(composite, 0);
/*  523 */     group_6.setLayoutData(new GridData(4, 16777216, false, false));
/*  524 */     group_6.setBackground(Display.getCurrent()
/*  525 */         .getSystemColor(1));
/*  526 */     GridLayout gridLayout_11 = new GridLayout();
/*  527 */     gridLayout_11.marginHeight = 1;
/*  528 */     gridLayout_11.marginWidth = 1;
/*  529 */     group_6.setLayout((Layout)gridLayout_11);
/*      */     
/*  531 */     final Button button_6 = new Button((Composite)group_6, 32);
/*      */     
/*  533 */     GridData gd_button_6 = new GridData(4, 16777216, true, 
/*  534 */         false);
/*  535 */     button_6.setLayoutData(gd_button_6);
/*  536 */     button_6.setBackground(SWTResourceManager.getColor(204, 255, 255));
/*  537 */     button_6.setText("全选: 注销登记情况");
/*      */     
/*  539 */     this.composite_6 = new Composite((Composite)group_6, 0);
/*  540 */     GridData gd_composite_6 = new GridData(4, 16777216, 
/*  541 */         true, false);
/*  542 */     this.composite_6.setLayoutData(gd_composite_6);
/*  543 */     this.composite_6.setBackground(Display.getCurrent()
/*  544 */         .getSystemColor(1));
/*  545 */     GridLayout gridLayout_5 = new GridLayout();
/*  546 */     gridLayout_5.numColumns = 4;
/*  547 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*      */     
/*  549 */     Button button_6_0 = new Button(this.composite_6, 32);
/*  550 */     GridData gd_button_6_0 = new GridData(140, -1);
/*  551 */     button_6_0.setLayoutData(gd_button_6_0);
/*  552 */     button_6_0.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  553 */     button_6_0.setText("注销时间");
/*      */     
/*  555 */     Button button_6_1 = new Button(this.composite_6, 32);
/*  556 */     GridData gd_button_6_1 = new GridData(140, -1);
/*  557 */     button_6_1.setLayoutData(gd_button_6_1);
/*  558 */     button_6_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  559 */     button_6_1.setText("注销理由");
/*      */     
/*  561 */     Button button_6_2 = new Button(this.composite_6, 32);
/*  562 */     GridData gd_button_6_2 = new GridData(140, -1);
/*  563 */     button_6_2.setLayoutData(gd_button_6_2);
/*  564 */     button_6_2.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  565 */     button_6_2.setText("清算组织负责人意见");
/*      */     
/*  567 */     Button button_6_3 = new Button(this.composite_6, 32);
/*  568 */     GridData gd_button_6_3 = new GridData(140, -1);
/*  569 */     button_6_3.setLayoutData(gd_button_6_3);
/*  570 */     button_6_3.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  571 */     button_6_3.setText("证章收缴情况");
/*      */     
/*  573 */     Button button_6_4 = new Button(this.composite_6, 32);
/*  574 */     GridData gd_button_6_4 = new GridData(16384, 16777216, 
/*  575 */         false, false, 2, 1);
/*  576 */     gd_button_6_4.widthHint = 120;
/*  577 */     button_6_4.setLayoutData(gd_button_6_4);
/*  578 */     button_6_4.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  579 */     button_6_4.setText("注销公告刊登媒体");
/*      */     
/*  581 */     Button button_6_5 = new Button(this.composite_6, 32);
/*  582 */     GridData gd_button_6_5 = new GridData(16384, 16777216, 
/*  583 */         false, false, 2, 1);
/*  584 */     gd_button_6_5.widthHint = 120;
/*  585 */     button_6_5.setLayoutData(gd_button_6_5);
/*  586 */     button_6_5.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  587 */     button_6_5.setText("注销公告刊登时间");
/*  588 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  591 */             SYDWResultExcelDialog.this.autoChangeSelection(SYDWResultExcelDialog.this.composite_6, button_6.getSelection());
/*      */           }
/*      */         });
/*      */ 
/*      */ 
/*      */     
/*  597 */     composite.setSize(610, 700);
/*  598 */     scrolledComposite.setContent((Control)composite);
/*      */     
/*  600 */     return (Control)container;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createButtonsForButtonBar(Composite parent) {
/*  611 */     parent.setBackground(Display.getCurrent()
/*  612 */         .getSystemColor(1));
/*  613 */     createButton(parent, 0, "另存为Excel", true);
/*  614 */     createButton(parent, 1, "取消", false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Point getInitialSize() {
/*  622 */     return new Point(650, 681);
/*      */   }
/*      */   
/*      */   protected void configureShell(Shell newShell) {
/*  626 */     super.configureShell(newShell);
/*  627 */     newShell.setText("选择保存信息");
/*      */   }
/*      */   
/*      */   protected void initializeBounds() {
/*  631 */     super.initializeBounds();
/*  632 */     PublicUtil.setCenter(getShell());
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean CheckSelection(Composite composite) {
/*  637 */     Control[] s = composite.getChildren();
/*      */     
/*  639 */     for (int i = 0; i < s.length; i++) {
/*  640 */       Button b = (Button)s[i];
/*  641 */       if (b.getSelection())
/*  642 */         return true; 
/*      */     } 
/*  644 */     return false;
/*      */   }
/*      */ 
/*      */   
/*      */   private void autoChangeSelection(Composite composite, boolean selection) {
/*  649 */     Control[] s = composite.getChildren();
/*      */     
/*  651 */     for (int i = 0; i < s.length; i++) {
/*  652 */       Button b = (Button)s[i];
/*  653 */       b.setSelection(selection);
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   protected void buttonPressed(int buttonId) {
/*  659 */     if (buttonId == 0) {
/*      */       
/*      */       try {
/*      */         
/*  663 */         SaveSydwDetailsEXCELDialog s = new SaveSydwDetailsEXCELDialog(
/*  664 */             this.shell, this.sydw.getSYDW_NAME_FIRST());
/*  665 */         String filepath = (String)s.open();
/*  666 */         if (filepath != null) {
/*  667 */           SYDWInfo ss = this.sumCntroller.getSYDW(this.sydw.getSYDW_ID());
/*  668 */           FddbrInfo fddbr = this.sumCntroller.getFddbr(this.sydw.getSYDW_ID());
/*  669 */           ArrayList alterations = this.sumCntroller.getAlterations(this.sydw.getSYDW_ID());
/*  670 */           ArrayList annuals = this.sumCntroller.getAnnuals(this.sydw.getSYDW_ID());
/*  671 */           ArrayList reissues = this.sumCntroller.getReissues(this.sydw.getSYDW_ID());
/*  672 */           ArrayList writenoffs = this.sumCntroller.getWritenoffs(this.sydw.getSYDW_ID());
/*      */           
/*  674 */           ArrayList labels = GetLabels();
/*      */           
/*  676 */           boolean flag = (new GenSydwExcel()).genOneSydwExcel(filepath, 
/*  677 */               labels, ss, fddbr, alterations, annuals, 
/*  678 */               reissues, writenoffs);
/*  679 */           if (flag) {
/*  680 */             MessageBox mbox = new MessageBox(this.shell, 
/*  681 */                 196);
/*  682 */             mbox.setMessage("Excel文件下载完成，是否打开？");
/*  683 */             mbox.setText("信息提示");
/*  684 */             if (mbox.open() == 64) {
/*  685 */               Program.launch(filepath);
/*      */             }
/*      */           } else {
/*  688 */             SydjMessageDialog.openInformation(null, "提示", 
/*  689 */                 "生成Excel文件错误，下载失败");
/*      */             return;
/*      */           } 
/*      */         } 
/*  693 */       } catch (Exception e2) {
/*  694 */         e2.printStackTrace();
/*      */         
/*      */         return;
/*      */       } 
/*      */     }
/*  699 */     super.buttonPressed(buttonId);
/*      */   }
/*      */   
/*      */   private ArrayList GetLabels() {
/*  703 */     ArrayList<SYDWInfo> result = new ArrayList();
/*  704 */     Control[] s = (Control[])null;
/*      */     
/*  706 */     SYDWInfo sydw = new SYDWInfo();
/*  707 */     s = this.composite_1.getChildren();
/*      */     int i;
/*  709 */     for (i = 0; i < s.length; i++) {
/*  710 */       Button b = (Button)s[i];
/*  711 */       switch (i) {
/*      */         case 0:
/*  713 */           if (b.getSelection())
/*  714 */             sydw.setSYDW_NAME_FIRST("名称"); 
/*      */           break;
/*      */         case 1:
/*  717 */           if (b.getSelection())
/*  718 */             sydw.setADDRESS("住所"); 
/*      */           break;
/*      */         case 2:
/*  721 */           if (b.getSelection())
/*  722 */             sydw.setJBDW_NAME("举办单位"); 
/*      */           break;
/*      */         case 3:
/*  725 */           if (b.getSelection())
/*  726 */             sydw.setASSETS_SOURCE("经费来源"); 
/*      */           break;
/*      */         case 4:
/*  729 */           if (b.getSelection())
/*  730 */             sydw.setASSETS_SUM("开办资金"); 
/*      */           break;
/*      */         case 5:
/*  733 */           if (b.getSelection())
/*  734 */             sydw.setFIXED_ASSETS("固定资产"); 
/*      */           break;
/*      */         case 6:
/*  737 */           if (b.getSelection())
/*  738 */             sydw
/*  739 */               .setFLOATING_ASSETS("流动资产"); 
/*      */           break;
/*      */         case 7:
/*  742 */           if (b.getSelection())
/*  743 */             sydw.setOTHER_ASSETS("其他资金"); 
/*      */           break;
/*      */         case 8:
/*  746 */           if (b.getSelection())
/*  747 */             sydw.setACCOUNT_BANK("开户银行"); 
/*      */           break;
/*      */         case 9:
/*  750 */           if (b.getSelection())
/*  751 */             sydw.setACCOUNT_NUMBER("银行帐号"); 
/*      */           break;
/*      */         case 10:
/*  754 */           if (b.getSelection())
/*  755 */             sydw.setAUTH_DEPT("审批机关"); 
/*      */           break;
/*      */         case 11:
/*  758 */           if (b.getSelection())
/*  759 */             sydw.setPAPER_ID("批准文号"); 
/*      */           break;
/*      */         case 12:
/*  762 */           if (b.getSelection())
/*  763 */             sydw
/*  764 */               .setCERTIFIED_EXEQUATUR("执业许可证书"); 
/*      */           break;
/*      */         case 13:
/*  767 */           if (b.getSelection())
/*  768 */             sydw.setSYDW_LEVEL(1); 
/*      */           break;
/*      */         case 14:
/*  771 */           if (b.getSelection())
/*  772 */             sydw.setAUTH_STAFF(1); 
/*      */           break;
/*      */         case 15:
/*  775 */           if (b.getSelection())
/*  776 */             sydw.setPRACT_NUM(1); 
/*      */           break;
/*      */         case 16:
/*  779 */           if (b.getSelection())
/*  780 */             sydw
/*  781 */               .setTENET_OPERATION("宗旨和业务范围"); 
/*      */           break;
/*      */         case 17:
/*  784 */           if (b.getSelection())
/*  785 */             sydw.setINST_DATE("设立时间"); 
/*      */           break;
/*      */         case 18:
/*  788 */           if (b.getSelection())
/*  789 */             sydw.setCERTIFICATE_COPY(1); 
/*      */           break;
/*      */         case 19:
/*  792 */           if (b.getSelection())
/*  793 */             sydw.setCERTI_RECIEVER("领证人"); 
/*      */           break;
/*      */         case 20:
/*  796 */           if (b.getSelection())
/*  797 */             sydw.setCERTI_SENDER("发证人"); 
/*      */           break;
/*      */         case 21:
/*  800 */           if (b.getSelection())
/*  801 */             sydw
/*  802 */               .setCERTI_RECIEVE_DATE("领证日期"); 
/*      */           break;
/*      */         case 22:
/*  805 */           if (b.getSelection())
/*  806 */             sydw.setLINK_MAN("联系人"); 
/*      */           break;
/*      */         case 23:
/*  809 */           if (b.getSelection())
/*  810 */             sydw.setLINK_TEL("联系电话"); 
/*      */           break;
/*      */         case 24:
/*  813 */           if (b.getSelection())
/*  814 */             sydw.setPOST_CODE("邮政编码"); 
/*      */           break;
/*      */         case 25:
/*  817 */           if (b.getSelection())
/*  818 */             sydw.setINDUSTRY_CODE("行业类别"); 
/*      */           break;
/*      */         case 26:
/*  821 */           if (b.getSelection()) {
/*  822 */             sydw.setJBDW_TYPE(1);
/*      */           }
/*      */           break;
/*      */       } 
/*      */     
/*      */     } 
/*  828 */     if (CheckSelection(this.composite_1))
/*  829 */     { result.add(sydw); }
/*  830 */     else { result.add(null); }
/*      */ 
/*      */     
/*  833 */     FddbrInfo fr = new FddbrInfo();
/*  834 */     s = this.composite_2.getChildren();
/*      */     
/*  836 */     for (i = 0; i < s.length; i++) {
/*  837 */       Button b = (Button)s[i];
/*  838 */       switch (i) {
/*      */         case 0:
/*  840 */           if (b.getSelection())
/*  841 */             fr.setFR_NAME("姓名"); 
/*      */           break;
/*      */         case 1:
/*  844 */           if (b.getSelection())
/*  845 */             fr.setUSED_NAME("曾用名"); 
/*      */           break;
/*      */         case 2:
/*  848 */           if (b.getSelection())
/*  849 */             fr.setSEX(0); 
/*      */           break;
/*      */         case 3:
/*  852 */           if (b.getSelection())
/*  853 */             fr.setBIRTHDAY("出生年月"); 
/*      */           break;
/*      */         case 4:
/*  856 */           if (b.getSelection())
/*  857 */             fr.setID_NUMBER("身份证号"); 
/*      */           break;
/*      */         case 5:
/*  860 */           if (b.getSelection())
/*  861 */             fr.setRACE("民族"); 
/*      */           break;
/*      */         case 6:
/*  864 */           if (b.getSelection())
/*  865 */             fr.setCURR_DUTY("现任职务"); 
/*      */           break;
/*      */         case 7:
/*  868 */           if (b.getSelection())
/*  869 */             fr.setTECHNICAL_POST("技术职称"); 
/*      */           break;
/*      */         case 8:
/*  872 */           if (b.getSelection())
/*  873 */             fr
/*  874 */               .setPOLITICAL_STATUS("政治面貌"); 
/*      */           break;
/*      */         case 9:
/*  877 */           if (b.getSelection())
/*  878 */             fr
/*  879 */               .setEDUCATION_LEVEL("文化程度"); 
/*      */           break;
/*      */         case 10:
/*  882 */           if (b.getSelection())
/*  883 */             fr
/*  884 */               .setWORK_ENTERPRISE("工作单位"); 
/*      */           break;
/*      */         case 11:
/*  887 */           if (b.getSelection())
/*  888 */             fr.setHOME_ADDR("家庭住址"); 
/*      */           break;
/*      */         case 12:
/*  891 */           if (b.getSelection()) {
/*  892 */             fr
/*  893 */               .setREGISTERED_DISTRICT("户籍所在地");
/*      */           }
/*      */           break;
/*      */       } 
/*      */ 
/*      */     
/*      */     } 
/*  900 */     if (CheckSelection(this.composite_2))
/*  901 */     { result.add(fr); }
/*  902 */     else { result.add(null); }
/*      */ 
/*      */     
/*  905 */     ItemAlteration itemAlteration = new ItemAlteration();
/*  906 */     s = this.composite_3.getChildren();
/*      */     
/*  908 */     for (i = 0; i < s.length; i++) {
/*  909 */       Button b = (Button)s[i];
/*  910 */       switch (i) {
/*      */         case 0:
/*  912 */           if (b.getSelection())
/*  913 */             itemAlteration.setITEM_NAME("变更事项"); 
/*      */           break;
/*      */         case 1:
/*  916 */           if (b.getSelection())
/*  917 */             itemAlteration.setALTER_DATE("变更时间"); 
/*      */           break;
/*      */         case 2:
/*  920 */           if (b.getSelection())
/*  921 */             itemAlteration.setFROM_INFO("原登记情况"); 
/*      */           break;
/*      */         case 3:
/*  924 */           if (b.getSelection())
/*  925 */             itemAlteration.setTO_INFO("变更后情况"); 
/*      */           break;
/*      */         case 4:
/*  928 */           if (b.getSelection())
/*  929 */             itemAlteration.setISSUE_MEDIA("变更公告刊登媒体"); 
/*      */           break;
/*      */         case 5:
/*  932 */           if (b.getSelection()) {
/*  933 */             itemAlteration.setISSUE_DATE("变更公告刊登时间");
/*      */           }
/*      */           break;
/*      */       } 
/*      */ 
/*      */     
/*      */     } 
/*  940 */     if (CheckSelection(this.composite_3))
/*  941 */     { result.add(itemAlteration); }
/*  942 */     else { result.add(null); }
/*      */ 
/*      */     
/*  945 */     AnnualCheckInfo annualCheckInfo = new AnnualCheckInfo();
/*  946 */     s = this.composite_4.getChildren();
/*      */     
/*  948 */     for (i = 0; i < s.length; i++) {
/*  949 */       Button b = (Button)s[i];
/*  950 */       switch (i) {
/*      */         case 0:
/*  952 */           if (b.getSelection())
/*  953 */             annualCheckInfo
/*  954 */               .setANNUAL_CHECK_DATE("年检时间"); 
/*      */           break;
/*      */         case 1:
/*  957 */           if (b.getSelection()) {
/*  958 */             annualCheckInfo.setANNUAL_CHECK("年检情况");
/*      */           }
/*      */           break;
/*      */       } 
/*      */ 
/*      */     
/*      */     } 
/*  965 */     if (CheckSelection(this.composite_4))
/*  966 */     { result.add(annualCheckInfo); }
/*  967 */     else { result.add(null); }
/*      */ 
/*      */     
/*  970 */     ReissueInfo reissueInfo = new ReissueInfo();
/*  971 */     s = this.composite_5.getChildren();
/*      */     
/*  973 */     for (i = 0; i < s.length; i++) {
/*  974 */       Button b = (Button)s[i];
/*  975 */       switch (i) {
/*      */         case 0:
/*  977 */           if (b.getSelection())
/*  978 */             reissueInfo
/*  979 */               .setSTATE_CHANGE_DATE("补领证书时间"); 
/*      */           break;
/*      */         case 1:
/*  982 */           if (b.getSelection()) {
/*  983 */             reissueInfo.setREASON(" 补领证书原因");
/*      */           }
/*      */           break;
/*      */       } 
/*      */ 
/*      */     
/*      */     } 
/*  990 */     if (CheckSelection(this.composite_5))
/*  991 */     { result.add(reissueInfo); }
/*  992 */     else { result.add(null); }
/*      */ 
/*      */     
/*  995 */     WriteoffInfo ob = new WriteoffInfo();
/*  996 */     s = this.composite_6.getChildren();
/*      */     
/*  998 */     for (i = 0; i < s.length; i++) {
/*  999 */       Button b = (Button)s[i];
/* 1000 */       switch (i) {
/*      */         case 0:
/* 1002 */           if (b.getSelection())
/* 1003 */             ob.setSTATE_CHANGE_DATE("注销时间"); 
/*      */           break;
/*      */         case 1:
/* 1006 */           if (b.getSelection())
/* 1007 */             ob.setREASON("注销理由"); 
/*      */           break;
/*      */         case 2:
/* 1010 */           if (b.getSelection())
/* 1011 */             ob
/* 1012 */               .setLqdOrgChrOpinion("清算组织负责人意见"); 
/*      */           break;
/*      */         case 3:
/* 1015 */           if (b.getSelection())
/* 1016 */             ob.setBadgeHandInState("证章收缴情况"); 
/*      */           break;
/*      */         case 4:
/* 1019 */           if (b.getSelection())
/* 1020 */             ob.setISSUE_MEDIA("注销公告刊登媒体"); 
/*      */           break;
/*      */         case 5:
/* 1023 */           if (b.getSelection()) {
/* 1024 */             ob.setISSUE_DATE("注销公告刊登时间");
/*      */           }
/*      */           break;
/*      */       } 
/*      */ 
/*      */     
/*      */     } 
/* 1031 */     if (CheckSelection(this.composite_6))
/* 1032 */     { result.add(ob); }
/* 1033 */     else { result.add(null); }
/*      */     
/* 1035 */     return result;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\table\SYDWResultExcelDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */