/*     */ package cs.admin.search.table;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveSydwDetailsEXCELDialog
/*     */   extends Dialog
/*     */ {
/*  30 */   protected String result = null;
/*     */   protected Shell shell;
/*  32 */   protected String name = "";
/*  33 */   protected String type = "";
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveSydwDetailsEXCELDialog(Shell parent, int style) {
/*  44 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveSydwDetailsEXCELDialog(Shell parent) {
/*  53 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveSydwDetailsEXCELDialog(Shell parent, String name) {
/*  68 */     super(parent);
/*  69 */     this.name = name;
/*  70 */     this.suffix = "xls";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  80 */     createContents();
/*  81 */     PublicUtil.setCenter(this.shell);
/*  82 */     this.shell.open();
/*  83 */     this.shell.layout();
/*  84 */     Display display = getParent().getDisplay();
/*  85 */     while (!this.shell.isDisposed()) {
/*  86 */       if (!display.readAndDispatch())
/*  87 */         display.sleep(); 
/*     */     } 
/*  89 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  96 */     this.shell = new Shell(getParent(), 67680);
/*  97 */     GridLayout gridLayout = new GridLayout();
/*  98 */     gridLayout.numColumns = 3;
/*  99 */     this.shell.setLayout((Layout)gridLayout);
/* 100 */     this.shell.setSize(350, 180);
/*     */     
/* 102 */     if ("djjtxl".equals(this.name)) { this.shell.setText("全国事业单位登记管理局通讯录下载"); }
/* 103 */     else { this.shell.setText("搜索结果下载"); }
/*     */     
/* 105 */     Label label = new Label((Composite)this.shell, 0);
/* 106 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 107 */     gd_label.widthHint = 183;
/* 108 */     label.setLayoutData(gd_label);
/* 109 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 110 */     label.setText("您想保存此文件吗？");
/*     */ 
/*     */     
/* 113 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 114 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 115 */     gd_sadLabel.widthHint = 100;
/* 116 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 119 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 120 */     label_2.setLayoutData(new GridData());
/*     */ 
/*     */     
/* 123 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 124 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 125 */     label_1.setLayoutData(gd_label_1);
/* 126 */     label_1.setText("名称：");
/*     */     
/* 128 */     CLabel label_info = new CLabel((Composite)this.shell, 0);
/* 129 */     GridData gd_label_info = new GridData();
/* 130 */     label_info.setLayoutData(gd_label_info);
/* 131 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 135 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 136 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 137 */     GridLayout gridLayout_1 = new GridLayout();
/* 138 */     gridLayout_1.numColumns = 3;
/* 139 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 141 */     Button button = new Button(composite, 0);
/* 142 */     button.setText("打开");
/* 143 */     button.setVisible(false);
/* 144 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 157 */     Button button_1 = new Button(composite, 0);
/* 158 */     button_1.setLayoutData(new GridData());
/* 159 */     button_1.setText("保存");
/* 160 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 162 */             SaveDialog save = new SaveDialog(SaveSydwDetailsEXCELDialog.this.shell);
/* 163 */             save.setFileName(SaveSydwDetailsEXCELDialog.this.name);
/* 164 */             save.setFilterExtensions(new String[] { "*." + this.this$0.suffix });
/* 165 */             String fileName = save.open();
/* 166 */             if (fileName != null) {
/* 167 */               SaveSydwDetailsEXCELDialog.this.result = fileName;
/* 168 */               SaveSydwDetailsEXCELDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 174 */     Button button_2 = new Button(composite, 0);
/* 175 */     button_2.setText("取消");
/* 176 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 178 */             SaveSydwDetailsEXCELDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 182 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 183 */     label_2_1.setLayoutData(new GridData());
/* 184 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\table\SaveSydwDetailsEXCELDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */