/*     */ package cs.admin.search.table;
/*     */ 
/*     */ import org.eclipse.jface.viewers.ILabelProviderListener;
/*     */ import org.eclipse.jface.viewers.ITableLabelProvider;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SydwCodeTableLabelProvider
/*     */   implements ITableLabelProvider
/*     */ {
/*     */   public Image getColumnImage(Object arg0, int arg1) {
/*  14 */     return null;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getColumnText(Object arg0, int col) {
/*  19 */     SYDWInfo si = (SYDWInfo)arg0;
/*  20 */     int i = 0;
/*  21 */     if (col == i++)
/*  22 */       return (new StringBuilder(String.valueOf(si.getNum()))).toString(); 
/*  23 */     if (col == i++)
/*  24 */       return si.getUNIFY_CODE(); 
/*  25 */     if (col == i++)
/*  26 */       return si.getSYDW_CODE(); 
/*  27 */     if (col == i++)
/*  28 */       return si.getSYDW_NAME_ALL(); 
/*  29 */     if (col == i++)
/*  30 */       return si.getInstType(); 
/*  31 */     if (col == i++)
/*  32 */       return si.getFDDBR_NAME(); 
/*  33 */     if (col == i++)
/*  34 */       return si.getADDRESS(); 
/*  35 */     if (col == i++)
/*  36 */       return String.valueOf(si.getJBDW_NAME()) + ((
/*  37 */         si.getJBDW_DISPLAY_NAME() == null || 
/*  38 */         si.getJBDW_DISPLAY_NAME().length() == 0) ? "" : (
/*  39 */         "、" + si.getJBDW_DISPLAY_NAME())); 
/*  40 */     if (col == i++)
/*  41 */       return String.valueOf(si.getASSETS_SOURCE()) + ((
/*  42 */         si.getASSETS_SOURCE_ADD() == null || 
/*  43 */         si.getASSETS_SOURCE_ADD().length() == 0) ? "" : (
/*  44 */         "(" + si.getASSETS_SOURCE_ADD() + ")")); 
/*  45 */     if (col == i++)
/*  46 */       return "￥" + si.getASSETS_SUM() + "万元"; 
/*  47 */     if (col == i++)
/*  48 */       return si.getTENET_OPERATION(); 
/*  49 */     if (col == i++)
/*  50 */       return si.getIs_Off(); 
/*  51 */     if (col == i++)
/*  52 */       return si.getSYDW_NAME_SECOND(); 
/*  53 */     if (col == i++)
/*  54 */       return si.getSYDW_NAME_THIRD(); 
/*  55 */     if (col == i++) {
/*  56 */       return si.getSYDW_NAME_OTHER();
/*     */     }
/*  58 */     if (col == i++)
/*  59 */       return (si.getJBDW_TYPE() == 1) ? "国家机关举办" : 
/*  60 */         "其他组织利用国有资产举办"; 
/*  61 */     if (col == i++)
/*  62 */       return "￥" + si.getFIXED_ASSETS() + "万元"; 
/*  63 */     if (col == i++) {
/*  64 */       return "￥" + si.getFLOATING_ASSETS() + "万元";
/*     */     }
/*  66 */     if (col == i++)
/*  67 */       return "￥" + si.getOTHER_ASSETS() + "万元"; 
/*  68 */     if (col == i++) {
/*  69 */       return si.getACCOUNT_BANK();
/*     */     }
/*  71 */     if (col == i++)
/*  72 */       return si.getACCOUNT_NUMBER(); 
/*  73 */     if (col == i++) {
/*  74 */       return si.getAUTH_DEPT();
/*     */     }
/*  76 */     if (col == i++)
/*  77 */       return si.getPAPER_ID(); 
/*  78 */     if (col == i++) {
/*  79 */       return si.getCERTIFIED_EXEQUATUR();
/*     */     }
/*  81 */     if (col == i++)
/*  82 */       return getSydwLevel(si.getSYDW_LEVEL()); 
/*  83 */     if (col == i++) {
/*  84 */       return (new StringBuilder(String.valueOf(si.getAUTH_STAFF()))).toString();
/*     */     }
/*  86 */     if (col == i++)
/*  87 */       return (new StringBuilder(String.valueOf(si.getPRACT_NUM()))).toString(); 
/*  88 */     if (col == i++) {
/*  89 */       return si.getINST_DATE();
/*     */     }
/*  91 */     if (col == i++)
/*  92 */       return si.getCERTI_SENDER(); 
/*  93 */     if (col == i++) {
/*  94 */       return si.getCERTI_RECIEVER();
/*     */     }
/*  96 */     if (col == i++)
/*  97 */       return si.getCERTI_RECIEVE_DATE(); 
/*  98 */     if (col == i++)
/*  99 */       return String.valueOf(si.getCERTIFICATE_COPY()); 
/* 100 */     if (col == i++)
/* 101 */       return si.getCERTI_DATE_FROM(); 
/* 102 */     if (col == i++) {
/* 103 */       return si.getCERTI_DATE_TO();
/*     */     }
/* 105 */     if (col == i++)
/* 106 */       return si.getLINK_MAN(); 
/* 107 */     if (col == i++) {
/* 108 */       return si.getLINK_TEL();
/*     */     }
/* 110 */     if (col == i++)
/* 111 */       return si.getPOST_CODE(); 
/* 112 */     if (col == i++) {
/* 113 */       return si.getINDUSTRY_CODE();
/*     */     }
/* 115 */     if (col == i++)
/* 116 */       return si.getDISTRICT_CODE(); 
/* 117 */     if (col == i++) {
/* 118 */       return si.getANNUAL_CHECK();
/*     */     }
/* 120 */     if (col == i++) {
/* 121 */       return si.getANNUAL_CHECK_DATE();
/*     */     }
/* 123 */     if (col == i++) {
/* 124 */       return si.getFddbrTel();
/*     */     }
/* 126 */     if (col == i++) {
/* 127 */       return si.getGROUP_NAME();
/*     */     }
/* 129 */     return null;
/*     */   }
/*     */   
/*     */   private static String getSydwLevel(int level) {
/* 133 */     String temp = "";
/* 134 */     switch (level)
/*     */     { case 0:
/* 136 */         temp = "正部级";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 170 */         return temp;case 1: temp = "副部级"; return temp;case 2: temp = "正局级"; return temp;case 3: temp = "副局级"; return temp;case 4: temp = "正处级"; return temp;case 5: temp = "副处级"; return temp;case 6: temp = "正科级"; return temp;case 7: temp = "副科级"; return temp;case 8: temp = "正股级"; return temp;case 9: temp = "副股级"; return temp; }  temp = "未定"; return temp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addListener(ILabelProviderListener arg0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLabelProperty(Object arg0, String arg1) {
/* 187 */     return false;
/*     */   }
/*     */   
/*     */   public void removeListener(ILabelProviderListener arg0) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\search\table\SydwCodeTableLabelProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */