/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.search.table.SYDWTableChooseDialog;
/*     */ import cs.admin.search.table.SearchTableContentProvider;
/*     */ import cs.admin.search.table.SearchTableLabelProvider;
/*     */ import cs.admin.statistic.Dialog.SaveAnnualStaEXCELResultDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AnnualStatisticView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.admin.statistic.AnnualStatisticView";
/*     */   private Table table;
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label_2;
/*     */   private CLabel label_2_1;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*  69 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  71 */   private Shell shell = null;
/*  72 */   private Composite comp = null;
/*     */   
/*  74 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*  75 */       this.user);
/*  76 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private String groupid;
/*     */   private String groupname;
/*     */   private int searchFlag;
/*     */   private int annualtype;
/*  84 */   private String labelinfo = null;
/*     */   
/*     */   private String annualYear;
/*     */   
/*     */   private Button button;
/*  89 */   private TableColumn[] tableColumn = new TableColumn[39];
/*  90 */   private boolean[] showcolumn = new boolean[39];
/*     */ 
/*     */   
/*     */   private Button button_4;
/*     */ 
/*     */   
/*     */   private Button button_5;
/*     */ 
/*     */   
/*     */   private Button button_8;
/*     */ 
/*     */   
/*     */   private Button button_7;
/*     */   
/*     */   private Combo combo;
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   
/*     */   private PageComposite pageComposit;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 112 */     this.comp = arg0;
/* 113 */     this.shell = arg0.getShell();
/* 114 */     arg0.setBackgroundMode(1);
/* 115 */     arg0
/* 116 */       .setBackground(Display.getCurrent().getSystemColor(
/* 117 */           1));
/* 118 */     arg0.setLayout((Layout)this.stackLayout);
/* 119 */     this.labelinfo = "年检情况统计";
/*     */     
/* 121 */     this.composite_6 = new Composite(arg0, 0);
/* 122 */     GridLayout gridLayout_2 = new GridLayout();
/* 123 */     gridLayout_2.numColumns = 3;
/* 124 */     gridLayout_2.verticalSpacing = 0;
/* 125 */     gridLayout_2.marginTop = 20;
/* 126 */     gridLayout_2.marginRight = 35;
/* 127 */     gridLayout_2.marginLeft = 35;
/* 128 */     gridLayout_2.marginBottom = 20;
/* 129 */     this.composite_6.setLayout((Layout)gridLayout_2);
/*     */ 
/*     */     
/* 132 */     this.label = new CLabel(this.composite_6, 0);
/* 133 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 134 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 135 */         false);
/* 136 */     gd_label.widthHint = 410;
/* 137 */     this.label.setLayoutData(gd_label);
/* 138 */     this.label.setText(this.labelinfo);
/*     */ 
/*     */ 
/*     */     
/* 142 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 144 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 148 */     CLabel label_5 = new CLabel(this.composite_6, 0);
/* 149 */     label_5.setText("查询范围选择： ");
/*     */ 
/*     */ 
/*     */     
/* 153 */     Composite composite = new Composite(this.composite_6, 0);
/* 154 */     composite.setBackgroundMode(2);
/* 155 */     GridLayout gridLayout = new GridLayout();
/* 156 */     gridLayout.numColumns = 5;
/* 157 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 159 */     this.label_2 = new CLabel(composite, 0);
/* 160 */     this.label_2.setText("年检情况：");
/*     */     
/* 162 */     this.button_4 = new Button(composite, 16);
/* 163 */     this.button_4.setSelection(true);
/* 164 */     this.button_4.setText("合格");
/*     */     
/* 166 */     this.button_5 = new Button(composite, 16);
/* 167 */     this.button_5.setText("不合格");
/*     */     
/* 169 */     this.button_7 = new Button(composite, 16);
/* 170 */     this.button_7.setText("未年检");
/*     */     
/* 172 */     this.button_8 = new Button(composite, 16);
/* 173 */     this.button_8.setText("不需年检");
/*     */ 
/*     */ 
/*     */     
/* 177 */     Composite composite_7 = new Composite(this.composite_6, 0);
/* 178 */     composite_7.setLayout((Layout)new GridLayout(2, false));
/* 179 */     GridData gd_composite_7 = new GridData(16384, 16777216, false, false, 1, 1);
/* 180 */     gd_composite_7.widthHint = 200;
/* 181 */     composite_7.setLayoutData(gd_composite_7);
/* 182 */     composite.setBackgroundMode(2);
/* 183 */     gridLayout.numColumns = 5;
/*     */     
/* 185 */     this.label_2_1 = new CLabel(composite_7, 0);
/* 186 */     this.label_2_1.setText("年检年度：");
/*     */     
/* 188 */     this.combo = new Combo(composite_7, 0);
/*     */     
/* 190 */     Calendar c = Calendar.getInstance();
/* 191 */     int year = c.get(1);
/*     */     
/* 193 */     this.combo.add(String.valueOf(year - 1), 0);
/* 194 */     this.combo.add(String.valueOf(year - 2), 1);
/* 195 */     this.combo.add(String.valueOf(year - 3), 2);
/* 196 */     this.combo.add(String.valueOf(year - 4), 3);
/* 197 */     this.combo.add(String.valueOf(year - 5), 4);
/* 198 */     this.combo.select(0);
/*     */     
/* 200 */     this.combo.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 202 */             AnnualStatisticView.this.annualYear = AnnualStatisticView.this.combo.getText();
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 210 */     Composite composite_3 = new Composite(this.composite_6, 0);
/* 211 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/* 212 */         false, false);
/* 213 */     gd_composite_3.heightHint = 0;
/* 214 */     composite_3.setLayoutData(gd_composite_3);
/* 215 */     GridLayout gridLayout_3 = new GridLayout();
/* 216 */     gridLayout_3.numColumns = 3;
/* 217 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 219 */     Label label_7 = new Label(composite_3, 0);
/* 220 */     label_7.setText("行政区选择：");
/*     */     
/* 222 */     this.button_9 = new Button(composite_3, 16);
/* 223 */     this.button_9.setText("本级登记管理机关");
/* 224 */     this.button_9.setSelection(true);
/*     */     
/* 226 */     this.button_10 = new Button(composite_3, 16);
/* 227 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */     
/* 229 */     composite_3.setVisible(false);
/*     */ 
/*     */     
/* 232 */     Label label_8 = new Label(this.composite_6, 0);
/* 233 */     label_8.setLayoutData(new GridData(16384, 16777216, true, false));
/* 234 */     label_8.setText(" ");
/*     */     
/* 236 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 237 */     this.tree_1 = this.treeViewer.getTree();
/* 238 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/* 239 */         false);
/* 240 */     gd_tree_1.heightHint = 200;
/* 241 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 243 */     Label label_9 = new Label(this.composite_6, 0);
/* 244 */     label_9.setLayoutData(new GridData(16384, 16777216, true, false));
/* 245 */     label_9.setText(" ");
/*     */ 
/*     */     
/* 248 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 249 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 250 */           false));
/* 251 */     composite_2.setLayout((Layout)new FillLayout(512));
/*     */     
/* 253 */     Button button_6 = new Button(composite_2, 0);
/* 254 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 256 */             InfoEntity select = null;
/*     */             
/* 258 */             IStructuredSelection i = (IStructuredSelection)AnnualStatisticView.this.treeViewer
/* 259 */               .getSelection();
/* 260 */             AnnualStatisticView.this.searchFlag = 0;
/* 261 */             if (AnnualStatisticView.this.button_10.getSelection()) {
/* 262 */               AnnualStatisticView.this.searchFlag = 1;
/*     */             }
/* 264 */             if (i == null) {
/* 265 */               AnnualStatisticView.this.groupid = 
/* 266 */                 AnnualStatisticView.this.user.getGroupid();
/*     */               
/* 268 */               AnnualStatisticView.this.groupname = 
/*     */                 
/* 270 */                 AnnualStatisticView.this.user.getGroupname();
/*     */             } else {
/* 272 */               select = (InfoEntity)i.getFirstElement();
/* 273 */               if (select == null) {
/* 274 */                 AnnualStatisticView.this.groupid = 
/*     */                   
/* 276 */                   AnnualStatisticView.this.user.getGroupid();
/*     */                 
/* 278 */                 AnnualStatisticView.this.groupname = 
/*     */                   
/* 280 */                   AnnualStatisticView.this.user.getGroupname();
/*     */               } else {
/* 282 */                 AnnualStatisticView.this.groupid = select.getId();
/* 283 */                 AnnualStatisticView.this.groupname = select.getName();
/*     */               } 
/*     */             } 
/* 286 */             if (AnnualStatisticView.this.button_4.getSelection()) {
/* 287 */               AnnualStatisticView.this.annualtype = 0;
/* 288 */             } else if (AnnualStatisticView.this.button_5.getSelection()) {
/* 289 */               AnnualStatisticView.this.annualtype = 1;
/* 290 */             } else if (AnnualStatisticView.this.button_7.getSelection()) {
/* 291 */               AnnualStatisticView.this.annualtype = 2;
/* 292 */             } else if (AnnualStatisticView.this.button_8.getSelection()) {
/* 293 */               AnnualStatisticView.this.annualtype = 3;
/* 294 */             }  AnnualStatisticView.this.annualYear = AnnualStatisticView.this.combo.getText();
/* 295 */             AnnualStatisticView.this.initResult();
/*     */           }
/*     */         });
/*     */     
/* 299 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 302 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 304 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 305 */         .getSystemColor(1));
/* 306 */     this.scrolledComposite.setBackgroundMode(1);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 312 */     this.scrolledComposite.setExpandVertical(true);
/* 313 */     this.scrolledComposite.setExpandHorizontal(true);
/* 314 */     this.scrolledComposite.setMinHeight(500);
/* 315 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 317 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 318 */     GridLayout gridLayout_4 = new GridLayout();
/* 319 */     gridLayout_4.marginTop = 20;
/* 320 */     gridLayout_4.verticalSpacing = 0;
/* 321 */     gridLayout_4.marginBottom = 20;
/* 322 */     gridLayout_4.marginLeft = 25;
/* 323 */     gridLayout_4.marginRight = 25;
/* 324 */     gridLayout_4.numColumns = 2;
/* 325 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*     */     
/* 327 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 328 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 329 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 330 */     this.label_4.setText(String.valueOf(this.annualYear) + "年检情况统计");
/*     */ 
/*     */     
/* 333 */     Button button_3_1 = new Button(this.composite_1, 8388608);
/* 334 */     button_3_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 336 */             AnnualStatisticView.this.initSearch();
/*     */           }
/*     */         });
/* 339 */     GridData gd_button_3_1 = new GridData(131072, 16777216, false, false);
/* 340 */     gd_button_3_1.heightHint = 18;
/* 341 */     gd_button_3_1.widthHint = 45;
/* 342 */     button_3_1.setLayoutData(gd_button_3_1);
/* 343 */     button_3_1.setText("返回");
/*     */ 
/*     */ 
/*     */     
/* 347 */     Label label_1_1 = new Label(this.composite_1, 258);
/*     */     
/* 349 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/* 350 */           false, 2, 1));
/* 351 */     label_1_1.setText("Label");
/*     */     
/* 353 */     this.label_3 = new Label(this.composite_1, 64);
/* 354 */     this.label_3.setForeground(SWTResourceManager.getColor(0, 102, 153));
/* 355 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/* 356 */     this.label_3.setText("Label");
/*     */     
/* 358 */     Button button_3 = new Button(this.composite_1, 8388608);
/* 359 */     button_3.setLayoutData(new GridData(100, 18));
/* 360 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 362 */             SYDWTableChooseDialog s = new SYDWTableChooseDialog(AnnualStatisticView.this.shell, 
/* 363 */                 AnnualStatisticView.this.showcolumn);
/* 364 */             int r = s.open();
/* 365 */             if (r == 32)
/* 366 */               AnnualStatisticView.this.showcolumn = s.getResult(); 
/* 367 */             AnnualStatisticView.this.refreshTable();
/*     */           }
/*     */         });
/* 370 */     button_3.setText("选择展示列");
/*     */     
/* 372 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*     */     
/* 374 */     this.table = this.tableViewer.getTable();
/* 375 */     this.table.setLinesVisible(true);
/* 376 */     this.table.setHeaderVisible(true);
/* 377 */     GridData gd_table = new GridData(4, 4, true, false, 
/* 378 */         2, 1);
/* 379 */     gd_table.heightHint = 345;
/* 380 */     this.table.setLayoutData(gd_table);
/*     */     
/* 382 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 389 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 394 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 395 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/* 396 */           false, 2, 1));
/* 397 */     GridLayout gridLayout_1 = new GridLayout();
/* 398 */     gridLayout_1.numColumns = 2;
/* 399 */     composite_5.setLayout((Layout)gridLayout_1);
/*     */     
/* 401 */     this.pageComposit = new PageComposite(composite_5, 0);
/*     */     
/* 403 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 406 */             AnnualStatisticView.this.pageComposit.page.firstpage();
/* 407 */             AnnualStatisticView.this.tableViewer.setInput(AnnualStatisticView.this
/*     */                 
/* 409 */                 .resetInfos(AnnualStatisticView.this.sumController.getAnnualStatistics(AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, AnnualStatisticView.this.annualYear)));
/*     */           }
/*     */         });
/*     */     
/* 413 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 416 */             AnnualStatisticView.this.pageComposit.page.prepage();
/* 417 */             AnnualStatisticView.this.tableViewer.setInput(AnnualStatisticView.this
/*     */                 
/* 419 */                 .resetInfos(AnnualStatisticView.this.sumController.getAnnualStatistics(AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, AnnualStatisticView.this.annualYear)));
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 424 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 427 */             AnnualStatisticView.this.pageComposit.page.nextpage();
/*     */             
/* 429 */             AnnualStatisticView.this.tableViewer.setInput(AnnualStatisticView.this
/*     */                 
/* 431 */                 .resetInfos(AnnualStatisticView.this.sumController.getAnnualStatistics(AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, AnnualStatisticView.this.annualYear)));
/*     */           }
/*     */         });
/*     */     
/* 435 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 438 */             AnnualStatisticView.this.pageComposit.page.lastpage();
/*     */             
/* 440 */             AnnualStatisticView.this.tableViewer.setInput(AnnualStatisticView.this
/*     */                 
/* 442 */                 .resetInfos(AnnualStatisticView.this.sumController.getAnnualStatistics(AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, AnnualStatisticView.this.annualYear)));
/*     */           }
/*     */         });
/*     */     
/* 446 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 449 */             if (AnnualStatisticView.this.pageComposit.setPageable()) {
/* 450 */               AnnualStatisticView.this.tableViewer.setInput(AnnualStatisticView.this
/*     */                   
/* 452 */                   .resetInfos(AnnualStatisticView.this.sumController.getAnnualStatistics(AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, AnnualStatisticView.this.annualYear)));
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 457 */     this.button = new Button(composite_5, 8388608);
/* 458 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 461 */               SaveAnnualStaEXCELResultDialog s = new SaveAnnualStaEXCELResultDialog(
/* 462 */                   AnnualStatisticView.this.shell, AnnualStatisticView.this.sumController, AnnualStatisticView.this.label_3.getText(), 
/* 463 */                   AnnualStatisticView.this.annualtype, AnnualStatisticView.this.groupid, AnnualStatisticView.this.searchFlag, AnnualStatisticView.this.pageComposit.page, 
/* 464 */                   AnnualStatisticView.this.showcolumn, AnnualStatisticView.this.annualYear);
/* 465 */               s.open();
/* 466 */             } catch (Exception e2) {
/* 467 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 471 */     GridData gd_button = new GridData(131072, 16777216, false, 
/* 472 */         false);
/* 473 */     gd_button.widthHint = 80;
/* 474 */     gd_button.heightHint = 18;
/* 475 */     this.button.setLayoutData(gd_button);
/* 476 */     this.button.setText("另存为Excel");
/*     */     
/* 478 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 480 */     initView();
/* 481 */     initData();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initInput() {
/* 486 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 487 */     this.treeViewer.refresh();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initView() {
/* 493 */     initializeToolBar();
/* 494 */     initTable();
/* 495 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new SearchTableLabelProvider());
/* 496 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 497 */     initSearch();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initTable() {
/* 503 */     int i = -1;
/* 504 */     this.showcolumn[++i] = true;
/* 505 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 506 */     this.tableColumn[i].setText("序号");
/*     */     
/* 508 */     this.showcolumn[++i] = true;
/* 509 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 510 */     this.tableColumn[i].setAlignment(16777216);
/* 511 */     this.tableColumn[i].setText("统一社会信用代码");
/*     */     
/* 513 */     this.showcolumn[++i] = true;
/* 514 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 515 */     this.tableColumn[i].setText("名称");
/*     */     
/* 517 */     this.showcolumn[++i] = true;
/* 518 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 519 */     this.tableColumn[i].setText("法定代表人");
/*     */ 
/*     */     
/* 522 */     this.showcolumn[++i] = true;
/* 523 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 524 */     this.tableColumn[i].setText("住所");
/*     */ 
/*     */     
/* 527 */     this.showcolumn[++i] = true;
/* 528 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 529 */     this.tableColumn[i].setText("举办单位");
/*     */     
/* 531 */     this.showcolumn[++i] = true;
/* 532 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 533 */     this.tableColumn[i].setText("经费来源");
/*     */     
/* 535 */     this.showcolumn[++i] = false;
/* 536 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 537 */     this.tableColumn[i].setAlignment(131072);
/* 538 */     this.tableColumn[i].setText("开办资金");
/*     */ 
/*     */     
/* 541 */     this.showcolumn[++i] = false;
/* 542 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 543 */     this.tableColumn[i].setText("宗旨和业务范围");
/*     */     
/* 545 */     this.showcolumn[++i] = false;
/* 546 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 547 */     this.tableColumn[i].setText("状态");
/*     */     
/* 549 */     this.showcolumn[++i] = false;
/* 550 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 551 */     this.tableColumn[i].setText("事业单位第二名称");
/*     */     
/* 553 */     this.showcolumn[++i] = false;
/* 554 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 555 */     this.tableColumn[i].setText("事业单位第三名称");
/*     */     
/* 557 */     this.showcolumn[++i] = false;
/* 558 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 559 */     this.tableColumn[i].setText("事业单位其他名称");
/*     */ 
/*     */ 
/*     */     
/* 563 */     this.showcolumn[++i] = false;
/* 564 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 565 */     this.tableColumn[i].setText("举办单位类别");
/*     */ 
/*     */ 
/*     */     
/* 569 */     this.showcolumn[++i] = false;
/* 570 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 571 */     this.tableColumn[i].setAlignment(131072);
/* 572 */     this.tableColumn[i].setText("固定资产");
/*     */     
/* 574 */     this.showcolumn[++i] = false;
/* 575 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 576 */     this.tableColumn[i].setAlignment(131072);
/* 577 */     this.tableColumn[i].setText("流动资产");
/*     */     
/* 579 */     this.showcolumn[++i] = false;
/* 580 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 581 */     this.tableColumn[i].setAlignment(131072);
/* 582 */     this.tableColumn[i].setText("其他资金");
/*     */     
/* 584 */     this.showcolumn[++i] = false;
/* 585 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 586 */     this.tableColumn[i].setText("开户银行");
/*     */     
/* 588 */     this.showcolumn[++i] = false;
/* 589 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 590 */     this.tableColumn[i].setText("银行帐号");
/*     */     
/* 592 */     this.showcolumn[++i] = false;
/* 593 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 594 */     this.tableColumn[i].setText("审批机关");
/*     */     
/* 596 */     this.showcolumn[++i] = false;
/* 597 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 598 */     this.tableColumn[i].setText("批准文号");
/*     */     
/* 600 */     this.showcolumn[++i] = false;
/* 601 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 602 */     this.tableColumn[i].setText("执业许可证书");
/*     */     
/* 604 */     this.showcolumn[++i] = false;
/* 605 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 606 */     this.tableColumn[i].setText("机构规格");
/*     */     
/* 608 */     this.showcolumn[++i] = false;
/* 609 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 610 */     this.tableColumn[i].setText("人员编制");
/*     */     
/* 612 */     this.showcolumn[++i] = false;
/* 613 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 614 */     this.tableColumn[i].setText("从业人数");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 619 */     this.showcolumn[++i] = false;
/* 620 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 621 */     this.tableColumn[i].setText("设立时间");
/*     */     
/* 623 */     this.showcolumn[++i] = false;
/* 624 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 625 */     this.tableColumn[i].setText("发证人");
/*     */     
/* 627 */     this.showcolumn[++i] = false;
/* 628 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 629 */     this.tableColumn[i].setText("领证人");
/*     */     
/* 631 */     this.showcolumn[++i] = false;
/* 632 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 633 */     this.tableColumn[i].setText("领证日期");
/*     */     
/* 635 */     this.showcolumn[++i] = false;
/* 636 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 637 */     this.tableColumn[i].setText("副本份数");
/*     */     
/* 639 */     this.showcolumn[++i] = false;
/* 640 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 641 */     this.tableColumn[i].setText("证书有效起始日期");
/*     */     
/* 643 */     this.showcolumn[++i] = false;
/* 644 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 645 */     this.tableColumn[i].setText("证书有效结束日期");
/*     */     
/* 647 */     this.showcolumn[++i] = false;
/* 648 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 649 */     this.tableColumn[i].setText("联系人");
/*     */     
/* 651 */     this.showcolumn[++i] = false;
/* 652 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 653 */     this.tableColumn[i].setText("联系电话");
/*     */     
/* 655 */     this.showcolumn[++i] = false;
/* 656 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 657 */     this.tableColumn[i].setText("邮政编码");
/*     */     
/* 659 */     this.showcolumn[++i] = false;
/* 660 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 661 */     this.tableColumn[i].setText("行业类别");
/*     */     
/* 663 */     this.showcolumn[++i] = false;
/* 664 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 665 */     this.tableColumn[i].setText("登记机关区划码");
/*     */     
/* 667 */     this.showcolumn[++i] = false;
/* 668 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 669 */     this.tableColumn[i].setText("年检情况");
/*     */     
/* 671 */     this.showcolumn[++i] = false;
/* 672 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 673 */     this.tableColumn[i].setText("年检日期");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initSearch() {
/* 693 */     Calendar c = Calendar.getInstance();
/* 694 */     int currentYear = c.get(1);
/*     */     
/* 696 */     this.annualYear = String.valueOf(currentYear - 1);
/* 697 */     this.button_10.setSelection(false);
/* 698 */     this.button_9.setSelection(true);
/* 699 */     this.annualtype = -1;
/* 700 */     this.searchFlag = 0;
/* 701 */     this.groupid = "";
/* 702 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 703 */     this.pageComposit.initPageInfo();
/* 704 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initResult() {
/* 709 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 710 */     this.tableViewer.setInput(
/* 711 */         resetInfos(this.sumController.getAnnualStatistics(this.annualtype, this.groupid, this.searchFlag, this.pageComposit.page, this.annualYear)));
/* 712 */     String searchcont = "";
/* 713 */     switch (this.annualtype) {
/*     */       case 0:
/* 715 */         searchcont = "“年检合格”";
/*     */         break;
/*     */       case 1:
/* 718 */         searchcont = "“年检不合格”";
/*     */         break;
/*     */       case 2:
/* 721 */         searchcont = "“未年检”";
/*     */         break;
/*     */       case 3:
/* 724 */         searchcont = "“不需年检”";
/*     */         break;
/*     */     } 
/*     */     
/* 728 */     String groupcont = "";
/* 729 */     if (this.searchFlag == 1) {
/* 730 */       groupcont = "及其下属登记局";
/*     */     }
/* 732 */     this.label_3.setText(String.valueOf(this.groupname) + groupcont + searchcont + "的事业单位：");
/* 733 */     this.label_4.setText(String.valueOf(this.annualYear) + "年检情况统计");
/* 734 */     refreshTable();
/* 735 */     this.comp.layout();
/*     */   }
/*     */   
/*     */   private void refreshTable() {
/* 739 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 740 */       if (this.tableColumn[i] != null)
/* 741 */         if (this.showcolumn[i]) {
/* 742 */           this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 747 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 749 */           this.tableColumn[i].setWidth(0);
/* 750 */           this.tableColumn[i].setResizable(false);
/*     */         }  
/*     */     } 
/* 753 */     this.table.update();
/*     */   }
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initData() {
/* 761 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 762 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 763 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */     
/* 765 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 781 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 782 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 786 */     if (!al.isEmpty()) {
/* 787 */       this.pageComposit.page = al.get(0);
/* 788 */       al.remove(0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 794 */       if (al.isEmpty()) {
/* 795 */         this.pageComposit.label.setText("第0页/共0页");
/* 796 */         this.pageComposit.label.update();
/* 797 */         this.pageComposit.button_up.setEnabled(false);
/* 798 */         this.pageComposit.button_down.setEnabled(false);
/* 799 */         this.pageComposit.button_first.setEnabled(false);
/* 800 */         this.pageComposit.button_last.setEnabled(false);
/* 801 */         this.button.setEnabled(false);
/*     */       }
/*     */       else {
/*     */         
/* 805 */         if (this.pageComposit.page.getCpage() == 1) {
/* 806 */           this.pageComposit.button_up.setEnabled(false);
/* 807 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/*     */           
/* 810 */           this.pageComposit.button_up.setEnabled(true);
/* 811 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 815 */         if (this.pageComposit.page.getCpage() == 
/* 816 */           this.pageComposit.page.getTpage()) {
/* 817 */           this.pageComposit.button_down.setEnabled(false);
/* 818 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/*     */           
/* 821 */           this.pageComposit.button_down.setEnabled(true);
/* 822 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 826 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 827 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/* 828 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/* 829 */             this.pageComposit.page.getTotalnum() + "行");
/* 830 */         this.pageComposit.label.update();
/* 831 */         this.button.setEnabled(true);
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 837 */       this.pageComposit.label.setText("第0页/共0页");
/* 838 */       this.pageComposit.label.update();
/* 839 */       this.pageComposit.button_up.setEnabled(false);
/* 840 */       this.pageComposit.button_down.setEnabled(false);
/* 841 */       this.pageComposit.button_first.setEnabled(false);
/* 842 */       this.pageComposit.button_last.setEnabled(false);
/* 843 */       this.button.setEnabled(false);
/* 844 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 849 */     return al;
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 853 */     text.setText(text.getText().trim());
/* 854 */     if (text.getText().trim().length() == 0) {
/* 855 */       text.setText(text.getText().trim());
/* 856 */       showInputErr(text, info);
/* 857 */       return false;
/*     */     } 
/* 859 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 864 */     text.setText(text.getText().trim());
/* 865 */     if (length == -1) {
/* 866 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 867 */         text.setText(text.getText().trim());
/* 868 */         showInputErr(text, info);
/* 869 */         return false;
/*     */       } 
/* 871 */       return true;
/* 872 */     }  if (length == 0) {
/* 873 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 874 */         text.setText(text.getText().trim());
/* 875 */         showInputErr(text, info);
/* 876 */         return false;
/*     */       } 
/* 878 */       return true;
/*     */     } 
/* 880 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 881 */       text.getText().trim().length() != length) {
/* 882 */       text.setText(text.getText().trim());
/* 883 */       showInputErr(text, info);
/* 884 */       return false;
/*     */     } 
/* 886 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 892 */     text.setText(text.getText().trim());
/* 893 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 894 */     mbox.setMessage(info);
/* 895 */     mbox.setText("错误提示");
/* 896 */     mbox.open();
/* 897 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 902 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 903 */     mbox.setMessage(info);
/* 904 */     mbox.setText("错误提示");
/* 905 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 910 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 912 */     mbox.setMessage(info);
/* 913 */     mbox.setText("信息提示");
/* 914 */     return mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\AnnualStatisticView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */