/*     */ package cs.admin.statistic.Dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.statistic.SaveAnnualPublishExcelProgressDialog;
/*     */ import cs.admin.statistic.StatisticSYDWController;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveAnnualPublishStaEXCELResultDialog
/*     */   extends Dialog
/*     */ {
/*  33 */   protected String result = null;
/*     */   protected Shell shell;
/*  35 */   protected String name = "";
/*  36 */   protected String type = "";
/*     */   
/*     */   protected String suffix;
/*     */   
/*     */   private StatisticSYDWController ssc;
/*     */   
/*     */   private String groupid;
/*     */   
/*     */   private int searchflag;
/*     */   
/*     */   private PageInfo page;
/*     */   
/*     */   private String title;
/*     */   private int annualtype;
/*     */   private boolean[] showcolumn;
/*     */   private String annualYear;
/*     */   
/*     */   public SaveAnnualPublishStaEXCELResultDialog(Shell parent, int style) {
/*  54 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveAnnualPublishStaEXCELResultDialog(Shell parent) {
/*  63 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveAnnualPublishStaEXCELResultDialog(Shell parent, StatisticSYDWController ssc, String title, int annualtype, String groupid, int searchflag, PageInfo page, boolean[] showcolumn, String annualYear) {
/*  84 */     super(parent);
/*  85 */     this.ssc = ssc;
/*  86 */     this.name = (title != null) ? title.substring(0, title.length() - 1) : "";
/*  87 */     this.suffix = "xls";
/*  88 */     this.annualtype = annualtype;
/*  89 */     this.groupid = groupid;
/*  90 */     this.title = title;
/*  91 */     this.searchflag = searchflag;
/*  92 */     this.page = page;
/*  93 */     this.showcolumn = showcolumn;
/*  94 */     this.annualYear = annualYear;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 103 */     createContents();
/* 104 */     PublicUtil.setCenter(this.shell);
/* 105 */     this.shell.open();
/* 106 */     this.shell.layout();
/* 107 */     Display display = getParent().getDisplay();
/* 108 */     while (!this.shell.isDisposed()) {
/* 109 */       if (!display.readAndDispatch())
/* 110 */         display.sleep(); 
/*     */     } 
/* 112 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 119 */     this.shell = new Shell(getParent(), 67680);
/* 120 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/* 121 */     this.shell.setBackgroundMode(1);
/* 122 */     GridLayout gridLayout = new GridLayout();
/* 123 */     gridLayout.numColumns = 3;
/* 124 */     this.shell.setLayout((Layout)gridLayout);
/* 125 */     this.shell.setSize(350, 180);
/* 126 */     this.shell.setText(String.valueOf(this.title) + "下载");
/*     */     
/* 128 */     Label label = new Label((Composite)this.shell, 0);
/* 129 */     GridData gd_label = new GridData(4, 16777216, true, 
/* 130 */         false, 2, 1);
/* 131 */     gd_label.widthHint = 183;
/* 132 */     label.setLayoutData(gd_label);
/* 133 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 134 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 137 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 138 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, 
/* 139 */         false);
/* 140 */     gd_sadLabel.widthHint = 100;
/* 141 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 144 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 145 */     label_2.setLayoutData(new GridData());
/*     */     
/* 147 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 148 */     GridData gd_label_1 = new GridData(131072, 16777216, false, 
/* 149 */         true);
/* 150 */     label_1.setLayoutData(gd_label_1);
/* 151 */     label_1.setText("名称：");
/*     */     
/* 153 */     Label label_info = new Label((Composite)this.shell, 64);
/* 154 */     GridData gd_label_info = new GridData(4, 16777216, true, false);
/* 155 */     label_info.setLayoutData(gd_label_info);
/*     */     
/* 157 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 161 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 162 */     composite.setLayoutData(new GridData(16777216, 1024, false, 
/* 163 */           false));
/* 164 */     GridLayout gridLayout_1 = new GridLayout();
/* 165 */     gridLayout_1.numColumns = 3;
/* 166 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 168 */     Button button = new Button(composite, 0);
/* 169 */     button.setText("打开");
/* 170 */     button.setVisible(false);
/* 171 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 184 */     Button button_1 = new Button(composite, 0);
/* 185 */     button_1.setLayoutData(new GridData());
/* 186 */     button_1.setText("保存");
/* 187 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 189 */             DirectoryDialog save = new DirectoryDialog(SaveAnnualPublishStaEXCELResultDialog.this.shell);
/*     */             
/* 191 */             save.setText(String.valueOf(SaveAnnualPublishStaEXCELResultDialog.this.name) + "保存");
/* 192 */             save.setMessage("选择保存目录：");
/*     */ 
/*     */             
/* 195 */             String fileName = save.open();
/* 196 */             if (fileName != null) {
/*     */               
/*     */               try {
/* 199 */                 SaveAnnualPublishExcelProgressDialog ss = new SaveAnnualPublishExcelProgressDialog(
/* 200 */                     SaveAnnualPublishStaEXCELResultDialog.this.shell, "接受数据中...", "正在生成Excel中...", SaveAnnualPublishStaEXCELResultDialog.this.name, SaveAnnualPublishStaEXCELResultDialog.this.groupid, 
/* 201 */                     fileName, SaveAnnualPublishStaEXCELResultDialog.this.annualtype, SaveAnnualPublishStaEXCELResultDialog.this.searchflag, SaveAnnualPublishStaEXCELResultDialog.this.ssc, SaveAnnualPublishStaEXCELResultDialog.this.page, SaveAnnualPublishStaEXCELResultDialog.this.showcolumn, SaveAnnualPublishStaEXCELResultDialog.this.annualYear);
/* 202 */                 ss.run(true, true);
/* 203 */                 int r = ss.creatresult;
/* 204 */                 if (r == 0) {
/* 205 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 206 */                       "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 208 */                 if (r == -1) {
/*     */                   
/* 210 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 211 */                       "下载未完成！");
/*     */                 }
/* 213 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 214 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 215 */                       "下载完成!\n以下Excel文件未下载成功：" + 
/* 216 */                       ss.wrongfile);
/*     */                 } else {
/* 218 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 219 */                       "全部Excel文件下载完成!");
/*     */                 }
/*     */               
/* 222 */               } catch (Exception e) {
/* 223 */                 e.printStackTrace();
/* 224 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 225 */                     "生成Excel文件错误，下载失败");
/*     */                 
/*     */                 return;
/*     */               } 
/* 229 */               SaveAnnualPublishStaEXCELResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 235 */     Button button_2 = new Button(composite, 0);
/* 236 */     button_2.setText("取消");
/* 237 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 239 */             SaveAnnualPublishStaEXCELResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 243 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 244 */     label_2_1.setLayoutData(new GridData());
/* 245 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\Dialog\SaveAnnualPublishStaEXCELResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */