/*     */ package cs.admin.statistic.Dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.statistic.StatisticSYDWController;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveStatisticEXCELDialog
/*     */   extends Dialog
/*     */ {
/*  32 */   protected String result = null;
/*     */   protected Shell shell;
/*  34 */   protected String name = "";
/*  35 */   protected String type = "";
/*     */   protected String suffix;
/*     */   private String stime;
/*     */   private String etime;
/*  39 */   private int searchtype = 0;
/*     */   
/*     */   private String groupid;
/*     */   
/*     */   private int searchFlag;
/*     */   
/*     */   private PageInfo page;
/*     */   
/*     */   private StatisticSYDWController ssc;
/*     */   
/*     */   private boolean[] showcolumn;
/*     */   
/*     */   public SaveStatisticEXCELDialog(Shell parent, int style) {
/*  52 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveStatisticEXCELDialog(Shell parent) {
/*  61 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SaveStatisticEXCELDialog(Shell parent, String name, String stime, String etime, String groupid, int searchFlag, PageInfo page, int type, StatisticSYDWController ssc, boolean[] showcolumn) {
/*  80 */     super(parent);
/*  81 */     this.suffix = "xls";
/*  82 */     this.name = name;
/*  83 */     this.stime = stime;
/*  84 */     this.etime = etime;
/*  85 */     this.groupid = groupid;
/*  86 */     this.searchFlag = searchFlag;
/*  87 */     this.page = page;
/*  88 */     this.searchtype = type;
/*  89 */     this.ssc = ssc;
/*  90 */     this.showcolumn = showcolumn;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 100 */     createContents();
/* 101 */     PublicUtil.setCenter(this.shell);
/* 102 */     this.shell.open();
/* 103 */     this.shell.layout();
/* 104 */     Display display = getParent().getDisplay();
/* 105 */     while (!this.shell.isDisposed()) {
/* 106 */       if (!display.readAndDispatch())
/* 107 */         display.sleep(); 
/*     */     } 
/* 109 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 116 */     this.shell = new Shell(getParent(), 67680);
/* 117 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/* 118 */     this.shell.setBackgroundMode(1);
/* 119 */     GridLayout gridLayout = new GridLayout();
/* 120 */     gridLayout.numColumns = 3;
/* 121 */     this.shell.setLayout((Layout)gridLayout);
/* 122 */     this.shell.setSize(350, 180);
/* 123 */     this.shell.setText(this.name);
/*     */     
/* 125 */     Label label = new Label((Composite)this.shell, 0);
/* 126 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 127 */     gd_label.widthHint = 183;
/* 128 */     label.setLayoutData(gd_label);
/* 129 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 130 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 133 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 134 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 135 */     gd_sadLabel.widthHint = 100;
/* 136 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 139 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 140 */     label_2.setLayoutData(new GridData());
/*     */ 
/*     */     
/* 143 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 144 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 145 */     label_1.setLayoutData(gd_label_1);
/* 146 */     label_1.setText("名称：");
/*     */     
/* 148 */     CLabel label_info = new CLabel((Composite)this.shell, 0);
/* 149 */     GridData gd_label_info = new GridData();
/* 150 */     label_info.setLayoutData(gd_label_info);
/* 151 */     label_info.setText(this.name);
/*     */ 
/*     */ 
/*     */     
/* 155 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 156 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 157 */     GridLayout gridLayout_1 = new GridLayout();
/* 158 */     gridLayout_1.numColumns = 3;
/* 159 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 161 */     Button button = new Button(composite, 0);
/* 162 */     button.setText("打开");
/* 163 */     button.setVisible(false);
/* 164 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */ 
/*     */     
/* 170 */     Button button_1 = new Button(composite, 0);
/* 171 */     button_1.setLayoutData(new GridData());
/* 172 */     button_1.setText("保存");
/* 173 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 175 */             DirectoryDialog save = new DirectoryDialog(SaveStatisticEXCELDialog.this.shell);
/* 176 */             save.setText(String.valueOf(SaveStatisticEXCELDialog.this.name) + "保存");
/* 177 */             save.setMessage("选择保存目录：");
/* 178 */             String fileName = save.open();
/* 179 */             if (fileName != null) {
/*     */               try {
/* 181 */                 SaveStatisticExcelProgressDialog ss = new SaveStatisticExcelProgressDialog(
/* 182 */                     SaveStatisticEXCELDialog.this.shell, "接受数据中...", "正在生成Excel中...", fileName, SaveStatisticEXCELDialog.this.name, SaveStatisticEXCELDialog.this.stime, SaveStatisticEXCELDialog.this.etime, 
/* 183 */                     SaveStatisticEXCELDialog.this.groupid, SaveStatisticEXCELDialog.this.searchFlag, SaveStatisticEXCELDialog.this.page, 
/* 184 */                     SaveStatisticEXCELDialog.this.searchtype, SaveStatisticEXCELDialog.this.ssc, SaveStatisticEXCELDialog.this.showcolumn);
/* 185 */                 ss.run(true, true);
/* 186 */                 int r = ss.creatresult;
/* 187 */                 if (r == 0) {
/* 188 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 189 */                       "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 191 */                 if (r == -1) {
/*     */                   
/* 193 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 194 */                       "下载未完成！");
/*     */                 }
/* 196 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 197 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 198 */                       "下载完成!\n以下Excel文件未下载成功：" + 
/* 199 */                       ss.wrongfile);
/*     */                 } else {
/* 201 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 202 */                       "全部Excel文件下载完成!");
/*     */                 }
/*     */               
/* 205 */               } catch (Exception e) {
/* 206 */                 e.printStackTrace();
/* 207 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 208 */                     "生成Excel文件错误，下载失败");
/*     */                 
/*     */                 return;
/*     */               } 
/* 212 */               SaveStatisticEXCELDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 217 */     Button button_2 = new Button(composite, 0);
/* 218 */     button_2.setText("取消");
/* 219 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 221 */             SaveStatisticEXCELDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 225 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 226 */     label_2_1.setLayoutData(new GridData());
/* 227 */     label_2_1.setText(this.type);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\Dialog\SaveStatisticEXCELDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */