/*     */ package cs.admin.statistic.Dialog;
/*     */ 
/*     */ import cs.admin.excel.GenSydwExcel;
/*     */ import cs.admin.excel.SaveExcelProgressDialog;
/*     */ import cs.admin.statistic.StatisticSYDWController;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SaveStatisticExcelProgressDialog
/*     */   extends SaveExcelProgressDialog
/*     */ {
/*     */   private String groupid;
/*  19 */   public int creatresult = 0;
/*     */   private int searchtype;
/*     */   private int searchflag;
/*     */   private StatisticSYDWController ssc;
/*     */   private String filepath;
/*  24 */   private PageInfo page = new PageInfo();
/*     */   
/*     */   private boolean[] showcolumn;
/*     */   
/*     */   private String name;
/*     */   
/*     */   private String stime;
/*     */   
/*     */   private String etime;
/*     */   private IRunnableWithProgress runnable;
/*     */   
/*     */   public SaveStatisticExcelProgressDialog(Shell shell, String label, String title, String filename, String name, String stime, String etime, String groupid, int searchflag, PageInfo page, int searchtype, StatisticSYDWController ssc, boolean[] showcolumn) {
/*  36 */     super(shell, label, title);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  66 */     this.runnable = new IRunnableWithProgress()
/*     */       {
/*     */ 
/*     */         
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*     */         {
/*  72 */           monitor.beginTask(SaveStatisticExcelProgressDialog.this.label, SaveStatisticExcelProgressDialog.this.page.getTpage());
/*  73 */           monitor.setTaskName("接受数据中......");
/*     */           
/*  75 */           monitor.worked(1);
/*  76 */           for (int i = 0; i < SaveStatisticExcelProgressDialog.this.page.getTpage(); i++) {
/*  77 */             if (monitor.isCanceled()) {
/*  78 */               SaveStatisticExcelProgressDialog.this.creatresult = -1; return;
/*     */             } 
/*  80 */             monitor.setTaskName("正在接受第" + (i + 1) + "页数据.....");
/*  81 */             ArrayList<PageInfo> al = SaveStatisticExcelProgressDialog.this.ssc.getStatistic(SaveStatisticExcelProgressDialog.this.stime, SaveStatisticExcelProgressDialog.this.etime, SaveStatisticExcelProgressDialog.this.groupid, SaveStatisticExcelProgressDialog.this.searchflag, SaveStatisticExcelProgressDialog.this.page, SaveStatisticExcelProgressDialog.this.searchtype);
/*  82 */             if (al != null && al.size() > 0) {
/*  83 */               PageInfo p = al.get(0);
/*  84 */               SaveStatisticExcelProgressDialog.this.page.setTotalnum(p.getTotalnum());
/*  85 */               al.remove(0);
/*     */               
/*  87 */               String flag = (new GenSydwExcel()).genStatisticExcel(SaveStatisticExcelProgressDialog.this.filepath, String.valueOf(SaveStatisticExcelProgressDialog.this.name) + "第" + (i + 1) + "页", al, SaveStatisticExcelProgressDialog.this.page, SaveStatisticExcelProgressDialog.this.showcolumn, SaveStatisticExcelProgressDialog.this.searchtype, SaveStatisticExcelProgressDialog.this.stime, SaveStatisticExcelProgressDialog.this.etime);
/*  88 */               if (flag != null) {
/*  89 */                 SaveStatisticExcelProgressDialog.this.wrongfile = String.valueOf(SaveStatisticExcelProgressDialog.this.wrongfile) + flag;
/*     */               }
/*     */             } else {
/*  92 */               SaveStatisticExcelProgressDialog.this.wrongfile = String.valueOf(SaveStatisticExcelProgressDialog.this.wrongfile) + "\n没有第" + SaveStatisticExcelProgressDialog.this.page.getCpage() + "页数据，未下载成功！";
/*  93 */             }  Thread.sleep(100L);
/*     */             
/*  95 */             monitor.worked(1);
/*  96 */             SaveStatisticExcelProgressDialog.this.page.nextpage();
/*     */           } 
/*  98 */           monitor.setTaskName("接受数据完毕！");
/*  99 */           monitor.done();
/* 100 */           SaveStatisticExcelProgressDialog.this.creatresult = 1;
/*     */         }
/*     */       };
/*     */     this.filepath = filename;
/*     */     this.name = name;
/*     */     this.stime = stime;
/*     */     this.etime = etime;
/*     */     this.groupid = groupid;
/*     */     this.searchflag = searchflag;
/*     */     this.searchtype = searchtype;
/*     */     this.ssc = ssc;
/*     */     this.page.setPAGESIZE(1000);
/*     */     this.page.setTotalnum(page.getTotalnum());
/*     */     this.showcolumn = showcolumn;
/*     */   }
/*     */   
/*     */   public void run(boolean fork, boolean cancelable) {
/*     */     try {
/*     */       run(fork, cancelable, this.runnable);
/*     */     } catch (InvocationTargetException e) {
/*     */       e.printStackTrace();
/*     */     } catch (InterruptedException e) {
/*     */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\Dialog\SaveStatisticExcelProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */