/*    */ package cs.admin.statistic;
/*    */ 
/*    */ import cs.admin.excel.GenSydwExcel;
/*    */ import cs.admin.excel.SaveExcelProgressDialog;
/*    */ import java.lang.reflect.InvocationTargetException;
/*    */ import java.util.ArrayList;
/*    */ import org.eclipse.core.runtime.IProgressMonitor;
/*    */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*    */ import org.eclipse.swt.widgets.Shell;
/*    */ import server.sydj.sysmanage.page.PageInfo;
/*    */ 
/*    */ 
/*    */ 
/*    */ public class SaveAnnualExcelProgressDialog
/*    */   extends SaveExcelProgressDialog
/*    */ {
/*    */   private String filename;
/*    */   private String groupid;
/* 19 */   public int creatresult = 0;
/*    */   private int searchflag;
/*    */   private StatisticSYDWController ssc;
/*    */   private String filepath;
/*    */   private String labelinfo;
/* 24 */   private PageInfo page = new PageInfo();
/*    */   
/*    */   private int annualtype;
/*    */   
/*    */   private boolean[] showcolumn;
/*    */   
/*    */   private String annualYear;
/*    */   private IRunnableWithProgress runnable;
/*    */   
/*    */   public SaveAnnualExcelProgressDialog(Shell shell, String label, String title, String labelinfo, String groupid, String filename, int annualtype, int searchflag, StatisticSYDWController ssc, PageInfo page, boolean[] showcolumn, String annualYear) {
/* 34 */     super(shell, label, title);
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */     
/* 60 */     this.runnable = new IRunnableWithProgress()
/*    */       {
/*    */ 
/*    */         
/*    */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*    */         {
/* 66 */           monitor.beginTask(SaveAnnualExcelProgressDialog.this.label, SaveAnnualExcelProgressDialog.this.page.getTpage());
/* 67 */           monitor.setTaskName("接受数据中......");
/*    */           
/* 69 */           monitor.worked(1);
/* 70 */           for (int i = 0; i < SaveAnnualExcelProgressDialog.this.page.getTpage(); i++) {
/* 71 */             if (monitor.isCanceled()) {
/* 72 */               SaveAnnualExcelProgressDialog.this.creatresult = -1; return;
/*    */             } 
/* 74 */             monitor.setTaskName("正在接受第" + (i + 1) + "页数据.....");
/* 75 */             ArrayList<PageInfo> al = SaveAnnualExcelProgressDialog.this.ssc
/* 76 */               .getAnnualStatistics(SaveAnnualExcelProgressDialog.this.annualtype, SaveAnnualExcelProgressDialog.this.groupid, 
/* 77 */                 SaveAnnualExcelProgressDialog.this.searchflag, SaveAnnualExcelProgressDialog.this.page, SaveAnnualExcelProgressDialog.this.annualYear);
/* 78 */             if (al != null && al.size() > 0) {
/* 79 */               PageInfo p = al.get(0);
/* 80 */               SaveAnnualExcelProgressDialog.this.page.setTotalnum(p.getTotalnum());
/* 81 */               al.remove(0);
/*    */               
/* 83 */               String flag = (new GenSydwExcel()).genAnnualStaticExcel(SaveAnnualExcelProgressDialog.this.filepath, SaveAnnualExcelProgressDialog.this.labelinfo, String.valueOf(SaveAnnualExcelProgressDialog.this.labelinfo) + "第" + (i + 1) + "页", al, SaveAnnualExcelProgressDialog.this.page, SaveAnnualExcelProgressDialog.this.showcolumn);
/* 84 */               if (flag != null) {
/* 85 */                 SaveAnnualExcelProgressDialog.this.wrongfile = String.valueOf(SaveAnnualExcelProgressDialog.this.wrongfile) + flag;
/*    */               }
/*    */             } else {
/* 88 */               SaveAnnualExcelProgressDialog.this.wrongfile = String.valueOf(SaveAnnualExcelProgressDialog.this.wrongfile) + "\n没有第" + SaveAnnualExcelProgressDialog.this.page.getCpage() + "页数据，未下载成功！";
/* 89 */             }  Thread.sleep(100L);
/*    */             
/* 91 */             monitor.worked(1);
/* 92 */             SaveAnnualExcelProgressDialog.this.page.nextpage();
/*    */           } 
/* 94 */           monitor.setTaskName("接受数据完毕！");
/* 95 */           monitor.done();
/* 96 */           SaveAnnualExcelProgressDialog.this.creatresult = 1;
/*    */         }
/*    */       };
/*    */     this.filepath = filename;
/*    */     this.groupid = groupid;
/*    */     this.searchflag = searchflag;
/*    */     this.annualtype = annualtype;
/*    */     this.labelinfo = labelinfo;
/*    */     this.annualYear = annualYear;
/*    */     this.ssc = ssc;
/*    */     this.page.setPAGESIZE(1000);
/*    */     this.page.setTotalnum(page.getTotalnum());
/*    */     this.showcolumn = showcolumn;
/*    */   }
/*    */   
/*    */   public void run(boolean fork, boolean cancelable) {
/*    */     try {
/*    */       run(fork, cancelable, this.runnable);
/*    */     } catch (InvocationTargetException e) {
/*    */       e.printStackTrace();
/*    */     } catch (InterruptedException e) {
/*    */       e.printStackTrace();
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\SaveAnnualExcelProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */