/*    */ package cs.admin.statistic;
/*    */ 
/*    */ import cs.admin.excel.GenSydwExcel;
/*    */ import cs.admin.excel.SaveExcelProgressDialog;
/*    */ import java.lang.reflect.InvocationTargetException;
/*    */ import java.util.ArrayList;
/*    */ import org.eclipse.core.runtime.IProgressMonitor;
/*    */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*    */ import org.eclipse.swt.widgets.Shell;
/*    */ import server.sydj.sysmanage.page.PageInfo;
/*    */ 
/*    */ 
/*    */ 
/*    */ public class SaveAnnualPublishExcelProgressDialog
/*    */   extends SaveExcelProgressDialog
/*    */ {
/*    */   private String groupid;
/* 18 */   public int creatresult = 0;
/*    */   private int searchflag;
/*    */   private StatisticSYDWController ssc;
/*    */   private String filepath;
/*    */   private String labelinfo;
/* 23 */   private PageInfo page = new PageInfo();
/*    */   
/*    */   private int annualtype;
/*    */   
/*    */   private boolean[] showcolumn;
/*    */   
/*    */   private String annualYear;
/*    */   private IRunnableWithProgress runnable;
/*    */   
/*    */   public SaveAnnualPublishExcelProgressDialog(Shell shell, String label, String title, String labelinfo, String groupid, String filename, int annualtype, int searchflag, StatisticSYDWController ssc, PageInfo page, boolean[] showcolumn, String annualYear) {
/* 33 */     super(shell, label, title);
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */     
/* 59 */     this.runnable = new IRunnableWithProgress()
/*    */       {
/*    */ 
/*    */         
/*    */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*    */         {
/* 65 */           monitor.beginTask(SaveAnnualPublishExcelProgressDialog.this.label, SaveAnnualPublishExcelProgressDialog.this.page.getTpage());
/* 66 */           monitor.setTaskName("接受数据中......");
/*    */           
/* 68 */           monitor.worked(1);
/* 69 */           for (int i = 0; i < SaveAnnualPublishExcelProgressDialog.this.page.getTpage(); i++) {
/* 70 */             if (monitor.isCanceled()) {
/* 71 */               SaveAnnualPublishExcelProgressDialog.this.creatresult = -1; return;
/*    */             } 
/* 73 */             monitor.setTaskName("正在接受第" + (i + 1) + "页数据.....");
/* 74 */             ArrayList<PageInfo> al = SaveAnnualPublishExcelProgressDialog.this.ssc.getAnnualPublishStatistics(SaveAnnualPublishExcelProgressDialog.this.annualtype, SaveAnnualPublishExcelProgressDialog.this.groupid, 
/* 75 */                 SaveAnnualPublishExcelProgressDialog.this.searchflag, SaveAnnualPublishExcelProgressDialog.this.page, SaveAnnualPublishExcelProgressDialog.this.annualYear);
/* 76 */             if (al != null && al.size() > 0) {
/* 77 */               PageInfo p = al.get(0);
/* 78 */               SaveAnnualPublishExcelProgressDialog.this.page.setTotalnum(p.getTotalnum());
/* 79 */               al.remove(0);
/*    */               
/* 81 */               String flag = (new GenSydwExcel()).genAnnualStaticExcel(SaveAnnualPublishExcelProgressDialog.this.filepath, SaveAnnualPublishExcelProgressDialog.this.labelinfo, String.valueOf(SaveAnnualPublishExcelProgressDialog.this.labelinfo) + "第" + (i + 1) + "页", al, SaveAnnualPublishExcelProgressDialog.this.page, SaveAnnualPublishExcelProgressDialog.this.showcolumn);
/* 82 */               if (flag != null) {
/* 83 */                 SaveAnnualPublishExcelProgressDialog.this.wrongfile = String.valueOf(SaveAnnualPublishExcelProgressDialog.this.wrongfile) + flag;
/*    */               }
/*    */             } else {
/* 86 */               SaveAnnualPublishExcelProgressDialog.this.wrongfile = String.valueOf(SaveAnnualPublishExcelProgressDialog.this.wrongfile) + "\n没有第" + SaveAnnualPublishExcelProgressDialog.this.page.getCpage() + "页数据，未下载成功！";
/* 87 */             }  Thread.sleep(100L);
/*    */             
/* 89 */             monitor.worked(1);
/* 90 */             SaveAnnualPublishExcelProgressDialog.this.page.nextpage();
/*    */           } 
/* 92 */           monitor.setTaskName("接受数据完毕！");
/* 93 */           monitor.done();
/* 94 */           SaveAnnualPublishExcelProgressDialog.this.creatresult = 1;
/*    */         }
/*    */       };
/*    */     this.filepath = filename;
/*    */     this.groupid = groupid;
/*    */     this.searchflag = searchflag;
/*    */     this.annualtype = annualtype;
/*    */     this.labelinfo = labelinfo;
/*    */     this.annualYear = annualYear;
/*    */     this.ssc = ssc;
/*    */     this.page.setPAGESIZE(1000);
/*    */     this.page.setTotalnum(page.getTotalnum());
/*    */     this.showcolumn = showcolumn;
/*    */   }
/*    */   
/*    */   public void run(boolean fork, boolean cancelable) {
/*    */     try {
/*    */       run(fork, cancelable, this.runnable);
/*    */     } catch (InvocationTargetException e) {
/*    */       e.printStackTrace();
/*    */     } catch (InterruptedException e) {
/*    */       e.printStackTrace();
/*    */     } 
/*    */   }
/*    */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\SaveAnnualPublishExcelProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */