/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.statistic.Dialog.SaveStatisticAllEXCELDialog;
/*     */ import cs.admin.statistic.Dialog.SydwInfoTableChooseDialog;
/*     */ import cs.admin.statistic.treeTable.StatisticALLTableLabelProvider;
/*     */ import cs.admin.statistic.treeTable.StatisticTableContentProvider;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.ProcessWaitDialog;
/*     */ import cs.sydj.inter.Progress;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import java.util.HashMap;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.swt.widgets.TreeColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.IndustryCat;
/*     */ import server.tableinfo.common.StatisticFDDBRNum;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticAllFDDBRView
/*     */   extends ViewPart
/*     */   implements Progress
/*     */ {
/*     */   private CLabel label_7;
/*     */   private Tree tree;
/*     */   private Text text_2;
/*     */   private Text text;
/*     */   public static final String ID = "cs.admin.statistic.StatisticAllFDDBRView";
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*  81 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  83 */   private Shell shell = null;
/*  84 */   private Composite comp = null;
/*     */   
/*  86 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*  87 */       this.user);
/*  88 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*  90 */   private Calendar calendar = Calendar.getInstance();
/*     */   
/*     */   private String stime;
/*     */   
/*     */   private String etime;
/*     */   
/*     */   private String groupid;
/*     */   private int searchFlag;
/*     */   private Button button;
/*     */   private TreeViewer resultTreeViewer;
/*     */   private ArrayList resultlist;
/*     */   private ProcessWaitDialog pwd;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 104 */     this.comp = arg0;
/* 105 */     this.shell = arg0.getShell();
/* 106 */     arg0.setBackgroundMode(1);
/* 107 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/* 108 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 110 */     this.composite_6 = new Composite(arg0, 0);
/* 111 */     GridLayout gridLayout_4 = new GridLayout();
/* 112 */     gridLayout_4.marginTop = 20;
/* 113 */     gridLayout_4.verticalSpacing = 0;
/* 114 */     gridLayout_4.numColumns = 3;
/* 115 */     this.composite_6.setLayout((Layout)gridLayout_4);
/*     */ 
/*     */     
/* 118 */     this.label = new CLabel(this.composite_6, 0);
/* 119 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 120 */     GridData gd_label = new GridData(4, 16777216, false, false);
/* 121 */     gd_label.widthHint = 350;
/* 122 */     this.label.setLayoutData(gd_label);
/* 123 */     this.label.setText("统计分析>>法定代表人情况汇总表");
/*     */ 
/*     */ 
/*     */     
/* 127 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 129 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 133 */     Composite composite = new Composite(this.composite_6, 0);
/* 134 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/* 135 */           false));
/* 136 */     GridLayout gridLayout = new GridLayout();
/* 137 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 139 */     this.label_7 = new CLabel(composite, 0);
/* 140 */     this.label_7.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 141 */     this.label_7.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*     */ 
/*     */ 
/*     */     
/* 145 */     Composite composite_7 = new Composite(this.composite_6, 0);
/* 146 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/* 147 */           false));
/* 148 */     GridLayout gridLayout_2 = new GridLayout();
/* 149 */     gridLayout_2.numColumns = 8;
/* 150 */     composite_7.setLayout((Layout)gridLayout_2);
/*     */     
/* 152 */     Label label_5 = new Label(composite_7, 0);
/* 153 */     label_5.setText("统计时间： 从");
/*     */     
/* 155 */     this.text = new Text(composite_7, 2056);
/* 156 */     this.text
/* 157 */       .setBackground(Display.getCurrent().getSystemColor(
/* 158 */           1));
/* 159 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 160 */     gd_text.widthHint = 85;
/* 161 */     this.text.setLayoutData(gd_text);
/*     */     
/* 163 */     Button dotbutton = new Button(composite_7, 8389632);
/* 164 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 166 */             Text text = StatisticAllFDDBRView.this.text;
/* 167 */             int width = (text.getLocation()).x;
/* 168 */             int height = (text.getLocation()).y;
/* 169 */             while (text.getParent() != null) {
/* 170 */               Composite composite = text.getParent();
/* 171 */               width += (composite.getLocation()).x;
/* 172 */               height += (composite.getLocation()).y;
/*     */             } 
/* 174 */             (new CalendarDialog(StatisticAllFDDBRView.this.shell, StatisticAllFDDBRView.this.text, width, height)).open();
/*     */           }
/*     */         });
/*     */     
/* 178 */     GridData gd_dotbutton = new GridData(16, 16);
/* 179 */     dotbutton.setLayoutData(gd_dotbutton);
/* 180 */     dotbutton.setText("…");
/*     */     
/* 182 */     Button xButton = new Button(composite_7, 8388608);
/* 183 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 185 */             StatisticAllFDDBRView.this.text.setText("");
/*     */           }
/*     */         });
/* 188 */     GridData gd_xButton = new GridData(16, 16);
/* 189 */     xButton.setLayoutData(gd_xButton);
/* 190 */     xButton.setText("×");
/*     */     
/* 192 */     Label label_5_1 = new Label(composite_7, 0);
/* 193 */     label_5_1.setText(" 到 ");
/*     */     
/* 195 */     this.text_2 = new Text(composite_7, 2056);
/* 196 */     this.text_2.setBackground(Display.getCurrent()
/* 197 */         .getSystemColor(1));
/* 198 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/* 199 */         false);
/* 200 */     gd_text_2.widthHint = 85;
/* 201 */     this.text_2.setLayoutData(gd_text_2);
/*     */     
/* 203 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/* 204 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 206 */             Text text = StatisticAllFDDBRView.this.text_2;
/* 207 */             int width = (text.getLocation()).x;
/* 208 */             int height = (text.getLocation()).y;
/* 209 */             while (text.getParent() != null) {
/* 210 */               Composite composite = text.getParent();
/* 211 */               width += (composite.getLocation()).x;
/* 212 */               height += (composite.getLocation()).y;
/*     */             } 
/* 214 */             (new CalendarDialog(StatisticAllFDDBRView.this.shell, StatisticAllFDDBRView.this.text_2, width, height)).open();
/*     */           }
/*     */         });
/* 217 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/* 218 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/* 219 */     dotbutton_1.setText("…");
/*     */     
/* 221 */     Button xButton_1 = new Button(composite_7, 8388608);
/* 222 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 224 */             StatisticAllFDDBRView.this.text_2.setText("");
/*     */           }
/*     */         });
/* 227 */     GridData gd_xButton_1 = new GridData(16, 16);
/* 228 */     xButton_1.setLayoutData(gd_xButton_1);
/* 229 */     xButton_1.setText("×");
/*     */ 
/*     */ 
/*     */     
/* 233 */     Composite composite_3 = new Composite(this.composite_6, 0);
/* 234 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/* 235 */         false, false);
/* 236 */     gd_composite_3.heightHint = 0;
/* 237 */     composite_3.setLayoutData(gd_composite_3);
/* 238 */     GridLayout gridLayout_3 = new GridLayout();
/* 239 */     gridLayout_3.numColumns = 2;
/* 240 */     composite_3.setLayout((Layout)gridLayout_3);
/* 241 */     composite_3.setVisible(false);
/*     */     
/* 243 */     this.button_9 = new Button(composite_3, 16);
/* 244 */     this.button_9.setText("本级登记管理机关");
/* 245 */     this.button_9.setSelection(true);
/*     */     
/* 247 */     this.button_10 = new Button(composite_3, 16);
/* 248 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */ 
/*     */     
/* 251 */     Label label_2 = new Label(this.composite_6, 0);
/* 252 */     label_2.setLayoutData(new GridData(16384, 16777216, true, false));
/* 253 */     label_2.setText(" ");
/*     */     
/* 255 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 256 */     this.tree_1 = this.treeViewer.getTree();
/* 257 */     GridData gd_tree_1 = new GridData(4, 4, false, false);
/* 258 */     gd_tree_1.heightHint = 190;
/* 259 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 261 */     Label label_6 = new Label(this.composite_6, 0);
/* 262 */     label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 263 */     label_6.setText(" ");
/*     */ 
/*     */     
/* 266 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 267 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 268 */           false));
/* 269 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 271 */     Button button_6 = new Button(composite_2, 0);
/* 272 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 274 */             InfoEntity select = null;
/*     */             
/* 276 */             IStructuredSelection i = (IStructuredSelection)StatisticAllFDDBRView.this.treeViewer
/* 277 */               .getSelection();
/* 278 */             StatisticAllFDDBRView.this.searchFlag = 0;
/* 279 */             if (StatisticAllFDDBRView.this.button_10.getSelection()) {
/* 280 */               StatisticAllFDDBRView.this.searchFlag = 1;
/*     */             }
/* 282 */             StatisticAllFDDBRView.this.stime = StatisticAllFDDBRView.this.text.getText();
/* 283 */             StatisticAllFDDBRView.this.etime = StatisticAllFDDBRView.this.text_2.getText();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 322 */             if (i == null) {
/* 323 */               StatisticAllFDDBRView.this.groupid = 
/* 324 */                 StatisticAllFDDBRView.this.user.getGroupid();
/* 325 */               StatisticAllFDDBRView.this.initResult();
/*     */               
/*     */               return;
/*     */             } 
/* 329 */             select = (InfoEntity)i.getFirstElement();
/* 330 */             if (select == null) {
/* 331 */               StatisticAllFDDBRView.this.groupid = 
/* 332 */                 StatisticAllFDDBRView.this.user.getGroupid();
/* 333 */               StatisticAllFDDBRView.this.initResult();
/*     */               return;
/*     */             } 
/* 336 */             StatisticAllFDDBRView.this.groupid = select.getId();
/* 337 */             StatisticAllFDDBRView.this.initResult();
/*     */           }
/*     */         });
/*     */     
/* 341 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 344 */     this.composite_1 = new Composite(arg0, 0);
/* 345 */     GridLayout gridLayout_5 = new GridLayout();
/* 346 */     gridLayout_5.verticalSpacing = 2;
/* 347 */     gridLayout_5.marginTop = 20;
/* 348 */     gridLayout_5.marginRight = 25;
/* 349 */     gridLayout_5.marginLeft = 25;
/* 350 */     gridLayout_5.marginBottom = 20;
/* 351 */     this.composite_1.setLayout((Layout)gridLayout_5);
/*     */     
/* 353 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 354 */     this.label_4.setFont(SWTResourceManager.getFont("", 14, 0));
/* 355 */     this.label_4
/* 356 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 357 */     this.label_4.setText("法定代表人情况汇总表");
/*     */     
/* 359 */     Composite composite_4 = new Composite(this.composite_1, 0);
/* 360 */     GridData gd_composite_4 = new GridData(4, 16777216, true, false);
/* 361 */     gd_composite_4.heightHint = 22;
/* 362 */     composite_4.setLayoutData(gd_composite_4);
/* 363 */     GridLayout gridLayout_6 = new GridLayout();
/* 364 */     gridLayout_6.numColumns = 2;
/* 365 */     gridLayout_6.marginWidth = 0;
/* 366 */     gridLayout_6.marginHeight = 0;
/* 367 */     composite_4.setLayout((Layout)gridLayout_6);
/*     */     
/* 369 */     Button button_1 = new Button(composite_4, 8388608);
/* 370 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 372 */             StatisticAllFDDBRView.this.initSearch();
/*     */           }
/*     */         });
/* 375 */     button_1.setLayoutData(new GridData(45, 21));
/* 376 */     button_1.setText("返回");
/*     */     
/* 378 */     this.label_3 = new Label(composite_4, 131136);
/* 379 */     GridData gd_label_3 = new GridData(131072, 16777216, true, false);
/* 380 */     gd_label_3.widthHint = 400;
/* 381 */     this.label_3.setLayoutData(gd_label_3);
/* 382 */     this.label_3.setText("Label");
/*     */     
/* 384 */     this.resultTreeViewer = new TreeViewer(this.composite_1, 2048);
/* 385 */     this.tree = this.resultTreeViewer.getTree();
/* 386 */     this.tree.setHeaderVisible(true);
/* 387 */     this.tree.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 389 */     TreeColumn newColumnTreeColumn = new TreeColumn(this.tree, 0);
/* 390 */     newColumnTreeColumn.setToolTipText("类别/项目");
/* 391 */     newColumnTreeColumn.setWidth(300);
/* 392 */     newColumnTreeColumn.setText("类别/项目");
/*     */     
/* 394 */     TreeColumn newColumnTreeColumn_1 = new TreeColumn(this.tree, 0);
/* 395 */     newColumnTreeColumn_1.setToolTipText("总计");
/* 396 */     newColumnTreeColumn_1.setWidth(30);
/* 397 */     newColumnTreeColumn_1.setText("总计");
/*     */     
/* 399 */     TreeColumn newColumnTreeColumn_2 = new TreeColumn(this.tree, 0);
/* 400 */     newColumnTreeColumn_2.setToolTipText("国家机关举办-各种职称人数");
/* 401 */     newColumnTreeColumn_2.setWidth(30);
/* 402 */     newColumnTreeColumn_2.setText("国家机关举办-各种职称人数");
/*     */     
/* 404 */     TreeColumn newColumnTreeColumn_3 = new TreeColumn(this.tree, 0);
/* 405 */     newColumnTreeColumn_3.setToolTipText("国家机关举办-高级职称人数");
/* 406 */     newColumnTreeColumn_3.setWidth(30);
/* 407 */     newColumnTreeColumn_3.setText("国家机关举办-高级职称人数");
/*     */     
/* 409 */     TreeColumn newColumnTreeColumn_4 = new TreeColumn(this.tree, 0);
/* 410 */     newColumnTreeColumn_4.setToolTipText("国家机关举办-中级职称人数");
/* 411 */     newColumnTreeColumn_4.setWidth(30);
/* 412 */     newColumnTreeColumn_4.setText("国家机关举办-中级职称人数");
/*     */     
/* 414 */     TreeColumn newColumnTreeColumn_5 = new TreeColumn(this.tree, 0);
/* 415 */     newColumnTreeColumn_5.setToolTipText("国家机关举办-初级职称人数");
/* 416 */     newColumnTreeColumn_5.setWidth(30);
/* 417 */     newColumnTreeColumn_5.setText("国家机关举办-初级职称人数");
/*     */     
/* 419 */     TreeColumn newColumnTreeColumn_6 = new TreeColumn(this.tree, 0);
/* 420 */     newColumnTreeColumn_6.setToolTipText("国家机关举办-其他职称人数");
/* 421 */     newColumnTreeColumn_6.setWidth(30);
/* 422 */     newColumnTreeColumn_6.setText("国家机关举办-其他职称人数");
/*     */     
/* 424 */     TreeColumn newColumnTreeColumn_2_1 = new TreeColumn(this.tree, 0);
/* 425 */     newColumnTreeColumn_2_1.setToolTipText("国家机关举办-政治面貌人数合计");
/* 426 */     newColumnTreeColumn_2_1.setWidth(30);
/* 427 */     newColumnTreeColumn_2_1.setText("国家机关举办-政治面貌人数合计");
/*     */     
/* 429 */     TreeColumn newColumnTreeColumn_3_1 = new TreeColumn(this.tree, 0);
/* 430 */     newColumnTreeColumn_3_1.setToolTipText("国家机关举办-党员人数");
/* 431 */     newColumnTreeColumn_3_1.setWidth(30);
/* 432 */     newColumnTreeColumn_3_1.setText("国家机关举办-党员人数");
/*     */     
/* 434 */     TreeColumn newColumnTreeColumn_4_1 = new TreeColumn(this.tree, 0);
/* 435 */     newColumnTreeColumn_4_1.setToolTipText("国家机关举办-民主党派人数");
/* 436 */     newColumnTreeColumn_4_1.setWidth(30);
/* 437 */     newColumnTreeColumn_4_1.setText("国家机关举办-民主党派人数");
/*     */     
/* 439 */     TreeColumn newColumnTreeColumn_5_1 = new TreeColumn(this.tree, 0);
/* 440 */     newColumnTreeColumn_5_1.setToolTipText("国家机关举办-其他人数");
/* 441 */     newColumnTreeColumn_5_1.setWidth(30);
/* 442 */     newColumnTreeColumn_5_1.setText("国家机关举办-其他人数");
/*     */     
/* 444 */     TreeColumn newColumnTreeColumn_2_2 = new TreeColumn(this.tree, 0);
/* 445 */     newColumnTreeColumn_2_2.setToolTipText("国家机关举办-文化程度人数合计");
/* 446 */     newColumnTreeColumn_2_2.setWidth(30);
/* 447 */     newColumnTreeColumn_2_2.setText("国家机关举办-文化程度人数合计");
/*     */     
/* 449 */     TreeColumn newColumnTreeColumn_3_2 = new TreeColumn(this.tree, 0);
/* 450 */     newColumnTreeColumn_3_2.setToolTipText("国家机关举办-博士人数");
/* 451 */     newColumnTreeColumn_3_2.setWidth(30);
/* 452 */     newColumnTreeColumn_3_2.setText("国家机关举办-博士人数");
/*     */     
/* 454 */     TreeColumn newColumnTreeColumn_4_2 = new TreeColumn(this.tree, 0);
/* 455 */     newColumnTreeColumn_4_2.setToolTipText("国家机关举办-硕士人数");
/* 456 */     newColumnTreeColumn_4_2.setWidth(30);
/* 457 */     newColumnTreeColumn_4_2.setText("国家机关举办-硕士人数");
/*     */     
/* 459 */     TreeColumn newColumnTreeColumn_5_2 = new TreeColumn(this.tree, 0);
/* 460 */     newColumnTreeColumn_5_2.setToolTipText("国家机关举办-研究生人数");
/* 461 */     newColumnTreeColumn_5_2.setWidth(30);
/* 462 */     newColumnTreeColumn_5_2.setText("国家机关举办-研究生人数");
/*     */     
/* 464 */     TreeColumn newColumnTreeColumn_6_2 = new TreeColumn(this.tree, 0);
/* 465 */     newColumnTreeColumn_6_2.setToolTipText("国家机关举办-本科人数");
/* 466 */     newColumnTreeColumn_6_2.setWidth(30);
/* 467 */     newColumnTreeColumn_6_2.setText("国家机关举办-本科人数");
/*     */     
/* 469 */     TreeColumn newColumnTreeColumn_7_2 = new TreeColumn(this.tree, 0);
/* 470 */     newColumnTreeColumn_7_2.setToolTipText("国家机关举办-专科人数");
/* 471 */     newColumnTreeColumn_7_2.setWidth(30);
/* 472 */     newColumnTreeColumn_7_2.setText("国家机关举办-专科人数");
/*     */     
/* 474 */     TreeColumn newColumnTreeColumn_8_2 = new TreeColumn(this.tree, 0);
/* 475 */     newColumnTreeColumn_8_2.setToolTipText("国家机关举办-高中及以下人数");
/* 476 */     newColumnTreeColumn_8_2.setWidth(30);
/* 477 */     newColumnTreeColumn_8_2.setText("国家机关举办-高中及以下人数");
/*     */     
/* 479 */     TreeColumn newColumnTreeColumn_2_3 = new TreeColumn(this.tree, 0);
/* 480 */     newColumnTreeColumn_2_3.setToolTipText("国家机关举办-年龄合计");
/* 481 */     newColumnTreeColumn_2_3.setWidth(30);
/* 482 */     newColumnTreeColumn_2_3.setText("国家机关举办-年龄合计");
/*     */     
/* 484 */     TreeColumn newColumnTreeColumn_3_3 = new TreeColumn(this.tree, 0);
/* 485 */     newColumnTreeColumn_3_3.setToolTipText("国家机关举办-年龄55岁以上人数");
/* 486 */     newColumnTreeColumn_3_3.setWidth(30);
/* 487 */     newColumnTreeColumn_3_3.setText("国家机关举办-年龄55岁以上人数");
/*     */     
/* 489 */     TreeColumn newColumnTreeColumn_4_3 = new TreeColumn(this.tree, 0);
/* 490 */     newColumnTreeColumn_4_3.setToolTipText("国家机关举办-年龄55岁以下人数");
/* 491 */     newColumnTreeColumn_4_3.setWidth(30);
/* 492 */     newColumnTreeColumn_4_3.setText("国家机关举办-年龄55岁以下人数");
/*     */ 
/*     */     
/* 495 */     TreeColumn newColumnTreeColumn_o_2 = new TreeColumn(this.tree, 0);
/* 496 */     newColumnTreeColumn_o_2.setToolTipText("其他组织机构利用国有资产举办-职称人数合计");
/* 497 */     newColumnTreeColumn_o_2.setWidth(30);
/* 498 */     newColumnTreeColumn_o_2.setText("其他组织机构利用国有资产举办-职称人数合计");
/*     */     
/* 500 */     TreeColumn newColumnTreeColumn_o_3 = new TreeColumn(this.tree, 0);
/* 501 */     newColumnTreeColumn_o_3.setToolTipText("其他组织机构利用国有资产举办-高级职称人数");
/* 502 */     newColumnTreeColumn_o_3.setWidth(30);
/* 503 */     newColumnTreeColumn_o_3.setText("其他组织机构利用国有资产举办-高级职称人数");
/*     */     
/* 505 */     TreeColumn newColumnTreeColumn_o_4 = new TreeColumn(this.tree, 0);
/* 506 */     newColumnTreeColumn_o_4.setToolTipText("其他组织机构利用国有资产举办-中级职称人数");
/* 507 */     newColumnTreeColumn_o_4.setWidth(30);
/* 508 */     newColumnTreeColumn_o_4.setText("其他组织机构利用国有资产举办-中级职称人数");
/*     */     
/* 510 */     TreeColumn newColumnTreeColumn_o_5 = new TreeColumn(this.tree, 0);
/* 511 */     newColumnTreeColumn_o_5.setToolTipText("其他组织机构利用国有资产举办-初级职称人数");
/* 512 */     newColumnTreeColumn_o_5.setWidth(30);
/* 513 */     newColumnTreeColumn_o_5.setText("其他组织机构利用国有资产举办-初级职称人数");
/*     */     
/* 515 */     TreeColumn newColumnTreeColumn_o_6 = new TreeColumn(this.tree, 0);
/* 516 */     newColumnTreeColumn_o_6.setToolTipText("其他组织机构利用国有资产举办-其他职称人数");
/* 517 */     newColumnTreeColumn_o_6.setWidth(30);
/* 518 */     newColumnTreeColumn_o_6.setText("其他组织机构利用国有资产举办-其他职称人数");
/*     */     
/* 520 */     TreeColumn newColumnTreeColumn_o_2_1 = new TreeColumn(this.tree, 0);
/* 521 */     newColumnTreeColumn_o_2_1.setToolTipText("其他组织机构利用国有资产举办-政治面貌人数合计");
/* 522 */     newColumnTreeColumn_o_2_1.setWidth(30);
/* 523 */     newColumnTreeColumn_o_2_1.setText("其他组织机构利用国有资产举办-政治面貌人数合计");
/*     */     
/* 525 */     TreeColumn newColumnTreeColumn_o_3_1 = new TreeColumn(this.tree, 0);
/* 526 */     newColumnTreeColumn_o_3_1.setToolTipText("其他组织机构利用国有资产举办-党员人数");
/* 527 */     newColumnTreeColumn_o_3_1.setWidth(30);
/* 528 */     newColumnTreeColumn_o_3_1.setText("其他组织机构利用国有资产举办-党员人数");
/*     */     
/* 530 */     TreeColumn newColumnTreeColumn_o_4_1 = new TreeColumn(this.tree, 0);
/* 531 */     newColumnTreeColumn_o_4_1.setToolTipText("其他组织机构利用国有资产举办-民主党派人数");
/* 532 */     newColumnTreeColumn_o_4_1.setWidth(30);
/* 533 */     newColumnTreeColumn_o_4_1.setText("其他组织机构利用国有资产举办-民主党派人数");
/*     */     
/* 535 */     TreeColumn newColumnTreeColumn_o_5_1 = new TreeColumn(this.tree, 0);
/* 536 */     newColumnTreeColumn_o_5_1.setToolTipText("其他组织机构利用国有资产举办-其他人数");
/* 537 */     newColumnTreeColumn_o_5_1.setWidth(30);
/* 538 */     newColumnTreeColumn_o_5_1.setText("其他组织机构利用国有资产举办-其他人数");
/*     */     
/* 540 */     TreeColumn newColumnTreeColumn_o_2_2 = new TreeColumn(this.tree, 0);
/* 541 */     newColumnTreeColumn_o_2_2.setToolTipText("其他组织机构利用国有资产举办-文化程度人数合计");
/* 542 */     newColumnTreeColumn_o_2_2.setWidth(30);
/* 543 */     newColumnTreeColumn_o_2_2.setText("其他组织机构利用国有资产举办-文化程度人数合计");
/*     */     
/* 545 */     TreeColumn newColumnTreeColumn_o_3_2 = new TreeColumn(this.tree, 0);
/* 546 */     newColumnTreeColumn_o_3_2.setToolTipText("其他组织机构利用国有资产举办-博士人数");
/* 547 */     newColumnTreeColumn_o_3_2.setWidth(30);
/* 548 */     newColumnTreeColumn_o_3_2.setText("其他组织机构利用国有资产举办-博士人数");
/*     */     
/* 550 */     TreeColumn newColumnTreeColumn_o_4_2 = new TreeColumn(this.tree, 0);
/* 551 */     newColumnTreeColumn_o_4_2.setToolTipText("其他组织机构利用国有资产举办-硕士人数");
/* 552 */     newColumnTreeColumn_o_4_2.setWidth(30);
/* 553 */     newColumnTreeColumn_o_4_2.setText("其他组织机构利用国有资产举办-硕士人数");
/*     */     
/* 555 */     TreeColumn newColumnTreeColumn_o_5_2 = new TreeColumn(this.tree, 0);
/* 556 */     newColumnTreeColumn_o_5_2.setToolTipText("其他组织机构利用国有资产举办-硕士人数");
/* 557 */     newColumnTreeColumn_o_5_2.setWidth(30);
/* 558 */     newColumnTreeColumn_o_5_2.setText("其他组织机构利用国有资产举办-研究生人数");
/*     */     
/* 560 */     TreeColumn newColumnTreeColumn_o_6_2 = new TreeColumn(this.tree, 0);
/* 561 */     newColumnTreeColumn_o_6_2.setToolTipText("其他组织机构利用国有资产举办-本科人数");
/* 562 */     newColumnTreeColumn_o_6_2.setWidth(30);
/* 563 */     newColumnTreeColumn_o_6_2.setText("其他组织机构利用国有资产举办-本科人数");
/*     */     
/* 565 */     TreeColumn newColumnTreeColumn_o_7_2 = new TreeColumn(this.tree, 0);
/* 566 */     newColumnTreeColumn_o_7_2.setToolTipText("其他组织机构利用国有资产举办-专科人数");
/* 567 */     newColumnTreeColumn_o_7_2.setWidth(30);
/* 568 */     newColumnTreeColumn_o_7_2.setText("其他组织机构利用国有资产举办-专科人数");
/*     */     
/* 570 */     TreeColumn newColumnTreeColumn_o_8_2 = new TreeColumn(this.tree, 0);
/* 571 */     newColumnTreeColumn_o_8_2.setToolTipText("其他组织机构利用国有资产举办-高中及以下人数");
/* 572 */     newColumnTreeColumn_o_8_2.setWidth(30);
/* 573 */     newColumnTreeColumn_o_8_2.setText("其他组织机构利用国有资产举办-高中及以下人数");
/*     */     
/* 575 */     TreeColumn newColumnTreeColumn_o_2_3 = new TreeColumn(this.tree, 0);
/* 576 */     newColumnTreeColumn_o_2_3.setToolTipText("其他组织机构利用国有资产举办-年龄合计");
/* 577 */     newColumnTreeColumn_o_2_3.setWidth(30);
/* 578 */     newColumnTreeColumn_o_2_3.setText("其他组织机构利用国有资产举办-年龄合计");
/*     */     
/* 580 */     TreeColumn newColumnTreeColumn_o_3_3 = new TreeColumn(this.tree, 0);
/* 581 */     newColumnTreeColumn_o_3_3.setToolTipText("其他组织机构利用国有资产举办-年龄55岁以上人数");
/* 582 */     newColumnTreeColumn_o_3_3.setWidth(30);
/* 583 */     newColumnTreeColumn_o_3_3.setText("其他组织机构利用国有资产举办-年龄55岁以上人数");
/*     */     
/* 585 */     TreeColumn newColumnTreeColumn_o_4_3 = new TreeColumn(this.tree, 0);
/* 586 */     newColumnTreeColumn_o_4_3.setToolTipText("其他组织机构利用国有资产举办-年龄55岁以下人数");
/* 587 */     newColumnTreeColumn_o_4_3.setWidth(30);
/* 588 */     newColumnTreeColumn_o_4_3.setText("其他组织机构利用国有资产举办-年龄55岁以下人数");
/*     */ 
/*     */     
/* 591 */     this.tree.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 593 */             IndustryCat select = null;
/*     */             
/* 595 */             IStructuredSelection i = (IStructuredSelection)StatisticAllFDDBRView.this.resultTreeViewer.getSelection();
/* 596 */             if (i == null) {
/*     */               return;
/*     */             }
/*     */             
/* 600 */             select = (IndustryCat)i.getFirstElement();
/* 601 */             StatisticFDDBRNum statisticFDDBRNum = (StatisticFDDBRNum)select.getNumObject();
/* 602 */             if (statisticFDDBRNum == null) {
/*     */               return;
/*     */             }
/* 605 */             String ids = statisticFDDBRNum.getIds();
/*     */             
/* 607 */             if (ids != null) {
/* 608 */               SydwInfoTableChooseDialog s = new SydwInfoTableChooseDialog(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), ids, select.getDESCRIPT());
/* 609 */               s.open();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 615 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 616 */     composite_5.setLayoutData(new GridData(131072, 16777216, true, 
/* 617 */           false));
/* 618 */     GridLayout gridLayout_1 = new GridLayout();
/* 619 */     composite_5.setLayout((Layout)gridLayout_1);
/*     */     
/* 621 */     this.button = new Button(composite_5, 8388608);
/* 622 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 626 */               SaveStatisticAllEXCELDialog s = new SaveStatisticAllEXCELDialog(
/* 627 */                   StatisticAllFDDBRView.this.shell, "法定代表人情况汇总表", StatisticAllFDDBRView.this.stime, StatisticAllFDDBRView.this.etime, StatisticAllFDDBRView.this.resultlist, 6);
/* 628 */               s.open();
/* 629 */             } catch (Exception e2) {
/* 630 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 634 */     GridData gd_button = new GridData(131072, 16777216, false, false);
/* 635 */     gd_button.heightHint = 18;
/* 636 */     gd_button.widthHint = 100;
/* 637 */     this.button.setLayoutData(gd_button);
/* 638 */     this.button.setText("另存为Excel");
/*     */     
/* 640 */     initView();
/* 641 */     initData();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initInput() {
/* 646 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 647 */     this.treeViewer.refresh();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initView() {
/* 653 */     initializeToolBar();
/*     */     
/* 655 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 656 */     this.resultTreeViewer.setLabelProvider((IBaseLabelProvider)new StatisticALLTableLabelProvider());
/* 657 */     initSearch();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initSearch() {
/* 663 */     this.button_10.setSelection(false);
/* 664 */     this.button_9.setSelection(true);
/* 665 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/* 666 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/* 667 */         .format(this.calendar.getTime()));
/* 668 */     this.etime = "";
/* 669 */     this.stime = "";
/* 670 */     this.searchFlag = 0;
/* 671 */     this.groupid = "";
/* 672 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 673 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createWaitDialog() {
/* 683 */     Thread t = new Thread(new Runnable()
/*     */         {
/*     */           public void run() {
/* 686 */             Display display = Display.getDefault();
/*     */             
/* 688 */             if (display != null && !display.isDisposed()) {
/* 689 */               display.asyncExec(new Runnable()
/*     */                   {
/*     */                     public void run()
/*     */                     {
/* 693 */                       (StatisticAllFDDBRView.null.access$0(StatisticAllFDDBRView.null.this)).pwd.open();
/*     */                     }
/*     */                   });
/*     */             }
/*     */           }
/*     */         });
/* 699 */     t.start();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 703 */     this.pwd = new ProcessWaitDialog(this.shell);
/* 704 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/* 705 */     hm.put("stime", this.stime);
/* 706 */     hm.put("etime", this.etime);
/* 707 */     hm.put("groupid", this.groupid);
/* 708 */     hm.put("searchFlag", Integer.valueOf(this.searchFlag));
/* 709 */     hm.put("type", Integer.valueOf(6));
/* 710 */     hm.put("resultType", "ArrayList");
/* 711 */     this.pwd.setUIProgress(this);
/* 712 */     this.pwd.setNoUIProgress("cs.admin.statistic.StatisticSYDWController", "statisticofAll", hm);
/* 713 */     createWaitDialog();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void callBackRefresh(HashMap hm) {
/* 723 */     this.resultTreeViewer
/* 724 */       .setContentProvider((IContentProvider)new StatisticTableContentProvider());
/* 725 */     this.stackLayout.topControl = (Control)this.composite_1;
/* 726 */     this.resultlist = (ArrayList)hm.get("result");
/* 727 */     if (this.resultlist == null) {
/*     */       return;
/*     */     }
/* 730 */     this.resultTreeViewer.setInput(this.resultlist);
/*     */     
/* 732 */     this.resultTreeViewer.expandAll();
/* 733 */     String temp = "";
/* 734 */     if (this.stime != null && this.stime.length() > 0)
/* 735 */       temp = String.valueOf(temp) + this.stime; 
/* 736 */     if (this.etime != null && this.etime.length() > 0)
/* 737 */       temp = String.valueOf(temp) + "至" + this.etime; 
/* 738 */     if (temp.length() > 0)
/* 739 */       temp = "起止时间：" + temp; 
/* 740 */     this.label_3.setText(temp);
/* 741 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initData() {
/* 752 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 753 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 754 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 759 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 760 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 764 */     text.setText(text.getText().trim());
/* 765 */     if (text.getText().trim().length() == 0) {
/* 766 */       text.setText(text.getText().trim());
/* 767 */       showInputErr(text, info);
/* 768 */       return false;
/*     */     } 
/* 770 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 775 */     text.setText(text.getText().trim());
/* 776 */     if (length == -1) {
/* 777 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 778 */         text.setText(text.getText().trim());
/* 779 */         showInputErr(text, info);
/* 780 */         return false;
/*     */       } 
/* 782 */       return true;
/* 783 */     }  if (length == 0) {
/* 784 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 785 */         text.setText(text.getText().trim());
/* 786 */         showInputErr(text, info);
/* 787 */         return false;
/*     */       } 
/* 789 */       return true;
/*     */     } 
/* 791 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 792 */       text.getText().trim().length() != length) {
/* 793 */       text.setText(text.getText().trim());
/* 794 */       showInputErr(text, info);
/* 795 */       return false;
/*     */     } 
/* 797 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 803 */     text.setText(text.getText().trim());
/* 804 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 805 */     mbox.setMessage(info);
/* 806 */     mbox.setText("错误提示");
/* 807 */     mbox.open();
/* 808 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 813 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 814 */     mbox.setMessage(info);
/* 815 */     mbox.setText("错误提示");
/* 816 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 821 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 823 */     mbox.setMessage(info);
/* 824 */     mbox.setText("信息提示");
/* 825 */     return mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticAllFDDBRView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */