/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.statistic.Dialog.AlterationTableChooseDialog;
/*     */ import cs.admin.statistic.Dialog.SaveStatisticEXCELDialog;
/*     */ import cs.admin.statistic.table.AlterationResultTableLabelProvider;
/*     */ import cs.admin.statistic.table.StaDataTableContentProvider;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.ProcessWaitDialog;
/*     */ import cs.sydj.inter.Progress;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import java.util.HashMap;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticAlterationView
/*     */   extends ViewPart
/*     */   implements Progress
/*     */ {
/*     */   private Table table;
/*     */   private Text text_2;
/*     */   private Text text;
/*     */   public static final String ID = "cs.admin.statistic.StatisticAlterationView";
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label_2;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*  87 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  89 */   private Shell shell = null;
/*  90 */   private Composite comp = null;
/*     */   
/*  92 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*  93 */       this.user);
/*  94 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*  96 */   private Calendar calendar = Calendar.getInstance();
/*     */   
/*     */   private String stime;
/*     */   
/*     */   private String etime;
/*     */   private String groupid;
/*     */   private int searchFlag;
/*     */   private Button button;
/* 104 */   private boolean[] showcolumn = new boolean[23];
/* 105 */   private TableColumn[] tableColumn = new TableColumn[23];
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private PageComposite pageComposit;
/*     */   private ProcessWaitDialog pwd;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 114 */     this.comp = arg0;
/* 115 */     this.shell = arg0.getShell();
/* 116 */     arg0.setBackgroundMode(1);
/* 117 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/* 118 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 120 */     this.composite_6 = new Composite(arg0, 0);
/* 121 */     GridLayout gridLayout_6 = new GridLayout();
/* 122 */     gridLayout_6.verticalSpacing = 0;
/* 123 */     gridLayout_6.marginRight = 10;
/* 124 */     gridLayout_6.marginLeft = 10;
/* 125 */     gridLayout_6.marginBottom = 10;
/* 126 */     gridLayout_6.marginTop = 20;
/* 127 */     gridLayout_6.numColumns = 3;
/* 128 */     this.composite_6.setLayout((Layout)gridLayout_6);
/*     */ 
/*     */     
/* 131 */     this.label = new CLabel(this.composite_6, 0);
/* 132 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 133 */     GridData gd_label = new GridData(4, 16777216, false, false);
/* 134 */     gd_label.widthHint = 350;
/* 135 */     this.label.setLayoutData(gd_label);
/* 136 */     this.label.setText("统计分析>>事业单位法人变更登记情况简表");
/*     */ 
/*     */ 
/*     */     
/* 140 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 142 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 146 */     Composite composite = new Composite(this.composite_6, 0);
/* 147 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/* 148 */           false));
/* 149 */     GridLayout gridLayout = new GridLayout();
/* 150 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 152 */     this.label_2 = new CLabel(composite, 0);
/* 153 */     this.label_2.setForeground(
/* 154 */         Display.getCurrent().getSystemColor(3));
/* 155 */     this.label_2.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*     */ 
/*     */ 
/*     */     
/* 159 */     Composite composite_7 = new Composite(this.composite_6, 0);
/* 160 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/* 161 */           false));
/* 162 */     GridLayout gridLayout_2 = new GridLayout();
/* 163 */     gridLayout_2.numColumns = 8;
/* 164 */     composite_7.setLayout((Layout)gridLayout_2);
/*     */     
/* 166 */     Label label_5 = new Label(composite_7, 0);
/* 167 */     label_5.setText("统计时间： 从");
/*     */     
/* 169 */     this.text = new Text(composite_7, 2056);
/* 170 */     this.text
/* 171 */       .setBackground(Display.getCurrent().getSystemColor(
/* 172 */           1));
/* 173 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 174 */     gd_text.widthHint = 85;
/* 175 */     this.text.setLayoutData(gd_text);
/*     */     
/* 177 */     Button dotbutton = new Button(composite_7, 8389632);
/* 178 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 180 */             Text text = StatisticAlterationView.this.text;
/* 181 */             int width = (text.getLocation()).x;
/* 182 */             int height = (text.getLocation()).y;
/* 183 */             while (text.getParent() != null) {
/* 184 */               Composite composite = text.getParent();
/* 185 */               width += (composite.getLocation()).x;
/* 186 */               height += (composite.getLocation()).y;
/*     */             } 
/* 188 */             (new CalendarDialog(StatisticAlterationView.this.shell, StatisticAlterationView.this.text, width, height)).open();
/*     */           }
/*     */         });
/*     */     
/* 192 */     GridData gd_dotbutton = new GridData(16, 16);
/* 193 */     dotbutton.setLayoutData(gd_dotbutton);
/* 194 */     dotbutton.setText("…");
/*     */     
/* 196 */     Button xButton = new Button(composite_7, 8388608);
/* 197 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 199 */             StatisticAlterationView.this.text.setText("");
/*     */           }
/*     */         });
/* 202 */     GridData gd_xButton = new GridData(16, 16);
/* 203 */     xButton.setLayoutData(gd_xButton);
/* 204 */     xButton.setText("×");
/*     */     
/* 206 */     Label label_5_1 = new Label(composite_7, 0);
/* 207 */     label_5_1.setText(" 到 ");
/*     */     
/* 209 */     this.text_2 = new Text(composite_7, 2056);
/* 210 */     this.text_2.setBackground(Display.getCurrent()
/* 211 */         .getSystemColor(1));
/* 212 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/* 213 */         false);
/* 214 */     gd_text_2.widthHint = 85;
/* 215 */     this.text_2.setLayoutData(gd_text_2);
/*     */     
/* 217 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/* 218 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 220 */             Text text = StatisticAlterationView.this.text_2;
/* 221 */             int width = (text.getLocation()).x;
/* 222 */             int height = (text.getLocation()).y;
/* 223 */             while (text.getParent() != null) {
/* 224 */               Composite composite = text.getParent();
/* 225 */               width += (composite.getLocation()).x;
/* 226 */               height += (composite.getLocation()).y;
/*     */             } 
/* 228 */             (new CalendarDialog(StatisticAlterationView.this.shell, StatisticAlterationView.this.text_2, width, height)).open();
/*     */           }
/*     */         });
/* 231 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/* 232 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/* 233 */     dotbutton_1.setText("…");
/*     */     
/* 235 */     Button xButton_1 = new Button(composite_7, 8388608);
/* 236 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 238 */             StatisticAlterationView.this.text_2.setText("");
/*     */           }
/*     */         });
/* 241 */     GridData gd_xButton_1 = new GridData(16, 16);
/* 242 */     xButton_1.setLayoutData(gd_xButton_1);
/* 243 */     xButton_1.setText("×");
/*     */ 
/*     */ 
/*     */     
/* 247 */     Composite composite_3 = new Composite(this.composite_6, 0);
/* 248 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/* 249 */         false, false);
/* 250 */     gd_composite_3.heightHint = 0;
/* 251 */     composite_3.setLayoutData(gd_composite_3);
/* 252 */     GridLayout gridLayout_3 = new GridLayout();
/* 253 */     gridLayout_3.numColumns = 2;
/* 254 */     composite_3.setLayout((Layout)gridLayout_3);
/* 255 */     composite_3.setVisible(false);
/*     */     
/* 257 */     this.button_9 = new Button(composite_3, 16);
/* 258 */     this.button_9.setText("本级登记管理机关");
/* 259 */     this.button_9.setSelection(true);
/*     */     
/* 261 */     this.button_10 = new Button(composite_3, 16);
/* 262 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */ 
/*     */     
/* 265 */     Label label_7 = new Label(this.composite_6, 0);
/* 266 */     label_7.setLayoutData(new GridData(16384, 16777216, true, false));
/* 267 */     label_7.setText(" ");
/*     */     
/* 269 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 270 */     this.tree_1 = this.treeViewer.getTree();
/* 271 */     GridData gd_tree_1 = new GridData(4, 128, false, false);
/* 272 */     gd_tree_1.heightHint = 190;
/* 273 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 275 */     Label label_8 = new Label(this.composite_6, 0);
/* 276 */     label_8.setLayoutData(new GridData(16384, 16777216, true, false));
/* 277 */     label_8.setText(" ");
/*     */ 
/*     */     
/* 280 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 281 */     composite_2.setLayout((Layout)new FillLayout());
/* 282 */     GridData gd_composite_2 = new GridData(16777216, 16777216, false, 
/* 283 */         false);
/* 284 */     gd_composite_2.widthHint = 60;
/* 285 */     gd_composite_2.heightHint = 18;
/* 286 */     composite_2.setLayoutData(gd_composite_2);
/*     */     
/* 288 */     Button button_6 = new Button(composite_2, 8388608);
/* 289 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 291 */             InfoEntity select = null;
/*     */             
/* 293 */             IStructuredSelection i = (IStructuredSelection)StatisticAlterationView.this.treeViewer
/* 294 */               .getSelection();
/* 295 */             StatisticAlterationView.this.searchFlag = 0;
/* 296 */             if (StatisticAlterationView.this.button_10.getSelection()) {
/* 297 */               StatisticAlterationView.this.searchFlag = 1;
/*     */             }
/* 299 */             StatisticAlterationView.this.stime = StatisticAlterationView.this.text.getText();
/* 300 */             StatisticAlterationView.this.etime = StatisticAlterationView.this.text_2.getText();
/*     */             
/* 302 */             if (i == null) {
/* 303 */               StatisticAlterationView.this.groupid = StatisticAlterationView.this.user.getGroupid();
/* 304 */               StatisticAlterationView.this.initResult();
/*     */               
/*     */               return;
/*     */             } 
/* 308 */             select = (InfoEntity)i.getFirstElement();
/* 309 */             if (select == null) {
/* 310 */               StatisticAlterationView.this.groupid = StatisticAlterationView.this.user.getGroupid();
/* 311 */               StatisticAlterationView.this.initResult();
/*     */               return;
/*     */             } 
/* 314 */             StatisticAlterationView.this.groupid = select.getId();
/* 315 */             StatisticAlterationView.this.initResult();
/*     */           }
/*     */         });
/*     */     
/* 319 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 322 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/* 323 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 324 */     this.scrolledComposite.setBackgroundMode(1);
/*     */ 
/*     */     
/* 327 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/* 331 */     this.scrolledComposite.setExpandVertical(true);
/* 332 */     this.scrolledComposite.setExpandHorizontal(true);
/* 333 */     this.scrolledComposite.setMinHeight(465);
/* 334 */     this.scrolledComposite.setMinWidth(240);
/*     */ 
/*     */ 
/*     */     
/* 338 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 339 */     GridLayout gridLayout_5 = new GridLayout();
/* 340 */     gridLayout_5.marginTop = 20;
/* 341 */     gridLayout_5.marginBottom = 10;
/* 342 */     gridLayout_5.marginRight = 25;
/* 343 */     gridLayout_5.marginLeft = 25;
/* 344 */     gridLayout_5.numColumns = 3;
/* 345 */     gridLayout_5.verticalSpacing = 0;
/* 346 */     this.composite_1.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 349 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 350 */     this.label_4.setFont(SWTResourceManager.getFont("", 14, 0));
/* 351 */     this.label_4
/* 352 */       .setLayoutData(new GridData(16777216, 16777216, false, false));
/* 353 */     this.label_4.setText("事业单位法人变更登记情况简表");
/*     */ 
/*     */ 
/*     */     
/* 357 */     Composite composite_8 = new Composite(this.composite_1, 0);
/* 358 */     composite_8.setLayoutData(new GridData(4, 16777216, false, 
/* 359 */           false));
/* 360 */     GridLayout gridLayout_4 = new GridLayout();
/* 361 */     gridLayout_4.marginWidth = 1;
/* 362 */     gridLayout_4.horizontalSpacing = 1;
/* 363 */     gridLayout_4.marginHeight = 1;
/* 364 */     gridLayout_4.numColumns = 3;
/* 365 */     composite_8.setLayout((Layout)gridLayout_4);
/*     */     
/* 367 */     Button button_1 = new Button(composite_8, 8388608);
/* 368 */     button_1.setLayoutData(new GridData(45, 21));
/* 369 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 371 */             StatisticAlterationView.this.initSearch();
/*     */           }
/*     */         });
/* 374 */     button_1.setText("返回");
/*     */     
/* 376 */     Button button_3 = new Button(composite_8, 8388608);
/* 377 */     button_3.setLayoutData(new GridData(100, 21));
/* 378 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 380 */             AlterationTableChooseDialog s = new AlterationTableChooseDialog(
/* 381 */                 StatisticAlterationView.this.shell, StatisticAlterationView.this.showcolumn);
/* 382 */             int r = s.open();
/* 383 */             if (r == 32)
/* 384 */               StatisticAlterationView.this.showcolumn = s.getResult(); 
/* 385 */             StatisticAlterationView.this.refreshTable();
/*     */           }
/*     */         });
/* 388 */     button_3.setText("选择展示列");
/*     */     
/* 390 */     this.label_3 = new Label(composite_8, 131136);
/* 391 */     GridData gd_label_3 = new GridData(131072, 16777216, true, 
/* 392 */         false);
/* 393 */     gd_label_3.widthHint = 240;
/* 394 */     this.label_3.setLayoutData(gd_label_3);
/* 395 */     this.label_3.setText("Label");
/*     */ 
/*     */     
/* 398 */     Label label_9 = new Label(this.composite_1, 0);
/* 399 */     label_9.setLayoutData(new GridData());
/* 400 */     label_9.setText(" ");
/*     */     
/* 402 */     this.tableViewer = new TableViewer(this.composite_1, 2048);
/* 403 */     this.table = this.tableViewer.getTable();
/* 404 */     this.table.setLinesVisible(true);
/* 405 */     this.table.setHeaderVisible(true);
/* 406 */     GridData gd_table = new GridData(4, 128, true, false);
/* 407 */     gd_table.heightHint = 320;
/* 408 */     gd_table.widthHint = 480;
/* 409 */     this.table.setLayoutData(gd_table);
/*     */     
/* 411 */     int i = 0;
/* 412 */     this.showcolumn[i] = true;
/* 413 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 414 */     this.tableColumn[i].setWidth(100);
/* 415 */     this.tableColumn[i].setText("序号");
/*     */     
/* 417 */     this.showcolumn[++i] = true;
/* 418 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 419 */     this.tableColumn[i].setWidth(140);
/* 420 */     this.tableColumn[i].setText("统一社会信用代码");
/*     */     
/* 422 */     this.showcolumn[++i] = true;
/* 423 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 424 */     this.tableColumn[i].setWidth(140);
/* 425 */     this.tableColumn[i].setText("证书号");
/*     */     
/* 427 */     this.showcolumn[++i] = true;
/* 428 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 429 */     this.tableColumn[i].setWidth(100);
/* 430 */     this.tableColumn[i].setText("名称");
/*     */ 
/*     */     
/* 433 */     this.showcolumn[++i] = false;
/* 434 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 435 */     this.tableColumn[i].setWidth(100);
/* 436 */     this.tableColumn[i].setText("法定代表人");
/*     */ 
/*     */     
/* 439 */     this.showcolumn[++i] = false;
/* 440 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 441 */     this.tableColumn[i].setWidth(100);
/* 442 */     this.tableColumn[i].setText("住所");
/*     */ 
/*     */     
/* 445 */     this.showcolumn[++i] = false;
/* 446 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 447 */     this.tableColumn[i].setWidth(100);
/* 448 */     this.tableColumn[i].setText("经费来源");
/*     */ 
/*     */     
/* 451 */     this.showcolumn[++i] = false;
/* 452 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 453 */     this.tableColumn[i].setWidth(100);
/* 454 */     this.tableColumn[i].setText("开办资金");
/*     */ 
/*     */     
/* 457 */     this.showcolumn[++i] = false;
/* 458 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 459 */     this.tableColumn[i].setWidth(100);
/* 460 */     this.tableColumn[i].setText("举办单位");
/*     */ 
/*     */     
/* 463 */     this.showcolumn[++i] = false;
/* 464 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 465 */     this.tableColumn[i].setWidth(100);
/* 466 */     this.tableColumn[i].setText("举办单位类别");
/*     */ 
/*     */     
/* 469 */     this.showcolumn[++i] = false;
/* 470 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 471 */     this.tableColumn[i].setWidth(100);
/* 472 */     this.tableColumn[i].setText("联系人");
/*     */ 
/*     */     
/* 475 */     this.showcolumn[++i] = false;
/* 476 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 477 */     this.tableColumn[i].setWidth(100);
/* 478 */     this.tableColumn[i].setText("联系电话");
/*     */ 
/*     */     
/* 481 */     this.showcolumn[++i] = true;
/* 482 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 483 */     this.tableColumn[i].setWidth(100);
/* 484 */     this.tableColumn[i].setText("该次变更项数目");
/*     */ 
/*     */     
/* 487 */     this.showcolumn[++i] = true;
/* 488 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 489 */     this.tableColumn[i].setWidth(100);
/* 490 */     this.tableColumn[i].setText("变更核准时间");
/*     */ 
/*     */     
/* 493 */     this.showcolumn[++i] = true;
/* 494 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 495 */     this.tableColumn[i].setWidth(100);
/* 496 */     this.tableColumn[i].setText("变更事项");
/*     */ 
/*     */ 
/*     */     
/* 500 */     this.showcolumn[++i] = true;
/* 501 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 502 */     this.tableColumn[i].setWidth(100);
/* 503 */     this.tableColumn[i].setText("变更原因");
/*     */ 
/*     */ 
/*     */     
/* 507 */     this.showcolumn[++i] = true;
/* 508 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 509 */     this.tableColumn[i].setWidth(100);
/* 510 */     this.tableColumn[i].setText("变更前内容");
/*     */ 
/*     */ 
/*     */     
/* 514 */     this.showcolumn[++i] = true;
/* 515 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 516 */     this.tableColumn[i].setWidth(100);
/* 517 */     this.tableColumn[i].setText("变更后内容");
/*     */ 
/*     */     
/* 520 */     this.showcolumn[++i] = false;
/* 521 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 522 */     this.tableColumn[i].setWidth(100);
/* 523 */     this.tableColumn[i].setText("登记管理机关");
/*     */ 
/*     */     
/* 526 */     this.showcolumn[++i] = false;
/* 527 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 528 */     this.tableColumn[i].setWidth(100);
/* 529 */     this.tableColumn[i].setText("申请日期");
/*     */ 
/*     */     
/* 532 */     this.showcolumn[++i] = false;
/* 533 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 534 */     this.tableColumn[i].setWidth(100);
/* 535 */     this.tableColumn[i].setText("复核日期");
/*     */ 
/*     */     
/* 538 */     this.showcolumn[++i] = false;
/* 539 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 540 */     this.tableColumn[i].setWidth(100);
/* 541 */     this.tableColumn[i].setText("证书有效起始日期");
/*     */ 
/*     */     
/* 544 */     this.showcolumn[++i] = false;
/* 545 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 546 */     this.tableColumn[i].setWidth(100);
/* 547 */     this.tableColumn[i].setText("证书有效结束日期");
/*     */ 
/*     */ 
/*     */     
/* 551 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 558 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 563 */     Label label_10 = new Label(this.composite_1, 0);
/* 564 */     label_10.setLayoutData(new GridData());
/* 565 */     label_10.setText(" ");
/*     */     
/* 567 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 568 */     composite_5.setLayoutData(new GridData(4, 16777216, true, false));
/* 569 */     GridLayout gridLayout_1 = new GridLayout();
/* 570 */     composite_5.setLayout((Layout)gridLayout_1);
/* 571 */     this.pageComposit = new PageComposite(composite_5, 0);
/* 572 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 574 */             StatisticAlterationView.this.pageComposit.page.firstpage();
/* 575 */             StatisticAlterationView.this.initResult();
/*     */           }
/*     */         });
/* 578 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 580 */             StatisticAlterationView.this.pageComposit.page.prepage();
/* 581 */             StatisticAlterationView.this.initResult();
/*     */           }
/*     */         });
/*     */     
/* 585 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 587 */             StatisticAlterationView.this.pageComposit.page.nextpage();
/* 588 */             StatisticAlterationView.this.initResult();
/*     */           }
/*     */         });
/* 591 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 593 */             StatisticAlterationView.this.pageComposit.page.lastpage();
/* 594 */             StatisticAlterationView.this.initResult();
/*     */           }
/*     */         });
/* 597 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 600 */             if (StatisticAlterationView.this.pageComposit.setPageable()) {
/* 601 */               StatisticAlterationView.this.initResult();
/*     */             }
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 608 */     this.button = new Button(this.composite_1, 8388608);
/* 609 */     GridData gd_button = new GridData(131072, 16777216, false, false);
/* 610 */     gd_button.heightHint = 18;
/* 611 */     this.button.setLayoutData(gd_button);
/* 612 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 616 */               SaveStatisticEXCELDialog s = new SaveStatisticEXCELDialog(
/* 617 */                   StatisticAlterationView.this.shell, "事业单位法人变更登记情况简表", StatisticAlterationView.this.stime, StatisticAlterationView.this.etime, StatisticAlterationView.this.groupid, 
/* 618 */                   StatisticAlterationView.this.searchFlag, StatisticAlterationView.this.pageComposit.page, 1, StatisticAlterationView.this.sumController, StatisticAlterationView.this.showcolumn);
/* 619 */               s.open();
/* 620 */             } catch (Exception e2) {
/* 621 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 626 */     this.button.setText("另存为Excel");
/*     */ 
/*     */ 
/*     */     
/* 630 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 632 */     initView();
/* 633 */     initData();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initInput() {
/* 638 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 639 */     this.treeViewer.refresh();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initView() {
/* 645 */     initializeToolBar();
/*     */     
/* 647 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 648 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AlterationResultTableLabelProvider());
/* 649 */     this.tableViewer.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/* 650 */     initSearch();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initSearch() {
/* 656 */     this.button_10.setSelection(false);
/* 657 */     this.button_9.setSelection(true);
/* 658 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/* 659 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/* 660 */         .format(this.calendar.getTime()));
/* 661 */     this.etime = "";
/* 662 */     this.stime = "";
/* 663 */     this.searchFlag = 0;
/* 664 */     this.groupid = "";
/* 665 */     this.pageComposit.initPageInfo();
/* 666 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 667 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createWaitDialog() {
/* 677 */     Thread t = new Thread(new Runnable()
/*     */         {
/*     */           public void run() {
/* 680 */             Display display = Display.getDefault();
/*     */             
/* 682 */             if (display != null && !display.isDisposed()) {
/* 683 */               display.asyncExec(new Runnable()
/*     */                   {
/*     */                     public void run()
/*     */                     {
/* 687 */                       (StatisticAlterationView.null.access$0(StatisticAlterationView.null.this)).pwd.open();
/*     */                     }
/*     */                   });
/*     */             }
/*     */           }
/*     */         });
/* 693 */     t.start();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 697 */     this.pwd = new ProcessWaitDialog(this.shell);
/* 698 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/* 699 */     hm.put("stime", this.stime);
/* 700 */     hm.put("etime", this.etime);
/* 701 */     hm.put("groupid", this.groupid);
/* 702 */     hm.put("searchFlag", Integer.valueOf(this.searchFlag));
/* 703 */     hm.put("page", this.pageComposit.page);
/* 704 */     hm.put("searchType", Integer.valueOf(1));
/* 705 */     hm.put("resultType", "ArrayList");
/* 706 */     this.pwd.setUIProgress(this);
/* 707 */     this.pwd.setNoUIProgress("cs.admin.statistic.StatisticSYDWController", "getStatistic", hm);
/* 708 */     createWaitDialog();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void callBackRefresh(HashMap hm) {
/* 718 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 719 */     this.tableViewer.setInput(
/* 720 */         resetInfos(this.sumController.getStatistic(this.stime, this.etime, this.groupid, this.searchFlag, this.pageComposit.page, 1)));
/* 721 */     refreshTable();
/* 722 */     String temp = "";
/* 723 */     if (this.stime != null && this.stime.length() > 0)
/* 724 */       temp = String.valueOf(temp) + this.stime; 
/* 725 */     if (this.etime != null && this.etime.length() > 0)
/* 726 */       temp = String.valueOf(temp) + "至" + this.etime; 
/* 727 */     if (temp.length() > 0)
/* 728 */       temp = "起止时间：" + temp; 
/* 729 */     this.label_3.setText(temp);
/* 730 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initData() {
/* 741 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 742 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 743 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 748 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 749 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 753 */     text.setText(text.getText().trim());
/* 754 */     if (text.getText().trim().length() == 0) {
/* 755 */       text.setText(text.getText().trim());
/* 756 */       showInputErr(text, info);
/* 757 */       return false;
/*     */     } 
/* 759 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 764 */     text.setText(text.getText().trim());
/* 765 */     if (length == -1) {
/* 766 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 767 */         text.setText(text.getText().trim());
/* 768 */         showInputErr(text, info);
/* 769 */         return false;
/*     */       } 
/* 771 */       return true;
/* 772 */     }  if (length == 0) {
/* 773 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 774 */         text.setText(text.getText().trim());
/* 775 */         showInputErr(text, info);
/* 776 */         return false;
/*     */       } 
/* 778 */       return true;
/*     */     } 
/* 780 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 781 */       text.getText().trim().length() != length) {
/* 782 */       text.setText(text.getText().trim());
/* 783 */       showInputErr(text, info);
/* 784 */       return false;
/*     */     } 
/* 786 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 792 */     text.setText(text.getText().trim());
/* 793 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 794 */     mbox.setMessage(info);
/* 795 */     mbox.setText("错误提示");
/* 796 */     mbox.open();
/* 797 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 802 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 803 */     mbox.setMessage(info);
/* 804 */     mbox.setText("错误提示");
/* 805 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 810 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 812 */     mbox.setMessage(info);
/* 813 */     mbox.setText("信息提示");
/* 814 */     return mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 819 */     if (!al.isEmpty()) {
/* 820 */       this.pageComposit.page = al.get(0);
/* 821 */       al.remove(0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 827 */       if (al.isEmpty()) {
/* 828 */         this.pageComposit.label.setText("第0页/共0页");
/* 829 */         this.pageComposit.label.update();
/* 830 */         this.pageComposit.button_up.setEnabled(false);
/* 831 */         this.pageComposit.button_down.setEnabled(false);
/* 832 */         this.pageComposit.button_first.setEnabled(false);
/* 833 */         this.pageComposit.button_last.setEnabled(false);
/* 834 */         this.button.setEnabled(false);
/*     */       }
/*     */       else {
/*     */         
/* 838 */         if (this.pageComposit.page.getCpage() == 1) {
/* 839 */           this.pageComposit.button_up.setEnabled(false);
/* 840 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/*     */           
/* 843 */           this.pageComposit.button_up.setEnabled(true);
/* 844 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 848 */         if (this.pageComposit.page.getCpage() == 
/* 849 */           this.pageComposit.page.getTpage()) {
/* 850 */           this.pageComposit.button_down.setEnabled(false);
/* 851 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/*     */           
/* 854 */           this.pageComposit.button_down.setEnabled(true);
/* 855 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 859 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 860 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/* 861 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/* 862 */             this.pageComposit.page.getTotalnum() + "行");
/* 863 */         this.pageComposit.label.update();
/* 864 */         this.button.setEnabled(true);
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 870 */       this.pageComposit.label.setText("第0页/共0页");
/* 871 */       this.pageComposit.label.update();
/* 872 */       this.pageComposit.button_up.setEnabled(false);
/* 873 */       this.pageComposit.button_down.setEnabled(false);
/* 874 */       this.pageComposit.button_first.setEnabled(false);
/* 875 */       this.pageComposit.button_last.setEnabled(false);
/* 876 */       this.button.setEnabled(false);
/* 877 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 882 */     return al;
/*     */   }
/*     */ 
/*     */   
/*     */   private void refreshTable() {
/* 887 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 888 */       if (this.tableColumn[i] != null)
/* 889 */         if (this.showcolumn[i]) {
/* 890 */           this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 895 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 897 */           this.tableColumn[i].setWidth(0);
/* 898 */           this.tableColumn[i].setResizable(false);
/*     */         }  
/*     */     } 
/* 901 */     this.table.update();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticAlterationView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */