/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.statistic.Dialog.AnnualCheckTableChooseDialog;
/*     */ import cs.admin.statistic.Dialog.SaveStatisticEXCELDialog;
/*     */ import cs.admin.statistic.table.AnnualCheckResultTableLabelProvider;
/*     */ import cs.admin.statistic.table.StaDataTableContentProvider;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Calendar;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.admin.statistic.StatisticMoveInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticAnnualCheckView
/*     */   extends ViewPart
/*     */ {
/*     */   private Table table;
/*     */   private Text text_2;
/*     */   private Text text;
/*     */   public static final String ID = "cs.admin.statistic.StatisticAnnualCheckView";
/*     */   private CLabel label_4;
/*     */   private Tree tree_1;
/*     */   private CLabel label_2;
/*     */   private CLabel label;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*  85 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  87 */   private Shell shell = null;
/*  88 */   private Composite comp = null;
/*     */   
/*  90 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*  91 */       this.user);
/*  92 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*  94 */   private Calendar calendar = Calendar.getInstance();
/*     */   
/*     */   private String stime;
/*     */   
/*     */   private String etime;
/*     */   private String groupid;
/*     */   private String groupname;
/*     */   private String parentid;
/*     */   private int searchFlag;
/*     */   private Button button;
/* 104 */   private boolean[] showcolumn = new boolean[26];
/* 105 */   private TableColumn[] tableColumn = new TableColumn[26];
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private PageComposite pageComposit;
/*     */   private Label label_moveinfo;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 114 */     this.comp = arg0;
/* 115 */     this.shell = arg0.getShell();
/* 116 */     arg0.setBackgroundMode(1);
/* 117 */     arg0
/* 118 */       .setBackground(Display.getCurrent().getSystemColor(
/* 119 */           1));
/* 120 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 122 */     this.composite_6 = new Composite(arg0, 0);
/* 123 */     GridLayout gridLayout_5 = new GridLayout();
/* 124 */     gridLayout_5.verticalSpacing = 0;
/* 125 */     gridLayout_5.marginTop = 20;
/* 126 */     gridLayout_5.marginRight = 10;
/* 127 */     gridLayout_5.marginLeft = 10;
/* 128 */     gridLayout_5.marginBottom = 10;
/* 129 */     gridLayout_5.numColumns = 3;
/* 130 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 133 */     this.label = new CLabel(this.composite_6, 0);
/* 134 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 135 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 136 */         false);
/* 137 */     gd_label.widthHint = 350;
/* 138 */     this.label.setLayoutData(gd_label);
/* 139 */     this.label.setText("统计分析>>事业单位法人年度报告公示情况简表");
/*     */ 
/*     */ 
/*     */     
/* 143 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 145 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */     
/* 149 */     Composite composite = new Composite(this.composite_6, 0);
/* 150 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/* 151 */           false));
/* 152 */     GridLayout gridLayout = new GridLayout();
/* 153 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 155 */     this.label_2 = new CLabel(composite, 0);
/* 156 */     this.label_2.setForeground(
/* 157 */         Display.getCurrent().getSystemColor(3));
/* 158 */     this.label_2.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*     */ 
/*     */ 
/*     */     
/* 162 */     Composite composite_7 = new Composite(this.composite_6, 0);
/* 163 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/* 164 */           false));
/* 165 */     GridLayout gridLayout_2 = new GridLayout();
/* 166 */     gridLayout_2.numColumns = 8;
/* 167 */     composite_7.setLayout((Layout)gridLayout_2);
/*     */     
/* 169 */     Label label_5 = new Label(composite_7, 0);
/* 170 */     label_5.setText("统计时间： 从");
/*     */     
/* 172 */     this.text = new Text(composite_7, 2056);
/* 173 */     this.text
/* 174 */       .setBackground(Display.getCurrent().getSystemColor(
/* 175 */           1));
/* 176 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 177 */     gd_text.widthHint = 85;
/* 178 */     this.text.setLayoutData(gd_text);
/*     */     
/* 180 */     Button dotbutton = new Button(composite_7, 8389632);
/* 181 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 183 */             Text text = StatisticAnnualCheckView.this.text;
/* 184 */             int width = (text.getLocation()).x;
/* 185 */             int height = (text.getLocation()).y;
/* 186 */             while (text.getParent() != null) {
/* 187 */               Composite composite = text.getParent();
/* 188 */               width += (composite.getLocation()).x;
/* 189 */               height += (composite.getLocation()).y;
/*     */             } 
/* 191 */             (new CalendarDialog(StatisticAnnualCheckView.this.shell, StatisticAnnualCheckView.this.text, width, height)).open();
/*     */           }
/*     */         });
/*     */     
/* 195 */     GridData gd_dotbutton = new GridData(16, 16);
/* 196 */     dotbutton.setLayoutData(gd_dotbutton);
/* 197 */     dotbutton.setText("…");
/*     */     
/* 199 */     Button xButton = new Button(composite_7, 8388608);
/* 200 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 202 */             StatisticAnnualCheckView.this.text.setText("");
/*     */           }
/*     */         });
/* 205 */     GridData gd_xButton = new GridData(16, 16);
/* 206 */     xButton.setLayoutData(gd_xButton);
/* 207 */     xButton.setText("×");
/*     */     
/* 209 */     Label label_5_1 = new Label(composite_7, 0);
/* 210 */     label_5_1.setText(" 到 ");
/*     */     
/* 212 */     this.text_2 = new Text(composite_7, 2056);
/* 213 */     this.text_2.setBackground(Display.getCurrent()
/* 214 */         .getSystemColor(1));
/* 215 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/* 216 */         false);
/* 217 */     gd_text_2.widthHint = 85;
/* 218 */     this.text_2.setLayoutData(gd_text_2);
/*     */     
/* 220 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/* 221 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 223 */             Text text = StatisticAnnualCheckView.this.text_2;
/* 224 */             int width = (text.getLocation()).x;
/* 225 */             int height = (text.getLocation()).y;
/* 226 */             while (text.getParent() != null) {
/* 227 */               Composite composite = text.getParent();
/* 228 */               width += (composite.getLocation()).x;
/* 229 */               height += (composite.getLocation()).y;
/*     */             } 
/* 231 */             (new CalendarDialog(StatisticAnnualCheckView.this.shell, StatisticAnnualCheckView.this.text_2, width, height)).open();
/*     */           }
/*     */         });
/* 234 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/* 235 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/* 236 */     dotbutton_1.setText("…");
/*     */     
/* 238 */     Button xButton_1 = new Button(composite_7, 8388608);
/* 239 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 241 */             StatisticAnnualCheckView.this.text_2.setText("");
/*     */           }
/*     */         });
/* 244 */     GridData gd_xButton_1 = new GridData(16, 16);
/* 245 */     xButton_1.setLayoutData(gd_xButton_1);
/* 246 */     xButton_1.setText("×");
/*     */ 
/*     */ 
/*     */     
/* 250 */     Composite composite_3 = new Composite(this.composite_6, 0);
/* 251 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/* 252 */         false, false);
/* 253 */     gd_composite_3.heightHint = 0;
/* 254 */     composite_3.setLayoutData(gd_composite_3);
/* 255 */     GridLayout gridLayout_3 = new GridLayout();
/* 256 */     gridLayout_3.numColumns = 2;
/* 257 */     composite_3.setLayout((Layout)gridLayout_3);
/* 258 */     composite_3.setVisible(false);
/*     */     
/* 260 */     this.button_9 = new Button(composite_3, 16);
/* 261 */     this.button_9.setText("本级登记管理机关");
/* 262 */     this.button_9.setSelection(true);
/*     */     
/* 264 */     this.button_10 = new Button(composite_3, 16);
/* 265 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */ 
/*     */     
/* 268 */     Label label_7 = new Label(this.composite_6, 0);
/* 269 */     label_7.setLayoutData(new GridData(16384, 16777216, true, false));
/* 270 */     label_7.setText(" ");
/*     */     
/* 272 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 273 */     this.tree_1 = this.treeViewer.getTree();
/* 274 */     GridData gd_tree_1 = new GridData(4, 128, false, false);
/* 275 */     gd_tree_1.heightHint = 190;
/* 276 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 278 */     Label label_8 = new Label(this.composite_6, 0);
/* 279 */     label_8.setLayoutData(new GridData(16384, 16777216, true, false));
/* 280 */     label_8.setText(" ");
/*     */ 
/*     */     
/* 283 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 284 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 285 */           false));
/* 286 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 288 */     Button button_6 = new Button(composite_2, 0);
/* 289 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 291 */             InfoEntity select = null;
/*     */             
/* 293 */             IStructuredSelection i = (IStructuredSelection)StatisticAnnualCheckView.this.treeViewer
/* 294 */               .getSelection();
/* 295 */             StatisticAnnualCheckView.this.searchFlag = 0;
/* 296 */             if (StatisticAnnualCheckView.this.button_10.getSelection()) {
/* 297 */               StatisticAnnualCheckView.this.searchFlag = 1;
/*     */             }
/* 299 */             StatisticAnnualCheckView.this.stime = StatisticAnnualCheckView.this.text.getText();
/* 300 */             StatisticAnnualCheckView.this.etime = StatisticAnnualCheckView.this.text_2.getText();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 339 */             if (i == null) {
/* 340 */               StatisticAnnualCheckView.this.groupid = 
/* 341 */                 StatisticAnnualCheckView.this.user.getGroupid();
/* 342 */               StatisticAnnualCheckView.this.initResult();
/* 343 */               StatisticAnnualCheckView.this.groupname = 
/*     */                 
/* 345 */                 StatisticAnnualCheckView.this.user.getGroupname();
/* 346 */               StatisticAnnualCheckView.this.parentid = null;
/*     */               return;
/*     */             } 
/* 349 */             select = (InfoEntity)i.getFirstElement();
/* 350 */             if (select == null) {
/* 351 */               StatisticAnnualCheckView.this.groupid = 
/* 352 */                 StatisticAnnualCheckView.this.user.getGroupid();
/* 353 */               StatisticAnnualCheckView.this.groupname = 
/*     */                 
/* 355 */                 StatisticAnnualCheckView.this.user.getGroupname();
/* 356 */               StatisticAnnualCheckView.this.parentid = null;
/*     */             } else {
/* 358 */               StatisticAnnualCheckView.this.parentid = select.getGroupid();
/* 359 */               StatisticAnnualCheckView.this.groupid = select.getId();
/* 360 */               StatisticAnnualCheckView.this.groupname = select.getName();
/*     */             } 
/* 362 */             StatisticAnnualCheckView.this.initResult();
/*     */           }
/*     */         });
/*     */     
/* 366 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 369 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 371 */     this.scrolledComposite.setBackgroundMode(1);
/* 372 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 373 */         .getSystemColor(1));
/*     */     
/* 375 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/* 379 */     this.scrolledComposite.setExpandVertical(true);
/* 380 */     this.scrolledComposite.setExpandHorizontal(true);
/* 381 */     this.scrolledComposite.setMinHeight(465);
/* 382 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 384 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 385 */     GridLayout gridLayout_6 = new GridLayout();
/* 386 */     gridLayout_6.numColumns = 2;
/* 387 */     gridLayout_6.verticalSpacing = 0;
/* 388 */     gridLayout_6.marginTop = 20;
/* 389 */     gridLayout_6.marginRight = 25;
/* 390 */     gridLayout_6.marginLeft = 25;
/* 391 */     gridLayout_6.marginBottom = 10;
/* 392 */     this.composite_1.setLayout((Layout)gridLayout_6);
/*     */     
/* 394 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 395 */     this.label_4.setFont(SWTResourceManager.getFont("", 14, 0));
/* 396 */     this.label_4.setLayoutData(new GridData(16777216, 16777216, true, false, 
/* 397 */           2, 1));
/* 398 */     this.label_4.setText("事业单位法人年度报告公示情况简表");
/*     */     
/* 400 */     Composite composite_8 = new Composite(this.composite_1, 0);
/* 401 */     composite_8.setLayoutData(new GridData(4, 16777216, true, 
/* 402 */           false, 2, 1));
/* 403 */     GridLayout gridLayout_4 = new GridLayout();
/* 404 */     gridLayout_4.marginWidth = 1;
/* 405 */     gridLayout_4.horizontalSpacing = 1;
/* 406 */     gridLayout_4.marginHeight = 1;
/* 407 */     gridLayout_4.numColumns = 3;
/* 408 */     composite_8.setLayout((Layout)gridLayout_4);
/*     */     
/* 410 */     Button button_1 = new Button(composite_8, 8388608);
/* 411 */     button_1.setLayoutData(new GridData(45, 21));
/* 412 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 414 */             StatisticAnnualCheckView.this.initSearch();
/*     */           }
/*     */         });
/* 417 */     button_1.setText("返回");
/*     */     
/* 419 */     Button button_3 = new Button(composite_8, 8388608);
/* 420 */     button_3.setLayoutData(new GridData(100, 21));
/* 421 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 423 */             AnnualCheckTableChooseDialog s = new AnnualCheckTableChooseDialog(
/* 424 */                 StatisticAnnualCheckView.this.shell, StatisticAnnualCheckView.this.showcolumn);
/* 425 */             int r = s.open();
/* 426 */             if (r == 32)
/* 427 */               StatisticAnnualCheckView.this.showcolumn = s.getResult(); 
/* 428 */             StatisticAnnualCheckView.this.refreshTable();
/*     */           }
/*     */         });
/* 431 */     button_3.setText("选择展示列");
/*     */     
/* 433 */     this.label_3 = new Label(composite_8, 131136);
/* 434 */     GridData gd_label_3 = new GridData(131072, 16777216, true, 
/* 435 */         false);
/* 436 */     gd_label_3.widthHint = 240;
/* 437 */     this.label_3.setLayoutData(gd_label_3);
/* 438 */     this.label_3.setText("Label");
/*     */     
/* 440 */     this.tableViewer = new TableViewer(this.composite_1, 2048);
/* 441 */     this.table = this.tableViewer.getTable();
/* 442 */     this.table.setLinesVisible(true);
/* 443 */     this.table.setHeaderVisible(true);
/* 444 */     GridData gd_table = new GridData(4, 128, true, false, 
/* 445 */         2, 1);
/* 446 */     gd_table.heightHint = 320;
/* 447 */     gd_table.widthHint = 480;
/* 448 */     this.table.setLayoutData(gd_table);
/*     */     
/* 450 */     int i = 0;
/* 451 */     this.showcolumn[i] = true;
/* 452 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 453 */     this.tableColumn[i].setWidth(100);
/* 454 */     this.tableColumn[i].setText("序号");
/*     */     
/* 456 */     this.showcolumn[++i] = true;
/* 457 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 458 */     this.tableColumn[i].setWidth(100);
/* 459 */     this.tableColumn[i].setText("统一社会信用代码");
/*     */     
/* 461 */     this.showcolumn[++i] = true;
/* 462 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 463 */     this.tableColumn[i].setWidth(100);
/* 464 */     this.tableColumn[i].setText("证书号");
/*     */     
/* 466 */     this.showcolumn[++i] = true;
/* 467 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 468 */     this.tableColumn[i].setWidth(100);
/* 469 */     this.tableColumn[i].setText("名称");
/*     */ 
/*     */     
/* 472 */     this.showcolumn[++i] = true;
/* 473 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 474 */     this.tableColumn[i].setWidth(100);
/* 475 */     this.tableColumn[i].setText("年检情况");
/*     */ 
/*     */     
/* 478 */     this.showcolumn[++i] = true;
/* 479 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 480 */     this.tableColumn[i].setWidth(100);
/* 481 */     this.tableColumn[i].setText("法定代表人");
/*     */ 
/*     */     
/* 484 */     this.showcolumn[++i] = true;
/* 485 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 486 */     this.tableColumn[i].setWidth(100);
/* 487 */     this.tableColumn[i].setText("住所");
/*     */ 
/*     */     
/* 490 */     this.showcolumn[++i] = true;
/* 491 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 492 */     this.tableColumn[i].setWidth(100);
/* 493 */     this.tableColumn[i].setText("联系人");
/*     */ 
/*     */ 
/*     */     
/* 497 */     this.showcolumn[++i] = true;
/* 498 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 499 */     this.tableColumn[i].setWidth(100);
/* 500 */     this.tableColumn[i].setText("联系电话");
/*     */ 
/*     */ 
/*     */     
/* 504 */     this.showcolumn[++i] = true;
/* 505 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 506 */     this.tableColumn[i].setWidth(100);
/* 507 */     this.tableColumn[i].setText("年检时间");
/*     */ 
/*     */     
/* 510 */     this.showcolumn[++i] = false;
/* 511 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 512 */     this.tableColumn[i].setWidth(100);
/* 513 */     this.tableColumn[i].setText("经费来源");
/*     */ 
/*     */     
/* 516 */     this.showcolumn[++i] = false;
/* 517 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 518 */     this.tableColumn[i].setWidth(100);
/* 519 */     this.tableColumn[i].setText("开办资金(万元)");
/*     */ 
/*     */ 
/*     */     
/* 523 */     this.showcolumn[++i] = false;
/* 524 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 525 */     this.tableColumn[i].setWidth(100);
/* 526 */     this.tableColumn[i].setText("上年度结余(万元)");
/*     */ 
/*     */ 
/*     */     
/* 530 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 531 */     this.tableColumn[i].setWidth(100);
/* 532 */     this.tableColumn[i].setText("本年度结余(万元)");
/*     */ 
/*     */ 
/*     */     
/* 536 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 537 */     this.tableColumn[i].setWidth(100);
/* 538 */     this.tableColumn[i].setText("本年度收入合计(万元)");
/*     */ 
/*     */ 
/*     */     
/* 542 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 543 */     this.tableColumn[i].setWidth(100);
/* 544 */     this.tableColumn[i].setText("本年度财政收入(万元)");
/*     */ 
/*     */ 
/*     */     
/* 548 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 549 */     this.tableColumn[i].setWidth(100);
/* 550 */     this.tableColumn[i].setText("本年度支出合计(万元)");
/*     */ 
/*     */ 
/*     */     
/* 554 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 555 */     this.tableColumn[i].setWidth(100);
/* 556 */     this.tableColumn[i].setText("本年度人员经费支出(万元)");
/*     */ 
/*     */ 
/*     */     
/* 560 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 561 */     this.tableColumn[i].setWidth(100);
/* 562 */     this.tableColumn[i].setText("上年末人员编制");
/*     */ 
/*     */     
/* 565 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 566 */     this.tableColumn[i].setWidth(100);
/* 567 */     this.tableColumn[i].setText("本年度人员编制");
/*     */ 
/*     */ 
/*     */     
/* 571 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 572 */     this.tableColumn[i].setWidth(100);
/* 573 */     this.tableColumn[i].setText("上年末从业人员");
/*     */ 
/*     */ 
/*     */     
/* 577 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 578 */     this.tableColumn[i].setWidth(100);
/* 579 */     this.tableColumn[i].setText("本年度从业人员");
/*     */ 
/*     */ 
/*     */     
/* 583 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 584 */     this.tableColumn[i].setWidth(100);
/* 585 */     this.tableColumn[i].setText("开户银行");
/*     */ 
/*     */ 
/*     */     
/* 589 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 590 */     this.tableColumn[i].setWidth(100);
/* 591 */     this.tableColumn[i].setText("银行帐号");
/*     */ 
/*     */ 
/*     */     
/* 595 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 596 */     this.tableColumn[i].setWidth(100);
/* 597 */     this.tableColumn[i].setText("举办单位");
/*     */ 
/*     */     
/* 600 */     this.tableColumn[++i] = new TableColumn(this.table, 0);
/* 601 */     this.tableColumn[i].setWidth(100);
/* 602 */     this.tableColumn[i].setText("登记管理机关");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 607 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 614 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 619 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 620 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/* 621 */           false, 2, 1));
/* 622 */     GridLayout gridLayout_1 = new GridLayout();
/* 623 */     composite_5.setLayout((Layout)gridLayout_1);
/*     */     
/* 625 */     this.pageComposit = new PageComposite(composite_5, 0);
/* 626 */     this.pageComposit.setLayoutData(new GridData());
/*     */     
/* 628 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 631 */             StatisticAnnualCheckView.this.pageComposit.page.firstpage();
/* 632 */             StatisticAnnualCheckView.this.tableViewer.setInput(StatisticAnnualCheckView.this
/*     */                 
/* 634 */                 .resetInfos(StatisticAnnualCheckView.this.sumController.getStatistic(StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2)));
/*     */           }
/*     */         });
/*     */     
/* 638 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 641 */             StatisticAnnualCheckView.this.pageComposit.page.prepage();
/* 642 */             StatisticAnnualCheckView.this.tableViewer.setInput(StatisticAnnualCheckView.this
/*     */                 
/* 644 */                 .resetInfos(StatisticAnnualCheckView.this.sumController.getStatistic(StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2)));
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 649 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 652 */             StatisticAnnualCheckView.this.pageComposit.page.nextpage();
/*     */             
/* 654 */             StatisticAnnualCheckView.this.tableViewer.setInput(StatisticAnnualCheckView.this
/*     */                 
/* 656 */                 .resetInfos(StatisticAnnualCheckView.this.sumController.getStatistic(StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2)));
/*     */           }
/*     */         });
/*     */     
/* 660 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 663 */             StatisticAnnualCheckView.this.pageComposit.page.lastpage();
/*     */             
/* 665 */             StatisticAnnualCheckView.this.tableViewer.setInput(StatisticAnnualCheckView.this
/*     */                 
/* 667 */                 .resetInfos(StatisticAnnualCheckView.this.sumController.getStatistic(StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2)));
/*     */           }
/*     */         });
/*     */     
/* 671 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 674 */             if (StatisticAnnualCheckView.this.pageComposit.setPageable()) {
/* 675 */               StatisticAnnualCheckView.this.tableViewer.setInput(StatisticAnnualCheckView.this
/*     */                   
/* 677 */                   .resetInfos(StatisticAnnualCheckView.this.sumController.getStatistic(StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2)));
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 682 */     this.label_moveinfo = new Label(this.composite_1, 0);
/* 683 */     this.label_moveinfo.setForeground(Display.getCurrent().getSystemColor(3));
/* 684 */     GridData gd_label_moveinfo = new GridData(4, 16777216, 
/* 685 */         true, false);
/* 686 */     this.label_moveinfo.setLayoutData(gd_label_moveinfo);
/*     */     
/* 688 */     this.button = new Button(this.composite_1, 8388608);
/* 689 */     this.button.setLayoutData(new GridData(131072, 16777216, false, false));
/* 690 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 694 */               SaveStatisticEXCELDialog s = new SaveStatisticEXCELDialog(
/* 695 */                   StatisticAnnualCheckView.this.shell, "事业单位法人年度报告公示情况简表", StatisticAnnualCheckView.this.stime, StatisticAnnualCheckView.this.etime, StatisticAnnualCheckView.this.groupid, 
/* 696 */                   StatisticAnnualCheckView.this.searchFlag, StatisticAnnualCheckView.this.pageComposit.page, 2, StatisticAnnualCheckView.this.sumController, 
/* 697 */                   StatisticAnnualCheckView.this.showcolumn);
/* 698 */               s.open();
/* 699 */             } catch (Exception e2) {
/* 700 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 705 */     this.button.setText("另存为Excel");
/*     */     
/* 707 */     this.scrolledComposite.setContent((Control)this.composite_1);
/* 708 */     initView();
/* 709 */     initData();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initInput() {
/* 714 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 715 */     this.treeViewer.refresh();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initView() {
/* 721 */     initializeToolBar();
/*     */     
/* 723 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 724 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AnnualCheckResultTableLabelProvider());
/* 725 */     this.tableViewer.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/* 726 */     initSearch();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initSearch() {
/* 732 */     this.button_10.setSelection(false);
/* 733 */     this.button_9.setSelection(true);
/* 734 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/* 735 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/* 736 */         .format(this.calendar.getTime()));
/* 737 */     this.etime = "";
/* 738 */     this.stime = "";
/* 739 */     this.searchFlag = 0;
/* 740 */     this.groupid = "";
/* 741 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 742 */     this.pageComposit.initPageInfo();
/* 743 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initResult() {
/* 748 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 749 */     StatisticMoveInfo sminfo = this.sumController.statisticMoveInfo(this.groupid, 
/* 750 */         this.parentid, this.stime, this.etime);
/*     */     
/* 752 */     if (sminfo == null) {
/* 753 */       this.label_moveinfo.setText("");
/*     */     } else {
/* 755 */       this.label_moveinfo.setText(
/* 756 */           String.valueOf((this.stime.length() > 0) ? ("从 " + this.stime + " ") : "") + (
/* 757 */           (this.etime.length() > 0) ? ("至 " + this.etime + " ") : "") + 
/* 758 */           this.groupname + 
/* 759 */           " 共移入" + 
/* 760 */           sminfo.getMoveinnum() + 
/* 761 */           "家事业单位,移出" + 
/* 762 */           sminfo.getMoveoutnum() + "家事业单位。");
/*     */     } 
/*     */     
/* 765 */     this.tableViewer.setInput(
/* 766 */         resetInfos(this.sumController.getStatistic(this.stime, this.etime, this.groupid, this.searchFlag, this.pageComposit.page, 2)));
/* 767 */     refreshTable();
/*     */     
/* 769 */     String temp = "";
/* 770 */     if (this.stime != null && this.stime.length() > 0)
/* 771 */       temp = String.valueOf(temp) + this.stime; 
/* 772 */     if (this.etime != null && this.etime.length() > 0)
/* 773 */       temp = String.valueOf(temp) + "至" + this.etime; 
/* 774 */     if (temp.length() > 0)
/* 775 */       temp = "起止时间：" + temp; 
/* 776 */     this.label_3.setText(temp);
/* 777 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initData() {
/* 788 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 789 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 790 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 795 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 796 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 800 */     text.setText(text.getText().trim());
/* 801 */     if (text.getText().trim().length() == 0) {
/* 802 */       text.setText(text.getText().trim());
/* 803 */       showInputErr(text, info);
/* 804 */       return false;
/*     */     } 
/* 806 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 811 */     text.setText(text.getText().trim());
/* 812 */     if (length == -1) {
/* 813 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 814 */         text.setText(text.getText().trim());
/* 815 */         showInputErr(text, info);
/* 816 */         return false;
/*     */       } 
/* 818 */       return true;
/* 819 */     }  if (length == 0) {
/* 820 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 821 */         text.setText(text.getText().trim());
/* 822 */         showInputErr(text, info);
/* 823 */         return false;
/*     */       } 
/* 825 */       return true;
/*     */     } 
/* 827 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 828 */       text.getText().trim().length() != length) {
/* 829 */       text.setText(text.getText().trim());
/* 830 */       showInputErr(text, info);
/* 831 */       return false;
/*     */     } 
/* 833 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 839 */     text.setText(text.getText().trim());
/* 840 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 841 */     mbox.setMessage(info);
/* 842 */     mbox.setText("错误提示");
/* 843 */     mbox.open();
/* 844 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 849 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 850 */     mbox.setMessage(info);
/* 851 */     mbox.setText("错误提示");
/* 852 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 857 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 859 */     mbox.setMessage(info);
/* 860 */     mbox.setText("信息提示");
/* 861 */     return mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 866 */     if (!al.isEmpty()) {
/* 867 */       this.pageComposit.page = al.get(0);
/* 868 */       al.remove(0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 874 */       if (al.isEmpty()) {
/* 875 */         this.pageComposit.label.setText("第0页/共0页");
/* 876 */         this.pageComposit.label.update();
/* 877 */         this.pageComposit.button_up.setEnabled(false);
/* 878 */         this.pageComposit.button_down.setEnabled(false);
/* 879 */         this.pageComposit.button_first.setEnabled(false);
/* 880 */         this.pageComposit.button_last.setEnabled(false);
/* 881 */         this.button.setEnabled(false);
/*     */       }
/*     */       else {
/*     */         
/* 885 */         if (this.pageComposit.page.getCpage() == 1) {
/* 886 */           this.pageComposit.button_up.setEnabled(false);
/* 887 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/*     */           
/* 890 */           this.pageComposit.button_up.setEnabled(true);
/* 891 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 895 */         if (this.pageComposit.page.getCpage() == 
/* 896 */           this.pageComposit.page.getTpage()) {
/* 897 */           this.pageComposit.button_down.setEnabled(false);
/* 898 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/*     */           
/* 901 */           this.pageComposit.button_down.setEnabled(true);
/* 902 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 906 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 907 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/* 908 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/* 909 */             this.pageComposit.page.getTotalnum() + "行");
/* 910 */         this.pageComposit.label.update();
/* 911 */         this.button.setEnabled(true);
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 917 */       this.pageComposit.label.setText("第0页/共0页");
/* 918 */       this.pageComposit.label.update();
/* 919 */       this.pageComposit.button_up.setEnabled(false);
/* 920 */       this.pageComposit.button_down.setEnabled(false);
/* 921 */       this.pageComposit.button_first.setEnabled(false);
/* 922 */       this.pageComposit.button_last.setEnabled(false);
/* 923 */       this.button.setEnabled(false);
/* 924 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 929 */     return al;
/*     */   }
/*     */ 
/*     */   
/*     */   private void refreshTable() {
/* 934 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 935 */       if (this.tableColumn[i] != null)
/* 936 */         if (this.showcolumn[i]) {
/* 937 */           this.tableColumn[i].setWidth(
/* 938 */               TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 943 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 945 */           this.tableColumn[i].setWidth(0);
/* 946 */           this.tableColumn[i].setResizable(false);
/*     */         }  
/*     */     } 
/* 949 */     this.table.update();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticAnnualCheckView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */