/*     */ package cs.admin.statistic;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.CountCgjgTableLabelProvider;
/*     */ import cs.admin.search.SearchSYDWController;
/*     */ import cs.admin.search.TableWidthSet;
/*     */ import cs.admin.search.table.SYDWResultExcelDialog;
/*     */ import cs.admin.search.table.SaveEXCELResultDialog;
/*     */ import cs.admin.search.table.SearchTableContentProvider;
/*     */ import cs.admin.statistic.Dialog.CommonCgjgInfoListDialog;
/*     */ import cs.admin.statistic.Dialog.CommonCzglSydwDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CountCgjgInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.tableinfo.common.IndustryCat;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticCzglSydwView
/*     */   extends ViewPart
/*     */ {
/*     */   private final boolean sydwDetailFlag = true;
/*     */   private Table table;
/*     */   private Tree tree_1;
/*     */   private CLabel label;
/*     */   private CLabel label_4;
/*     */   private Composite composite_1;
/*     */   private Composite composite_6;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private TreeViewer treeViewer;
/*     */   private Label label_3;
/*     */   private Combo combo;
/*  89 */   private final GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  91 */   private Shell shell = null;
/*  92 */   private Composite comp = null;
/*     */   
/*     */   private SearchSYDWController sumController;
/*  95 */   private final StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private TableViewer tableViewer;
/*     */   
/*     */   private String parentid;
/*     */   private String groupid;
/*     */   private String groupname;
/* 102 */   private int searchFlag = 0;
/*     */   
/*     */   private Button button;
/*     */   
/* 106 */   private final TableColumn[] tableColumn = new TableColumn[31];
/* 107 */   private final boolean[] showcolumn = new boolean[31];
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */   
/*     */   private Composite composite_3;
/*     */   private Button button_back;
/* 113 */   private TableCursor cursor = null;
/* 114 */   private int selectColums = 10;
/*     */   
/*     */   private ArrayList<IndustryCat> cgjgCodes;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/* 120 */     this.comp = arg0;
/* 121 */     this.shell = arg0.getShell();
/* 122 */     arg0.setBackgroundMode(1);
/* 123 */     arg0
/* 124 */       .setBackground(Display.getCurrent().getSystemColor(
/* 125 */           1));
/* 126 */     arg0.setLayout((Layout)this.stackLayout);
/*     */     
/* 128 */     this.composite_6 = new Composite(arg0, 0);
/* 129 */     GridLayout gridLayout_5 = new GridLayout();
/* 130 */     gridLayout_5.verticalSpacing = 0;
/* 131 */     gridLayout_5.marginTop = 20;
/* 132 */     gridLayout_5.marginBottom = 10;
/* 133 */     gridLayout_5.numColumns = 3;
/* 134 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*     */ 
/*     */     
/* 137 */     this.label = new CLabel(this.composite_6, 0);
/* 138 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 139 */     GridData gd_label = new GridData(4, 16777216, false, 
/* 140 */         false);
/* 141 */     gd_label.widthHint = 450;
/* 142 */     this.label.setLayoutData(gd_label);
/* 143 */     this.label.setText("统计分析>>授权管理事业单位统计");
/*     */ 
/*     */ 
/*     */     
/* 147 */     Label label_1 = new Label(this.composite_6, 258);
/*     */     
/* 149 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 154 */     this.composite_3 = new Composite(this.composite_6, 0);
/* 155 */     this.composite_3.setBackgroundMode(2);
/* 156 */     this.composite_3.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 157 */     GridLayout gridLayout_3 = new GridLayout();
/* 158 */     gridLayout_3.numColumns = 2;
/* 159 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 161 */     this.button_9 = new Button(this.composite_3, 16);
/* 162 */     this.button_9.setText("本级登记管理机关");
/* 163 */     this.button_9.setSelection(true);
/*     */     
/* 165 */     this.button_10 = new Button(this.composite_3, 16);
/* 166 */     this.button_10.setText("本级及其下级登记管理机关");
/*     */     
/* 168 */     CLabel label_scope = new CLabel(this.composite_3, 0);
/* 169 */     label_scope.setText("统计范围");
/*     */     
/* 171 */     this.combo = new Combo(this.composite_3, 0);
/* 172 */     this.combo.setBackground(
/* 173 */         Display.getCurrent().getSystemColor(1));
/* 174 */     GridData gd_combo = new GridData(4, 16777216, true, 
/* 175 */         false);
/* 176 */     gd_combo.widthHint = 110;
/* 177 */     this.combo.setLayoutData(gd_combo);
/* 178 */     this.combo.add("全部");
/* 179 */     this.combo.add("国家级");
/* 180 */     this.combo.add("省级");
/* 181 */     this.combo.setData("全部", "");
/* 182 */     this.combo.setData("国家级", "0");
/* 183 */     this.combo.setData("省级", "1");
/* 184 */     this.combo.select(0);
/*     */ 
/*     */ 
/*     */     
/* 188 */     Label label_2_1 = new Label(this.composite_6, 0);
/* 189 */     label_2_1
/* 190 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 191 */     label_2_1.setText(" ");
/*     */     
/* 193 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/* 194 */     this.tree_1 = this.treeViewer.getTree();
/* 195 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/* 196 */         false);
/* 197 */     gd_tree_1.heightHint = 190;
/* 198 */     this.tree_1.setLayoutData(gd_tree_1);
/*     */     
/* 200 */     Label label_6_1 = new Label(this.composite_6, 0);
/* 201 */     label_6_1
/* 202 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 203 */     label_6_1.setText(" ");
/*     */ 
/*     */     
/* 206 */     Composite composite_2 = new Composite(this.composite_6, 0);
/* 207 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 208 */           false));
/* 209 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 211 */     Button button_6 = new Button(composite_2, 0);
/* 212 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 214 */             InfoEntity select = null;
/* 215 */             IStructuredSelection i = (IStructuredSelection)StatisticCzglSydwView.this.treeViewer
/* 216 */               .getSelection();
/*     */             
/* 218 */             StatisticCzglSydwView.this.searchFlag = 0;
/*     */             
/* 220 */             if (StatisticCzglSydwView.this.button_10.getSelection()) {
/* 221 */               StatisticCzglSydwView.this.searchFlag = 1;
/*     */             }
/*     */             
/* 224 */             if (i == null) {
/* 225 */               StatisticCzglSydwView.this.parentid = null;
/* 226 */               StatisticCzglSydwView.this.groupid = StatisticCzglSydwView.this.user.getGroupid();
/* 227 */               StatisticCzglSydwView.this.groupname = StatisticCzglSydwView.this.user.getGroupname();
/*     */             } else {
/* 229 */               select = (InfoEntity)i.getFirstElement();
/* 230 */               if (select == null) {
/* 231 */                 StatisticCzglSydwView.this.parentid = null;
/* 232 */                 StatisticCzglSydwView.this.groupid = StatisticCzglSydwView.this.user.getGroupid();
/* 233 */                 StatisticCzglSydwView.this.groupname = StatisticCzglSydwView.this.user.getGroupname();
/*     */               } else {
/* 235 */                 StatisticCzglSydwView.this.parentid = select.getGroupid();
/* 236 */                 StatisticCzglSydwView.this.groupid = select.getId();
/* 237 */                 StatisticCzglSydwView.this.groupname = select.getName();
/*     */               } 
/*     */             } 
/*     */             
/* 241 */             StatisticCzglSydwView.this.startSearch();
/*     */           }
/*     */         });
/*     */     
/* 245 */     button_6.setText("确定");
/*     */ 
/*     */     
/* 248 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*     */     
/* 250 */     this.scrolledComposite.setBackground(Display.getCurrent()
/* 251 */         .getSystemColor(1));
/* 252 */     this.scrolledComposite.setBackgroundMode(1);
/*     */     
/* 254 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/* 258 */     this.scrolledComposite.setExpandVertical(true);
/* 259 */     this.scrolledComposite.setExpandHorizontal(true);
/* 260 */     this.scrolledComposite.setMinHeight(480);
/* 261 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/* 263 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/* 264 */     GridLayout gridLayout_4 = new GridLayout();
/* 265 */     gridLayout_4.numColumns = 2;
/* 266 */     gridLayout_4.verticalSpacing = 3;
/* 267 */     gridLayout_4.marginTop = 20;
/* 268 */     gridLayout_4.marginRight = 25;
/* 269 */     gridLayout_4.marginLeft = 25;
/* 270 */     gridLayout_4.marginBottom = 10;
/* 271 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*     */     
/* 273 */     this.label_4 = new CLabel(this.composite_1, 0);
/* 274 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 275 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 276 */     this.label_4.setText("统计分析>>授权管理事业单位统计结果");
/*     */     
/* 278 */     this.button_back = new Button(this.composite_1, 8388608);
/* 279 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 281 */             StatisticCzglSydwView.this.initSearch();
/*     */           }
/*     */         });
/* 284 */     GridData gd_button_back = new GridData(131072, 16777216, 
/* 285 */         false, false);
/* 286 */     gd_button_back.heightHint = 18;
/* 287 */     gd_button_back.widthHint = 45;
/* 288 */     this.button_back.setLayoutData(gd_button_back);
/* 289 */     this.button_back.setText("返回");
/* 290 */     Label label_1_1 = new Label(this.composite_1, 258);
/*     */     
/* 292 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/* 293 */           false, 2, 1));
/* 294 */     label_1_1.setText("Label");
/*     */     
/* 296 */     this.label_3 = new Label(this.composite_1, 64);
/* 297 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/* 298 */     this.label_3.setText("Label");
/*     */     
/* 300 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*     */     
/* 302 */     this.table = this.tableViewer.getTable();
/* 303 */     this.table.setLinesVisible(true);
/* 304 */     this.table.setHeaderVisible(true);
/*     */     
/* 306 */     GridData gd_table = new GridData(4, 4, true, false, 
/* 307 */         2, 10);
/* 308 */     gd_table.heightHint = (PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell().getBounds()).height / 2;
/* 309 */     this.table.setLayoutData(gd_table);
/* 310 */     PublicUtil.setTableHeight(this.table);
/*     */     
/* 312 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */           public void handleEvent(Event event)
/*     */           {
/* 316 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 321 */     Composite composite_5 = new Composite(this.composite_1, 0);
/* 322 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/* 323 */           false, 2, 1));
/* 324 */     GridLayout gridLayout_1 = new GridLayout();
/* 325 */     gridLayout_1.marginTop = 2;
/* 326 */     gridLayout_1.marginHeight = 0;
/* 327 */     composite_5.setLayout((Layout)gridLayout_1);
/*     */ 
/*     */ 
/*     */     
/* 331 */     this.button = new Button(this.composite_1, 8388608);
/* 332 */     this.button.setLayoutData(new GridData(-1, 18));
/* 333 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 336 */               PageInfo page = new PageInfo();
/* 337 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticCzglSydwView.this.shell, 
/* 338 */                   StatisticCzglSydwView.this.sumController, "授权管理事业单位统计表", "CountSydwCzgl", "", 
/* 339 */                   StatisticCzglSydwView.this.groupid, StatisticCzglSydwView.this.groupname, StatisticCzglSydwView.this.searchFlag, 0, 
/* 340 */                   page, StatisticCzglSydwView.this.showcolumn);
/* 341 */               s.open();
/* 342 */             } catch (Exception e2) {
/* 343 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/* 347 */     this.button.setText("另存为Excel");
/*     */ 
/*     */ 
/*     */     
/* 351 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 353 */     initAll();
/*     */   }
/*     */ 
/*     */   
/*     */   void initAll() {
/* 358 */     initializeToolBar();
/* 359 */     initSearchController();
/*     */     
/* 361 */     initTypeView();
/* 362 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 363 */     initTypeView();
/* 364 */     initTable();
/* 365 */     initSearch();
/* 366 */     initTree();
/*     */     
/* 368 */     setFontColor();
/* 369 */     setCursor();
/*     */   }
/*     */   
/*     */   private void startSearch() {
/* 373 */     initResult();
/*     */   }
/*     */   
/*     */   private void initTree() {
/* 377 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/* 378 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/* 379 */     this.treeViewer.setInput(this.sumController.creatRoot());
/* 380 */     this.treeViewer.refresh();
/*     */   }
/*     */   
/*     */   private void initSearchController() {
/* 384 */     this.sumController = new SearchSYDWController(this.user);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initTypeView() {}
/*     */ 
/*     */   
/*     */   private void initTable() {
/* 393 */     int i = -1;
/* 394 */     this.showcolumn[++i] = true;
/* 395 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 396 */     this.tableColumn[i].setText("序号");
/*     */     
/* 398 */     this.showcolumn[++i] = true;
/* 399 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 400 */     this.tableColumn[i].setAlignment(16777216);
/* 401 */     this.tableColumn[i].setText("省份");
/*     */     
/* 403 */     this.showcolumn[++i] = true;
/* 404 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/* 405 */     this.tableColumn[i].setAlignment(16777216);
/* 406 */     this.tableColumn[i].setText("合计");
/*     */     
/* 408 */     this.cgjgCodes = this.sumController.searchCgjgCode("0");
/*     */     
/* 410 */     String mouseClick = "2#";
/* 411 */     for (int j = 0; j < this.cgjgCodes.size(); j++) {
/* 412 */       IndustryCat ic = this.cgjgCodes.get(j);
/* 413 */       this.showcolumn[++i] = true;
/* 414 */       this.tableColumn[i] = new TableColumn(this.table, 0);
/* 415 */       this.tableColumn[i].setAlignment(16777216);
/* 416 */       this.tableColumn[i].setText(ic.getDESCRIPT());
/* 417 */       if (j == 0) {
/* 418 */         mouseClick = String.valueOf(mouseClick) + i;
/*     */       } else {
/* 420 */         mouseClick = String.valueOf(mouseClick) + "#" + i;
/*     */       } 
/*     */     } 
/* 423 */     PublicUtil.setMouseHands(this.table, mouseClick);
/*     */     
/* 425 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CountCgjgTableLabelProvider());
/* 426 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*     */   }
/*     */   
/*     */   private void initSearch() {
/* 430 */     this.button_10.setSelection(false);
/* 431 */     this.button_9.setSelection(true);
/* 432 */     this.searchFlag = 0;
/* 433 */     this.groupid = "";
/* 434 */     this.stackLayout.topControl = (Control)this.composite_6;
/* 435 */     this.comp.layout();
/*     */   }
/*     */   
/*     */   private void initResult() {
/* 439 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 440 */     String scope = (String)this.combo.getData(this.combo.getText());
/*     */     
/* 442 */     this.tableViewer.setInput(
/* 443 */         resetInfos(this.sumController.searchCgjgInfo(this.groupid, this.searchFlag, "0", "v_sydw_czgl_info", scope)));
/*     */     
/* 445 */     refreshTable();
/* 446 */     this.comp.layout();
/* 447 */     setFontColor();
/* 448 */     setCursor();
/*     */   }
/*     */   
/*     */   private void refreshTable() {
/* 452 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 453 */       if (this.tableColumn[i] != null) {
/* 454 */         if (this.showcolumn[i]) {
/* 455 */           if (this.tableColumn[i].getText().equals("宗旨和业务范围")) {
/* 456 */             this.tableColumn[i].setWidth(400);
/*     */           } else {
/* 458 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*     */           } 
/* 460 */           this.tableColumn[i].setResizable(true);
/*     */         } else {
/* 462 */           this.tableColumn[i].setWidth(0);
/* 463 */           this.tableColumn[i].setResizable(false);
/*     */         } 
/*     */       }
/*     */     } 
/* 467 */     this.table.update();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 476 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 477 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<CountCgjgInfo> al) {
/* 481 */     for (int i = 0; i < al.size(); i++) {
/* 482 */       CountCgjgInfo chi = al.get(i);
/* 483 */       chi.setNum((new StringBuilder(String.valueOf(i + 1))).toString());
/* 484 */       al.set(i, chi);
/*     */     } 
/* 486 */     this.label_3.setText("共搜索到[" + al.size() + "]条符合条件的信息 。");
/* 487 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   @Deprecated
/*     */   public class Operation
/*     */   {
/*     */     public void showSYDWInfo(SYDWInfo sydw) {
/* 496 */       (new SYDWResultExcelDialog(StatisticCzglSydwView.this.shell, StatisticCzglSydwView.this.sumController, sydw)).open();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setFontColor() {
/* 505 */     for (int i = 1; i < this.table.getItemCount(); i++) {
/* 506 */       for (int j = 2; j < this.cgjgCodes.size() + 3; j++) {
/* 507 */         this.table.getItem(i).setFont(j, SWTResourceManager.getFont("宋体", 10, 0, false, false));
/* 508 */         this.table.getItem(i).setForeground(j, SWTResourceManager.getColor(37, 26, 181));
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void setCursor() {
/* 519 */     if (this.cursor != null)
/* 520 */       this.cursor.dispose(); 
/* 521 */     this.cursor = new TableCursor(this.table, 0);
/* 522 */     this.cursor.setBackground(this.table.getDisplay()
/* 523 */         .getSystemColor(26));
/* 524 */     this.cursor.setForeground(this.table.getDisplay()
/* 525 */         .getSystemColor(27));
/* 526 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 528 */             int colums = StatisticCzglSydwView.this.cursor.getColumn();
/* 529 */             int row = StatisticCzglSydwView.this.table.getSelectionIndex();
/* 530 */             if (row > 0 && colums >= 2 && colums < StatisticCzglSydwView.this.cgjgCodes.size() + 3) {
/* 531 */               String count = StatisticCzglSydwView.this.table.getItem(StatisticCzglSydwView.this.cursor.getLocation()).getText(colums);
/* 532 */               if (!"0".equals(count)) {
/* 533 */                 StatisticCzglSydwView.this.openCgjgListDialog(colums);
/*     */               }
/*     */             } 
/* 536 */             StatisticCzglSydwView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 539 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 542 */             int colums = StatisticCzglSydwView.this.cursor.getColumn();
/* 543 */             int row = StatisticCzglSydwView.this.table.getSelectionIndex();
/* 544 */             if (colums == StatisticCzglSydwView.this.selectColums && 
/* 545 */               row > 0 && colums >= 2 && colums < StatisticCzglSydwView.this.cgjgCodes.size() + 3) {
/* 546 */               String count = StatisticCzglSydwView.this.table.getItem(StatisticCzglSydwView.this.cursor.getLocation()).getText(colums);
/* 547 */               if (!"0".equals(count)) {
/* 548 */                 StatisticCzglSydwView.this.openCgjgListDialog(colums);
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openCgjgListDialog(int colums) {
/* 560 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 561 */     CountCgjgInfo cgjgInfo = (CountCgjgInfo)select.getFirstElement();
/* 562 */     String districtCode = cgjgInfo.getDistrictCode();
/* 563 */     String strGroupId = cgjgInfo.getGroupId();
/* 564 */     String districtcodeSql = " 1 = 1 ";
/* 565 */     int orderNum = colums - 3;
/*     */     
/* 567 */     if (this.searchFlag == 1 && "1".equals(this.groupid)) {
/*     */       
/* 569 */       if (districtCode.equals("100000")) {
/* 570 */         districtcodeSql = " t.district_code like '100000' ";
/* 571 */       } else if (districtCode.endsWith("0000")) {
/* 572 */         districtcodeSql = " t.district_code like '" + districtCode.substring(0, 2) + "%' ";
/*     */       } 
/* 574 */     } else if ("1".equals(strGroupId) || "3478".equals(strGroupId)) {
/* 575 */       districtcodeSql = " t.district_code like '100000' ";
/*     */     } else {
/* 577 */       districtcodeSql = " t.district_code = '" + cgjgInfo.getDistrictCode() + "' ";
/*     */     } 
/*     */     
/* 580 */     String scopeSQL = "";
/* 581 */     String scope = (String)this.combo.getData(this.combo.getText());
/* 582 */     if ("0".equals(scope)) {
/*     */       
/* 584 */       scopeSQL = " and t.OWNER_DISTRICT_CODE = '100000' ";
/* 585 */     } else if ("0".equals(scope)) {
/*     */       
/* 587 */       scopeSQL = " and t.OWNER_DISTRICT_CODE = '" + districtCode + "' ";
/*     */     } 
/*     */     
/* 590 */     if (colums == 2) {
/* 591 */       String title = "授权管理事业单位列表>>";
/* 592 */       String condition = "where t.chuiguan_code is not null and " + districtcodeSql + scopeSQL;
/*     */       
/* 594 */       CommonCgjgInfoListDialog cgjgField = new CommonCgjgInfoListDialog(
/* 595 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), title, condition, "v_sydw_czgl_info");
/* 596 */       cgjgField.open();
/*     */     } else {
/* 598 */       String chuiguanCode = ((IndustryCat)this.cgjgCodes.get(orderNum)).getNAME();
/* 599 */       String condition = "where t.chuiguan_code like '" + chuiguanCode + "%' and " + districtcodeSql + scopeSQL;
/* 600 */       String title = "授权管理事业单位列表>>" + ((IndustryCat)this.cgjgCodes.get(orderNum)).getDESCRIPT();
/*     */       
/* 602 */       if ("70".equals(chuiguanCode) || "80".equals(chuiguanCode)) {
/* 603 */         title = "授权管理事业单位统计>>" + ((IndustryCat)this.cgjgCodes.get(orderNum)).getDESCRIPT();
/* 604 */         CommonCzglSydwDialog cgsyField = new CommonCzglSydwDialog(
/* 605 */             PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), title, condition, "v_sydw_czgl_info", chuiguanCode, strGroupId, this.searchFlag);
/* 606 */         cgsyField.open();
/*     */       } else {
/* 608 */         CommonCgjgInfoListDialog cgjgField = new CommonCgjgInfoListDialog(
/* 609 */             PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), title, condition, "v_sydw_czgl_info");
/* 610 */         cgjgField.open();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticCzglSydwView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */