/*      */ package cs.admin.statistic;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.admin.search.PageComposite;
/*      */ import cs.admin.statistic.Dialog.SaveStatisticDataEXCELDialog;
/*      */ import cs.admin.statistic.table.Sta251TableLabelProvider;
/*      */ import cs.admin.statistic.table.Sta252TableLabelProvider;
/*      */ import cs.admin.statistic.table.Sta253TableLabelProvider;
/*      */ import cs.admin.statistic.table.Sta4091TableLabelProvider;
/*      */ import cs.admin.statistic.table.Sta410TableLabelProvider;
/*      */ import cs.admin.statistic.table.StaDataTableContentProvider;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Calendar;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.CLabel;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Combo;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Event;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Listener;
/*      */ import org.eclipse.swt.widgets.MessageBox;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.sysmanage.page.PageInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class StatisticDataView
/*      */   extends ViewPart
/*      */ {
/*      */   private TableViewer tableViewer;
/*      */   private Composite composite_15;
/*      */   private TableViewer tableViewer3;
/*      */   private Composite composite_14;
/*      */   private TableViewer tableViewer2;
/*      */   private Composite composite_13;
/*      */   private CLabel label_410_year;
/*      */   private CLabel label_251_year;
/*      */   private CLabel label_252_year;
/*      */   private CLabel label_253_year;
/*      */   private CLabel label_4091_year;
/*      */   private TableViewer tableViewer4;
/*      */   private TableViewer tableViewer5;
/*      */   private Combo combo;
/*      */   public static final String ID = "cs.admin.statistic.StatisticDataView";
/*      */   private CLabel label;
/*      */   private Composite composite_1;
/*      */   private Composite composite_6;
/*      */   private Button button_1;
/*      */   private Button button_2;
/*      */   private Button button_3;
/*      */   private Button button_31;
/*   75 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*      */   
/*   77 */   private Shell shell = null;
/*   78 */   private Composite comp = null;
/*      */   
/*   80 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*   81 */       this.user);
/*   82 */   private StackLayout stackLayout = new StackLayout();
/*   83 */   private StackLayout stackLayout_content = new StackLayout();
/*      */   
/*      */   private String yearinput;
/*      */   private int yearselection;
/*      */   private int tableselection;
/*      */   private String timelabel;
/*   89 */   private String typelabel = "登记机关级别代码：";
/*   90 */   private String dislabel = "登记机关行政区划代码：";
/*      */   
/*      */   private CLabel label_410_type;
/*      */   
/*      */   private CLabel label_410_dis;
/*      */   private CLabel label_251_type;
/*      */   private CLabel label_251_dis;
/*      */   private CLabel label_252_type;
/*      */   private CLabel label_252_dis;
/*      */   private CLabel label_253_type;
/*      */   private CLabel label_253_dis;
/*      */   private CLabel label_4091_type;
/*      */   private CLabel label_4091_dis;
/*      */   private ScrolledComposite scrolledComposite;
/*      */   private Composite composite_all;
/*      */   private PageComposite pageComposit_410;
/*      */   private PageComposite pageComposit_251;
/*      */   private PageComposite pageComposit_252;
/*      */   private PageComposite pageComposit_253;
/*      */   private PageComposite pageComposit_4091;
/*      */   private Composite composite_16;
/*      */   private Button button_4;
/*      */   private Button button_5;
/*      */   private Button button_6;
/*      */   
/*      */   public void createPartControl(Composite arg0) {
/*  116 */     this.comp = arg0;
/*  117 */     this.shell = arg0.getShell();
/*  118 */     arg0.setLayout((Layout)this.stackLayout);
/*  119 */     arg0
/*  120 */       .setBackground(Display.getCurrent().getSystemColor(
/*  121 */           1));
/*  122 */     arg0.setBackgroundMode(1);
/*      */     
/*  124 */     this.composite_6 = new Composite(arg0, 0);
/*  125 */     GridLayout gridLayout_25 = new GridLayout();
/*  126 */     gridLayout_25.numColumns = 3;
/*  127 */     gridLayout_25.verticalSpacing = 2;
/*  128 */     gridLayout_25.marginTop = 20;
/*  129 */     gridLayout_25.marginRight = 10;
/*  130 */     gridLayout_25.marginLeft = 10;
/*  131 */     gridLayout_25.marginBottom = 10;
/*  132 */     this.composite_6.setLayout((Layout)gridLayout_25);
/*      */ 
/*      */     
/*  135 */     this.label = new CLabel(this.composite_6, 0);
/*  136 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  137 */     GridData gd_label = new GridData(4, 16777216, false, 
/*  138 */         false);
/*  139 */     gd_label.widthHint = 350;
/*  140 */     this.label.setLayoutData(gd_label);
/*  141 */     this.label.setText("统计分析>>报送统计数据");
/*      */ 
/*      */ 
/*      */     
/*  145 */     Label label_1 = new Label(this.composite_6, 258);
/*      */     
/*  147 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*      */ 
/*      */     
/*  150 */     Label label_7_1 = new Label(this.composite_6, 0);
/*  151 */     label_7_1
/*  152 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  153 */     label_7_1.setText(" ");
/*      */     
/*  155 */     Composite composite = new Composite(this.composite_6, 0);
/*  156 */     composite.setBackgroundMode(2);
/*  157 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/*  158 */           false));
/*  159 */     GridLayout gridLayout = new GridLayout();
/*  160 */     gridLayout.numColumns = 2;
/*  161 */     composite.setLayout((Layout)gridLayout);
/*      */     
/*  163 */     CLabel label_2 = new CLabel(composite, 0);
/*  164 */     label_2.setText("统计时间段选择：");
/*      */     
/*  166 */     Composite composite_8 = new Composite(composite, 0);
/*  167 */     GridLayout gridLayout_3 = new GridLayout();
/*  168 */     gridLayout_3.numColumns = 5;
/*  169 */     composite_8.setLayout((Layout)gridLayout_3);
/*      */     
/*  171 */     this.combo = new Combo(composite_8, 0);
/*  172 */     this.combo.setLayoutData(new GridData(50, -1));
/*      */     
/*  174 */     Label label_8 = new Label(composite_8, 0);
/*  175 */     label_8.setLayoutData(new GridData());
/*  176 */     label_8.setText("（年份）");
/*      */     
/*  178 */     this.button_1 = new Button(composite_8, 16);
/*  179 */     this.button_1.setLayoutData(new GridData());
/*  180 */     this.button_1.setSelection(true);
/*  181 */     this.button_1.setText("上半年");
/*      */     
/*  183 */     Label label_6 = new Label(composite_8, 0);
/*  184 */     label_6.setLayoutData(new GridData());
/*  185 */     label_6.setText("/");
/*      */     
/*  187 */     this.button_2 = new Button(composite_8, 16);
/*  188 */     this.button_2.setLayoutData(new GridData());
/*  189 */     this.button_2.setText("下半年");
/*      */     
/*  191 */     CLabel label_5 = new CLabel(composite, 0);
/*  192 */     label_5
/*  193 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  194 */     label_5.setText("报表选择：");
/*      */     
/*  196 */     Composite composite_7 = new Composite(composite, 0);
/*  197 */     composite_7.setLayoutData(new GridData());
/*  198 */     GridLayout gridLayout_4 = new GridLayout();
/*  199 */     gridLayout_4.numColumns = 2;
/*  200 */     composite_7.setLayout((Layout)gridLayout_4);
/*      */     
/*  202 */     CLabel label_7 = new CLabel(composite_7, 0);
/*  203 */     label_7
/*  204 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  205 */     label_7.setText("国家统计局 －－－－");
/*      */     
/*  207 */     Composite composite_4 = new Composite(composite_7, 0);
/*  208 */     composite_4.setLayoutData(new GridData(16384, 16777216, false, 
/*  209 */           false, 1, 2));
/*  210 */     GridLayout gridLayout_2 = new GridLayout();
/*  211 */     gridLayout_2.horizontalSpacing = 0;
/*  212 */     gridLayout_2.numColumns = 3;
/*  213 */     gridLayout_2.marginWidth = 0;
/*  214 */     gridLayout_2.marginHeight = 0;
/*  215 */     composite_4.setLayout((Layout)gridLayout_2);
/*      */     
/*  217 */     this.button_3 = new Button(composite_4, 16);
/*  218 */     this.button_3.setSelection(true);
/*  219 */     this.button_3.setText("410表");
/*      */ 
/*      */ 
/*      */     
/*  223 */     this.button_4 = new Button(composite_4, 16);
/*  224 */     this.button_4.setLayoutData(new GridData());
/*  225 */     this.button_4.setText("251表");
/*      */     
/*  227 */     this.button_5 = new Button(composite_4, 16);
/*  228 */     this.button_5.setLayoutData(new GridData());
/*  229 */     this.button_5.setText("252表");
/*      */     
/*  231 */     this.button_6 = new Button(composite_4, 16);
/*  232 */     this.button_6.setText("253表");
/*      */     
/*  234 */     Label label_9 = new Label(composite_7, 0);
/*  235 */     label_9.setLayoutData(new GridData());
/*  236 */     label_9.setText("福建省统计局 －－－－");
/*      */     
/*  238 */     CLabel label_71 = new CLabel(composite_7, 0);
/*  239 */     label_71.setLayoutData(new GridData(131072, 16777216, false, false));
/*  240 */     label_71.setText("国家统计局 －－－－");
/*      */     
/*  242 */     this.button_31 = new Button(composite_7, 16);
/*  243 */     this.button_31.setText("J409-1表");
/*      */     
/*  245 */     Label label_8_1 = new Label(this.composite_6, 0);
/*  246 */     label_8_1
/*  247 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  248 */     label_8_1.setText(" ");
/*      */ 
/*      */     
/*  251 */     Composite composite_2 = new Composite(this.composite_6, 0);
/*  252 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/*  253 */           false));
/*  254 */     composite_2.setLayout((Layout)new FillLayout());
/*      */     
/*  256 */     Button button_exe = new Button(composite_2, 0);
/*  257 */     button_exe.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  259 */             StatisticDataView.this.yearinput = StatisticDataView.this.combo.getText();
/*  260 */             StatisticDataView.this.yearselection = 0;
/*  261 */             if (StatisticDataView.this.button_2.getSelection())
/*  262 */               StatisticDataView.this.yearselection = 1; 
/*  263 */             StatisticDataView.this.tableselection = 0;
/*  264 */             if (StatisticDataView.this.button_4.getSelection()) {
/*  265 */               StatisticDataView.this.tableselection = 1;
/*  266 */             } else if (StatisticDataView.this.button_5.getSelection()) {
/*  267 */               StatisticDataView.this.tableselection = 2;
/*  268 */             } else if (StatisticDataView.this.button_6.getSelection()) {
/*  269 */               StatisticDataView.this.tableselection = 3;
/*  270 */             } else if (StatisticDataView.this.button_31.getSelection()) {
/*  271 */               StatisticDataView.this.tableselection = 4;
/*      */             } 
/*  273 */             StatisticDataView.this.initResult();
/*      */           }
/*      */         });
/*      */     
/*  277 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  279 */             StatisticDataView.this.button_31.setSelection(false);
/*      */           }
/*      */         });
/*  282 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  284 */             StatisticDataView.this.button_31.setSelection(false);
/*      */           }
/*      */         });
/*  287 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  289 */             StatisticDataView.this.button_31.setSelection(false);
/*      */           }
/*      */         });
/*  292 */     this.button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  294 */             StatisticDataView.this.button_31.setSelection(false);
/*      */           }
/*      */         });
/*  297 */     this.button_31.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  299 */             StatisticDataView.this.button_3.setSelection(false);
/*  300 */             StatisticDataView.this.button_4.setSelection(false);
/*  301 */             StatisticDataView.this.button_5.setSelection(false);
/*  302 */             StatisticDataView.this.button_6.setSelection(false);
/*      */           }
/*      */         });
/*  305 */     button_exe.setText("生成报表");
/*      */ 
/*      */     
/*  308 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*      */     
/*  310 */     this.scrolledComposite.setBackgroundMode(1);
/*  311 */     this.scrolledComposite.setBackground(Display.getCurrent()
/*  312 */         .getSystemColor(1));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  318 */     this.scrolledComposite.setExpandVertical(true);
/*  319 */     this.scrolledComposite.setExpandHorizontal(true);
/*  320 */     this.scrolledComposite.setMinHeight(800);
/*  321 */     this.scrolledComposite.setMinWidth(980);
/*      */     
/*  323 */     this.composite_all = new Composite((Composite)this.scrolledComposite, 0);
/*  324 */     this.composite_all.setLayout((Layout)this.stackLayout_content);
/*      */     
/*  326 */     this.composite_1 = new Composite(this.composite_all, 0);
/*  327 */     GridLayout gridLayout_1 = new GridLayout();
/*  328 */     gridLayout_1.marginRight = 25;
/*  329 */     gridLayout_1.marginLeft = 25;
/*  330 */     this.composite_1.setLayout((Layout)gridLayout_1);
/*      */     
/*  332 */     Composite composite_3 = new Composite(this.composite_1, 0);
/*  333 */     GridLayout gridLayout_5 = new GridLayout();
/*  334 */     gridLayout_5.marginWidth = 1;
/*  335 */     gridLayout_5.marginHeight = 1;
/*  336 */     gridLayout_5.horizontalSpacing = 1;
/*  337 */     gridLayout_5.numColumns = 3;
/*  338 */     composite_3.setLayout((Layout)gridLayout_5);
/*  339 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/*  340 */         false, false);
/*  341 */     composite_3.setLayoutData(gd_composite_3);
/*      */     
/*  343 */     Composite composite_9 = new Composite(composite_3, 0);
/*  344 */     composite_9.setLayout((Layout)new GridLayout());
/*  345 */     composite_9.setLayoutData(new GridData(16384, 4, false, 
/*  346 */           false, 1, 3));
/*      */     
/*  348 */     Button button_3 = new Button(composite_9, 8388608);
/*  349 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  351 */             StatisticDataView.this.initSearch();
/*      */           }
/*      */         });
/*  354 */     GridData gd_button_3_1 = new GridData(16384, 16777216, false, true);
/*  355 */     gd_button_3_1.heightHint = 21;
/*  356 */     gd_button_3_1.widthHint = 45;
/*  357 */     button_3.setLayoutData(gd_button_3_1);
/*  358 */     button_3.setText("返回");
/*      */     
/*  360 */     CLabel label_10 = new CLabel(composite_9, 0);
/*  361 */     GridData gd_label_10 = new GridData(-1, 18);
/*  362 */     label_10.setLayoutData(gd_label_10);
/*  363 */     label_10.setText("登记机关代码：B");
/*      */     
/*  365 */     this.label_410_type = new CLabel(composite_9, 0);
/*  366 */     this.label_410_type.setLayoutData(new GridData(200, 18));
/*  367 */     this.label_410_type.setText("登记机关级别代码：");
/*      */     
/*  369 */     this.label_410_dis = new CLabel(composite_9, 0);
/*  370 */     this.label_410_dis.setLayoutData(new GridData(200, 18));
/*  371 */     this.label_410_dis.setText("登记机关行政区划代码：");
/*      */     
/*  373 */     CLabel label_37 = new CLabel(composite_3, 0);
/*  374 */     label_37.setLayoutData(new GridData(490, -1));
/*      */     
/*  376 */     Composite composite_10 = new Composite(composite_3, 0);
/*  377 */     GridLayout gridLayout_6 = new GridLayout();
/*  378 */     gridLayout_6.marginTop = 1;
/*  379 */     gridLayout_6.marginHeight = 1;
/*  380 */     gridLayout_6.horizontalSpacing = 0;
/*  381 */     gridLayout_6.marginWidth = 2;
/*  382 */     gridLayout_6.numColumns = 2;
/*  383 */     composite_10.setLayout((Layout)gridLayout_6);
/*  384 */     composite_10.setLayoutData(new GridData(4, 4, false, 
/*  385 */           false, 1, 3));
/*      */     
/*  387 */     CLabel label_21 = new CLabel(composite_10, 0);
/*  388 */     label_21.setLayoutData(new GridData(-1, 18));
/*  389 */     label_21.setText("表    号：");
/*      */     
/*  391 */     CLabel label_13 = new CLabel(composite_10, 0);
/*  392 */     label_13.setLayoutData(new GridData(-1, 18));
/*  393 */     label_13.setText("4 1 0 表");
/*      */     
/*  395 */     CLabel label_22 = new CLabel(composite_10, 0);
/*  396 */     label_22.setLayoutData(new GridData(-1, 18));
/*  397 */     label_22.setText("制表单位：");
/*      */     
/*  399 */     CLabel label_14 = new CLabel(composite_10, 0);
/*  400 */     label_14.setLayoutData(new GridData(-1, 18));
/*  401 */     label_14.setText("国 家 统 计 局");
/*      */ 
/*      */     
/*  404 */     CLabel label_15 = new CLabel(composite_10, 0);
/*  405 */     label_15.setLayoutData(new GridData(-1, 18));
/*  406 */     label_15.setText("中央机构编制委员会办公室");
/*      */ 
/*      */     
/*  409 */     CLabel label_16 = new CLabel(composite_10, 0);
/*  410 */     label_16.setLayoutData(new GridData(-1, 18));
/*  411 */     label_16.setText("民政局");
/*      */ 
/*      */     
/*  414 */     CLabel label_17 = new CLabel(composite_10, 0);
/*  415 */     label_17.setLayoutData(new GridData(-1, 18));
/*  416 */     label_17.setText("国家税务总局");
/*      */ 
/*      */     
/*  419 */     CLabel label_18 = new CLabel(composite_10, 0);
/*  420 */     label_18.setLayoutData(new GridData(-1, 18));
/*  421 */     label_18.setText("国家工商行政管理局");
/*      */     
/*  423 */     CLabel label_24 = new CLabel(composite_10, 0);
/*  424 */     label_24.setLayoutData(new GridData(-1, 18));
/*  425 */     label_24.setText("文    号：");
/*      */     
/*  427 */     CLabel label_19 = new CLabel(composite_10, 0);
/*  428 */     label_19.setLayoutData(new GridData(-1, 18));
/*  429 */     label_19.setText("国统字（2005）91号");
/*      */     
/*  431 */     CLabel label_23 = new CLabel(composite_10, 0);
/*  432 */     label_23.setLayoutData(new GridData(-1, 18));
/*  433 */     label_23.setText("有效期至：");
/*      */     
/*  435 */     CLabel label_20 = new CLabel(composite_10, 0);
/*  436 */     label_20.setLayoutData(new GridData(-1, 18));
/*  437 */     label_20.setText("2007 年 12 月");
/*      */     
/*  439 */     CLabel label_3 = new CLabel(composite_3, 0);
/*  440 */     label_3.setFont(SWTResourceManager.getFont("宋体", 18, 1));
/*  441 */     label_3.setLayoutData(new GridData(16777216, 128, true, true));
/*  442 */     label_3.setText("新增、变更和注销单位情况表");
/*      */     
/*  444 */     this.label_410_year = new CLabel(composite_3, 0);
/*  445 */     GridData gd_label_410_year = new GridData(16777216, 1024, 
/*  446 */         false, false);
/*      */     
/*  448 */     this.label_410_year.setLayoutData(gd_label_410_year);
/*  449 */     this.label_410_year.setText("2010  年 上 半年");
/*      */     
/*  451 */     this.tableViewer = new TableViewer(this.composite_1, 2048);
/*  452 */     Table table = this.tableViewer.getTable();
/*  453 */     table.setLinesVisible(true);
/*  454 */     table.setHeaderVisible(true);
/*  455 */     GridData gd_table = new GridData(4, 4, false, false);
/*  456 */     gd_table.widthHint = 905;
/*  457 */     gd_table.heightHint = 345;
/*  458 */     table.setLayoutData(gd_table);
/*      */     
/*  460 */     TableColumn newColumnTableColumn = new TableColumn(table, 
/*  461 */         16777216);
/*  462 */     newColumnTableColumn.setAlignment(16777216);
/*  463 */     newColumnTableColumn.setWidth(60);
/*  464 */     newColumnTableColumn.setText("单位\n序号");
/*      */     
/*  466 */     TableColumn newColumnTableColumn_1 = new TableColumn(table, 
/*  467 */         16777216);
/*  468 */     newColumnTableColumn_1.setWidth(85);
/*  469 */     newColumnTableColumn_1.setText("部门\n统一社会信用代码");
/*      */     
/*  471 */     TableColumn newColumnTableColumn_2 = new TableColumn(table, 
/*  472 */         16777216);
/*  473 */     newColumnTableColumn_2.setWidth(85);
/*  474 */     newColumnTableColumn_2.setText("组织机\n构代码");
/*      */     
/*  476 */     TableColumn newColumnTableColumn_3 = new TableColumn(table, 
/*  477 */         16777216);
/*  478 */     newColumnTableColumn_3.setWidth(105);
/*  479 */     newColumnTableColumn_3.setText("单位名称");
/*      */     
/*  481 */     TableColumn newColumnTableColumn_4 = new TableColumn(table, 
/*  482 */         16777216);
/*  483 */     newColumnTableColumn_4.setWidth(75);
/*  484 */     newColumnTableColumn_4.setText("法定代表人");
/*      */     
/*  486 */     TableColumn newColumnTableColumn_5 = new TableColumn(table, 
/*  487 */         16777216);
/*  488 */     newColumnTableColumn_5.setWidth(110);
/*  489 */     newColumnTableColumn_5.setText("详细地址");
/*      */     
/*  491 */     TableColumn newColumnTableColumn_6 = new TableColumn(table, 
/*  492 */         16777216);
/*  493 */     newColumnTableColumn_6.setWidth(60);
/*  494 */     newColumnTableColumn_6.setText("邮政\n编码");
/*      */     
/*  496 */     TableColumn newColumnTableColumn_7 = new TableColumn(table, 
/*  497 */         16777216);
/*  498 */     newColumnTableColumn_7.setWidth(80);
/*  499 */     newColumnTableColumn_7.setText("联系电话");
/*      */     
/*  501 */     TableColumn newColumnTableColumn_8 = new TableColumn(table, 
/*  502 */         16777216);
/*  503 */     newColumnTableColumn_8.setWidth(90);
/*  504 */     newColumnTableColumn_8.setText("单位类别\n代码");
/*      */     
/*  506 */     TableColumn newColumnTableColumn_9 = new TableColumn(table, 
/*  507 */         16777216);
/*  508 */     newColumnTableColumn_9.setWidth(90);
/*  509 */     newColumnTableColumn_9.setText("变动类型\n代码");
/*      */     
/*  511 */     TableColumn newColumnTableColumn_10 = new TableColumn(table, 
/*  512 */         16777216);
/*  513 */     newColumnTableColumn_10.setWidth(80);
/*  514 */     newColumnTableColumn_10.setText("变动时间");
/*      */     
/*  516 */     table.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/*  523 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  528 */     Composite composite_5_1 = new Composite(this.composite_1, 0);
/*  529 */     GridData gd_composite_5_1 = new GridData(4, 16777216, 
/*  530 */         false, false);
/*  531 */     gd_composite_5_1.widthHint = 900;
/*  532 */     gd_composite_5_1.heightHint = 20;
/*  533 */     composite_5_1.setLayoutData(gd_composite_5_1);
/*  534 */     GridLayout gridLayout_7 = new GridLayout();
/*  535 */     gridLayout_7.horizontalSpacing = 1;
/*  536 */     gridLayout_7.marginWidth = 0;
/*  537 */     gridLayout_7.marginHeight = 0;
/*  538 */     composite_5_1.setLayout((Layout)gridLayout_7);
/*      */     
/*  540 */     this.pageComposit_410 = new PageComposite(composite_5_1, 0);
/*      */     
/*  542 */     this.pageComposit_410.button_first
/*  543 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  546 */             StatisticDataView.this.pageComposit_410.page.firstpage();
/*  547 */             StatisticDataView.this.tableViewer.setInput(StatisticDataView.this
/*  548 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  549 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  550 */                     StatisticDataView.this.pageComposit_410.page)));
/*      */           }
/*      */         });
/*      */     
/*  554 */     this.pageComposit_410.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  557 */             StatisticDataView.this.pageComposit_410.page.prepage();
/*  558 */             StatisticDataView.this.tableViewer.setInput(StatisticDataView.this
/*      */                 
/*  560 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, StatisticDataView.this.pageComposit_410.page)));
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  565 */     this.pageComposit_410.button_down
/*  566 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  569 */             StatisticDataView.this.pageComposit_410.page.nextpage();
/*      */             
/*  571 */             StatisticDataView.this.tableViewer.setInput(StatisticDataView.this
/*  572 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  573 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  574 */                     StatisticDataView.this.pageComposit_410.page)));
/*      */           }
/*      */         });
/*      */     
/*  578 */     this.pageComposit_410.button_last
/*  579 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  582 */             StatisticDataView.this.pageComposit_410.page.lastpage();
/*      */             
/*  584 */             StatisticDataView.this.tableViewer.setInput(StatisticDataView.this
/*  585 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  586 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  587 */                     StatisticDataView.this.pageComposit_410.page)));
/*      */           }
/*      */         });
/*      */     
/*  591 */     this.pageComposit_410.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  594 */             if (StatisticDataView.this.pageComposit_410.setPageable()) {
/*  595 */               StatisticDataView.this.tableViewer.setInput(StatisticDataView.this
/*  596 */                   .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  597 */                       StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  598 */                       StatisticDataView.this.pageComposit_410.page)));
/*      */             }
/*      */           }
/*      */         });
/*      */     
/*  603 */     Composite composite_11 = new Composite(this.composite_1, 0);
/*  604 */     composite_11.setLayoutData(new GridData(4, 16777216, false, 
/*  605 */           false));
/*  606 */     GridLayout gridLayout_8 = new GridLayout();
/*  607 */     gridLayout_8.marginWidth = 0;
/*  608 */     gridLayout_8.marginHeight = 0;
/*  609 */     gridLayout_8.horizontalSpacing = 1;
/*  610 */     gridLayout_8.numColumns = 3;
/*  611 */     composite_11.setLayout((Layout)gridLayout_8);
/*      */     
/*  613 */     CLabel label_25 = new CLabel(composite_11, 0);
/*  614 */     GridData gd_label_25 = new GridData(4, 16777216, false, 
/*  615 */         false);
/*  616 */     gd_label_25.widthHint = 260;
/*  617 */     label_25.setLayoutData(gd_label_25);
/*  618 */     label_25.setText("单位负责人:");
/*      */     
/*  620 */     CLabel label_28 = new CLabel(composite_11, 0);
/*  621 */     label_28.setLayoutData(new GridData(190, -1));
/*  622 */     label_28.setText("填表人：");
/*      */     
/*  624 */     CLabel label_30 = new CLabel(composite_11, 0);
/*  625 */     label_30.setText("报出日期：");
/*      */     
/*  627 */     Composite composite_5 = new Composite(this.composite_1, 0);
/*  628 */     GridLayout gridLayout_9 = new GridLayout();
/*  629 */     gridLayout_9.numColumns = 2;
/*  630 */     composite_5.setLayout((Layout)gridLayout_9);
/*  631 */     composite_5.setLayoutData(new GridData());
/*      */     
/*  633 */     Label label_27 = new Label(composite_5, 0);
/*  634 */     GridData gd_label_27 = new GridData(131072, 16777216, false, 
/*  635 */         false);
/*  636 */     gd_label_27.widthHint = 50;
/*  637 */     label_27.setLayoutData(gd_label_27);
/*  638 */     label_27.setText("说明:");
/*      */     
/*  640 */     Label label_29 = new Label(composite_5, 64);
/*  641 */     label_29.setLayoutData(new GridData(4, 16777216, true, false));
/*  642 */     label_29.setText("1.本表范围是报告期内部门登记的全部新增、变更和注销的法人单位和产业活动单位或分支机构。");
/*      */ 
/*      */     
/*  645 */     Label label_31 = new Label(composite_5, 64);
/*  646 */     label_31.setText("2.本表报告期别为半年报；提供时间为每年2月底前和8月底前；提供方式为电子邮件或磁介质。");
/*      */ 
/*      */     
/*  649 */     Label label_32 = new Label(composite_5, 64);
/*  650 */     label_32.setText("3.登记机关代码：B-机构编制部门；M-民政部门；S-税务部门；G-工商部门。");
/*      */ 
/*      */     
/*  653 */     Label label_33 = new Label(composite_5, 64);
/*  654 */     label_33.setText("4.登记机关级别代码：1-中央级；2-省级；3-地（市）级；4-县（市）级");
/*      */ 
/*      */     
/*  657 */     Label label_34 = new Label(composite_5, 64);
/*  658 */     label_34.setLayoutData(new GridData());
/*  659 */     label_34.setText("5.单位类别代码：\n  法人单位填写：10-企业法人；20-事业法人；30-机关法人；40-社团法人；51-民办非企业法人；52-基金会；53-居委会；54-村委会；90-其他法人；\n  产业活动单位或分支机构填写：01-生产经营性的产业活动单位；02-非生产经营性的产业活动单位。");
/*      */ 
/*      */     
/*  662 */     Label label_35 = new Label(composite_5, 0);
/*  663 */     label_35.setText("6.变动类型代码：1-新增；2-变更；3-注销。");
/*      */ 
/*      */     
/*  666 */     Label label_36 = new Label(composite_5, 0);
/*  667 */     label_36.setText("7.变动时间：新增单位填写设立登记时间；变更单位填写变更登记时间；注销单位填写注销时间。");
/*      */     
/*  669 */     Button button_410 = new Button(this.composite_1, 0);
/*  670 */     button_410.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/*  674 */               SaveStatisticDataEXCELDialog s = new SaveStatisticDataEXCELDialog(
/*  675 */                   StatisticDataView.this.shell, StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  676 */                   StatisticDataView.this.timelabel, StatisticDataView.this.typelabel, StatisticDataView.this.dislabel, StatisticDataView.this.sumController);
/*  677 */               s.open();
/*  678 */             } catch (Exception e2) {
/*  679 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*  683 */     GridData gd_button_410 = new GridData(16777216, 16777216, 
/*  684 */         false, false);
/*  685 */     button_410.setLayoutData(gd_button_410);
/*  686 */     button_410.setText("另存为Excel");
/*      */     
/*  688 */     this.composite_13 = new Composite(this.composite_all, 0);
/*  689 */     GridLayout gridLayout_26 = new GridLayout();
/*  690 */     gridLayout_26.marginRight = 10;
/*  691 */     gridLayout_26.marginLeft = 10;
/*  692 */     this.composite_13.setLayout((Layout)gridLayout_26);
/*      */     
/*  694 */     Composite composite_3_1 = new Composite(this.composite_13, 0);
/*  695 */     GridData gd_composite_3_1 = new GridData();
/*  696 */     composite_3_1.setLayoutData(gd_composite_3_1);
/*  697 */     GridLayout gridLayout_10 = new GridLayout();
/*  698 */     gridLayout_10.numColumns = 3;
/*  699 */     gridLayout_10.marginWidth = 1;
/*  700 */     gridLayout_10.marginHeight = 1;
/*  701 */     gridLayout_10.horizontalSpacing = 1;
/*  702 */     composite_3_1.setLayout((Layout)gridLayout_10);
/*      */     
/*  704 */     Composite composite_9_1 = new Composite(composite_3_1, 0);
/*  705 */     composite_9_1.setLayout((Layout)new GridLayout());
/*  706 */     composite_9_1.setLayoutData(new GridData(16384, 4, false, 
/*  707 */           false, 1, 3));
/*      */     
/*  709 */     Button button_3_1 = new Button(composite_9_1, 8388608);
/*  710 */     button_3_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  712 */             StatisticDataView.this.initSearch();
/*      */           }
/*      */         });
/*      */     
/*  716 */     GridData gd_button_3 = new GridData(16384, 16777216, false, true);
/*  717 */     gd_button_3.heightHint = 21;
/*  718 */     gd_button_3.widthHint = 45;
/*  719 */     button_3_1.setLayoutData(gd_button_3);
/*  720 */     button_3_1.setText("返回");
/*      */     
/*  722 */     CLabel label_10_1 = new CLabel(composite_9_1, 0);
/*  723 */     label_10_1.setLayoutData(new GridData(-1, 18));
/*  724 */     label_10_1.setText("登记机关代码：B");
/*      */     
/*  726 */     this.label_251_type = new CLabel(composite_9_1, 0);
/*  727 */     this.label_251_type.setLayoutData(new GridData(200, 18));
/*  728 */     this.label_251_type.setText("登记机关级别代码：");
/*      */     
/*  730 */     this.label_251_dis = new CLabel(composite_9_1, 0);
/*  731 */     this.label_251_dis.setLayoutData(new GridData(200, 18));
/*  732 */     this.label_251_dis.setText("登记机关行政区划代码：");
/*      */     
/*  734 */     CLabel label_37_1 = new CLabel(composite_3_1, 0);
/*  735 */     GridData gd_label_37_1 = new GridData(16384, 16777216, true, 
/*  736 */         false);
/*  737 */     gd_label_37_1.widthHint = 505;
/*  738 */     label_37_1.setLayoutData(gd_label_37_1);
/*      */     
/*  740 */     Composite composite_10_1 = new Composite(composite_3_1, 0);
/*  741 */     composite_10_1.setLayoutData(new GridData(4, 4, false, 
/*  742 */           false, 1, 3));
/*  743 */     GridLayout gridLayout_11 = new GridLayout();
/*  744 */     gridLayout_11.numColumns = 2;
/*  745 */     gridLayout_11.marginWidth = 2;
/*  746 */     gridLayout_11.marginTop = 1;
/*  747 */     gridLayout_11.marginHeight = 1;
/*  748 */     gridLayout_11.horizontalSpacing = 0;
/*  749 */     composite_10_1.setLayout((Layout)gridLayout_11);
/*      */     
/*  751 */     CLabel label_21_1 = new CLabel(composite_10_1, 0);
/*  752 */     label_21_1.setLayoutData(new GridData(-1, 18));
/*  753 */     label_21_1.setText("表    号：");
/*      */     
/*  755 */     CLabel label_13_1 = new CLabel(composite_10_1, 0);
/*  756 */     label_13_1.setLayoutData(new GridData(-1, 18));
/*  757 */     label_13_1.setText("251表");
/*      */     
/*  759 */     CLabel label_22_1 = new CLabel(composite_10_1, 0);
/*  760 */     label_22_1.setLayoutData(new GridData(-1, 18));
/*  761 */     label_22_1.setText("制表单位：");
/*      */     
/*  763 */     CLabel label_14_1 = new CLabel(composite_10_1, 0);
/*  764 */     label_14_1.setLayoutData(new GridData(-1, 18));
/*  765 */     label_14_1.setText("福建省统计局");
/*      */ 
/*      */     
/*  768 */     CLabel label_15_1 = new CLabel(composite_10_1, 0);
/*  769 */     label_15_1.setLayoutData(new GridData(-1, 18));
/*  770 */     label_15_1.setText("福建省机构编制委员会办公室");
/*      */ 
/*      */     
/*  773 */     CLabel label_16_1 = new CLabel(composite_10_1, 0);
/*  774 */     label_16_1.setLayoutData(new GridData(-1, 18));
/*  775 */     label_16_1.setText("福建省民政局");
/*      */ 
/*      */     
/*  778 */     CLabel label_17_1 = new CLabel(composite_10_1, 0);
/*  779 */     label_17_1.setLayoutData(new GridData(-1, 18));
/*  780 */     label_17_1.setText("福建省国家税务局");
/*      */ 
/*      */     
/*  783 */     CLabel label_18_1 = new CLabel(composite_10_1, 0);
/*  784 */     label_18_1.setLayoutData(new GridData(-1, 18));
/*  785 */     label_18_1.setText("福建省地方税务局");
/*      */ 
/*      */     
/*  788 */     CLabel label_18_2 = new CLabel(composite_10_1, 0);
/*  789 */     label_18_2.setLayoutData(new GridData(-1, 18));
/*  790 */     label_18_2.setText("福建省工商行政管理局");
/*      */     
/*  792 */     CLabel label_24_1 = new CLabel(composite_10_1, 0);
/*  793 */     label_24_1.setLayoutData(new GridData(-1, 18));
/*  794 */     label_24_1.setText("文    号：");
/*      */     
/*  796 */     CLabel label_19_1 = new CLabel(composite_10_1, 0);
/*  797 */     label_19_1.setLayoutData(new GridData(-1, 18));
/*  798 */     label_19_1.setText("闽统综制字(2005)15号");
/*      */     
/*  800 */     CLabel label_23_1 = new CLabel(composite_10_1, 0);
/*  801 */     label_23_1.setLayoutData(new GridData(-1, 18));
/*  802 */     label_23_1.setText("有效期至：");
/*      */     
/*  804 */     CLabel label_20_1 = new CLabel(composite_10_1, 0);
/*  805 */     label_20_1.setLayoutData(new GridData(-1, 18));
/*  806 */     label_20_1.setText("至2007年3月");
/*      */     
/*  808 */     CLabel label_3_1 = new CLabel(composite_3_1, 0);
/*  809 */     label_3_1.setLayoutData(new GridData(16777216, 128, false, true));
/*  810 */     label_3_1.setFont(SWTResourceManager.getFont("宋体", 18, 1));
/*  811 */     label_3_1.setText("新增单位情况表");
/*      */     
/*  813 */     this.label_251_year = new CLabel(composite_3_1, 0);
/*  814 */     GridData gd_label_251_year = new GridData(16777216, 1024, 
/*  815 */         false, false);
/*  816 */     this.label_251_year.setLayoutData(gd_label_251_year);
/*  817 */     this.label_251_year.setText("2010  年 上 半年");
/*      */     
/*  819 */     this.tableViewer2 = new TableViewer(this.composite_13, 2048);
/*  820 */     Table table_2 = this.tableViewer2.getTable();
/*  821 */     table_2.setLinesVisible(true);
/*  822 */     table_2.setHeaderVisible(true);
/*  823 */     GridData gd_table_2 = new GridData(16384, 4, false, 
/*  824 */         false);
/*  825 */     gd_table_2.heightHint = 345;
/*  826 */     gd_table_2.widthHint = 930;
/*  827 */     table_2.setLayoutData(gd_table_2);
/*      */     
/*  829 */     TableColumn newColumnTableColumn_11 = new TableColumn(table_2, 
/*  830 */         16777216);
/*  831 */     newColumnTableColumn_11.setAlignment(16777216);
/*  832 */     newColumnTableColumn_11.setWidth(60);
/*  833 */     newColumnTableColumn_11.setText("单位\n序号");
/*      */     
/*  835 */     TableColumn newColumnTableColumn_1_1 = new TableColumn(table_2, 
/*  836 */         16777216);
/*  837 */     newColumnTableColumn_1_1.setWidth(85);
/*  838 */     newColumnTableColumn_1_1.setText("部门\n统一社会信用代码");
/*      */     
/*  840 */     TableColumn newColumnTableColumn_2_1 = new TableColumn(table_2, 
/*  841 */         16777216);
/*  842 */     newColumnTableColumn_2_1.setWidth(85);
/*  843 */     newColumnTableColumn_2_1.setText("单位\n代码");
/*      */     
/*  845 */     TableColumn newColumnTableColumn_3_1 = new TableColumn(table_2, 
/*  846 */         16777216);
/*  847 */     newColumnTableColumn_3_1.setWidth(100);
/*  848 */     newColumnTableColumn_3_1.setText("单位\n名称");
/*      */     
/*  850 */     TableColumn newColumnTableColumn_4_1 = new TableColumn(table_2, 
/*  851 */         16777216);
/*  852 */     newColumnTableColumn_4_1.setWidth(75);
/*  853 */     newColumnTableColumn_4_1.setText("法定\n代表人");
/*      */     
/*  855 */     TableColumn newColumnTableColumn_5_1 = new TableColumn(table_2, 
/*  856 */         16777216);
/*  857 */     newColumnTableColumn_5_1.setWidth(100);
/*  858 */     newColumnTableColumn_5_1.setText("单位\n地址");
/*      */     
/*  860 */     TableColumn newColumnTableColumn_6_1 = new TableColumn(table_2, 
/*  861 */         16777216);
/*  862 */     newColumnTableColumn_6_1.setWidth(60);
/*  863 */     newColumnTableColumn_6_1.setText("邮政\n编码");
/*      */     
/*  865 */     TableColumn newColumnTableColumn_7_1 = new TableColumn(table_2, 
/*  866 */         16777216);
/*  867 */     newColumnTableColumn_7_1.setWidth(80);
/*  868 */     newColumnTableColumn_7_1.setText("联系\n电话");
/*      */     
/*  870 */     TableColumn newColumnTableColumn_8_1 = new TableColumn(table_2, 
/*  871 */         16777216);
/*  872 */     newColumnTableColumn_8_1.setWidth(60);
/*  873 */     newColumnTableColumn_8_1.setText("单位\n类别");
/*      */     
/*  875 */     TableColumn newColumnTableColumn_9_1 = new TableColumn(table_2, 
/*  876 */         16777216);
/*  877 */     newColumnTableColumn_9_1.setWidth(90);
/*  878 */     newColumnTableColumn_9_1.setText("设立\n登记\n时间");
/*      */     
/*  880 */     TableColumn newColumnTableColumn_10_1 = new TableColumn(table_2, 
/*  881 */         16777216);
/*  882 */     newColumnTableColumn_10_1.setWidth(80);
/*  883 */     newColumnTableColumn_10_1.setText("分支机\n构个数");
/*      */     
/*  885 */     TableColumn newColumnTableColumn_11_1 = new TableColumn(table_2, 
/*  886 */         16777216);
/*  887 */     newColumnTableColumn_11_1.setWidth(70);
/*  888 */     newColumnTableColumn_11_1.setText("注册\n资本");
/*      */     
/*  890 */     table_2.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/*  897 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  902 */     Composite composite_5_1_1 = new Composite(this.composite_13, 0);
/*  903 */     GridData gd_composite_5_1_1 = new GridData(4, 16777216, 
/*  904 */         false, false);
/*  905 */     gd_composite_5_1_1.heightHint = 20;
/*  906 */     composite_5_1_1.setLayoutData(gd_composite_5_1_1);
/*  907 */     GridLayout gridLayout_12 = new GridLayout();
/*  908 */     gridLayout_12.marginWidth = 0;
/*  909 */     gridLayout_12.marginHeight = 0;
/*  910 */     gridLayout_12.horizontalSpacing = 1;
/*  911 */     composite_5_1_1.setLayout((Layout)gridLayout_12);
/*      */     
/*  913 */     this.pageComposit_251 = new PageComposite(composite_5_1_1, 0);
/*      */     
/*  915 */     this.pageComposit_251.button_first
/*  916 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  919 */             StatisticDataView.this.pageComposit_251.page.firstpage();
/*  920 */             StatisticDataView.this.tableViewer2.setInput(StatisticDataView.this
/*  921 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  922 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  923 */                     StatisticDataView.this.pageComposit_251.page)));
/*      */           }
/*      */         });
/*      */     
/*  927 */     this.pageComposit_251.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  930 */             StatisticDataView.this.pageComposit_251.page.prepage();
/*  931 */             StatisticDataView.this.tableViewer2.setInput(StatisticDataView.this
/*      */                 
/*  933 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, StatisticDataView.this.pageComposit_251.page)));
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  938 */     this.pageComposit_251.button_down
/*  939 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  942 */             StatisticDataView.this.pageComposit_251.page.nextpage();
/*      */             
/*  944 */             StatisticDataView.this.tableViewer2.setInput(StatisticDataView.this
/*  945 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  946 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  947 */                     StatisticDataView.this.pageComposit_251.page)));
/*      */           }
/*      */         });
/*      */     
/*  951 */     this.pageComposit_251.button_last
/*  952 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  955 */             StatisticDataView.this.pageComposit_251.page.lastpage();
/*      */             
/*  957 */             StatisticDataView.this.tableViewer2.setInput(StatisticDataView.this
/*  958 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  959 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  960 */                     StatisticDataView.this.pageComposit_251.page)));
/*      */           }
/*      */         });
/*      */     
/*  964 */     this.pageComposit_251.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  967 */             if (StatisticDataView.this.pageComposit_251.setPageable()) {
/*  968 */               StatisticDataView.this.tableViewer2.setInput(StatisticDataView.this
/*  969 */                   .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/*  970 */                       StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/*  971 */                       StatisticDataView.this.pageComposit_251.page)));
/*      */             }
/*      */           }
/*      */         });
/*      */     
/*  976 */     Composite composite_11_1 = new Composite(this.composite_13, 0);
/*  977 */     composite_11_1.setLayoutData(new GridData());
/*  978 */     GridLayout gridLayout_13 = new GridLayout();
/*  979 */     gridLayout_13.numColumns = 3;
/*  980 */     gridLayout_13.marginWidth = 0;
/*  981 */     gridLayout_13.marginHeight = 0;
/*  982 */     gridLayout_13.horizontalSpacing = 1;
/*  983 */     composite_11_1.setLayout((Layout)gridLayout_13);
/*      */     
/*  985 */     CLabel label_25_1 = new CLabel(composite_11_1, 0);
/*  986 */     GridData gd_label_25_1 = new GridData(4, 16777216, 
/*  987 */         false, false);
/*  988 */     gd_label_25_1.widthHint = 260;
/*  989 */     label_25_1.setLayoutData(gd_label_25_1);
/*  990 */     label_25_1.setText("单位负责人:");
/*      */     
/*  992 */     CLabel label_28_1 = new CLabel(composite_11_1, 0);
/*  993 */     label_28_1.setLayoutData(new GridData(190, -1));
/*  994 */     label_28_1.setText("填表人：");
/*      */     
/*  996 */     CLabel label_30_1 = new CLabel(composite_11_1, 0);
/*  997 */     label_30_1.setText("报出日期：");
/*      */     
/*  999 */     Composite composite_5_2 = new Composite(this.composite_13, 0);
/* 1000 */     composite_5_2.setLayoutData(new GridData(16384, 128, false, 
/* 1001 */           false));
/* 1002 */     GridLayout gridLayout_14 = new GridLayout();
/* 1003 */     gridLayout_14.numColumns = 2;
/* 1004 */     composite_5_2.setLayout((Layout)gridLayout_14);
/*      */     
/* 1006 */     Label label_27_1 = new Label(composite_5_2, 0);
/* 1007 */     GridData gd_label_27_1 = new GridData(131072, 16777216, 
/* 1008 */         false, false);
/* 1009 */     gd_label_27_1.widthHint = 50;
/* 1010 */     label_27_1.setLayoutData(gd_label_27_1);
/* 1011 */     label_27_1.setText("说明:");
/*      */     
/* 1013 */     Label label_29_1 = new Label(composite_5_2, 64);
/* 1014 */     label_29_1
/* 1015 */       .setLayoutData(new GridData(4, 16777216, true, false));
/* 1016 */     label_29_1.setText("1.本表统计范围市报告期内部门登记的全部新增的法人单位和产业活动单位或分支机构。");
/*      */ 
/*      */     
/* 1019 */     Label label_31_1 = new Label(composite_5_2, 64);
/* 1020 */     label_31_1.setText("2.本表报告期别为半年报；提供时间为每年2月底前和8月底前；提供方式为电子邮件或磁介质。");
/*      */ 
/*      */     
/* 1023 */     Label label_32_1 = new Label(composite_5_2, 64);
/* 1024 */     label_32_1.setText("3.登记机关代码：B-机构编制部门；M-民政部门；S-税务部门；G-工商部门。");
/*      */ 
/*      */     
/* 1027 */     Label label_33_1 = new Label(composite_5_2, 64);
/* 1028 */     label_33_1.setText("4.登记机关级别代码：1-中央级；2-省级；3-地（市）级；4-县（市）级");
/*      */ 
/*      */     
/* 1031 */     Label label_34_1 = new Label(composite_5_2, 64);
/* 1032 */     label_34_1.setLayoutData(new GridData(870, -1));
/* 1033 */     label_34_1.setText("5.单位类别（此项只填写代码）：法人单位：10 企业法人；20 事业法人；30 机关法人；40 社团法人；51 民办非企业法人；52 基金会；53 居委会；54 村委会；90 其他法人。产业活动单位：01 生产经营性的产业活动单位；02 非生产经营性的产业活动单位。");
/*      */     
/* 1035 */     Button button_251 = new Button(this.composite_13, 0);
/* 1036 */     button_251.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/* 1040 */               SaveStatisticDataEXCELDialog s = new SaveStatisticDataEXCELDialog(
/* 1041 */                   StatisticDataView.this.shell, StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1042 */                   StatisticDataView.this.timelabel, StatisticDataView.this.typelabel, StatisticDataView.this.dislabel, StatisticDataView.this.sumController);
/* 1043 */               s.open();
/* 1044 */             } catch (Exception e2) {
/* 1045 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/* 1050 */     GridData gd_button_251 = new GridData(16777216, 16777216, 
/* 1051 */         false, false);
/* 1052 */     button_251.setLayoutData(gd_button_251);
/* 1053 */     button_251.setText("另存为Excel");
/*      */     
/* 1055 */     this.composite_14 = new Composite(this.composite_all, 0);
/* 1056 */     GridLayout gridLayout_27 = new GridLayout();
/* 1057 */     gridLayout_27.marginRight = 10;
/* 1058 */     gridLayout_27.marginLeft = 10;
/* 1059 */     this.composite_14.setLayout((Layout)gridLayout_27);
/*      */     
/* 1061 */     Composite composite_3_1_1 = new Composite(this.composite_14, 0);
/* 1062 */     GridData gd_composite_3_1_1 = new GridData();
/* 1063 */     composite_3_1_1.setLayoutData(gd_composite_3_1_1);
/* 1064 */     GridLayout gridLayout_15 = new GridLayout();
/* 1065 */     gridLayout_15.numColumns = 3;
/* 1066 */     gridLayout_15.marginWidth = 1;
/* 1067 */     gridLayout_15.marginHeight = 1;
/* 1068 */     gridLayout_15.horizontalSpacing = 1;
/* 1069 */     composite_3_1_1.setLayout((Layout)gridLayout_15);
/*      */     
/* 1071 */     Composite composite_9_1_1 = new Composite(composite_3_1_1, 
/* 1072 */         0);
/* 1073 */     composite_9_1_1.setLayoutData(new GridData(16384, 4, false, 
/* 1074 */           false, 1, 3));
/* 1075 */     composite_9_1_1.setLayout((Layout)new GridLayout());
/*      */     
/* 1077 */     Button button_3_1_1 = new Button(composite_9_1_1, 8388608);
/* 1078 */     button_3_1_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1080 */             StatisticDataView.this.initSearch();
/*      */           }
/*      */         });
/*      */     
/* 1084 */     GridData gd_button_3_1_1 = new GridData(16384, 16777216, false, true);
/* 1085 */     gd_button_3_1_1.heightHint = 21;
/* 1086 */     gd_button_3_1_1.widthHint = 45;
/* 1087 */     button_3_1_1.setLayoutData(gd_button_3_1_1);
/* 1088 */     button_3_1_1.setText("返回");
/*      */     
/* 1090 */     CLabel label_10_1_1 = new CLabel(composite_9_1_1, 0);
/* 1091 */     label_10_1_1.setLayoutData(new GridData(-1, 18));
/* 1092 */     label_10_1_1.setText("登记机关代码：B");
/*      */     
/* 1094 */     this.label_252_type = new CLabel(composite_9_1_1, 0);
/* 1095 */     this.label_252_type.setLayoutData(new GridData(200, 18));
/* 1096 */     this.label_252_type.setText("登记机关级别代码：");
/*      */     
/* 1098 */     this.label_252_dis = new CLabel(composite_9_1_1, 0);
/* 1099 */     this.label_252_dis.setLayoutData(new GridData(200, 18));
/* 1100 */     this.label_252_dis.setText("登记机关行政区划代码：");
/*      */     
/* 1102 */     CLabel label_37_1_1 = new CLabel(composite_3_1_1, 0);
/* 1103 */     GridData gd_label_37_1_1 = new GridData(16384, 16777216, 
/* 1104 */         true, false);
/* 1105 */     gd_label_37_1_1.widthHint = 500;
/* 1106 */     label_37_1_1.setLayoutData(gd_label_37_1_1);
/*      */     
/* 1108 */     Composite composite_10_1_1 = new Composite(composite_3_1_1, 
/* 1109 */         0);
/* 1110 */     composite_10_1_1.setLayoutData(new GridData(4, 4, false, 
/* 1111 */           false, 1, 3));
/* 1112 */     GridLayout gridLayout_16 = new GridLayout();
/* 1113 */     gridLayout_16.numColumns = 2;
/* 1114 */     gridLayout_16.marginWidth = 2;
/* 1115 */     gridLayout_16.marginTop = 1;
/* 1116 */     gridLayout_16.marginHeight = 1;
/* 1117 */     gridLayout_16.horizontalSpacing = 0;
/* 1118 */     composite_10_1_1.setLayout((Layout)gridLayout_16);
/*      */     
/* 1120 */     CLabel label_21_1_1 = new CLabel(composite_10_1_1, 0);
/* 1121 */     label_21_1_1.setLayoutData(new GridData(-1, 18));
/* 1122 */     label_21_1_1.setText("表    号：");
/*      */     
/* 1124 */     CLabel label_13_1_1 = new CLabel(composite_10_1_1, 0);
/* 1125 */     label_13_1_1.setLayoutData(new GridData(-1, 18));
/* 1126 */     label_13_1_1.setText("252表");
/*      */     
/* 1128 */     CLabel label_22_1_1 = new CLabel(composite_10_1_1, 0);
/* 1129 */     label_22_1_1.setLayoutData(new GridData(-1, 18));
/* 1130 */     label_22_1_1.setText("制表单位：");
/*      */     
/* 1132 */     CLabel label_14_1_1 = new CLabel(composite_10_1_1, 0);
/* 1133 */     label_14_1_1.setLayoutData(new GridData(-1, 18));
/* 1134 */     label_14_1_1.setText("福建省统计局");
/*      */ 
/*      */     
/* 1137 */     CLabel label_15_1_1 = new CLabel(composite_10_1_1, 0);
/* 1138 */     label_15_1_1.setLayoutData(new GridData(-1, 18));
/* 1139 */     label_15_1_1.setText("福建省机构编制委员会办公室");
/*      */ 
/*      */     
/* 1142 */     CLabel label_16_1_1 = new CLabel(composite_10_1_1, 0);
/* 1143 */     label_16_1_1.setLayoutData(new GridData(-1, 18));
/* 1144 */     label_16_1_1.setText("福建省民政局");
/*      */ 
/*      */     
/* 1147 */     CLabel label_17_1_1 = new CLabel(composite_10_1_1, 0);
/* 1148 */     label_17_1_1.setLayoutData(new GridData(-1, 18));
/* 1149 */     label_17_1_1.setText("福建省国家税务局");
/*      */ 
/*      */     
/* 1152 */     CLabel label_18_1_1 = new CLabel(composite_10_1_1, 0);
/* 1153 */     label_18_1_1.setLayoutData(new GridData(-1, 18));
/* 1154 */     label_18_1_1.setText("福建省地方税务局");
/*      */ 
/*      */     
/* 1157 */     CLabel label_18_2_1 = new CLabel(composite_10_1_1, 0);
/* 1158 */     label_18_2_1.setLayoutData(new GridData(-1, 18));
/* 1159 */     label_18_2_1.setText("福建省工商行政管理局");
/*      */     
/* 1161 */     CLabel label_24_1_1 = new CLabel(composite_10_1_1, 0);
/* 1162 */     label_24_1_1.setLayoutData(new GridData(-1, 18));
/* 1163 */     label_24_1_1.setText("文    号：");
/*      */     
/* 1165 */     CLabel label_19_1_1 = new CLabel(composite_10_1_1, 0);
/* 1166 */     label_19_1_1.setLayoutData(new GridData(-1, 18));
/* 1167 */     label_19_1_1.setText("闽统综制字(2005)15号");
/*      */     
/* 1169 */     CLabel label_23_1_1 = new CLabel(composite_10_1_1, 0);
/* 1170 */     label_23_1_1.setLayoutData(new GridData(-1, 18));
/* 1171 */     label_23_1_1.setText("有效期至：");
/*      */     
/* 1173 */     CLabel label_20_1_1 = new CLabel(composite_10_1_1, 0);
/* 1174 */     label_20_1_1.setLayoutData(new GridData(-1, 18));
/* 1175 */     label_20_1_1.setText("至2007年3月");
/*      */     
/* 1177 */     CLabel label_3_1_1 = new CLabel(composite_3_1_1, 0);
/* 1178 */     label_3_1_1
/* 1179 */       .setLayoutData(new GridData(16777216, 128, false, true));
/* 1180 */     label_3_1_1.setFont(SWTResourceManager.getFont("宋体", 18, 1));
/* 1181 */     label_3_1_1.setText("变更单位情况表");
/*      */     
/* 1183 */     this.label_252_year = new CLabel(composite_3_1_1, 0);
/* 1184 */     GridData gd_label_252_year = new GridData(16777216, 1024, 
/* 1185 */         false, false);
/* 1186 */     this.label_252_year.setLayoutData(gd_label_252_year);
/* 1187 */     this.label_252_year.setText("2010  年 上 半年");
/*      */     
/* 1189 */     this.tableViewer3 = new TableViewer(this.composite_14, 2048);
/* 1190 */     Table table_3 = this.tableViewer3.getTable();
/* 1191 */     table_3.setLinesVisible(true);
/* 1192 */     table_3.setHeaderVisible(true);
/* 1193 */     GridData gd_table_2_1 = new GridData(16384, 4, false, 
/* 1194 */         false);
/* 1195 */     gd_table_2_1.widthHint = 925;
/* 1196 */     gd_table_2_1.heightHint = 345;
/* 1197 */     table_3.setLayoutData(gd_table_2_1);
/*      */     
/* 1199 */     TableColumn newColumnTableColumn_11_2 = new TableColumn(table_3, 
/* 1200 */         16777216);
/* 1201 */     newColumnTableColumn_11_2.setAlignment(16777216);
/* 1202 */     newColumnTableColumn_11_2.setWidth(60);
/* 1203 */     newColumnTableColumn_11_2.setText("单位\n序号");
/*      */     
/* 1205 */     TableColumn newColumnTableColumn_1_1_1 = new TableColumn(table_3, 
/* 1206 */         16777216);
/* 1207 */     newColumnTableColumn_1_1_1.setWidth(85);
/* 1208 */     newColumnTableColumn_1_1_1.setText("变更前单位\n代码");
/*      */     
/* 1210 */     TableColumn newColumnTableColumn_2_1_1 = new TableColumn(table_3, 
/* 1211 */         16777216);
/* 1212 */     newColumnTableColumn_2_1_1.setWidth(85);
/* 1213 */     newColumnTableColumn_2_1_1.setText("变更前单位\n名称");
/*      */     
/* 1215 */     TableColumn newColumnTableColumn_3_1_1 = new TableColumn(table_3, 
/* 1216 */         16777216);
/* 1217 */     newColumnTableColumn_3_1_1.setWidth(100);
/* 1218 */     newColumnTableColumn_3_1_1.setText("变更前法  定\n代表人");
/*      */     
/* 1220 */     TableColumn newColumnTableColumn_4_1_1 = new TableColumn(table_3, 
/* 1221 */         16777216);
/* 1222 */     newColumnTableColumn_4_1_1.setWidth(75);
/* 1223 */     newColumnTableColumn_4_1_1.setText("变更后部门\n统一社会信用代码");
/*      */     
/* 1225 */     TableColumn newColumnTableColumn_5_1_0 = new TableColumn(table_3, 
/* 1226 */         16777216);
/* 1227 */     newColumnTableColumn_5_1_0.setWidth(100);
/* 1228 */     newColumnTableColumn_5_1_0.setText("变更后单位\n代码");
/*      */     
/* 1230 */     TableColumn newColumnTableColumn_5_1_1 = new TableColumn(table_3, 
/* 1231 */         16777216);
/* 1232 */     newColumnTableColumn_5_1_1.setWidth(100);
/* 1233 */     newColumnTableColumn_5_1_1.setText("变更后单位\n名称");
/*      */     
/* 1235 */     TableColumn newColumnTableColumn_6_1_1 = new TableColumn(table_3, 
/* 1236 */         16777216);
/* 1237 */     newColumnTableColumn_6_1_1.setWidth(60);
/* 1238 */     newColumnTableColumn_6_1_1.setText("变更后法  定\n代表人");
/*      */     
/* 1240 */     TableColumn newColumnTableColumn_7_1_1 = new TableColumn(table_3, 
/* 1241 */         16777216);
/* 1242 */     newColumnTableColumn_7_1_1.setWidth(80);
/* 1243 */     newColumnTableColumn_7_1_1.setText("变更后单位\n地址");
/*      */     
/* 1245 */     TableColumn newColumnTableColumn_8_1_1 = new TableColumn(table_3, 
/* 1246 */         16777216);
/* 1247 */     newColumnTableColumn_8_1_1.setWidth(90);
/* 1248 */     newColumnTableColumn_8_1_1.setText("变更后邮政\n编码");
/*      */     
/* 1250 */     TableColumn newColumnTableColumn_9_1_1 = new TableColumn(table_3, 
/* 1251 */         16777216);
/* 1252 */     newColumnTableColumn_9_1_1.setWidth(90);
/* 1253 */     newColumnTableColumn_9_1_1.setText("变更后联系\n电话");
/*      */     
/* 1255 */     TableColumn newColumnTableColumn_10_1_1 = new TableColumn(
/* 1256 */         table_3, 16777216);
/* 1257 */     newColumnTableColumn_10_1_1.setWidth(80);
/* 1258 */     newColumnTableColumn_10_1_1.setText("变更后单位\n类别");
/*      */     
/* 1260 */     TableColumn newColumnTableColumn_11_1_1 = new TableColumn(
/* 1261 */         table_3, 16777216);
/* 1262 */     newColumnTableColumn_11_1_1.setWidth(80);
/* 1263 */     newColumnTableColumn_11_1_1.setText("变更后主营\n业务\n收入");
/*      */     
/* 1265 */     TableColumn newColumnTableColumn_10_1_2 = new TableColumn(
/* 1266 */         table_3, 16777216);
/* 1267 */     newColumnTableColumn_10_1_2.setWidth(80);
/* 1268 */     newColumnTableColumn_10_1_2.setText("更新类\n型代码\n(可复选)");
/*      */     
/* 1270 */     TableColumn newColumnTableColumn_11_1_2 = new TableColumn(
/* 1271 */         table_3, 16777216);
/* 1272 */     newColumnTableColumn_11_1_2.setWidth(80);
/* 1273 */     newColumnTableColumn_11_1_2.setText("变更\n登记\n时间");
/*      */     
/* 1275 */     table_3.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/* 1282 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1287 */     Composite composite_5_1_1_1 = new Composite(this.composite_14, 
/* 1288 */         0);
/* 1289 */     GridData gd_composite_5_1_1_1 = new GridData(4, 
/* 1290 */         16777216, false, false);
/* 1291 */     gd_composite_5_1_1_1.heightHint = 20;
/* 1292 */     composite_5_1_1_1.setLayoutData(gd_composite_5_1_1_1);
/* 1293 */     GridLayout gridLayout_17 = new GridLayout();
/* 1294 */     gridLayout_17.marginWidth = 0;
/* 1295 */     gridLayout_17.marginHeight = 0;
/* 1296 */     gridLayout_17.horizontalSpacing = 1;
/* 1297 */     composite_5_1_1_1.setLayout((Layout)gridLayout_17);
/*      */     
/* 1299 */     this.pageComposit_252 = new PageComposite(composite_5_1_1_1, 0);
/*      */     
/* 1301 */     this.pageComposit_252.button_first
/* 1302 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1305 */             StatisticDataView.this.pageComposit_252.page.firstpage();
/* 1306 */             StatisticDataView.this.tableViewer3.setInput(StatisticDataView.this
/* 1307 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1308 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1309 */                     StatisticDataView.this.pageComposit_252.page)));
/*      */           }
/*      */         });
/*      */     
/* 1313 */     this.pageComposit_252.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1316 */             StatisticDataView.this.pageComposit_252.page.prepage();
/* 1317 */             StatisticDataView.this.tableViewer3.setInput(StatisticDataView.this
/*      */                 
/* 1319 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, StatisticDataView.this.pageComposit_252.page)));
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1324 */     this.pageComposit_252.button_down
/* 1325 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1328 */             StatisticDataView.this.pageComposit_252.page.nextpage();
/*      */             
/* 1330 */             StatisticDataView.this.tableViewer3.setInput(StatisticDataView.this
/* 1331 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1332 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1333 */                     StatisticDataView.this.pageComposit_252.page)));
/*      */           }
/*      */         });
/*      */     
/* 1337 */     this.pageComposit_252.button_last
/* 1338 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1341 */             StatisticDataView.this.pageComposit_252.page.lastpage();
/*      */             
/* 1343 */             StatisticDataView.this.tableViewer3.setInput(StatisticDataView.this
/* 1344 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1345 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1346 */                     StatisticDataView.this.pageComposit_252.page)));
/*      */           }
/*      */         });
/*      */     
/* 1350 */     this.pageComposit_252.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1353 */             if (StatisticDataView.this.pageComposit_252.setPageable()) {
/* 1354 */               StatisticDataView.this.tableViewer3.setInput(StatisticDataView.this
/* 1355 */                   .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1356 */                       StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1357 */                       StatisticDataView.this.pageComposit_252.page)));
/*      */             }
/*      */           }
/*      */         });
/*      */     
/* 1362 */     Composite composite_11_1_1 = new Composite(this.composite_14, 0);
/* 1363 */     composite_11_1_1.setLayoutData(new GridData());
/* 1364 */     GridLayout gridLayout_18 = new GridLayout();
/* 1365 */     gridLayout_18.numColumns = 3;
/* 1366 */     gridLayout_18.marginWidth = 0;
/* 1367 */     gridLayout_18.marginHeight = 0;
/* 1368 */     gridLayout_18.horizontalSpacing = 1;
/* 1369 */     composite_11_1_1.setLayout((Layout)gridLayout_18);
/*      */     
/* 1371 */     CLabel label_25_1_1 = new CLabel(composite_11_1_1, 0);
/* 1372 */     GridData gd_label_25_1_1 = new GridData(4, 16777216, 
/* 1373 */         false, false);
/* 1374 */     gd_label_25_1_1.widthHint = 260;
/* 1375 */     label_25_1_1.setLayoutData(gd_label_25_1_1);
/* 1376 */     label_25_1_1.setText("单位负责人:");
/*      */     
/* 1378 */     CLabel label_28_1_1 = new CLabel(composite_11_1_1, 0);
/* 1379 */     label_28_1_1.setLayoutData(new GridData(190, -1));
/* 1380 */     label_28_1_1.setText("填表人：");
/*      */     
/* 1382 */     CLabel label_30_1_1 = new CLabel(composite_11_1_1, 0);
/* 1383 */     label_30_1_1.setText("报出日期：");
/*      */     
/* 1385 */     Composite composite_5_2_1 = new Composite(this.composite_14, 0);
/* 1386 */     composite_5_2_1.setLayoutData(new GridData());
/* 1387 */     GridLayout gridLayout_19 = new GridLayout();
/* 1388 */     gridLayout_19.numColumns = 2;
/* 1389 */     composite_5_2_1.setLayout((Layout)gridLayout_19);
/*      */     
/* 1391 */     Label label_27_1_1 = new Label(composite_5_2_1, 0);
/* 1392 */     GridData gd_label_27_1_1 = new GridData(131072, 16777216, 
/* 1393 */         false, false);
/* 1394 */     gd_label_27_1_1.widthHint = 50;
/* 1395 */     label_27_1_1.setLayoutData(gd_label_27_1_1);
/* 1396 */     label_27_1_1.setText("说明:");
/*      */     
/* 1398 */     Label label_29_1_1 = new Label(composite_5_2_1, 64);
/* 1399 */     label_29_1_1.setLayoutData(new GridData(16384, 16777216, true, 
/* 1400 */           false));
/* 1401 */     label_29_1_1.setText("1.本表统计范围市报告期内部门登记的全部新增的法人单位和产业活动单位或分支机构。");
/*      */ 
/*      */     
/* 1404 */     Label label_31_1_1 = new Label(composite_5_2_1, 64);
/* 1405 */     label_31_1_1.setText("2.本表报告期别为半年报；提供时间为每年2月底前和8月底前；提供方式为电子邮件或磁介质。");
/*      */ 
/*      */     
/* 1408 */     Label label_32_1_1 = new Label(composite_5_2_1, 64);
/* 1409 */     label_32_1_1.setText("3.登记机关代码：B-机构编制部门；M-民政部门；S-税务部门；G-工商部门。");
/*      */ 
/*      */     
/* 1412 */     Label label_33_1_1 = new Label(composite_5_2_1, 64);
/* 1413 */     label_33_1_1.setText("4.登记机关级别代码：1-中央级；2-省级；3-地（市）级；4-县（市）级");
/*      */ 
/*      */     
/* 1416 */     Label label_34_1_1 = new Label(composite_5_2_1, 64);
/* 1417 */     GridData gd_label_34_1_1 = new GridData(16384, 16777216, 
/* 1418 */         true, false);
/* 1419 */     gd_label_34_1_1.widthHint = 870;
/* 1420 */     label_34_1_1.setLayoutData(gd_label_34_1_1);
/* 1421 */     label_34_1_1.setText("5.单位类别（此项只填写代码）：法人单位：10 企业法人；20 事业法人；30 机关法人；40 社团法人；51 民办非企业法人；52 基金会；53 居委会；54 村委会；90 其他法人。产业活动单位：01 生产经营性的产业活动单位；02 非生产经营性的产业活动单位。");
/*      */ 
/*      */     
/* 1424 */     Label label_33_1_2 = new Label(composite_5_2_1, 64);
/* 1425 */     label_33_1_2.setText("6.变更类型代码：1 变更名称；2 变更法定代表人；3 变更地址及邮编；4 变更联系电话；5 变更行业。（代码1-5可复选，用逗号隔开）");
/*      */     
/* 1427 */     Button button_252 = new Button(this.composite_14, 0);
/* 1428 */     button_252.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/* 1432 */               SaveStatisticDataEXCELDialog s = new SaveStatisticDataEXCELDialog(
/* 1433 */                   StatisticDataView.this.shell, StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1434 */                   StatisticDataView.this.timelabel, StatisticDataView.this.typelabel, StatisticDataView.this.dislabel, StatisticDataView.this.sumController);
/* 1435 */               s.open();
/* 1436 */             } catch (Exception e2) {
/* 1437 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/* 1442 */     GridData gd_button_252 = new GridData(16777216, 16777216, 
/* 1443 */         false, false);
/* 1444 */     button_252.setLayoutData(gd_button_252);
/* 1445 */     button_252.setText("另存为Excel");
/*      */     
/* 1447 */     this.composite_15 = new Composite(this.composite_all, 0);
/* 1448 */     GridLayout gridLayout_28 = new GridLayout();
/* 1449 */     gridLayout_28.marginRight = 10;
/* 1450 */     gridLayout_28.marginLeft = 10;
/* 1451 */     this.composite_15.setLayout((Layout)gridLayout_28);
/*      */     
/* 1453 */     Composite composite_3_1_2 = new Composite(this.composite_15, 0);
/* 1454 */     GridData gd_composite_3_1_2 = new GridData();
/* 1455 */     composite_3_1_2.setLayoutData(gd_composite_3_1_2);
/* 1456 */     GridLayout gridLayout_20 = new GridLayout();
/* 1457 */     gridLayout_20.numColumns = 3;
/* 1458 */     gridLayout_20.marginWidth = 1;
/* 1459 */     gridLayout_20.marginHeight = 1;
/* 1460 */     gridLayout_20.horizontalSpacing = 1;
/* 1461 */     composite_3_1_2.setLayout((Layout)gridLayout_20);
/*      */     
/* 1463 */     Composite composite_9_1_2 = new Composite(composite_3_1_2, 
/* 1464 */         0);
/* 1465 */     composite_9_1_2.setLayoutData(new GridData(16384, 4, false, 
/* 1466 */           false, 1, 3));
/* 1467 */     composite_9_1_2.setLayout((Layout)new GridLayout());
/*      */     
/* 1469 */     Button button_3_1_2 = new Button(composite_9_1_2, 8388608);
/* 1470 */     button_3_1_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1472 */             StatisticDataView.this.initSearch();
/*      */           }
/*      */         });
/*      */     
/* 1476 */     GridData gd_button_3_1_2 = new GridData(16384, 16777216, false, true);
/* 1477 */     gd_button_3_1_2.heightHint = 21;
/* 1478 */     gd_button_3_1_2.widthHint = 45;
/* 1479 */     button_3_1_2.setLayoutData(gd_button_3_1_2);
/* 1480 */     button_3_1_2.setText("返回");
/*      */     
/* 1482 */     CLabel label_10_1_2 = new CLabel(composite_9_1_2, 0);
/* 1483 */     label_10_1_2.setLayoutData(new GridData(-1, 18));
/* 1484 */     label_10_1_2.setText("登记机关代码：B");
/*      */     
/* 1486 */     this.label_253_type = new CLabel(composite_9_1_2, 0);
/* 1487 */     this.label_253_type.setLayoutData(new GridData(200, 18));
/* 1488 */     this.label_253_type.setText("登记机关级别代码：");
/*      */     
/* 1490 */     this.label_253_dis = new CLabel(composite_9_1_2, 0);
/* 1491 */     this.label_253_dis.setLayoutData(new GridData(200, 18));
/* 1492 */     this.label_253_dis.setText("登记机关行政区划代码：");
/*      */     
/* 1494 */     CLabel label_37_1_2 = new CLabel(composite_3_1_2, 0);
/* 1495 */     GridData gd_label_37_1_2 = new GridData(16384, 16777216, 
/* 1496 */         true, false);
/* 1497 */     gd_label_37_1_2.widthHint = 500;
/* 1498 */     label_37_1_2.setLayoutData(gd_label_37_1_2);
/*      */     
/* 1500 */     Composite composite_10_1_2 = new Composite(composite_3_1_2, 
/* 1501 */         0);
/* 1502 */     composite_10_1_2.setLayoutData(new GridData(4, 4, false, 
/* 1503 */           false, 1, 3));
/* 1504 */     GridLayout gridLayout_21 = new GridLayout();
/* 1505 */     gridLayout_21.numColumns = 2;
/* 1506 */     gridLayout_21.marginWidth = 2;
/* 1507 */     gridLayout_21.marginTop = 1;
/* 1508 */     gridLayout_21.marginHeight = 1;
/* 1509 */     gridLayout_21.horizontalSpacing = 0;
/* 1510 */     composite_10_1_2.setLayout((Layout)gridLayout_21);
/*      */     
/* 1512 */     CLabel label_21_1_2 = new CLabel(composite_10_1_2, 0);
/* 1513 */     label_21_1_2.setLayoutData(new GridData(-1, 18));
/* 1514 */     label_21_1_2.setText("表    号：");
/*      */     
/* 1516 */     CLabel label_13_1_2 = new CLabel(composite_10_1_2, 0);
/* 1517 */     label_13_1_2.setLayoutData(new GridData(-1, 18));
/* 1518 */     label_13_1_2.setText("253表");
/*      */     
/* 1520 */     CLabel label_22_1_2 = new CLabel(composite_10_1_2, 0);
/* 1521 */     label_22_1_2.setLayoutData(new GridData(-1, 18));
/* 1522 */     label_22_1_2.setText("制表单位：");
/*      */     
/* 1524 */     CLabel label_14_1_2 = new CLabel(composite_10_1_2, 0);
/* 1525 */     label_14_1_2.setLayoutData(new GridData(-1, 18));
/* 1526 */     label_14_1_2.setText("福建省统计局");
/*      */ 
/*      */     
/* 1529 */     CLabel label_15_1_2 = new CLabel(composite_10_1_2, 0);
/* 1530 */     label_15_1_2.setLayoutData(new GridData(-1, 18));
/* 1531 */     label_15_1_2.setText("福建省机构编制委员会办公室");
/*      */ 
/*      */     
/* 1534 */     CLabel label_16_1_2 = new CLabel(composite_10_1_2, 0);
/* 1535 */     label_16_1_2.setLayoutData(new GridData(-1, 18));
/* 1536 */     label_16_1_2.setText("福建省民政局");
/*      */ 
/*      */     
/* 1539 */     CLabel label_17_1_2 = new CLabel(composite_10_1_2, 0);
/* 1540 */     label_17_1_2.setLayoutData(new GridData(-1, 18));
/* 1541 */     label_17_1_2.setText("福建省国家税务局");
/*      */ 
/*      */     
/* 1544 */     CLabel label_18_1_2 = new CLabel(composite_10_1_2, 0);
/* 1545 */     label_18_1_2.setLayoutData(new GridData(-1, 18));
/* 1546 */     label_18_1_2.setText("福建省地方税务局");
/*      */ 
/*      */     
/* 1549 */     CLabel label_18_2_2 = new CLabel(composite_10_1_2, 0);
/* 1550 */     label_18_2_2.setLayoutData(new GridData(-1, 18));
/* 1551 */     label_18_2_2.setText("福建省工商行政管理局");
/*      */     
/* 1553 */     CLabel label_24_1_2 = new CLabel(composite_10_1_2, 0);
/* 1554 */     label_24_1_2.setLayoutData(new GridData(-1, 18));
/* 1555 */     label_24_1_2.setText("文    号：");
/*      */     
/* 1557 */     CLabel label_19_1_2 = new CLabel(composite_10_1_2, 0);
/* 1558 */     label_19_1_2.setLayoutData(new GridData(-1, 18));
/* 1559 */     label_19_1_2.setText("闽统综制字(2005)15号");
/*      */     
/* 1561 */     CLabel label_23_1_2 = new CLabel(composite_10_1_2, 0);
/* 1562 */     label_23_1_2.setLayoutData(new GridData(-1, 18));
/* 1563 */     label_23_1_2.setText("有效期至：");
/*      */     
/* 1565 */     CLabel label_20_1_2 = new CLabel(composite_10_1_2, 0);
/* 1566 */     label_20_1_2.setLayoutData(new GridData(-1, 18));
/* 1567 */     label_20_1_2.setText("至2007年3月");
/*      */     
/* 1569 */     CLabel label_3_1_2 = new CLabel(composite_3_1_2, 0);
/* 1570 */     label_3_1_2
/* 1571 */       .setLayoutData(new GridData(16777216, 128, false, true));
/* 1572 */     label_3_1_2.setFont(SWTResourceManager.getFont("宋体", 18, 1));
/* 1573 */     label_3_1_2.setText("注销单位情况表");
/*      */     
/* 1575 */     this.label_253_year = new CLabel(composite_3_1_2, 0);
/* 1576 */     GridData gd_label_253_year = new GridData(16777216, 1024, 
/* 1577 */         false, false);
/* 1578 */     this.label_253_year.setLayoutData(gd_label_253_year);
/* 1579 */     this.label_253_year.setText("2010  年 上 半年");
/*      */     
/* 1581 */     this.tableViewer4 = new TableViewer(this.composite_15, 2048);
/* 1582 */     Table table_4 = this.tableViewer4.getTable();
/* 1583 */     table_4.setLinesVisible(true);
/* 1584 */     table_4.setHeaderVisible(true);
/* 1585 */     GridData gd_table_2_2 = new GridData(16384, 4, false, 
/* 1586 */         false);
/* 1587 */     gd_table_2_2.widthHint = 925;
/* 1588 */     gd_table_2_2.heightHint = 345;
/* 1589 */     table_4.setLayoutData(gd_table_2_2);
/*      */     
/* 1591 */     TableColumn newColumnTableColumn_11_3 = new TableColumn(table_4, 
/* 1592 */         16777216);
/* 1593 */     newColumnTableColumn_11_3.setAlignment(16777216);
/* 1594 */     newColumnTableColumn_11_3.setWidth(60);
/* 1595 */     newColumnTableColumn_11_3.setText("单位\n序号");
/*      */     
/* 1597 */     TableColumn newColumnTableColumn_1_1_2 = new TableColumn(table_4, 
/* 1598 */         16777216);
/* 1599 */     newColumnTableColumn_1_1_2.setWidth(85);
/* 1600 */     newColumnTableColumn_1_1_2.setText("部门\n统一\n码");
/*      */     
/* 1602 */     TableColumn newColumnTableColumn_2_1_2 = new TableColumn(table_4, 
/* 1603 */         16777216);
/* 1604 */     newColumnTableColumn_2_1_2.setWidth(85);
/* 1605 */     newColumnTableColumn_2_1_2.setText("单位\n代码");
/*      */     
/* 1607 */     TableColumn newColumnTableColumn_3_1_2 = new TableColumn(table_4, 
/* 1608 */         16777216);
/* 1609 */     newColumnTableColumn_3_1_2.setWidth(100);
/* 1610 */     newColumnTableColumn_3_1_2.setText("单位\n名称");
/*      */     
/* 1612 */     TableColumn newColumnTableColumn_4_1_2 = new TableColumn(table_4, 
/* 1613 */         16777216);
/* 1614 */     newColumnTableColumn_4_1_2.setWidth(75);
/* 1615 */     newColumnTableColumn_4_1_2.setText("法  定\n代表人");
/*      */     
/* 1617 */     TableColumn newColumnTableColumn_5_1_2 = new TableColumn(table_4, 
/* 1618 */         16777216);
/* 1619 */     newColumnTableColumn_5_1_2.setWidth(100);
/* 1620 */     newColumnTableColumn_5_1_2.setText("单位\n地址");
/*      */     
/* 1622 */     TableColumn newColumnTableColumn_6_1_2 = new TableColumn(table_4, 
/* 1623 */         16777216);
/* 1624 */     newColumnTableColumn_6_1_2.setWidth(60);
/* 1625 */     newColumnTableColumn_6_1_2.setText("邮政\n编码");
/*      */     
/* 1627 */     TableColumn newColumnTableColumn_7_1_2 = new TableColumn(table_4, 
/* 1628 */         16777216);
/* 1629 */     newColumnTableColumn_7_1_2.setWidth(80);
/* 1630 */     newColumnTableColumn_7_1_2.setText("联系\n电话");
/*      */     
/* 1632 */     TableColumn newColumnTableColumn_8_1_2 = new TableColumn(table_4, 
/* 1633 */         16777216);
/* 1634 */     newColumnTableColumn_8_1_2.setWidth(90);
/* 1635 */     newColumnTableColumn_8_1_2.setText("单位\n类别");
/*      */     
/* 1637 */     TableColumn newColumnTableColumn_9_1_2 = new TableColumn(table_4, 
/* 1638 */         16777216);
/* 1639 */     newColumnTableColumn_9_1_2.setWidth(90);
/* 1640 */     newColumnTableColumn_9_1_2.setText("分支\n机构\n个数");
/*      */     
/* 1642 */     TableColumn newColumnTableColumn_10_1_3 = new TableColumn(
/* 1643 */         table_4, 16777216);
/* 1644 */     newColumnTableColumn_10_1_3.setWidth(80);
/* 1645 */     newColumnTableColumn_10_1_3.setText("主 营 业 务 活 动");
/*      */     
/* 1647 */     TableColumn newColumnTableColumn_11_1_3 = new TableColumn(
/* 1648 */         table_4, 16777216);
/* 1649 */     newColumnTableColumn_11_1_3.setWidth(80);
/* 1650 */     newColumnTableColumn_11_1_3.setText("注销\n原因");
/*      */     
/* 1652 */     TableColumn newColumnTableColumn_12_1_3 = new TableColumn(
/* 1653 */         table_4, 16777216);
/* 1654 */     newColumnTableColumn_12_1_3.setWidth(80);
/* 1655 */     newColumnTableColumn_12_1_3.setText("注销\n时间");
/*      */     
/* 1657 */     table_4.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/* 1664 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1669 */     Composite composite_5_1_1_2 = new Composite(this.composite_15, 
/* 1670 */         0);
/* 1671 */     GridData gd_composite_5_1_1_2 = new GridData(4, 
/* 1672 */         16777216, false, false);
/* 1673 */     gd_composite_5_1_1_2.heightHint = 20;
/* 1674 */     composite_5_1_1_2.setLayoutData(gd_composite_5_1_1_2);
/* 1675 */     GridLayout gridLayout_22 = new GridLayout();
/* 1676 */     gridLayout_22.marginWidth = 0;
/* 1677 */     gridLayout_22.marginHeight = 0;
/* 1678 */     gridLayout_22.horizontalSpacing = 1;
/* 1679 */     composite_5_1_1_2.setLayout((Layout)gridLayout_22);
/*      */     
/* 1681 */     this.pageComposit_253 = new PageComposite(composite_5_1_1_2, 0);
/*      */     
/* 1683 */     this.pageComposit_253.button_first
/* 1684 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1687 */             StatisticDataView.this.pageComposit_253.page.firstpage();
/* 1688 */             StatisticDataView.this.tableViewer4.setInput(StatisticDataView.this
/* 1689 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1690 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1691 */                     StatisticDataView.this.pageComposit_253.page)));
/*      */           }
/*      */         });
/*      */     
/* 1695 */     this.pageComposit_253.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1698 */             StatisticDataView.this.pageComposit_253.page.prepage();
/* 1699 */             StatisticDataView.this.tableViewer4.setInput(StatisticDataView.this
/*      */                 
/* 1701 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, StatisticDataView.this.pageComposit_253.page)));
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1706 */     this.pageComposit_253.button_down
/* 1707 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1710 */             StatisticDataView.this.pageComposit_253.page.nextpage();
/*      */             
/* 1712 */             StatisticDataView.this.tableViewer4.setInput(StatisticDataView.this
/* 1713 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1714 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1715 */                     StatisticDataView.this.pageComposit_253.page)));
/*      */           }
/*      */         });
/*      */     
/* 1719 */     this.pageComposit_253.button_last
/* 1720 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1723 */             StatisticDataView.this.pageComposit_253.page.lastpage();
/*      */             
/* 1725 */             StatisticDataView.this.tableViewer4.setInput(StatisticDataView.this
/* 1726 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1727 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1728 */                     StatisticDataView.this.pageComposit_253.page)));
/*      */           }
/*      */         });
/*      */     
/* 1732 */     this.pageComposit_253.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1735 */             if (StatisticDataView.this.pageComposit_253.setPageable()) {
/* 1736 */               StatisticDataView.this.tableViewer4.setInput(StatisticDataView.this
/* 1737 */                   .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 1738 */                       StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1739 */                       StatisticDataView.this.pageComposit_253.page)));
/*      */             }
/*      */           }
/*      */         });
/*      */     
/* 1744 */     Composite composite_11_1_2 = new Composite(this.composite_15, 0);
/* 1745 */     composite_11_1_2.setLayoutData(new GridData());
/* 1746 */     GridLayout gridLayout_23 = new GridLayout();
/* 1747 */     gridLayout_23.numColumns = 3;
/* 1748 */     gridLayout_23.marginWidth = 0;
/* 1749 */     gridLayout_23.marginHeight = 0;
/* 1750 */     gridLayout_23.horizontalSpacing = 1;
/* 1751 */     composite_11_1_2.setLayout((Layout)gridLayout_23);
/*      */     
/* 1753 */     CLabel label_25_1_2 = new CLabel(composite_11_1_2, 0);
/* 1754 */     GridData gd_label_25_1_2 = new GridData(4, 16777216, 
/* 1755 */         false, false);
/* 1756 */     gd_label_25_1_2.widthHint = 260;
/* 1757 */     label_25_1_2.setLayoutData(gd_label_25_1_2);
/* 1758 */     label_25_1_2.setText("单位负责人:");
/*      */     
/* 1760 */     CLabel label_28_1_2 = new CLabel(composite_11_1_2, 0);
/* 1761 */     label_28_1_2.setLayoutData(new GridData(190, -1));
/* 1762 */     label_28_1_2.setText("填表人：");
/*      */     
/* 1764 */     CLabel label_30_1_2 = new CLabel(composite_11_1_2, 0);
/* 1765 */     label_30_1_2.setText("报出日期：");
/*      */     
/* 1767 */     Composite composite_5_2_2 = new Composite(this.composite_15, 0);
/* 1768 */     composite_5_2_2.setLayoutData(new GridData(996, -1));
/* 1769 */     GridLayout gridLayout_24 = new GridLayout();
/* 1770 */     gridLayout_24.numColumns = 2;
/* 1771 */     composite_5_2_2.setLayout((Layout)gridLayout_24);
/*      */     
/* 1773 */     Label label_27_1_2 = new Label(composite_5_2_2, 0);
/* 1774 */     GridData gd_label_27_1_2 = new GridData(131072, 16777216, 
/* 1775 */         false, false);
/* 1776 */     gd_label_27_1_2.widthHint = 50;
/* 1777 */     label_27_1_2.setLayoutData(gd_label_27_1_2);
/* 1778 */     label_27_1_2.setText("说明:");
/*      */     
/* 1780 */     Label label_29_1_2 = new Label(composite_5_2_2, 64);
/* 1781 */     label_29_1_2.setLayoutData(new GridData(16384, 16777216, true, 
/* 1782 */           false));
/* 1783 */     label_29_1_2.setText("1.本表统计范围市报告期内部门登记的全部新增的法人单位和产业活动单位或分支机构。");
/*      */ 
/*      */     
/* 1786 */     Label label_31_1_2 = new Label(composite_5_2_2, 64);
/* 1787 */     label_31_1_2.setText("2.本表报告期别为半年报；提供时间为每年2月底前和8月底前；提供方式为电子邮件或磁介质。");
/*      */ 
/*      */     
/* 1790 */     Label label_32_1_2 = new Label(composite_5_2_2, 64);
/* 1791 */     label_32_1_2.setText("3.登记机关代码：B-机构编制部门；M-民政部门；S-税务部门；G-工商部门。");
/*      */ 
/*      */     
/* 1794 */     Label label_33_1_3 = new Label(composite_5_2_2, 64);
/* 1795 */     label_33_1_3.setText("4.登记机关级别代码：1-中央级；2-省级；3-地（市）级；4-县（市）级");
/*      */ 
/*      */     
/* 1798 */     Label label_34_1_2 = new Label(composite_5_2_2, 64);
/* 1799 */     label_34_1_2.setLayoutData(new GridData(870, -1));
/* 1800 */     label_34_1_2.setText("5.单位类别（此项只填写代码）：法人单位：10 企业法人；20 事业法人；30 机关法人；40 社团法人；51 民办非企业法人；52 基金会；53 居委会；54 村委会；90 其他法人。产业活动单位：01 生产经营性的产业活动单位；02 非生产经营性的产业活动单位。");
/*      */ 
/*      */     
/* 1803 */     Label label_35_1_2 = new Label(composite_5_2_2, 64);
/* 1804 */     label_35_1_2.setLayoutData(new GridData());
/* 1805 */     label_35_1_2.setText("6.注销原因（此项只填写代码）：1 注销；2 吊销；3 破产；4 关闭；5 其他。");
/*      */     
/* 1807 */     Button button_253 = new Button(this.composite_15, 0);
/* 1808 */     button_253.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/* 1812 */               SaveStatisticDataEXCELDialog s = new SaveStatisticDataEXCELDialog(
/* 1813 */                   StatisticDataView.this.shell, StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 1814 */                   StatisticDataView.this.timelabel, StatisticDataView.this.typelabel, StatisticDataView.this.dislabel, StatisticDataView.this.sumController);
/* 1815 */               s.open();
/* 1816 */             } catch (Exception e2) {
/* 1817 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/* 1822 */     GridData gd_button_253 = new GridData(16777216, 16777216, 
/* 1823 */         false, false);
/* 1824 */     button_253.setLayoutData(gd_button_253);
/* 1825 */     button_253.setText("另存为Excel");
/*      */ 
/*      */ 
/*      */     
/* 1829 */     this.composite_16 = new Composite(this.composite_all, 0);
/* 1830 */     GridLayout gridLayout_14091 = new GridLayout();
/* 1831 */     gridLayout_14091.marginRight = 25;
/* 1832 */     gridLayout_14091.marginLeft = 25;
/* 1833 */     this.composite_16.setLayout((Layout)gridLayout_14091);
/*      */     
/* 1835 */     Composite composite_34091 = new Composite(this.composite_16, 0);
/* 1836 */     GridLayout gridLayout_54091 = new GridLayout();
/* 1837 */     gridLayout_54091.marginWidth = 1;
/* 1838 */     gridLayout_54091.marginHeight = 1;
/* 1839 */     gridLayout_54091.horizontalSpacing = 1;
/* 1840 */     gridLayout_54091.numColumns = 3;
/* 1841 */     composite_34091.setLayout((Layout)gridLayout_54091);
/* 1842 */     GridData gd_composite_34091 = new GridData(16777216, 16777216, 
/* 1843 */         false, false);
/* 1844 */     composite_34091.setLayoutData(gd_composite_34091);
/*      */     
/* 1846 */     Composite composite_94091 = new Composite(composite_34091, 0);
/* 1847 */     composite_94091.setLayout((Layout)new GridLayout());
/* 1848 */     composite_94091.setLayoutData(new GridData(16384, 4, false, 
/* 1849 */           false, 1, 3));
/*      */     
/* 1851 */     Button button_34091 = new Button(composite_94091, 8388608);
/* 1852 */     button_34091.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1854 */             StatisticDataView.this.initSearch();
/*      */           }
/*      */         });
/* 1857 */     GridData gd_button_3_14091 = new GridData(16384, 16777216, false, true);
/* 1858 */     gd_button_3_14091.heightHint = 21;
/* 1859 */     gd_button_3_14091.widthHint = 45;
/* 1860 */     button_34091.setLayoutData(gd_button_3_14091);
/* 1861 */     button_34091.setText("返回");
/*      */     
/* 1863 */     CLabel label_104091 = new CLabel(composite_94091, 0);
/* 1864 */     GridData gd_label_104091 = new GridData(-1, 18);
/* 1865 */     label_104091.setLayoutData(gd_label_104091);
/* 1866 */     label_104091.setText("登记机关代码：B");
/*      */     
/* 1868 */     this.label_4091_type = new CLabel(composite_94091, 0);
/* 1869 */     this.label_4091_type.setLayoutData(new GridData(200, 18));
/* 1870 */     this.label_4091_type.setText("登记机关级别代码：");
/*      */     
/* 1872 */     this.label_4091_dis = new CLabel(composite_94091, 0);
/* 1873 */     this.label_4091_dis.setLayoutData(new GridData(200, 18));
/* 1874 */     this.label_4091_dis.setText("登记机关行政区划代码：");
/*      */     
/* 1876 */     CLabel label_374091 = new CLabel(composite_34091, 0);
/* 1877 */     label_374091.setLayoutData(new GridData(490, -1));
/*      */     
/* 1879 */     Composite composite_104091 = new Composite(composite_34091, 0);
/* 1880 */     GridLayout gridLayout_64091 = new GridLayout();
/* 1881 */     gridLayout_64091.marginTop = 1;
/* 1882 */     gridLayout_64091.marginHeight = 1;
/* 1883 */     gridLayout_64091.horizontalSpacing = 0;
/* 1884 */     gridLayout_64091.marginWidth = 2;
/* 1885 */     gridLayout_64091.numColumns = 2;
/* 1886 */     composite_104091.setLayout((Layout)gridLayout_64091);
/* 1887 */     composite_104091.setLayoutData(new GridData(4, 4, false, 
/* 1888 */           false, 1, 3));
/*      */     
/* 1890 */     CLabel label_214091 = new CLabel(composite_104091, 0);
/* 1891 */     label_214091.setLayoutData(new GridData(-1, 18));
/* 1892 */     label_214091.setText("表    号：");
/*      */     
/* 1894 */     CLabel label_134091 = new CLabel(composite_104091, 0);
/* 1895 */     label_134091.setLayoutData(new GridData(-1, 18));
/* 1896 */     label_134091.setText("J 4 0 9 - 1  表");
/*      */     
/* 1898 */     CLabel label_224091 = new CLabel(composite_104091, 0);
/* 1899 */     label_224091.setLayoutData(new GridData(-1, 18));
/* 1900 */     label_224091.setText("制表单位：");
/*      */     
/* 1902 */     CLabel label_144091 = new CLabel(composite_104091, 0);
/* 1903 */     label_144091.setLayoutData(new GridData(-1, 18));
/* 1904 */     label_144091.setText("国 家 统 计 局");
/*      */ 
/*      */     
/* 1907 */     CLabel label_154091 = new CLabel(composite_104091, 0);
/* 1908 */     label_154091.setLayoutData(new GridData(-1, 18));
/* 1909 */     label_154091.setText("中央机构编制委员会办公室");
/*      */     
/* 1911 */     CLabel label_244091 = new CLabel(composite_104091, 0);
/* 1912 */     label_244091.setLayoutData(new GridData(-1, 18));
/* 1913 */     label_244091.setText("文    号：");
/*      */     
/* 1915 */     CLabel label_194091 = new CLabel(composite_104091, 0);
/* 1916 */     label_194091.setLayoutData(new GridData(-1, 18));
/* 1917 */     label_194091.setText("国统字（2009）78号");
/*      */     
/* 1919 */     CLabel label_234091 = new CLabel(composite_104091, 0);
/* 1920 */     label_234091.setLayoutData(new GridData(-1, 18));
/* 1921 */     label_234091.setText("有效期至：");
/*      */     
/* 1923 */     CLabel label_204091 = new CLabel(composite_104091, 0);
/* 1924 */     label_204091.setLayoutData(new GridData(-1, 18));
/* 1925 */     label_204091.setText("2016 年 12 月");
/*      */     
/* 1927 */     CLabel label_34091 = new CLabel(composite_34091, 0);
/* 1928 */     label_34091.setFont(SWTResourceManager.getFont("宋体", 18, 1));
/* 1929 */     label_34091.setLayoutData(new GridData(16777216, 128, true, true));
/* 1930 */     label_34091.setText("机构编制部门新增、变更和注销单位情况表");
/*      */     
/* 1932 */     this.label_4091_year = new CLabel(composite_34091, 0);
/* 1933 */     GridData gd_label_4091_year = new GridData(16777216, 1024, 
/* 1934 */         false, false);
/*      */     
/* 1936 */     this.label_4091_year.setLayoutData(gd_label_4091_year);
/* 1937 */     this.label_4091_year.setText("2010  年 上 半年");
/*      */     
/* 1939 */     this.tableViewer5 = new TableViewer(this.composite_16, 2048);
/* 1940 */     Table table4091 = this.tableViewer5.getTable();
/* 1941 */     table4091.setLinesVisible(true);
/* 1942 */     table4091.setHeaderVisible(true);
/* 1943 */     GridData gd_table4091 = new GridData(4, 4, false, false);
/* 1944 */     gd_table4091.widthHint = 905;
/* 1945 */     gd_table4091.heightHint = 345;
/* 1946 */     table4091.setLayoutData(gd_table4091);
/*      */     
/* 1948 */     TableColumn newColumnTableColumn4091 = new TableColumn(table4091, 
/* 1949 */         16777216);
/* 1950 */     newColumnTableColumn4091.setAlignment(16777216);
/* 1951 */     newColumnTableColumn4091.setWidth(60);
/* 1952 */     newColumnTableColumn4091.setText("单位\n序号");
/*      */     
/* 1954 */     TableColumn newColumnTableColumn4091_1 = new TableColumn(table4091, 
/* 1955 */         16777216);
/* 1956 */     newColumnTableColumn4091_1.setWidth(80);
/* 1957 */     newColumnTableColumn4091_1.setText("部门交换码");
/*      */     
/* 1959 */     TableColumn newColumnTableColumn4091_2 = new TableColumn(table4091, 
/* 1960 */         16777216);
/* 1961 */     newColumnTableColumn4091_2.setWidth(100);
/* 1962 */     newColumnTableColumn4091_2.setText("统一社会信用代码");
/*      */     
/* 1964 */     TableColumn newColumnTableColumn4091_3 = new TableColumn(table4091, 
/* 1965 */         16777216);
/* 1966 */     newColumnTableColumn4091_3.setWidth(60);
/* 1967 */     newColumnTableColumn4091_3.setText("组织\n机构\n代码");
/*      */     
/* 1969 */     TableColumn newColumnTableColumn4091_4 = new TableColumn(table4091, 
/* 1970 */         16777216);
/* 1971 */     newColumnTableColumn4091_4.setWidth(100);
/* 1972 */     newColumnTableColumn4091_4.setText("单位名称");
/*      */     
/* 1974 */     TableColumn newColumnTableColumn4091_5 = new TableColumn(table4091, 
/* 1975 */         16777216);
/* 1976 */     newColumnTableColumn4091_5.setWidth(80);
/* 1977 */     newColumnTableColumn4091_5.setText("法定\n代表人");
/*      */     
/* 1979 */     TableColumn newColumnTableColumn4091_6 = new TableColumn(table4091, 
/* 1980 */         16777216);
/* 1981 */     newColumnTableColumn4091_6.setWidth(100);
/* 1982 */     newColumnTableColumn4091_6.setText("单位详细地址");
/*      */     
/* 1984 */     TableColumn newColumnTableColumn4091_7 = new TableColumn(table4091, 
/* 1985 */         16777216);
/* 1986 */     newColumnTableColumn4091_7.setWidth(80);
/* 1987 */     newColumnTableColumn4091_7.setText("行政\n区划\n代码");
/*      */     
/* 1989 */     TableColumn newColumnTableColumn4091_8 = new TableColumn(table4091, 
/* 1990 */         16777216);
/* 1991 */     newColumnTableColumn4091_8.setWidth(80);
/* 1992 */     newColumnTableColumn4091_8.setText("邮政\n编码");
/*      */     
/* 1994 */     TableColumn newColumnTableColumn4091_9 = new TableColumn(table4091, 
/* 1995 */         16777216);
/* 1996 */     newColumnTableColumn4091_9.setWidth(90);
/* 1997 */     newColumnTableColumn4091_9.setText("联系电话");
/*      */     
/* 1999 */     TableColumn newColumnTableColumn4091_10 = new TableColumn(table4091, 
/* 2000 */         16777216);
/* 2001 */     newColumnTableColumn4091_10.setWidth(110);
/* 2002 */     newColumnTableColumn4091_10.setText("业务活动");
/*      */     
/* 2004 */     TableColumn newColumnTableColumn4091_11 = new TableColumn(table4091, 
/* 2005 */         16777216);
/* 2006 */     newColumnTableColumn4091_11.setWidth(80);
/* 2007 */     newColumnTableColumn4091_11.setText("行业代码");
/*      */     
/* 2009 */     TableColumn newColumnTableColumn4091_12 = new TableColumn(table4091, 
/* 2010 */         16777216);
/* 2011 */     newColumnTableColumn4091_12.setWidth(60);
/* 2012 */     newColumnTableColumn4091_12.setText("单位\n类别");
/*      */     
/* 2014 */     TableColumn newColumnTableColumn4091_13 = new TableColumn(table4091, 
/* 2015 */         16777216);
/* 2016 */     newColumnTableColumn4091_13.setWidth(60);
/* 2017 */     newColumnTableColumn4091_13.setText("变动\n类型");
/*      */     
/* 2019 */     TableColumn newColumnTableColumn4091_14 = new TableColumn(table4091, 
/* 2020 */         16777216);
/* 2021 */     newColumnTableColumn4091_14.setWidth(100);
/* 2022 */     newColumnTableColumn4091_14.setText("变动时间");
/*      */     
/* 2024 */     table4091.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/* 2031 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 2036 */     Composite composite_5_14091 = new Composite(this.composite_16, 0);
/* 2037 */     GridData gd_composite_5_14091 = new GridData(4, 16777216, 
/* 2038 */         false, false);
/* 2039 */     gd_composite_5_14091.widthHint = 900;
/* 2040 */     gd_composite_5_14091.heightHint = 20;
/* 2041 */     composite_5_14091.setLayoutData(gd_composite_5_14091);
/* 2042 */     GridLayout gridLayout_74091 = new GridLayout();
/* 2043 */     gridLayout_74091.horizontalSpacing = 1;
/* 2044 */     gridLayout_74091.marginWidth = 0;
/* 2045 */     gridLayout_74091.marginHeight = 0;
/* 2046 */     composite_5_14091.setLayout((Layout)gridLayout_74091);
/*      */     
/* 2048 */     this.pageComposit_4091 = new PageComposite(composite_5_14091, 0);
/*      */     
/* 2050 */     this.pageComposit_4091.button_first
/* 2051 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 2054 */             StatisticDataView.this.pageComposit_4091.page.firstpage();
/* 2055 */             StatisticDataView.this.tableViewer5.setInput(StatisticDataView.this
/* 2056 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 2057 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 2058 */                     StatisticDataView.this.pageComposit_4091.page)));
/*      */           }
/*      */         });
/*      */     
/* 2062 */     this.pageComposit_4091.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 2065 */             StatisticDataView.this.pageComposit_4091.page.prepage();
/* 2066 */             StatisticDataView.this.tableViewer5.setInput(StatisticDataView.this
/*      */                 
/* 2068 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, StatisticDataView.this.pageComposit_4091.page)));
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 2073 */     this.pageComposit_4091.button_down
/* 2074 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 2077 */             StatisticDataView.this.pageComposit_4091.page.nextpage();
/*      */             
/* 2079 */             StatisticDataView.this.tableViewer5.setInput(StatisticDataView.this
/* 2080 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 2081 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 2082 */                     StatisticDataView.this.pageComposit_4091.page)));
/*      */           }
/*      */         });
/*      */     
/* 2086 */     this.pageComposit_4091.button_last
/* 2087 */       .addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 2090 */             StatisticDataView.this.pageComposit_4091.page.lastpage();
/*      */             
/* 2092 */             StatisticDataView.this.tableViewer5.setInput(StatisticDataView.this
/* 2093 */                 .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 2094 */                     StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 2095 */                     StatisticDataView.this.pageComposit_4091.page)));
/*      */           }
/*      */         });
/*      */     
/* 2099 */     this.pageComposit_4091.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 2102 */             if (StatisticDataView.this.pageComposit_4091.setPageable()) {
/* 2103 */               StatisticDataView.this.tableViewer5.setInput(StatisticDataView.this
/* 2104 */                   .resetInfos(StatisticDataView.this.tableselection, StatisticDataView.this.sumController.statisticData(StatisticDataView.this.yearinput, 
/* 2105 */                       StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 2106 */                       StatisticDataView.this.pageComposit_4091.page)));
/*      */             }
/*      */           }
/*      */         });
/*      */     
/* 2111 */     Composite composite_114091 = new Composite(this.composite_16, 0);
/* 2112 */     composite_114091.setLayoutData(new GridData(4, 16777216, false, 
/* 2113 */           false));
/* 2114 */     GridLayout gridLayout_84091 = new GridLayout();
/* 2115 */     gridLayout_84091.marginWidth = 0;
/* 2116 */     gridLayout_84091.marginHeight = 0;
/* 2117 */     gridLayout_84091.horizontalSpacing = 1;
/* 2118 */     gridLayout_84091.numColumns = 3;
/* 2119 */     composite_114091.setLayout((Layout)gridLayout_84091);
/*      */     
/* 2121 */     CLabel label_254091 = new CLabel(composite_114091, 0);
/* 2122 */     GridData gd_label_254091 = new GridData(4, 16777216, false, 
/* 2123 */         false);
/* 2124 */     gd_label_254091.widthHint = 260;
/* 2125 */     label_254091.setLayoutData(gd_label_254091);
/* 2126 */     label_254091.setText("单位负责人:");
/*      */     
/* 2128 */     CLabel label_284091 = new CLabel(composite_114091, 0);
/* 2129 */     label_284091.setLayoutData(new GridData(190, -1));
/* 2130 */     label_284091.setText("填表人：");
/*      */     
/* 2132 */     CLabel label_304091 = new CLabel(composite_114091, 0);
/* 2133 */     label_304091.setText("报出日期：");
/*      */     
/* 2135 */     Composite composite_54091 = new Composite(this.composite_16, 0);
/* 2136 */     GridLayout gridLayout_94091 = new GridLayout();
/* 2137 */     gridLayout_94091.numColumns = 2;
/* 2138 */     composite_54091.setLayout((Layout)gridLayout_94091);
/* 2139 */     composite_54091.setLayoutData(new GridData());
/*      */     
/* 2141 */     Label label_274091 = new Label(composite_54091, 0);
/* 2142 */     GridData gd_label_274091 = new GridData(131072, 16777216, false, 
/* 2143 */         false);
/* 2144 */     gd_label_274091.widthHint = 50;
/* 2145 */     label_274091.setLayoutData(gd_label_274091);
/* 2146 */     label_274091.setText("说明:");
/*      */     
/* 2148 */     Label label_294091 = new Label(composite_54091, 64);
/* 2149 */     label_294091.setLayoutData(new GridData(4, 16777216, true, false));
/* 2150 */     label_294091.setText("1.本表范围是报告期内机构编制部门审批登记的全部新增、变更和注销的法人单位和产业活动单位（或分支机构）。\n  具体包括机构编制部门批准的机关、机关的内设和下设机构、事业单位及分支机构、事业单位登记管理部门登记的事业单位及分支机构。");
/*      */ 
/*      */     
/* 2153 */     Label label_314091 = new Label(composite_54091, 64);
/* 2154 */     label_314091.setText("2.本表报告期别为半年报；提供时间为每年2月底前和8月底前；提供方式为电子邮件或磁介质。");
/*      */ 
/*      */     
/* 2157 */     Label label_324091 = new Label(composite_54091, 64);
/* 2158 */     label_324091.setText("3.登记机关级别代码：1-中央级；2-省级；3-地（市）级；4-县（市）级");
/*      */ 
/*      */     
/* 2161 */     Label label_334091 = new Label(composite_54091, 64);
/* 2162 */     label_334091.setText("4.部门交换码及部门登记证号：\n  机关及其内设、下设机构，未登记的事业单位及分支机构等没有部门登记证书的单位，填报部门交换码,\n  即将机构编制部门统计数据库中的内部编码作为部门交换码，免填部门登记证号；\n  已登记的事业单位及分支机构填报部门登记证号，即填写事业单位登记时的事业单位登记证书号，免填部门交换码。");
/*      */ 
/*      */     
/* 2165 */     Label label_344091 = new Label(composite_54091, 64);
/* 2166 */     label_344091.setLayoutData(new GridData());
/* 2167 */     label_344091.setText("5.单位类别：\n  20-事业法人；21-未登记的事业单位；22-已登记的事业法人的分支机构；23-未登记事业单位的分支机构；\n  30-机关法人；31-机关的内设机构；32-机关的下设机构；33-街道乡镇；34-街道乡镇的内设机构；35-机关的二级内设机构；");
/*      */ 
/*      */     
/* 2170 */     Label label_354091 = new Label(composite_54091, 0);
/* 2171 */     label_354091.setText("6.变动类型代码：1-新增；2-变更；3-注销。");
/*      */ 
/*      */     
/* 2174 */     Label label_364091 = new Label(composite_54091, 0);
/* 2175 */     label_364091.setText("7.变动时间：新增单位填写设立登记时间；变更单位填写变更登记时间；注销单位填写注销时间。");
/*      */ 
/*      */     
/* 2178 */     Label label_384091 = new Label(composite_54091, 0);
/* 2179 */     label_384091.setText("8.本表按照正常单位、一个机构多块牌子、挂靠机构和教学点分别提供资料。");
/*      */     
/* 2181 */     Button button_4091 = new Button(this.composite_16, 0);
/* 2182 */     button_4091.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/* 2186 */               SaveStatisticDataEXCELDialog s = new SaveStatisticDataEXCELDialog(
/* 2187 */                   StatisticDataView.this.shell, StatisticDataView.this.yearinput, StatisticDataView.this.yearselection, StatisticDataView.this.tableselection, 
/* 2188 */                   StatisticDataView.this.timelabel, StatisticDataView.this.typelabel, StatisticDataView.this.dislabel, StatisticDataView.this.sumController);
/* 2189 */               s.open();
/* 2190 */             } catch (Exception e2) {
/* 2191 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/* 2195 */     GridData gd_button_4091 = new GridData(16777216, 16777216, 
/* 2196 */         false, false);
/* 2197 */     button_4091.setLayoutData(gd_button_4091);
/* 2198 */     button_4091.setText("另存为Excel");
/*      */ 
/*      */ 
/*      */     
/* 2202 */     this.scrolledComposite.setContent((Control)this.composite_all);
/* 2203 */     initView();
/* 2204 */     initData();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initInput() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private void initView() {
/* 2214 */     initializeToolBar();
/* 2215 */     initSearch();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initSearch() {
/* 2221 */     this.yearselection = 0;
/* 2222 */     this.tableselection = 0;
/* 2223 */     this.button_1.setSelection(true);
/* 2224 */     this.button_2.setSelection(false);
/* 2225 */     this.button_3.setSelection(true);
/* 2226 */     this.button_4.setSelection(false);
/* 2227 */     this.button_5.setSelection(false);
/* 2228 */     this.button_6.setSelection(false);
/* 2229 */     this.button_31.setSelection(false);
/* 2230 */     this.pageComposit_410.initPageInfo();
/* 2231 */     this.pageComposit_251.initPageInfo();
/* 2232 */     this.pageComposit_252.initPageInfo();
/* 2233 */     this.pageComposit_253.initPageInfo();
/* 2234 */     this.pageComposit_4091.initPageInfo();
/*      */     
/* 2236 */     this.stackLayout.topControl = (Control)this.composite_6;
/*      */     
/* 2238 */     Calendar c = Calendar.getInstance();
/* 2239 */     int year = c.get(1);
/* 2240 */     this.yearinput = year;
/* 2241 */     this.combo.setText(this.yearinput);
/* 2242 */     for (int i = 0; i < 5; i++) {
/* 2243 */       this.combo.add((new StringBuilder(String.valueOf(year - i))).toString());
/*      */     }
/*      */     
/* 2246 */     this.comp.layout();
/*      */   }
/*      */   
/*      */   private void initResult() {
/* 2250 */     int level = 0;
/* 2251 */     if (this.user.getDistrictcode().endsWith("00000")) {
/* 2252 */       level = 1;
/* 2253 */     } else if (this.user.getDistrictcode().endsWith("0000")) {
/* 2254 */       level = 2;
/* 2255 */     } else if (this.user.getDistrictcode().endsWith("00")) {
/* 2256 */       level = 3;
/*      */     } else {
/* 2258 */       level = 4;
/* 2259 */     }  this.typelabel = "登记机关级别代码：" + level;
/* 2260 */     this.dislabel = "登记机关行政区划代码：" + this.user.getDistrictcode();
/* 2261 */     this.timelabel = String.valueOf(this.yearinput) + " 年 " + ((this.yearselection == 0) ? "上" : "下") + 
/* 2262 */       " 半年";
/* 2263 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/* 2264 */     switch (this.tableselection) {
/*      */       case 0:
/* 2266 */         this.label_410_type.setText(this.typelabel);
/* 2267 */         this.label_410_dis.setText(this.dislabel);
/* 2268 */         this.label_410_year.setText(this.timelabel);
/* 2269 */         this.tableViewer.setLabelProvider((IBaseLabelProvider)new Sta410TableLabelProvider());
/* 2270 */         this.tableViewer.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/* 2271 */         this.tableViewer.setInput(
/*      */             
/* 2273 */             resetInfos(this.tableselection, this.sumController.statisticData(this.yearinput, this.yearselection, this.tableselection, this.pageComposit_410.page)));
/* 2274 */         this.scrolledComposite.setMinHeight(880);
/* 2275 */         this.scrolledComposite.setMinWidth(980);
/* 2276 */         this.stackLayout_content.topControl = (Control)this.composite_1;
/*      */         break;
/*      */       case 1:
/* 2279 */         this.label_251_type.setText(this.typelabel);
/* 2280 */         this.label_251_dis.setText(this.dislabel);
/* 2281 */         this.label_251_year.setText(this.timelabel);
/* 2282 */         this.tableViewer2.setLabelProvider((IBaseLabelProvider)new Sta251TableLabelProvider());
/* 2283 */         this.tableViewer2.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/*      */         
/* 2285 */         this.tableViewer2.setInput(
/*      */             
/* 2287 */             resetInfos(this.tableselection, this.sumController.statisticData(this.yearinput, this.yearselection, this.tableselection, this.pageComposit_251.page)));
/* 2288 */         this.scrolledComposite.setMinHeight(860);
/* 2289 */         this.scrolledComposite.setMinWidth(970);
/* 2290 */         this.stackLayout_content.topControl = (Control)this.composite_13;
/*      */         break;
/*      */       case 2:
/* 2293 */         this.label_252_type.setText(this.typelabel);
/* 2294 */         this.label_252_dis.setText(this.dislabel);
/* 2295 */         this.label_252_year.setText(this.timelabel);
/* 2296 */         this.tableViewer3.setLabelProvider((IBaseLabelProvider)new Sta252TableLabelProvider());
/* 2297 */         this.tableViewer3.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/*      */         
/* 2299 */         this.tableViewer3.setInput(
/*      */             
/* 2301 */             resetInfos(this.tableselection, this.sumController.statisticData(this.yearinput, this.yearselection, this.tableselection, this.pageComposit_252.page)));
/* 2302 */         this.scrolledComposite.setMinHeight(870);
/* 2303 */         this.scrolledComposite.setMinWidth(970);
/* 2304 */         this.stackLayout_content.topControl = (Control)this.composite_14;
/*      */         break;
/*      */       case 3:
/* 2307 */         this.label_253_type.setText(this.typelabel);
/* 2308 */         this.label_253_dis.setText(this.dislabel);
/* 2309 */         this.label_253_year.setText(this.timelabel);
/* 2310 */         this.tableViewer4.setLabelProvider((IBaseLabelProvider)new Sta253TableLabelProvider());
/* 2311 */         this.tableViewer4.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/*      */         
/* 2313 */         this.tableViewer4.setInput(
/*      */             
/* 2315 */             resetInfos(this.tableselection, this.sumController.statisticData(this.yearinput, this.yearselection, this.tableselection, this.pageComposit_253.page)));
/* 2316 */         this.scrolledComposite.setMinHeight(870);
/* 2317 */         this.scrolledComposite.setMinWidth(975);
/* 2318 */         this.stackLayout_content.topControl = (Control)this.composite_15;
/*      */         break;
/*      */       case 4:
/* 2321 */         this.label_4091_type.setText(this.typelabel);
/* 2322 */         this.label_4091_dis.setText(this.dislabel);
/* 2323 */         this.label_4091_year.setText(this.timelabel);
/* 2324 */         this.tableViewer5.setLabelProvider((IBaseLabelProvider)new Sta4091TableLabelProvider());
/* 2325 */         this.tableViewer5.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/* 2326 */         this.tableViewer5.setInput(
/*      */             
/* 2328 */             resetInfos(this.tableselection, this.sumController.statisticData(this.yearinput, this.yearselection, this.tableselection, this.pageComposit_4091.page)));
/* 2329 */         this.scrolledComposite.setMinHeight(880);
/* 2330 */         this.scrolledComposite.setMinWidth(980);
/* 2331 */         this.stackLayout_content.topControl = (Control)this.composite_16;
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/* 2336 */     this.composite_all.layout();
/* 2337 */     this.comp.layout();
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList resetInfos(int tableselection, ArrayList<PageInfo> al) {
/*      */     PageComposite p;
/* 2343 */     switch (tableselection) {
/*      */       case 0:
/* 2345 */         p = this.pageComposit_410;
/*      */         break;
/*      */       case 1:
/* 2348 */         p = this.pageComposit_251;
/*      */         break;
/*      */       case 2:
/* 2351 */         p = this.pageComposit_252;
/*      */         break;
/*      */       case 3:
/* 2354 */         p = this.pageComposit_253;
/*      */         break;
/*      */       case 4:
/* 2357 */         p = this.pageComposit_4091;
/*      */         break;
/*      */       default:
/* 2360 */         p = null;
/*      */         break;
/*      */     } 
/*      */ 
/*      */     
/* 2365 */     if (!al.isEmpty()) {
/* 2366 */       p.page = al.get(0);
/* 2367 */       al.remove(0);
/* 2368 */       if (al.isEmpty()) {
/* 2369 */         p.label.setText("没有符合条件的记录。 ");
/* 2370 */         p.label.update();
/* 2371 */         p.button_up.setEnabled(false);
/* 2372 */         p.button_down.setEnabled(false);
/* 2373 */         p.button_first.setEnabled(false);
/* 2374 */         p.button_last.setEnabled(false);
/*      */       }
/*      */       else {
/*      */         
/* 2378 */         if (p.page.getCpage() == 1) {
/*      */           
/* 2380 */           p.button_up.setEnabled(false);
/* 2381 */           p.button_first.setEnabled(false);
/*      */         
/*      */         }
/*      */         else {
/*      */           
/* 2386 */           p.button_up.setEnabled(true);
/* 2387 */           p.button_first.setEnabled(true);
/*      */         } 
/* 2389 */         if (p.page.getCpage() == p.page.getTpage()) {
/*      */           
/* 2391 */           p.button_down.setEnabled(false);
/* 2392 */           p.button_last.setEnabled(false);
/*      */         } else {
/*      */           
/* 2395 */           p.button_down.setEnabled(true);
/* 2396 */           p.button_last.setEnabled(true);
/*      */         } 
/* 2398 */         p.label.setText("第" + p.page.getCpage() + "页/共" + 
/* 2399 */             p.page.getTpage() + "页   每页" + 
/* 2400 */             (int)p.page.getPAGESIZE() + "行 共" + 
/* 2401 */             p.page.getTotalnum() + "行");
/* 2402 */         p.label.update();
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/* 2408 */       p.label.setText("没有符合条件的记录。");
/* 2409 */       p.label.update();
/* 2410 */       p.button_up.setEnabled(false);
/* 2411 */       p.button_down.setEnabled(false);
/* 2412 */       p.button_first.setEnabled(false);
/* 2413 */       p.button_last.setEnabled(false);
/* 2414 */       p.page = new PageInfo();
/*      */     } 
/*      */ 
/*      */     
/* 2418 */     return al;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private void initData() {
/* 2429 */     this.stackLayout.topControl = (Control)this.composite_6;
/*      */   }
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/* 2434 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 2435 */       .getToolBarManager();
/*      */   }
/*      */   
/*      */   private boolean isNotNull(Text text, String info) {
/* 2439 */     text.setText(text.getText().trim());
/* 2440 */     if (text.getText().trim().length() == 0) {
/* 2441 */       text.setText(text.getText().trim());
/* 2442 */       showInputErr(text, info);
/* 2443 */       return false;
/*      */     } 
/* 2445 */     return true;
/*      */   }
/*      */   
/*      */   private boolean isNum(Text text, int length, String info) {
/* 2449 */     text.setText(text.getText().trim());
/* 2450 */     if (length == -1) {
/* 2451 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 2452 */         text.setText(text.getText().trim());
/* 2453 */         showInputErr(text, info);
/* 2454 */         return false;
/*      */       } 
/* 2456 */       return true;
/* 2457 */     }  if (length == 0) {
/* 2458 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 2459 */         text.setText(text.getText().trim());
/* 2460 */         showInputErr(text, info);
/* 2461 */         return false;
/*      */       } 
/* 2463 */       return true;
/*      */     } 
/* 2465 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 2466 */       text.getText().trim().length() != length) {
/* 2467 */       text.setText(text.getText().trim());
/* 2468 */       showInputErr(text, info);
/* 2469 */       return false;
/*      */     } 
/* 2471 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void showInputErr(Text text, String info) {
/* 2477 */     text.setText(text.getText().trim());
/* 2478 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 2479 */     mbox.setMessage(info);
/* 2480 */     mbox.setText("错误提示");
/* 2481 */     mbox.open();
/* 2482 */     text.setFocus();
/*      */   }
/*      */   
/*      */   private void showInfoBox(String info) {
/* 2486 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 2487 */     mbox.setMessage(info);
/* 2488 */     mbox.setText("错误提示");
/* 2489 */     mbox.open();
/*      */   }
/*      */   
/*      */   private int showQuestBox(String info) {
/* 2493 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*      */     
/* 2495 */     mbox.setMessage(info);
/* 2496 */     mbox.setText("信息提示");
/* 2497 */     return mbox.open();
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticDataView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */