/*      */ package cs.admin.statistic;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.admin.search.PageComposite;
/*      */ import cs.admin.search.TableWidthSet;
/*      */ import cs.admin.statistic.Dialog.InstaurationTableChooseDialog;
/*      */ import cs.admin.statistic.Dialog.SaveStatisticEXCELDialog;
/*      */ import cs.admin.statistic.table.InstaurationResultTableLabelProvider;
/*      */ import cs.admin.statistic.table.StaDataTableContentProvider;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.ProcessWaitDialog;
/*      */ import cs.sydj.inter.Progress;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Calendar;
/*      */ import java.util.HashMap;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.jface.viewers.TreeViewer;
/*      */ import org.eclipse.swt.custom.CLabel;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Event;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Listener;
/*      */ import org.eclipse.swt.widgets.MessageBox;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.swt.widgets.Tree;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.sysmanage.page.PageInfo;
/*      */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class StatisticInstaurationView
/*      */   extends ViewPart
/*      */   implements Progress
/*      */ {
/*      */   private Table table;
/*      */   private Text text_2;
/*      */   private Text text;
/*      */   public static final String ID = "cs.admin.statistic.StatisticInstaurationView";
/*      */   private CLabel label_4;
/*      */   private Tree tree_1;
/*      */   private CLabel label_2;
/*      */   private CLabel label;
/*      */   private Composite composite_1;
/*      */   private Composite composite_6;
/*      */   private Button button_9;
/*      */   private Button button_10;
/*      */   private TreeViewer treeViewer;
/*      */   private Label label_3;
/*   87 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*      */   
/*   89 */   private Shell shell = null;
/*   90 */   private Composite comp = null;
/*      */   
/*   92 */   private StatisticSYDWController sumController = new StatisticSYDWController(
/*   93 */       this.user);
/*   94 */   private StackLayout stackLayout = new StackLayout();
/*      */   
/*   96 */   private Calendar calendar = Calendar.getInstance();
/*      */   
/*      */   private String stime;
/*      */   
/*      */   private String etime;
/*      */   private String groupid;
/*      */   private int searchFlag;
/*      */   private Button button;
/*  104 */   private boolean[] showcolumn = new boolean[38];
/*  105 */   private TableColumn[] tableColumn = new TableColumn[38];
/*      */   
/*      */   private TableViewer tableViewer;
/*      */   
/*      */   private ScrolledComposite scrolledComposite;
/*      */   private PageComposite pageComposit;
/*      */   private ProcessWaitDialog pwd;
/*      */   
/*      */   public void createPartControl(Composite arg0) {
/*  114 */     this.comp = arg0;
/*  115 */     this.shell = arg0.getShell();
/*  116 */     arg0.setBackgroundMode(1);
/*  117 */     arg0
/*  118 */       .setBackground(Display.getCurrent().getSystemColor(
/*  119 */           1));
/*  120 */     arg0.setLayout((Layout)this.stackLayout);
/*      */     
/*  122 */     this.composite_6 = new Composite(arg0, 0);
/*  123 */     GridLayout gridLayout_5 = new GridLayout();
/*  124 */     gridLayout_5.numColumns = 3;
/*  125 */     gridLayout_5.verticalSpacing = 0;
/*  126 */     gridLayout_5.marginTop = 20;
/*  127 */     gridLayout_5.marginRight = 10;
/*  128 */     gridLayout_5.marginLeft = 10;
/*  129 */     gridLayout_5.marginBottom = 10;
/*  130 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*      */ 
/*      */     
/*  133 */     this.label = new CLabel(this.composite_6, 0);
/*  134 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  135 */     GridData gd_label = new GridData(4, 16777216, false, 
/*  136 */         false);
/*  137 */     gd_label.widthHint = 350;
/*  138 */     this.label.setLayoutData(gd_label);
/*  139 */     this.label.setText("统计分析>>事业单位法人设立登记情况简表");
/*      */ 
/*      */ 
/*      */     
/*  143 */     Label label_1 = new Label(this.composite_6, 258);
/*      */     
/*  145 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*      */ 
/*      */ 
/*      */     
/*  149 */     Composite composite = new Composite(this.composite_6, 0);
/*  150 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/*  151 */           false));
/*  152 */     GridLayout gridLayout = new GridLayout();
/*  153 */     composite.setLayout((Layout)gridLayout);
/*      */     
/*  155 */     this.label_2 = new CLabel(composite, 0);
/*  156 */     this.label_2.setForeground(
/*  157 */         Display.getCurrent().getSystemColor(3));
/*  158 */     this.label_2.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*      */ 
/*      */ 
/*      */     
/*  162 */     Composite composite_7 = new Composite(this.composite_6, 0);
/*  163 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/*  164 */           false));
/*  165 */     GridLayout gridLayout_2 = new GridLayout();
/*  166 */     gridLayout_2.numColumns = 8;
/*  167 */     composite_7.setLayout((Layout)gridLayout_2);
/*      */     
/*  169 */     Label label_5 = new Label(composite_7, 0);
/*  170 */     label_5.setText("统计时间： 从");
/*      */     
/*  172 */     this.text = new Text(composite_7, 2056);
/*  173 */     this.text
/*  174 */       .setBackground(Display.getCurrent().getSystemColor(
/*  175 */           1));
/*  176 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  177 */     gd_text.widthHint = 85;
/*  178 */     this.text.setLayoutData(gd_text);
/*      */     
/*  180 */     Button dotbutton = new Button(composite_7, 8389632);
/*  181 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  183 */             Text text = StatisticInstaurationView.this.text;
/*  184 */             int width = (text.getLocation()).x;
/*  185 */             int height = (text.getLocation()).y;
/*  186 */             while (text.getParent() != null) {
/*  187 */               Composite composite = text.getParent();
/*  188 */               width += (composite.getLocation()).x;
/*  189 */               height += (composite.getLocation()).y;
/*      */             } 
/*  191 */             (new CalendarDialog(StatisticInstaurationView.this.shell, StatisticInstaurationView.this.text, width, height)).open();
/*      */           }
/*      */         });
/*      */     
/*  195 */     GridData gd_dotbutton = new GridData(16, 16);
/*  196 */     dotbutton.setLayoutData(gd_dotbutton);
/*  197 */     dotbutton.setText("…");
/*      */     
/*  199 */     Button xButton = new Button(composite_7, 8388608);
/*  200 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  202 */             StatisticInstaurationView.this.text.setText("");
/*      */           }
/*      */         });
/*  205 */     GridData gd_xButton = new GridData(16, 16);
/*  206 */     xButton.setLayoutData(gd_xButton);
/*  207 */     xButton.setText("×");
/*      */     
/*  209 */     Label label_5_1 = new Label(composite_7, 0);
/*  210 */     label_5_1.setText(" 到 ");
/*      */     
/*  212 */     this.text_2 = new Text(composite_7, 2056);
/*  213 */     this.text_2.setBackground(Display.getCurrent()
/*  214 */         .getSystemColor(1));
/*  215 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/*  216 */         false);
/*  217 */     gd_text_2.widthHint = 85;
/*  218 */     this.text_2.setLayoutData(gd_text_2);
/*      */     
/*  220 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/*  221 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  223 */             Text text = StatisticInstaurationView.this.text_2;
/*  224 */             int width = (text.getLocation()).x;
/*  225 */             int height = (text.getLocation()).y;
/*  226 */             while (text.getParent() != null) {
/*  227 */               Composite composite = text.getParent();
/*  228 */               width += (composite.getLocation()).x;
/*  229 */               height += (composite.getLocation()).y;
/*      */             } 
/*  231 */             (new CalendarDialog(StatisticInstaurationView.this.shell, StatisticInstaurationView.this.text_2, width, height)).open();
/*      */           }
/*      */         });
/*  234 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/*  235 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/*  236 */     dotbutton_1.setText("…");
/*      */     
/*  238 */     Button xButton_1 = new Button(composite_7, 8388608);
/*  239 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  241 */             StatisticInstaurationView.this.text_2.setText("");
/*      */           }
/*      */         });
/*  244 */     GridData gd_xButton_1 = new GridData(16, 16);
/*  245 */     xButton_1.setLayoutData(gd_xButton_1);
/*  246 */     xButton_1.setText("×");
/*      */ 
/*      */ 
/*      */     
/*  250 */     Composite composite_3 = new Composite(this.composite_6, 0);
/*  251 */     GridData gd_composite_3 = new GridData(16777216, 16777216, 
/*  252 */         false, false);
/*  253 */     gd_composite_3.heightHint = 0;
/*  254 */     composite_3.setLayoutData(gd_composite_3);
/*  255 */     GridLayout gridLayout_3 = new GridLayout();
/*  256 */     gridLayout_3.numColumns = 2;
/*  257 */     composite_3.setLayout((Layout)gridLayout_3);
/*  258 */     composite_3.setVisible(false);
/*      */     
/*  260 */     this.button_9 = new Button(composite_3, 16);
/*  261 */     this.button_9.setText("本级登记管理机关");
/*  262 */     this.button_9.setSelection(true);
/*      */     
/*  264 */     this.button_10 = new Button(composite_3, 16);
/*  265 */     this.button_10.setText("本级及其下级登记管理机关");
/*      */ 
/*      */     
/*  268 */     Label label_7 = new Label(this.composite_6, 0);
/*  269 */     label_7.setLayoutData(new GridData(16384, 16777216, true, false));
/*  270 */     label_7.setText(" ");
/*      */     
/*  272 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/*  273 */     this.tree_1 = this.treeViewer.getTree();
/*  274 */     GridData gd_tree_1 = new GridData(4, 128, false, false);
/*  275 */     gd_tree_1.heightHint = 190;
/*  276 */     this.tree_1.setLayoutData(gd_tree_1);
/*      */     
/*  278 */     Label label_8 = new Label(this.composite_6, 0);
/*  279 */     label_8.setLayoutData(new GridData(16384, 16777216, true, false));
/*  280 */     label_8.setText(" ");
/*      */ 
/*      */     
/*  283 */     Composite composite_2 = new Composite(this.composite_6, 0);
/*  284 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/*  285 */           false));
/*  286 */     composite_2.setLayout((Layout)new FillLayout());
/*      */     
/*  288 */     Button button_6 = new Button(composite_2, 0);
/*  289 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  291 */             InfoEntity select = null;
/*      */             
/*  293 */             IStructuredSelection i = (IStructuredSelection)StatisticInstaurationView.this.treeViewer
/*  294 */               .getSelection();
/*  295 */             StatisticInstaurationView.this.searchFlag = 0;
/*  296 */             if (StatisticInstaurationView.this.button_10.getSelection()) {
/*  297 */               StatisticInstaurationView.this.searchFlag = 1;
/*      */             }
/*  299 */             StatisticInstaurationView.this.stime = StatisticInstaurationView.this.text.getText();
/*  300 */             StatisticInstaurationView.this.etime = StatisticInstaurationView.this.text_2.getText();
/*      */ 
/*      */             
/*  303 */             if (i == null) {
/*  304 */               StatisticInstaurationView.this.groupid = StatisticInstaurationView.this.user.getGroupid();
/*  305 */               StatisticInstaurationView.this.initResult();
/*      */               
/*      */               return;
/*      */             } 
/*  309 */             select = (InfoEntity)i.getFirstElement();
/*  310 */             if (select == null) {
/*  311 */               StatisticInstaurationView.this.groupid = StatisticInstaurationView.this.user.getGroupid();
/*  312 */               StatisticInstaurationView.this.initResult();
/*      */               return;
/*      */             } 
/*  315 */             StatisticInstaurationView.this.groupid = select.getId();
/*  316 */             StatisticInstaurationView.this.initResult();
/*      */           }
/*      */         });
/*      */     
/*  320 */     button_6.setText("确定");
/*      */ 
/*      */     
/*  323 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*      */     
/*  325 */     this.scrolledComposite.setBackgroundMode(1);
/*  326 */     this.scrolledComposite.setBackground(Display.getCurrent()
/*  327 */         .getSystemColor(1));
/*      */     
/*  329 */     this.scrolledComposite.setCapture(true);
/*      */ 
/*      */ 
/*      */     
/*  333 */     this.scrolledComposite.setExpandVertical(true);
/*  334 */     this.scrolledComposite.setExpandHorizontal(true);
/*  335 */     this.scrolledComposite.setMinHeight(465);
/*  336 */     this.scrolledComposite.setMinWidth(240);
/*      */     
/*  338 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/*  339 */     GridLayout gridLayout_6 = new GridLayout();
/*  340 */     gridLayout_6.numColumns = 3;
/*  341 */     gridLayout_6.verticalSpacing = 0;
/*  342 */     gridLayout_6.marginTop = 20;
/*  343 */     gridLayout_6.marginRight = 25;
/*  344 */     gridLayout_6.marginLeft = 25;
/*  345 */     gridLayout_6.marginBottom = 10;
/*  346 */     this.composite_1.setLayout((Layout)gridLayout_6);
/*      */ 
/*      */     
/*  349 */     this.label_4 = new CLabel(this.composite_1, 0);
/*  350 */     this.label_4.setFont(SWTResourceManager.getFont("", 14, 0));
/*  351 */     this.label_4
/*  352 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/*  353 */     this.label_4.setText("事业单位法人设立登记情况简表");
/*      */ 
/*      */ 
/*      */     
/*  357 */     Composite composite_8 = new Composite(this.composite_1, 0);
/*  358 */     composite_8.setLayoutData(new GridData(4, 16777216, false, 
/*  359 */           false));
/*  360 */     GridLayout gridLayout_4 = new GridLayout();
/*  361 */     gridLayout_4.marginWidth = 1;
/*  362 */     gridLayout_4.horizontalSpacing = 1;
/*  363 */     gridLayout_4.marginHeight = 1;
/*  364 */     gridLayout_4.numColumns = 3;
/*  365 */     composite_8.setLayout((Layout)gridLayout_4);
/*      */     
/*  367 */     Button button_1 = new Button(composite_8, 8388608);
/*  368 */     button_1.setLayoutData(new GridData(45, 21));
/*  369 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  371 */             StatisticInstaurationView.this.initSearch();
/*      */           }
/*      */         });
/*  374 */     button_1.setText("返回");
/*      */     
/*  376 */     Button button_3 = new Button(composite_8, 8388608);
/*  377 */     button_3.setLayoutData(new GridData(100, 21));
/*  378 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  380 */             InstaurationTableChooseDialog s = new InstaurationTableChooseDialog(
/*  381 */                 StatisticInstaurationView.this.shell, StatisticInstaurationView.this.showcolumn);
/*  382 */             int r = s.open();
/*  383 */             if (r == 32)
/*  384 */               StatisticInstaurationView.this.showcolumn = s.getResult(); 
/*  385 */             StatisticInstaurationView.this.refreshTable();
/*      */           }
/*      */         });
/*  388 */     button_3.setText("选择展示列");
/*      */     
/*  390 */     this.label_3 = new Label(composite_8, 131136);
/*  391 */     GridData gd_label_3 = new GridData(131072, 16777216, true, 
/*  392 */         false);
/*  393 */     gd_label_3.widthHint = 240;
/*  394 */     this.label_3.setLayoutData(gd_label_3);
/*  395 */     this.label_3.setText("Label");
/*      */ 
/*      */     
/*  398 */     Label label_9 = new Label(this.composite_1, 0);
/*  399 */     label_9.setLayoutData(new GridData());
/*  400 */     label_9.setText(" ");
/*      */     
/*  402 */     this.tableViewer = new TableViewer(this.composite_1, 2048);
/*  403 */     this.table = this.tableViewer.getTable();
/*  404 */     this.table.setLinesVisible(true);
/*  405 */     this.table.setHeaderVisible(true);
/*  406 */     GridData gd_table = new GridData(4, 128, true, false);
/*  407 */     gd_table.heightHint = 320;
/*  408 */     gd_table.widthHint = 480;
/*  409 */     this.table.setLayoutData(gd_table);
/*  410 */     int i = 0;
/*      */     
/*  412 */     this.showcolumn[i] = true;
/*  413 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  414 */     this.tableColumn[i].setWidth(100);
/*  415 */     this.tableColumn[i].setText("序号");
/*  416 */     i++;
/*      */     
/*  418 */     this.showcolumn[i] = true;
/*  419 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  420 */     this.tableColumn[i].setWidth(140);
/*  421 */     this.tableColumn[i].setText("统一社会信用代码");
/*  422 */     i++;
/*      */     
/*  424 */     this.showcolumn[i] = true;
/*  425 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  426 */     this.tableColumn[i].setWidth(140);
/*  427 */     this.tableColumn[i].setText("证书号");
/*  428 */     i++;
/*      */     
/*  430 */     this.showcolumn[i] = true;
/*  431 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  432 */     this.tableColumn[i].setWidth(100);
/*  433 */     this.tableColumn[i].setText("名称");
/*  434 */     i++;
/*      */ 
/*      */     
/*  437 */     this.showcolumn[i] = true;
/*  438 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  439 */     this.tableColumn[i].setWidth(100);
/*  440 */     this.tableColumn[i].setText("法定代表人");
/*  441 */     i++;
/*      */ 
/*      */     
/*  444 */     this.showcolumn[i] = true;
/*  445 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  446 */     this.tableColumn[i].setWidth(100);
/*  447 */     this.tableColumn[i].setText("住所");
/*  448 */     i++;
/*      */ 
/*      */     
/*  451 */     this.showcolumn[i] = true;
/*  452 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  453 */     this.tableColumn[i].setWidth(100);
/*  454 */     this.tableColumn[i].setText("经费来源");
/*  455 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  459 */     this.showcolumn[i] = true;
/*  460 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  461 */     this.tableColumn[i].setWidth(100);
/*  462 */     this.tableColumn[i].setText("开办资金");
/*  463 */     i++;
/*      */ 
/*      */     
/*  466 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  467 */     this.tableColumn[i].setWidth(100);
/*  468 */     this.tableColumn[i].setText("事业单位第二名称");
/*  469 */     i++;
/*      */ 
/*      */     
/*  472 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  473 */     this.tableColumn[i].setWidth(100);
/*  474 */     this.tableColumn[i].setText("事业单位第三名称");
/*  475 */     i++;
/*      */ 
/*      */     
/*  478 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  479 */     this.tableColumn[i].setWidth(100);
/*  480 */     this.tableColumn[i].setText("事业单位其他名称");
/*  481 */     i++;
/*      */ 
/*      */     
/*  484 */     this.showcolumn[i] = false;
/*  485 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  486 */     this.tableColumn[i].setWidth(100);
/*  487 */     this.tableColumn[i].setText("举办单位");
/*  488 */     i++;
/*      */ 
/*      */     
/*  491 */     this.showcolumn[i] = false;
/*  492 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  493 */     this.tableColumn[i].setWidth(100);
/*  494 */     this.tableColumn[i].setText("举办单位类别");
/*  495 */     i++;
/*      */ 
/*      */     
/*  498 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  499 */     this.tableColumn[i].setWidth(100);
/*  500 */     this.tableColumn[i].setText("固定资产");
/*  501 */     i++;
/*      */ 
/*      */     
/*  504 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  505 */     this.tableColumn[i].setWidth(100);
/*  506 */     this.tableColumn[i].setText("流动资产");
/*  507 */     i++;
/*      */ 
/*      */     
/*  510 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  511 */     this.tableColumn[i].setWidth(100);
/*  512 */     this.tableColumn[i].setText("其他资金");
/*  513 */     i++;
/*      */ 
/*      */     
/*  516 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  517 */     this.tableColumn[i].setWidth(100);
/*  518 */     this.tableColumn[i].setText("开户银行");
/*  519 */     i++;
/*      */ 
/*      */     
/*  522 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  523 */     this.tableColumn[i].setWidth(100);
/*  524 */     this.tableColumn[i].setText("银行帐号");
/*  525 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  529 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  530 */     this.tableColumn[i].setWidth(100);
/*  531 */     this.tableColumn[i].setText("审批机关");
/*  532 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  536 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  537 */     this.tableColumn[i].setWidth(100);
/*  538 */     this.tableColumn[i].setText("批准文号");
/*  539 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  543 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  544 */     this.tableColumn[i].setWidth(100);
/*  545 */     this.tableColumn[i].setText("执业许可证书");
/*  546 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  550 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  551 */     this.tableColumn[i].setWidth(100);
/*  552 */     this.tableColumn[i].setText("机构规格");
/*  553 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  557 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  558 */     this.tableColumn[i].setWidth(100);
/*  559 */     this.tableColumn[i].setText("人员编制");
/*  560 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  564 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  565 */     this.tableColumn[i].setWidth(100);
/*  566 */     this.tableColumn[i].setText("从业人数");
/*  567 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  571 */     this.showcolumn[i] = false;
/*  572 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  573 */     this.tableColumn[i].setWidth(100);
/*  574 */     this.tableColumn[i].setText("宗旨和业务范围");
/*  575 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  579 */     this.showcolumn[i] = false;
/*  580 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  581 */     this.tableColumn[i].setWidth(100);
/*  582 */     this.tableColumn[i].setText("设立时间");
/*  583 */     i++;
/*      */ 
/*      */     
/*  586 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  587 */     this.tableColumn[i].setWidth(100);
/*  588 */     this.tableColumn[i].setText("发证人");
/*  589 */     i++;
/*      */ 
/*      */     
/*  592 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  593 */     this.tableColumn[i].setWidth(100);
/*  594 */     this.tableColumn[i].setText("领证人");
/*  595 */     i++;
/*      */ 
/*      */     
/*  598 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  599 */     this.tableColumn[i].setWidth(100);
/*  600 */     this.tableColumn[i].setText("领证日期");
/*  601 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  605 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  606 */     this.tableColumn[i].setWidth(100);
/*  607 */     this.tableColumn[i].setText("副本份数");
/*  608 */     i++;
/*      */ 
/*      */     
/*  611 */     this.showcolumn[i] = false;
/*  612 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  613 */     this.tableColumn[i].setWidth(100);
/*  614 */     this.tableColumn[i].setText("联系人");
/*  615 */     i++;
/*      */ 
/*      */     
/*  618 */     this.showcolumn[i] = false;
/*  619 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  620 */     this.tableColumn[i].setWidth(100);
/*  621 */     this.tableColumn[i].setText("联系电话");
/*  622 */     i++;
/*      */ 
/*      */     
/*  625 */     this.showcolumn[i] = false;
/*  626 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  627 */     this.tableColumn[i].setWidth(100);
/*  628 */     this.tableColumn[i].setText("邮政编码");
/*  629 */     i++;
/*      */ 
/*      */     
/*  632 */     this.showcolumn[i] = false;
/*  633 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  634 */     this.tableColumn[i].setWidth(100);
/*  635 */     this.tableColumn[i].setText("行业类别");
/*  636 */     i++;
/*      */ 
/*      */     
/*  639 */     this.showcolumn[i] = false;
/*  640 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  641 */     this.tableColumn[i].setWidth(100);
/*  642 */     this.tableColumn[i].setText("登记管理机关");
/*  643 */     i++;
/*      */ 
/*      */     
/*  646 */     this.showcolumn[i] = false;
/*  647 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  648 */     this.tableColumn[i].setWidth(100);
/*  649 */     this.tableColumn[i].setText("复核日期");
/*  650 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  654 */     this.showcolumn[i] = false;
/*  655 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  656 */     this.tableColumn[i].setWidth(100);
/*  657 */     this.tableColumn[i].setText("证书有效起始日期");
/*  658 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  662 */     this.showcolumn[i] = false;
/*  663 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  664 */     this.tableColumn[i].setWidth(100);
/*  665 */     this.tableColumn[i].setText("证书有效结束日期");
/*  666 */     i++;
/*      */ 
/*      */ 
/*      */     
/*  670 */     this.table.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/*  677 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  682 */     Label label_10 = new Label(this.composite_1, 0);
/*  683 */     label_10.setLayoutData(new GridData());
/*  684 */     label_10.setText(" ");
/*      */ 
/*      */     
/*  687 */     Composite composite_5 = new Composite(this.composite_1, 0);
/*  688 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/*  689 */           false));
/*  690 */     GridLayout gridLayout_1 = new GridLayout();
/*  691 */     composite_5.setLayout((Layout)gridLayout_1);
/*      */     
/*  693 */     this.pageComposit = new PageComposite(composite_5, 0);
/*      */     
/*  695 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  697 */             StatisticInstaurationView.this.pageComposit.page.firstpage();
/*  698 */             StatisticInstaurationView.this.initResult();
/*      */           }
/*      */         });
/*  701 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  703 */             StatisticInstaurationView.this.pageComposit.page.prepage();
/*  704 */             StatisticInstaurationView.this.initResult();
/*      */           }
/*      */         });
/*      */     
/*  708 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  710 */             StatisticInstaurationView.this.pageComposit.page.nextpage();
/*  711 */             StatisticInstaurationView.this.initResult();
/*      */           }
/*      */         });
/*  714 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  716 */             StatisticInstaurationView.this.pageComposit.page.lastpage();
/*  717 */             StatisticInstaurationView.this.initResult();
/*      */           }
/*      */         });
/*  720 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  722 */             if (StatisticInstaurationView.this.pageComposit.setPageable()) {
/*  723 */               StatisticInstaurationView.this.initResult();
/*      */             }
/*      */           }
/*      */         });
/*      */ 
/*      */ 
/*      */     
/*  730 */     this.button = new Button(this.composite_1, 8388608);
/*  731 */     GridData gd_button = new GridData(131072, 16777216, false, 
/*  732 */         false);
/*  733 */     gd_button.heightHint = 18;
/*  734 */     this.button.setLayoutData(gd_button);
/*  735 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/*  739 */               SaveStatisticEXCELDialog s = new SaveStatisticEXCELDialog(
/*  740 */                   StatisticInstaurationView.this.shell, "事业单位法人设立登记情况简表", StatisticInstaurationView.this.stime, StatisticInstaurationView.this.etime, StatisticInstaurationView.this.groupid, 
/*  741 */                   StatisticInstaurationView.this.searchFlag, StatisticInstaurationView.this.pageComposit.page, 0, StatisticInstaurationView.this.sumController, 
/*  742 */                   StatisticInstaurationView.this.showcolumn);
/*  743 */               s.open();
/*  744 */             } catch (Exception e2) {
/*  745 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/*  750 */     this.button.setText("另存为Excel");
/*      */ 
/*      */     
/*  753 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*  754 */     initView();
/*  755 */     initData();
/*      */   }
/*      */ 
/*      */   
/*      */   private void initInput() {
/*  760 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*  761 */     this.treeViewer.refresh();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initView() {
/*  767 */     initializeToolBar();
/*      */     
/*  769 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*  770 */     this.tableViewer
/*  771 */       .setLabelProvider((IBaseLabelProvider)new InstaurationResultTableLabelProvider());
/*  772 */     this.tableViewer.setContentProvider((IContentProvider)new StaDataTableContentProvider());
/*  773 */     initSearch();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initSearch() {
/*  779 */     this.button_10.setSelection(false);
/*  780 */     this.button_9.setSelection(true);
/*  781 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/*  782 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/*  783 */         .format(this.calendar.getTime()));
/*  784 */     this.etime = "";
/*  785 */     this.stime = "";
/*  786 */     this.searchFlag = 0;
/*  787 */     this.groupid = "";
/*  788 */     this.pageComposit.initPageInfo();
/*  789 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  790 */     this.comp.layout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createWaitDialog() {
/*  800 */     Thread t = new Thread(new Runnable()
/*      */         {
/*      */           public void run() {
/*  803 */             Display display = Display.getDefault();
/*      */             
/*  805 */             if (display != null && !display.isDisposed()) {
/*  806 */               display.asyncExec(new Runnable()
/*      */                   {
/*      */                     public void run()
/*      */                     {
/*  810 */                       (StatisticInstaurationView.null.access$0(StatisticInstaurationView.null.this)).pwd.open();
/*      */                     }
/*      */                   });
/*      */             }
/*      */           }
/*      */         });
/*  816 */     t.start();
/*      */   }
/*      */   
/*      */   private void initResult() {
/*  820 */     this.pwd = new ProcessWaitDialog(this.shell);
/*  821 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/*  822 */     hm.put("stime", this.stime);
/*  823 */     hm.put("etime", this.etime);
/*  824 */     hm.put("groupid", this.groupid);
/*  825 */     hm.put("searchFlag", Integer.valueOf(this.searchFlag));
/*  826 */     hm.put("page", this.pageComposit.page);
/*  827 */     hm.put("searchType", Integer.valueOf(0));
/*  828 */     hm.put("resultType", "ArrayList");
/*  829 */     this.pwd.setUIProgress(this);
/*  830 */     this.pwd.setNoUIProgress("cs.admin.statistic.StatisticSYDWController", "getStatistic", hm);
/*  831 */     createWaitDialog();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void callBackRefresh(HashMap hm) {
/*  841 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/*  842 */     ArrayList al = (ArrayList)hm.get("result");
/*  843 */     if (al == null) {
/*      */       return;
/*      */     }
/*  846 */     this.tableViewer.setInput(resetInfos(al));
/*  847 */     refreshTable();
/*  848 */     String temp = "";
/*  849 */     if (this.stime != null && this.stime.length() > 0)
/*  850 */       temp = String.valueOf(temp) + this.stime; 
/*  851 */     if (this.etime != null && this.etime.length() > 0)
/*  852 */       temp = String.valueOf(temp) + "至" + this.etime; 
/*  853 */     if (temp.length() > 0)
/*  854 */       temp = "起止时间：" + temp; 
/*  855 */     this.label_3.setText(temp);
/*  856 */     this.comp.layout();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private void initData() {
/*  866 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/*  867 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  868 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*      */   }
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  873 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/*  874 */       .getToolBarManager();
/*      */   }
/*      */   
/*      */   private boolean isNotNull(Text text, String info) {
/*  878 */     text.setText(text.getText().trim());
/*  879 */     if (text.getText().trim().length() == 0) {
/*  880 */       text.setText(text.getText().trim());
/*  881 */       showInputErr(text, info);
/*  882 */       return false;
/*      */     } 
/*  884 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean isNum(Text text, int length, String info) {
/*  889 */     text.setText(text.getText().trim());
/*  890 */     if (length == -1) {
/*  891 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/*  892 */         text.setText(text.getText().trim());
/*  893 */         showInputErr(text, info);
/*  894 */         return false;
/*      */       } 
/*  896 */       return true;
/*  897 */     }  if (length == 0) {
/*  898 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/*  899 */         text.setText(text.getText().trim());
/*  900 */         showInputErr(text, info);
/*  901 */         return false;
/*      */       } 
/*  903 */       return true;
/*      */     } 
/*  905 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/*  906 */       text.getText().trim().length() != length) {
/*  907 */       text.setText(text.getText().trim());
/*  908 */       showInputErr(text, info);
/*  909 */       return false;
/*      */     } 
/*  911 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void showInputErr(Text text, String info) {
/*  917 */     text.setText(text.getText().trim());
/*  918 */     MessageBox mbox = new MessageBox(this.shell, 40);
/*  919 */     mbox.setMessage(info);
/*  920 */     mbox.setText("错误提示");
/*  921 */     mbox.open();
/*  922 */     text.setFocus();
/*      */   }
/*      */ 
/*      */   
/*      */   private void showInfoBox(String info) {
/*  927 */     MessageBox mbox = new MessageBox(this.shell, 40);
/*  928 */     mbox.setMessage(info);
/*  929 */     mbox.setText("错误提示");
/*  930 */     mbox.open();
/*      */   }
/*      */ 
/*      */   
/*      */   private int showQuestBox(String info) {
/*  935 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*      */     
/*  937 */     mbox.setMessage(info);
/*  938 */     mbox.setText("信息提示");
/*  939 */     return mbox.open();
/*      */   }
/*      */ 
/*      */   
/*      */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/*  944 */     if (!al.isEmpty()) {
/*  945 */       this.pageComposit.page = al.get(0);
/*  946 */       al.remove(0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  952 */       if (al.isEmpty()) {
/*  953 */         this.pageComposit.label.setText("第0页/共0页");
/*  954 */         this.pageComposit.label.update();
/*  955 */         this.pageComposit.button_up.setEnabled(false);
/*  956 */         this.pageComposit.button_down.setEnabled(false);
/*  957 */         this.pageComposit.button_first.setEnabled(false);
/*  958 */         this.pageComposit.button_last.setEnabled(false);
/*  959 */         this.button.setEnabled(false);
/*      */       }
/*      */       else {
/*      */         
/*  963 */         if (this.pageComposit.page.getCpage() == 1) {
/*  964 */           this.pageComposit.button_up.setEnabled(false);
/*  965 */           this.pageComposit.button_first.setEnabled(false);
/*      */         } else {
/*      */           
/*  968 */           this.pageComposit.button_up.setEnabled(true);
/*  969 */           this.pageComposit.button_first.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  973 */         if (this.pageComposit.page.getCpage() == 
/*  974 */           this.pageComposit.page.getTpage()) {
/*  975 */           this.pageComposit.button_down.setEnabled(false);
/*  976 */           this.pageComposit.button_last.setEnabled(false);
/*      */         } else {
/*      */           
/*  979 */           this.pageComposit.button_down.setEnabled(true);
/*  980 */           this.pageComposit.button_last.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  984 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/*  985 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/*  986 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/*  987 */             this.pageComposit.page.getTotalnum() + "行");
/*  988 */         this.pageComposit.label.update();
/*  989 */         this.button.setEnabled(true);
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  995 */       this.pageComposit.label.setText("第0页/共0页");
/*  996 */       this.pageComposit.label.update();
/*  997 */       this.pageComposit.button_up.setEnabled(false);
/*  998 */       this.pageComposit.button_down.setEnabled(false);
/*  999 */       this.pageComposit.button_first.setEnabled(false);
/* 1000 */       this.pageComposit.button_last.setEnabled(false);
/* 1001 */       this.button.setEnabled(false);
/* 1002 */       this.pageComposit.page = new PageInfo();
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1007 */     return al;
/*      */   }
/*      */   
/*      */   private void refreshTable() {
/* 1011 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/* 1012 */       if (this.tableColumn[i] != null)
/* 1013 */         if (this.showcolumn[i]) {
/* 1014 */           this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*      */ 
/*      */ 
/*      */ 
/*      */           
/* 1019 */           this.tableColumn[i].setResizable(true);
/*      */         } else {
/* 1021 */           this.tableColumn[i].setWidth(0);
/* 1022 */           this.tableColumn[i].setResizable(false);
/*      */         }  
/*      */     } 
/* 1025 */     this.table.update();
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticInstaurationView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */