/*      */ package cs.admin.statistic;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.admin.search.PageComposite;
/*      */ import cs.admin.search.SearchSYDWController;
/*      */ import cs.admin.search.SydwDetailFieldDialog;
/*      */ import cs.admin.search.TableWidthSet;
/*      */ import cs.admin.search.table.SYDWResultExcelDialog;
/*      */ import cs.admin.search.table.SYDWTableJianChaChooseDialog;
/*      */ import cs.admin.search.table.SaveEXCELResultDialog;
/*      */ import cs.admin.search.table.SearchTableContentProvider;
/*      */ import cs.admin.search.table.SearchTableJianChaLabelProvider;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.ProcessWaitDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.inter.Progress;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Calendar;
/*      */ import java.util.HashMap;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.jface.viewers.TreeViewer;
/*      */ import org.eclipse.swt.custom.CLabel;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Combo;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Event;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Listener;
/*      */ import org.eclipse.swt.widgets.MessageBox;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.swt.widgets.Tree;
/*      */ import org.eclipse.ui.PlatformUI;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.sysmanage.page.PageInfo;
/*      */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*      */ import server.tableinfo.common.SYDWInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class StatisticSYDWJianChaView
/*      */   extends ViewPart
/*      */   implements Progress
/*      */ {
/*      */   private boolean sydwDetailFlag = false;
/*      */   private Table table;
/*      */   private CLabel label_4;
/*      */   private Tree tree_1;
/*      */   private Text text_2;
/*      */   private Text text;
/*      */   private CLabel label_2;
/*      */   private CLabel label;
/*      */   private Composite composite_1;
/*      */   private Composite composite_6;
/*      */   private Button button_9;
/*      */   private Button button_10;
/*      */   private TreeViewer treeViewer;
/*      */   private Label label_3;
/*      */   private Combo combo_type;
/*      */   private String comboType;
/*   99 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  100 */   private Calendar calendar = Calendar.getInstance();
/*      */   
/*  102 */   private Shell shell = null;
/*  103 */   private Composite comp = null;
/*      */   
/*      */   private SearchSYDWController sumController;
/*  106 */   private StackLayout stackLayout = new StackLayout();
/*      */   
/*      */   private TableViewer tableViewer;
/*      */   
/*      */   private String parentid;
/*      */   private String stime;
/*      */   private String etime;
/*      */   private String groupid;
/*      */   private String groupname;
/*  115 */   private int searchFlag = 0;
/*      */   
/*      */   private Button button;
/*      */   
/*  119 */   private TableColumn[] tableColumn = new TableColumn[51];
/*  120 */   private boolean[] showcolumn = new boolean[51];
/*      */   
/*      */   private ScrolledComposite scrolledComposite;
/*      */   
/*      */   private PageComposite pageComposit;
/*      */   
/*      */   private Composite composite_3;
/*      */   private Composite composite;
/*      */   private Label lable_note;
/*      */   private Button button_back;
/*  130 */   private TableCursor cursor = null;
/*  131 */   private int selectColums = 10;
/*      */   
/*      */   private ProcessWaitDialog pwd;
/*      */   
/*      */   public void createPartControl(Composite arg0) {
/*  136 */     this.comp = arg0;
/*  137 */     this.shell = arg0.getShell();
/*  138 */     arg0.setBackgroundMode(1);
/*  139 */     arg0
/*  140 */       .setBackground(Display.getCurrent().getSystemColor(
/*  141 */           1));
/*  142 */     arg0.setLayout((Layout)this.stackLayout);
/*      */     
/*  144 */     this.composite_6 = new Composite(arg0, 0);
/*  145 */     GridLayout gridLayout_5 = new GridLayout();
/*  146 */     gridLayout_5.verticalSpacing = 0;
/*  147 */     gridLayout_5.marginTop = 20;
/*  148 */     gridLayout_5.marginBottom = 10;
/*  149 */     gridLayout_5.numColumns = 3;
/*  150 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*      */ 
/*      */     
/*  153 */     this.label = new CLabel(this.composite_6, 0);
/*  154 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  155 */     GridData gd_label = new GridData(4, 16777216, false, 
/*  156 */         false);
/*  157 */     gd_label.widthHint = 450;
/*  158 */     this.label.setLayoutData(gd_label);
/*  159 */     this.label.setText("统计分析>>监察数据统计");
/*      */ 
/*      */ 
/*      */     
/*  163 */     Label label_1 = new Label(this.composite_6, 258);
/*      */     
/*  165 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*      */ 
/*      */ 
/*      */     
/*  169 */     this.composite = new Composite(this.composite_6, 0);
/*  170 */     this.composite.setBackgroundMode(2);
/*  171 */     this.composite
/*  172 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  173 */     GridLayout gridLayout = new GridLayout();
/*  174 */     gridLayout.numColumns = 4;
/*  175 */     this.composite.setLayout((Layout)gridLayout);
/*      */     
/*  177 */     this.label_2 = new CLabel(this.composite, 0);
/*  178 */     this.label_2.setForeground(
/*  179 */         Display.getCurrent().getSystemColor(3));
/*  180 */     this.label_2.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  185 */     Composite composite_7 = new Composite(this.composite_6, 0);
/*  186 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/*  187 */           false));
/*  188 */     GridLayout gridLayout_2 = new GridLayout();
/*  189 */     gridLayout_2.numColumns = 8;
/*  190 */     composite_7.setLayout((Layout)gridLayout_2);
/*      */     
/*  192 */     Label label_5 = new Label(composite_7, 0);
/*  193 */     label_5.setText("统计时间： 从");
/*      */     
/*  195 */     this.text = new Text(composite_7, 2056);
/*  196 */     this.text
/*  197 */       .setBackground(Display.getCurrent().getSystemColor(
/*  198 */           1));
/*  199 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  200 */     gd_text.widthHint = 85;
/*  201 */     this.text.setLayoutData(gd_text);
/*      */     
/*  203 */     Button dotbutton = new Button(composite_7, 8389632);
/*  204 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  206 */             Text text = StatisticSYDWJianChaView.this.text;
/*  207 */             int width = (text.getLocation()).x;
/*  208 */             int height = (text.getLocation()).y;
/*  209 */             while (text.getParent() != null) {
/*  210 */               Composite composite = text.getParent();
/*  211 */               width += (composite.getLocation()).x;
/*  212 */               height += (composite.getLocation()).y;
/*      */             } 
/*  214 */             (new CalendarDialog(StatisticSYDWJianChaView.this.shell, StatisticSYDWJianChaView.this.text, width, height)).open();
/*      */           }
/*      */         });
/*      */     
/*  218 */     GridData gd_dotbutton = new GridData(16, 16);
/*  219 */     dotbutton.setLayoutData(gd_dotbutton);
/*  220 */     dotbutton.setText("…");
/*      */     
/*  222 */     Button xButton = new Button(composite_7, 8388608);
/*  223 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  225 */             StatisticSYDWJianChaView.this.text.setText("");
/*      */           }
/*      */         });
/*  228 */     GridData gd_xButton = new GridData(16, 16);
/*  229 */     xButton.setLayoutData(gd_xButton);
/*  230 */     xButton.setText("×");
/*      */     
/*  232 */     Label label_5_1 = new Label(composite_7, 0);
/*  233 */     label_5_1.setText(" 到 ");
/*      */     
/*  235 */     this.text_2 = new Text(composite_7, 2056);
/*  236 */     this.text_2.setBackground(Display.getCurrent()
/*  237 */         .getSystemColor(1));
/*  238 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/*  239 */         false);
/*  240 */     gd_text_2.widthHint = 85;
/*  241 */     this.text_2.setLayoutData(gd_text_2);
/*      */     
/*  243 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/*  244 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  246 */             Text text = StatisticSYDWJianChaView.this.text_2;
/*  247 */             int width = (text.getLocation()).x;
/*  248 */             int height = (text.getLocation()).y;
/*  249 */             while (text.getParent() != null) {
/*  250 */               Composite composite = text.getParent();
/*  251 */               width += (composite.getLocation()).x;
/*  252 */               height += (composite.getLocation()).y;
/*      */             } 
/*  254 */             (new CalendarDialog(StatisticSYDWJianChaView.this.shell, StatisticSYDWJianChaView.this.text_2, width, height)).open();
/*      */           }
/*      */         });
/*  257 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/*  258 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/*  259 */     dotbutton_1.setText("…");
/*      */     
/*  261 */     Button xButton_1 = new Button(composite_7, 8388608);
/*  262 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  264 */             StatisticSYDWJianChaView.this.text_2.setText("");
/*      */           }
/*      */         });
/*  267 */     GridData gd_xButton_1 = new GridData(16, 16);
/*  268 */     xButton_1.setLayoutData(gd_xButton_1);
/*  269 */     xButton_1.setText("×");
/*      */ 
/*      */     
/*  272 */     this.composite_3 = new Composite(this.composite_6, 0);
/*  273 */     this.composite_3.setBackgroundMode(2);
/*  274 */     this.composite_3.setLayoutData(new GridData(16777216, 16777216, false, 
/*  275 */           false));
/*  276 */     GridLayout gridLayout_3 = new GridLayout();
/*  277 */     gridLayout_3.numColumns = 2;
/*  278 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*      */     
/*  280 */     this.button_9 = new Button(this.composite_3, 16);
/*  281 */     this.button_9.setText("本级登记管理机关");
/*  282 */     this.button_9.setSelection(true);
/*      */     
/*  284 */     this.button_10 = new Button(this.composite_3, 16);
/*  285 */     this.button_10.setText("本级及其下级登记管理机关");
/*      */ 
/*      */ 
/*      */     
/*  289 */     Label label_1701 = new Label(this.composite_3, 0);
/*  290 */     label_1701.setBackground(Display.getCurrent()
/*  291 */         .getSystemColor(1));
/*  292 */     label_1701.setLayoutData(new GridData(131072, 16777216, 
/*  293 */           false, false, 1, 1));
/*  294 */     label_1701.setText("申请事项：");
/*      */     
/*  296 */     this.combo_type = new Combo(this.composite_3, 8);
/*  297 */     GridData gd_combo_type = new GridData(16384, 16777216, 
/*  298 */         false, false);
/*  299 */     gd_combo_type.widthHint = 80;
/*  300 */     this.combo_type.setLayoutData(gd_combo_type);
/*      */ 
/*      */     
/*  303 */     Label label_2_1 = new Label(this.composite_6, 0);
/*  304 */     label_2_1
/*  305 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  306 */     label_2_1.setText(" ");
/*      */     
/*  308 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/*  309 */     this.tree_1 = this.treeViewer.getTree();
/*  310 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/*  311 */         false);
/*  312 */     gd_tree_1.heightHint = 190;
/*  313 */     this.tree_1.setLayoutData(gd_tree_1);
/*      */     
/*  315 */     Label label_6_1 = new Label(this.composite_6, 0);
/*  316 */     label_6_1
/*  317 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  318 */     label_6_1.setText(" ");
/*      */ 
/*      */     
/*  321 */     Composite composite_2 = new Composite(this.composite_6, 0);
/*  322 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/*  323 */           false));
/*  324 */     composite_2.setLayout((Layout)new FillLayout());
/*      */     
/*  326 */     Button button_6 = new Button(composite_2, 0);
/*  327 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  329 */             InfoEntity select = null;
/*  330 */             IStructuredSelection i = (IStructuredSelection)StatisticSYDWJianChaView.this.treeViewer
/*  331 */               .getSelection();
/*      */             
/*  333 */             StatisticSYDWJianChaView.this.searchFlag = 0;
/*  334 */             StatisticSYDWJianChaView.this.stime = StatisticSYDWJianChaView.this.text.getText();
/*  335 */             StatisticSYDWJianChaView.this.etime = StatisticSYDWJianChaView.this.text_2.getText();
/*      */             
/*  337 */             if (StatisticSYDWJianChaView.this.button_10.getSelection())
/*  338 */               StatisticSYDWJianChaView.this.searchFlag = 1; 
/*  339 */             if (i == null) {
/*  340 */               StatisticSYDWJianChaView.this.parentid = null;
/*  341 */               StatisticSYDWJianChaView.this.groupid = StatisticSYDWJianChaView.this.user.getGroupid();
/*  342 */               StatisticSYDWJianChaView.this.groupname = StatisticSYDWJianChaView.this.user.getGroupname();
/*      */             } else {
/*  344 */               select = (InfoEntity)i.getFirstElement();
/*  345 */               if (select == null) {
/*  346 */                 StatisticSYDWJianChaView.this.parentid = null;
/*  347 */                 StatisticSYDWJianChaView.this.groupid = StatisticSYDWJianChaView.this.user.getGroupid();
/*  348 */                 StatisticSYDWJianChaView.this.groupname = StatisticSYDWJianChaView.this.user.getGroupname();
/*      */               } else {
/*  350 */                 StatisticSYDWJianChaView.this.parentid = select.getGroupid();
/*  351 */                 StatisticSYDWJianChaView.this.groupid = select.getId();
/*  352 */                 StatisticSYDWJianChaView.this.groupname = select.getName();
/*      */               } 
/*      */             } 
/*  355 */             StatisticSYDWJianChaView.this.startSearch();
/*      */           }
/*      */         });
/*      */     
/*  359 */     button_6.setText("确定");
/*      */ 
/*      */     
/*  362 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*      */     
/*  364 */     this.scrolledComposite.setBackground(Display.getCurrent()
/*  365 */         .getSystemColor(1));
/*  366 */     this.scrolledComposite.setBackgroundMode(1);
/*      */     
/*  368 */     this.scrolledComposite.setCapture(true);
/*      */ 
/*      */ 
/*      */     
/*  372 */     this.scrolledComposite.setExpandVertical(true);
/*  373 */     this.scrolledComposite.setExpandHorizontal(true);
/*  374 */     this.scrolledComposite.setMinHeight(480);
/*  375 */     this.scrolledComposite.setMinWidth(240);
/*      */     
/*  377 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/*  378 */     GridLayout gridLayout_4 = new GridLayout();
/*  379 */     gridLayout_4.numColumns = 2;
/*  380 */     gridLayout_4.verticalSpacing = 3;
/*  381 */     gridLayout_4.marginTop = 20;
/*  382 */     gridLayout_4.marginRight = 25;
/*  383 */     gridLayout_4.marginLeft = 25;
/*  384 */     gridLayout_4.marginBottom = 10;
/*  385 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*      */     
/*  387 */     this.label_4 = new CLabel(this.composite_1, 0);
/*  388 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  389 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/*  390 */     this.label_4.setText("统计分析>>监察数据查询结果");
/*      */     
/*  392 */     this.button_back = new Button(this.composite_1, 8388608);
/*  393 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  395 */             StatisticSYDWJianChaView.this.initSearch();
/*      */           }
/*      */         });
/*  398 */     GridData gd_button_back = new GridData(131072, 16777216, 
/*  399 */         false, false);
/*  400 */     gd_button_back.heightHint = 18;
/*  401 */     gd_button_back.widthHint = 45;
/*  402 */     this.button_back.setLayoutData(gd_button_back);
/*  403 */     this.button_back.setText("返回");
/*  404 */     Label label_1_1 = new Label(this.composite_1, 258);
/*      */     
/*  406 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/*  407 */           false, 2, 1));
/*  408 */     label_1_1.setText("Label");
/*      */     
/*  410 */     this.label_3 = new Label(this.composite_1, 64);
/*  411 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/*  412 */     this.label_3.setText("Label");
/*      */     
/*  414 */     Button button_3 = new Button(this.composite_1, 8388608);
/*  415 */     button_3.setLayoutData(new GridData(100, 18));
/*  416 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  418 */             SYDWTableJianChaChooseDialog s = new SYDWTableJianChaChooseDialog(StatisticSYDWJianChaView.this.shell, 
/*  419 */                 StatisticSYDWJianChaView.this.showcolumn);
/*  420 */             int r = s.open();
/*  421 */             if (r == 32)
/*  422 */               StatisticSYDWJianChaView.this.showcolumn = s.getResult(); 
/*  423 */             StatisticSYDWJianChaView.this.refreshTable();
/*      */           }
/*      */         });
/*  426 */     button_3.setText("选择展示列");
/*      */     
/*  428 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*      */     
/*  430 */     this.table = this.tableViewer.getTable();
/*  431 */     this.table.setLinesVisible(true);
/*  432 */     this.table.setHeaderVisible(true);
/*      */     
/*  434 */     GridData gd_table = new GridData(4, 4, true, false, 
/*  435 */         2, 10);
/*  436 */     gd_table.heightHint = 330;
/*  437 */     this.table.setLayoutData(gd_table);
/*  438 */     PublicUtil.setTableHeight(this.table);
/*  439 */     PublicUtil.setMouseHands(this.table, "3");
/*      */     
/*  441 */     this.table.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/*  448 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  453 */     Composite composite_5 = new Composite(this.composite_1, 0);
/*  454 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/*  455 */           false, 2, 1));
/*  456 */     GridLayout gridLayout_1 = new GridLayout();
/*  457 */     gridLayout_1.marginTop = 2;
/*  458 */     gridLayout_1.marginHeight = 0;
/*  459 */     composite_5.setLayout((Layout)gridLayout_1);
/*      */     
/*  461 */     this.pageComposit = new PageComposite(composite_5, 0);
/*      */     
/*  463 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  465 */             StatisticSYDWJianChaView.this.pageComposit.page.firstpage();
/*  466 */             StatisticSYDWJianChaView.this.initResult();
/*  467 */             StatisticSYDWJianChaView.this.setFontColor();
/*  468 */             StatisticSYDWJianChaView.this.setCursor();
/*      */           }
/*      */         });
/*  471 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  473 */             StatisticSYDWJianChaView.this.pageComposit.page.prepage();
/*  474 */             StatisticSYDWJianChaView.this.initResult();
/*  475 */             StatisticSYDWJianChaView.this.setFontColor();
/*  476 */             StatisticSYDWJianChaView.this.setCursor();
/*      */           }
/*      */         });
/*      */     
/*  480 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  482 */             StatisticSYDWJianChaView.this.pageComposit.page.nextpage();
/*  483 */             StatisticSYDWJianChaView.this.initResult();
/*  484 */             StatisticSYDWJianChaView.this.setFontColor();
/*  485 */             StatisticSYDWJianChaView.this.setCursor();
/*      */           }
/*      */         });
/*  488 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  490 */             StatisticSYDWJianChaView.this.pageComposit.page.lastpage();
/*  491 */             StatisticSYDWJianChaView.this.initResult();
/*  492 */             StatisticSYDWJianChaView.this.setFontColor();
/*  493 */             StatisticSYDWJianChaView.this.setCursor();
/*      */           }
/*      */         });
/*  496 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  498 */             if (StatisticSYDWJianChaView.this.pageComposit.setPageable()) {
/*  499 */               StatisticSYDWJianChaView.this.initResult();
/*  500 */               StatisticSYDWJianChaView.this.setFontColor();
/*  501 */               StatisticSYDWJianChaView.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */ 
/*      */     
/*  508 */     this.button = new Button(this.composite_1, 8388608);
/*  509 */     this.button.setLayoutData(new GridData(-1, 18));
/*  510 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/*  514 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticSYDWJianChaView.this.shell, 
/*  515 */                   StatisticSYDWJianChaView.this.sumController, "监察数据", "jiancha", String.valueOf(StatisticSYDWJianChaView.this.stime) + "|" + StatisticSYDWJianChaView.this.etime, 
/*  516 */                   StatisticSYDWJianChaView.this.groupid, StatisticSYDWJianChaView.this.groupname, StatisticSYDWJianChaView.this.searchFlag, Integer.parseInt(StatisticSYDWJianChaView.this.comboType), 
/*  517 */                   StatisticSYDWJianChaView.this.pageComposit.page, StatisticSYDWJianChaView.this.showcolumn);
/*  518 */               s.open();
/*  519 */             } catch (Exception e2) {
/*  520 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*  524 */     this.button.setText("另存为Excel");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  529 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*      */     
/*  531 */     initAll();
/*      */   }
/*      */   
/*      */   void initAll() {
/*  535 */     initializeToolBar();
/*  536 */     initSearchController();
/*      */     
/*  538 */     initTypeView();
/*  539 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  540 */     initTypeView();
/*  541 */     initTable();
/*  542 */     initSearch();
/*  543 */     initTree();
/*      */     
/*  545 */     setComboTypeData();
/*  546 */     setFontColor();
/*  547 */     setCursor();
/*      */   }
/*      */   
/*      */   private void startSearch() {
/*  551 */     initResult();
/*      */   }
/*      */   
/*      */   private void initTree() {
/*  555 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/*  556 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*  557 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*  558 */     this.treeViewer.refresh();
/*      */   }
/*      */   
/*      */   private void initSearchController() {
/*  562 */     this.sumController = new SearchSYDWController(this.user);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initTypeView() {}
/*      */ 
/*      */   
/*      */   private void initTable() {
/*  571 */     int i = -1;
/*  572 */     this.showcolumn[++i] = true;
/*  573 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  574 */     this.tableColumn[i].setText("序号");
/*      */     
/*  576 */     this.showcolumn[++i] = true;
/*  577 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  578 */     this.tableColumn[i].setAlignment(16777216);
/*  579 */     this.tableColumn[i].setText("统一社会信用代码");
/*      */     
/*  581 */     this.showcolumn[++i] = true;
/*  582 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  583 */     this.tableColumn[i].setAlignment(16777216);
/*  584 */     this.tableColumn[i].setText("证书号");
/*      */     
/*  586 */     this.showcolumn[++i] = true;
/*  587 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  588 */     this.tableColumn[i].setText("名称");
/*      */ 
/*      */     
/*  591 */     this.showcolumn[++i] = true;
/*  592 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  593 */     this.tableColumn[i].setText("申请事项");
/*      */     
/*  595 */     this.showcolumn[++i] = true;
/*  596 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  597 */     this.tableColumn[i].setText("申请日期");
/*      */     
/*  599 */     this.showcolumn[++i] = false;
/*  600 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  601 */     this.tableColumn[i].setText("受理人");
/*      */     
/*  603 */     this.showcolumn[++i] = true;
/*  604 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  605 */     this.tableColumn[i].setText("受理日期");
/*      */     
/*  607 */     this.showcolumn[++i] = false;
/*  608 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  609 */     this.tableColumn[i].setText("受理意见");
/*      */     
/*  611 */     this.showcolumn[++i] = false;
/*  612 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  613 */     this.tableColumn[i].setText("审核人");
/*      */     
/*  615 */     this.showcolumn[++i] = true;
/*  616 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  617 */     this.tableColumn[i].setText("审核日期");
/*      */     
/*  619 */     this.showcolumn[++i] = false;
/*  620 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  621 */     this.tableColumn[i].setText("审核意见");
/*      */     
/*  623 */     this.showcolumn[++i] = false;
/*  624 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  625 */     this.tableColumn[i].setText("核准人");
/*      */     
/*  627 */     this.showcolumn[++i] = true;
/*  628 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  629 */     this.tableColumn[i].setText("核准日期");
/*      */     
/*  631 */     this.showcolumn[++i] = false;
/*  632 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  633 */     this.tableColumn[i].setText("核准日渐");
/*      */     
/*  635 */     this.showcolumn[++i] = false;
/*  636 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  637 */     this.tableColumn[i].setText("法定代表人");
/*      */     
/*  639 */     this.showcolumn[++i] = false;
/*  640 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  641 */     this.tableColumn[i].setText("住所");
/*      */     
/*  643 */     this.showcolumn[++i] = false;
/*  644 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  645 */     this.tableColumn[i].setText("举办单位");
/*      */     
/*  647 */     this.showcolumn[++i] = false;
/*  648 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  649 */     this.tableColumn[i].setText("经费来源");
/*      */     
/*  651 */     this.showcolumn[++i] = false;
/*  652 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  653 */     this.tableColumn[i].setAlignment(131072);
/*  654 */     this.tableColumn[i].setText("开办资金");
/*      */     
/*  656 */     this.showcolumn[++i] = false;
/*  657 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  658 */     this.tableColumn[i].setText("宗旨和业务范围");
/*      */     
/*  660 */     this.showcolumn[++i] = true;
/*  661 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  662 */     this.tableColumn[i].setText("状态");
/*      */     
/*  664 */     this.showcolumn[++i] = false;
/*  665 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  666 */     this.tableColumn[i].setText("事业单位第二名称");
/*      */     
/*  668 */     this.showcolumn[++i] = false;
/*  669 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  670 */     this.tableColumn[i].setText("事业单位第三名称");
/*      */     
/*  672 */     this.showcolumn[++i] = false;
/*  673 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  674 */     this.tableColumn[i].setText("事业单位其他名称");
/*      */     
/*  676 */     this.showcolumn[++i] = false;
/*  677 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  678 */     this.tableColumn[i].setText("举办单位类别");
/*      */     
/*  680 */     this.showcolumn[++i] = false;
/*  681 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  682 */     this.tableColumn[i].setAlignment(131072);
/*  683 */     this.tableColumn[i].setText("固定资产");
/*      */     
/*  685 */     this.showcolumn[++i] = false;
/*  686 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  687 */     this.tableColumn[i].setAlignment(131072);
/*  688 */     this.tableColumn[i].setText("流动资产");
/*      */     
/*  690 */     this.showcolumn[++i] = false;
/*  691 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  692 */     this.tableColumn[i].setAlignment(131072);
/*  693 */     this.tableColumn[i].setText("其他资金");
/*      */     
/*  695 */     this.showcolumn[++i] = false;
/*  696 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  697 */     this.tableColumn[i].setText("开户银行");
/*      */     
/*  699 */     this.showcolumn[++i] = false;
/*  700 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  701 */     this.tableColumn[i].setText("银行帐号");
/*      */     
/*  703 */     this.showcolumn[++i] = false;
/*  704 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  705 */     this.tableColumn[i].setText("审批机关");
/*      */     
/*  707 */     this.showcolumn[++i] = false;
/*  708 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  709 */     this.tableColumn[i].setText("批准文号");
/*      */     
/*  711 */     this.showcolumn[++i] = false;
/*  712 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  713 */     this.tableColumn[i].setText("执业许可证书");
/*      */     
/*  715 */     this.showcolumn[++i] = false;
/*  716 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  717 */     this.tableColumn[i].setText("机构规格");
/*      */     
/*  719 */     this.showcolumn[++i] = false;
/*  720 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  721 */     this.tableColumn[i].setText("人员编制");
/*      */     
/*  723 */     this.showcolumn[++i] = false;
/*  724 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  725 */     this.tableColumn[i].setText("从业人数");
/*      */     
/*  727 */     this.showcolumn[++i] = false;
/*  728 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  729 */     this.tableColumn[i].setText("设立时间");
/*      */     
/*  731 */     this.showcolumn[++i] = false;
/*  732 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  733 */     this.tableColumn[i].setText("发证人");
/*      */     
/*  735 */     this.showcolumn[++i] = false;
/*  736 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  737 */     this.tableColumn[i].setText("领证人");
/*      */     
/*  739 */     this.showcolumn[++i] = false;
/*  740 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  741 */     this.tableColumn[i].setText("领证日期");
/*      */     
/*  743 */     this.showcolumn[++i] = false;
/*  744 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  745 */     this.tableColumn[i].setText("证书有效起始日期");
/*      */     
/*  747 */     this.showcolumn[++i] = false;
/*  748 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  749 */     this.tableColumn[i].setText("证书有效结束日期");
/*      */     
/*  751 */     this.showcolumn[++i] = false;
/*  752 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  753 */     this.tableColumn[i].setText("联系人");
/*      */     
/*  755 */     this.showcolumn[++i] = false;
/*  756 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  757 */     this.tableColumn[i].setText("联系电话");
/*      */     
/*  759 */     this.showcolumn[++i] = false;
/*  760 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  761 */     this.tableColumn[i].setText("邮政编码");
/*      */     
/*  763 */     this.showcolumn[++i] = false;
/*  764 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  765 */     this.tableColumn[i].setText("行业类别");
/*      */     
/*  767 */     this.showcolumn[++i] = false;
/*  768 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  769 */     this.tableColumn[i].setText("登记机关区划码");
/*      */     
/*  771 */     this.showcolumn[++i] = false;
/*  772 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  773 */     this.tableColumn[i].setText("年检情况");
/*      */     
/*  775 */     this.showcolumn[++i] = false;
/*  776 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  777 */     this.tableColumn[i].setText("年检日期");
/*      */     
/*  779 */     this.showcolumn[++i] = false;
/*  780 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  781 */     this.tableColumn[i].setText("登记管理机关");
/*      */     
/*  783 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new SearchTableJianChaLabelProvider());
/*  784 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initSearch() {
/*  800 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/*  801 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/*  802 */         .format(this.calendar.getTime()));
/*  803 */     this.etime = "";
/*  804 */     this.stime = "";
/*      */     
/*  806 */     this.button_10.setSelection(false);
/*  807 */     this.button_9.setSelection(true);
/*  808 */     this.searchFlag = 0;
/*  809 */     this.groupid = "";
/*  810 */     this.pageComposit.initPageInfo();
/*  811 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  812 */     this.comp.layout();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createWaitDialog() {
/*  822 */     Thread t = new Thread(new Runnable()
/*      */         {
/*      */           public void run() {
/*  825 */             Display display = Display.getDefault();
/*      */             
/*  827 */             if (display != null && !display.isDisposed()) {
/*  828 */               display.asyncExec(new Runnable()
/*      */                   {
/*      */                     public void run()
/*      */                     {
/*  832 */                       (StatisticSYDWJianChaView.null.access$0(StatisticSYDWJianChaView.null.this)).pwd.open();
/*      */                     }
/*      */                   });
/*      */             }
/*      */           }
/*      */         });
/*  838 */     t.start();
/*      */   }
/*      */   
/*      */   private void initResult() {
/*  842 */     this.comboType = (String)this.combo_type.getData(this.combo_type.getText());
/*  843 */     this.pwd = new ProcessWaitDialog(this.shell);
/*  844 */     HashMap<Object, Object> hm = new HashMap<Object, Object>();
/*  845 */     hm.put("stime", this.stime);
/*  846 */     hm.put("etime", this.etime);
/*  847 */     hm.put("groupid", this.groupid);
/*  848 */     hm.put("searchFlag", Integer.valueOf(this.searchFlag));
/*  849 */     hm.put("type", this.comboType);
/*  850 */     hm.put("page", this.pageComposit.page);
/*  851 */     hm.put("resultType", "ArrayList");
/*  852 */     this.pwd.setUIProgress(this);
/*  853 */     this.pwd.setNoUIProgress("cs.admin.search.SearchSYDWController", 
/*  854 */         "searchSydwJianCha", hm);
/*  855 */     createWaitDialog();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void callBackRefresh(HashMap hm) {
/*  865 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/*  866 */     ArrayList al = (ArrayList)hm.get("result");
/*  867 */     if (al == null) {
/*      */       return;
/*      */     }
/*  870 */     this.tableViewer.setInput(resetInfos(al));
/*  871 */     refreshTable();
/*  872 */     this.comp.layout();
/*  873 */     setFontColor();
/*  874 */     setCursor();
/*      */   }
/*      */ 
/*      */   
/*      */   private void refreshTable() {
/*  879 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/*  880 */       if (this.tableColumn[i] != null) {
/*  881 */         if (this.showcolumn[i]) {
/*  882 */           if (this.tableColumn[i].getText().equals("宗旨和业务范围")) {
/*  883 */             this.tableColumn[i].setWidth(400);
/*      */           } else {
/*  885 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  891 */           this.tableColumn[i].setResizable(true);
/*      */         } else {
/*  893 */           this.tableColumn[i].setWidth(0);
/*  894 */           this.tableColumn[i].setResizable(false);
/*      */         } 
/*      */       }
/*      */     } 
/*  898 */     this.table.update();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  908 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/*  909 */       .getToolBarManager();
/*      */   }
/*      */   
/*      */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/*  913 */     if (!al.isEmpty()) {
/*  914 */       this.pageComposit.page = al.get(0);
/*  915 */       al.remove(0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  921 */       if (al.isEmpty()) {
/*  922 */         this.pageComposit.label.setText("第0页/共0页");
/*  923 */         this.pageComposit.label.update();
/*  924 */         this.pageComposit.button_up.setEnabled(false);
/*  925 */         this.pageComposit.button_down.setEnabled(false);
/*  926 */         this.pageComposit.button_first.setEnabled(false);
/*  927 */         this.pageComposit.button_last.setEnabled(false);
/*  928 */         this.button.setEnabled(false);
/*      */       }
/*      */       else {
/*      */         
/*  932 */         if (this.pageComposit.page.getCpage() == 1) {
/*  933 */           this.pageComposit.button_up.setEnabled(false);
/*  934 */           this.pageComposit.button_first.setEnabled(false);
/*      */         } else {
/*      */           
/*  937 */           this.pageComposit.button_up.setEnabled(true);
/*  938 */           this.pageComposit.button_first.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  942 */         if (this.pageComposit.page.getCpage() == 
/*  943 */           this.pageComposit.page.getTpage()) {
/*  944 */           this.pageComposit.button_down.setEnabled(false);
/*  945 */           this.pageComposit.button_last.setEnabled(false);
/*      */         } else {
/*      */           
/*  948 */           this.pageComposit.button_down.setEnabled(true);
/*  949 */           this.pageComposit.button_last.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  953 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/*  954 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/*  955 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/*  956 */             this.pageComposit.page.getTotalnum() + "行");
/*  957 */         this.pageComposit.label.update();
/*  958 */         this.button.setEnabled(true);
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  964 */       this.pageComposit.label.setText("第0页/共0页");
/*  965 */       this.pageComposit.label.update();
/*  966 */       this.pageComposit.button_up.setEnabled(false);
/*  967 */       this.pageComposit.button_down.setEnabled(false);
/*  968 */       this.pageComposit.button_first.setEnabled(false);
/*  969 */       this.pageComposit.button_last.setEnabled(false);
/*  970 */       this.button.setEnabled(false);
/*  971 */       this.pageComposit.page = new PageInfo();
/*      */     } 
/*      */     
/*  974 */     this.label_3.setText("共搜索到[" + this.pageComposit.page.getTotalnum() + 
/*  975 */         "]条符合条件的信息 。");
/*  976 */     return al;
/*      */   }
/*      */   
/*      */   private boolean isNotNull(Text text, String info) {
/*  980 */     text.setText(text.getText().trim());
/*  981 */     if (text.getText().trim().length() == 0) {
/*  982 */       text.setText(text.getText().trim());
/*  983 */       showInputErr(text, info);
/*  984 */       return false;
/*      */     } 
/*  986 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean isNum(Text text, int length, String info) {
/*  991 */     text.setText(text.getText().trim());
/*  992 */     if (length == -1) {
/*  993 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/*  994 */         text.setText(text.getText().trim());
/*  995 */         showInputErr(text, info);
/*  996 */         return false;
/*      */       } 
/*  998 */       return true;
/*  999 */     }  if (length == 0) {
/* 1000 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 1001 */         text.setText(text.getText().trim());
/* 1002 */         showInputErr(text, info);
/* 1003 */         return false;
/*      */       } 
/* 1005 */       return true;
/*      */     } 
/* 1007 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 1008 */       text.getText().trim().length() != length) {
/* 1009 */       text.setText(text.getText().trim());
/* 1010 */       showInputErr(text, info);
/* 1011 */       return false;
/*      */     } 
/* 1013 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void showInputErr(Text text, String info) {
/* 1019 */     text.setText(text.getText().trim());
/* 1020 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 1021 */     mbox.setMessage(info);
/* 1022 */     mbox.setText("错误提示");
/* 1023 */     mbox.open();
/* 1024 */     text.setFocus();
/*      */   }
/*      */ 
/*      */   
/*      */   private void showInfoBox(String info) {
/* 1029 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 1030 */     mbox.setMessage(info);
/* 1031 */     mbox.setText("错误提示");
/* 1032 */     mbox.open();
/*      */   }
/*      */ 
/*      */   
/*      */   private int showQuestBox(String info) {
/* 1037 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*      */     
/* 1039 */     mbox.setMessage(info);
/* 1040 */     mbox.setText("信息提示");
/* 1041 */     return mbox.open();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public class Operation
/*      */   {
/*      */     public void showSYDWInfo(SYDWInfo sydw) {
/* 1051 */       (new SYDWResultExcelDialog(StatisticSYDWJianChaView.this.shell, StatisticSYDWJianChaView.this.sumController, sydw)).open();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setFontColor() {
/* 1059 */     if (this.sydwDetailFlag) {
/* 1060 */       for (int i = 0; i < this.table.getItemCount(); i++) {
/* 1061 */         this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 1062 */         this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setCursor() {
/* 1071 */     if (this.sydwDetailFlag) {
/* 1072 */       if (this.cursor != null)
/* 1073 */         this.cursor.dispose(); 
/* 1074 */       this.cursor = new TableCursor(this.table, 0);
/* 1075 */       this.cursor.setBackground(this.table.getDisplay()
/* 1076 */           .getSystemColor(26));
/* 1077 */       this.cursor.setForeground(this.table.getDisplay()
/* 1078 */           .getSystemColor(27));
/* 1079 */       this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */             public void widgetSelected(SelectionEvent e) {
/* 1081 */               int colums = StatisticSYDWJianChaView.this.cursor.getColumn();
/* 1082 */               if (colums == 3) {
/* 1083 */                 StatisticSYDWJianChaView.this.openSydwDetailDialog();
/*      */               }
/* 1085 */               StatisticSYDWJianChaView.this.selectColums = colums;
/*      */             }
/*      */           });
/* 1088 */       this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */           {
/*      */             public void mouseDown(MouseEvent arg0) {
/* 1091 */               int colums = StatisticSYDWJianChaView.this.cursor.getColumn();
/* 1092 */               if (colums == StatisticSYDWJianChaView.this.selectColums && 
/* 1093 */                 colums == 3) {
/* 1094 */                 StatisticSYDWJianChaView.this.openSydwDetailDialog();
/*      */               }
/*      */             }
/*      */           });
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void openSydwDetailDialog() {
/* 1104 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 1105 */     SYDWInfo sydwinfo = (SYDWInfo)select.getFirstElement();
/*      */     
/* 1107 */     SydwDetailFieldDialog sydwField = new SydwDetailFieldDialog(
/* 1108 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwinfo);
/* 1109 */     sydwField.open();
/*      */   }
/*      */   
/*      */   private void setComboTypeData() {
/*      */     try {
/* 1114 */       this.combo_type.add("全部");
/* 1115 */       this.combo_type.add("设立登记");
/* 1116 */       this.combo_type.add("变更登记");
/* 1117 */       this.combo_type.add("年度报告登记");
/* 1118 */       this.combo_type.add("注销登记");
/* 1119 */       this.combo_type.add("补领登记");
/* 1120 */       this.combo_type.add("重新申领登记");
/* 1121 */       this.combo_type.setData("全部", "9");
/* 1122 */       this.combo_type.setData("设立登记", "0");
/* 1123 */       this.combo_type.setData("变更登记", "1");
/* 1124 */       this.combo_type.setData("年度报告登记", "2");
/* 1125 */       this.combo_type.setData("注销登记", "3");
/* 1126 */       this.combo_type.setData("补领登记", "4");
/* 1127 */       this.combo_type.setData("重新申领登记", "5");
/* 1128 */       this.combo_type.select(0);
/* 1129 */     } catch (Exception e) {
/* 1130 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticSYDWJianChaView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */