/*      */ package cs.admin.statistic;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.admin.search.PageComposite;
/*      */ import cs.admin.search.SearchSYDWController;
/*      */ import cs.admin.search.SydwDetailFieldDialog;
/*      */ import cs.admin.search.TableWidthSet;
/*      */ import cs.admin.search.table.SYDWResultExcelDialog;
/*      */ import cs.admin.search.table.SYDWTableChooseDialog;
/*      */ import cs.admin.search.table.SaveEXCELResultDialog;
/*      */ import cs.admin.search.table.SearchTableContentProvider;
/*      */ import cs.admin.search.table.SearchTableLabelProvider;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*      */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*      */ import java.text.SimpleDateFormat;
/*      */ import java.util.ArrayList;
/*      */ import java.util.Calendar;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.jface.viewers.TreeViewer;
/*      */ import org.eclipse.swt.custom.CLabel;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Event;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Listener;
/*      */ import org.eclipse.swt.widgets.MessageBox;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.swt.widgets.Tree;
/*      */ import org.eclipse.ui.PlatformUI;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.sysmanage.page.PageInfo;
/*      */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*      */ import server.tableinfo.common.SYDWInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class StatisticSYDWUnifyView
/*      */   extends ViewPart
/*      */ {
/*      */   private boolean sydwDetailFlag = false;
/*      */   private Table table;
/*      */   private CLabel label_4;
/*      */   private Tree tree_1;
/*      */   private Text text_2;
/*      */   private Text text;
/*      */   private CLabel label_2;
/*      */   private CLabel label;
/*      */   private Composite composite_1;
/*      */   private Composite composite_6;
/*      */   private Button button_9;
/*      */   private Button button_10;
/*      */   private Button button_11;
/*      */   private Button button_12;
/*      */   private TreeViewer treeViewer;
/*      */   private Label label_3;
/*   83 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*   84 */   private Calendar calendar = Calendar.getInstance();
/*      */   
/*   86 */   private Shell shell = null;
/*   87 */   private Composite comp = null;
/*      */   
/*      */   private SearchSYDWController sumController;
/*   90 */   private StackLayout stackLayout = new StackLayout();
/*      */   
/*      */   private TableViewer tableViewer;
/*      */   
/*      */   private String parentid;
/*      */   private String stime;
/*      */   private String etime;
/*      */   private String groupid;
/*      */   private String groupname;
/*   99 */   private int searchFlag = 0;
/*  100 */   private int sendFlag = 1;
/*      */   
/*      */   private Button button;
/*      */   
/*  104 */   private TableColumn[] tableColumn = new TableColumn[42];
/*  105 */   private boolean[] showcolumn = new boolean[42];
/*      */   
/*      */   private ScrolledComposite scrolledComposite;
/*      */   
/*      */   private PageComposite pageComposit;
/*      */   
/*      */   private Composite composite_3;
/*      */   private Composite composite_33;
/*      */   private Composite composite;
/*      */   private Label lable_moveinfo;
/*      */   private Label lable_note;
/*      */   private Button button_back;
/*  117 */   private TableCursor cursor = null;
/*  118 */   private int selectColums = 10;
/*      */ 
/*      */   
/*      */   public void createPartControl(Composite arg0) {
/*  122 */     this.comp = arg0;
/*  123 */     this.shell = arg0.getShell();
/*  124 */     arg0.setBackgroundMode(1);
/*  125 */     arg0
/*  126 */       .setBackground(Display.getCurrent().getSystemColor(
/*  127 */           1));
/*  128 */     arg0.setLayout((Layout)this.stackLayout);
/*      */     
/*  130 */     this.composite_6 = new Composite(arg0, 0);
/*  131 */     GridLayout gridLayout_5 = new GridLayout();
/*  132 */     gridLayout_5.verticalSpacing = 0;
/*  133 */     gridLayout_5.marginTop = 20;
/*  134 */     gridLayout_5.marginBottom = 10;
/*  135 */     gridLayout_5.numColumns = 3;
/*  136 */     this.composite_6.setLayout((Layout)gridLayout_5);
/*      */ 
/*      */     
/*  139 */     this.label = new CLabel(this.composite_6, 0);
/*  140 */     this.label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  141 */     GridData gd_label = new GridData(4, 16777216, false, 
/*  142 */         false);
/*  143 */     gd_label.widthHint = 450;
/*  144 */     this.label.setLayoutData(gd_label);
/*  145 */     this.label.setText("统计分析>>统一社会信用代码发放进度统计");
/*      */ 
/*      */ 
/*      */     
/*  149 */     Label label_1 = new Label(this.composite_6, 258);
/*      */     
/*  151 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*      */ 
/*      */ 
/*      */     
/*  155 */     this.composite = new Composite(this.composite_6, 0);
/*  156 */     this.composite.setBackgroundMode(2);
/*  157 */     this.composite
/*  158 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  159 */     GridLayout gridLayout = new GridLayout();
/*  160 */     gridLayout.numColumns = 4;
/*  161 */     this.composite.setLayout((Layout)gridLayout);
/*      */     
/*  163 */     this.label_2 = new CLabel(this.composite, 0);
/*  164 */     this.label_2.setForeground(
/*  165 */         Display.getCurrent().getSystemColor(3));
/*  166 */     this.label_2.setText("请选择统计的开始时间和结束时间，如果不选择默认为对本级所有数据统计");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  171 */     Composite composite_7 = new Composite(this.composite_6, 0);
/*  172 */     composite_7.setLayoutData(new GridData(16777216, 16777216, false, 
/*  173 */           false));
/*  174 */     GridLayout gridLayout_2 = new GridLayout();
/*  175 */     gridLayout_2.numColumns = 8;
/*  176 */     composite_7.setLayout((Layout)gridLayout_2);
/*      */     
/*  178 */     Label label_5 = new Label(composite_7, 0);
/*  179 */     label_5.setText("统计时间： 从");
/*      */     
/*  181 */     this.text = new Text(composite_7, 2056);
/*  182 */     this.text
/*  183 */       .setBackground(Display.getCurrent().getSystemColor(
/*  184 */           1));
/*  185 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  186 */     gd_text.widthHint = 85;
/*  187 */     this.text.setLayoutData(gd_text);
/*      */     
/*  189 */     Button dotbutton = new Button(composite_7, 8389632);
/*  190 */     dotbutton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  192 */             Text text = StatisticSYDWUnifyView.this.text;
/*  193 */             int width = (text.getLocation()).x;
/*  194 */             int height = (text.getLocation()).y;
/*  195 */             while (text.getParent() != null) {
/*  196 */               Composite composite = text.getParent();
/*  197 */               width += (composite.getLocation()).x;
/*  198 */               height += (composite.getLocation()).y;
/*      */             } 
/*  200 */             (new CalendarDialog(StatisticSYDWUnifyView.this.shell, StatisticSYDWUnifyView.this.text, width, height)).open();
/*      */           }
/*      */         });
/*      */     
/*  204 */     GridData gd_dotbutton = new GridData(16, 16);
/*  205 */     dotbutton.setLayoutData(gd_dotbutton);
/*  206 */     dotbutton.setText("…");
/*      */     
/*  208 */     Button xButton = new Button(composite_7, 8388608);
/*  209 */     xButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  211 */             StatisticSYDWUnifyView.this.text.setText("");
/*      */           }
/*      */         });
/*  214 */     GridData gd_xButton = new GridData(16, 16);
/*  215 */     xButton.setLayoutData(gd_xButton);
/*  216 */     xButton.setText("×");
/*      */     
/*  218 */     Label label_5_1 = new Label(composite_7, 0);
/*  219 */     label_5_1.setText(" 到 ");
/*      */     
/*  221 */     this.text_2 = new Text(composite_7, 2056);
/*  222 */     this.text_2.setBackground(Display.getCurrent()
/*  223 */         .getSystemColor(1));
/*  224 */     GridData gd_text_2 = new GridData(4, 16777216, true, 
/*  225 */         false);
/*  226 */     gd_text_2.widthHint = 85;
/*  227 */     this.text_2.setLayoutData(gd_text_2);
/*      */     
/*  229 */     Button dotbutton_1 = new Button(composite_7, 8389632);
/*  230 */     dotbutton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  232 */             Text text = StatisticSYDWUnifyView.this.text_2;
/*  233 */             int width = (text.getLocation()).x;
/*  234 */             int height = (text.getLocation()).y;
/*  235 */             while (text.getParent() != null) {
/*  236 */               Composite composite = text.getParent();
/*  237 */               width += (composite.getLocation()).x;
/*  238 */               height += (composite.getLocation()).y;
/*      */             } 
/*  240 */             (new CalendarDialog(StatisticSYDWUnifyView.this.shell, StatisticSYDWUnifyView.this.text_2, width, height)).open();
/*      */           }
/*      */         });
/*  243 */     GridData gd_dotbutton_1 = new GridData(16, 16);
/*  244 */     dotbutton_1.setLayoutData(gd_dotbutton_1);
/*  245 */     dotbutton_1.setText("…");
/*      */     
/*  247 */     Button xButton_1 = new Button(composite_7, 8388608);
/*  248 */     xButton_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  250 */             StatisticSYDWUnifyView.this.text_2.setText("");
/*      */           }
/*      */         });
/*  253 */     GridData gd_xButton_1 = new GridData(16, 16);
/*  254 */     xButton_1.setLayoutData(gd_xButton_1);
/*  255 */     xButton_1.setText("×");
/*      */ 
/*      */     
/*  258 */     this.composite_3 = new Composite(this.composite_6, 0);
/*  259 */     this.composite_3.setBackgroundMode(2);
/*  260 */     this.composite_3.setLayoutData(new GridData(16777216, 16777216, false, false));
/*  261 */     GridLayout gridLayout_3 = new GridLayout();
/*  262 */     gridLayout_3.numColumns = 2;
/*  263 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*      */     
/*  265 */     this.button_9 = new Button(this.composite_3, 16);
/*  266 */     this.button_9.setText("本级登记管理机关");
/*  267 */     this.button_9.setSelection(true);
/*      */     
/*  269 */     this.button_10 = new Button(this.composite_3, 16);
/*  270 */     this.button_10.setText("本级及其下级登记管理机关");
/*      */ 
/*      */ 
/*      */     
/*  274 */     this.composite_33 = new Composite(this.composite_6, 0);
/*  275 */     this.composite_33.setBackgroundMode(2);
/*  276 */     this.composite_33.setLayoutData(new GridData(16777216, 16777216, false, false));
/*  277 */     GridLayout gridLayout_33 = new GridLayout();
/*  278 */     gridLayout_33.numColumns = 2;
/*  279 */     this.composite_33.setLayout((Layout)gridLayout_33);
/*      */     
/*  281 */     this.button_11 = new Button(this.composite_33, 16);
/*  282 */     this.button_11.setText("已发放");
/*  283 */     this.button_11.setSelection(true);
/*      */     
/*  285 */     this.button_12 = new Button(this.composite_33, 16);
/*  286 */     this.button_12.setText("未发放");
/*      */ 
/*      */ 
/*      */     
/*  290 */     Label label_2_1 = new Label(this.composite_6, 0);
/*  291 */     label_2_1
/*  292 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  293 */     label_2_1.setText(" ");
/*      */     
/*  295 */     this.treeViewer = new TreeViewer(this.composite_6, 2048);
/*  296 */     this.tree_1 = this.treeViewer.getTree();
/*  297 */     GridData gd_tree_1 = new GridData(4, 4, false, 
/*  298 */         false);
/*  299 */     gd_tree_1.heightHint = 190;
/*  300 */     this.tree_1.setLayoutData(gd_tree_1);
/*      */     
/*  302 */     Label label_6_1 = new Label(this.composite_6, 0);
/*  303 */     label_6_1
/*  304 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/*  305 */     label_6_1.setText(" ");
/*      */ 
/*      */     
/*  308 */     Composite composite_2 = new Composite(this.composite_6, 0);
/*  309 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/*  310 */           false));
/*  311 */     composite_2.setLayout((Layout)new FillLayout());
/*      */     
/*  313 */     Button button_6 = new Button(composite_2, 0);
/*  314 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  316 */             InfoEntity select = null;
/*  317 */             IStructuredSelection i = (IStructuredSelection)StatisticSYDWUnifyView.this.treeViewer
/*  318 */               .getSelection();
/*      */             
/*  320 */             StatisticSYDWUnifyView.this.searchFlag = 0;
/*  321 */             StatisticSYDWUnifyView.this.stime = StatisticSYDWUnifyView.this.text.getText();
/*  322 */             StatisticSYDWUnifyView.this.etime = StatisticSYDWUnifyView.this.text_2.getText();
/*      */             
/*  324 */             if (StatisticSYDWUnifyView.this.button_10.getSelection())
/*  325 */               StatisticSYDWUnifyView.this.searchFlag = 1; 
/*  326 */             if (StatisticSYDWUnifyView.this.button_12.getSelection()) {
/*  327 */               StatisticSYDWUnifyView.this.sendFlag = 0;
/*      */             }
/*  329 */             if (i == null) {
/*  330 */               StatisticSYDWUnifyView.this.parentid = null;
/*  331 */               StatisticSYDWUnifyView.this.groupid = StatisticSYDWUnifyView.this.user.getGroupid();
/*  332 */               StatisticSYDWUnifyView.this.groupname = StatisticSYDWUnifyView.this.user.getGroupname();
/*      */             } else {
/*  334 */               select = (InfoEntity)i.getFirstElement();
/*  335 */               if (select == null) {
/*  336 */                 StatisticSYDWUnifyView.this.parentid = null;
/*  337 */                 StatisticSYDWUnifyView.this.groupid = StatisticSYDWUnifyView.this.user.getGroupid();
/*  338 */                 StatisticSYDWUnifyView.this.groupname = StatisticSYDWUnifyView.this.user.getGroupname();
/*      */               } else {
/*  340 */                 StatisticSYDWUnifyView.this.parentid = select.getGroupid();
/*  341 */                 StatisticSYDWUnifyView.this.groupid = select.getId();
/*  342 */                 StatisticSYDWUnifyView.this.groupname = select.getName();
/*      */               } 
/*      */             } 
/*  345 */             StatisticSYDWUnifyView.this.startSearch();
/*      */           }
/*      */         });
/*      */     
/*  349 */     button_6.setText("确定");
/*      */ 
/*      */     
/*  352 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*      */     
/*  354 */     this.scrolledComposite.setBackground(Display.getCurrent()
/*  355 */         .getSystemColor(1));
/*  356 */     this.scrolledComposite.setBackgroundMode(1);
/*      */     
/*  358 */     this.scrolledComposite.setCapture(true);
/*      */ 
/*      */ 
/*      */     
/*  362 */     this.scrolledComposite.setExpandVertical(true);
/*  363 */     this.scrolledComposite.setExpandHorizontal(true);
/*  364 */     this.scrolledComposite.setMinHeight(480);
/*  365 */     this.scrolledComposite.setMinWidth(240);
/*      */     
/*  367 */     this.composite_1 = new Composite((Composite)this.scrolledComposite, 0);
/*  368 */     GridLayout gridLayout_4 = new GridLayout();
/*  369 */     gridLayout_4.numColumns = 2;
/*  370 */     gridLayout_4.verticalSpacing = 3;
/*  371 */     gridLayout_4.marginTop = 20;
/*  372 */     gridLayout_4.marginRight = 25;
/*  373 */     gridLayout_4.marginLeft = 25;
/*  374 */     gridLayout_4.marginBottom = 10;
/*  375 */     this.composite_1.setLayout((Layout)gridLayout_4);
/*      */     
/*  377 */     this.label_4 = new CLabel(this.composite_1, 0);
/*  378 */     this.label_4.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  379 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false));
/*  380 */     if (this.button_10.getSelection()) {
/*  381 */       this.label_4.setText("统计分析>>已发放统一社会信用代码事业单位");
/*      */     } else {
/*  383 */       this.label_4.setText("统计分析>>未发放统一社会信用代码事业单位");
/*  384 */     }  this.button_back = new Button(this.composite_1, 8388608);
/*  385 */     this.button_back.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  387 */             StatisticSYDWUnifyView.this.initSearch();
/*      */           }
/*      */         });
/*  390 */     GridData gd_button_back = new GridData(131072, 16777216, 
/*  391 */         false, false);
/*  392 */     gd_button_back.heightHint = 18;
/*  393 */     gd_button_back.widthHint = 45;
/*  394 */     this.button_back.setLayoutData(gd_button_back);
/*  395 */     this.button_back.setText("返回");
/*  396 */     Label label_1_1 = new Label(this.composite_1, 258);
/*      */     
/*  398 */     label_1_1.setLayoutData(new GridData(4, 16777216, false, 
/*  399 */           false, 2, 1));
/*  400 */     label_1_1.setText("Label");
/*      */     
/*  402 */     this.label_3 = new Label(this.composite_1, 64);
/*  403 */     this.label_3.setLayoutData(new GridData(4, 16777216, true, false));
/*  404 */     this.label_3.setText("Label");
/*      */     
/*  406 */     Button button_3 = new Button(this.composite_1, 8388608);
/*  407 */     button_3.setLayoutData(new GridData(100, 18));
/*  408 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  410 */             SYDWTableChooseDialog s = new SYDWTableChooseDialog(StatisticSYDWUnifyView.this.shell, 
/*  411 */                 StatisticSYDWUnifyView.this.showcolumn);
/*  412 */             int r = s.open();
/*  413 */             if (r == 32)
/*  414 */               StatisticSYDWUnifyView.this.showcolumn = s.getResult(); 
/*  415 */             StatisticSYDWUnifyView.this.refreshTable();
/*      */           }
/*      */         });
/*  418 */     button_3.setText("选择展示列");
/*      */     
/*  420 */     this.tableViewer = new TableViewer(this.composite_1, 67584);
/*      */     
/*  422 */     this.table = this.tableViewer.getTable();
/*  423 */     this.table.setLinesVisible(true);
/*  424 */     this.table.setHeaderVisible(true);
/*      */     
/*  426 */     GridData gd_table = new GridData(4, 4, true, false, 
/*  427 */         2, 10);
/*  428 */     gd_table.heightHint = 330;
/*  429 */     this.table.setLayoutData(gd_table);
/*  430 */     PublicUtil.setTableHeight(this.table);
/*  431 */     PublicUtil.setMouseHands(this.table, "3");
/*      */     
/*  433 */     this.table.addListener(41, new Listener()
/*      */         {
/*      */ 
/*      */ 
/*      */           
/*      */           public void handleEvent(Event event)
/*      */           {
/*  440 */             event.height = 20;
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  445 */     Composite composite_5 = new Composite(this.composite_1, 0);
/*  446 */     composite_5.setLayoutData(new GridData(4, 16777216, true, 
/*  447 */           false, 2, 1));
/*  448 */     GridLayout gridLayout_1 = new GridLayout();
/*  449 */     gridLayout_1.marginTop = 2;
/*  450 */     gridLayout_1.marginHeight = 0;
/*  451 */     composite_5.setLayout((Layout)gridLayout_1);
/*      */     
/*  453 */     this.pageComposit = new PageComposite(composite_5, 0);
/*      */     
/*  455 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  458 */             StatisticSYDWUnifyView.this.pageComposit.page.firstpage();
/*  459 */             StatisticSYDWUnifyView.this.tableViewer.setInput(StatisticSYDWUnifyView.this
/*  460 */                 .resetInfos(StatisticSYDWUnifyView.this.sumController.searchPrintUnify(StatisticSYDWUnifyView.this.stime, StatisticSYDWUnifyView.this.etime, StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, StatisticSYDWUnifyView.this.pageComposit.page)));
/*  461 */             StatisticSYDWUnifyView.this.setFontColor();
/*  462 */             StatisticSYDWUnifyView.this.setCursor();
/*      */           }
/*      */         });
/*  465 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  468 */             StatisticSYDWUnifyView.this.pageComposit.page.prepage();
/*  469 */             StatisticSYDWUnifyView.this.tableViewer.setInput(StatisticSYDWUnifyView.this
/*  470 */                 .resetInfos(StatisticSYDWUnifyView.this.sumController.searchPrintUnify(StatisticSYDWUnifyView.this.stime, StatisticSYDWUnifyView.this.etime, StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, StatisticSYDWUnifyView.this.pageComposit.page)));
/*  471 */             StatisticSYDWUnifyView.this.setFontColor();
/*  472 */             StatisticSYDWUnifyView.this.setCursor();
/*      */           }
/*      */         });
/*      */     
/*  476 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  479 */             StatisticSYDWUnifyView.this.pageComposit.page.nextpage();
/*      */             
/*  481 */             StatisticSYDWUnifyView.this.tableViewer.setInput(StatisticSYDWUnifyView.this
/*  482 */                 .resetInfos(StatisticSYDWUnifyView.this.sumController.searchPrintUnify(StatisticSYDWUnifyView.this.stime, StatisticSYDWUnifyView.this.etime, StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, StatisticSYDWUnifyView.this.pageComposit.page)));
/*  483 */             StatisticSYDWUnifyView.this.setFontColor();
/*  484 */             StatisticSYDWUnifyView.this.setCursor();
/*      */           }
/*      */         });
/*  487 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  490 */             StatisticSYDWUnifyView.this.pageComposit.page.lastpage();
/*      */             
/*  492 */             StatisticSYDWUnifyView.this.tableViewer.setInput(StatisticSYDWUnifyView.this
/*  493 */                 .resetInfos(StatisticSYDWUnifyView.this.sumController.searchPrintUnify(StatisticSYDWUnifyView.this.stime, StatisticSYDWUnifyView.this.etime, StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, StatisticSYDWUnifyView.this.pageComposit.page)));
/*  494 */             StatisticSYDWUnifyView.this.setFontColor();
/*  495 */             StatisticSYDWUnifyView.this.setCursor();
/*      */           }
/*      */         });
/*  498 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  501 */             if (StatisticSYDWUnifyView.this.pageComposit.setPageable()) {
/*  502 */               StatisticSYDWUnifyView.this.tableViewer.setInput(StatisticSYDWUnifyView.this
/*  503 */                   .resetInfos(StatisticSYDWUnifyView.this.sumController.searchPrintUnify(StatisticSYDWUnifyView.this.stime, StatisticSYDWUnifyView.this.etime, StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, StatisticSYDWUnifyView.this.pageComposit.page)));
/*  504 */               StatisticSYDWUnifyView.this.setFontColor();
/*  505 */               StatisticSYDWUnifyView.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*      */     
/*  510 */     this.lable_moveinfo = new Label(this.composite_1, 0);
/*  511 */     this.lable_moveinfo.setForeground(Display.getCurrent().getSystemColor(3));
/*  512 */     this.lable_moveinfo.setFont(SWTResourceManager.getFont("宋体", 11, 0, false, false));
/*  513 */     GridData gd_lable_moveinfo = new GridData(4, 16777216, false, false);
/*  514 */     this.lable_moveinfo.setLayoutData(gd_lable_moveinfo);
/*      */     
/*  516 */     this.button = new Button(this.composite_1, 8388608);
/*  517 */     this.button.setLayoutData(new GridData(-1, 18));
/*  518 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*      */             try {
/*  522 */               SaveEXCELResultDialog s = new SaveEXCELResultDialog(StatisticSYDWUnifyView.this.shell, 
/*  523 */                   StatisticSYDWUnifyView.this.sumController, "搜索结果", "unify", String.valueOf(StatisticSYDWUnifyView.this.stime) + "|" + StatisticSYDWUnifyView.this.etime, 
/*  524 */                   StatisticSYDWUnifyView.this.groupid, StatisticSYDWUnifyView.this.groupname, StatisticSYDWUnifyView.this.searchFlag, StatisticSYDWUnifyView.this.sendFlag, 
/*  525 */                   StatisticSYDWUnifyView.this.pageComposit.page, StatisticSYDWUnifyView.this.showcolumn);
/*  526 */               s.open();
/*  527 */             } catch (Exception e2) {
/*  528 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*  532 */     this.button.setText("另存为Excel");
/*      */     
/*  534 */     this.lable_note = new Label(this.composite_1, 64);
/*  535 */     this.lable_note.setFont(SWTResourceManager.getFont("宋体", 12, 0, false, false));
/*  536 */     GridData gd_lable_note = new GridData(4, 16777216, false, false);
/*  537 */     gd_lable_note.heightHint = 100;
/*  538 */     this.lable_note.setLayoutData(gd_lable_note);
/*      */ 
/*      */ 
/*      */     
/*  542 */     this.scrolledComposite.setContent((Control)this.composite_1);
/*      */     
/*  544 */     initAll();
/*      */   }
/*      */ 
/*      */   
/*      */   void initAll() {
/*  549 */     initializeToolBar();
/*  550 */     initSearchController();
/*      */     
/*  552 */     initTypeView();
/*  553 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  554 */     initTypeView();
/*  555 */     initTable();
/*  556 */     initSearch();
/*  557 */     initTree();
/*      */     
/*  559 */     setFontColor();
/*  560 */     setCursor();
/*      */   }
/*      */   
/*      */   private void startSearch() {
/*  564 */     initResult();
/*      */   }
/*      */   
/*      */   private void initTree() {
/*  568 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/*  569 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*  570 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*  571 */     this.treeViewer.refresh();
/*      */   }
/*      */   
/*      */   private void initSearchController() {
/*  575 */     this.sumController = new SearchSYDWController(this.user);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void initTypeView() {}
/*      */ 
/*      */   
/*      */   private void initTable() {
/*  584 */     int i = -1;
/*  585 */     this.showcolumn[++i] = true;
/*  586 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  587 */     this.tableColumn[i].setText("序号");
/*      */     
/*  589 */     this.showcolumn[++i] = true;
/*  590 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  591 */     this.tableColumn[i].setAlignment(16777216);
/*  592 */     this.tableColumn[i].setText("统一社会信用代码");
/*      */     
/*  594 */     this.showcolumn[++i] = true;
/*  595 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  596 */     this.tableColumn[i].setAlignment(16777216);
/*  597 */     this.tableColumn[i].setText("证书号");
/*      */     
/*  599 */     this.showcolumn[++i] = true;
/*  600 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  601 */     this.tableColumn[i].setText("名称");
/*      */     
/*  603 */     this.showcolumn[++i] = true;
/*  604 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  605 */     this.tableColumn[i].setText("法定代表人");
/*      */     
/*  607 */     this.showcolumn[++i] = true;
/*  608 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  609 */     this.tableColumn[i].setText("住所");
/*      */     
/*  611 */     this.showcolumn[++i] = true;
/*  612 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  613 */     this.tableColumn[i].setText("举办单位");
/*      */     
/*  615 */     this.showcolumn[++i] = true;
/*  616 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  617 */     this.tableColumn[i].setText("经费来源");
/*      */     
/*  619 */     this.showcolumn[++i] = true;
/*  620 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*      */     
/*  622 */     this.tableColumn[i].setAlignment(131072);
/*  623 */     this.tableColumn[i].setText("开办资金");
/*      */     
/*  625 */     this.showcolumn[++i] = true;
/*  626 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  627 */     this.tableColumn[i].setText("宗旨和业务范围");
/*      */     
/*  629 */     this.showcolumn[++i] = true;
/*  630 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  631 */     this.tableColumn[i].setText("状态");
/*      */     
/*  633 */     this.showcolumn[++i] = false;
/*  634 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  635 */     this.tableColumn[i].setText("事业单位第二名称");
/*      */     
/*  637 */     this.showcolumn[++i] = false;
/*  638 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  639 */     this.tableColumn[i].setText("事业单位第三名称");
/*      */     
/*  641 */     this.showcolumn[++i] = false;
/*  642 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  643 */     this.tableColumn[i].setText("事业单位其他名称");
/*      */     
/*  645 */     this.showcolumn[++i] = false;
/*  646 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  647 */     this.tableColumn[i].setText("举办单位类别");
/*      */     
/*  649 */     this.showcolumn[++i] = false;
/*  650 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  651 */     this.tableColumn[i].setAlignment(131072);
/*  652 */     this.tableColumn[i].setText("固定资产");
/*      */     
/*  654 */     this.showcolumn[++i] = false;
/*  655 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  656 */     this.tableColumn[i].setAlignment(131072);
/*  657 */     this.tableColumn[i].setText("流动资产");
/*      */     
/*  659 */     this.showcolumn[++i] = false;
/*  660 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  661 */     this.tableColumn[i].setAlignment(131072);
/*  662 */     this.tableColumn[i].setText("其他资金");
/*      */     
/*  664 */     this.showcolumn[++i] = false;
/*  665 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  666 */     this.tableColumn[i].setText("开户银行");
/*      */     
/*  668 */     this.showcolumn[++i] = false;
/*  669 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  670 */     this.tableColumn[i].setText("银行帐号");
/*      */     
/*  672 */     this.showcolumn[++i] = false;
/*  673 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  674 */     this.tableColumn[i].setText("审批机关");
/*      */     
/*  676 */     this.showcolumn[++i] = false;
/*  677 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  678 */     this.tableColumn[i].setText("批准文号");
/*      */     
/*  680 */     this.showcolumn[++i] = false;
/*  681 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  682 */     this.tableColumn[i].setText("执业许可证书");
/*      */     
/*  684 */     this.showcolumn[++i] = false;
/*  685 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  686 */     this.tableColumn[i].setText("机构规格");
/*      */     
/*  688 */     this.showcolumn[++i] = false;
/*  689 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  690 */     this.tableColumn[i].setText("人员编制");
/*      */     
/*  692 */     this.showcolumn[++i] = false;
/*  693 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  694 */     this.tableColumn[i].setText("从业人数");
/*      */     
/*  696 */     this.showcolumn[++i] = false;
/*  697 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  698 */     this.tableColumn[i].setText("设立时间");
/*      */     
/*  700 */     this.showcolumn[++i] = false;
/*  701 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  702 */     this.tableColumn[i].setText("发证人");
/*      */     
/*  704 */     this.showcolumn[++i] = false;
/*  705 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  706 */     this.tableColumn[i].setText("领证人");
/*      */     
/*  708 */     this.showcolumn[++i] = false;
/*  709 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  710 */     this.tableColumn[i].setText("领证日期");
/*      */     
/*  712 */     this.showcolumn[++i] = false;
/*  713 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  714 */     this.tableColumn[i].setText("副本份数");
/*      */     
/*  716 */     this.showcolumn[++i] = false;
/*  717 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  718 */     this.tableColumn[i].setText("证书有效起始日期");
/*      */     
/*  720 */     this.showcolumn[++i] = false;
/*  721 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  722 */     this.tableColumn[i].setText("证书有效结束日期");
/*      */     
/*  724 */     this.showcolumn[++i] = false;
/*  725 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  726 */     this.tableColumn[i].setText("联系人");
/*      */     
/*  728 */     this.showcolumn[++i] = false;
/*  729 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  730 */     this.tableColumn[i].setText("联系电话");
/*      */     
/*  732 */     this.showcolumn[++i] = false;
/*  733 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  734 */     this.tableColumn[i].setText("邮政编码");
/*      */     
/*  736 */     this.showcolumn[++i] = false;
/*  737 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  738 */     this.tableColumn[i].setText("行业类别");
/*      */     
/*  740 */     this.showcolumn[++i] = false;
/*  741 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  742 */     this.tableColumn[i].setText("登记机关区划码");
/*      */     
/*  744 */     this.showcolumn[++i] = false;
/*  745 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  746 */     this.tableColumn[i].setText("年检情况");
/*      */     
/*  748 */     this.showcolumn[++i] = false;
/*  749 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  750 */     this.tableColumn[i].setText("年检日期");
/*      */     
/*  752 */     this.showcolumn[++i] = false;
/*  753 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  754 */     this.tableColumn[i].setText("法定代表人电话");
/*      */     
/*  756 */     this.showcolumn[++i] = false;
/*  757 */     this.tableColumn[i] = new TableColumn(this.table, 0);
/*  758 */     this.tableColumn[i].setText("登记管理机关");
/*      */     
/*  760 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new SearchTableLabelProvider());
/*  761 */     this.tableViewer.setContentProvider((IContentProvider)new SearchTableContentProvider());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initSearch() {
/*  777 */     this.text.setText(String.valueOf(this.calendar.get(1)) + "-01-01");
/*  778 */     this.text_2.setText((new SimpleDateFormat("yyyy-MM-dd"))
/*  779 */         .format(this.calendar.getTime()));
/*  780 */     this.etime = "";
/*  781 */     this.stime = "";
/*      */     
/*  783 */     this.button_10.setSelection(false);
/*  784 */     this.button_9.setSelection(true);
/*  785 */     this.searchFlag = 0;
/*  786 */     this.groupid = "";
/*  787 */     this.pageComposit.initPageInfo();
/*  788 */     this.stackLayout.topControl = (Control)this.composite_6;
/*  789 */     this.comp.layout();
/*      */   }
/*      */   
/*      */   private void initResult() {
/*  793 */     this.stackLayout.topControl = (Control)this.scrolledComposite;
/*  794 */     this.tableViewer.setInput(
/*  795 */         resetInfos(this.sumController.searchPrintUnify(this.stime, this.etime, this.groupid, this.searchFlag, this.sendFlag, this.pageComposit.page)));
/*  796 */     this.lable_moveinfo.setText(this.sumController
/*  797 */         .statisticPrintUnify(this.stime, this.etime, this.groupid, this.searchFlag, this.sendFlag));
/*  798 */     if (this.searchFlag == 1) {
/*  799 */       if ("1".equals(this.groupid)) {
/*  800 */         this.lable_note.setText("\n\n说明：1、红字所指事业单位总数为国家事业单位登记管理局、北京、江苏、山西、江西、广西、福建、黑龙江、上海、广东9省（市）及以下数据。\n      2、红字所指已发统一社会信用代码数为以上9省（市）除广东、上海自建系统以外的数据。\n      3、已发统一社会信用代码的事业单位计算逻辑为：自2016年1月1日起申办设立登记、变更登记、证书补领、重新申领任意一项业务打印证书的事业单位和直接旧证换新证用“证书重打”或”批量打印”功能打印证书的事业单位。");
/*      */       }
/*      */       else {
/*      */         
/*  804 */         this.lable_note.setText("\n\n说明：已发统一社会信用代码的事业单位计算逻辑为：自2016年1月1日起申办设立登记、变更登记、证书补领、重新申领任意一项业务打印证书的事业单位和直接旧证换新证用“证书重打”或”批量打印”功能打印证书的事业单位。");
/*      */       } 
/*      */     }
/*  807 */     refreshTable();
/*  808 */     this.comp.layout();
/*  809 */     setFontColor();
/*  810 */     setCursor();
/*      */   }
/*      */ 
/*      */   
/*      */   private void refreshTable() {
/*  815 */     for (int i = 0; i < this.showcolumn.length && i < this.tableColumn.length; i++) {
/*  816 */       if (this.tableColumn[i] != null) {
/*  817 */         if (this.showcolumn[i]) {
/*  818 */           if (this.tableColumn[i].getText().equals("宗旨和业务范围")) {
/*  819 */             this.tableColumn[i].setWidth(400);
/*      */           } else {
/*  821 */             this.tableColumn[i].setWidth(TableWidthSet.getWidth(this.tableColumn[i].getText()));
/*      */           } 
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*  827 */           this.tableColumn[i].setResizable(true);
/*      */         } else {
/*  829 */           this.tableColumn[i].setWidth(0);
/*  830 */           this.tableColumn[i].setResizable(false);
/*      */         } 
/*      */       }
/*      */     } 
/*  834 */     this.table.update();
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  844 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/*  845 */       .getToolBarManager();
/*      */   }
/*      */   
/*      */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/*  849 */     if (!al.isEmpty()) {
/*  850 */       this.pageComposit.page = al.get(0);
/*  851 */       al.remove(0);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  857 */       if (al.isEmpty()) {
/*  858 */         this.pageComposit.label.setText("第0页/共0页");
/*  859 */         this.pageComposit.label.update();
/*  860 */         this.pageComposit.button_up.setEnabled(false);
/*  861 */         this.pageComposit.button_down.setEnabled(false);
/*  862 */         this.pageComposit.button_first.setEnabled(false);
/*  863 */         this.pageComposit.button_last.setEnabled(false);
/*  864 */         this.button.setEnabled(false);
/*      */       }
/*      */       else {
/*      */         
/*  868 */         if (this.pageComposit.page.getCpage() == 1) {
/*  869 */           this.pageComposit.button_up.setEnabled(false);
/*  870 */           this.pageComposit.button_first.setEnabled(false);
/*      */         } else {
/*      */           
/*  873 */           this.pageComposit.button_up.setEnabled(true);
/*  874 */           this.pageComposit.button_first.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  878 */         if (this.pageComposit.page.getCpage() == 
/*  879 */           this.pageComposit.page.getTpage()) {
/*  880 */           this.pageComposit.button_down.setEnabled(false);
/*  881 */           this.pageComposit.button_last.setEnabled(false);
/*      */         } else {
/*      */           
/*  884 */           this.pageComposit.button_down.setEnabled(true);
/*  885 */           this.pageComposit.button_last.setEnabled(true);
/*      */         } 
/*      */ 
/*      */         
/*  889 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/*  890 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/*  891 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/*  892 */             this.pageComposit.page.getTotalnum() + "行");
/*  893 */         this.pageComposit.label.update();
/*  894 */         this.button.setEnabled(true);
/*      */       }
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  900 */       this.pageComposit.label.setText("第0页/共0页");
/*  901 */       this.pageComposit.label.update();
/*  902 */       this.pageComposit.button_up.setEnabled(false);
/*  903 */       this.pageComposit.button_down.setEnabled(false);
/*  904 */       this.pageComposit.button_first.setEnabled(false);
/*  905 */       this.pageComposit.button_last.setEnabled(false);
/*  906 */       this.button.setEnabled(false);
/*  907 */       this.pageComposit.page = new PageInfo();
/*      */     } 
/*      */     
/*  910 */     this.label_3.setText("共搜索到[" + this.pageComposit.page.getTotalnum() + 
/*  911 */         "]条符合条件的信息 。");
/*  912 */     return al;
/*      */   }
/*      */   
/*      */   private boolean isNotNull(Text text, String info) {
/*  916 */     text.setText(text.getText().trim());
/*  917 */     if (text.getText().trim().length() == 0) {
/*  918 */       text.setText(text.getText().trim());
/*  919 */       showInputErr(text, info);
/*  920 */       return false;
/*      */     } 
/*  922 */     return true;
/*      */   }
/*      */ 
/*      */   
/*      */   private boolean isNum(Text text, int length, String info) {
/*  927 */     text.setText(text.getText().trim());
/*  928 */     if (length == -1) {
/*  929 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/*  930 */         text.setText(text.getText().trim());
/*  931 */         showInputErr(text, info);
/*  932 */         return false;
/*      */       } 
/*  934 */       return true;
/*  935 */     }  if (length == 0) {
/*  936 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/*  937 */         text.setText(text.getText().trim());
/*  938 */         showInputErr(text, info);
/*  939 */         return false;
/*      */       } 
/*  941 */       return true;
/*      */     } 
/*  943 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/*  944 */       text.getText().trim().length() != length) {
/*  945 */       text.setText(text.getText().trim());
/*  946 */       showInputErr(text, info);
/*  947 */       return false;
/*      */     } 
/*  949 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void showInputErr(Text text, String info) {
/*  955 */     text.setText(text.getText().trim());
/*  956 */     MessageBox mbox = new MessageBox(this.shell, 40);
/*  957 */     mbox.setMessage(info);
/*  958 */     mbox.setText("错误提示");
/*  959 */     mbox.open();
/*  960 */     text.setFocus();
/*      */   }
/*      */ 
/*      */   
/*      */   private void showInfoBox(String info) {
/*  965 */     MessageBox mbox = new MessageBox(this.shell, 40);
/*  966 */     mbox.setMessage(info);
/*  967 */     mbox.setText("错误提示");
/*  968 */     mbox.open();
/*      */   }
/*      */ 
/*      */   
/*      */   private int showQuestBox(String info) {
/*  973 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*      */     
/*  975 */     mbox.setMessage(info);
/*  976 */     mbox.setText("信息提示");
/*  977 */     return mbox.open();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   @Deprecated
/*      */   public class Operation
/*      */   {
/*      */     public void showSYDWInfo(SYDWInfo sydw) {
/*  987 */       (new SYDWResultExcelDialog(StatisticSYDWUnifyView.this.shell, StatisticSYDWUnifyView.this.sumController, sydw)).open();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setFontColor() {
/*  995 */     if (this.sydwDetailFlag) {
/*  996 */       for (int i = 0; i < this.table.getItemCount(); i++) {
/*  997 */         this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/*  998 */         this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   void setCursor() {
/* 1007 */     if (this.sydwDetailFlag) {
/* 1008 */       if (this.cursor != null)
/* 1009 */         this.cursor.dispose(); 
/* 1010 */       this.cursor = new TableCursor(this.table, 0);
/* 1011 */       this.cursor.setBackground(this.table.getDisplay()
/* 1012 */           .getSystemColor(26));
/* 1013 */       this.cursor.setForeground(this.table.getDisplay()
/* 1014 */           .getSystemColor(27));
/* 1015 */       this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */             public void widgetSelected(SelectionEvent e) {
/* 1017 */               int colums = StatisticSYDWUnifyView.this.cursor.getColumn();
/* 1018 */               if (colums == 3) {
/* 1019 */                 StatisticSYDWUnifyView.this.openSydwDetailDialog();
/*      */               }
/* 1021 */               StatisticSYDWUnifyView.this.selectColums = colums;
/*      */             }
/*      */           });
/* 1024 */       this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */           {
/*      */             public void mouseDown(MouseEvent arg0) {
/* 1027 */               int colums = StatisticSYDWUnifyView.this.cursor.getColumn();
/* 1028 */               if (colums == StatisticSYDWUnifyView.this.selectColums && 
/* 1029 */                 colums == 3) {
/* 1030 */                 StatisticSYDWUnifyView.this.openSydwDetailDialog();
/*      */               }
/*      */             }
/*      */           });
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   void openSydwDetailDialog() {
/* 1040 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 1041 */     SYDWInfo sydwinfo = (SYDWInfo)select.getFirstElement();
/*      */     
/* 1043 */     SydwDetailFieldDialog sydwField = new SydwDetailFieldDialog(
/* 1044 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwinfo);
/* 1045 */     sydwField.open();
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\StatisticSYDWUnifyView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */