/*     */ package cs.admin.statistic.table;
/*     */ 
/*     */ import org.eclipse.jface.viewers.ILabelProviderListener;
/*     */ import org.eclipse.jface.viewers.ITableLabelProvider;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import server.tableinfo.common.InstaurationInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class InstaurationResultTableLabelProvider
/*     */   implements ITableLabelProvider
/*     */ {
/*     */   public Image getColumnImage(Object arg0, int arg1) {
/*  14 */     return null;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getColumnText(Object arg0, int col) {
/*  19 */     InstaurationInfo si = (InstaurationInfo)arg0;
/*  20 */     int i = 0;
/*  21 */     if (col == i++)
/*  22 */       return (new StringBuilder(String.valueOf(si.getNum()))).toString(); 
/*  23 */     if (col == i++)
/*  24 */       return si.getUNIFY_CODE(); 
/*  25 */     if (col == i++)
/*  26 */       return si.getSYDW_CODE(); 
/*  27 */     if (col == i++)
/*  28 */       return si.getSYDW_NAME_ALL(); 
/*  29 */     if (col == i++)
/*  30 */       return si.getFDDBR_NAME(); 
/*  31 */     if (col == i++)
/*  32 */       return si.getADDRESS(); 
/*  33 */     if (col == i++)
/*  34 */       return String.valueOf(si.getASSETS_SOURCE()) + ((
/*  35 */         si.getASSETS_SOURCE_ADD() == null || 
/*  36 */         si.getASSETS_SOURCE_ADD().length() == 0) ? "" : ("(" + 
/*  37 */         si.getASSETS_SOURCE_ADD() + ")")); 
/*  38 */     if (col == i++) {
/*  39 */       return "￥" + si.getASSETS_SUM() + "万元";
/*     */     }
/*  41 */     if (col == i++)
/*  42 */       return si.getSYDW_NAME_SECOND(); 
/*  43 */     if (col == i++)
/*  44 */       return si.getSYDW_NAME_THIRD(); 
/*  45 */     if (col == i++) {
/*  46 */       return si.getSYDW_NAME_OTHER();
/*     */     }
/*  48 */     if (col == i++)
/*  49 */       return String.valueOf(si.getJBDW_NAME()) + ((
/*  50 */         si.getJBDW_DISPLAY_NAME() == null || 
/*  51 */         si.getJBDW_DISPLAY_NAME().length() == 0) ? "" : ("、" + 
/*  52 */         si.getJBDW_DISPLAY_NAME())); 
/*  53 */     if (col == i++) {
/*  54 */       return (si.getJBDW_TYPE() == 1) ? "国家机关举办" : "其他组织利用国有资产举办";
/*     */     }
/*  56 */     if (col == i++)
/*  57 */       return "￥" + si.getFIXED_ASSETS() + "万元"; 
/*  58 */     if (col == i++) {
/*  59 */       return "￥" + si.getFLOATING_ASSETS() + "万元";
/*     */     }
/*  61 */     if (col == i++)
/*  62 */       return "￥" + si.getOTHER_ASSETS() + "万元"; 
/*  63 */     if (col == i++) {
/*  64 */       return si.getACCOUNT_BANK();
/*     */     }
/*  66 */     if (col == i++)
/*  67 */       return si.getACCOUNT_NUMBER(); 
/*  68 */     if (col == i++) {
/*  69 */       return si.getAUTH_DEPT();
/*     */     }
/*  71 */     if (col == i++)
/*  72 */       return si.getPAPER_ID(); 
/*  73 */     if (col == i++) {
/*  74 */       return si.getCERTIFIED_EXEQUATUR();
/*     */     }
/*  76 */     if (col == i++)
/*  77 */       return getSydwLevel(si.getSYDW_LEVEL()); 
/*  78 */     if (col == i++) {
/*  79 */       return (new StringBuilder(String.valueOf(si.getAUTH_STAFF()))).toString();
/*     */     }
/*  81 */     if (col == i++)
/*  82 */       return (new StringBuilder(String.valueOf(si.getPRACT_NUM()))).toString(); 
/*  83 */     if (col == i++) {
/*  84 */       return si.getTENET_OPERATION();
/*     */     }
/*  86 */     if (col == i++) {
/*  87 */       return si.getSTATE_CHANGE_DATE();
/*     */     }
/*  89 */     if (col == i++)
/*  90 */       return si.getCERTI_SENDER(); 
/*  91 */     if (col == i++) {
/*  92 */       return si.getCERTI_RECIEVER();
/*     */     }
/*  94 */     if (col == i++)
/*  95 */       return si.getCERTI_RECIEVE_DATE(); 
/*  96 */     if (col == i++) {
/*  97 */       return (new StringBuilder(String.valueOf(si.getCERTIFICATE_COPY()))).toString();
/*     */     }
/*  99 */     if (col == i++)
/* 100 */       return si.getLINK_MAN(); 
/* 101 */     if (col == i++) {
/* 102 */       return si.getLINK_TEL();
/*     */     }
/* 104 */     if (col == i++)
/* 105 */       return si.getPOST_CODE(); 
/* 106 */     if (col == i++)
/* 107 */       return si.getINDUSTRY_CODE(); 
/* 108 */     if (col == i++)
/* 109 */       return si.getGroupName(); 
/* 110 */     if (col == i++)
/* 111 */       return si.getFuheDate(); 
/* 112 */     if (col == i++)
/* 113 */       return si.getCertiDateFrom(); 
/* 114 */     if (col == i++) {
/* 115 */       return si.getCertiDateTo();
/*     */     }
/* 117 */     return null;
/*     */   }
/*     */   
/*     */   private static String getSydwLevel(int level) {
/* 121 */     String temp = "";
/* 122 */     switch (level)
/*     */     { case 0:
/* 124 */         temp = "正部级";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 158 */         return temp;case 1: temp = "副部级"; return temp;case 2: temp = "正局级"; return temp;case 3: temp = "副局级"; return temp;case 4: temp = "正处级"; return temp;case 5: temp = "副处级"; return temp;case 6: temp = "正科级"; return temp;case 7: temp = "副科级"; return temp;case 8: temp = "正股级"; return temp;case 9: temp = "副股级"; return temp; }  temp = "未定"; return temp;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addListener(ILabelProviderListener arg0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isLabelProperty(Object arg0, String arg1) {
/* 176 */     return false;
/*     */   }
/*     */   
/*     */   public void removeListener(ILabelProviderListener arg0) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\admin\statistic\table\InstaurationResultTableLabelProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */