/*     */ package cs.ffr.operation.notice;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.ffr.operation.shenhe.FfrBiangengShenheDialog;
/*     */ import cs.ffr.operation.shenhe.FfrShenheDialog;
/*     */ import cs.ffr.operation.shouli.FfrFileListDialog;
/*     */ import cs.ffr.operation.withinput.WithinputFfrAcceptAuditListsDialog;
/*     */ import cs.sydj.common.NoticeunitCustomizeDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.sysmanage.gljg.GLJGInfoManage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FfrNoticeView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.noticeunit.ffr.FfrNoticeView";
/*     */   private Text text;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_2;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private TableViewer tableViewer;
/*     */   private Table table_1;
/*     */   private Button search;
/*     */   private Text nmText;
/*     */   private Label name;
/*     */   private Composite group;
/*     */   private ArrayList list;
/*  82 */   private TableCursor cursor = null;
/*     */   private Composite composite_3;
/*  84 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  85 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  86 */   GLJGInfoManage gljgMange = new GLJGInfoManage();
/*  87 */   FfrNoticeDataManage ffrDataManage = new FfrNoticeDataManage();
/*     */   
/*  89 */   int totalRows = 0;
/*  90 */   int startNo = 1;
/*  91 */   int currentPage = 1;
/*  92 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  95 */   int maxCount = 15;
/*  96 */   protected int selectColums = 32;
/*     */   
/*     */   private Composite container;
/*     */   private Composite composite_1;
/*     */   private Button goButton;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_4;
/*     */   private Button button_5;
/*     */   TableLayout tableLayout;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 107 */     this.container = new Composite(parent, 0);
/* 108 */     this.container.setLayout((Layout)new FillLayout());
/* 109 */     this.container.setBackground(Display.getCurrent()
/* 110 */         .getSystemColor(1));
/* 111 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 112 */         this.container, 2816);
/* 113 */     scrolledComposite.setBackground(Display.getCurrent()
/* 114 */         .getSystemColor(1));
/* 115 */     scrolledComposite.setExpandHorizontal(true);
/* 116 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/* 117 */     this.composite_1.setLocation(0, 0);
/* 118 */     this.composite_1.setBackground(Display.getCurrent()
/* 119 */         .getSystemColor(1));
/* 120 */     GridLayout gridLayout_2 = new GridLayout();
/* 121 */     gridLayout_2.marginRight = 35;
/* 122 */     gridLayout_2.marginLeft = 35;
/* 123 */     gridLayout_2.marginTop = 25;
/* 124 */     this.composite_1.setLayout((Layout)gridLayout_2);
/* 125 */     this.group = new Composite(this.composite_1, 0);
/* 126 */     this.group.setBackground(
/* 127 */         Display.getCurrent().getSystemColor(1));
/* 128 */     GridLayout gridLayout = new GridLayout();
/* 129 */     gridLayout.marginWidth = 0;
/* 130 */     gridLayout.horizontalSpacing = 0;
/* 131 */     gridLayout.marginHeight = 0;
/* 132 */     gridLayout.numColumns = 4;
/* 133 */     this.group.setLayout((Layout)gridLayout);
/* 134 */     this.group.setLayoutData(new GridData(16777216, 16777216, false, false));
/*     */     
/* 136 */     this.name = new Label(this.group, 0);
/* 137 */     this.name.setBackground(Display.getCurrent()
/* 138 */         .getSystemColor(1));
/* 139 */     this.name.setAlignment(131072);
/* 140 */     GridData gd_name = new GridData(131072, 16777216, false, 
/* 141 */         false);
/* 142 */     gd_name.widthHint = 255;
/* 143 */     this.name.setLayoutData(gd_name);
/* 144 */     this.name.setText("请输入机构名称（第一名称）：");
/*     */     
/* 146 */     this.nmText = new Text(this.group, 2048);
/* 147 */     this.nmText.setBackground(Display.getCurrent()
/* 148 */         .getSystemColor(1));
/* 149 */     GridData gd_nmText = new GridData(16384, 16777216, true, 
/* 150 */         false, 2, 1);
/* 151 */     gd_nmText.widthHint = 266;
/* 152 */     this.nmText.setLayoutData(gd_nmText);
/*     */     
/* 154 */     this.search = new Button(this.group, 0);
/* 155 */     this.search.setBackground(Display.getCurrent()
/* 156 */         .getSystemColor(1));
/* 157 */     this.search
/* 158 */       .setLayoutData(new GridData(131072, 16777216, false, 
/* 159 */           false));
/* 160 */     this.search.setText("查 询");
/*     */ 
/*     */     
/* 163 */     this.button_4 = new Button(this.composite_1, 32);
/* 164 */     this.button_4.setBackground(Display.getCurrent()
/* 165 */         .getSystemColor(1));
/* 166 */     this.button_4.setText("全选");
/*     */     
/* 168 */     this.composite_3 = new Composite(this.composite_1, 0);
/* 169 */     this.composite_3
/* 170 */       .setLayoutData(new GridData(4, 4, true, false));
/* 171 */     GridLayout gridLayout_5 = new GridLayout();
/* 172 */     gridLayout_5.marginHeight = 0;
/* 173 */     gridLayout_5.horizontalSpacing = 0;
/* 174 */     gridLayout_5.verticalSpacing = 0;
/* 175 */     gridLayout_5.marginWidth = 0;
/* 176 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*     */     
/* 178 */     this.tableViewer = new TableViewer(this.composite_3, 67620);
/* 179 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FfrNoticeLabelProvider());
/* 180 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*     */     
/* 182 */     this.table_1 = this.tableViewer.getTable();
/* 183 */     this.ctv = new CheckboxTableViewer(this.table_1);
/* 184 */     this.table_1.setLinesVisible(true);
/* 185 */     this.table_1.setHeaderVisible(true);
/* 186 */     GridData gd_table_1 = new GridData(4, 16777216, true, false);
/* 187 */     gd_table_1.heightHint = 335;
/* 188 */     this.table_1.setLayoutData(gd_table_1);
/* 189 */     this.tableLayout = new TableLayout();
/* 190 */     this.table_1.setLayout((Layout)this.tableLayout);
/*     */     
/* 192 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 0);
/* 193 */     newColumnTableColumn.setAlignment(16777216);
/* 194 */     newColumnTableColumn.setWidth(10);
/* 195 */     newColumnTableColumn.setText("");
/*     */     
/* 197 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(12));
/* 198 */     TableColumn newColumnTableColumn0 = new TableColumn(this.table_1, 16777216);
/* 199 */     newColumnTableColumn0.setAlignment(16777216);
/* 200 */     newColumnTableColumn0.setText("统一社会信用代码");
/*     */     
/* 202 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 203 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table_1, 16777216);
/* 204 */     newColumnTableColumn_0.setAlignment(16777216);
/* 205 */     newColumnTableColumn_0.setText("编号");
/*     */     
/* 207 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(50));
/* 208 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 16777216);
/* 209 */     newColumnTableColumn_1.setText("机构名称");
/*     */     
/* 211 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 212 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 16777216);
/* 213 */     newColumnTableColumn_5.setText("机构性质");
/*     */     
/* 215 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 216 */     TableColumn newColumnTableColumn_20 = new TableColumn(this.table_1, 16777216);
/* 217 */     newColumnTableColumn_20.setText("申请类型");
/*     */     
/* 219 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 220 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 16777216);
/* 221 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 223 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 224 */     TableColumn newColumnTableColumn_40 = new TableColumn(this.table_1, 16777216);
/* 225 */     newColumnTableColumn_40.setText("操作");
/*     */     
/* 227 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 228 */     TableColumn newColumnTableColumn_41 = new TableColumn(this.table_1, 16777216);
/* 229 */     newColumnTableColumn_41.setText("查看");
/*     */ 
/*     */     
/* 232 */     this.cursor = new TableCursor(this.table_1, 0);
/* 233 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 234 */         .getSystemColor(26));
/* 235 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 236 */         .getSystemColor(27));
/* 237 */     this.table_1.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 239 */             FfrNoticeView.this.setCursor();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 244 */     this.compage = new Composite(this.composite_1, 0);
/* 245 */     this.compage.setBackground(Display.getCurrent()
/* 246 */         .getSystemColor(1));
/* 247 */     GridData gd_compage = new GridData(4, 128, true, 
/* 248 */         false, 5, 1);
/* 249 */     this.compage.setLayoutData(gd_compage);
/* 250 */     GridLayout gridLayout_3 = new GridLayout();
/* 251 */     gridLayout_3.verticalSpacing = 0;
/* 252 */     gridLayout_3.numColumns = 7;
/* 253 */     this.compage.setLayout((Layout)gridLayout_3);
/*     */     
/* 255 */     this.page = new Label(this.compage, 0);
/* 256 */     this.page
/* 257 */       .setBackground(Display.getCurrent().getSystemColor(
/* 258 */           1));
/* 259 */     this.page.setText("页次：");
/*     */     
/* 261 */     this.nowPage = new Label(this.compage, 0);
/* 262 */     this.nowPage.setBackground(Display.getCurrent()
/* 263 */         .getSystemColor(1));
/* 264 */     this.nowPage.setLayoutData(new GridData());
/* 265 */     this.nowPage.setText("Label");
/*     */     
/* 267 */     this.everyPageRows = new Label(this.compage, 0);
/* 268 */     this.everyPageRows.setBackground(Display.getCurrent()
/* 269 */         .getSystemColor(1));
/* 270 */     this.everyPageRows.setLayoutData(new GridData());
/* 271 */     this.everyPageRows.setText("Label");
/*     */     
/* 273 */     this.allRows = new Label(this.compage, 0);
/* 274 */     this.allRows.setBackground(Display.getCurrent()
/* 275 */         .getSystemColor(1));
/* 276 */     this.allRows.setLayoutData(new GridData());
/* 277 */     this.allRows.setText("Label");
/*     */     
/* 279 */     this.composite_2 = new Composite(this.compage, 0);
/* 280 */     this.composite_2.setBackground(Display.getCurrent()
/* 281 */         .getSystemColor(1));
/* 282 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 283 */         false);
/* 284 */     this.composite_2.setLayoutData(gd_composite_1);
/* 285 */     GridLayout gridLayout_4 = new GridLayout();
/* 286 */     gridLayout_4.numColumns = 4;
/* 287 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*     */     
/* 289 */     this.priorPage = new Button(this.composite_2, 0);
/* 290 */     this.priorPage.setEnabled(false);
/* 291 */     this.priorPage.setText("上一页");
/*     */     
/* 293 */     this.nextPage = new Button(this.composite_2, 0);
/* 294 */     this.nextPage.setEnabled(false);
/* 295 */     this.nextPage.setText("下一页");
/*     */     
/* 297 */     Label label = new Label(this.composite_2, 0);
/* 298 */     label.setBackground(
/* 299 */         Display.getCurrent().getSystemColor(1));
/* 300 */     label.setText("转至第");
/*     */     
/* 302 */     this.text = new Text(this.composite_2, 2048);
/* 303 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 304 */     gd_text.widthHint = 46;
/* 305 */     this.text.setLayoutData(gd_text);
/*     */     
/* 307 */     Label label_1 = new Label(this.compage, 0);
/* 308 */     label_1.setBackground(Display.getCurrent()
/* 309 */         .getSystemColor(1));
/* 310 */     label_1.setText("页");
/*     */     
/* 312 */     this.goButton = new Button(this.compage, 0);
/* 313 */     this.goButton.setBackground(Display.getCurrent()
/* 314 */         .getSystemColor(1));
/* 315 */     this.goButton.setText("GO");
/* 316 */     this.composite_1.setSize(708, 709);
/* 317 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/*     */     
/* 319 */     Composite composite = new Composite(this.composite_1, 0);
/* 320 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/* 321 */     composite.setLayoutData(new GridData(16777216, 4, false, false));
/* 322 */     GridLayout gridLayout_1 = new GridLayout();
/* 323 */     gridLayout_1.numColumns = 3;
/* 324 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 326 */     this.button_5 = new Button(composite, 0);
/* 327 */     this.button_5.setLayoutData(new GridData(16777216, 16777216, false, 
/* 328 */           false));
/* 329 */     this.button_5.setText("通知机构");
/*     */     
/* 331 */     Button button_6 = new Button(composite, 0);
/* 332 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 334 */             String ffrNotice = FfrNoticeView.this.gljgMange.getGljgExtInfobyID(FfrNoticeView.this.groupid).getFfrNotice();
/* 335 */             if (ffrNotice != null) {
/* 336 */               FfrNoticeCustomizeEditDialog cdialog = new FfrNoticeCustomizeEditDialog(
/* 337 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 338 */                   .getShell(), FfrNoticeView.this.groupid, ffrNotice);
/* 339 */               cdialog.open();
/*     */             } 
/*     */           }
/*     */         });
/* 343 */     button_6.setText("编辑自定义内容");
/*     */     
/* 345 */     Button button_7 = new Button(composite, 0);
/* 346 */     button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 348 */             FfrNoticeView.this.noticeUnit("customize");
/*     */           }
/*     */         });
/* 351 */     button_7.setText("自定义通知机构");
/*     */     
/* 353 */     PublicUtil.setMouseHands(this.table_1, "1#3#7#8");
/* 354 */     scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 356 */     getData(this.startNo, "");
/* 357 */     setActions();
/* 358 */     setCursor();
/* 359 */     setPages(this.currentPage);
/* 360 */     createActions();
/* 361 */     initializeToolBar();
/* 362 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 376 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 377 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 384 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 385 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo, String name) {
/* 397 */     this.list = this.dataManage.getWithinputFfrInfo(this.groupid, startNo, this.maxCount, name, 0, "notice", 0);
/*     */     
/* 399 */     Object data = this.list;
/* 400 */     this.tableViewer.setInput(data);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 407 */     this.search.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 409 */             FfrNoticeView.this.totalRows = 0;
/* 410 */             FfrNoticeView.this.currentPage = 1;
/* 411 */             FfrNoticeView.this.startNo = 1;
/* 412 */             FfrNoticeView.this.button_4.setSelection(false);
/* 413 */             FfrNoticeView.this.getData(FfrNoticeView.this.startNo, FfrNoticeView.this.nmText.getText().trim());
/* 414 */             FfrNoticeView.this.setPages(FfrNoticeView.this.currentPage);
/*     */           }
/*     */         });
/*     */     
/* 418 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 422 */             FfrNoticeView.this.getData((FfrNoticeView.this.currentPage - 2) * FfrNoticeView.this.maxCount + 1, FfrNoticeView.this.nmText.getText().trim());
/* 423 */             FfrNoticeView.this.setPages(FfrNoticeView.this.currentPage - 1);
/*     */           }
/*     */         });
/* 426 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 429 */             FfrNoticeView.this
/* 430 */               .getData(FfrNoticeView.this.currentPage * FfrNoticeView.this.maxCount + 1, FfrNoticeView.this.nmText.getText().trim());
/* 431 */             FfrNoticeView.this.setPages(FfrNoticeView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 436 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 438 */             if (VerifyFunction.isNumeric(FfrNoticeView.this.text.getText())) {
/* 439 */               int aa = Integer.parseInt(FfrNoticeView.this.text.getText());
/* 440 */               if (aa > FfrNoticeView.this.totalPages) {
/* 441 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 443 */                 FfrNoticeView.this
/* 444 */                   .getData((aa - 1) * FfrNoticeView.this.maxCount + 1, FfrNoticeView.this.nmText.getText().trim());
/* 445 */                 FfrNoticeView.this.setPages(aa);
/*     */               } 
/*     */             } else {
/* 448 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/* 452 */     this.composite_3.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 454 */             String rate = "";
/* 455 */             rate = "0.4:1.2:1:3.38:1.2:0.7:0.7:0.7:0.7";
/* 456 */             PublicUtil.setWidth(FfrNoticeView.this.composite_3, FfrNoticeView.this.table_1, rate);
/*     */           }
/*     */         });
/* 459 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 461 */             if (FfrNoticeView.this.button_4.getSelection()) {
/* 462 */               FfrNoticeView.this.ctv.setAllChecked(true);
/*     */             } else {
/* 464 */               FfrNoticeView.this.ctv.setAllChecked(false);
/*     */             } 
/*     */           }
/*     */         });
/* 468 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 470 */             FfrNoticeView.this.noticeUnit("");
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 479 */     if (this.list.size() == 0) {
/* 480 */       this.totalRows = 0;
/*     */     } else {
/* 482 */       this.totalRows = ((WithinputInfo)this.list.get(0)).getTotalRows();
/* 483 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 484 */     this.totalPages = pu.getTotalPages();
/* 485 */     this.currentPage = pu.getCurrentPage();
/* 486 */     this.hasNextPage = pu.isHasNextPage();
/* 487 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 488 */     if (this.totalPages == 0) {
/* 489 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 491 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 493 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 494 */     this.allRows.setText("共" + this.totalRows + "行");
/* 495 */     if (!this.hasPreviousPage) {
/* 496 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 498 */       this.priorPage.setEnabled(true);
/* 499 */     }  if (!this.hasNextPage) {
/* 500 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 502 */       this.nextPage.setEnabled(true);
/* 503 */     }  if (this.totalPages > 1) {
/* 504 */       this.goButton.setEnabled(true);
/* 505 */       this.text.setEnabled(true);
/*     */     } else {
/* 507 */       this.goButton.setEnabled(false);
/* 508 */       this.text.setEnabled(false);
/*     */     } 
/* 510 */     this.compage.layout();
/*     */     
/* 512 */     setFontColor();
/* 513 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void noticeUnit(String operation) {
/*     */     try {
/* 521 */       if (this.ctv != null) {
/* 522 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 523 */         if (chkObj.length == 0) {
/* 524 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录");
/*     */           return;
/*     */         } 
/* 527 */         if ("customize".equals(operation)) {
/* 528 */           String content = this.gljgMange.getGljgExtInfobyID(this.groupid).getFfrNotice();
/* 529 */           if (content != null && content.length() > 0) {
/* 530 */             NoticeunitCustomizeDialog dialog = new NoticeunitCustomizeDialog(
/* 531 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 532 */                 .getShell(), content);
/* 533 */             if (dialog.open() == 0) {
/* 534 */               String replyInfo = dialog.getReturnValue();
/* 535 */               ArrayList sydwIds = new ArrayList();
/* 536 */               ArrayList<String> realIds = new ArrayList();
/* 537 */               for (int i = 0; i < chkObj.length; i++) {
/* 538 */                 WithinputInfo unit = (WithinputInfo)chkObj[i];
/* 539 */                 realIds.add(unit.getRealid());
/*     */               } 
/* 541 */               String flag = this.ffrDataManage.noticeFfr(replyInfo, realIds, 
/* 542 */                   GljgUserInfo.getInstance().getGroupid(), 
/* 543 */                   GljgUserInfo.getInstance().getUserid(), 
/* 544 */                   GljgUserInfo.getInstance().getRealname(), 
/* 545 */                   GljgUserInfo.getInstance().getDistrictcode());
/* 546 */               if (flag == null) {
/*     */                 return;
/*     */               }
/* 549 */               if ("true".equals(flag)) {
/* 550 */                 SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 551 */                 this.startNo = 1;
/* 552 */                 this.totalRows = 0;
/* 553 */                 this.currentPage = 1;
/* 554 */                 getData(this.startNo, this.nmText.getText().trim());
/* 555 */                 setPages(this.currentPage);
/*     */               } else {
/* 557 */                 SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/*     */             
/* 562 */             SydjMessageDialog.openWarning(null, "", "该项没有自定义内容！");
/*     */           } 
/*     */         } else {
/* 565 */           FfrNoticeDialog dialog = new FfrNoticeDialog(
/* 566 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 567 */               .getShell(), this.groupid);
/* 568 */           if (dialog.open() == 0) {
/* 569 */             String replyInfo = dialog.getReturnValue();
/* 570 */             ArrayList<String> realIds = new ArrayList();
/* 571 */             for (int i = 0; i < chkObj.length; i++) {
/* 572 */               WithinputInfo unit = (WithinputInfo)chkObj[i];
/* 573 */               realIds.add(unit.getRealid());
/*     */             } 
/* 575 */             String flag = this.ffrDataManage.noticeFfr(replyInfo, realIds, 
/* 576 */                 GljgUserInfo.getInstance().getGroupid(), 
/* 577 */                 GljgUserInfo.getInstance().getUserid(), 
/* 578 */                 GljgUserInfo.getInstance().getRealname(), 
/* 579 */                 GljgUserInfo.getInstance().getDistrictcode());
/* 580 */             if (flag == null) {
/*     */               return;
/*     */             }
/* 583 */             if ("true".equals(flag)) {
/* 584 */               SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 585 */               this.startNo = 1;
/* 586 */               this.totalRows = 0;
/* 587 */               this.currentPage = 1;
/* 588 */               getData(this.startNo, this.nmText.getText().trim());
/* 589 */               setPages(this.currentPage);
/*     */             } else {
/* 591 */               SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */             } 
/*     */           } 
/*     */         } 
/*     */       } else {
/*     */         
/* 597 */         SydjMessageDialog.openInformation(null, "提示", "请先勾选记录");
/*     */         return;
/*     */       } 
/* 600 */     } catch (Exception e) {
/* 601 */       e.printStackTrace();
/* 602 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 609 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 610 */       .getSelection();
/* 611 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*     */     
/* 613 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 616 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 617 */     insinfolist = oper.queryFfrApplyInfo(insinfo.getSydwid(), insinfo.getRealid());
/* 618 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 619 */     if (insinfolist.size() > 0) {
/* 620 */       frinfo = insinfolist.get(0);
/*     */     }
/*     */     
/* 623 */     insinfolist = oper.QueryFfrInfo(insinfo.getSydwid(), "");
/* 624 */     InstaurationFRInfo frInfoOld = new InstaurationFRInfo();
/* 625 */     if (insinfolist.size() > 0) {
/* 626 */       frInfoOld = insinfolist.get(0);
/*     */     }
/* 628 */     if (1 == insinfo.getOperType()) {
/*     */       
/* 630 */       FfrBiangengShenheDialog dialog = new FfrBiangengShenheDialog(
/* 631 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 632 */           .getShell(), frinfo, frInfoOld, UnitState.FFRLOGOUT, Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 633 */       dialog.open();
/*     */     } else {
/*     */       
/* 636 */       FfrShenheDialog dialog = new FfrShenheDialog(
/* 637 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 638 */           .getShell(), frinfo, UnitState.FFRLOGOUT, Integer.parseInt(frinfo.getSYDW_JGLB()));
/* 639 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 647 */     if (this.cursor != null)
/* 648 */       this.cursor.dispose(); 
/* 649 */     this.cursor = new TableCursor(this.table_1, 0);
/* 650 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 651 */         .getSystemColor(26));
/* 652 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 653 */         .getSystemColor(27));
/* 654 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 656 */             int colums = FfrNoticeView.this.cursor.getColumn();
/* 657 */             if (colums == 1 || colums == 3) {
/* 658 */               FfrNoticeView.this.openDetailDialog();
/*     */             }
/* 660 */             if (colums == 7) {
/* 661 */               FfrNoticeView.this.openInsListDialog();
/*     */             }
/* 663 */             if (colums == 8) {
/* 664 */               FfrNoticeView.this.openFileListDialog();
/*     */             }
/* 666 */             FfrNoticeView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 669 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 672 */             int colums = FfrNoticeView.this.cursor.getColumn();
/* 673 */             if (colums == FfrNoticeView.this.selectColums) {
/* 674 */               if (colums == 1 || colums == 3) {
/* 675 */                 FfrNoticeView.this.openDetailDialog();
/*     */               }
/* 677 */               if (colums == 7) {
/* 678 */                 FfrNoticeView.this.openInsListDialog();
/*     */               }
/* 680 */               if (colums == 8) {
/* 681 */                 FfrNoticeView.this.openFileListDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openInsListDialog() {
/* 693 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 694 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 695 */     WithinputFfrAcceptAuditListsDialog dialog = new WithinputFfrAcceptAuditListsDialog(
/* 696 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 697 */         .getShell(), insinfo);
/* 698 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openFileListDialog() {
/* 706 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 707 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 708 */     FfrFileListDialog xv = new FfrFileListDialog(
/* 709 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 710 */         insinfo.getAppylid(), insinfo.getApplytime().substring(0, 4));
/* 711 */     xv.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 718 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 719 */       this.table_1.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 720 */       this.table_1.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 722 */       this.table_1.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 723 */       this.table_1.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 725 */       this.table_1.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 726 */       this.table_1.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 728 */       this.table_1.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 729 */       this.table_1.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\notice\FfrNoticeView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */