/*     */ package cs.ffr.operation.proof;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FfrProofDataManage
/*     */ {
/*  16 */   private MessageSender sender = null;
/*  17 */   String operation = "FfrProofOperation";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getFfrProofListInfo(String groupId, String type, int startNo, int maxCount, String sydwNameStr) {
/*  30 */     String methodname = "getFfrProofListInfo";
/*  31 */     String msgType = "xml";
/*  32 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  33 */     String replyxml = null;
/*  34 */     ArrayList result = new ArrayList();
/*  35 */     messageParameter.put("groupId", groupId);
/*  36 */     messageParameter.put("type", type);
/*  37 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  38 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  39 */     messageParameter.put("sydwNameStr", sydwNameStr);
/*     */     
/*  41 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  42 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  44 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String updateFfrProofState(String proofId) {
/*  53 */     String methodname = "updateFfrProofState";
/*  54 */     String msgType = "short";
/*  55 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  56 */     String replyxml = null;
/*  57 */     messageParameter.put("proofId", proofId);
/*  58 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  60 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  65 */     String replyxml = "";
/*  66 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  67 */         messageParameter);
/*     */     try {
/*  69 */       this.sender = new MessageSender(
/*  70 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  71 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  72 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  73 */     } catch (JMSException e) {
/*  74 */       e.printStackTrace();
/*  75 */     } catch (Exception e) {
/*  76 */       e.printStackTrace();
/*     */     } 
/*  78 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveSnapTicketInfo(SydwInfo beforeModify, SydwInfo afterModify, String groupId, String userId, String userName, String districtCode, String isNew) {
/*  85 */     String methodname = "saveSnapTicketInfo";
/*  86 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  87 */     String replyxml = null;
/*  88 */     messageParameter.put("beforeModify", MessageXML.getReplyXML(beforeModify));
/*  89 */     messageParameter.put("afterModify", MessageXML.getReplyXML(afterModify));
/*  90 */     messageParameter.put("groupId", groupId);
/*  91 */     messageParameter.put("userId", userId);
/*  92 */     messageParameter.put("userName", userName);
/*  93 */     messageParameter.put("districtCode", districtCode);
/*  94 */     messageParameter.put("isNew", isNew);
/*  95 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/*  96 */         messageParameter);
/*     */     try {
/*  98 */       this.sender = new MessageSender(
/*  99 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 100 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 101 */       replyxml = this.sender.sendMessage(messagexml, 
/* 102 */           "short");
/* 103 */     } catch (JMSException e) {
/* 104 */       e.printStackTrace();
/* 105 */     } catch (Exception e) {
/* 106 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 109 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getTicketListInfo(String groupid, int startNo, int maxCount, String sydwnameStr) {
/* 114 */     String methodname = "getTicketListInfo";
/* 115 */     String msgType = "xml";
/* 116 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 117 */     String replyxml = null;
/* 118 */     ArrayList result = new ArrayList();
/* 119 */     messageParameter.put("groupid", groupid);
/* 120 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 121 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 122 */     messageParameter.put("sydwnameStr", sydwnameStr);
/*     */     
/* 124 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 125 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 127 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String deleteTicketInfo(String jbdwid) {
/* 132 */     String methodname = "deleteTicketInfo";
/* 133 */     String msgType = "short";
/* 134 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 135 */     String replyxml = null;
/* 136 */     messageParameter.put("jbdwid", jbdwid);
/*     */     
/* 138 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 140 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\proof\FfrProofDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */