/*     */ package cs.ffr.operation.withinput;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithinputFfrAcceptAuditListsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Table table;
/*     */   private ArrayList perInfo;
/*  66 */   int totalRows = 0;
/*  67 */   int maxCount = 15;
/*  68 */   int startNo = 1;
/*  69 */   int currentPage = 1;
/*  70 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private TableCursor cursor;
/*  74 */   int starto = 1;
/*  75 */   private int selectColums = 32;
/*     */   private Composite compage;
/*     */   private Label page;
/*     */   private Label nowPage;
/*     */   private Label everyPageRows;
/*     */   private Label allRows;
/*     */   private Composite composite_1;
/*     */   private Button priorPage;
/*     */   private Button nextPage;
/*     */   private String unitId;
/*     */   private TableViewer tableViewer;
/*     */   private String unitName;
/*     */   private Composite composite;
/*     */   private Text text;
/*     */   private WithinputInfo insinfo;
/*  90 */   WithinputDataManage dataManage = new WithinputDataManage();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WithinputFfrAcceptAuditListsDialog(Shell parentShell, WithinputInfo insinfo) {
/*  99 */     super(parentShell);
/* 100 */     this.unitId = insinfo.getSydwid();
/* 101 */     this.unitName = insinfo.getSydwname();
/* 102 */     this.insinfo = insinfo;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 112 */     parent.setBackground(Display.getCurrent()
/* 113 */         .getSystemColor(1));
/* 114 */     parent.setBackgroundMode(2);
/* 115 */     Composite container = (Composite)super.createDialogArea(parent);
/* 116 */     GridLayout gridLayout_3 = new GridLayout();
/* 117 */     gridLayout_3.marginTop = 25;
/* 118 */     gridLayout_3.marginRight = 25;
/* 119 */     gridLayout_3.marginLeft = 25;
/* 120 */     container.setLayout((Layout)gridLayout_3);
/*     */     
/* 122 */     Label label = new Label(container, 0);
/* 123 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 125 */     if (this.insinfo.getOperType() == 1) {
/* 126 */       label.setText("变更>>“" + this.unitName + "”的申请信息列表");
/* 127 */     } else if (this.insinfo.getOperType() == 2) {
/* 128 */       label.setText("撤销>>“" + this.unitName + "”的申请信息列表");
/* 129 */     } else if (this.insinfo.getOperType() == 4) {
/* 130 */       label.setText("补领>>“" + this.unitName + "”的申请信息列表");
/* 131 */     } else if (this.insinfo.getOperType() == 5) {
/* 132 */       label.setText("换领>>“" + this.unitName + "”的申请信息列表");
/*     */     } 
/* 134 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 135 */     Label label_1 = new Label(container, 258);
/*     */     
/* 137 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 139 */     this.composite = new Composite(container, 0);
/* 140 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 141 */         false);
/* 142 */     gd_composite.heightHint = 320;
/* 143 */     this.composite.setLayoutData(gd_composite);
/* 144 */     GridLayout gridLayout_2 = new GridLayout();
/* 145 */     gridLayout_2.verticalSpacing = 0;
/* 146 */     gridLayout_2.marginWidth = 0;
/* 147 */     gridLayout_2.marginHeight = 0;
/* 148 */     gridLayout_2.horizontalSpacing = 0;
/* 149 */     this.composite.setLayout((Layout)gridLayout_2);
/*     */     
/* 151 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 153 */     this.table = this.tableViewer.getTable();
/* 154 */     this.table.setLinesVisible(true);
/* 155 */     this.table.setHeaderVisible(true);
/* 156 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 158 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 159 */         16777216);
/* 160 */     newColumnTableColumn.setAlignment(16777216);
/* 161 */     newColumnTableColumn.setWidth(113);
/* 162 */     newColumnTableColumn.setText("单位名称");
/*     */     
/* 164 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 165 */         16777216);
/* 166 */     newColumnTableColumn_2.setAlignment(16777216);
/* 167 */     newColumnTableColumn_2.setWidth(131);
/* 168 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 170 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 171 */         16777216);
/* 172 */     newColumnTableColumn_3.setAlignment(16777216);
/* 173 */     newColumnTableColumn_3.setWidth(100);
/* 174 */     newColumnTableColumn_3.setText("申请类型");
/*     */     
/* 176 */     TableColumn newColumnTableColumn41 = new TableColumn(this.table, 
/* 177 */         16777216);
/* 178 */     newColumnTableColumn41.setAlignment(16777216);
/* 179 */     newColumnTableColumn41.setWidth(113);
/* 180 */     newColumnTableColumn41.setText("申请状态");
/*     */     
/* 182 */     TableColumn newColumnTableColumn4 = new TableColumn(this.table, 
/* 183 */         16777216);
/* 184 */     newColumnTableColumn4.setAlignment(16777216);
/* 185 */     newColumnTableColumn4.setWidth(113);
/* 186 */     newColumnTableColumn4.setText("操作");
/*     */     
/* 188 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 189 */         16777216);
/* 190 */     newColumnTableColumn_5.setResizable(false);
/* 191 */     newColumnTableColumn_5.setWidth(0);
/* 192 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 193 */     this.tableViewer
/* 194 */       .setLabelProvider((IBaseLabelProvider)new WithinputFfrAcceptAuditListLableProvider());
/* 195 */     this.compage = new Composite(container, 0);
/* 196 */     GridData gd_compage = new GridData(4, 4, false, 
/* 197 */         false, 4, 1);
/* 198 */     this.compage.setLayoutData(gd_compage);
/* 199 */     GridLayout gridLayout = new GridLayout();
/* 200 */     gridLayout.numColumns = 5;
/* 201 */     this.compage.setLayout((Layout)gridLayout);
/*     */     
/* 203 */     this.page = new Label(this.compage, 0);
/* 204 */     this.page.setText("页次：");
/*     */     
/* 206 */     this.nowPage = new Label(this.compage, 0);
/*     */     
/* 208 */     this.everyPageRows = new Label(this.compage, 0);
/* 209 */     this.allRows = new Label(this.compage, 0);
/*     */     
/* 211 */     this.composite_1 = new Composite(this.compage, 0);
/* 212 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 213 */         false);
/* 214 */     this.composite_1.setLayoutData(gd_composite_1);
/* 215 */     GridLayout gridLayout_1 = new GridLayout();
/* 216 */     gridLayout_1.numColumns = 6;
/* 217 */     this.composite_1.setLayout((Layout)gridLayout_1);
/*     */     
/* 219 */     this.priorPage = new Button(this.composite_1, 0);
/* 220 */     this.priorPage.setEnabled(false);
/* 221 */     this.priorPage.setText("上一页");
/*     */     
/* 223 */     this.nextPage = new Button(this.composite_1, 0);
/* 224 */     this.nextPage.setEnabled(false);
/* 225 */     this.nextPage.setText("下一页");
/*     */     
/* 227 */     Label label_8_1 = new Label(this.composite_1, 0);
/* 228 */     label_8_1.setLayoutData(new GridData());
/* 229 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 230 */     label_8_1.setText("转至第");
/*     */     
/* 232 */     this.text = new Text(this.composite_1, 2048);
/* 233 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 234 */     gd_text.widthHint = 46;
/* 235 */     this.text.setLayoutData(gd_text);
/*     */     
/* 237 */     Label label_1_1 = new Label(this.composite_1, 0);
/* 238 */     label_1_1.setLayoutData(new GridData());
/* 239 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 240 */     label_1_1.setText("页");
/* 241 */     PublicUtil.setMouseHands(this.table, "4");
/* 242 */     this.goButton = new Button(this.composite_1, 0);
/* 243 */     this.goButton.setLayoutData(new GridData());
/* 244 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 245 */     this.goButton.setText("GO");
/* 246 */     PublicUtil.setTableHeight(this.table);
/* 247 */     PublicUtil.setTableWidth(this.composite, this.table, "3.97:2:1.5:1.5:1.03");
/* 248 */     getData(this.starto);
/* 249 */     setFontColor();
/* 250 */     setPages(this.currentPage);
/* 251 */     setCursor();
/* 252 */     action();
/* 253 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 263 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 271 */     return new Point(1000, 540);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 275 */     super.configureShell(newShell);
/* 276 */     if (this.insinfo.getOperType() == 1) {
/* 277 */       newShell.setText("变更历史记录");
/* 278 */     } else if (this.insinfo.getOperType() == 2) {
/* 279 */       newShell.setText("撤销历史记录");
/* 280 */     } else if (this.insinfo.getOperType() == 4) {
/* 281 */       newShell.setText("补领历史记录");
/* 282 */     } else if (this.insinfo.getOperType() == 5) {
/* 283 */       newShell.setText("换领历史记录");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 291 */     if (this.perInfo.size() == 0) {
/* 292 */       this.totalRows = 0;
/*     */     } else {
/* 294 */       this.totalRows = ((WithinputInfo)this.perInfo.get(0)).getTotalRows();
/* 295 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 296 */     this.totalPages = pu.getTotalPages();
/* 297 */     this.currentPage = pu.getCurrentPage();
/* 298 */     this.hasNextPage = pu.isHasNextPage();
/* 299 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 300 */     if (this.totalPages == 0) {
/* 301 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 303 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 305 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 306 */     this.allRows.setText("共" + this.totalRows + "行");
/* 307 */     if (!this.hasPreviousPage) {
/* 308 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 310 */       this.priorPage.setEnabled(true);
/* 311 */     }  if (!this.hasNextPage) {
/* 312 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 314 */       this.nextPage.setEnabled(true);
/* 315 */     }  if (this.totalPages > 1) {
/* 316 */       this.goButton.setEnabled(true);
/* 317 */       this.text.setEnabled(true);
/*     */     } else {
/* 319 */       this.goButton.setEnabled(false);
/* 320 */       this.text.setEnabled(false);
/*     */     } 
/* 322 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int starto) {
/* 329 */     this.perInfo = this.dataManage.getFfrAcceptAuditList(this.unitId, starto, this.maxCount, this.insinfo.getAppylid());
/* 330 */     if (this.perInfo != null) {
/* 331 */       Object object = this.perInfo;
/* 332 */       this.tableViewer.setInput(object);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 340 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 341 */       this.table.getItem(i).setFont(4, 
/* 342 */           SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 343 */       this.table.getItem(i).setForeground(4, 
/* 344 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 352 */     if (this.cursor != null)
/*     */     {
/* 354 */       this.cursor.dispose(); } 
/* 355 */     this.cursor = new TableCursor(this.table, 0);
/* 356 */     this.cursor.setBackground(this.table.getDisplay()
/* 357 */         .getSystemColor(26));
/* 358 */     this.cursor.setForeground(this.table.getDisplay()
/* 359 */         .getSystemColor(27));
/* 360 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 362 */             int colums = WithinputFfrAcceptAuditListsDialog.this.cursor.getColumn();
/* 363 */             if (colums == 4) {
/* 364 */               WithinputFfrAcceptAuditListsDialog.this.modOrsup(false);
/*     */             }
/* 366 */             WithinputFfrAcceptAuditListsDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 369 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 372 */             int colums = WithinputFfrAcceptAuditListsDialog.this.cursor.getColumn();
/* 373 */             if (colums == WithinputFfrAcceptAuditListsDialog.this.selectColums && 
/* 374 */               colums == 4) {
/* 375 */               WithinputFfrAcceptAuditListsDialog.this.modOrsup(false);
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 386 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 390 */             WithinputFfrAcceptAuditListsDialog.this.getData((WithinputFfrAcceptAuditListsDialog.this.currentPage - 2) * WithinputFfrAcceptAuditListsDialog.this.maxCount + 1);
/* 391 */             WithinputFfrAcceptAuditListsDialog.this.setPages(WithinputFfrAcceptAuditListsDialog.this.currentPage - 1);
/* 392 */             WithinputFfrAcceptAuditListsDialog.this.setFontColor();
/* 393 */             WithinputFfrAcceptAuditListsDialog.this.setCursor();
/*     */           }
/*     */         });
/* 396 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 399 */             WithinputFfrAcceptAuditListsDialog.this.getData(WithinputFfrAcceptAuditListsDialog.this.currentPage * WithinputFfrAcceptAuditListsDialog.this.maxCount + 1);
/* 400 */             WithinputFfrAcceptAuditListsDialog.this.setPages(WithinputFfrAcceptAuditListsDialog.this.currentPage + 1);
/* 401 */             WithinputFfrAcceptAuditListsDialog.this.setFontColor();
/* 402 */             WithinputFfrAcceptAuditListsDialog.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 406 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 408 */             if (VerifyFunction.isNumeric(WithinputFfrAcceptAuditListsDialog.this.text.getText())) {
/* 409 */               int aa = Integer.parseInt(WithinputFfrAcceptAuditListsDialog.this.text.getText());
/* 410 */               if (aa > WithinputFfrAcceptAuditListsDialog.this.totalPages) {
/* 411 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 413 */                 WithinputFfrAcceptAuditListsDialog.this.getData((aa - 1) * WithinputFfrAcceptAuditListsDialog.this.maxCount + 1);
/* 414 */                 WithinputFfrAcceptAuditListsDialog.this.setPages(aa);
/* 415 */                 WithinputFfrAcceptAuditListsDialog.this.setFontColor();
/* 416 */                 WithinputFfrAcceptAuditListsDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 419 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 427 */     super.initializeBounds();
/* 428 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void modOrsup(boolean isModify) {
/* 435 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 436 */       .getSelection();
/* 437 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/*     */     
/* 439 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 442 */     ArrayList<InstaurationFRInfo> insinfolist = null;
/* 443 */     insinfolist = oper.QueryFfrAcceptAuditInfo(insinfo.getSydwid(), 
/* 444 */         insinfo.getRealid());
/* 445 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 446 */     if (insinfolist.size() > 0) {
/* 447 */       frinfo = insinfolist.get(0);
/*     */     }
/* 449 */     FfrHistoryDialog dialog = new FfrHistoryDialog(
/* 450 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 451 */         frinfo, Integer.parseInt(frinfo.getSYDW_JGLB()), 
/* 452 */         insinfo.getApplystate());
/* 453 */     dialog.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\withinput\WithinputFfrAcceptAuditListsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */