/*     */ package cs.ffr.operation.withinput.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PaperSource;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.awt.print.PrinterJob;
/*     */ import java.io.File;
/*     */ import java.util.ArrayList;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaTray;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PaperSourceDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Combo combo;
/*  43 */   public static ArrayList<Media> md = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PaperSourceDialog(Shell parentShell) {
/*  53 */     super(parentShell);
/*  54 */     setShellStyle(66688);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  64 */     Composite container = (Composite)super.createDialogArea(parent);
/*  65 */     GridLayout gridLayout = new GridLayout();
/*  66 */     gridLayout.numColumns = 2;
/*  67 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  69 */     Label label = new Label(container, 0);
/*  70 */     label.setText("进纸盒");
/*     */     
/*  72 */     this.combo = new Combo(container, 0);
/*  73 */     this.combo.setLayoutData(new GridData(4, 16777216, true, false));
/*  74 */     addCombo(this.combo, "dqjgpapersource");
/*     */     
/*  76 */     Label label_2 = new Label(container, 64);
/*  77 */     label_2.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  78 */     label_2
/*  79 */       .setLayoutData(new GridData(4, 4, true, true, 2, 
/*  80 */           1));
/*  81 */     label_2
/*  82 */       .setText("        如果选择并保存进纸盒，打印将从您选择的进纸盒进纸。如果未选择，则打印将从默认进纸盒进纸。");
/*  83 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  93 */     createButton(parent, 0, "保存", true);
/*  94 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 102 */     return new Point(500, 375);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 106 */     super.configureShell(newShell);
/* 107 */     newShell.setText("进纸盒设置");
/*     */   }
/*     */   
/*     */   private void addCombo(Combo comb, String fileName) {
/*     */     try {
/* 112 */       String defaultSource = "";
/* 113 */       ArrayList list = null;
/* 114 */       String path = PublicUtil.getRealPath("certtemplate/params/" + 
/* 115 */           fileName + ".xml");
/* 116 */       File file = new File(path);
/* 117 */       if (file.exists()) {
/* 118 */         list = (new PaperSource()).parserXml(path);
/*     */       }
/* 120 */       if (list != null)
/* 121 */         defaultSource = String.valueOf(list.get(0)); 
/* 122 */       ArrayList<String> source = getPaperSource();
/* 123 */       comb.add("自动选择");
/* 124 */       if (source != null)
/* 125 */         for (int i = 0; i < source.size(); i++) {
/* 126 */           comb.add(source.get(i));
/* 127 */           if (defaultSource.equals(source.get(i)))
/* 128 */             comb.select(i + 1); 
/*     */         }  
/* 130 */       if (defaultSource.equals("") || defaultSource.equals("自动选择"))
/* 131 */         comb.select(0); 
/* 132 */     } catch (Exception e) {
/* 133 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */   
/*     */   public static ArrayList<String> getPaperSource() {
/* 138 */     ArrayList<String> source = null;
/*     */     try {
/* 140 */       ArrayList<Media> md = getMedia();
/* 141 */       if (md != null) {
/* 142 */         source = new ArrayList<String>();
/* 143 */         for (int i = 0; i < md.size(); i++) {
/* 144 */           if (md.get(i) instanceof MediaTray)
/*     */           {
/* 146 */             source.add(
/* 147 */                 ResourceAdministrator.getMediaSourceName((MediaTray)md.get(i))); } 
/*     */         } 
/*     */       } 
/* 150 */     } catch (Exception e) {
/* 151 */       e.printStackTrace();
/*     */     } 
/* 153 */     return source;
/*     */   }
/*     */   
/*     */   public static ArrayList<Media> getMedia() {
/* 157 */     if (md == null) {
/* 158 */       md = new ArrayList<Media>();
/*     */       try {
/* 160 */         PrinterJob job = PrinterJob.getPrinterJob();
/* 161 */         Media[] media = (Media[])job
/* 162 */           .getPrintService()
/* 163 */           .getSupportedAttributeValues(
/*     */             
/* 165 */             (Class)Class.forName("javax.print.attribute.standard.Media"), 
/* 166 */             null, null);
/* 167 */         if (media != null)
/* 168 */           for (int i = 0; i < media.length; i++) {
/* 169 */             if (media[i] instanceof MediaTray)
/*     */             {
/* 171 */               if (!ResourceAdministrator.getMediaSourceName((MediaTray)media[i]).equals(
/* 172 */                   "Form Source"))
/*     */               {
/* 174 */                 md.add(media[i]); } 
/*     */             }
/*     */           }  
/* 177 */       } catch (Exception e) {
/* 178 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/* 181 */     return md;
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 185 */     if (buttonId == 0) {
/*     */       try {
/* 187 */         PaperSource paper = new PaperSource();
/* 188 */         ArrayList<String> ffrList = new ArrayList();
/* 189 */         ffrList.add(this.combo.getText());
/* 190 */         paper.BuildXMLDoc(ffrList, "dqjgpapersource", null);
/* 191 */         SydjMessageDialog.openInformation(null, "提示", 
/* 192 */             "保存成功,所有打印将按照您选择的进纸盒进纸！");
/* 193 */       } catch (Exception e) {
/* 194 */         e.printStackTrace();
/*     */       } 
/*     */     }
/* 197 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\ffr\operation\withinput\print\PaperSourceDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */