/*     */ package cs.sydj.common;
/*     */ 
/*     */ import java.util.Properties;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.DateTime;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ public class Calendar extends Dialog {
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private Text text;
/*     */   private DateTime date;
/*     */   private Point point;
/*     */   private Button delButton;
/*     */   private Button tdButton;
/*     */   private Button clButton;
/*     */   public static Calendar instance;
/*  35 */   Properties props = System.getProperties();
/*  36 */   String osName = this.props.getProperty("os.name");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Calendar getInstance(Shell parent, Text text, Point point) {
/*  44 */     if (instance == null) {
/*  45 */       instance = new Calendar(parent, text, point);
/*     */     }
/*     */     
/*  48 */     return instance;
/*     */   }
/*     */   
/*     */   public Calendar(Shell parent, int style) {
/*  52 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Calendar(Shell parent, Text text, Point point) {
/*  64 */     this(parent, 65536);
/*  65 */     this.text = text;
/*  66 */     this.point = point;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  75 */     createContents();
/*  76 */     this.shell.open();
/*  77 */     this.shell.layout();
/*  78 */     Display display = getParent().getDisplay();
/*  79 */     while (!this.shell.isDisposed()) {
/*  80 */       if (!display.readAndDispatch())
/*  81 */         display.sleep(); 
/*     */     } 
/*  83 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  90 */     this.shell = new Shell(getParent(), 67592);
/*     */     
/*  92 */     this.shell.setBackground(
/*  93 */         Display.getCurrent().getSystemColor(1));
/*  94 */     GridLayout gridLayout = new GridLayout();
/*  95 */     gridLayout.verticalSpacing = 0;
/*  96 */     gridLayout.marginWidth = 0;
/*  97 */     gridLayout.marginHeight = 0;
/*  98 */     gridLayout.horizontalSpacing = 0;
/*  99 */     this.shell.setLayout((Layout)gridLayout);
/* 100 */     this.shell.setSize(268, 156);
/* 101 */     this.shell.setLocation(this.point);
/* 102 */     this.date = new DateTime((Composite)this.shell, 1024);
/* 103 */     this.date.setLayoutData(new GridData());
/* 104 */     this.date.setFocus();
/*     */     
/* 106 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 107 */     composite.setBackground(Display.getCurrent()
/* 108 */         .getSystemColor(1));
/* 109 */     composite.setLayout((Layout)new FormLayout());
/* 110 */     GridData gd_composite = new GridData(4, 4, true, 
/* 111 */         true);
/* 112 */     gd_composite.heightHint = 29;
/* 113 */     composite.setLayoutData(gd_composite);
/*     */     
/* 115 */     this.delButton = new Button(composite, 8388608);
/* 116 */     FormData fd_button = new FormData();
/* 117 */     fd_button.right = new FormAttachment(0, 90);
/* 118 */     fd_button.top = new FormAttachment(0, 3);
/* 119 */     fd_button.left = new FormAttachment(0, 37);
/* 120 */     this.delButton.setLayoutData(fd_button);
/* 121 */     this.delButton.setText("清除");
/*     */     
/* 123 */     this.tdButton = new Button(composite, 8388608);
/* 124 */     FormData fd_button_1 = new FormData();
/* 125 */     fd_button_1.top = new FormAttachment(0, 3);
/* 126 */     fd_button_1.right = new FormAttachment(0, 159);
/* 127 */     fd_button_1.left = new FormAttachment(0, 111);
/* 128 */     this.tdButton.setLayoutData(fd_button_1);
/* 129 */     this.tdButton.setText("今日");
/*     */     
/* 131 */     this.clButton = new Button(composite, 8388608);
/* 132 */     FormData fd_button_2 = new FormData();
/* 133 */     fd_button_2.right = new FormAttachment(0, 235);
/* 134 */     fd_button_2.top = new FormAttachment(0, 3);
/* 135 */     fd_button_2.left = new FormAttachment(0, 186);
/* 136 */     this.clButton.setLayoutData(fd_button_2);
/* 137 */     this.clButton.setText("关闭");
/* 138 */     setActions();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 145 */     this.date.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 147 */             Calendar.this.setReturnValue();
/*     */           }
/*     */         });
/* 150 */     this.date.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDoubleClick(MouseEvent e) {
/* 152 */             Calendar.this.setReturnValue();
/* 153 */             Calendar.this.shell.dispose();
/*     */           }
/*     */           
/*     */           public void mouseDown(MouseEvent e) {
/* 157 */             Calendar.this.setReturnValue();
/*     */           }
/*     */         });
/* 160 */     this.delButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 162 */             Calendar.this.text.setText("");
/*     */           }
/*     */         });
/* 165 */     this.tdButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 167 */             Calendar.this.text.setText(PublicUtil.getNowDate());
/*     */           }
/*     */         });
/* 170 */     this.clButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 172 */             Calendar.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setReturnValue() {
/* 181 */     String year = String.valueOf(this.date.getYear());
/* 182 */     String month = (this.date.getMonth() + 1 < 10) ? ("0" + 
/* 183 */       String.valueOf(this.date.getMonth() + 1)) : String.valueOf(
/* 184 */         this.date.getMonth() + 1);
/* 185 */     String day = (this.date.getDay() < 10) ? ("0" + String.valueOf(this.date.getDay())) : 
/* 186 */       String.valueOf(this.date.getDay());
/* 187 */     this.text.setText(String.valueOf(year) + "-" + month + "-" + day);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\Calendar.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */