/*     */ package cs.sydj.common;
/*     */ 
/*     */ import cs.admin.excel.GenSydwExcel;
/*     */ import cs.admin.excel.SaveExcelProgressDialog;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.tableinfo.common.SYDWInfo;
/*     */ import server.tableinfo.common.SydwAllInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CommonSaveExcelProgressDialog
/*     */   extends SaveExcelProgressDialog
/*     */ {
/*  21 */   public int creatresult = 0;
/*     */   
/*     */   private String aFlag;
/*     */   
/*     */   private String filePath;
/*     */   
/*     */   private String sheetName;
/*     */   private ArrayList<?> list;
/*     */   private String applyType;
/*     */   private String saveExcelType;
/*     */   private String groupId;
/*     */   private String jbdwId;
/*     */   private SYDWInfo sydwinfo;
/*     */   private boolean[] items;
/*     */   private SydwAllInfoModel model;
/*  36 */   private int freezeType = 0;
/*     */   private IRunnableWithProgress runnable;
/*     */   
/*     */   public CommonSaveExcelProgressDialog(Shell shell, ArrayList<?> list, String label, String title, String fileName, String sheetName, String aFlag, String applyType) {
/*  40 */     super(shell, label, title);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 108 */     this.runnable = new IRunnableWithProgress()
/*     */       {
/* 110 */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1);
/* 111 */           monitor.setTaskName("接受数据中......");
/* 112 */           monitor.worked(1);
/* 113 */           if (monitor.isCanceled()) {
/* 114 */             CommonSaveExcelProgressDialog.this.creatresult = -1;
/*     */             return;
/*     */           } 
/* 117 */           monitor.setTaskName("正在接受数据.....");
/*     */           
/* 119 */           String flag = "";
/* 120 */           if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 122 */             flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType);
/* 123 */           } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 125 */             flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 126 */           } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 128 */             flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 129 */           } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 131 */             flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType);
/* 132 */           } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 134 */             flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 135 */           } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 137 */             flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 138 */           } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 140 */             flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 141 */           } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 143 */             flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/* 144 */           } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) {
/*     */             
/* 146 */             flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName);
/*     */           } 
/*     */           
/* 149 */           if (flag != null) {
/* 150 */             CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;
/*     */           }
/* 152 */           Thread.sleep(100L);
/* 153 */           monitor.worked(1);
/* 154 */           monitor.setTaskName("接受数据完毕！");
/* 155 */           monitor.done();
/* 156 */           CommonSaveExcelProgressDialog.this.creatresult = 1; } }; this.filePath = fileName; this.sheetName = sheetName; this.aFlag = aFlag; this.applyType = applyType; this.list = list; this.saveExcelType = "1"; } public CommonSaveExcelProgressDialog(Shell shell, SYDWInfo sydwinfo, SydwAllInfoModel model, boolean[] items, String label, String title, String fileName, String sheetName) { super(shell, label, title); this.runnable = new IRunnableWithProgress() { public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1); monitor.setTaskName("接受数据中......"); monitor.worked(1); if (monitor.isCanceled()) { CommonSaveExcelProgressDialog.this.creatresult = -1; return; }  monitor.setTaskName("正在接受数据....."); String flag = ""; if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType); } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType); } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); }  if (flag != null) CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;  Thread.sleep(100L); monitor.worked(1); monitor.setTaskName("接受数据完毕！"); monitor.done(); CommonSaveExcelProgressDialog.this.creatresult = 1; } }; this.filePath = fileName; this.sheetName = sheetName; this.sydwinfo = sydwinfo; this.items = items; this.model = model; this.saveExcelType = "2"; } public CommonSaveExcelProgressDialog(Shell shell, ArrayList<?> list, String label, String title, String fileName, String sheetName) { super(shell, label, title); this.runnable = new IRunnableWithProgress() { public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1); monitor.setTaskName("接受数据中......"); monitor.worked(1); if (monitor.isCanceled()) { CommonSaveExcelProgressDialog.this.creatresult = -1; return; }  monitor.setTaskName("正在接受数据....."); String flag = ""; if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType); } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType); } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); }  if (flag != null) CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;  Thread.sleep(100L); monitor.worked(1); monitor.setTaskName("接受数据完毕！"); monitor.done(); CommonSaveExcelProgressDialog.this.creatresult = 1; } }; this.filePath = fileName; this.sheetName = sheetName; this.list = list; this.saveExcelType = "3"; } public CommonSaveExcelProgressDialog(Shell shell, ArrayList<?> list, String label, String title, String fileName, String sheetName, String saveExcelType, int freezeType) { super(shell, label, title); this.runnable = new IRunnableWithProgress() { public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1); monitor.setTaskName("接受数据中......"); monitor.worked(1); if (monitor.isCanceled()) { CommonSaveExcelProgressDialog.this.creatresult = -1; return; }  monitor.setTaskName("正在接受数据....."); String flag = ""; if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType); } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType); } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); }  if (flag != null) CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;  Thread.sleep(100L); monitor.worked(1); monitor.setTaskName("接受数据完毕！"); monitor.done(); CommonSaveExcelProgressDialog.this.creatresult = 1; } }; this.filePath = fileName; this.sheetName = sheetName; this.list = list; this.saveExcelType = saveExcelType; this.freezeType = freezeType; } public CommonSaveExcelProgressDialog(Shell shell, ArrayList<?> list, String label, String title, String fileName, String sheetName, String saveExcelType) { super(shell, label, title); this.runnable = new IRunnableWithProgress() { public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1); monitor.setTaskName("接受数据中......"); monitor.worked(1); if (monitor.isCanceled()) { CommonSaveExcelProgressDialog.this.creatresult = -1; return; }  monitor.setTaskName("正在接受数据....."); String flag = ""; if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType); } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType); } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); }  if (flag != null) CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;  Thread.sleep(100L); monitor.worked(1); monitor.setTaskName("接受数据完毕！"); monitor.done(); CommonSaveExcelProgressDialog.this.creatresult = 1; } }; this.filePath = fileName; this.sheetName = sheetName; this.list = list; this.saveExcelType = saveExcelType; } public CommonSaveExcelProgressDialog(Shell shell, String label, String title, String fileName, String sheetName, String jbdwId, String groupId, String saveExcelType) { super(shell, label, title); this.runnable = new IRunnableWithProgress() { public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException { monitor.beginTask(CommonSaveExcelProgressDialog.this.label, 1); monitor.setTaskName("接受数据中......"); monitor.worked(1); if (monitor.isCanceled()) { CommonSaveExcelProgressDialog.this.creatresult = -1; return; }  monitor.setTaskName("正在接受数据....."); String flag = ""; if ("1".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCommonExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.aFlag, CommonSaveExcelProgressDialog.this.applyType); } else if ("2".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwDetailExcel(CommonSaveExcelProgressDialog.this.sydwinfo, CommonSaveExcelProgressDialog.this.model, CommonSaveExcelProgressDialog.this.items, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("3".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genSydwListExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("4".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genFreezeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName, CommonSaveExcelProgressDialog.this.freezeType); } else if ("5".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertExtendExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("6".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genCertAbolishExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("jbdw".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genJbdwSydwExcel(CommonSaveExcelProgressDialog.this.jbdwId, CommonSaveExcelProgressDialog.this.groupId, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("postNotice".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genPostNoticeExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); } else if ("historyName".equals(CommonSaveExcelProgressDialog.this.saveExcelType)) { flag = (new GenSydwExcel()).genHistoryNameExcel(CommonSaveExcelProgressDialog.this.list, CommonSaveExcelProgressDialog.this.filePath, CommonSaveExcelProgressDialog.this.sheetName); }  if (flag != null) CommonSaveExcelProgressDialog.this.wrongfile = String.valueOf(CommonSaveExcelProgressDialog.this.wrongfile) + flag;  Thread.sleep(100L); monitor.worked(1); monitor.setTaskName("接受数据完毕！"); monitor.done(); CommonSaveExcelProgressDialog.this.creatresult = 1; }
/*     */          }
/*     */       ;
/*     */     this.filePath = fileName;
/*     */     this.sheetName = sheetName;
/*     */     this.saveExcelType = saveExcelType;
/*     */     this.jbdwId = jbdwId;
/*     */     this.groupId = groupId; }
/*     */ 
/*     */   
/*     */   public void run(boolean fork, boolean cancelable) {
/*     */     try {
/*     */       run(fork, cancelable, this.runnable);
/*     */     } catch (InvocationTargetException e) {
/*     */       e.printStackTrace();
/*     */     } catch (InterruptedException e) {
/*     */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\CommonSaveExcelProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */