/*     */ package cs.sydj.common;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.ModifyEvent;
/*     */ import org.eclipse.swt.events.ModifyListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ public class NotAcceptDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   private Shell shell;
/*     */   private boolean isSelectedFirst;
/*     */   private boolean isSelectedSecond;
/*     */   private String type;
/*  39 */   private int returnValue = 1;
/*     */   private String reason;
/*     */   private ArrayList list;
/*     */   
/*     */   public String getReason() {
/*  44 */     return this.reason;
/*     */   }
/*     */   
/*     */   public void setReason(String reason) {
/*  48 */     this.reason = reason;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NotAcceptDialog(Shell parentShell) {
/*  57 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/*  62 */     super.open();
/*  63 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public NotAcceptDialog(Shell shell, String type, ArrayList list) {
/*  67 */     super(shell);
/*  68 */     this.shell = shell;
/*  69 */     this.isSelectedFirst = false;
/*  70 */     this.isSelectedSecond = false;
/*  71 */     this.type = type;
/*  72 */     this.list = list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  82 */     parent.setBackground(Display.getCurrent()
/*  83 */         .getSystemColor(1));
/*  84 */     parent.setBackgroundMode(2);
/*  85 */     Composite container = (Composite)super.createDialogArea(parent);
/*  86 */     GridLayout gridLayout = new GridLayout();
/*  87 */     gridLayout.marginTop = 25;
/*  88 */     gridLayout.marginRight = 25;
/*  89 */     gridLayout.marginLeft = 25;
/*  90 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  92 */     Label label_4 = new Label(container, 0);
/*  93 */     label_4.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  94 */     label_4.setText("回复意见");
/*     */     
/*  96 */     Label label_5 = new Label(container, 258);
/*     */     
/*  98 */     label_5.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 100 */     Composite group = new Composite(container, 0);
/* 101 */     group.setLayoutData(new GridData(4, 4, true, true));
/* 102 */     group.setLayout((Layout)new FormLayout());
/*     */ 
/*     */     
/* 105 */     final Button button = new Button(group, 32);
/*     */     
/* 107 */     button.setEnabled(false);
/* 108 */     FormData fd_button = new FormData();
/* 109 */     fd_button.bottom = new FormAttachment(0, 32);
/* 110 */     fd_button.top = new FormAttachment(0, 16);
/* 111 */     fd_button.right = new FormAttachment(0, 18);
/* 112 */     fd_button.left = new FormAttachment(0, 5);
/* 113 */     button.setLayoutData(fd_button);
/*     */     
/* 115 */     final Label label = new Label(group, 64);
/* 116 */     FormData fd_label = new FormData();
/* 117 */     fd_label.right = new FormAttachment(0, 370);
/* 118 */     fd_label.top = new FormAttachment(0, 10);
/* 119 */     fd_label.left = new FormAttachment(0, 23);
/* 120 */     label.setLayoutData(fd_label);
/* 121 */     label.setText("经审查，你单位不属于本登记管理机关的登记管理范围，因此所提交的事业单位" + this.type + 
/* 122 */         "申请不能受理。建议将申请材料提交给");
/*     */     
/* 124 */     this.text = new Text(group, 2048);
/*     */     
/* 126 */     this.text.addModifyListener(new ModifyListener() {
/*     */           public void modifyText(ModifyEvent arg0) {
/* 128 */             if (!NotAcceptDialog.this.text.getText().equals("")) {
/* 129 */               button.setEnabled(true);
/*     */             } else {
/* 131 */               button.setSelection(false);
/* 132 */               button.setEnabled(false);
/*     */             } 
/*     */           }
/*     */         });
/* 136 */     FormData fd_text = new FormData();
/* 137 */     fd_text.bottom = new FormAttachment((Control)label, 20, 128);
/* 138 */     fd_text.top = new FormAttachment((Control)label, 0, 128);
/* 139 */     fd_text.right = new FormAttachment((Control)label, 275, 131072);
/* 140 */     fd_text.left = new FormAttachment((Control)label, 0, 131072);
/* 141 */     this.text.setLayoutData(fd_text);
/*     */     
/* 143 */     final Button button_1 = new Button(group, 32);
/* 144 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {}
/*     */         });
/* 148 */     button_1.setEnabled(false);
/* 149 */     FormData fd_button_1 = new FormData();
/* 150 */     fd_button_1.bottom = new FormAttachment(0, 70);
/* 151 */     fd_button_1.top = new FormAttachment(0, 54);
/* 152 */     fd_button_1.right = new FormAttachment(0, 18);
/* 153 */     fd_button_1.left = new FormAttachment(0, 5);
/* 154 */     button_1.setLayoutData(fd_button_1);
/*     */     
/* 156 */     final Label label_1 = new Label(group, 0);
/* 157 */     FormData fd_label_1 = new FormData();
/* 158 */     fd_label_1.bottom = new FormAttachment(0, 75);
/* 159 */     fd_label_1.top = new FormAttachment(0, 55);
/* 160 */     fd_label_1.right = new FormAttachment(0, 215);
/* 161 */     fd_label_1.left = new FormAttachment(0, 23);
/* 162 */     label_1.setLayoutData(fd_label_1);
/* 163 */     label_1.setText("按照有关规定，你单位应先申请办理");
/*     */     
/* 165 */     this.text_1 = new Text(group, 2048);
/* 166 */     fd_label.bottom = new FormAttachment((Control)this.text_1, -5, 128);
/* 167 */     this.text_1.addModifyListener(new ModifyListener() {
/*     */           public void modifyText(ModifyEvent arg0) {
/* 169 */             if (!NotAcceptDialog.this.text_1.getText().equals("")) {
/* 170 */               button_1.setEnabled(true);
/*     */             } else {
/* 172 */               button_1.setEnabled(false);
/* 173 */               button_1.setSelection(false);
/*     */             } 
/*     */           }
/*     */         });
/* 177 */     FormData fd_text_1 = new FormData();
/* 178 */     fd_text_1.bottom = new FormAttachment(0, 71);
/* 179 */     fd_text_1.top = new FormAttachment(0, 52);
/* 180 */     fd_text_1.left = new FormAttachment(0, 220);
/* 181 */     this.text_1.setLayoutData(fd_text_1);
/*     */ 
/*     */     
/* 184 */     final Label label_2 = new Label(group, 64);
/* 185 */     fd_text_1.right = new FormAttachment((Control)label_2, 0, 16384);
/* 186 */     FormData fd_label_2 = new FormData();
/* 187 */     fd_label_2.bottom = new FormAttachment((Control)label_1, 0, 1024);
/* 188 */     fd_label_2.top = new FormAttachment(0, 54);
/* 189 */     fd_label_2.right = new FormAttachment(0, 685);
/* 190 */     fd_label_2.left = new FormAttachment(0, 395);
/* 191 */     label_2.setLayoutData(fd_label_2);
/* 192 */     label_2.setText("，在此之前所提交的" + this.type + "申请不予受理。");
/*     */     
/* 194 */     Button button_2 = new Button(group, 32);
/* 195 */     FormData fd_button_2 = new FormData();
/* 196 */     fd_button_2.bottom = new FormAttachment(0, 110);
/* 197 */     fd_button_2.top = new FormAttachment(0, 94);
/* 198 */     fd_button_2.right = new FormAttachment(0, 18);
/* 199 */     fd_button_2.left = new FormAttachment(0, 5);
/* 200 */     button_2.setLayoutData(fd_button_2);
/*     */     
/* 202 */     Label label_3 = new Label(group, 64);
/* 203 */     FormData fd_label_3 = new FormData();
/* 204 */     fd_label_3.bottom = new FormAttachment(0, 115);
/* 205 */     fd_label_3.top = new FormAttachment(0, 94);
/* 206 */     fd_label_3.right = new FormAttachment(0, 390);
/* 207 */     fd_label_3.left = new FormAttachment(0, 23);
/* 208 */     label_3.setLayoutData(fd_label_3);
/* 209 */     label_3.setText("手动输入（用于因不具备事业单位法人条件等不予受理情况的回复）");
/*     */     
/* 211 */     this.text_2 = new Text(group, 2624);
/* 212 */     FormData fd_text_2 = new FormData();
/* 213 */     fd_text_2.top = new FormAttachment(0, 130);
/* 214 */     fd_text_2.bottom = new FormAttachment(100, -5);
/* 215 */     fd_text_2.right = new FormAttachment(100, -5);
/* 216 */     fd_text_2.left = new FormAttachment(0, 5);
/* 217 */     this.text_2.setLayoutData(fd_text_2);
/*     */ 
/*     */     
/* 220 */     Button button_3 = new Button(group, 0);
/* 221 */     button_3.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 223 */             TreeManagerOrgnization tree = new TreeManagerOrgnization(NotAcceptDialog.this.shell, 
/* 224 */                 NotAcceptDialog.this.text, NotAcceptDialog.this.list);
/* 225 */             tree.open();
/*     */           }
/*     */         });
/* 228 */     FormData fd_button_3 = new FormData();
/* 229 */     fd_button_3.bottom = new FormAttachment(0, 30);
/* 230 */     fd_button_3.top = new FormAttachment(0, 7);
/* 231 */     fd_button_3.right = new FormAttachment(0, 724);
/* 232 */     fd_button_3.left = new FormAttachment(0, 645);
/* 233 */     button_3.setLayoutData(fd_button_3);
/* 234 */     button_3.setText("选择登记机关");
/* 235 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 237 */             NotAcceptDialog.this.text_2.setText("");
/* 238 */             if (button.getSelection()) {
/* 239 */               NotAcceptDialog.this.text_2.append(String.valueOf(label.getText()) + NotAcceptDialog.this.text.getText() + "\n");
/* 240 */               NotAcceptDialog.this.isSelectedFirst = true;
/*     */             } else {
/* 242 */               NotAcceptDialog.this.isSelectedFirst = false;
/*     */             } 
/* 244 */             if (NotAcceptDialog.this.isSelectedSecond) {
/* 245 */               NotAcceptDialog.this.text_2.append(String.valueOf(label_1.getText()) + NotAcceptDialog.this.text_1.getText() + 
/* 246 */                   label_2.getText() + "\n");
/*     */             }
/*     */           }
/*     */         });
/* 250 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 252 */             NotAcceptDialog.this.text_2.setText("");
/* 253 */             if (NotAcceptDialog.this.isSelectedFirst) {
/* 254 */               NotAcceptDialog.this.text_2.append(String.valueOf(label.getText()) + NotAcceptDialog.this.text.getText() + "\n");
/*     */             }
/* 256 */             if (button_1.getSelection()) {
/* 257 */               NotAcceptDialog.this.text_2.append(String.valueOf(label_1.getText()) + NotAcceptDialog.this.text_1.getText() + 
/* 258 */                   label_2.getText() + "\n");
/* 259 */               NotAcceptDialog.this.isSelectedSecond = true;
/*     */             } else {
/* 261 */               NotAcceptDialog.this.isSelectedSecond = false;
/*     */             } 
/*     */           }
/*     */         });
/* 265 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 275 */     createButton(parent, 0, "回复", true);
/* 276 */     createButton(parent, 1, "重填", false);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void cancelPressed() {
/* 281 */     this.text_2.setText("");
/* 282 */     this.text.setText("");
/* 283 */     this.text_1.setText("");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/* 290 */     if (this.text_2.getText().equals("") || this.text_2.getText() == null) {
/* 291 */       SydjMessageDialog.openInformation(null, "提示", "请填写回复意见");
/*     */       return;
/*     */     } 
/*     */     try {
/* 295 */       this.returnValue = 0;
/* 296 */       this.reason = this.text_2.getText().trim();
/* 297 */       if (!getShell().isDisposed())
/* 298 */         getShell().dispose(); 
/* 299 */     } catch (Exception e) {
/* 300 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 310 */     return new Point(800, 480);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 314 */     super.configureShell(newShell);
/* 315 */     newShell.setText("不予受理");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 320 */     super.initializeBounds();
/* 321 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\NotAcceptDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */