/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OpenAndSaveFileDialog
/*     */   extends Dialog
/*     */ {
/*  26 */   protected String result = "cancel";
/*     */   protected Shell shell;
/*  28 */   protected String name = "";
/*  29 */   protected String type = "";
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */   
/*     */   private String attachId;
/*     */   
/*     */   private String year;
/*     */ 
/*     */   
/*     */   public OpenAndSaveFileDialog(Shell parent, int style) {
/*  41 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenAndSaveFileDialog(Shell parent) {
/*  50 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenAndSaveFileDialog(Shell parent, String name, String type, String suffix, String attachId) {
/*  66 */     super(parent);
/*  67 */     this.name = name;
/*  68 */     this.type = type;
/*  69 */     this.suffix = suffix;
/*  70 */     this.attachId = attachId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OpenAndSaveFileDialog(Shell parent, String name, String type, String suffix, String attachId, String year) {
/*  86 */     super(parent);
/*  87 */     this.name = name;
/*  88 */     this.type = type;
/*  89 */     this.suffix = suffix;
/*  90 */     this.attachId = attachId;
/*  91 */     this.year = year;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/* 100 */     createContents();
/* 101 */     PublicUtil.setCenter(this.shell);
/* 102 */     this.shell.open();
/* 103 */     this.shell.layout();
/* 104 */     Display display = getParent().getDisplay();
/* 105 */     while (!this.shell.isDisposed()) {
/* 106 */       if (!display.readAndDispatch())
/* 107 */         display.sleep(); 
/*     */     } 
/* 109 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 116 */     this.shell = new Shell(getParent(), 67680);
/* 117 */     this.shell.setSize(403, 180);
/* 118 */     this.shell.setText("文件下载");
/*     */     
/* 120 */     Label label = new Label((Composite)this.shell, 0);
/* 121 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 122 */     label.setText("您想打开或保存此文件吗？");
/* 123 */     label.setBounds(15, 15, 175, 19);
/*     */     
/* 125 */     Label label_1 = new Label((Composite)this.shell, 0);
/* 126 */     label_1.setText("名称：");
/* 127 */     label_1.setBounds(75, 45, 42, 13);
/*     */     
/* 129 */     Label label_1_1 = new Label((Composite)this.shell, 0);
/* 130 */     label_1_1.setBounds(75, 73, 42, 13);
/* 131 */     label_1_1.setText("类型：");
/*     */     
/* 133 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 134 */     label_2.setText(this.name);
/* 135 */     label_2.setBounds(123, 45, 264, 30);
/*     */     
/* 137 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 138 */     label_2_1.setBounds(123, 73, 264, 36);
/* 139 */     label_2_1.setText(this.type);
/*     */     
/* 141 */     Button button = new Button((Composite)this.shell, 0);
/* 142 */     button.setText("打开");
/* 143 */     button.setBounds(155, 115, 72, 23);
/* 144 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/*     */             try {
/* 147 */               AttachsOperations attach = new AttachsOperations();
/* 148 */               String url = attach.getAttachsBlob1(OpenAndSaveFileDialog.this.attachId, null, OpenAndSaveFileDialog.this.year);
/* 149 */               if (url != null) {
/* 150 */                 Program.launch(url);
/* 151 */                 OpenAndSaveFileDialog.this.shell.dispose();
/*     */               } else {
/*     */                 return;
/*     */               } 
/* 155 */             } catch (Exception e) {
/* 156 */               e.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 161 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 162 */     button_1.setBounds(233, 115, 72, 23);
/* 163 */     button_1.setText("保存");
/* 164 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 166 */             SaveDialog save = new SaveDialog(OpenAndSaveFileDialog.this.shell);
/* 167 */             save.setFileName(OpenAndSaveFileDialog.this.name);
/* 168 */             save.setFilterExtensions(new String[] { "*." + this.this$0.suffix });
/* 169 */             String fileName = save.open();
/* 170 */             if (fileName != null) {
/* 171 */               AttachsOperations attach = new AttachsOperations();
/* 172 */               String url = attach.getAttachsBlob1(OpenAndSaveFileDialog.this.attachId, fileName, 
/* 173 */                   OpenAndSaveFileDialog.this.year);
/* 174 */               if (url != null) {
/* 175 */                 LoadSuccessDialog load = new LoadSuccessDialog(OpenAndSaveFileDialog.this.shell, 
/* 176 */                     fileName);
/* 177 */                 load.open();
/* 178 */                 OpenAndSaveFileDialog.this.shell.dispose();
/*     */               } else {
/*     */                 return;
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 186 */     Button button_2 = new Button((Composite)this.shell, 0);
/* 187 */     button_2.setBounds(311, 115, 72, 23);
/* 188 */     button_2.setText("取消");
/* 189 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 191 */             OpenAndSaveFileDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\OpenAndSaveFileDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */