/*     */ package cs.sydj.common.attachs;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.FileDialog;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.AttachModel;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithInputAttachsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ArrayList attachs;
/*     */   private Composite composite_1;
/*     */   private Composite composite_2;
/*     */   private GridData gd_composite_2;
/*     */   private Composite composite_3;
/*     */   private Group group;
/*     */   private Button button_2;
/*     */   private Button button_1;
/*     */   private Button button_3;
/*     */   private Button button;
/*  51 */   private int addAttachSum = 0;
/*  52 */   private int deleteAttachSum = 0;
/*     */   
/*  54 */   final Label[] attachsLabel_1 = new Label[30];
/*  55 */   Text[] attachsText = new Text[30];
/*  56 */   final GridData[] attachsData1 = new GridData[30];
/*  57 */   final Button[] attachsButton_view = new Button[30];
/*  58 */   final GridData[] attachsData2 = new GridData[30];
/*  59 */   final Button[] attachsButton_delete = new Button[30];
/*  60 */   final GridData[] attachsData3 = new GridData[30];
/*     */ 
/*     */   
/*  63 */   Button[] old_attachsButton = null;
/*  64 */   Button[] old_attachsButton_view = null;
/*  65 */   Button[] old_attachsButton_delete = null;
/*     */   
/*  67 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  68 */   private InsAttachmentInfo attInfo = new InsAttachmentInfo();
/*  69 */   String[] att_ext_name = new String[] { "GIF", "gif", "BMP", "bmp", "JPEG", "jpeg", 
/*  70 */       "JPG", "jpg", "DOC", "doc", "DOCX", "docx", "TXT", "txt", 
/*  71 */       "XLS", "xls", "XLSX", "xlsx", "ZIP", "zip", "RAR", "rar" };
/*     */   
/*  73 */   String applystate = "";
/*  74 */   String applydate = "";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public WithInputAttachsDialog(Shell parentShell, ArrayList attachs, InsAttachmentInfo attInfo, String applystate, String applydate) {
/*  83 */     super(parentShell);
/*  84 */     setShellStyle(66560);
/*  85 */     this.attachs = attachs;
/*  86 */     this.attInfo = attInfo;
/*  87 */     this.applystate = applystate;
/*  88 */     this.applydate = applydate;
/*  89 */     if (attachs != null) {
/*  90 */       this.addAttachSum += attachs.size();
/*     */     }
/*  92 */     this.old_attachsButton = new Button[attachs.size()];
/*  93 */     this.old_attachsButton_view = new Button[attachs.size()];
/*  94 */     this.old_attachsButton_delete = new Button[attachs.size()];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 104 */     Composite container = (Composite)super.createDialogArea(parent);
/* 105 */     container.setBackgroundMode(2);
/* 106 */     container.setBackground(Display.getCurrent()
/* 107 */         .getSystemColor(1));
/* 108 */     container.setLayout((Layout)new GridLayout());
/*     */     
/* 110 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 111 */         container, 768);
/* 112 */     scrolledComposite.setLayoutData(new GridData(4, 4, true, 
/* 113 */           true));
/* 114 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 115 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 116 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 118 */     this.group = new Group((Composite)scrolledComposite, 0);
/* 119 */     this.group.setLayoutData(new GridData(4, 4, true, true));
/* 120 */     GridLayout gridLayout = new GridLayout();
/* 121 */     gridLayout.horizontalSpacing = 0;
/* 122 */     gridLayout.marginWidth = 0;
/* 123 */     gridLayout.marginHeight = 0;
/* 124 */     this.group.setLayout((Layout)gridLayout);
/*     */     
/* 126 */     if ("-1".equals(this.applystate) || "7".equals(this.applystate) || 
/* 127 */       "8".equals(this.applystate)) {
/*     */       
/* 129 */       Composite composite_4 = new Composite((Composite)this.group, 0);
/* 130 */       composite_4.setBackground(
/* 131 */           SWTResourceManager.getColor(223, 243, 247));
/* 132 */       composite_4.setLayoutData(new GridData(4, 4, false, 
/* 133 */             false));
/* 134 */       GridLayout gridLayout_4 = new GridLayout();
/* 135 */       composite_4.setLayout((Layout)gridLayout_4);
/*     */       
/* 137 */       Label label = new Label(composite_4, 0);
/* 138 */       GridData gd_label = new GridData(4, 4, true, 
/* 139 */           false);
/* 140 */       label.setLayoutData(gd_label);
/* 141 */       label.setText("附件上传");
/*     */       
/* 143 */       Label label_1 = new Label((Composite)this.group, 258);
/*     */       
/* 145 */       label_1.setLayoutData(new GridData(4, 16777216, false, 
/* 146 */             false));
/*     */       
/* 148 */       Composite composite = new Composite((Composite)this.group, 0);
/* 149 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 150 */       GridData gd_composite = new GridData(4, 4, 
/* 151 */           true, false);
/* 152 */       composite.setLayoutData(gd_composite);
/* 153 */       GridLayout gridLayout_1 = new GridLayout();
/* 154 */       gridLayout_1.numColumns = 5;
/* 155 */       composite.setLayout((Layout)gridLayout_1);
/*     */       
/* 157 */       Label label_17_1 = new Label(composite, 0);
/* 158 */       label_17_1.setLayoutData(new GridData(4, 16777216, false, false));
/* 159 */       label_17_1.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 160 */       label_17_1.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 161 */       label_17_1.setText("■");
/*     */       
/* 163 */       Label label1 = new Label(composite, 0);
/* 164 */       label1.setText("选择上传方式：");
/*     */       
/* 166 */       this.button = new Button(composite, 16);
/* 167 */       this.button.setSelection(true);
/* 168 */       this.button.setText("直接上传");
/* 169 */       this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 171 */               WithInputAttachsDialog.this.composite_1.setVisible(true);
/* 172 */               WithInputAttachsDialog.this.composite_2.setVisible(true);
/*     */             }
/*     */           });
/*     */       
/* 176 */       this.button_1 = new Button(composite, 16);
/* 177 */       this.button_1.setText("已收到");
/* 178 */       this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 180 */               WithInputAttachsDialog.this.composite_1.setVisible(false);
/* 181 */               WithInputAttachsDialog.this.composite_2.setVisible(false);
/*     */             }
/*     */           });
/*     */       
/* 185 */       this.button_3 = new Button(composite, 16);
/* 186 */       this.button_3.setText("未提交");
/* 187 */       this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 189 */               WithInputAttachsDialog.this.composite_1.setVisible(false);
/* 190 */               WithInputAttachsDialog.this.composite_2.setVisible(false);
/*     */             }
/*     */           });
/*     */       
/* 194 */       Label label_4 = new Label((Composite)this.group, 258);
/*     */       
/* 196 */       label_4.setLayoutData(new GridData(4, 16777216, false, 
/* 197 */             false));
/*     */       
/* 199 */       this.composite_1 = new Composite((Composite)this.group, 0);
/* 200 */       this.composite_1.setLayoutData(new GridData(4, 4, true, 
/* 201 */             false));
/* 202 */       GridLayout gridLayout_2 = new GridLayout();
/* 203 */       gridLayout_2.numColumns = 2;
/* 204 */       this.composite_1.setLayout((Layout)gridLayout_2);
/*     */       
/* 206 */       Label label_3 = new Label(this.composite_1, 0);
/* 207 */       label_3.setFont(SWTResourceManager.getFont("", 10, 1));
/* 208 */       label_3.setLayoutData(new GridData());
/* 209 */       if ("-1".equals(this.attInfo.getAttachstate())) {
/* 210 */         label_3.setText("上传新的附件");
/*     */       } else {
/* 212 */         label_3.setText("重新上传");
/*     */       } 
/*     */ 
/*     */       
/* 216 */       Label label_5 = new Label(this.composite_1, 0);
/* 217 */       label_5.setLayoutData(new GridData(131072, 16777216, false, 
/* 218 */             false));
/* 219 */       label_5.setText("附件标题：");
/*     */       
/* 221 */       Label label_6 = new Label(this.composite_1, 0);
/* 222 */       label_6.setLayoutData(new GridData(16384, 16777216, true, 
/* 223 */             false));
/* 224 */       label_6.setText(this.attInfo.getFilename());
/*     */       
/* 226 */       this.button_2 = new Button(this.composite_1, 0);
/* 227 */       this.button_2.setLayoutData(new GridData(131072, 16777216, false, 
/* 228 */             false));
/* 229 */       this.button_2.setText("添加新附件");
/*     */       
/* 231 */       Label label_11 = new Label(this.composite_1, 0);
/* 232 */       label_11.setText("（提示：添加附件总数不能超过10个）");
/*     */       
/* 234 */       this.composite_2 = new Composite((Composite)this.group, 0);
/* 235 */       this.gd_composite_2 = new GridData(4, 128, false, false);
/* 236 */       this.gd_composite_2.heightHint = 0;
/* 237 */       this.composite_2.setLayoutData(this.gd_composite_2);
/* 238 */       GridLayout gridLayout_3 = new GridLayout();
/* 239 */       gridLayout_3.verticalSpacing = 0;
/* 240 */       gridLayout_3.marginWidth = 0;
/* 241 */       gridLayout_3.marginHeight = 0;
/* 242 */       gridLayout_3.horizontalSpacing = 0;
/* 243 */       gridLayout_3.numColumns = 4;
/* 244 */       this.composite_2.setLayout((Layout)gridLayout_3);
/*     */     } 
/*     */     
/* 247 */     if ("0".equals(this.attInfo.getAttachstate())) {
/* 248 */       Label label_9 = new Label((Composite)this.group, 258);
/*     */       
/* 250 */       label_9.setLayoutData(new GridData(4, 16777216, true, 
/* 251 */             false));
/*     */       
/* 253 */       Composite composite = new Composite((Composite)this.group, 0);
/* 254 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 255 */       composite.setLayoutData(new GridData(4, 4, true, 
/* 256 */             false));
/* 257 */       GridLayout gridLayout_2 = new GridLayout();
/* 258 */       gridLayout_2.numColumns = 2;
/* 259 */       composite.setLayout((Layout)gridLayout_2);
/*     */       
/* 261 */       Label label_17 = new Label(composite, 0);
/* 262 */       label_17.setLayoutData(new GridData(4, 16777216, false, false));
/* 263 */       label_17.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 264 */       label_17.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 265 */       label_17.setText("■");
/*     */       
/* 267 */       Label label_8 = new Label(composite, 0);
/* 268 */       label_8.setText("点击附件名称查看附件：");
/*     */       
/* 270 */       Label label_10 = new Label((Composite)this.group, 258);
/*     */       
/* 272 */       label_10.setLayoutData(new GridData(4, 16777216, true, 
/* 273 */             false));
/*     */       
/* 275 */       this.composite_3 = new Composite((Composite)this.group, 0);
/* 276 */       this.composite_3.setLayoutData(new GridData(4, 4, false, 
/* 277 */             false));
/* 278 */       GridLayout gridLayout_1 = new GridLayout();
/* 279 */       gridLayout_1.numColumns = 3;
/* 280 */       this.composite_3.setLayout((Layout)gridLayout_1);
/*     */       
/* 282 */       setData();
/*     */     } 
/*     */     
/* 285 */     if ("7".equals(this.attInfo.getAttachstate())) {
/* 286 */       Label label_80 = new Label((Composite)this.group, 258);
/*     */       
/* 288 */       label_80.setLayoutData(new GridData(4, 16777216, true, 
/* 289 */             false));
/*     */       
/* 291 */       Composite composite = new Composite((Composite)this.group, 0);
/* 292 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 293 */       composite.setLayoutData(new GridData(4, 4, true, 
/* 294 */             false));
/* 295 */       GridLayout gridLayout_1 = new GridLayout();
/* 296 */       gridLayout_1.numColumns = 2;
/* 297 */       composite.setLayout((Layout)gridLayout_1);
/*     */       
/* 299 */       Label label_17 = new Label(composite, 0);
/* 300 */       label_17.setLayoutData(new GridData(4, 16777216, false, false));
/* 301 */       label_17.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 302 */       label_17.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 303 */       label_17.setText("■");
/*     */       
/* 305 */       Label label_20 = new Label(composite, 0);
/* 306 */       label_20.setText("查看附件状态：");
/*     */       
/* 308 */       Label label_100 = new Label((Composite)this.group, 258);
/*     */       
/* 310 */       label_100.setLayoutData(new GridData(4, 16777216, true, 
/* 311 */             false));
/*     */       
/* 313 */       Label label_40 = new Label((Composite)this.group, 64);
/* 314 */       label_40.setAlignment(16777216);
/* 315 */       label_40.setFont(
/* 316 */           SWTResourceManager.getFont("楷体_GB2312", 12, 1));
/* 317 */       GridData gd_label_40 = new GridData(16777216, 16777216, 
/* 318 */           false, false);
/* 319 */       gd_label_40.widthHint = 600;
/* 320 */       label_40.setLayoutData(gd_label_40);
/* 321 */       label_40.setText(this.attInfo.getFilename());
/*     */     } 
/*     */     
/* 324 */     if ("事业单位章程草案".equals(this.attInfo.getFilename()) || 
/* 325 */       "住所证明".equals(this.attInfo.getFilename()) || 
/* 326 */       "登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/*     */       
/* 328 */       Label label_7 = new Label((Composite)this.group, 258);
/*     */       
/* 330 */       label_7.setLayoutData(new GridData(4, 16777216, true, 
/* 331 */             false));
/*     */       
/* 333 */       Composite composite = new Composite((Composite)this.group, 0);
/* 334 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 335 */       composite.setLayoutData(new GridData(4, 4, true, 
/* 336 */             false));
/* 337 */       GridLayout gridLayout_1 = new GridLayout();
/* 338 */       gridLayout_1.numColumns = 2;
/* 339 */       composite.setLayout((Layout)gridLayout_1);
/*     */       
/* 341 */       Label label_17 = new Label(composite, 0);
/* 342 */       label_17.setLayoutData(new GridData(4, 16777216, false, false));
/* 343 */       label_17.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 344 */       label_17.setBackground(SWTResourceManager.getColor(208, 81, 4));
/* 345 */       label_17.setText("■");
/*     */       
/* 347 */       Label label_12 = new Label(composite, 0);
/* 348 */       label_12.setText("文件说明：");
/*     */       
/* 350 */       Label label_13 = new Label((Composite)this.group, 258);
/*     */       
/* 352 */       label_13.setLayoutData(new GridData(4, 16777216, true, 
/* 353 */             false));
/*     */       
/* 355 */       Composite composite_4 = new Composite((Composite)this.group, 0);
/* 356 */       composite_4.setBackground(Display.getCurrent()
/* 357 */           .getSystemColor(1));
/* 358 */       composite_4.setLayoutData(new GridData(4, 4, false, 
/* 359 */             false));
/* 360 */       composite_4.setLayout((Layout)new GridLayout());
/*     */       
/* 362 */       if ("事业单位章程草案".equals(this.attInfo.getFilename())) {
/* 363 */         Label label_14 = new Label(composite_4, 0);
/* 364 */         label_14.setLayoutData(new GridData(16777216, 16777216, 
/* 365 */               true, false));
/* 366 */         label_14.setImage(
/* 367 */             CacheImage.getINSTANCE()
/* 368 */             .getImage("cs.sydj", "icons/ZhangChengCaoAn.GIF"));
/*     */       } 
/*     */       
/* 371 */       if ("住所证明".equals(this.attInfo.getFilename())) {
/* 372 */         Label label_15 = new Label(composite_4, 0);
/* 373 */         label_15.setLayoutData(new GridData(16777216, 16777216, 
/* 374 */               true, false));
/* 375 */         label_15.setImage(
/* 376 */             CacheImage.getINSTANCE()
/* 377 */             .getImage("cs.sydj", "icons/ZhuSuoZhengMing.GIF"));
/*     */       } 
/*     */       
/* 380 */       if ("登记管理机关要求提交的其他文件".equals(this.attInfo.getFilename())) {
/* 381 */         Label label_16 = new Label(composite_4, 0);
/* 382 */         label_16.setLayoutData(new GridData(16777216, 16777216, 
/* 383 */               true, false));
/* 384 */         label_16.setImage(CacheImage.getINSTANCE()
/*     */             
/* 386 */             .getImage("cs.sydj", "icons/YaoQiuQiTaWenJian.GIF"));
/*     */       } 
/*     */     } 
/*     */     
/* 390 */     if ("-1".equals(this.applystate) || "7".equals(this.applystate) || 
/* 391 */       "8".equals(this.applystate))
/*     */     {
/* 393 */       this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */             public void widgetSelected(SelectionEvent e) {
/* 395 */               if (!SydjMessageDialog.openConfirm(null, "", "请确认您上传的附件材料不包含涉密内容？")) {
/*     */                 return;
/*     */               }
/* 398 */               if (WithInputAttachsDialog.this.addAttachSum - WithInputAttachsDialog.this.deleteAttachSum + 1 > 10) {
/* 399 */                 SydjMessageDialog.openInformation(WithInputAttachsDialog.this.getShell(), "提示", 
/* 400 */                     "上传附件数已到10个！");
/*     */               } else {
/* 402 */                 WithInputAttachsDialog.this.attachsLabel_1[WithInputAttachsDialog.this.addAttachSum] = new Label(WithInputAttachsDialog.this.composite_2, 
/* 403 */                     0);
/* 404 */                 WithInputAttachsDialog.this.attachsLabel_1[WithInputAttachsDialog.this.addAttachSum]
/* 405 */                   .setLayoutData(new GridData(131072, 
/* 406 */                       16777216, false, false));
/* 407 */                 WithInputAttachsDialog.this.attachsLabel_1[WithInputAttachsDialog.this.addAttachSum].setText("上传文件：");
/*     */                 
/* 409 */                 WithInputAttachsDialog.this.attachsText[WithInputAttachsDialog.this.addAttachSum] = new Text(WithInputAttachsDialog.this.composite_2, 
/* 410 */                     2048);
/* 411 */                 WithInputAttachsDialog.this.attachsText[WithInputAttachsDialog.this.addAttachSum].setBackground(
/* 412 */                     Display.getCurrent().getSystemColor(1));
/* 413 */                 WithInputAttachsDialog.this.attachsData1[WithInputAttachsDialog.this.addAttachSum] = new GridData(4, 
/* 414 */                     16777216, true, false);
/* 415 */                 WithInputAttachsDialog.this.attachsText[WithInputAttachsDialog.this.addAttachSum].setEditable(false);
/* 416 */                 (WithInputAttachsDialog.this.attachsData1[WithInputAttachsDialog.this.addAttachSum]).widthHint = 200;
/* 417 */                 WithInputAttachsDialog.this.attachsText[WithInputAttachsDialog.this.addAttachSum]
/* 418 */                   .setLayoutData(WithInputAttachsDialog.this.attachsData1[WithInputAttachsDialog.this.addAttachSum]);
/*     */                 
/* 420 */                 WithInputAttachsDialog.this.attachsButton_view[WithInputAttachsDialog.this.addAttachSum] = new Button(
/* 421 */                     WithInputAttachsDialog.this.composite_2, 0);
/* 422 */                 WithInputAttachsDialog.this.attachsData2[WithInputAttachsDialog.this.addAttachSum] = new GridData(-1, 
/* 423 */                     20);
/* 424 */                 WithInputAttachsDialog.this.attachsButton_view[WithInputAttachsDialog.this.addAttachSum]
/* 425 */                   .setLayoutData(WithInputAttachsDialog.this.attachsData2[WithInputAttachsDialog.this.addAttachSum]);
/* 426 */                 WithInputAttachsDialog.this.attachsButton_view[WithInputAttachsDialog.this.addAttachSum].setText("浏览...");
/* 427 */                 WithInputAttachsDialog.this
/* 428 */                   .addViewListener(WithInputAttachsDialog.this.attachsButton_view[WithInputAttachsDialog.this.addAttachSum], WithInputAttachsDialog.this.addAttachSum);
/*     */                 
/* 430 */                 WithInputAttachsDialog.this.attachsButton_delete[WithInputAttachsDialog.this.addAttachSum] = new Button(
/* 431 */                     WithInputAttachsDialog.this.composite_2, 0);
/* 432 */                 WithInputAttachsDialog.this.attachsData3[WithInputAttachsDialog.this.addAttachSum] = new GridData(16384, 
/* 433 */                     16777216, true, false);
/* 434 */                 (WithInputAttachsDialog.this.attachsData3[WithInputAttachsDialog.this.addAttachSum]).heightHint = 20;
/* 435 */                 WithInputAttachsDialog.this.attachsButton_delete[WithInputAttachsDialog.this.addAttachSum]
/* 436 */                   .setLayoutData(WithInputAttachsDialog.this.attachsData3[WithInputAttachsDialog.this.addAttachSum]);
/* 437 */                 WithInputAttachsDialog.this.attachsButton_delete[WithInputAttachsDialog.this.addAttachSum].setText("删除");
/* 438 */                 WithInputAttachsDialog.this
/* 439 */                   .addDeleteListener(WithInputAttachsDialog.this.attachsButton_delete[WithInputAttachsDialog.this.addAttachSum], WithInputAttachsDialog.this.addAttachSum);
/*     */                 
/* 441 */                 WithInputAttachsDialog.this.addAttachSum = WithInputAttachsDialog.this.addAttachSum + 1;
/* 442 */                 WithInputAttachsDialog.this.gd_composite_2.heightHint = (WithInputAttachsDialog.this.addAttachSum - 
/* 443 */                   WithInputAttachsDialog.this.deleteAttachSum - WithInputAttachsDialog.this.attachs.size()) * 30;
/* 444 */                 WithInputAttachsDialog.this.composite_2.setLayoutData(WithInputAttachsDialog.this.gd_composite_2);
/* 445 */                 WithInputAttachsDialog.this.composite_2.layout();
/* 446 */                 WithInputAttachsDialog.this.group.setSize(600, 550 + (WithInputAttachsDialog.this.addAttachSum - 
/* 447 */                     WithInputAttachsDialog.this.deleteAttachSum - WithInputAttachsDialog.this.attachs.size()) * 30);
/* 448 */                 WithInputAttachsDialog.this.group.layout();
/*     */               } 
/*     */             }
/*     */           });
/*     */     }
/*     */ 
/*     */     
/* 455 */     if ("3".equals(this.applystate) || "9".equals(this.applystate) || 
/* 456 */       "10".equals(this.applystate)) {
/* 457 */       Composite composite = new Composite((Composite)this.group, 0);
/* 458 */       composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/* 459 */       composite.setLayoutData(new GridData(4, 4, true, 
/* 460 */             false));
/* 461 */       GridLayout gridLayout_2 = new GridLayout();
/* 462 */       gridLayout_2.numColumns = 2;
/* 463 */       composite.setLayout((Layout)gridLayout_2);
/*     */       
/* 465 */       Label label_12 = new Label(composite, 0);
/* 466 */       label_12.setText(String.valueOf(this.attInfo.getFilename()) + ": " + this.attInfo.getAttachStateName());
/*     */     } 
/*     */ 
/*     */     
/* 470 */     Label label_2 = new Label((Composite)this.group, 258);
/* 471 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */ 
/*     */     
/* 474 */     this.group.setSize(600, 550);
/* 475 */     scrolledComposite.setContent((Control)this.group);
/* 476 */     return (Control)container;
/*     */   }
/*     */   
/*     */   private void addViewListener(Button bt, final int index) {
/* 480 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 482 */             FileDialog filedialog = new FileDialog(WithInputAttachsDialog.this.getShell(), 4096);
/* 483 */             String filePath = filedialog.open();
/* 484 */             if (filePath != null) {
/* 485 */               String ext_name = filePath.substring(
/* 486 */                   filePath.lastIndexOf(".") + 1);
/* 487 */               if (!WithInputAttachsDialog.this.checkAttach(filePath, ext_name)) {
/*     */                 
/* 489 */                 SydjMessageDialog.openWarning(
/* 490 */                     WithInputAttachsDialog.this.getShell(), 
/* 491 */                     "警告", 
/* 492 */                     "只能上传后缀为“*.GIF，*.gif，*.BMP，*.bmp，*.JPEG，*.jpeg，*.JPG，*.jpg，*.DOC，*.doc，*.DOCX，*.docx，*.TXT，*.txt，*.XLS，*.xls，*.XLSX，*.xlsx，*.ZIP，*.zip，*.RAR，*.rar”的文件格式！");
/*     */               } else {
/*     */                 
/*     */                 try {
/* 496 */                   if (PublicUtil.checkAttachSize(filePath)) {
/* 497 */                     WithInputAttachsDialog.this.attachsText[index].setText(filePath);
/*     */                   } else {
/* 499 */                     SydjMessageDialog.openWarning(WithInputAttachsDialog.this.getShell(), "警告", 
/* 500 */                         "附件大于100K，超过上限！请重新选择");
/*     */                   } 
/* 502 */                 } catch (FileNotFoundException e1) {
/* 503 */                   SydjMessageDialog.openError(WithInputAttachsDialog.this.getShell(), "错误", "文件不存在！");
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void addDeleteListener(Button bt, final int index) {
/* 512 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 514 */             WithInputAttachsDialog.this.attachsLabel_1[index].dispose();
/* 515 */             WithInputAttachsDialog.this.attachsLabel_1[index] = null;
/*     */             
/* 517 */             WithInputAttachsDialog.this.attachsText[index].dispose();
/* 518 */             WithInputAttachsDialog.this.attachsText[index] = null;
/* 519 */             WithInputAttachsDialog.this.attachsData1[index] = null;
/*     */             
/* 521 */             WithInputAttachsDialog.this.attachsButton_view[index].dispose();
/* 522 */             WithInputAttachsDialog.this.attachsButton_view[index] = null;
/* 523 */             WithInputAttachsDialog.this.attachsData2[index] = null;
/*     */             
/* 525 */             WithInputAttachsDialog.this.attachsButton_delete[index].dispose();
/* 526 */             WithInputAttachsDialog.this.attachsButton_delete[index] = null;
/* 527 */             WithInputAttachsDialog.this.attachsData3[index] = null;
/*     */             
/* 529 */             WithInputAttachsDialog.this.deleteAttachSum = WithInputAttachsDialog.this.deleteAttachSum + 1;
/* 530 */             WithInputAttachsDialog.this.gd_composite_2.heightHint = (WithInputAttachsDialog.this.addAttachSum - WithInputAttachsDialog.this.deleteAttachSum - 
/* 531 */               WithInputAttachsDialog.this.attachs.size()) * 30;
/* 532 */             WithInputAttachsDialog.this.composite_2.setLayoutData(WithInputAttachsDialog.this.gd_composite_2);
/* 533 */             WithInputAttachsDialog.this.composite_2.layout();
/* 534 */             WithInputAttachsDialog.this.group
/* 535 */               .setSize(600, 
/* 536 */                 550 + (WithInputAttachsDialog.this.addAttachSum - WithInputAttachsDialog.this.deleteAttachSum - 
/* 537 */                 WithInputAttachsDialog.this.attachs.size()) * 30);
/* 538 */             WithInputAttachsDialog.this.group.layout();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 547 */     for (int i = 0; i < this.attachs.size(); i++) {
/* 548 */       AttachModel model = this.attachs.get(i);
/*     */       
/* 550 */       this.old_attachsButton[i] = new Button(this.composite_3, 8388608);
/* 551 */       this.old_attachsButton[i].setText(String.valueOf(String.valueOf(i + 1)) + "、" + 
/* 552 */           model.getAttachName());
/* 553 */       addOldAttachButtonListener(this.old_attachsButton[i], model, i);
/*     */       
/* 555 */       if ("-1".equals(this.applystate) || "7".equals(this.applystate) || 
/* 556 */         "8".equals(this.applystate)) {
/* 557 */         this.old_attachsButton_view[i] = new Button(this.composite_3, 8388608);
/* 558 */         this.old_attachsButton_view[i].setText("修改");
/* 559 */         addModifyListener(this.old_attachsButton_view[i], 
/* 560 */             model.getAttachId());
/*     */         
/* 562 */         this.old_attachsButton_delete[i] = new Button(this.composite_3, 8388608);
/* 563 */         this.old_attachsButton_delete[i].setText("删除");
/* 564 */         addOldDeleteListener(this.old_attachsButton_delete[i], 
/* 565 */             model.getAttachId(), i);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void addOldAttachButtonListener(Button bt, final AttachModel model, final int iOrder) {
/* 572 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 574 */             if ("true".equals(model.getIsOpen())) {
/* 575 */               ViewAllImageDialog dialog = new ViewAllImageDialog(
/* 576 */                   WithInputAttachsDialog.this.getShell(), WithInputAttachsDialog.this.attachs, iOrder, WithInputAttachsDialog.this.applydate);
/* 577 */               dialog.open();
/*     */             } else {
/* 579 */               OpenAndSaveFileDialog dialog = new OpenAndSaveFileDialog(
/* 580 */                   WithInputAttachsDialog.this.getShell(), String.valueOf(model.getAttachName()), 
/* 581 */                   String.valueOf(model.getType()), 
/* 582 */                   String.valueOf(model.getExtType()), 
/* 583 */                   String.valueOf(model.getAttachId()));
/* 584 */               dialog.open();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void removeData() {
/* 592 */     for (int i = 0; i < this.old_attachsButton.length; i++) {
/* 593 */       this.old_attachsButton[i].dispose();
/* 594 */       this.old_attachsButton[i] = null;
/*     */       
/* 596 */       this.old_attachsButton_view[i].dispose();
/* 597 */       this.old_attachsButton_view[i] = null;
/*     */       
/* 599 */       this.old_attachsButton_delete[i].dispose();
/* 600 */       this.old_attachsButton_delete[i] = null;
/*     */     } 
/*     */   }
/*     */   
/*     */   private void addModifyListener(Button bt, final String attachid) {
/* 605 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 607 */             FileDialog filedialog = new FileDialog(WithInputAttachsDialog.this.getShell(), 4096);
/* 608 */             String filePath = filedialog.open();
/* 609 */             if (filePath != null && filePath.length() > 0) {
/* 610 */               String ext_name = filePath.substring(
/* 611 */                   filePath.lastIndexOf(".") + 1);
/* 612 */               if (!WithInputAttachsDialog.this.checkAttach(filePath, ext_name)) {
/*     */                 
/* 614 */                 SydjMessageDialog.openWarning(
/* 615 */                     WithInputAttachsDialog.this.getShell(), 
/* 616 */                     "警告", 
/* 617 */                     "只能上传后缀为“*.GIF，*.gif，*.BMP，*.bmp，*.JPEG，*.jpeg，*.JPG，*.jpg，*.DOC，*.doc，*.DOCX，*.docx，*.TXT，*.txt，*.XLS，*.xls，*.XLSX，*.xlsx，*.ZIP，*.zip，*.RAR，*.rar”的文件格式！");
/*     */               } else {
/*     */                 
/*     */                 try {
/* 621 */                   if (PublicUtil.checkAttachSize(filePath)) {
/* 622 */                     if (SydjMessageDialog.openConfirm(WithInputAttachsDialog.this.getShell(), "修改", 
/* 623 */                         "替换该附件？")) {
/* 624 */                       InsAttachmentInfo iai = new InsAttachmentInfo();
/* 625 */                       iai = WithInputAttachsDialog.this.attInfo;
/* 626 */                       iai.setEXT_NAME(ext_name);
/* 627 */                       iai.setAttachid(attachid);
/* 628 */                       String replyStr = WithInputAttachsDialog.this.dataManage.modifyAttachs(
/* 629 */                           iai, filePath);
/* 630 */                       if (replyStr == null || 
/* 631 */                         replyStr.length() == 0) {
/* 632 */                         SydjMessageDialog.openError(WithInputAttachsDialog.this.getShell(), 
/* 633 */                             "错误", "修改失败！");
/*     */                       } else {
/* 635 */                         SydjMessageDialog.openInformation(
/* 636 */                             WithInputAttachsDialog.this.getShell(), "", "修改成功！");
/* 637 */                         AttachsOperations att = new AttachsOperations();
/* 638 */                         ArrayList newattachs = att.getAttachs1(
/* 639 */                             WithInputAttachsDialog.this.attInfo.getApplyid(), 
/* 640 */                             WithInputAttachsDialog.this.attInfo.getRealid(), 
/* 641 */                             WithInputAttachsDialog.this.attInfo.getATTACH_GROUP_ID(), WithInputAttachsDialog.this.applydate);
/* 642 */                         WithInputAttachsDialog.this.attachs = newattachs;
/* 643 */                         WithInputAttachsDialog.this.removeData();
/* 644 */                         WithInputAttachsDialog.this.setData();
/* 645 */                         WithInputAttachsDialog.this.composite_3.layout();
/* 646 */                         WithInputAttachsDialog.this.group.layout();
/*     */                       } 
/*     */                     } 
/*     */                   } else {
/* 650 */                     SydjMessageDialog.openWarning(WithInputAttachsDialog.this.getShell(), "警告", 
/* 651 */                         "附件大于100K，超过上限！请重新选择");
/*     */                   } 
/* 653 */                 } catch (FileNotFoundException e1) {
/* 654 */                   SydjMessageDialog.openError(WithInputAttachsDialog.this.getShell(), "错误", "文件不存在！");
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void addOldDeleteListener(Button bt, final String attachid, final int index) {
/* 664 */     bt.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 666 */             if (SydjMessageDialog.openConfirm(WithInputAttachsDialog.this.getShell(), "修改", "删除该附件？")) {
/* 667 */               InsAttachmentInfo iai = new InsAttachmentInfo();
/* 668 */               iai = WithInputAttachsDialog.this.attInfo;
/* 669 */               iai.setAttachid(attachid);
/* 670 */               String replyStr = WithInputAttachsDialog.this.dataManage.deleteAttachs(iai, WithInputAttachsDialog.this.applydate);
/* 671 */               if (replyStr == null || replyStr.length() == 0) {
/* 672 */                 SydjMessageDialog.openError(WithInputAttachsDialog.this.getShell(), "错误", "删除失败！");
/*     */               } else {
/* 674 */                 SydjMessageDialog.openInformation(WithInputAttachsDialog.this.getShell(), "", "删除成功！");
/* 675 */                 AttachsOperations att = new AttachsOperations();
/* 676 */                 ArrayList newattachs = att.getAttachs1(
/* 677 */                     WithInputAttachsDialog.this.attInfo.getApplyid(), WithInputAttachsDialog.this.attInfo.getRealid(), 
/* 678 */                     WithInputAttachsDialog.this.attInfo.getATTACH_GROUP_ID(), WithInputAttachsDialog.this.applydate);
/* 679 */                 WithInputAttachsDialog.this.attachs = newattachs;
/* 680 */                 WithInputAttachsDialog.this.old_attachsButton[index].dispose();
/* 681 */                 WithInputAttachsDialog.this.old_attachsButton[index] = null;
/* 682 */                 WithInputAttachsDialog.this.old_attachsButton_view[index].dispose();
/* 683 */                 WithInputAttachsDialog.this.old_attachsButton_view[index] = null;
/* 684 */                 WithInputAttachsDialog.this.old_attachsButton_delete[index].dispose();
/* 685 */                 WithInputAttachsDialog.this.old_attachsButton_delete[index] = null;
/* 686 */                 WithInputAttachsDialog.this.composite_3.layout();
/* 687 */                 WithInputAttachsDialog.this.group.layout();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean checkAttach(String filePath, String ext_name) {
/* 696 */     for (int a = 0; a < this.att_ext_name.length; a++) {
/* 697 */       if (this.att_ext_name[a].equals(ext_name))
/* 698 */         return true; 
/*     */     } 
/* 700 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 710 */     if ("-1".equals(this.applystate) || "7".equals(this.applystate) || 
/* 711 */       "8".equals(this.applystate)) {
/* 712 */       if ("-1".equals(this.attInfo.getAttachstate())) {
/* 713 */         createButton(parent, 0, "确 定", false);
/*     */       } else {
/* 715 */         createButton(parent, 0, "修 改", false);
/*     */       } 
/*     */     }
/* 718 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 722 */     if (buttonId == 0) {
/* 723 */       if (this.button_1.getSelection()) {
/*     */         
/* 725 */         String replyStr = this.dataManage.changeAttachState(this.attInfo, this.applydate);
/* 726 */         if (replyStr == null || replyStr.length() == 0) {
/* 727 */           SydjMessageDialog.openError(getShell(), "错误", "修改失败！");
/*     */         }
/* 729 */       } else if (this.button_3.getSelection()) {
/*     */         
/* 731 */         String replyStr = this.dataManage.changeAttachNotArrived(this.attInfo, this.applydate);
/* 732 */         if (replyStr == null || replyStr.length() == 0) {
/* 733 */           SydjMessageDialog.openError(getShell(), "错误", "修改失败！");
/*     */         }
/*     */       } else {
/* 736 */         if (!SydjMessageDialog.openConfirm(null, "", "请确认您上传的附件材料不包含涉密内容？")) {
/*     */           return;
/*     */         }
/* 739 */         boolean isModified = isModified();
/* 740 */         if (isModified) {
/* 741 */           InsAttachmentInfo iai = new InsAttachmentInfo();
/* 742 */           iai = this.attInfo;
/* 743 */           for (int i = 0; i < this.attachsText.length; i++) {
/* 744 */             if (this.attachsText[i] != null && 
/* 745 */               this.attachsText[i].getText().trim().length() > 0) {
/* 746 */               String filePath = this.attachsText[i].getText().trim();
/* 747 */               String ext_name = filePath.substring(
/* 748 */                   filePath.lastIndexOf(".") + 1);
/*     */               try {
/* 750 */                 if (PublicUtil.checkAttachSize(filePath)) {
/* 751 */                   iai.setEXT_NAME(ext_name);
/* 752 */                   String replyStr = this.dataManage.uploadAttachs(
/* 753 */                       iai, filePath);
/* 754 */                   if (replyStr == null || 
/* 755 */                     replyStr.length() == 0) {
/* 756 */                     SydjMessageDialog.openError(getShell(), 
/* 757 */                         "错误", "上传失败！");
/*     */                     break;
/*     */                   } 
/* 760 */                   iai.setATTACH_GROUP_ID(replyStr);
/*     */                 } else {
/*     */                   
/* 763 */                   SydjMessageDialog.openWarning(getShell(), "警告", 
/* 764 */                       String.valueOf(filePath) + "大于100K，未上传！");
/*     */                 } 
/* 766 */               } catch (FileNotFoundException e) {
/* 767 */                 SydjMessageDialog.openError(getShell(), "错误", 
/* 768 */                     String.valueOf(filePath) + "文件不存在！");
/*     */               } 
/*     */             } 
/*     */           } 
/* 772 */           SydjMessageDialog.openInformation(getShell(), "", "上传成功！");
/*     */         } 
/*     */       } 
/*     */     }
/* 776 */     super.buttonPressed(buttonId);
/*     */   }
/*     */   
/*     */   protected boolean isModified() {
/* 780 */     for (int i = 0; i < this.attachsText.length; i++) {
/* 781 */       if (this.attachsText[i] != null && 
/* 782 */         this.attachsText[i].getText().trim().length() > 0) {
/* 783 */         return true;
/*     */       }
/*     */     } 
/* 786 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 794 */     return new Point(800, 600);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 799 */     super.initializeBounds();
/* 800 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\common\attachs\WithInputAttachsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */