/*     */ package cs.sydj.intro;
/*     */ 
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import cs.sydj.sys.HookSysTray;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import org.eclipse.jface.action.IStatusLineManager;
/*     */ import org.eclipse.swt.graphics.Rectangle;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.IWorkbenchWindow;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.WorkbenchException;
/*     */ import org.eclipse.ui.application.ActionBarAdvisor;
/*     */ import org.eclipse.ui.application.IActionBarConfigurer;
/*     */ import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
/*     */ import org.eclipse.ui.application.WorkbenchWindowAdvisor;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ApplicationWorkbenchWindowAdvisor
/*     */   extends WorkbenchWindowAdvisor
/*     */ {
/*     */   private HookSysTray hookSysTray;
/*     */   public static ApplicationActionBarAdvisor bar;
/*     */   public static boolean flag = true;
/*     */   
/*     */   public ApplicationWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
/*  31 */     super(configurer);
/*     */   }
/*     */ 
/*     */   
/*     */   public ActionBarAdvisor createActionBarAdvisor(IActionBarConfigurer configurer) {
/*  36 */     return bar = new ApplicationActionBarAdvisor(configurer);
/*     */   }
/*     */   
/*     */   public void postWindowCreate() {
/*  40 */     super.postWindowCreate();
/*     */     
/*  42 */     getWindowConfigurer().getWindow().getShell().setMaximized(true);
/*     */   }
/*     */   
/*     */   public void preWindowOpen() {
/*  46 */     IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
/*     */     
/*  48 */     configurer.setShowCoolBar(true);
/*  49 */     configurer.setShowStatusLine(true);
/*  50 */     configurer.setShellStyle(1216);
/*  51 */     configurer.setTitle("中央编办网上机关赋码和事业单位登记管理系统");
/*  52 */     configurer.setShowProgressIndicator(true);
/*     */   }
/*     */ 
/*     */   
/*     */   public void postWindowOpen() {
/*  57 */     Shell shell = getWindowConfigurer().getWindow().getShell();
/*  58 */     Rectangle screenSize = Display.getDefault().getClientArea();
/*  59 */     Rectangle frameSize = shell.getBounds();
/*  60 */     shell.setLocation((screenSize.width - frameSize.width) / 2, (
/*  61 */         screenSize.height - frameSize.height) / 2);
/*     */ 
/*     */ 
/*     */     
/*  65 */     IStatusLineManager statusline = getWindowConfigurer()
/*  66 */       .getActionBarConfigurer().getStatusLineManager();
/*     */   }
/*     */ 
/*     */   
/*     */   public static void showPerspective(String perspectiveID) {
/*     */     try {
/*  72 */       IWorkbenchWindow window = PlatformUI.getWorkbench()
/*  73 */         .getActiveWorkbenchWindow();
/*  74 */       PlatformUI.getWorkbench().showPerspective(perspectiveID, window);
/*  75 */     } catch (WorkbenchException e) {
/*  76 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */   
/*     */   private void createSystemTray() {
/*  81 */     this.hookSysTray = new HookSysTray();
/*  82 */     this.hookSysTray.createSysTray(getWindowConfigurer().getWindow());
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean preWindowShellClose() {
/*  88 */     if (SydjMessageDialog.openConfirm(Display.getCurrent()
/*  89 */         .getActiveShell(), "退出系统", "是否要退出系统？")) {
/*     */       try {
/*  91 */         MessageSender sender = new MessageSender(
/*  92 */             MessageProxy.getSystemenv("UserLoginQueue"), 
/*  93 */             MessageProxy.getSystemenv("UserLoginReplyQueue"));
/*  94 */         sender.logout("2");
/*  95 */       } catch (Exception ex) {
/*  96 */         ex.printStackTrace();
/*     */       } 
/*  98 */       return true;
/*     */     } 
/* 100 */     return false;
/*     */   }
/*     */   
/*     */   public void dispose() {
/* 104 */     if (this.hookSysTray != null) {
/* 105 */       this.hookSysTray.Dispose();
/*     */     }
/* 107 */     CacheImage.getINSTANCE().dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\intro\ApplicationWorkbenchWindowAdvisor.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */