/*     */ package cs.sydj.intro;
/*     */ 
/*     */ import org.eclipse.ui.IPageLayout;
/*     */ import org.eclipse.ui.IPerspectiveFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Perspective
/*     */   implements IPerspectiveFactory
/*     */ {
/*     */   public void createInitialLayout(IPageLayout layout) {
/*  16 */     String editorArea = layout.getEditorArea();
/*  17 */     addFastViews(layout);
/*  18 */     addViewShortcuts(layout);
/*  19 */     addPerspectiveShortcuts(layout);
/*     */     
/*  21 */     layout.setEditorAreaVisible(false);
/*  22 */     layout.setFixed(true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  30 */     layout.addStandaloneView("cs.sydj.sys.ui.NavigationShouLi", true, 
/*  31 */         1, 0.2F, editorArea);
/*  32 */     layout.getViewLayout("cs.sydj.sys.ui.NavigationShouLi")
/*  33 */       .setCloseable(false);
/*  34 */     layout.getViewLayout("cs.sydj.sys.ui.NavigationShouLi")
/*  35 */       .setMoveable(false);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  44 */     layout.addView("cs.sydj.operation.homepage.HomePages", 2, 0.8F, 
/*  45 */         editorArea);
/*  46 */     layout.getViewLayout("cs.sydj.operation.homepage.HomePages").setCloseable(false);
/*  47 */     layout.getViewLayout("cs.sydj.operation.homepage.HomePages").setMoveable(false);
/*     */     
/*  49 */     layout.getViewLayout("cs.sydj.operation.withinput.instauration.WithinputInstaurationView")
/*  50 */       .setCloseable(false);
/*  51 */     layout.getViewLayout("cs.sydj.operation.withinput.instauration.WithinputInstaurationView")
/*  52 */       .setMoveable(false);
/*     */     
/*  54 */     layout.getViewLayout("cs.sydj.operation.withinput.biangeng.WithinputBianGengView")
/*  55 */       .setCloseable(false);
/*  56 */     layout.getViewLayout("cs.sydj.operation.withinput.biangeng.WithinputBianGengView")
/*  57 */       .setMoveable(false);
/*     */     
/*  59 */     layout.getViewLayout("cs.sydj.operation.withinput.annualcheck.WithinputAnnualCheckView")
/*  60 */       .setCloseable(false);
/*  61 */     layout.getViewLayout("cs.sydj.operation.withinput.annualcheck.WithinputAnnualCheckView")
/*  62 */       .setMoveable(false);
/*     */     
/*  64 */     layout.getViewLayout("cs.sydj.operation.withinput.logout.WithinputLouOutView")
/*  65 */       .setCloseable(false);
/*  66 */     layout.getViewLayout("cs.sydj.operation.withinput.logout.WithinputLouOutView")
/*  67 */       .setMoveable(false);
/*     */     
/*  69 */     layout.getViewLayout("cs.sydj.operation.withinput.cert.WithinputCertView")
/*  70 */       .setCloseable(false);
/*  71 */     layout.getViewLayout("cs.sydj.operation.withinput.cert.WithinputCertView").setMoveable(
/*  72 */         false);
/*     */     
/*  74 */     layout.getViewLayout("cs.sydj.operation.shouli.instauration.InstaurationShouLiView").setCloseable(
/*  75 */         false);
/*  76 */     layout.getViewLayout("cs.sydj.operation.shouli.instauration.InstaurationShouLiView").setMoveable(
/*  77 */         false);
/*     */     
/*  79 */     layout.getViewLayout("cs.sydj.operation.shouli.biangeng.BianGengShouLiView")
/*  80 */       .setCloseable(false);
/*  81 */     layout.getViewLayout("cs.sydj.operation.shouli.biangeng.BianGengShouLiView")
/*  82 */       .setMoveable(false);
/*     */     
/*  84 */     layout.getViewLayout("cs.sydj.operation.shouli.annualcheck.AnnualCheckShouLi").setCloseable(
/*  85 */         false);
/*  86 */     layout.getViewLayout("cs.sydj.operation.shouli.annualcheck.AnnualCheckShouLi").setMoveable(
/*  87 */         false);
/*     */     
/*  89 */     layout.getViewLayout("cs.sydj.operation.shouli.logout.LogOutShouLi").setCloseable(false);
/*  90 */     layout.getViewLayout("cs.sydj.operation.shouli.logout.LogOutShouLi").setMoveable(false);
/*     */     
/*  92 */     layout.getViewLayout("cs.sydj.operation.shouli.cert.CertShouLi").setCloseable(false);
/*  93 */     layout.getViewLayout("cs.sydj.operation.shouli.cert.CertShouLi").setMoveable(false);
/*     */     
/*  95 */     layout.getViewLayout("cs.sydj.operation.shenhe.instauration.InstaurationShenHeView").setCloseable(
/*  96 */         false);
/*  97 */     layout.getViewLayout("cs.sydj.operation.shenhe.instauration.InstaurationShenHeView").setMoveable(
/*  98 */         false);
/*     */     
/* 100 */     layout.getViewLayout("cs.sydj.operation.shenhe.biangeng.BianGengShenHeView")
/* 101 */       .setCloseable(false);
/* 102 */     layout.getViewLayout("cs.sydj.operation.shenhe.biangeng.BianGengShenHeView").setMoveable(
/* 103 */         false);
/*     */     
/* 105 */     layout.getViewLayout("cs.sydj.operation.shenhe.annualcheck.AnnualCheckShenHe").setCloseable(
/* 106 */         false);
/* 107 */     layout.getViewLayout("cs.sydj.operation.shenhe.annualcheck.AnnualCheckShenHe")
/* 108 */       .setMoveable(false);
/*     */     
/* 110 */     layout.getViewLayout("cs.sydj.operation.shenhe.logout.LogOutShenHe").setCloseable(false);
/* 111 */     layout.getViewLayout("cs.sydj.operation.shenhe.logout.LogOutShenHe").setMoveable(false);
/*     */     
/* 113 */     layout.getViewLayout("cs.sydj.operation.shenhe.cert.CertShenHe").setCloseable(false);
/* 114 */     layout.getViewLayout("cs.sydj.operation.shenhe.cert.CertShenHe").setMoveable(false);
/*     */     
/* 116 */     layout.getViewLayout("cs.sydj.operation.hezhun.instauration.InstaurationHeZhunView").setCloseable(
/* 117 */         false);
/* 118 */     layout.getViewLayout("cs.sydj.operation.hezhun.instauration.InstaurationHeZhunView").setMoveable(
/* 119 */         false);
/*     */     
/* 121 */     layout.getViewLayout("cs.sydj.operation.hezhun.biangeng.BianGengHeZhunView")
/* 122 */       .setCloseable(false);
/* 123 */     layout.getViewLayout("cs.sydj.operation.hezhun.biangeng.BianGengHeZhunView")
/* 124 */       .setMoveable(false);
/*     */     
/* 126 */     layout.getViewLayout("cs.sydj.operation.hezhun.annualcheck.AnnualCheckHeZhun").setCloseable(
/* 127 */         false);
/* 128 */     layout.getViewLayout("cs.sydj.operation.hezhun.annualcheck.AnnualCheckHeZhun").setMoveable(
/* 129 */         false);
/*     */     
/* 131 */     layout.getViewLayout("cs.sydj.operation.hezhun.logout.LogOutHeZhun").setCloseable(false);
/* 132 */     layout.getViewLayout("cs.sydj.operation.hezhun.logout.LogOutHeZhun").setMoveable(false);
/*     */     
/* 134 */     layout.getViewLayout("cs.sydj.operation.hezhun.cert.CertHeZhun").setCloseable(false);
/* 135 */     layout.getViewLayout("cs.sydj.operation.hezhun.cert.CertHeZhun").setMoveable(false);
/*     */     
/* 137 */     layout.getViewLayout("cs.sydj.operation.noticeunit.instauration.InstaurationNoticeView").setCloseable(
/* 138 */         false);
/* 139 */     layout.getViewLayout("cs.sydj.operation.noticeunit.instauration.InstaurationNoticeView")
/* 140 */       .setMoveable(false);
/*     */     
/* 142 */     layout.getViewLayout("cs.sydj.operation.noticeunit.biangeng.BianGengNoticeView").setCloseable(
/* 143 */         false);
/* 144 */     layout.getViewLayout("cs.sydj.operation.noticeunit.biangeng.BianGengNoticeView").setMoveable(
/* 145 */         false);
/*     */     
/* 147 */     layout.getViewLayout("cs.sydj.operation.noticeunit.annualcheck.AnnualCheckNoticeUnit")
/* 148 */       .setCloseable(false);
/* 149 */     layout.getViewLayout("cs.sydj.operation.noticeunit.annualcheck.AnnualCheckNoticeUnit")
/* 150 */       .setMoveable(false);
/*     */     
/* 152 */     layout.getViewLayout("cs.sydj.operation.noticeunit.logout.LogOutNoticeUnit").setCloseable(
/* 153 */         false);
/* 154 */     layout.getViewLayout("cs.sydj.operation.noticeunit.logout.LogOutNoticeUnit").setMoveable(
/* 155 */         false);
/*     */     
/* 157 */     layout.getViewLayout("cs.sydj.operation.noticeunit.cert.CertNoticeUnit")
/* 158 */       .setCloseable(false);
/* 159 */     layout.getViewLayout("cs.sydj.operation.noticeunit.cert.CertNoticeUnit").setMoveable(false);
/*     */     
/* 161 */     layout.getViewLayout("cs.sydj.operation.fuhe.instauration.InstaurationFuHeView").setCloseable(false);
/* 162 */     layout.getViewLayout("cs.sydj.operation.fuhe.instauration.InstaurationFuHeView").setMoveable(false);
/*     */     
/* 164 */     layout.getViewLayout("cs.sydj.operation.fuhe.biangeng.BianGengFuHeView")
/* 165 */       .setCloseable(false);
/* 166 */     layout.getViewLayout("cs.sydj.operation.fuhe.biangeng.BianGengFuHeView").setMoveable(false);
/*     */     
/* 168 */     layout.getViewLayout("cs.sydj.operation.fuhe.annualcheck.AnnualCheckFuHe").setCloseable(
/* 169 */         false);
/* 170 */     layout.getViewLayout("cs.sydj.operation.fuhe.annualcheck.AnnualCheckFuHe").setMoveable(
/* 171 */         false);
/*     */     
/* 173 */     layout.getViewLayout("cs.sydj.operation.fuhe.logout.LogOutFuHe").setCloseable(false);
/* 174 */     layout.getViewLayout("cs.sydj.operation.fuhe.logout.LogOutFuHe").setMoveable(false);
/*     */     
/* 176 */     layout.getViewLayout("cs.sydj.operation.fuhe.cert.CertFuHe").setCloseable(false);
/* 177 */     layout.getViewLayout("cs.sydj.operation.fuhe.cert.CertFuHe").setMoveable(false);
/*     */     
/* 179 */     layout.getViewLayout("cs.sydj.operation.cert.print.InstallrationPrint")
/* 180 */       .setCloseable(false);
/* 181 */     layout.getViewLayout("cs.sydj.operation.cert.print.InstallrationPrint")
/* 182 */       .setMoveable(false);
/*     */     
/* 184 */     layout.getViewLayout("cs.sydj.operation.cert.print.AlterItemPrint").setCloseable(
/* 185 */         false);
/* 186 */     layout.getViewLayout("cs.sydj.operation.cert.print.AlterItemPrint").setMoveable(
/* 187 */         false);
/*     */     
/* 189 */     layout.getViewLayout("cs.sydj.operation.cert.print.CertPrint").setCloseable(
/* 190 */         false);
/* 191 */     layout.getViewLayout("cs.sydj.operation.cert.print.CertPrint").setMoveable(
/* 192 */         false);
/*     */     
/* 194 */     layout.getViewLayout("cs.sydj.operation.cert.print.RePrintCert").setCloseable(false);
/* 195 */     layout.getViewLayout("cs.sydj.operation.cert.print.RePrintCert").setMoveable(false);
/*     */     
/* 197 */     layout.getViewLayout("cs.sydj.operation.bulletin.InstallBulletin").setCloseable(false);
/* 198 */     layout.getViewLayout("cs.sydj.operation.bulletin.InstallBulletin").setMoveable(false);
/*     */     
/* 200 */     layout.getViewLayout("cs.sydj.operation.bulletin.AlterItemBulletin").setCloseable(
/* 201 */         false);
/* 202 */     layout.getViewLayout("cs.sydj.operation.bulletin.AlterItemBulletin").setMoveable(
/* 203 */         false);
/*     */     
/* 205 */     layout.getViewLayout("cs.sydj.operation.bulletin.AnnualCheckBulletin").setCloseable(
/* 206 */         false);
/* 207 */     layout.getViewLayout("cs.sydj.operation.bulletin.AnnualCheckBulletin").setMoveable(
/* 208 */         false);
/*     */     
/* 210 */     layout.getViewLayout("cs.sydj.operation.bulletin.LogOutBulletin").setCloseable(false);
/* 211 */     layout.getViewLayout("cs.sydj.operation.bulletin.LogOutBulletin").setMoveable(false);
/*     */     
/* 213 */     layout.getViewLayout("cs.sydj.operation.bulletin.CertRegainBulletin").setCloseable(
/* 214 */         false);
/* 215 */     layout.getViewLayout("cs.sydj.operation.bulletin.CertRegainBulletin").setMoveable(
/* 216 */         false);
/*     */     
/* 218 */     layout.getViewLayout("cs.sydj.operation.bulletin.ViewBulletin").setCloseable(false);
/* 219 */     layout.getViewLayout("cs.sydj.operation.bulletin.ViewBulletin").setMoveable(false);
/*     */     
/* 221 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomove.SYDWCetiInfoMoveView")
/* 222 */       .setCloseable(false);
/* 223 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomove.SYDWCetiInfoMoveView")
/* 224 */       .setMoveable(false);
/*     */     
/* 226 */     layout.getViewLayout("cs.sydj.operation.data.modify.DataModify").setCloseable(false);
/* 227 */     layout.getViewLayout("cs.sydj.operation.data.modify.DataModify").setMoveable(false);
/*     */     
/* 229 */     layout.getViewLayout("cs.sydj.operation.data.adjust.DataAdjust").setCloseable(false);
/* 230 */     layout.getViewLayout("cs.sydj.operation.data.adjust.DataAdjust").setMoveable(false);
/*     */     
/* 232 */     layout.getViewLayout("cs.sydj.operation.data.upload.DataUpLoad").setCloseable(false);
/* 233 */     layout.getViewLayout("cs.sydj.operation.data.upload.DataUpLoad").setMoveable(false);
/*     */     
/* 235 */     layout.getViewLayout("cs.sydj.sysmanage.selfupdate.SysSelfUpdateView")
/* 236 */       .setCloseable(false);
/* 237 */     layout.getViewLayout("cs.sydj.sysmanage.selfupdate.SysSelfUpdateView")
/* 238 */       .setMoveable(false);
/*     */     
/* 240 */     layout.getViewLayout("cs.sydj.sysmanage.usermanage.SysUserManageView").setCloseable(
/* 241 */         false);
/* 242 */     layout.getViewLayout("cs.sydj.sysmanage.usermanage.SysUserManageView").setMoveable(
/* 243 */         false);
/*     */     
/* 245 */     layout.getViewLayout("cs.sydj.sysmanage.pinreset.SysUserPinResetView")
/* 246 */       .setCloseable(false);
/* 247 */     layout.getViewLayout("cs.sydj.sysmanage.pinreset.SysUserPinResetView").setMoveable(
/* 248 */         false);
/*     */     
/* 250 */     layout.getViewLayout("cs.sydj.sysmanage.actormanage.SysUserActorManageView")
/* 251 */       .setCloseable(false);
/* 252 */     layout.getViewLayout("cs.sydj.sysmanage.actormanage.SysUserActorManageView")
/* 253 */       .setMoveable(false);
/*     */     
/* 255 */     layout.getViewLayout("cs.sydj.sysmanage.deptmanage.SysDeptManageView")
/* 256 */       .setCloseable(false);
/* 257 */     layout.getViewLayout("cs.sydj.sysmanage.deptmanage.SysDeptManageView")
/* 258 */       .setMoveable(false);
/*     */     
/* 260 */     layout.getViewLayout("cs.sydj.sysmanage.jbdwmanage.SysJBDWManageView")
/* 261 */       .setCloseable(false);
/* 262 */     layout.getViewLayout("cs.sydj.sysmanage.jbdwmanage.SysJBDWManageView")
/* 263 */       .setMoveable(false);
/*     */     
/* 265 */     layout.getViewLayout("cs.sydj.sysmanage.jbdwusermanage.SysJBDWUserManageView")
/* 266 */       .setCloseable(false);
/* 267 */     layout.getViewLayout("cs.sydj.sysmanage.jbdwusermanage.SysJBDWUserManageView")
/* 268 */       .setMoveable(false);
/*     */     
/* 270 */     layout.getViewLayout("cs.sydj.sysmanage.hylbmanage.SysHYLBManageView")
/* 271 */       .setCloseable(false);
/* 272 */     layout.getViewLayout("cs.sydj.sysmanage.hylbmanage.SysHYLBManageView")
/* 273 */       .setMoveable(false);
/*     */     
/* 275 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomanage.SYDWCetiInfoView")
/* 276 */       .setCloseable(false);
/* 277 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomanage.SYDWCetiInfoView")
/* 278 */       .setMoveable(false);
/*     */     
/* 280 */     layout.getViewLayout("cs.sydj.sysmanage.cdmanage.SysCDManageView")
/* 281 */       .setCloseable(false);
/* 282 */     layout.getViewLayout("cs.sydj.sysmanage.cdmanage.SysCDManageView")
/* 283 */       .setMoveable(false);
/*     */     
/* 285 */     layout.getViewLayout("cs.sydj.sysmanage.picmanage.SysPicManageView")
/* 286 */       .setCloseable(false);
/* 287 */     layout.getViewLayout("cs.sydj.sysmanage.picmanage.SysPicManageView")
/* 288 */       .setMoveable(false);
/*     */     
/* 290 */     layout.getViewLayout("cs.sydj.sysmanage.presavesydwcetimanage.PreSaveSydwCetiViewer")
/* 291 */       .setCloseable(false);
/* 292 */     layout.getViewLayout("cs.sydj.sysmanage.presavesydwcetimanage.PreSaveSydwCetiViewer")
/* 293 */       .setMoveable(false);
/*     */     
/* 295 */     layout.getViewLayout("cs.sydj.operation.overseeManage.FreezeView")
/* 296 */       .setCloseable(false);
/* 297 */     layout.getViewLayout("cs.sydj.operation.overseeManage.FreezeView")
/* 298 */       .setMoveable(false);
/*     */     
/* 300 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomove.SearchMoveSYDWView")
/* 301 */       .setCloseable(false);
/* 302 */     layout.getViewLayout("cs.sydj.sysmanage.sydwcetiinfomove.SearchMoveSYDWView")
/* 303 */       .setMoveable(false);
/*     */     
/* 305 */     layout.getViewLayout("cs.sydj.operation.withinput.yijiao.WithinputInstaurationView")
/* 306 */       .setCloseable(false);
/* 307 */     layout.getViewLayout("cs.sydj.operation.withinput.yijiao.WithinputInstaurationView")
/* 308 */       .setMoveable(false);
/*     */     
/* 310 */     layout.getViewLayout("cs.sydj.operation.abolish.CertAbolish")
/* 311 */       .setCloseable(false);
/* 312 */     layout.getViewLayout("cs.sydj.operation.abolish.CertAbolish")
/* 313 */       .setMoveable(false);
/*     */     
/* 315 */     layout.getViewLayout("cs.sydj.operation.withinput.ReIns.WithinputReInsView")
/* 316 */       .setCloseable(false);
/* 317 */     layout.getViewLayout("cs.sydj.operation.withinput.ReIns.WithinputReInsView")
/* 318 */       .setMoveable(false);
/*     */     
/* 320 */     layout.getViewLayout("cs.sydj.operation.shouli.ReIns.ReInstaurationShouLiView").setCloseable(
/* 321 */         false);
/* 322 */     layout.getViewLayout("cs.sydj.operation.shouli.ReIns.ReInstaurationShouLiView").setMoveable(
/* 323 */         false);
/*     */     
/* 325 */     layout.getViewLayout("cs.sydj.operation.shenhe.ReIns.ReInstaurationShenHeView").setCloseable(
/* 326 */         false);
/* 327 */     layout.getViewLayout("cs.sydj.operation.shenhe.ReIns.ReInstaurationShenHeView").setMoveable(
/* 328 */         false);
/*     */     
/* 330 */     layout.getViewLayout("cs.sydj.operation.hezhun.ReIns.ReInstaurationHeZhunView")
/* 331 */       .setCloseable(false);
/* 332 */     layout.getViewLayout("cs.sydj.operation.hezhun.ReIns.ReInstaurationHeZhunView").setMoveable(
/* 333 */         false);
/*     */     
/* 335 */     layout.getViewLayout("cs.sydj.operation.noticeunit.ReIns.ReInstaurationNoticeView").setCloseable(
/* 336 */         false);
/* 337 */     layout.getViewLayout("cs.sydj.operation.noticeunit.ReIns.ReInstaurationNoticeView").setMoveable(
/* 338 */         false);
/*     */     
/* 340 */     layout.getViewLayout("cs.sydj.operation.fuhe.ReIns.ReInstaurationFuHeView").setCloseable(false);
/* 341 */     layout.getViewLayout("cs.sydj.operation.fuhe.ReIns.ReInstaurationFuHeView").setMoveable(false);
/*     */     
/* 343 */     layout.getViewLayout("cs.sydj.operation.cert.print.ReCertPrint").setCloseable(
/* 344 */         false);
/* 345 */     layout.getViewLayout("cs.sydj.operation.cert.print.ReCertPrint").setMoveable(
/* 346 */         false);
/*     */     
/* 348 */     layout.getViewLayout("cs.sydj.operation.bulletin.ReGetCertBulletin").setCloseable(
/* 349 */         false);
/* 350 */     layout.getViewLayout("cs.sydj.operation.bulletin.ReGetCertBulletin").setMoveable(
/* 351 */         false);
/*     */     
/* 353 */     layout.getViewLayout("cs.sydj.sysmanage.networkselect.NetworkSelectView").setCloseable(
/* 354 */         false);
/* 355 */     layout.getViewLayout("cs.sydj.sysmanage.networkselect.NetworkSelectView").setMoveable(
/* 356 */         false);
/*     */   }
/*     */   
/*     */   private void addFastViews(IPageLayout layout) {}
/*     */   
/*     */   private void addViewShortcuts(IPageLayout layout) {}
/*     */   
/*     */   private void addPerspectiveShortcuts(IPageLayout layout) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\intro\Perspective.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */