/*     */ package cs.sydj.operation.abolish;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*     */ import cs.sydj.operation.cert.print.SaveDialog;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import jxl.Workbook;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ public class PromptDialog extends Dialog {
/*     */   private Table table;
/*     */   protected ArrayList list;
/*     */   protected int diff;
/*  46 */   protected String str = "注：以下单位有在办事项，暂时不能做证书废止，您可以先把以下事业单位未办完的流程办完再做废止，也可以点击“删除并废止”按钮来进行废止，若直接点击“删除并废止”按钮将直接删除以下事业单位的在办事项并废止！";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PromptDialog(Shell parentShell) {
/*  56 */     super(parentShell);
/*     */   }
/*     */   
/*     */   public PromptDialog(Shell parentShell, ArrayList list, int diff) {
/*  60 */     super(parentShell);
/*  61 */     this.list = list;
/*  62 */     this.diff = diff;
/*  63 */     if (diff == 1) {
/*  64 */       this.str = "注：以下单位有在办事项，暂时不能做撤销废止，您可以先把以下事业单位未办完的流程办完再做撤销废止，也可以点击“删除并撤销废止”按钮来进行撤销废止，若直接点击“删除并撤销废止”按钮将直接删除以下事业单位的在办事项并撤销废止！";
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  76 */     parent.setBackground(Display.getCurrent()
/*  77 */         .getSystemColor(1));
/*  78 */     parent.setBackgroundMode(2);
/*  79 */     Composite container = (Composite)super.createDialogArea(parent);
/*  80 */     container.setBackgroundMode(2);
/*  81 */     container.setBackground(Display.getCurrent()
/*  82 */         .getSystemColor(1));
/*     */     
/*  84 */     Label label = new Label(container, 64);
/*  85 */     label.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  86 */     label.setLayoutData(new GridData(16384, 16777216, true, false));
/*  87 */     label.setText(this.str);
/*     */     
/*  89 */     TableViewer tableViewer = new TableViewer(container, 
/*  90 */         67586);
/*  91 */     this.table = tableViewer.getTable();
/*  92 */     this.table.setLinesVisible(true);
/*  93 */     this.table.setHeaderVisible(true);
/*  94 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/*  96 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/*  97 */         0);
/*  98 */     newColumnTableColumn_3.setWidth(150);
/*  99 */     newColumnTableColumn_3.setText("统一社会信用代码");
/*     */     
/* 101 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 102 */         0);
/* 103 */     newColumnTableColumn.setWidth(324);
/* 104 */     newColumnTableColumn.setText("事业单位名称");
/*     */     
/* 106 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 107 */         0);
/* 108 */     newColumnTableColumn_1.setWidth(127);
/* 109 */     newColumnTableColumn_1.setText("办理类型");
/*     */     
/* 111 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 112 */         0);
/* 113 */     newColumnTableColumn_2.setWidth(170);
/* 114 */     newColumnTableColumn_2.setText("办理状态");
/*     */     
/* 116 */     tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 117 */     tableViewer.setLabelProvider((IBaseLabelProvider)new TableViewerPromptLabelProvider());
/* 118 */     PublicUtil.setTableHeight(tableViewer.getTable());
/* 119 */     tableViewer.setInput(this.list);
/* 120 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 130 */     if (this.diff == 0) {
/* 131 */       createButton(parent, 0, "删除并废止", true);
/*     */     } else {
/* 133 */       createButton(parent, 0, "删除并撤销废止", true);
/* 134 */     }  createButton(parent, 16, "保存为Excel", false);
/* 135 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 143 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 147 */     super.configureShell(newShell);
/* 148 */     newShell.setText("在办事项提示");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 153 */     super.initializeBounds();
/* 154 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean writeExcel(ArrayList<UnitInfoModel> list, String filePath) {
/* 167 */     boolean flag = true;
/* 168 */     WritableWorkbook wwb = null;
/* 169 */     UnitInfoModel mod = null;
/*     */     try {
/* 171 */       wwb = Workbook.createWorkbook(new File(filePath));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 177 */       WritableFont titleFonts = new WritableFont(
/* 178 */           WritableFont.createFont("宋体"), 15, WritableFont.BOLD);
/*     */       
/* 180 */       WritableCellFormat titleFormats = new WritableCellFormat(
/* 181 */           titleFonts);
/* 182 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 183 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 184 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 185 */       titleFormats.setWrap(true);
/* 186 */       WritableFont titleFontt = new WritableFont(
/* 187 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*     */       
/* 189 */       WritableCellFormat titleFormatt = new WritableCellFormat(
/* 190 */           titleFontt);
/* 191 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 192 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 193 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 194 */       titleFormatt.setWrap(true);
/* 195 */       WritableFont titleFont = new WritableFont(
/* 196 */           WritableFont.createFont("宋体"), 9, WritableFont.BOLD);
/*     */       
/* 198 */       WritableCellFormat titleFormat = new WritableCellFormat(
/* 199 */           titleFont);
/* 200 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 201 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/*     */       
/* 203 */       titleFormat.setWrap(true);
/* 204 */       WritableSheet ws = wwb.createSheet("在办事项列表", 0);
/* 205 */       ws.setColumnView(0, 20);
/* 206 */       ws.setColumnView(1, 60);
/* 207 */       ws.setColumnView(2, 20);
/* 208 */       ws.setColumnView(3, 30);
/* 209 */       Label id = new Label(0, 0, "统一社会信用代码", (CellFormat)titleFormat);
/* 210 */       ws.addCell((WritableCell)id);
/* 211 */       Label certId = new Label(1, 0, "事业单位名称", 
/* 212 */           (CellFormat)titleFormat);
/* 213 */       ws.addCell((WritableCell)certId);
/* 214 */       Label unitName = new Label(2, 0, "办理类型", 
/* 215 */           (CellFormat)titleFormat);
/* 216 */       ws.addCell((WritableCell)unitName);
/* 217 */       Label alterContent = new Label(3, 0, "办理状态", 
/* 218 */           (CellFormat)titleFormat);
/* 219 */       ws.addCell((WritableCell)alterContent);
/*     */       
/* 221 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 222 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 223 */       titleFormattt.setWrap(true);
/* 224 */       int row = 1;
/* 225 */       for (int i = 0; i < list.size(); i++) {
/* 226 */         mod = list.get(i);
/* 227 */         Label ids = new Label(0, row, 
/* 228 */             mod.getUnifyCode(), (CellFormat)titleFormattt);
/* 229 */         ws.addCell((WritableCell)ids);
/* 230 */         Label certIds = new Label(1, row, 
/* 231 */             mod.getName(), (CellFormat)titleFormattt);
/* 232 */         ws.addCell((WritableCell)certIds);
/* 233 */         Label unitNames = new Label(2, row, 
/* 234 */             mod.getSubDate().equals("0") ? 
/* 235 */             PublicUtil.getApplyType(mod.getCertId()) : ("录入材料>>" + 
/* 236 */             PublicUtil.getApplyType(mod.getCertId())), 
/* 237 */             (CellFormat)titleFormattt);
/* 238 */         ws.addCell((WritableCell)unitNames);
/* 239 */         Label alter = new Label(3, row, 
/* 240 */             PublicUtil.getApplyState(mod.getHistory()), 
/* 241 */             (CellFormat)titleFormattt);
/* 242 */         ws.addCell((WritableCell)alter);
/* 243 */         row++;
/*     */       } 
/* 245 */       wwb.write();
/* 246 */     } catch (Exception e) {
/* 247 */       e.printStackTrace();
/* 248 */       flag = false;
/*     */     } finally {
/* 250 */       if (wwb != null)
/*     */         try {
/* 252 */           wwb.close();
/* 253 */         } catch (IOException e) {
/* 254 */           e.printStackTrace();
/*     */         }  
/*     */     } 
/* 257 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void save() {
/* 265 */     String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + 
/* 266 */       "zaibanshixiang.xls";
/* 267 */     OpenAndSaveDialog dialog = new OpenAndSaveDialog(getShell(), "在办事项列表", 
/* 268 */         "Excel文件(.xls)");
/* 269 */     int returnValue = dialog.open();
/*     */     
/* 271 */     if (returnValue == 0) {
/*     */       
/*     */       try {
/* 274 */         boolean flag = writeExcel(this.list, fileName);
/* 275 */         if (flag) {
/* 276 */           Program.launch(fileName);
/*     */         } else {
/* 278 */           SydjMessageDialog.openInformation(null, "提示", 
/* 279 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 281 */       } catch (Exception e) {
/* 282 */         e.printStackTrace();
/* 283 */         SydjMessageDialog.openInformation(null, "提示", 
/* 284 */             "生成Excel文件错误，下载失败");
/*     */       } 
/* 286 */     } else if (returnValue == 16) {
/* 287 */       SaveDialog save = new SaveDialog(getShell());
/* 288 */       fileName = save.open();
/*     */       
/* 290 */       if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 291 */         fileName = String.valueOf(fileName) + ".xls";
/*     */       }
/*     */       try {
/* 294 */         boolean flag = writeExcel(this.list, fileName);
/* 295 */         if (flag) {
/* 296 */           LoadSuccessDialog succ = new LoadSuccessDialog(getShell(), 
/* 297 */               fileName);
/* 298 */           succ.open();
/*     */         } else {
/* 300 */           SydjMessageDialog.openInformation(null, "提示", 
/* 301 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 303 */       } catch (Exception e) {
/* 304 */         e.printStackTrace();
/* 305 */         SydjMessageDialog.openInformation(null, "提示", 
/* 306 */             "生成Excel文件错误，下载失败");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 313 */     if (buttonId == 16) {
/* 314 */       save();
/*     */     } else {
/* 316 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\abolish\PromptDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */