/*     */ package cs.sydj.operation.authorize.apply;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.tableinfo.common.CzglTransferInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AuthorizeApplyRecordView
/*     */   extends ViewPart
/*     */ {
/*  66 */   private int state = 9;
/*     */   
/*     */   private Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  78 */   private String groupId = GljgUserInfo.getInstance().getGroupid();
/*  79 */   private String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*  81 */   AuthorizeSydwDataManage dataManage = new AuthorizeSydwDataManage();
/*  82 */   private ArrayList list = new ArrayList();
/*  83 */   String alertMsg = "";
/*     */   
/*  85 */   int totalRows = 0;
/*  86 */   int maxCount = 15;
/*  87 */   int startNo = 1;
/*  88 */   int currentPage = 1;
/*  89 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  93 */   private String sydwnameStr = "";
/*  94 */   private TableCursor cursor = null;
/*  95 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 101 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 105 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 109 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 113 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 117 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 121 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 130 */     Composite container = new Composite(parent, 0);
/* 131 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 132 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 134 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 135 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 136 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 137 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 138 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 140 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 141 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 142 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 143 */     this.composite_total.setSize(800, 600);
/*     */     
/* 145 */     Composite composite = new Composite(this.composite_total, 0);
/* 146 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 148 */     FormData fd_composite = new FormData();
/* 149 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 150 */     fd_composite.top = new FormAttachment(0, 20);
/* 151 */     composite.setLayoutData(fd_composite);
/* 152 */     GridLayout gridLayout = new GridLayout();
/* 153 */     gridLayout.numColumns = 3;
/* 154 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 156 */     Label label = new Label(composite, 0);
/* 157 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 158 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 159 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 161 */     this.text = new Text(composite, 2048);
/* 162 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 163 */     gd_text.widthHint = 200;
/* 164 */     this.text.setLayoutData(gd_text);
/*     */     
/* 166 */     Button button = new Button(composite, 0);
/* 167 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 168 */     gd_button.heightHint = 20;
/* 169 */     button.setLayoutData(gd_button);
/* 170 */     button.setText("查询");
/*     */     
/* 172 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 174 */             AuthorizeApplyRecordView.this.totalRows = 0;
/* 175 */             AuthorizeApplyRecordView.this.currentPage = 1;
/* 176 */             AuthorizeApplyRecordView.this.startNo = 1;
/* 177 */             AuthorizeApplyRecordView.this.sydwnameStr = AuthorizeApplyRecordView.this.text.getText();
/* 178 */             AuthorizeApplyRecordView.this.list = AuthorizeApplyRecordView.this.dataManage.getAuthorizeApplyInfo(AuthorizeApplyRecordView.this.groupId, AuthorizeApplyRecordView.this.districtCode, AuthorizeApplyRecordView.this.state, AuthorizeApplyRecordView.this.startNo, AuthorizeApplyRecordView.this.maxCount, AuthorizeApplyRecordView.this.sydwnameStr);
/* 179 */             AuthorizeApplyRecordView.this.setFenYe(AuthorizeApplyRecordView.this.list, AuthorizeApplyRecordView.this.currentPage);
/*     */           }
/*     */         });
/*     */     
/* 183 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 184 */     this.table = this.tableViewer.getTable();
/* 185 */     FormData fd_table = new FormData();
/*     */     
/* 187 */     fd_table.bottom = new FormAttachment(0, 439);
/* 188 */     fd_table.right = new FormAttachment(100, -35);
/* 189 */     fd_table.top = new FormAttachment(0, 95);
/* 190 */     fd_table.left = new FormAttachment(0, 35);
/* 191 */     this.table.setLayoutData(fd_table);
/* 192 */     this.table.setLinesVisible(true);
/* 193 */     this.table.setHeaderVisible(true);
/* 194 */     PublicUtil.setTableHeight(this.table);
/* 195 */     PublicUtil.setMouseHands(this.table, "1#5");
/*     */     
/* 197 */     this.tableLayout = new TableLayout();
/* 198 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 200 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 201 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 202 */     newColumnTableColumn.setAlignment(16777216);
/* 203 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 205 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(40));
/* 206 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 207 */     newColumnTableColumn_1.setText("事业单位名称");
/*     */     
/* 209 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(20));
/* 210 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 211 */     newColumnTableColumn_5.setText("接收登记管理机关");
/*     */     
/* 213 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 214 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 215 */     newColumnTableColumn_2.setText("申请时间");
/*     */     
/* 217 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 218 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 219 */     newColumnTableColumn_3.setText("申请人");
/*     */     
/* 221 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 222 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 223 */     newColumnTableColumn_4.setText("操作");
/*     */ 
/*     */     
/* 226 */     Label label_9 = new Label(this.composite_total, 0);
/* 227 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 228 */     FormData fd_label_9 = new FormData();
/* 229 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 230 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 231 */     fd_label_9.top = new FormAttachment(0, 85);
/* 232 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 234 */     this.label_12 = new Label(this.composite_total, 0);
/* 235 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 236 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 237 */     FormData fd_label_12 = new FormData();
/* 238 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 239 */     fd_label_12.top = new FormAttachment(0, 70);
/* 240 */     fd_label_12.right = new FormAttachment(0, 240);
/* 241 */     this.label_12.setLayoutData(fd_label_12);
/* 242 */     this.label_12.setText("事业单位列表");
/*     */     
/* 244 */     initTypeView();
/*     */     
/* 246 */     if (this.state == 9) {
/* 247 */       this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 248 */       TableColumn newColumnTableColumn_4_1 = new TableColumn(this.table, 16777216);
/* 249 */       newColumnTableColumn_4_1.setText("状态");
/*     */     } 
/*     */ 
/*     */     
/* 253 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 254 */     GridLayout gridLayout_4 = new GridLayout();
/* 255 */     gridLayout_4.numColumns = 2;
/* 256 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 257 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 258 */     FormData fd_composite_fenye = new FormData();
/* 259 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 260 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 261 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 262 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 263 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 265 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 266 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 267 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 268 */     GridLayout gridLayout_2 = new GridLayout();
/* 269 */     gridLayout_2.marginTop = 3;
/* 270 */     gridLayout_2.verticalSpacing = 0;
/* 271 */     gridLayout_2.marginWidth = 0;
/* 272 */     gridLayout_2.marginHeight = 0;
/* 273 */     gridLayout_2.horizontalSpacing = 2;
/* 274 */     gridLayout_2.numColumns = 7;
/* 275 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 277 */     Label label_1 = new Label(composite_1, 0);
/* 278 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 279 */     label_1.setText("页次：");
/*     */     
/* 281 */     this.label_2 = new Label(composite_1, 131072);
/* 282 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 283 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 284 */     if (this.totalPages == 0) {
/* 285 */       this.label_2.setText("0/0");
/*     */     } else {
/* 287 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 290 */     Label label_3 = new Label(composite_1, 0);
/* 291 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 292 */     label_3.setText("页  每页");
/*     */     
/* 294 */     Label label_4 = new Label(composite_1, 0);
/* 295 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 296 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 297 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 299 */     Label label_5 = new Label(composite_1, 0);
/* 300 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 301 */     label_5.setText("行  共");
/*     */     
/* 303 */     this.label_6 = new Label(composite_1, 0);
/* 304 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 305 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 306 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 308 */     Label label_7 = new Label(composite_1, 0);
/* 309 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 310 */     label_7.setText("行");
/*     */ 
/*     */     
/* 313 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 314 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 315 */     GridLayout gridLayout_1 = new GridLayout();
/* 316 */     gridLayout_1.numColumns = 6;
/* 317 */     composite_2.setLayout((Layout)gridLayout_1);
/* 318 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 320 */     this.button_1 = new Button(composite_2, 0);
/* 321 */     this.button_1.setText("上一页");
/* 322 */     if (!this.hasPreviousPage) {
/* 323 */       this.button_1.setEnabled(false);
/*     */     }
/* 325 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 327 */             AuthorizeApplyRecordView.this.list = AuthorizeApplyRecordView.this.dataManage.getAuthorizeApplyInfo(AuthorizeApplyRecordView.this.groupId, AuthorizeApplyRecordView.this.districtCode, AuthorizeApplyRecordView.this.state, (AuthorizeApplyRecordView.this.currentPage - 2) * AuthorizeApplyRecordView.this.maxCount + 1, AuthorizeApplyRecordView.this.maxCount, AuthorizeApplyRecordView.this.sydwnameStr);
/* 328 */             AuthorizeApplyRecordView.this.setFenYe(AuthorizeApplyRecordView.this.list, AuthorizeApplyRecordView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 332 */     this.button_2 = new Button(composite_2, 0);
/* 333 */     this.button_2.setText("下一页");
/* 334 */     if (!this.hasNextPage) {
/* 335 */       this.button_2.setEnabled(false);
/*     */     }
/* 337 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 339 */             AuthorizeApplyRecordView.this.list = AuthorizeApplyRecordView.this.dataManage.getAuthorizeApplyInfo(AuthorizeApplyRecordView.this.groupId, AuthorizeApplyRecordView.this.districtCode, AuthorizeApplyRecordView.this.state, AuthorizeApplyRecordView.this.currentPage * AuthorizeApplyRecordView.this.maxCount + 1, AuthorizeApplyRecordView.this.maxCount, AuthorizeApplyRecordView.this.sydwnameStr);
/* 340 */             AuthorizeApplyRecordView.this.setFenYe(AuthorizeApplyRecordView.this.list, AuthorizeApplyRecordView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 344 */     Label label_10 = new Label(composite_2, 0);
/* 345 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 346 */     label_10.setText("转至第");
/*     */     
/* 348 */     this.text_2 = new Text(composite_2, 2048);
/* 349 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 351 */     Label label_11 = new Label(composite_2, 0);
/* 352 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 353 */     label_11.setText("页");
/*     */     
/* 355 */     Button goButton = new Button(composite_2, 0);
/* 356 */     goButton.setText("GO");
/*     */     
/* 358 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 360 */             if (VerifyFunction.isNumeric(AuthorizeApplyRecordView.this.text_2.getText())) {
/* 361 */               int aa = Integer.parseInt(AuthorizeApplyRecordView.this.text_2.getText());
/* 362 */               if (aa > AuthorizeApplyRecordView.this.totalPages) {
/* 363 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 365 */                 AuthorizeApplyRecordView.this.list = AuthorizeApplyRecordView.this.dataManage.getAuthorizeApplyInfo(AuthorizeApplyRecordView.this.groupId, AuthorizeApplyRecordView.this.districtCode, AuthorizeApplyRecordView.this.state, (aa - 1) * AuthorizeApplyRecordView.this.maxCount + 1, AuthorizeApplyRecordView.this.maxCount, AuthorizeApplyRecordView.this.sydwnameStr);
/* 366 */                 AuthorizeApplyRecordView.this.setFenYe(AuthorizeApplyRecordView.this.list, aa);
/* 367 */                 AuthorizeApplyRecordView.this.setFontColor();
/* 368 */                 AuthorizeApplyRecordView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 371 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 376 */     scrolledComposite.setContent((Control)this.composite_total);
/* 377 */     createActions();
/* 378 */     initializeToolBar();
/* 379 */     initializeMenu();
/*     */     
/* 381 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 382 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AuthorizeApplyLableProvider(this.state));
/*     */     
/* 384 */     this.list = this.dataManage.getAuthorizeApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/* 385 */     if (this.list != null && this.list.size() > 0) {
/* 386 */       this.totalRows = ((CzglTransferInfo)this.list.get(0)).getNum();
/* 387 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 388 */       this.totalPages = pu.getTotalPages();
/* 389 */       this.currentPage = pu.getCurrentPage();
/* 390 */       this.hasNextPage = pu.isHasNextPage();
/* 391 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 393 */       setFenYe(this.list, this.currentPage);
/* 394 */       setFontColor();
/* 395 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 403 */     if (this.cursor != null)
/* 404 */       this.cursor.dispose(); 
/* 405 */     this.cursor = new TableCursor(this.table, 0);
/* 406 */     this.cursor.setBackground(this.table.getDisplay()
/* 407 */         .getSystemColor(26));
/* 408 */     this.cursor.setForeground(this.table.getDisplay()
/* 409 */         .getSystemColor(27));
/* 410 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 412 */             int colums = AuthorizeApplyRecordView.this.cursor.getColumn();
/* 413 */             if (colums == 1) {
/* 414 */               AuthorizeApplyRecordView.this.openDetailDialog();
/*     */             }
/* 416 */             if (colums == 5) {
/* 417 */               AuthorizeApplyRecordView.this.openAuthorizeApplyDialog();
/*     */             }
/* 419 */             AuthorizeApplyRecordView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 422 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 425 */             int colums = AuthorizeApplyRecordView.this.cursor.getColumn();
/* 426 */             if (colums == AuthorizeApplyRecordView.this.selectColums) {
/* 427 */               if (colums == 1) {
/* 428 */                 AuthorizeApplyRecordView.this.openDetailDialog();
/*     */               }
/* 430 */               if (colums == 5) {
/* 431 */                 AuthorizeApplyRecordView.this.openAuthorizeApplyDialog();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 440 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 441 */     CzglTransferInfo model = (CzglTransferInfo)select.getFirstElement();
/* 442 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 445 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 446 */     insinfolist = oper.QueryInstaurationInfo(model.getSydwId(), 
/* 447 */         model.getSydwState().equals(UnitState.LOGOUT) ? "true" : "false");
/* 448 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 449 */     if (insinfolist.size() > 0) {
/* 450 */       frinfo = insinfolist.get(0);
/*     */     }
/* 452 */     ArrayList branchlist = new ArrayList();
/* 453 */     branchlist = oper.QueryInstBranch(model.getSydwId());
/* 454 */     InstallApplyDialog dialog = new InstallApplyDialog(
/*     */         
/* 456 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 457 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openAuthorizeApplyDialog() {
/* 462 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 463 */     CzglTransferInfo cti = (CzglTransferInfo)select.getFirstElement();
/*     */     
/* 465 */     AuthorizeApplyDialog dialog = new AuthorizeApplyDialog(
/* 466 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 467 */         .getShell(), cti, this.state);
/*     */     
/* 469 */     if (dialog.open() == 0) {
/* 470 */       String Flag = this.dataManage.saveAuthorizeTransfer(cti);
/* 471 */       if (Flag != null) {
/* 472 */         if ("true".equals(Flag)) {
/* 473 */           SydjMessageDialog.openInformation(null, "提示", "处理成功！");
/*     */ 
/*     */           
/* 476 */           this.list = this.dataManage.getAuthorizeApplyInfo(this.groupId, this.districtCode, this.state, this.startNo, this.maxCount, this.sydwnameStr);
/*     */           
/* 478 */           setFenYe(this.list, this.currentPage);
/* 479 */           setFontColor();
/* 480 */           setCursor();
/*     */           return;
/*     */         } 
/* 483 */         SydjMessageDialog.openInformation(null, "提示", "处理失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 494 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 495 */       this.table.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 496 */       this.table.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/* 497 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 498 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CzglTransferInfo> list, int nextcurrentPage) {
/* 503 */     this.totalRows = 0;
/* 504 */     if (list != null && list.size() > 0) {
/* 505 */       this.totalRows = ((CzglTransferInfo)list.get(0)).getNum();
/*     */     }
/* 507 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 508 */     this.totalPages = pu.getTotalPages();
/* 509 */     this.currentPage = pu.getCurrentPage();
/* 510 */     this.hasNextPage = pu.isHasNextPage();
/* 511 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 512 */     this.startNo = pu.getStartNum();
/*     */     
/* 514 */     this.tableViewer.setInput(list);
/* 515 */     setFontColor();
/* 516 */     setCursor();
/* 517 */     if (this.totalPages == 0) {
/* 518 */       this.label_2.setText("0/0");
/*     */     } else {
/* 520 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 522 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 523 */     this.label_6.getParent().getParent().layout();
/* 524 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 525 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 539 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 540 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 547 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 548 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\apply\AuthorizeApplyRecordView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */