/*     */ package cs.sydj.operation.authorize.withinput;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.authorize.AuthorizeSaveExcelResultDialog;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.data.query.DataQueryInfoListsDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.tableinfo.common.CzglCategory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithinputAuthorizeNewView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.authorize.withinput.WithinputAuthorizeNewView";
/*  83 */   protected int authType = 70;
/*     */   protected Label label_12;
/*  85 */   private int order = 0;
/*  86 */   private String orderField = "";
/*     */   
/*     */   private Text text_2;
/*     */   
/*     */   private Table table;
/*     */   
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   private Button button_all;
/*     */   private Button button_czgl;
/*     */   private Button button_gzt;
/*     */   private Button button_sqgl;
/*     */   private Combo comboCzgl;
/*     */   private Button button_excel;
/* 104 */   private final String groupid = GljgUserInfo.getInstance().getGroupid();
/* 105 */   private AuthorizeSydwDataManage dataManage = new AuthorizeSydwDataManage();
/* 106 */   private ArrayList list = new ArrayList();
/* 107 */   String alertMsg = "";
/*     */   
/* 109 */   int totalRows = 0;
/* 110 */   int maxCount = 15;
/* 111 */   int startNo = 1;
/* 112 */   int currentPage = 1;
/* 113 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 117 */   private String sydwnameStr = "";
/* 118 */   private TableCursor cursor = null;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   
/*     */   Composite composite_total;
/*     */   ScrolledComposite scrolledComposite;
/* 124 */   private DataAdjustOperation oper = new DataAdjustOperation();
/*     */   
/*     */   public int getMaxCount() {
/* 127 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 131 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 135 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 139 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 143 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 147 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 156 */     Composite container = new Composite(parent, 0);
/* 157 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 158 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 160 */     this.scrolledComposite = new ScrolledComposite(container, 2816);
/* 161 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 162 */     this.scrolledComposite.getVerticalBar().setIncrement(15);
/* 163 */     this.scrolledComposite.getHorizontalBar().setIncrement(15);
/* 164 */     this.scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 166 */     this.composite_total = new Composite((Composite)this.scrolledComposite, 0);
/* 167 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 168 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 169 */     this.composite_total.setSize(800, 600);
/*     */     
/* 171 */     Composite composite = new Composite(this.composite_total, 0);
/* 172 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/* 173 */     FormData fd_composite = new FormData();
/* 174 */     fd_composite.bottom = new FormAttachment(0, 90);
/* 175 */     fd_composite.top = new FormAttachment(0, 5);
/* 176 */     composite.setLayoutData(fd_composite);
/* 177 */     GridLayout gridLayout = new GridLayout();
/* 178 */     gridLayout.numColumns = 2;
/* 179 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 181 */     Label label_a = new Label(composite, 0);
/* 182 */     label_a.setLayoutData(new GridData(131072, 16777216, true, false));
/* 183 */     label_a.setBackground(Display.getCurrent().getSystemColor(1));
/* 184 */     label_a.setText("请选择事业单位授权类型：");
/*     */     
/* 186 */     this.comboCzgl = new Combo(composite, 8);
/* 187 */     this.comboCzgl.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 189 */     Label label = new Label(composite, 0);
/* 190 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 191 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 192 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 194 */     this.text = new Text(composite, 2048);
/* 195 */     GridData gd_text = new GridData(16384, 16777216, false, false);
/* 196 */     gd_text.widthHint = 200;
/* 197 */     this.text.setLayoutData(gd_text);
/*     */     
/* 199 */     Button button = new Button(composite, 0);
/* 200 */     GridData gd_button = new GridData(131072, 16777216, false, false);
/* 201 */     gd_button.heightHint = 20;
/* 202 */     button.setLayoutData(gd_button);
/* 203 */     button.setText("查询");
/*     */     
/* 205 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 207 */             WithinputAuthorizeNewView.this.totalRows = 0;
/* 208 */             WithinputAuthorizeNewView.this.currentPage = 1;
/* 209 */             WithinputAuthorizeNewView.this.startNo = 1;
/* 210 */             WithinputAuthorizeNewView.this.sydwnameStr = WithinputAuthorizeNewView.this.text.getText();
/* 211 */             String strAuthType = (String)WithinputAuthorizeNewView.this.comboCzgl.getData(WithinputAuthorizeNewView.this.comboCzgl.getText());
/* 212 */             if (!PublicUtil.isNull(strAuthType))
/* 213 */               WithinputAuthorizeNewView.this.authType = Integer.parseInt(strAuthType); 
/* 214 */             WithinputAuthorizeNewView.this.list = WithinputAuthorizeNewView.this.dataManage
/* 215 */               .getAuthorizeLocalUnitInfos(WithinputAuthorizeNewView.this.groupid, WithinputAuthorizeNewView.this.startNo, WithinputAuthorizeNewView.this.maxCount, WithinputAuthorizeNewView.this.sydwnameStr, WithinputAuthorizeNewView.this.authType, WithinputAuthorizeNewView.this.orderField, WithinputAuthorizeNewView.this.order, "false");
/* 216 */             WithinputAuthorizeNewView.this.setFenYe(WithinputAuthorizeNewView.this.list, WithinputAuthorizeNewView.this.currentPage);
/*     */           }
/*     */         });
/*     */     
/* 220 */     this.button_excel = new Button(composite, 0);
/* 221 */     GridData gd_button_excel = new GridData(16384, 16777216, true, false);
/* 222 */     gd_button_excel.heightHint = 20;
/* 223 */     this.button_excel.setLayoutData(gd_button_excel);
/* 224 */     this.button_excel.setText("Excel下载");
/*     */     
/* 226 */     this.button_excel.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 228 */             WithinputAuthorizeNewView.this.sydwnameStr = WithinputAuthorizeNewView.this.text.getText();
/* 229 */             String strAuthType = (String)WithinputAuthorizeNewView.this.comboCzgl.getData(WithinputAuthorizeNewView.this.comboCzgl.getText());
/* 230 */             if (!PublicUtil.isNull(strAuthType))
/* 231 */               WithinputAuthorizeNewView.this.authType = Integer.parseInt(strAuthType); 
/* 232 */             WithinputAuthorizeNewView.this.list = WithinputAuthorizeNewView.this.dataManage
/* 233 */               .getAuthorizeLocalUnitInfos(WithinputAuthorizeNewView.this.groupid, 1, WithinputAuthorizeNewView.this.maxCount, WithinputAuthorizeNewView.this.sydwnameStr, WithinputAuthorizeNewView.this.authType, WithinputAuthorizeNewView.this.orderField, WithinputAuthorizeNewView.this.order, "true");
/*     */             try {
/* 235 */               AuthorizeSaveExcelResultDialog s = new AuthorizeSaveExcelResultDialog(
/* 236 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), WithinputAuthorizeNewView.this.list, 
/* 237 */                   "新型授权事业单位列表", "local");
/* 238 */               s.open();
/* 239 */             } catch (Exception e2) {
/* 240 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 245 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 246 */     this.table = this.tableViewer.getTable();
/* 247 */     FormData fd_table = new FormData();
/*     */     
/* 249 */     fd_table.bottom = new FormAttachment(0, 469);
/* 250 */     fd_table.right = new FormAttachment(100, -35);
/* 251 */     fd_table.top = new FormAttachment(0, 125);
/* 252 */     fd_table.left = new FormAttachment(0, 35);
/* 253 */     this.table.setLayoutData(fd_table);
/* 254 */     this.table.setLinesVisible(true);
/* 255 */     this.table.setHeaderVisible(true);
/* 256 */     PublicUtil.setTableHeight(this.table);
/* 257 */     PublicUtil.setMouseHands(this.table, "2#6#7");
/*     */     
/* 259 */     this.tableLayout = new TableLayout();
/* 260 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 262 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 263 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 264 */     newColumnTableColumn.setAlignment(16777216);
/* 265 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 267 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 268 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table, 16777216);
/* 269 */     newColumnTableColumn_0.setAlignment(16777216);
/* 270 */     newColumnTableColumn_0.setText("编号");
/* 271 */     newColumnTableColumn_0.setImage(
/* 272 */         CacheImage.getINSTANCE()
/* 273 */         .getImage("cs.sydj", "icons/aboutSystem.gif"));
/* 274 */     newColumnTableColumn_0.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 276 */             WithinputAuthorizeNewView.this.changOrder("sydw_code");
/*     */           }
/*     */         });
/*     */     
/* 280 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(32));
/* 281 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 282 */     newColumnTableColumn_1.setText("事业单位名称");
/* 283 */     newColumnTableColumn_1.setImage(
/* 284 */         CacheImage.getINSTANCE()
/* 285 */         .getImage("cs.sydj", "icons/aboutSystem.gif"));
/* 286 */     newColumnTableColumn_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 288 */             WithinputAuthorizeNewView.this.changOrder("sydw_name_first");
/*     */           }
/*     */         });
/*     */     
/* 292 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(7));
/* 293 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 16777216);
/* 294 */     newColumnTableColumn_8.setText("设立类型");
/* 295 */     newColumnTableColumn_8.setImage(
/* 296 */         CacheImage.getINSTANCE()
/* 297 */         .getImage("cs.sydj", "icons/aboutSystem.gif"));
/* 298 */     newColumnTableColumn_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 300 */             WithinputAuthorizeNewView.this.changOrder("inst_type");
/*     */           }
/*     */         });
/*     */     
/* 304 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(7));
/* 305 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 306 */     newColumnTableColumn_3.setText("事业单位状态");
/* 307 */     newColumnTableColumn_3.setImage(
/* 308 */         CacheImage.getINSTANCE()
/* 309 */         .getImage("cs.sydj", "icons/aboutSystem.gif"));
/* 310 */     newColumnTableColumn_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 312 */             WithinputAuthorizeNewView.this.changOrder("note");
/*     */           }
/*     */         });
/*     */     
/* 316 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(15));
/* 317 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 318 */     newColumnTableColumn_4.setText("赋码机关");
/* 319 */     newColumnTableColumn_4.setImage(
/* 320 */         CacheImage.getINSTANCE()
/* 321 */         .getImage("cs.sydj", "icons/aboutSystem.gif"));
/* 322 */     newColumnTableColumn_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 324 */             WithinputAuthorizeNewView.this.changOrder("group_name");
/*     */           }
/*     */         });
/*     */     
/* 328 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 329 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 330 */     newColumnTableColumn_5.setText("申请信息");
/*     */     
/* 332 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(6));
/* 333 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/* 334 */     newColumnTableColumn_6.setText("关联信息");
/*     */     
/* 336 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 337 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new WithinputAuthorizeLocalLableProvider());
/*     */ 
/*     */     
/* 340 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 341 */     GridLayout gridLayout_4 = new GridLayout();
/* 342 */     gridLayout_4.numColumns = 2;
/* 343 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 344 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 345 */     FormData fd_composite_fenye = new FormData();
/* 346 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 347 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 348 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 349 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 350 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 352 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 353 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 354 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 355 */     GridLayout gridLayout_2 = new GridLayout();
/* 356 */     gridLayout_2.marginTop = 3;
/* 357 */     gridLayout_2.verticalSpacing = 0;
/* 358 */     gridLayout_2.marginWidth = 0;
/* 359 */     gridLayout_2.marginHeight = 0;
/* 360 */     gridLayout_2.horizontalSpacing = 2;
/* 361 */     gridLayout_2.numColumns = 7;
/* 362 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 364 */     Label label_1 = new Label(composite_1, 0);
/* 365 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 366 */     label_1.setText("页次：");
/*     */     
/* 368 */     this.label_2 = new Label(composite_1, 131072);
/* 369 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 370 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 371 */     if (this.totalPages == 0) {
/* 372 */       this.label_2.setText("0/0");
/*     */     } else {
/* 374 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 377 */     Label label_3 = new Label(composite_1, 0);
/* 378 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 379 */     label_3.setText("页  每页");
/*     */     
/* 381 */     Label label_4 = new Label(composite_1, 0);
/* 382 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 383 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 384 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 386 */     Label label_5 = new Label(composite_1, 0);
/* 387 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 388 */     label_5.setText("行  共");
/*     */     
/* 390 */     this.label_6 = new Label(composite_1, 0);
/* 391 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 392 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 393 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 395 */     Label label_7 = new Label(composite_1, 0);
/* 396 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 397 */     label_7.setText("行");
/*     */ 
/*     */     
/* 400 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 401 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 402 */     GridLayout gridLayout_1 = new GridLayout();
/* 403 */     gridLayout_1.numColumns = 6;
/* 404 */     composite_2.setLayout((Layout)gridLayout_1);
/* 405 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 407 */     this.button_1 = new Button(composite_2, 0);
/* 408 */     this.button_1.setText("上一页");
/* 409 */     if (!this.hasPreviousPage) {
/* 410 */       this.button_1.setEnabled(false);
/*     */     }
/* 412 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 414 */             WithinputAuthorizeNewView.this.list = WithinputAuthorizeNewView.this.dataManage
/* 415 */               .getAuthorizeLocalUnitInfos(WithinputAuthorizeNewView.this.groupid, (WithinputAuthorizeNewView.this.currentPage - 2) * WithinputAuthorizeNewView.this.maxCount + 1, WithinputAuthorizeNewView.this.maxCount, WithinputAuthorizeNewView.this.sydwnameStr, WithinputAuthorizeNewView.this.authType, WithinputAuthorizeNewView.this.orderField, WithinputAuthorizeNewView.this.order, "false");
/* 416 */             WithinputAuthorizeNewView.this.setFenYe(WithinputAuthorizeNewView.this.list, WithinputAuthorizeNewView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 420 */     this.button_2 = new Button(composite_2, 0);
/* 421 */     this.button_2.setText("下一页");
/* 422 */     if (!this.hasNextPage) {
/* 423 */       this.button_2.setEnabled(false);
/*     */     }
/* 425 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 427 */             WithinputAuthorizeNewView.this.list = WithinputAuthorizeNewView.this.dataManage
/* 428 */               .getAuthorizeLocalUnitInfos(WithinputAuthorizeNewView.this.groupid, WithinputAuthorizeNewView.this.currentPage * WithinputAuthorizeNewView.this.maxCount + 1, WithinputAuthorizeNewView.this.maxCount, WithinputAuthorizeNewView.this.sydwnameStr, WithinputAuthorizeNewView.this.authType, WithinputAuthorizeNewView.this.orderField, WithinputAuthorizeNewView.this.order, "false");
/* 429 */             WithinputAuthorizeNewView.this.setFenYe(WithinputAuthorizeNewView.this.list, WithinputAuthorizeNewView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 433 */     Label label_10 = new Label(composite_2, 0);
/* 434 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 435 */     label_10.setText("转至第");
/*     */     
/* 437 */     this.text_2 = new Text(composite_2, 2048);
/* 438 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 440 */     Label label_11 = new Label(composite_2, 0);
/* 441 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 442 */     label_11.setText("页");
/*     */     
/* 444 */     Button goButton = new Button(composite_2, 0);
/* 445 */     goButton.setText("GO");
/*     */     
/* 447 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 449 */             if (VerifyFunction.isNumeric(WithinputAuthorizeNewView.this.text_2.getText())) {
/* 450 */               int aa = Integer.parseInt(WithinputAuthorizeNewView.this.text_2.getText());
/* 451 */               if (aa > WithinputAuthorizeNewView.this.totalPages) {
/* 452 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 454 */                 WithinputAuthorizeNewView.this.list = WithinputAuthorizeNewView.this.dataManage
/* 455 */                   .getAuthorizeLocalUnitInfos(WithinputAuthorizeNewView.this.groupid, (aa - 1) * WithinputAuthorizeNewView.this.maxCount + 1, WithinputAuthorizeNewView.this.maxCount, WithinputAuthorizeNewView.this.sydwnameStr, WithinputAuthorizeNewView.this.authType, WithinputAuthorizeNewView.this.orderField, WithinputAuthorizeNewView.this.order, "false");
/* 456 */                 WithinputAuthorizeNewView.this.setFenYe(WithinputAuthorizeNewView.this.list, aa);
/* 457 */                 WithinputAuthorizeNewView.this.setFontColor();
/* 458 */                 WithinputAuthorizeNewView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 461 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 467 */     Label label_9 = new Label(this.composite_total, 0);
/* 468 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 469 */     FormData fd_label_9 = new FormData();
/* 470 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 471 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 472 */     fd_label_9.top = new FormAttachment(0, 115);
/* 473 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 475 */     this.label_12 = new Label(this.composite_total, 0);
/* 476 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 477 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 478 */     FormData fd_label_12 = new FormData();
/* 479 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 480 */     fd_label_12.top = new FormAttachment(0, 98);
/* 481 */     fd_label_12.right = new FormAttachment(0, 240);
/* 482 */     this.label_12.setLayoutData(fd_label_12);
/* 483 */     this.label_12.setText("事业单位列表");
/*     */     
/* 485 */     this.scrolledComposite.setContent((Control)this.composite_total);
/* 486 */     createActions();
/* 487 */     initializeToolBar();
/* 488 */     initializeMenu();
/*     */     
/* 490 */     initauthTypeView();
/*     */     
/* 492 */     this.list = this.dataManage
/* 493 */       .getAuthorizeLocalUnitInfos(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, this.authType, this.orderField, this.order, "false");
/* 494 */     this.tableViewer.setInput(this.list);
/* 495 */     if (this.list != null && this.list.size() > 0) {
/* 496 */       this.totalRows = ((CertPrintModel)this.list.get(0)).getTotalRows();
/* 497 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 498 */       this.totalPages = pu.getTotalPages();
/* 499 */       this.currentPage = pu.getCurrentPage();
/* 500 */       this.hasNextPage = pu.isHasNextPage();
/* 501 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 503 */       setFenYe(this.list, this.currentPage);
/* 504 */       setFontColor();
/* 505 */       setCursor();
/* 506 */       this.button_excel.setEnabled(true);
/*     */     } else {
/* 508 */       this.button_excel.setEnabled(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 516 */     if (this.cursor != null)
/* 517 */       this.cursor.dispose(); 
/* 518 */     this.cursor = new TableCursor(this.table, 0);
/* 519 */     this.cursor.setBackground(this.table.getDisplay()
/* 520 */         .getSystemColor(26));
/* 521 */     this.cursor.setForeground(this.table.getDisplay()
/* 522 */         .getSystemColor(27));
/* 523 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 525 */             int colums = WithinputAuthorizeNewView.this.cursor.getColumn();
/* 526 */             if (colums == 2) {
/* 527 */               WithinputAuthorizeNewView.this.view();
/* 528 */             } else if (colums == 6) {
/* 529 */               WithinputAuthorizeNewView.this.viewHistory();
/* 530 */             } else if (colums == 7) {
/* 531 */               IStructuredSelection select = (IStructuredSelection)WithinputAuthorizeNewView.this.tableViewer.getSelection();
/* 532 */               CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 533 */               if (!"0".equals(model.getRCount())) {
/* 534 */                 WithinputAuthorizeNewView.this.openRemarkList();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/* 539 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 542 */             int colums = WithinputAuthorizeNewView.this.cursor.getColumn();
/* 543 */             if (colums == 2) {
/* 544 */               WithinputAuthorizeNewView.this.view();
/* 545 */             } else if (colums == 6) {
/* 546 */               WithinputAuthorizeNewView.this.viewHistory();
/* 547 */             } else if (colums == 7) {
/* 548 */               IStructuredSelection select = (IStructuredSelection)WithinputAuthorizeNewView.this.tableViewer.getSelection();
/* 549 */               CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 550 */               if (!"0".equals(model.getRCount())) {
/* 551 */                 WithinputAuthorizeNewView.this.openRemarkList();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void changOrder(String tempOrderFiled) {
/* 560 */     this.orderField = tempOrderFiled;
/* 561 */     if (this.order == 0) {
/* 562 */       this.order = 1;
/*     */     } else {
/* 564 */       this.order = 0;
/*     */     } 
/*     */     
/* 567 */     this.totalRows = 0;
/* 568 */     this.currentPage = 1;
/* 569 */     this.sydwnameStr = this.text.getText();
/* 570 */     this.list = this.dataManage
/* 571 */       .getAuthorizeLocalUnitInfos(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, this.authType, this.orderField, this.order, "false");
/* 572 */     setFenYe(this.list, this.currentPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void view() {
/* 579 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 580 */       .getSelection();
/* 581 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/*     */ 
/*     */     
/* 584 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 585 */     insinfolist = this.oper.QueryInstaurationInfo(model.getUnitId(), 
/* 586 */         model.getAppDate().equals(UnitState.LOGOUT) ? "true" : "false");
/* 587 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 588 */     if (insinfolist.size() > 0) {
/* 589 */       frinfo = insinfolist.get(0);
/*     */     }
/* 591 */     ArrayList branchlist = new ArrayList();
/* 592 */     branchlist = this.oper.QueryInstBranch(model.getUnitId());
/* 593 */     InstallApplyDialog dialog = new InstallApplyDialog(
/*     */         
/* 595 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 596 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openRemarkList() {
/* 601 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 602 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 603 */     String sydwId = model.getUnitId();
/* 604 */     String sydwName = model.getUnitName();
/* 605 */     RemarkDialog dialog = new RemarkDialog(
/* 606 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwId, sydwName, "关联信息", false);
/* 607 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void viewHistory() {
/* 615 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 616 */       .getSelection();
/* 617 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/*     */     
/* 619 */     DataQueryInfoListsDialog dialog = new DataQueryInfoListsDialog(
/* 620 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 621 */         model.getUnitId(), model.getUnitName(), 
/* 622 */         model.getAppDate(), model.getCertId());
/* 623 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 630 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 631 */       this.table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 632 */       this.table.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 633 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 634 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/* 635 */       this.table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 636 */       this.table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CertPrintModel> list, int nextcurrentPage) {
/* 641 */     this.totalRows = 0;
/* 642 */     if (list != null && list.size() > 0) {
/* 643 */       this.button_excel.setEnabled(true);
/* 644 */       this.totalRows = ((CertPrintModel)list.get(0)).getTotalRows();
/*     */     } else {
/* 646 */       this.button_excel.setEnabled(false);
/*     */     } 
/*     */     
/* 649 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 650 */     this.totalPages = pu.getTotalPages();
/* 651 */     this.currentPage = pu.getCurrentPage();
/* 652 */     this.hasNextPage = pu.isHasNextPage();
/* 653 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 654 */     this.startNo = pu.getStartNum();
/*     */     
/* 656 */     this.tableViewer.setInput(list);
/* 657 */     setFontColor();
/* 658 */     setCursor();
/* 659 */     if (this.totalPages == 0) {
/* 660 */       this.label_2.setText("0/0");
/*     */     } else {
/* 662 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 664 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 665 */     this.label_6.getParent().getParent().layout();
/* 666 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 667 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 675 */     this.list = this.dataManage
/* 676 */       .getAuthorizeLocalUnitInfos(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, this.authType, this.orderField, this.order, "false");
/* 677 */     this.tableViewer.setInput(this.list);
/* 678 */     setFontColor();
/* 679 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 693 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 694 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 701 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 702 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   protected void initauthTypeView() {
/* 711 */     this.comboCzgl.add("全部");
/* 712 */     this.comboCzgl.setData("全部", "70");
/*     */     
/* 714 */     ArrayList<CzglCategory> czglCatList = this.dataManage.getCzglCatList("70");
/* 715 */     if (czglCatList != null && czglCatList.size() > 0) {
/* 716 */       for (int i = 0; i < czglCatList.size(); i++) {
/* 717 */         CzglCategory czgl = czglCatList.get(i);
/* 718 */         this.comboCzgl.add(czgl.getChuiguanNameDisplay());
/* 719 */         this.comboCzgl.setData(czgl.getChuiguanNameDisplay(), czgl.getChuiguanCode());
/*     */       } 
/*     */     }
/* 722 */     this.comboCzgl.select(0);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\withinput\WithinputAuthorizeNewView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */