/*     */ package cs.sydj.operation.authorize.withinput;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.authorize.AuthorizeSaveExcelResultDialog;
/*     */ import cs.sydj.operation.authorize.AuthorizeSydwDataManage;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.data.query.DataQueryInfoListsDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithinputAuthorizeUpperView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.authorize.WithinputAuthorizeUpperView";
/*  76 */   protected int type = 12;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   private Button button_excel;
/*  89 */   private final String groupid = GljgUserInfo.getInstance().getGroupid();
/*  90 */   AuthorizeSydwDataManage asdm = new AuthorizeSydwDataManage();
/*  91 */   private ArrayList list = new ArrayList();
/*  92 */   String alertMsg = "";
/*     */   
/*  94 */   int totalRows = 0;
/*  95 */   int maxCount = 15;
/*  96 */   int startNo = 1;
/*  97 */   int currentPage = 1;
/*  98 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 102 */   private String sydwnameStr = "";
/* 103 */   private TableCursor cursor = null;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/* 109 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 113 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 117 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 121 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 125 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 129 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 138 */     Composite container = new Composite(parent, 0);
/* 139 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 140 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 142 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 143 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 144 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 145 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 146 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 148 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 149 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 150 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 151 */     this.composite_total.setSize(800, 600);
/*     */     
/* 153 */     Composite composite = new Composite(this.composite_total, 0);
/* 154 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 156 */     FormData fd_composite = new FormData();
/* 157 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 158 */     fd_composite.top = new FormAttachment(0, 20);
/* 159 */     composite.setLayoutData(fd_composite);
/* 160 */     GridLayout gridLayout = new GridLayout();
/* 161 */     gridLayout.numColumns = 4;
/* 162 */     gridLayout.horizontalSpacing = 0;
/* 163 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 165 */     Label label = new Label(composite, 0);
/* 166 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 167 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 168 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 170 */     this.text = new Text(composite, 2048);
/* 171 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 172 */     gd_text.widthHint = 200;
/* 173 */     this.text.setLayoutData(gd_text);
/*     */     
/* 175 */     Button button = new Button(composite, 0);
/* 176 */     GridData gd_button = new GridData(16384, 16777216, false, false);
/* 177 */     gd_button.heightHint = 20;
/* 178 */     button.setLayoutData(gd_button);
/* 179 */     button.setText("查询");
/*     */     
/* 181 */     this.button_excel = new Button(composite, 0);
/* 182 */     GridData gd_button_excel = new GridData(16384, 16777216, true, false);
/* 183 */     gd_button_excel.heightHint = 20;
/* 184 */     this.button_excel.setLayoutData(gd_button_excel);
/* 185 */     this.button_excel.setText("Excel下载");
/*     */     
/* 187 */     this.button_excel.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 189 */             WithinputAuthorizeUpperView.this.sydwnameStr = WithinputAuthorizeUpperView.this.text.getText();
/* 190 */             WithinputAuthorizeUpperView.this.list = WithinputAuthorizeUpperView.this.asdm.getAuthorizeUpperUnitInfos(WithinputAuthorizeUpperView.this.groupid, 1, WithinputAuthorizeUpperView.this.maxCount, WithinputAuthorizeUpperView.this.sydwnameStr, "true");
/*     */             try {
/* 192 */               AuthorizeSaveExcelResultDialog s = new AuthorizeSaveExcelResultDialog(
/* 193 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), WithinputAuthorizeUpperView.this.list, 
/* 194 */                   "上级授权事业单位列表", "upper");
/* 195 */               s.open();
/* 196 */             } catch (Exception e2) {
/* 197 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 202 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 203 */     this.table = this.tableViewer.getTable();
/* 204 */     FormData fd_table = new FormData();
/*     */     
/* 206 */     fd_table.bottom = new FormAttachment(0, 439);
/* 207 */     fd_table.right = new FormAttachment(100, -35);
/* 208 */     fd_table.top = new FormAttachment(0, 95);
/* 209 */     fd_table.left = new FormAttachment(0, 35);
/* 210 */     this.table.setLayoutData(fd_table);
/* 211 */     this.table.setLinesVisible(true);
/* 212 */     this.table.setHeaderVisible(true);
/* 213 */     PublicUtil.setTableHeight(this.table);
/* 214 */     PublicUtil.setMouseHands(this.table, "2#5#6");
/*     */     
/* 216 */     this.tableLayout = new TableLayout();
/* 217 */     this.table.setLayout((Layout)this.tableLayout);
/* 218 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 219 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 220 */     newColumnTableColumn.setAlignment(16777216);
/* 221 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 223 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 224 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table, 16777216);
/* 225 */     newColumnTableColumn_0.setAlignment(16777216);
/* 226 */     newColumnTableColumn_0.setText("证书号");
/*     */     
/* 228 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(32));
/* 229 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 230 */     newColumnTableColumn_1.setText("事业单位名称");
/*     */     
/* 232 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 233 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 16777216);
/* 234 */     newColumnTableColumn_8.setText("设立类型");
/*     */     
/* 236 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 237 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 238 */     newColumnTableColumn_3.setText("事业单位状态");
/*     */     
/* 240 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(7));
/* 241 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 242 */     newColumnTableColumn_4.setText("申请信息");
/*     */     
/* 244 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(7));
/* 245 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 246 */     newColumnTableColumn_5.setText("关联信息");
/*     */     
/* 248 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 249 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 250 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 252 */     fd_composite_3.bottom = new FormAttachment(0, 475);
/* 253 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 255 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 256 */     composite_3.setLayoutData(fd_composite_3);
/* 257 */     GridLayout gridLayout_3 = new GridLayout();
/* 258 */     gridLayout_3.numColumns = 7;
/* 259 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 263 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 264 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new WithinputAuthorizeUpperLableProvider());
/*     */ 
/*     */     
/* 267 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 269 */             WithinputAuthorizeUpperView.this.totalRows = 0;
/* 270 */             WithinputAuthorizeUpperView.this.currentPage = 1;
/* 271 */             WithinputAuthorizeUpperView.this.startNo = 1;
/* 272 */             WithinputAuthorizeUpperView.this.sydwnameStr = WithinputAuthorizeUpperView.this.text.getText();
/* 273 */             WithinputAuthorizeUpperView.this.list = WithinputAuthorizeUpperView.this.asdm.getAuthorizeUpperUnitInfos(WithinputAuthorizeUpperView.this.groupid, WithinputAuthorizeUpperView.this.startNo, WithinputAuthorizeUpperView.this.maxCount, WithinputAuthorizeUpperView.this.sydwnameStr, "false");
/* 274 */             WithinputAuthorizeUpperView.this.setFenYe(WithinputAuthorizeUpperView.this.list, WithinputAuthorizeUpperView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 279 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 280 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 281 */     GridLayout gridLayout_4 = new GridLayout();
/* 282 */     gridLayout_4.numColumns = 2;
/* 283 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 284 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 285 */     FormData fd_composite_fenye = new FormData();
/* 286 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 287 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 288 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 289 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 290 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 292 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 293 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 294 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 295 */     GridLayout gridLayout_2 = new GridLayout();
/* 296 */     gridLayout_2.marginTop = 3;
/* 297 */     gridLayout_2.verticalSpacing = 0;
/* 298 */     gridLayout_2.marginWidth = 0;
/* 299 */     gridLayout_2.marginHeight = 0;
/* 300 */     gridLayout_2.horizontalSpacing = 2;
/* 301 */     gridLayout_2.numColumns = 7;
/* 302 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 304 */     Label label_1 = new Label(composite_1, 0);
/* 305 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 306 */     label_1.setText("页次：");
/*     */     
/* 308 */     this.label_2 = new Label(composite_1, 131072);
/* 309 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 310 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 311 */     if (this.totalPages == 0) {
/* 312 */       this.label_2.setText("0/0");
/*     */     } else {
/* 314 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 317 */     Label label_3 = new Label(composite_1, 0);
/* 318 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 319 */     label_3.setText("页  每页");
/*     */     
/* 321 */     Label label_4 = new Label(composite_1, 0);
/* 322 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 323 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 324 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 326 */     Label label_5 = new Label(composite_1, 0);
/* 327 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 328 */     label_5.setText("行  共");
/*     */     
/* 330 */     this.label_6 = new Label(composite_1, 0);
/* 331 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 332 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 333 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 335 */     Label label_7 = new Label(composite_1, 0);
/* 336 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 337 */     label_7.setText("行");
/*     */ 
/*     */     
/* 340 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 341 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 342 */     GridLayout gridLayout_1 = new GridLayout();
/* 343 */     gridLayout_1.numColumns = 6;
/* 344 */     composite_2.setLayout((Layout)gridLayout_1);
/* 345 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 347 */     this.button_1 = new Button(composite_2, 0);
/* 348 */     this.button_1.setText("上一页");
/* 349 */     if (!this.hasPreviousPage) {
/* 350 */       this.button_1.setEnabled(false);
/*     */     }
/* 352 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 354 */             WithinputAuthorizeUpperView.this.list = WithinputAuthorizeUpperView.this.asdm.getAuthorizeUpperUnitInfos(WithinputAuthorizeUpperView.this.groupid, (WithinputAuthorizeUpperView.this.currentPage - 2) * WithinputAuthorizeUpperView.this.maxCount + 1, WithinputAuthorizeUpperView.this.maxCount, WithinputAuthorizeUpperView.this.sydwnameStr, "false");
/* 355 */             WithinputAuthorizeUpperView.this.setFenYe(WithinputAuthorizeUpperView.this.list, WithinputAuthorizeUpperView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 359 */     this.button_2 = new Button(composite_2, 0);
/* 360 */     this.button_2.setText("下一页");
/* 361 */     if (!this.hasNextPage) {
/* 362 */       this.button_2.setEnabled(false);
/*     */     }
/* 364 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 366 */             WithinputAuthorizeUpperView.this.list = WithinputAuthorizeUpperView.this.asdm.getAuthorizeUpperUnitInfos(WithinputAuthorizeUpperView.this.groupid, WithinputAuthorizeUpperView.this.currentPage * WithinputAuthorizeUpperView.this.maxCount + 1, WithinputAuthorizeUpperView.this.maxCount, WithinputAuthorizeUpperView.this.sydwnameStr, "false");
/* 367 */             WithinputAuthorizeUpperView.this.setFenYe(WithinputAuthorizeUpperView.this.list, WithinputAuthorizeUpperView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 371 */     Label label_10 = new Label(composite_2, 0);
/* 372 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 373 */     label_10.setText("转至第");
/*     */     
/* 375 */     this.text_2 = new Text(composite_2, 2048);
/* 376 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 378 */     Label label_11 = new Label(composite_2, 0);
/* 379 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 380 */     label_11.setText("页");
/*     */     
/* 382 */     Button goButton = new Button(composite_2, 0);
/* 383 */     goButton.setText("GO");
/*     */     
/* 385 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 387 */             if (VerifyFunction.isNumeric(WithinputAuthorizeUpperView.this.text_2.getText())) {
/* 388 */               int aa = Integer.parseInt(WithinputAuthorizeUpperView.this.text_2.getText());
/* 389 */               if (aa > WithinputAuthorizeUpperView.this.totalPages) {
/* 390 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 392 */                 WithinputAuthorizeUpperView.this.list = WithinputAuthorizeUpperView.this.asdm.getAuthorizeUpperUnitInfos(WithinputAuthorizeUpperView.this.groupid, (aa - 1) * WithinputAuthorizeUpperView.this.maxCount + 1, WithinputAuthorizeUpperView.this.maxCount, WithinputAuthorizeUpperView.this.sydwnameStr, "false");
/* 393 */                 WithinputAuthorizeUpperView.this.setFenYe(WithinputAuthorizeUpperView.this.list, aa);
/* 394 */                 WithinputAuthorizeUpperView.this.setFontColor();
/* 395 */                 WithinputAuthorizeUpperView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 398 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 404 */     Label label_9 = new Label(this.composite_total, 0);
/* 405 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 406 */     FormData fd_label_9 = new FormData();
/* 407 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 408 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 409 */     fd_label_9.top = new FormAttachment(0, 85);
/* 410 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 412 */     this.label_12 = new Label(this.composite_total, 0);
/* 413 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 414 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 415 */     FormData fd_label_12 = new FormData();
/* 416 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 417 */     fd_label_12.top = new FormAttachment(0, 70);
/* 418 */     fd_label_12.right = new FormAttachment(0, 240);
/* 419 */     this.label_12.setLayoutData(fd_label_12);
/* 420 */     this.label_12.setText("授权事业单位列表");
/*     */     
/* 422 */     scrolledComposite.setContent((Control)this.composite_total);
/* 423 */     createActions();
/* 424 */     initializeToolBar();
/* 425 */     initializeMenu();
/*     */     
/* 427 */     initTypeView();
/*     */     
/* 429 */     composite_3.setVisible(true);
/*     */     
/* 431 */     this.list = this.asdm.getAuthorizeUpperUnitInfos(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "false");
/* 432 */     this.tableViewer.setInput(this.list);
/* 433 */     if (this.list != null && this.list.size() > 0) {
/* 434 */       this.totalRows = ((CertPrintModel)this.list.get(0)).getTotalRows();
/* 435 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 436 */       this.totalPages = pu.getTotalPages();
/* 437 */       this.currentPage = pu.getCurrentPage();
/* 438 */       this.hasNextPage = pu.isHasNextPage();
/* 439 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 441 */       setFenYe(this.list, this.currentPage);
/* 442 */       setFontColor();
/* 443 */       setCursor();
/*     */       
/* 445 */       this.button_excel.setEnabled(true);
/*     */     } else {
/* 447 */       this.button_excel.setEnabled(false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 455 */     if (this.cursor != null)
/* 456 */       this.cursor.dispose(); 
/* 457 */     this.cursor = new TableCursor(this.table, 0);
/* 458 */     this.cursor.setBackground(this.table.getDisplay()
/* 459 */         .getSystemColor(26));
/* 460 */     this.cursor.setForeground(this.table.getDisplay()
/* 461 */         .getSystemColor(27));
/* 462 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 464 */             int colums = WithinputAuthorizeUpperView.this.cursor.getColumn();
/* 465 */             if (colums == 2) {
/* 466 */               WithinputAuthorizeUpperView.this.view();
/* 467 */             } else if (colums == 5) {
/* 468 */               WithinputAuthorizeUpperView.this.viewHistory();
/* 469 */             } else if (colums == 6) {
/* 470 */               IStructuredSelection select = (IStructuredSelection)WithinputAuthorizeUpperView.this.tableViewer.getSelection();
/* 471 */               CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 472 */               if (!"0".equals(model.getRCount())) {
/* 473 */                 WithinputAuthorizeUpperView.this.openRemarkList();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/* 478 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 481 */             int colums = WithinputAuthorizeUpperView.this.cursor.getColumn();
/* 482 */             if (colums == 2) {
/* 483 */               WithinputAuthorizeUpperView.this.view();
/* 484 */             } else if (colums == 5) {
/* 485 */               WithinputAuthorizeUpperView.this.viewHistory();
/* 486 */             } else if (colums == 6) {
/* 487 */               IStructuredSelection select = (IStructuredSelection)WithinputAuthorizeUpperView.this.tableViewer.getSelection();
/* 488 */               CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 489 */               if (!"0".equals(model.getRCount())) {
/* 490 */                 WithinputAuthorizeUpperView.this.openRemarkList();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void view() {
/* 501 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 502 */       .getSelection();
/* 503 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 504 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 507 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 508 */     insinfolist = oper.QueryInstaurationInfo(model.getUnitId(), 
/* 509 */         model.getAppDate().equals(UnitState.LOGOUT) ? "true" : "false");
/* 510 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 511 */     if (insinfolist.size() > 0) {
/* 512 */       frinfo = insinfolist.get(0);
/*     */     }
/* 514 */     ArrayList branchlist = new ArrayList();
/* 515 */     branchlist = oper.QueryInstBranch(model.getUnitId());
/* 516 */     InstallApplyDialog dialog = new InstallApplyDialog(
/*     */         
/* 518 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 519 */     dialog.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void openRemarkList() {
/* 524 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 525 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 526 */     String sydwId = model.getUnitId();
/* 527 */     String sydwName = model.getUnitName();
/* 528 */     RemarkDialog dialog = new RemarkDialog(
/* 529 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwId, sydwName, "关联信息", false);
/* 530 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void viewHistory() {
/* 537 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 538 */       .getSelection();
/* 539 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 540 */     if (model.getAppDate().equals(UnitState.LOGOUT)) {
/* 541 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被注销");
/*     */     }
/* 543 */     if (model.getAppDate().equals(UnitState.FREEZE)) {
/* 544 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被冻结");
/*     */     }
/*     */     
/* 547 */     if (model.getAppDate().equals(UnitState.ABOLISH)) {
/* 548 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被废止");
/*     */     }
/*     */     
/* 551 */     if (model.getAppDate().equals(UnitState.INVALIDATE)) {
/* 552 */       SydjMessageDialog.openInformation(null, "提示", "此单位已经被吊销");
/*     */     }
/*     */     
/* 555 */     DataAdjustOperation oper = new DataAdjustOperation();
/* 556 */     String flag = oper.isInHoldUnits(model.getHoldUnit());
/* 557 */     if ("false".equals(flag)) {
/* 558 */       SydjMessageDialog.openInformation(null, "提示", 
/* 559 */           "该申请单位的举办单位不在举办单位列表中。");
/*     */     }
/* 561 */     DataQueryInfoListsDialog dialog = new DataQueryInfoListsDialog(
/* 562 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 563 */         model.getUnitId(), model.getUnitName(), 
/* 564 */         model.getAppDate(), model.getCertId());
/* 565 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 572 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 573 */       this.table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 574 */       this.table.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 575 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 576 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/* 577 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 578 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CertPrintModel> list, int nextcurrentPage) {
/* 583 */     this.totalRows = 0;
/* 584 */     if (list != null && list.size() > 0) {
/* 585 */       this.totalRows = ((CertPrintModel)list.get(0)).getTotalRows();
/*     */     }
/* 587 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 588 */     this.totalPages = pu.getTotalPages();
/* 589 */     this.currentPage = pu.getCurrentPage();
/* 590 */     this.hasNextPage = pu.isHasNextPage();
/* 591 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 592 */     this.startNo = pu.getStartNum();
/*     */     
/* 594 */     this.tableViewer.setInput(list);
/* 595 */     setFontColor();
/* 596 */     setCursor();
/* 597 */     if (this.totalPages == 0) {
/* 598 */       this.label_2.setText("0/0");
/*     */     } else {
/* 600 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 602 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 603 */     this.label_6.getParent().getParent().layout();
/* 604 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 605 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 613 */     this.list = this.asdm.getAuthorizeUpperUnitInfos(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "false");
/* 614 */     this.tableViewer.setInput(this.list);
/* 615 */     setFontColor();
/* 616 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 630 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 631 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 638 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 639 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\authorize\withinput\WithinputAuthorizeUpperView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */