/*     */ package cs.sydj.operation.bulletin;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.operation.commons.BulletinItemViewModel;
/*     */ import server.sydj.operation.commons.BulltinContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class BulletinViewDialog
/*     */   extends Dialog
/*     */ {
/*     */   private ArrayList item;
/*     */   private int rowCount;
/*     */   private int count;
/*     */   private Composite composite;
/*     */   private String title;
/*  39 */   private int valueReturn = 1;
/*     */ 
/*     */   
/*     */   public int open() {
/*  43 */     super.open();
/*  44 */     return this.valueReturn;
/*     */   }
/*     */ 
/*     */   
/*     */   public BulletinViewDialog(Shell parentShell, ArrayList item, int rowCount, int count, String title) {
/*  49 */     super(parentShell);
/*  50 */     setShellStyle(66560);
/*  51 */     this.item = item;
/*  52 */     this.rowCount = rowCount;
/*  53 */     this.count = count;
/*  54 */     this.title = title;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  64 */     parent.setBackground(Display.getCurrent()
/*  65 */         .getSystemColor(1));
/*  66 */     parent.setBackgroundMode(2);
/*  67 */     Composite container = (Composite)super.createDialogArea(parent);
/*  68 */     container.setLayout((Layout)new FillLayout());
/*     */     
/*  70 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  71 */         container, 2816);
/*  72 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/*  74 */     this.composite = new Composite((Composite)scrolledComposite, 0);
/*  75 */     this.composite.setBackground(Display.getCurrent()
/*  76 */         .getSystemColor(1));
/*  77 */     this.composite.setLocation(0, 0);
/*  78 */     GridLayout gridLayout = new GridLayout();
/*  79 */     gridLayout.marginTop = 25;
/*  80 */     gridLayout.marginRight = 25;
/*  81 */     gridLayout.marginLeft = 25;
/*  82 */     gridLayout.numColumns = 3;
/*  83 */     this.composite.setLayout((Layout)gridLayout);
/*     */     
/*  85 */     Label label = new Label(this.composite, 0);
/*  86 */     label.setLayoutData(new GridData(16384, 16777216, true, false, 3, 
/*  87 */           1));
/*  88 */     label.setText(this.title);
/*  89 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  90 */     Label label_1 = new Label(this.composite, 258);
/*     */     
/*  92 */     label_1.setLayoutData(new GridData(4, 4, false, false, 3, 
/*  93 */           1));
/*  94 */     setBulletinItem();
/*  95 */     Label label_6 = new Label(this.composite, 258);
/*     */     
/*  97 */     label_6.setLayoutData(new GridData(4, 16777216, false, false, 
/*  98 */           3, 1));
/*  99 */     this.composite
/* 100 */       .setSize(488, 75 + 30 * ((this.count == 0) ? (this.rowCount + 1) : (this.rowCount + 2)));
/* 101 */     scrolledComposite.setContent((Control)this.composite);
/*     */     
/* 103 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 113 */     if (this.count == 0) {
/* 114 */       createButton(parent, 1, "重新制作", false);
/* 115 */       createButton(parent, 0, "制作公告盘", true);
/*     */     } else {
/* 117 */       createButton(parent, 1, "关闭", false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 126 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 130 */     super.configureShell(newShell);
/* 131 */     newShell.setText("公告预览 ");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setBulletinItem() {
/* 138 */     if (this.count != 0) {
/* 139 */       Label labels = new Label(this.composite, 0);
/* 140 */       labels.setLayoutData(new GridData(16384, 16777216, false, 
/* 141 */             false, 3, 1));
/* 142 */       labels.setText("本期公告共有" + this.count + "个单位。");
/*     */     } 
/* 144 */     for (int i = 0; i < this.item.size(); i++) {
/* 145 */       BulletinItemViewModel view = this.item.get(i);
/* 146 */       Label label_i = new Label(this.composite, 0);
/* 147 */       label_i.setFont(SWTResourceManager.getFont("", 9, 1));
/* 148 */       label_i.setLayoutData(new GridData(16384, 16777216, false, 
/* 149 */             false, 3, 1));
/* 150 */       label_i
/* 151 */         .setText(String.valueOf(view.getId()) + "、“" + view.getUnitName() + 
/* 152 */           "”公告事项：");
/*     */       
/* 154 */       for (int j = 0; j < view.getItem().size(); j++) {
/* 155 */         BulltinContentModel model = view
/* 156 */           .getItem().get(j);
/* 157 */         Label label_ij = new Label(this.composite, 0);
/* 158 */         Label label_ij0 = new Label(this.composite, 0);
/* 159 */         label_ij0.setFont(SWTResourceManager.getFont("", 9, 1));
/* 160 */         label_ij0.setAlignment(131072);
/* 161 */         GridData gd_label_ij0 = new GridData(131072, 16777216, 
/* 162 */             false, false);
/* 163 */         gd_label_ij0.widthHint = 150;
/* 164 */         label_ij0.setLayoutData(gd_label_ij0);
/* 165 */         label_ij0.setText(model.getVariable());
/* 166 */         Label label_ij1 = new Label(this.composite, 64);
/* 167 */         label_ij1.setLayoutData(new GridData(16384, 16777216, 
/* 168 */               true, false));
/* 169 */         if (model.getVariable().equals("设立时间") || model.getVariable().equals("注销时间")) {
/* 170 */           label_ij1.setText(model.getContent().substring(0, 10));
/*     */         } else {
/* 172 */           label_ij1.setText(model.getContent());
/*     */         } 
/*     */       } 
/*     */       
/* 176 */       if (!"".equals(view.getCertId()) && view.getCertId() != null) {
/* 177 */         Label label_i0 = new Label(this.composite, 0);
/* 178 */         label_i0.setLayoutData(new GridData(16384, 16777216, 
/* 179 */               false, false, 3, 1));
/* 180 */         label_i0.setText("统一社会信用代码" + view.getCertId());
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 186 */     if (buttonId == 0) {
/* 187 */       this.valueReturn = 0;
/*     */     }
/* 189 */     if (buttonId == 1) {
/* 190 */       this.valueReturn = 1;
/*     */     }
/* 192 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 198 */     super.initializeBounds();
/* 199 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\bulletin\BulletinViewDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */