/*      */ package cs.sydj.operation.bulletin;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.LoadDOC.DocumentTemplate;
/*      */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*      */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*      */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.common.TableViewContentProvider;
/*      */ import cs.sydj.common.VerifyFunction;
/*      */ import cs.sydj.common.pagetab.PageUtil;
/*      */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*      */ import cs.sydj.operation.cert.print.SaveDialog;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.sys.messageconf.MessageProxy;
/*      */ import java.io.File;
/*      */ import java.io.IOException;
/*      */ import java.lang.reflect.InvocationTargetException;
/*      */ import java.util.ArrayList;
/*      */ import jxl.Workbook;
/*      */ import jxl.format.Alignment;
/*      */ import jxl.format.Border;
/*      */ import jxl.format.BorderLineStyle;
/*      */ import jxl.format.CellFormat;
/*      */ import jxl.format.VerticalAlignment;
/*      */ import jxl.write.Label;
/*      */ import jxl.write.WritableCell;
/*      */ import jxl.write.WritableCellFormat;
/*      */ import jxl.write.WritableFont;
/*      */ import jxl.write.WritableSheet;
/*      */ import jxl.write.WritableWorkbook;
/*      */ import org.eclipse.core.runtime.IProgressMonitor;
/*      */ import org.eclipse.jface.action.IMenuManager;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*      */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.StackLayout;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.ControlAdapter;
/*      */ import org.eclipse.swt.events.ControlEvent;
/*      */ import org.eclipse.swt.events.ControlListener;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.layout.RowLayout;
/*      */ import org.eclipse.swt.program.Program;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.operation.commons.BulletinItemViewModel;
/*      */ import server.sydj.operation.commons.BulltinContentModel;
/*      */ import server.sydj.operation.commons.BulltinModel;
/*      */ import server.sydj.operation.commons.CertReginBulletinModel;
/*      */ import server.sydj.operation.commons.LogOutBulletinModel;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class ViewBulletin
/*      */   extends ViewPart
/*      */ {
/*      */   private Table table;
/*      */   private Text nmText;
/*      */   private Text bulNumText;
/*      */   public static final String ID = "cs.sydj.operation.bulltin.viewbulletin";
/*      */   private Composite container;
/*      */   private ArrayList itemList;
/*      */   private ArrayList bulltin;
/*   90 */   private String isBulletin = "all";
/*   91 */   private int selectIndex = 0;
/*   92 */   private int selectColums = 32;
/*   93 */   protected int selectColum = 32;
/*   94 */   private int totalRows = 0;
/*   95 */   private BulltinOperation bull = new BulltinOperation();
/*   96 */   int maxCount = 15;
/*   97 */   int starto = 1;
/*   98 */   int currentPage = 1;
/*   99 */   int totalPages = 0;
/*      */   private Label allRows;
/*      */   private Label everyPageRows;
/*      */   private Label nowPage;
/*      */   private Label page;
/*      */   private Button nextPage;
/*      */   private Button priorPage;
/*      */   private Button goButton;
/*      */   private Text text;
/*      */   private Composite compage;
/*      */   boolean hasNextPage = false;
/*      */   boolean hasPreviousPage = false;
/*      */   private TableViewer tableViewer;
/*  112 */   private TableCursor cursor = null;
/*      */   private Button select;
/*      */   private Button notSelect;
/*      */   private Button bnButton;
/*      */   private Text bnText;
/*      */   private Composite group;
/*      */   private Button enButton;
/*      */   private Text enText;
/*      */   private Button nmSearch;
/*      */   private Button search;
/*      */   private Composite group_1;
/*      */   private Button button_1;
/*      */   private Button button;
/*      */   private StackLayout stackLayout;
/*      */   private Composite composite_2;
/*      */   private Composite composite_3;
/*      */   private Composite composite_4;
/*      */   private Button button_3;
/*      */   private Composite composite_1;
/*      */   private Text bnText1;
/*      */   private Button bnButton1;
/*      */   private Text enText1;
/*      */   private Button enButton1;
/*  135 */   private String bnDate = PublicBulletin.getSearChDate();
/*  136 */   private String enDate = PublicUtil.getNowDate();
/*      */   private Label label_1;
/*      */   private Label label_2;
/*      */   private Label label_4;
/*      */   private Composite com;
/*  141 */   private String bnDate1 = PublicBulletin.getSearChDate();
/*  142 */   private String enDate1 = PublicUtil.getNowDate();
/*      */ 
/*      */   
/*      */   public void createPartControl(Composite parent) {
/*  146 */     parent.setLayout((Layout)new FillLayout());
/*  147 */     parent.setBackgroundMode(2);
/*  148 */     parent.setBackground(Display.getCurrent()
/*  149 */         .getSystemColor(1));
/*  150 */     parent.addControlListener((ControlListener)new ControlAdapter() {
/*      */           public void controlResized(ControlEvent e) {
/*  152 */             ViewBulletin.this.setCursor();
/*  153 */             ViewBulletin.this.container.layout();
/*      */           }
/*      */         });
/*  156 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/*  157 */         2816);
/*  158 */     scroll.setExpandHorizontal(true);
/*  159 */     this.container = new Composite((Composite)scroll, 0);
/*  160 */     GridLayout gridLayout_2 = new GridLayout();
/*  161 */     gridLayout_2.numColumns = 2;
/*  162 */     gridLayout_2.marginTop = 35;
/*  163 */     gridLayout_2.marginRight = 35;
/*  164 */     gridLayout_2.marginLeft = 35;
/*  165 */     this.container.setLayout((Layout)gridLayout_2);
/*      */     
/*  167 */     Label label_10 = new Label(this.container, 0);
/*  168 */     label_10.setLayoutData(new GridData(16384, 16777216, false, false, 
/*  169 */           2, 1));
/*  170 */     label_10.setText("制作公告盘>>查看公告制作情况 ");
/*  171 */     label_10.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  172 */     Label label_7 = new Label(this.container, 258);
/*      */     
/*  174 */     label_7.setLayoutData(new GridData(4, 16777216, false, false, 
/*  175 */           2, 1));
/*  176 */     this.button_3 = new Button(this.container, 32);
/*  177 */     this.button_3.setLayoutData(new GridData(16384, 16777216, false, false, 
/*  178 */           2, 1));
/*  179 */     this.button_3.setText("点击这里搜索");
/*  180 */     this.button_3.setForeground(SWTResourceManager.getColor(205, 131, 170));
/*  181 */     this.button_3.setFont(SWTResourceManager.getFont("", 9, 1));
/*      */     
/*  183 */     this.composite_1 = new Composite(this.container, 0);
/*  184 */     this.composite_1.setLayoutData(new GridData(4, 16777216, true, 
/*  185 */           false, 2, 1));
/*  186 */     this.composite_1.setLayout((Layout)new GridLayout());
/*      */     
/*  188 */     this.com = new Composite(this.container, 0);
/*  189 */     this.com.setLayout((Layout)new RowLayout());
/*  190 */     this.com.setLayoutData(new GridData(16384, 16777216, true, false));
/*      */     
/*  192 */     this.label_1 = new Label(this.com, 64);
/*  193 */     this.label_1.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  194 */     this.label_1.setText("注：列表中所列公告为");
/*      */     
/*  196 */     this.label_2 = new Label(this.com, 0);
/*  197 */     this.label_2.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  198 */     this.label_2.setFont(SWTResourceManager.getFont("", 10, 1));
/*  199 */     this.label_2.setText(this.bnDate);
/*      */     
/*  201 */     Label label_3 = new Label(this.com, 0);
/*  202 */     label_3.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  203 */     label_3.setText("到");
/*      */     
/*  205 */     this.label_4 = new Label(this.com, 0);
/*  206 */     this.label_4.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  207 */     this.label_4.setFont(SWTResourceManager.getFont("", 10, 1));
/*  208 */     this.label_4.setText(this.enDate);
/*      */     
/*  210 */     Label label_5 = new Label(this.com, 0);
/*  211 */     label_5.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  212 */     label_5.setText("内制作的公告，如需查询其它日期制作的公告，请点击搜索进行查询");
/*  213 */     PublicBulletin.setBulletinTemplate();
/*      */     
/*  215 */     this.composite_3 = new Composite(this.container, 0);
/*  216 */     GridData gd_composite_3 = new GridData(4, 4, true, 
/*  217 */         false, 2, 1);
/*  218 */     gd_composite_3.heightHint = 345;
/*  219 */     this.composite_3.setLayoutData(gd_composite_3);
/*  220 */     GridLayout gridLayout_3 = new GridLayout();
/*  221 */     gridLayout_3.verticalSpacing = 0;
/*  222 */     gridLayout_3.marginWidth = 0;
/*  223 */     gridLayout_3.marginHeight = 0;
/*  224 */     gridLayout_3.horizontalSpacing = 0;
/*  225 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*      */     
/*  227 */     this.tableViewer = new TableViewer(this.composite_3, 67584);
/*      */     
/*  229 */     this.table = this.tableViewer.getTable();
/*  230 */     this.table.setCursor(SWTResourceManager.getCursor(0));
/*  231 */     this.table.setLinesVisible(true);
/*  232 */     this.table.setHeaderVisible(true);
/*  233 */     GridData gd_table = new GridData(4, 4, true, true, 
/*  234 */         2, 1);
/*  235 */     gd_table.heightHint = 142;
/*  236 */     this.table.setLayoutData(gd_table);
/*      */     
/*  238 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/*  239 */         16777216);
/*  240 */     newColumnTableColumn.setAlignment(16777216);
/*  241 */     newColumnTableColumn.setWidth(100);
/*  242 */     newColumnTableColumn.setText("公告期次");
/*      */     
/*  244 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/*  245 */         0);
/*  246 */     newColumnTableColumn_1.setAlignment(16777216);
/*  247 */     newColumnTableColumn_1.setWidth(100);
/*  248 */     newColumnTableColumn_1.setText("公告单位数目");
/*      */     
/*  250 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/*  251 */         0);
/*  252 */     newColumnTableColumn_2.setAlignment(16777216);
/*  253 */     newColumnTableColumn_2.setWidth(102);
/*  254 */     newColumnTableColumn_2.setText("公告制作时间");
/*      */     
/*  256 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/*  257 */         0);
/*  258 */     newColumnTableColumn_3.setAlignment(16777216);
/*  259 */     newColumnTableColumn_3.setWidth(263);
/*  260 */     newColumnTableColumn_3.setText("刊登媒体");
/*      */     
/*  262 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/*  263 */         0);
/*  264 */     newColumnTableColumn_4.setAlignment(16777216);
/*  265 */     newColumnTableColumn_4.setWidth(89);
/*  266 */     newColumnTableColumn_4.setText("刊登时间");
/*      */     
/*  268 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/*  269 */         0);
/*  270 */     newColumnTableColumn_5.setAlignment(16777216);
/*  271 */     newColumnTableColumn_5.setWidth(181);
/*  272 */     newColumnTableColumn_5.setText("版面");
/*      */     
/*  274 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/*  275 */         0);
/*  276 */     newColumnTableColumn_6.setAlignment(16777216);
/*  277 */     newColumnTableColumn_6.setWidth(47);
/*      */     
/*  279 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 
/*  280 */         0);
/*  281 */     newColumnTableColumn_7.setAlignment(16777216);
/*  282 */     newColumnTableColumn_7.setWidth(50);
/*      */     
/*  284 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 
/*  285 */         0);
/*  286 */     newColumnTableColumn_8.setWidth(51);
/*  287 */     TableColumn newColumnTableColumn_9 = new TableColumn(this.table, 
/*  288 */         0);
/*  289 */     newColumnTableColumn_9.setWidth(51);
/*  290 */     TableColumn newColumnTableColumn_10 = new TableColumn(this.table, 
/*  291 */         0);
/*  292 */     newColumnTableColumn_10.setWidth(0);
/*  293 */     newColumnTableColumn_10.setResizable(false);
/*  294 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new ViewBulletinTableLabelProvider());
/*  295 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*      */ 
/*      */     
/*  298 */     this.compage = new Composite(this.container, 0);
/*  299 */     GridData gd_compage = new GridData(4, 4, false, 
/*  300 */         false, 2, 1);
/*  301 */     this.compage.setLayoutData(gd_compage);
/*  302 */     GridLayout gridLayout = new GridLayout();
/*  303 */     gridLayout.numColumns = 5;
/*  304 */     gridLayout.marginTop = 0;
/*  305 */     gridLayout.verticalSpacing = 0;
/*  306 */     gridLayout.marginWidth = 0;
/*  307 */     gridLayout.marginHeight = 0;
/*  308 */     gridLayout.horizontalSpacing = 2;
/*  309 */     gridLayout.marginLeft = 15;
/*  310 */     this.compage.setLayout((Layout)gridLayout);
/*      */     
/*  312 */     this.page = new Label(this.compage, 0);
/*  313 */     this.page.setText("页次：");
/*      */     
/*  315 */     this.nowPage = new Label(this.compage, 0);
/*      */     
/*  317 */     this.everyPageRows = new Label(this.compage, 0);
/*  318 */     this.allRows = new Label(this.compage, 0);
/*      */     
/*  320 */     this.composite_2 = new Composite(this.compage, 0);
/*  321 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/*  322 */         false);
/*  323 */     this.composite_2.setLayoutData(gd_composite_1);
/*  324 */     GridLayout gridLayout_1 = new GridLayout();
/*  325 */     gridLayout_1.numColumns = 6;
/*  326 */     this.composite_2.setLayout((Layout)gridLayout_1);
/*      */     
/*  328 */     this.priorPage = new Button(this.composite_2, 0);
/*  329 */     this.priorPage.setEnabled(false);
/*  330 */     this.priorPage.setText("上一页");
/*      */     
/*  332 */     this.nextPage = new Button(this.composite_2, 0);
/*  333 */     this.nextPage.setEnabled(false);
/*  334 */     this.nextPage.setText("下一页");
/*      */     
/*  336 */     Label label_8_1 = new Label(this.composite_2, 0);
/*  337 */     label_8_1.setLayoutData(new GridData());
/*  338 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  339 */     label_8_1.setText("转至第");
/*      */     
/*  341 */     this.text = new Text(this.composite_2, 2048);
/*  342 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  343 */     gd_text.widthHint = 46;
/*  344 */     this.text.setLayoutData(gd_text);
/*  345 */     Label label_1_1 = new Label(this.composite_2, 0);
/*  346 */     label_1_1.setLayoutData(new GridData());
/*  347 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  348 */     label_1_1.setText("页");
/*  349 */     this.goButton = new Button(this.composite_2, 0);
/*  350 */     this.goButton.setLayoutData(new GridData());
/*  351 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  352 */     this.goButton.setText("GO");
/*      */     
/*  354 */     this.container.setSize(620, 695);
/*  355 */     scroll.setContent((Control)this.container);
/*      */     
/*  357 */     PublicUtil.setMouseHands(this.table, "6#7#8#9");
/*  358 */     progress();
/*  359 */     PublicUtil.setTableWidth(this.composite_3, this.table, 
/*  360 */         "1.4:1.1:1:1.5:1:1.5:0.4:0.4:0.85:0.85:0.03");
/*  361 */     PublicUtil.setTableHeight(this.table);
/*  362 */     setPages(this.currentPage);
/*  363 */     setFontColor();
/*  364 */     setCursor();
/*  365 */     action();
/*  366 */     initializeToolBar();
/*  367 */     initializeMenu();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createActions() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  381 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/*  382 */       .getToolBarManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeMenu() {
/*  389 */     IMenuManager menuManager = getViewSite().getActionBars()
/*  390 */       .getMenuManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void action() {
/*  402 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  404 */             if (ViewBulletin.this.button_3.getSelection()) {
/*  405 */               ViewBulletin.this.setSearch();
/*      */             } else {
/*  407 */               ViewBulletin.this.composite_4.dispose();
/*  408 */               ViewBulletin.this.container.layout();
/*      */             } 
/*  410 */             ViewBulletin.this.isBulletin = "all";
/*      */           }
/*      */         });
/*      */     
/*  414 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent event) {
/*  416 */             if (VerifyFunction.isNumeric(ViewBulletin.this.text.getText())) {
/*  417 */               int aa = Integer.parseInt(ViewBulletin.this.text.getText());
/*  418 */               if (aa > ViewBulletin.this.totalPages) {
/*  419 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*      */               } else {
/*  421 */                 ViewBulletin.this.starto = (aa - 1) * ViewBulletin.this.maxCount + 1;
/*  422 */                 ViewBulletin.this.progress();
/*  423 */                 ViewBulletin.this.setPages(aa);
/*  424 */                 ViewBulletin.this.setFontColor();
/*  425 */                 ViewBulletin.this.setCursor();
/*      */               } 
/*      */             } else {
/*  428 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  434 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent arg0) {
/*  437 */             ViewBulletin.this.starto = (ViewBulletin.this.currentPage - 2) * ViewBulletin.this.maxCount + 1;
/*  438 */             ViewBulletin.this.progress();
/*  439 */             ViewBulletin.this.setPages(ViewBulletin.this.currentPage - 1);
/*  440 */             ViewBulletin.this.setFontColor();
/*  441 */             ViewBulletin.this.setCursor();
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  446 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent arg0) {
/*  449 */             ViewBulletin.this.starto = ViewBulletin.this.currentPage * ViewBulletin.this.maxCount + 1;
/*  450 */             ViewBulletin.this.progress();
/*  451 */             ViewBulletin.this.setPages(ViewBulletin.this.currentPage + 1);
/*  452 */             ViewBulletin.this.setFontColor();
/*  453 */             ViewBulletin.this.setCursor();
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setFontColor() {
/*  464 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/*  465 */       this.table.getItem(i)
/*  466 */         .setFont(
/*  467 */           6, 
/*  468 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  469 */             false, false));
/*  470 */       this.table.getItem(i).setForeground(6, 
/*  471 */           SWTResourceManager.getColor(37, 26, 181));
/*  472 */       this.table.getItem(i)
/*  473 */         .setFont(
/*  474 */           7, 
/*  475 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  476 */             false, false));
/*  477 */       this.table.getItem(i).setForeground(7, 
/*  478 */           SWTResourceManager.getColor(37, 26, 181));
/*  479 */       this.table.getItem(i)
/*  480 */         .setFont(
/*  481 */           8, 
/*  482 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  483 */             false, false));
/*  484 */       this.table.getItem(i).setForeground(8, 
/*  485 */           SWTResourceManager.getColor(37, 26, 181));
/*  486 */       this.table.getItem(i)
/*  487 */         .setFont(
/*  488 */           9, 
/*  489 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  490 */             false, false));
/*  491 */       this.table.getItem(i).setForeground(9, 
/*  492 */           SWTResourceManager.getColor(37, 26, 181));
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void view() {
/*  500 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/*  501 */       .getSelection();
/*  502 */     if (select.isEmpty()) {
/*  503 */       SydjMessageDialog.openInformation(null, "提示", "请选择查看的公告信息");
/*      */       return;
/*      */     } 
/*  506 */     BulltinModel model = (BulltinModel)select.getFirstElement();
/*  507 */     String[] items = BulletinItem.getBulletinItem(model.getAppType())
/*  508 */       .split("&");
/*  509 */     String viewItems = "";
/*  510 */     for (int k = 0; k < items.length; k++) {
/*  511 */       String str = model.getBulItem().replace("|", "&");
/*  512 */       String[] bullItem = str.split("&");
/*  513 */       for (int i = 0; i < bullItem.length; i++) {
/*  514 */         if (items[k].contains(bullItem[i])) {
/*  515 */           if (viewItems.equals("")) {
/*  516 */             viewItems = items[k];
/*      */           } else {
/*  518 */             viewItems = String.valueOf(viewItems) + "&" + items[k];
/*      */           } 
/*      */         }
/*      */       } 
/*      */     } 
/*  523 */     if (!"".equals(viewItems)) {
/*  524 */       switch (Integer.valueOf(model.getAppType()).intValue()) {
/*      */         case 0:
/*  526 */           setUsrTemplate(viewItems, model);
/*      */           break;
/*      */         case 1:
/*  529 */           setUsrTemplate(viewItems, model);
/*      */           break;
/*      */         case 2:
/*  532 */           setUsrTemplate(viewItems, model);
/*      */           break;
/*      */         case 3:
/*  535 */           if (BulletinItem.LOGOUT_TEMPLATE.equals("0")) {
/*  536 */             setUsrTemplate(viewItems, model); break;
/*      */           } 
/*  538 */           setStateLogOutTemplate(viewItems, model);
/*      */           break;
/*      */         case 4:
/*  541 */           if (BulletinItem.CERT_TEMPLATE.equals("0")) {
/*  542 */             setUsrTemplate(viewItems, model); break;
/*      */           } 
/*  544 */           setStateCertRegainTemplate(viewItems, model);
/*      */           break;
/*      */         case 5:
/*  547 */           setUsrTemplate(viewItems, model);
/*      */           break;
/*      */         case 6:
/*  550 */           if (BulletinItem.CERT_ABOLISH_TEMPLATE.equals("0")) {
/*  551 */             setCertAbolishUsrTemplate(viewItems, model); break;
/*      */           } 
/*  553 */           setStateCertAbolishRegainTemplate(viewItems, model);
/*      */           break;
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void modify() {
/*  565 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/*  566 */       .getSelection();
/*  567 */     if (select.isEmpty()) {
/*  568 */       SydjMessageDialog.openInformation(null, "提示", "请选择查看的公告信息");
/*      */       return;
/*      */     } 
/*  571 */     BulltinModel model = (BulltinModel)select.getFirstElement();
/*  572 */     String viewItems = BulletinItem.getBulletinItem(model.getAppType());
/*  573 */     ModifyBulletinDialog dialog = new ModifyBulletinDialog(
/*  574 */         this.container.getShell(), viewItems, model);
/*  575 */     int id = dialog.open();
/*  576 */     int selectIndex = 0;
/*  577 */     if (model.getAppType().equals("6")) {
/*  578 */       if (id == 0) {
/*  579 */         selectIndex = dialog.getSelectIndex();
/*  580 */         if (selectIndex == 0) {
/*  581 */           BulltinModel bm = dialog.getMd();
/*  582 */           if (bm.getBulNumber().equals(model.getBulNumber()) && 
/*  583 */             bm.getIsBulltined().equals(
/*  584 */               model.getIsBulltined()))
/*  585 */             if (bm.getBulMedia().equals(model.getBulMedia()) && 
/*  586 */               bm.getBulDate().equals(model.getBulDate()) && 
/*  587 */               bm.getBulPage().equals(model.getBulPage())) {
/*  588 */               SydjMessageDialog.openInformation(null, "提示", "修改成功");
/*      */               return;
/*      */             }  
/*  591 */           if (this.button_3.getSelection())
/*  592 */           { if (this.button.getSelection()) {
/*  593 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  600 */                 .modifyCertAbolishBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0");
/*      */             } else {
/*  602 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  608 */                 .modifyCertAbolishBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1");
/*      */             }  }
/*  610 */           else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  616 */               .modifyCertAbolishBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0"); }
/*  617 */            if (this.bulltin == null) {
/*      */             return;
/*      */           }
/*  620 */           if (!this.bulltin.isEmpty()) {
/*  621 */             if ("exist".equals(String.valueOf(
/*  622 */                   this.bulltin.get(0)))) {
/*  623 */               SydjMessageDialog.openInformation(null, 
/*  624 */                   "提示", "公告期次已经存在，请重新输入公告期次");
/*      */               return;
/*      */             } 
/*  627 */             Object object = this.bulltin;
/*  628 */             this.tableViewer.setInput(object);
/*  629 */             SydjMessageDialog.openInformation(null, 
/*  630 */                 "提示", "修改成功");
/*  631 */             setCursor();
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*      */             return;
/*      */           } 
/*      */         } else {
/*  639 */           BulltinModel bm = dialog.getMd();
/*  640 */           if (bm.getBulItem().equals(model.getBulItem())) {
/*  641 */             SydjMessageDialog.openInformation(null, "提示", "修改成功");
/*      */           } else {
/*  643 */             if (this.button_3.getSelection())
/*  644 */             { if (this.button.getSelection()) {
/*  645 */                 this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                   
/*  652 */                   .modifyCertAbolishBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0");
/*      */               } else {
/*  654 */                 this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                   
/*  660 */                   .modifyCertAbolishBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1");
/*      */               }  }
/*  662 */             else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  668 */                 .modifyCertAbolishBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0"); }
/*  669 */              if (this.bulltin == null) {
/*      */               return;
/*      */             }
/*  672 */             if (!this.bulltin.isEmpty()) {
/*  673 */               if ("exist".equals(String.valueOf(
/*  674 */                     this.bulltin.get(0)))) {
/*  675 */                 SydjMessageDialog.openInformation(null, 
/*  676 */                     "提示", "公告期次已经存在，请重新输入公告期次");
/*      */                 return;
/*      */               } 
/*  679 */               Object object = this.bulltin;
/*  680 */               this.tableViewer.setInput(object);
/*  681 */               SydjMessageDialog.openInformation(null, 
/*  682 */                   "提示", "修改成功");
/*  683 */               setCursor();
/*      */               
/*      */               return;
/*      */             } 
/*      */           } 
/*      */         } 
/*      */       } else {
/*  690 */         if (id == 2) {
/*  691 */           ArrayList lists = dialog.getLists();
/*  692 */           if (this.button_3.getSelection())
/*  693 */           { if (this.button.getSelection()) {
/*  694 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  700 */                 .addAndDelCertAbolishBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model);
/*      */             } else {
/*  702 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  707 */                 .addAndDelCertAbolishBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1", model);
/*      */             }  }
/*  709 */           else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */               
/*  713 */               .addAndDelCertAbolishBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model); }
/*  714 */            if (this.bulltin == null)
/*      */             return; 
/*  716 */           Object object = this.bulltin;
/*  717 */           this.tableViewer.setInput(object);
/*  718 */           SydjMessageDialog.openInformation(null, "提示", "添加成功");
/*  719 */           setCursor(); return;
/*      */         } 
/*  721 */         if (id == 3) {
/*  722 */           ArrayList lists = dialog.getLists();
/*  723 */           if (this.button_3.getSelection())
/*  724 */           { if (this.button.getSelection()) {
/*  725 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  731 */                 .addAndDelCertAbolishBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model);
/*      */             } else {
/*  733 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  738 */                 .addAndDelCertAbolishBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1", model);
/*      */             }  }
/*  740 */           else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */               
/*  744 */               .addAndDelCertAbolishBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model); }
/*  745 */            if (this.bulltin == null)
/*      */             return; 
/*  747 */           Object object = this.bulltin;
/*  748 */           this.tableViewer.setInput(object);
/*  749 */           SydjMessageDialog.openInformation(null, "提示", "删除成功");
/*  750 */           setCursor();
/*      */           return;
/*      */         } 
/*      */       } 
/*  754 */     } else if (id == 0) {
/*  755 */       selectIndex = dialog.getSelectIndex();
/*  756 */       if (selectIndex == 0) {
/*  757 */         BulltinModel bm = dialog.getMd();
/*  758 */         if (bm.getBulNumber().equals(model.getBulNumber()) && 
/*  759 */           bm.getIsBulltined().equals(
/*  760 */             model.getIsBulltined()))
/*  761 */           if (bm.getBulMedia().equals(model.getBulMedia()) && 
/*  762 */             bm.getBulDate().equals(model.getBulDate()) && 
/*  763 */             bm.getBulPage().equals(model.getBulPage())) {
/*  764 */             SydjMessageDialog.openInformation(null, "提示", "修改成功");
/*      */             return;
/*      */           }  
/*  767 */         if (this.button_3.getSelection())
/*  768 */         { if (this.button.getSelection()) {
/*  769 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  776 */               .modifyBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0");
/*      */           } else {
/*  778 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  784 */               .modifyBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1");
/*      */           }  }
/*  786 */         else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */             
/*  791 */             .modifyBulletin(bm, "0", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0"); }
/*  792 */          if (this.bulltin == null) {
/*      */           return;
/*      */         }
/*  795 */         if (!this.bulltin.isEmpty()) {
/*  796 */           if ("exist".equals(String.valueOf(
/*  797 */                 this.bulltin.get(0)))) {
/*  798 */             SydjMessageDialog.openInformation(null, 
/*  799 */                 "提示", "公告期次已经存在，请重新输入公告期次");
/*      */             return;
/*      */           } 
/*  802 */           Object object = this.bulltin;
/*  803 */           this.tableViewer.setInput(object);
/*  804 */           SydjMessageDialog.openInformation(null, 
/*  805 */               "提示", "修改成功");
/*  806 */           setCursor();
/*      */ 
/*      */ 
/*      */ 
/*      */           
/*      */           return;
/*      */         } 
/*      */       } else {
/*  814 */         BulltinModel bm = dialog.getMd();
/*  815 */         if (bm.getBulItem().equals(model.getBulItem())) {
/*  816 */           SydjMessageDialog.openInformation(null, "提示", "修改成功");
/*      */         } else {
/*  818 */           if (this.button_3.getSelection())
/*  819 */           { if (this.button.getSelection()) {
/*  820 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  827 */                 .modifyBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0");
/*      */             } else {
/*  829 */               this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */                 
/*  835 */                 .modifyBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1");
/*      */             }  }
/*  837 */           else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  842 */               .modifyBulletin(bm, "1", model.getBulNumber(), GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0"); }
/*  843 */            if (this.bulltin == null) {
/*      */             return;
/*      */           }
/*  846 */           if (!this.bulltin.isEmpty()) {
/*  847 */             if ("exist".equals(String.valueOf(
/*  848 */                   this.bulltin.get(0)))) {
/*  849 */               SydjMessageDialog.openInformation(null, 
/*  850 */                   "提示", "公告期次已经存在，请重新输入公告期次");
/*      */               return;
/*      */             } 
/*  853 */             Object object = this.bulltin;
/*  854 */             this.tableViewer.setInput(object);
/*  855 */             SydjMessageDialog.openInformation(null, 
/*  856 */                 "提示", "修改成功");
/*  857 */             setCursor();
/*      */             
/*      */             return;
/*      */           } 
/*      */         } 
/*      */       } 
/*      */     } else {
/*  864 */       if (id == 2) {
/*  865 */         ArrayList lists = dialog.getLists();
/*  866 */         if (this.button_3.getSelection())
/*  867 */         { if (this.button.getSelection()) {
/*  868 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  874 */               .addAndDelBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model);
/*      */           } else {
/*  876 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  881 */               .addAndDelBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1", model);
/*      */           }  }
/*  883 */         else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */             
/*  887 */             .addAndDelBulletin(lists, "0", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model); }
/*  888 */          if (this.bulltin == null)
/*      */           return; 
/*  890 */         Object object = this.bulltin;
/*  891 */         this.tableViewer.setInput(object);
/*  892 */         SydjMessageDialog.openInformation(null, "提示", "添加成功");
/*  893 */         setCursor(); return;
/*      */       } 
/*  895 */       if (id == 3) {
/*  896 */         ArrayList lists = dialog.getLists();
/*  897 */         if (this.button_3.getSelection())
/*  898 */         { if (this.button.getSelection()) {
/*  899 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  905 */               .addAndDelBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, this.bulNumText.getText(), this.bnText.getText(), this.enText.getText(), "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model);
/*      */           } else {
/*  907 */             this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */ 
/*      */               
/*  912 */               .addAndDelBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", "", this.nmText.getText(), (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "1", model);
/*      */           }  }
/*  914 */         else { this.bulltin = this.bull
/*      */ 
/*      */ 
/*      */             
/*  918 */             .addAndDelBulletin(lists, "1", GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.isBulletin, "", "", "", "", (this.currentPage - 1) * this.maxCount + 1, this.maxCount, "0", model); }
/*  919 */          if (this.bulltin == null)
/*      */           return; 
/*  921 */         Object object = this.bulltin;
/*  922 */         this.tableViewer.setInput(object);
/*  923 */         SydjMessageDialog.openInformation(null, "提示", "删除成功");
/*  924 */         setCursor();
/*      */         return;
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void saveWord() {
/*      */     try {
/*  935 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/*  936 */         .getSelection();
/*  937 */       if (select.isEmpty()) {
/*  938 */         SydjMessageDialog.openInformation(null, "提示", "请选择查看的公告信息");
/*      */         return;
/*      */       } 
/*  941 */       BulltinModel model = (BulltinModel)select.getFirstElement();
/*  942 */       ArrayList list = null;
/*  943 */       list = viewBulletin(model);
/*  944 */       if (list != null) {
/*  945 */         String fileName = 
/*  946 */           String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + 
/*  947 */           "proclaim.doc";
/*  948 */         String content = "";
/*      */         try {
/*  950 */           if ("1".equals(model.getAppType()))
/*  951 */           { content = writeWordAlter(fileName, list, 
/*  952 */                 model.getBulCount()); }
/*  953 */           else if (model.getAppType().equals("4") && 
/*  954 */             BulletinItem.CERT_TEMPLATE.equals("1"))
/*  955 */           { content = writeStatCertRegainWordAlter(fileName, list, 
/*  956 */                 model.getBulCount()); }
/*  957 */           else if (model.getAppType().equals("3") && 
/*  958 */             BulletinItem.LOGOUT_TEMPLATE.equals("1"))
/*  959 */           { content = writeStatLogOutWordAlter(fileName, list, 
/*  960 */                 model); }
/*      */           
/*  962 */           else if (model.getAppType().equals("6") && 
/*  963 */             BulletinItem.CERT_ABOLISH_TEMPLATE.equals("1"))
/*  964 */           { content = writeCertAbolishWord(fileName, list, model); }
/*      */           else
/*      */           
/*  967 */           { content = writeWord(fileName, list, model.getBulCount()); } 
/*  968 */         } catch (IOException e) {
/*  969 */           e.printStackTrace();
/*      */         } 
/*  971 */         ReplaceMap rmap = new ReplaceMap();
/*  972 */         OpenOrLoadDialog oold = null;
/*  973 */         if (model.getAppType().equals("3") && 
/*  974 */           BulletinItem.LOGOUT_TEMPLATE.equals("1")) {
/*  975 */           oold = new OpenOrLoadDialog(
/*  976 */               this.container.getShell(), 
/*  977 */               "公告事项下载", 
/*  978 */               "Microsoft Word 文档", 
/*  979 */               DocumentTemplate.STATE_LOG_OUT_BULLETIN_TEMPLATE_PATH, 
/*  980 */               rmap.getBulletinMap(content));
/*  981 */         } else if (model.getAppType().equals("4") && 
/*  982 */           BulletinItem.CERT_TEMPLATE.equals("1")) {
/*  983 */           oold = new OpenOrLoadDialog(
/*  984 */               this.container.getShell(), 
/*  985 */               "公告事项下载", 
/*  986 */               "Microsoft Word 文档", 
/*  987 */               DocumentTemplate.STATE_CERT_REGAIN_BULLETIN_TEMPLATE_PATH, 
/*  988 */               rmap.getBulletinMap(content));
/*  989 */         } else if (model.getAppType().equals("6") && 
/*  990 */           BulletinItem.CERT_ABOLISH_TEMPLATE.equals("1")) {
/*  991 */           oold = new OpenOrLoadDialog(
/*  992 */               this.container.getShell(), 
/*  993 */               "公告事项下载", 
/*  994 */               "Microsoft Word 文档", 
/*  995 */               DocumentTemplate.STATE_CERT_ABOLISH_BULLETIN_TEMPLATE_PATH, 
/*  996 */               rmap.getBulletinMap(content));
/*      */         } else {
/*  998 */           oold = new OpenOrLoadDialog(this.container.getShell(), 
/*  999 */               "公告事项下载", 
/* 1000 */               "Microsoft Word 文档", 
/* 1001 */               DocumentTemplate.BULLETIN_TEMPLATE_PATH, 
/* 1002 */               rmap
/* 1003 */               .getBulletinMap(content, model.getBulNumber(), String.valueOf(model.getBulCount())));
/* 1004 */         }  oold.open();
/*      */       } 
/* 1006 */     } catch (Exception e) {
/* 1007 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void saveExcel() {
/*      */     try {
/* 1016 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 1017 */         .getSelection();
/* 1018 */       if (select.isEmpty()) {
/* 1019 */         SydjMessageDialog.openInformation(null, "提示", "请选择查看的公告信息");
/*      */         return;
/*      */       } 
/* 1022 */       BulltinModel model = (BulltinModel)select.getFirstElement();
/* 1023 */       if (!model.getAppType().equals("3") || 
/* 1024 */         !BulletinItem.LOGOUT_TEMPLATE.equals("1"))
/*      */       {
/* 1026 */         if (!model.getAppType().equals("4") || 
/* 1027 */           !BulletinItem.CERT_TEMPLATE.equals("1")) {
/*      */           
/* 1029 */           ArrayList list = viewBulletin(model);
/* 1030 */           String appType = "";
/* 1031 */           if (list != null) {
/* 1032 */             String fileName = 
/* 1033 */               String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + 
/* 1034 */               "proclaim.xls";
/* 1035 */             switch (Integer.valueOf(model.getAppType()).intValue()) {
/*      */               case 0:
/* 1037 */                 appType = "设立公告";
/*      */                 break;
/*      */               case 1:
/* 1040 */                 appType = "变更公告";
/*      */                 break;
/*      */               case 2:
/* 1043 */                 appType = "年检公告";
/*      */                 break;
/*      */               case 3:
/* 1046 */                 appType = "注销公告";
/*      */                 break;
/*      */               case 4:
/* 1049 */                 appType = "证书补领公告";
/*      */                 break;
/*      */               case 5:
/* 1052 */                 appType = "重新申领证书";
/*      */                 break;
/*      */               case 6:
/* 1055 */                 appType = "证书废止";
/*      */                 break;
/*      */             } 
/*      */ 
/*      */             
/* 1060 */             OpenAndSaveDialog dialog = new OpenAndSaveDialog(
/* 1061 */                 this.container.getShell(), "公告下载", "Excel文件(.xls)");
/* 1062 */             int returnValue = dialog.open();
/*      */             
/* 1064 */             if (returnValue == 0) {
/*      */               
/*      */               try {
/* 1067 */                 boolean flag = model.getAppType().equals("1") ? 
/*      */                   
/* 1069 */                   writeAlterExcel(list, fileName, appType, model.getBulNumber()) : 
/* 1070 */                   writeExcel(list, fileName, appType, 
/* 1071 */                     model.getBulNumber());
/* 1072 */                 if (flag) {
/* 1073 */                   Program.launch(fileName);
/*      */                 } else {
/* 1075 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 1076 */                       "生成Excel文件错误，下载失败");
/*      */                 } 
/* 1078 */               } catch (Exception e) {
/* 1079 */                 e.printStackTrace();
/* 1080 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 1081 */                     "生成Excel文件错误，下载失败");
/*      */               } 
/* 1083 */             } else if (returnValue == 16) {
/* 1084 */               SaveDialog save = new SaveDialog(this.container.getShell());
/* 1085 */               save.setFileName("公告下载");
/* 1086 */               save.setFilterExtensions(new String[] { "*.xls" });
/* 1087 */               fileName = save.open();
/*      */               
/* 1089 */               if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 1090 */                 fileName = String.valueOf(fileName) + ".xls";
/*      */               }
/*      */               try {
/* 1093 */                 boolean flag = model.getAppType().equals("1") ? 
/*      */                   
/* 1095 */                   writeAlterExcel(list, fileName, appType, model.getBulNumber()) : 
/* 1096 */                   writeExcel(list, fileName, appType, 
/* 1097 */                     model.getBulNumber());
/* 1098 */                 if (flag) {
/* 1099 */                   LoadSuccessDialog succ = new LoadSuccessDialog(
/* 1100 */                       this.container.getShell(), fileName);
/* 1101 */                   succ.open();
/*      */                 } else {
/* 1103 */                   SydjMessageDialog.openInformation(null, "提示", 
/* 1104 */                       "生成Excel文件错误，下载失败");
/*      */                 } 
/* 1106 */               } catch (Exception e) {
/* 1107 */                 e.printStackTrace();
/* 1108 */                 SydjMessageDialog.openInformation(null, "提示", 
/* 1109 */                     "生成Excel文件错误，下载失败");
/*      */               } 
/*      */             } 
/*      */           } else {
/*      */             
/* 1114 */             SydjMessageDialog.openInformation(null, "提示", 
/* 1115 */                 "生成Excel文件错误，下载失败");
/*      */           } 
/*      */         }  } 
/* 1118 */     } catch (Exception e) {
/* 1119 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private ArrayList viewBulletin(BulltinModel model) {
/* 1129 */     ArrayList list = new ArrayList();
/* 1130 */     String[] items = BulletinItem.getBulletinItem(model.getAppType())
/* 1131 */       .split("&");
/* 1132 */     String viewItems = "";
/* 1133 */     for (int k = 0; k < items.length; k++) {
/* 1134 */       String str = model.getBulItem().replace("|", "&");
/* 1135 */       String[] bullItem = str.split("&");
/* 1136 */       for (int i = 0; i < bullItem.length; i++) {
/* 1137 */         if (items[k].contains(bullItem[i])) {
/* 1138 */           if (viewItems.equals("")) {
/* 1139 */             viewItems = items[k];
/*      */           } else {
/* 1141 */             viewItems = String.valueOf(viewItems) + "&" + items[k];
/*      */           } 
/*      */         }
/*      */       } 
/*      */     } 
/* 1146 */     if (!"".equals(viewItems)) {
/* 1147 */       if (BulletinItem.CERT_TEMPLATE.equals("1") && 
/* 1148 */         model.getAppType().equals("4")) {
/* 1149 */         list = this.bull.viewCertRegainBulltin(new ArrayList(), viewItems, 
/* 1150 */             model.getAppType(), 
/* 1151 */             GljgUserInfo.getInstance().getGroupid(), 
/* 1152 */             GljgUserInfo.getInstance().getDistrictcode(), model.getBulNumber());
/* 1153 */         return list;
/*      */       } 
/* 1155 */       if (BulletinItem.LOGOUT_TEMPLATE.equals("1") && 
/* 1156 */         model.getAppType().equals("3")) {
/* 1157 */         list = this.bull.viewLogOutBulltin(new ArrayList(), viewItems, 
/* 1158 */             model.getAppType(), GljgUserInfo.getInstance().getGroupid(), 
/* 1159 */             GljgUserInfo.getInstance().getDistrictcode(), 
/* 1160 */             model.getBulNumber());
/* 1161 */         return list;
/*      */       } 
/* 1163 */       if (model.getAppType().equals("6")) {
/*      */         
/* 1165 */         list = this.bull.viewAbolishBulltin(new ArrayList(), viewItems, 
/* 1166 */             model.getAppType(), 
/* 1167 */             GljgUserInfo.getInstance().getGroupid(), 
/* 1168 */             GljgUserInfo.getInstance().getDistrictcode(), model.getBulNumber());
/* 1169 */         return list;
/*      */       } 
/* 1171 */       list = this.bull.viewBulltin(new ArrayList(), viewItems, 
/* 1172 */           model.getAppType(), GljgUserInfo.getInstance().getGroupid(), 
/* 1173 */           GljgUserInfo.getInstance().getDistrictcode(), 
/* 1174 */           model.getBulNumber());
/*      */     } 
/* 1176 */     return list;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String writeWord(String fileName, ArrayList<BulletinItemViewModel> bulletin, String bulCount) throws IOException {
/* 1193 */     String body = "";
/* 1194 */     for (int i = 0; i < bulletin.size(); i++) {
/* 1195 */       BulletinItemViewModel view = bulletin
/* 1196 */         .get(i);
/* 1197 */       body = String.valueOf(body) + 
/* 1198 */         "<div align=center>\n" + 
/* 1199 */         "<table class=MsoNormalTable border=0 cellpadding=0 width=\"100%\"\n" + 
/* 1200 */         "style='width:100.0%;mso-cellspacing:1.5pt;mso-yfti-tbllook:1184'>\n" + 
/* 1201 */         "<tr style='mso-yfti-irow:0;mso-yfti-firstrow:yes;height:18.75pt'>\n" + 
/* 1202 */         "<td colspan=2 style='padding:.75pt .75pt .75pt .75pt;height:18.75pt'>\n" + 
/* 1203 */         "<p class=MsoNormal><strong><span\n" + 
/* 1204 */         "style='font-family:宋体;mso-ascii-font-family:\"Times New Roman\";mso-hansi-font-family: \n" + 
/* 1205 */         "\"Times New Roman\"'>" + view.getId() + "、“" + 
/* 1206 */         view.getUnitName() + "”公告事项：" + 
/* 1207 */         "</span></strong></p>\n    </td>\n   </tr>\n";
/* 1208 */       for (int j = 0; j < view.getItem().size(); j++) {
/* 1209 */         BulltinContentModel md = view.getItem()
/* 1210 */           .get(j);
/* 1211 */         body = String.valueOf(body) + 
/* 1212 */           "   <tr style='mso-yfti-irow:1;height:18.75pt'>\n" + 
/* 1213 */           "<td width=\"20%\" style='width:20.0%;padding:.75pt .75pt .75pt .75pt;\n" + 
/* 1214 */           "height:18.75pt'>\n" + 
/* 1215 */           "<p class=MsoNormal align=right style='text-align:right'><strong><span\n" + 
/* 1216 */           " style='mso-bidi-font-size:10.5pt;font-family:楷体_GB2312'>" + 
/* 1217 */           md.getVariable() + 
/* 1218 */           "</span></strong>\n<span lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:\n" + 
/* 1219 */           "宋体'><o:p></o:p></span></p>\n" + 
/* 1220 */           "</td>\n" + 
/* 1221 */           "<td style='padding:.75pt .75pt .75pt .75pt;height:18.75pt'>\n" + 
/* 1222 */           "<p class=MsoNormal><span class=fontb1><span lang=EN-US>" + 
/* 1223 */           md.getContent() + 
/* 1224 */           "</span><span" + 
/* 1225 */           "    lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:" + 
/* 1226 */           "    宋体'><o:p></o:p></span></p>" + "</td>   </tr>";
/*      */       } 
/* 1228 */       body = String.valueOf(body) + 
/* 1229 */         "  </table>\n  </div>\n  <p class=MsoNormal align=center style='text-align:center'><span lang=EN-US\n  style='display:none;mso-hide:all'><o:p>&nbsp;</o:p></span></p>\n";
/*      */     } 
/* 1231 */     return body;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String writeCertAbolishWord(String fileName, ArrayList<BulletinItemViewModel> bulletin, BulltinModel model) throws IOException {
/* 1248 */     String body = "<p class=MsoNormal style='text-indent:44.0pt;mso-char-indent-count:2.0'><span style='font-size:22.0pt;font-family:黑体'>国家事业单位登记管理局公告<span lang=EN-US><o:p></o:p></span></span></p> <p class=MsoNormal align=right style='text-align:right'><span style='font-size: 16.0pt;font-family:楷体_GB2312;mso-hansi-font-family:宋体'>（" + 
/*      */ 
/*      */ 
/*      */       
/* 1252 */       model.getBulNumber() + 
/* 1253 */       "）<span" + 
/* 1254 */       " lang=EN-US><o:p></o:p></span></span></p>" + 
/*      */       
/* 1256 */       " <p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312'><span" + 
/* 1257 */       " style='mso-spacerun:yes'>&nbsp;&nbsp;&nbsp;&nbsp; </span><o:p></o:p></span></p>" + 
/*      */       
/* 1259 */       " <p class=MsoNormal><span style='font-size:16.0pt;font-family:仿宋_GB2312'>&nbsp;&nbsp;&nbsp;" + 
/* 1260 */       "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;根据《事业单位登记管理暂行条例实细则》第<span" + 
/* 1261 */       " lang=EN-US>58</span>条规定，";
/* 1262 */     for (int i = 0; i < bulletin.size(); i++) {
/* 1263 */       BulletinItemViewModel view = bulletin
/* 1264 */         .get(i);
/* 1265 */       if (i != bulletin.size() - 1) {
/* 1266 */         body = String.valueOf(body) + view.getUnitName() + "的事业单位法人证书（证书号：" + 
/* 1267 */           view.getCert() + "）；";
/*      */       } else {
/* 1269 */         body = String.valueOf(body) + view.getUnitName() + "的事业单位法人证书（证书号：" + 
/* 1270 */           view.getCert() + "）已经废止，现予公告。</span></p>";
/*      */       } 
/* 1272 */     }  return body;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String writeStatCertRegainWordAlter(String fileName, ArrayList<CertReginBulletinModel> bulletin, String bulCount) throws IOException {
/* 1289 */     String body = "";
/* 1290 */     for (int i = 0; i < bulletin.size(); i++) {
/* 1291 */       CertReginBulletinModel md = bulletin
/* 1292 */         .get(i);
/* 1293 */       body = String.valueOf(body) + 
/* 1294 */         "<p class=MsoNormal align=center style='text-align:center'><span" + 
/* 1295 */         " style='font-size:16.0pt;font-family:仿宋_GB2312'>《事业单位法人证书》遗失作废公告<span" + 
/* 1296 */         " lang=EN-US><o:p></o:p></span></span></p>" + 
/*      */         
/* 1298 */         "<p class=MsoNormal><span style='font-size:16.0pt;font-family:仿宋_GB2312'>　　<span" + 
/* 1299 */         " lang=EN-US><a" + 
/* 1300 */         " href=\"http://sydj.china.cn/jsp/manage/write-data/ListOneReissue.jsp?applyId=3054835\"><span" + 
/* 1301 */         " lang=EN-US><span lang=EN-US>" + 
/* 1302 */         md.getUnitName() + 
/* 1303 */         "</span></span></a></span>《事业单位法人证书》（统一社会信用代码为：</span><span" + 
/* 1304 */         " lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;mso-hansi-font-family:" + 
/* 1305 */         "宋体;mso-bidi-font-family:宋体;mso-font-kerning:0pt'>" + 
/* 1306 */         md.getOldCertId() + 
/* 1307 */         "</span><span" + 
/* 1308 */         " lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312'></span><span" + 
/* 1309 */         " style='font-size:16.0pt;font-family:仿宋_GB2312'>）因遗失，特公告作废。补发证书的统一社会信用代码不变，有效期自</span><span" + 
/* 1310 */         " lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;mso-hansi-font-family:" + 
/* 1311 */         "宋体;mso-bidi-font-family:宋体;mso-font-kerning:0pt'>" + 
/* 1312 */         md.getCertiDateFrom() + 
/* 1313 */         "</span><span" + 
/* 1314 */         " style='font-size:16.0pt;font-family:仿宋_GB2312;mso-hansi-font-family:宋体;" + 
/* 1315 */         "mso-bidi-font-family:宋体;mso-font-kerning:0pt'>至" + md.getCertiDateTo() + "。<span lang=EN-US><o:p></o:p></span></span></p>" + 
/*      */         
/* 1317 */         "<p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;" + 
/* 1318 */         "color:black'><o:p>&nbsp;</o:p></span></p>" + 
/*      */         
/* 1320 */         "<p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;" + 
/* 1321 */         "color:black'><o:p>&nbsp;</o:p></span></p>" + 
/*      */         
/* 1323 */         "<p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;" + 
/* 1324 */         "color:black'><span" + 
/* 1325 */         " style='mso-spacerun:yes'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + 
/* 1326 */         "</span></span><span style='font-size:16.0pt;font-family:仿宋_GB2312;color:black'>" + (
/* 1327 */         GljgUserInfo.getInstance().getDistrictcode().equals(
/* 1328 */           "100000") ? "国家事业单位登记管理局" : 
/* 1329 */         GljgUserInfo.getInstance().getGroupname()) + 
/* 1330 */         "<span" + 
/* 1331 */         " lang=EN-US><o:p></o:p></span></span></p>" + 
/*      */         
/* 1333 */         "<p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;" + 
/* 1334 */         "color:black'><span" + 
/* 1335 */         " style='mso-spacerun:yes'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + 
/* 1336 */         "</span><st1:chsdate Year=\"2011\" Month=\"3\" Day=\"28\" IsLunarDate=\"False\"" + 
/* 1337 */         "IsROCDate=\"False\" w:st=\"on\">" + 
/* 1338 */         md.getBullDate() + 
/* 1339 */         "<span lang=EN-US><span lang=EN-US></span></span><span" + 
/* 1340 */         " lang=EN-US><span lang=EN-US></span></span><span lang=EN-US><span" + 
/* 1341 */         " lang=EN-US></span></span></st1:chsdate><o:p></o:p></span></p>";
/* 1342 */       if (i != bulletin.size() - 1)
/* 1343 */         body = String.valueOf(body) + 
/* 1344 */           "<p class=MsoNormal><span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;" + 
/* 1345 */           "color:black'><o:p>&nbsp;</o:p></span></p>" + 
/* 1346 */           "<span lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;mso-hansi-font-family:" + 
/* 1347 */           "\"Times New Roman\";mso-bidi-font-family:\"Times New Roman\";color:black;" + 
/* 1348 */           "mso-font-kerning:1.0pt;mso-ansi-language:EN-US;mso-fareast-language:ZH-CN;" + 
/* 1349 */           "mso-bidi-language:AR-SA'><br clear=all style='mso-special-character:line-break;" + 
/* 1350 */           "page-break-before:always'>" + 
/* 1351 */           "</span>" + 
/* 1352 */           "<p class=MsoNormal align=left style='text-align:left;mso-pagination:widow-orphan'><span" + 
/* 1353 */           " lang=EN-US style='font-size:16.0pt;font-family:仿宋_GB2312;color:black'><o:p>&nbsp;</o:p></span></p>"; 
/*      */     } 
/* 1355 */     return body;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String writeStatLogOutWordAlter(String fileName, ArrayList<LogOutBulletinModel> bulletin, BulltinModel model) throws IOException {
/* 1372 */     String body = "<p class=MsoNormal align=center style='text-align:center;line-height:28.0pt; mso-line-height-rule:exactly'><span style='font-size:26.0pt;mso-bidi-font-size: 12.0pt;font-family:黑体;mso-ascii-font-family:\"Times New Roman\"'>" + (
/*      */ 
/*      */ 
/*      */       
/* 1376 */       GljgUserInfo.getInstance().getDistrictcode().equals("100000") ? "国家事业单位登记管理局" : 
/* 1377 */       GljgUserInfo.getInstance().getGroupname()) + 
/* 1378 */       "公告</span><span " + 
/* 1379 */       "lang=EN-US style='font-size:26.0pt;mso-bidi-font-size:12.0pt;mso-fareast-font-family: " + 
/* 1380 */       "黑体'><o:p></o:p></span></p> " + 
/*      */       
/* 1382 */       "<p class=MsoNormal align=center style='text-align:center;text-indent:6.0pt; " + 
/* 1383 */       "mso-char-indent-count:.5;line-height:15.0pt;mso-line-height-rule:exactly'><span " + 
/* 1384 */       "lang=EN-US style='font-size:12.0pt;mso-fareast-font-family:仿宋_GB2312'><span " + 
/* 1385 */       "style='mso-spacerun:yes'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span><span " + 
/* 1386 */       "style='font-size:12.0pt;font-family:仿宋_GB2312;mso-ascii-font-family:\"Times New Roman\"'>" + 
/* 1387 */       "根据《事业单位登记管理暂行条例》，已核准以下单位的事业单位法人</span><span " + 
/* 1388 */       "lang=EN-US style='font-size:12.0pt;mso-fareast-font-family:仿宋_GB2312'><o:p></o:p></span></p> " + 
/*      */       
/* 1390 */       "<p class=MsoNormal style='text-indent:181.3pt;mso-char-indent-count:12.9; " + 
/* 1391 */       "line-height:15.0pt;mso-line-height-rule:exactly'><b><span style='font-size: " + 
/* 1392 */       "14.0pt;mso-bidi-font-size:12.0pt;font-family:仿宋_GB2312;mso-ascii-font-family: " + 
/* 1393 */       "\"Times New Roman\"'>注销登记</span></b><span style='font-size:12.0pt;font-family: " + 
/* 1394 */       "仿宋_GB2312;mso-ascii-font-family:\"Times New Roman\"'>，现予公告　（" + 
/* 1395 */       model.getBulNumber() + 
/* 1396 */       "）</span><span " + 
/* 1397 */       "lang=EN-US style='font-size:12.0pt;mso-fareast-font-family:仿宋_GB2312'></span><span " + 
/* 1398 */       "style='font-size:12.0pt;font-family:仿宋_GB2312;mso-ascii-font-family:\"Times New Roman\"'></span><span " + 
/* 1399 */       "lang=EN-US style='font-size:12.0pt;mso-fareast-font-family:仿宋_GB2312'><o:p></o:p></span></p> " + 
/*      */       
/* 1401 */       "<p class=MsoNormal><b><span lang=EN-US style='font-size:12.0pt;font-family: " + 
/* 1402 */       "仿宋_GB2312;color:black'><o:p>&nbsp;</o:p></span></b></p>";
/* 1403 */     for (int i = 0; i < bulletin.size(); i++) {
/* 1404 */       LogOutBulletinModel md = bulletin.get(i);
/* 1405 */       body = String.valueOf(body) + 
/*      */         
/* 1407 */         "<p class=MsoNormal style='text-indent:186.0pt;mso-char-indent-count:15.5; " + 
/* 1408 */         "line-height:16.0pt;mso-line-height-rule:exactly;layout-grid-mode:char'><span " + 
/* 1409 */         "lang=EN-US style='font-size:12.0pt;font-family:仿宋_GB2312'><a " + 
/* 1410 */         "href=\"http://sydj.china.cn/jsp/manage/write-data/ListOneWithDraw.jsp?applyId=3069347\"><span " + 
/* 1411 */         "lang=EN-US><span lang=EN-US>" + 
/* 1412 */         md.getUnitName() + 
/* 1413 */         "</span></span></a></span><span " + 
/* 1414 */         "style='font-size:12.0pt;font-family:仿宋_GB2312;color:black;mso-bidi-font-weight: " + 
/* 1415 */         "bold'>（统一社会信用代码：<span lang=EN-US>" + md.getUnifyCode() + 
/* 1416 */         "</span>）<span lang=EN-US><o:p></o:p></span></span></p>";
/*      */     } 
/* 1418 */     return body;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private String writeWordAlter(String fileName, ArrayList<BulletinItemViewModel> bulletin, String bulCount) throws IOException {
/* 1435 */     String header = "";
/* 1436 */     String body = "";
/* 1437 */     for (int i = 0; i < bulletin.size(); i++) {
/* 1438 */       BulletinItemViewModel view = bulletin
/* 1439 */         .get(i);
/* 1440 */       body = String.valueOf(body) + 
/* 1441 */         "<div align=center>\n" + 
/* 1442 */         "<table class=MsoNormalTable border=0 cellpadding=0 width=\"100%\"\n" + 
/* 1443 */         "style='width:100.0%;mso-cellspacing:1.5pt;mso-yfti-tbllook:1184'>\n" + 
/* 1444 */         "<tr style='mso-yfti-irow:0;mso-yfti-firstrow:yes;height:18.75pt'>\n" + 
/* 1445 */         "<td colspan=2 style='padding:.75pt .75pt .75pt .75pt;height:18.75pt'>\n" + 
/* 1446 */         "<p class=MsoNormal><strong><span\n" + 
/* 1447 */         "style='font-family:宋体;mso-ascii-font-family:\"Times New Roman\";mso-hansi-font-family: \n" + 
/* 1448 */         "\"Times New Roman\"'>" + view.getId() + "、“" + 
/* 1449 */         view.getUnitName() + "”公告事项：" + 
/* 1450 */         "</span></strong></p>\n    </td>\n   </tr>\n";
/* 1451 */       for (int j = 0; j < view.getItem().size(); j++) {
/* 1452 */         BulltinContentModel md = view.getItem()
/* 1453 */           .get(j);
/* 1454 */         body = String.valueOf(body) + 
/* 1455 */           "   <tr style='mso-yfti-irow:1;height:18.75pt'>\n" + 
/* 1456 */           "<td width=\"20%\" style='width:20.0%;padding:.75pt .75pt .75pt .75pt;\n" + 
/* 1457 */           "height:18.75pt'>\n" + 
/* 1458 */           "<p class=MsoNormal align=right style='text-align:right'><strong><span\n" + 
/* 1459 */           " style='mso-bidi-font-size:10.5pt;font-family:楷体_GB2312'>" + 
/* 1460 */           md.getVariable() + 
/* 1461 */           "</span></strong>\n<span lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:\n" + 
/* 1462 */           "宋体'><o:p></o:p></span></p>\n" + 
/* 1463 */           "</td>\n" + 
/* 1464 */           "<td style='padding:.75pt .75pt .75pt .75pt;height:18.75pt'>\n" + 
/* 1465 */           "<p class=MsoNormal><span class=fontb1><span lang=EN-US>" + 
/* 1466 */           md.getContent() + 
/* 1467 */           "</span><span" + 
/* 1468 */           "    lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:" + 
/* 1469 */           "    宋体'><o:p></o:p></span></p>" + "</td>   </tr>";
/*      */       } 
/* 1471 */       body = String.valueOf(body) + 
/* 1472 */         "   <tr style='mso-yfti-irow:1;height:18.75pt'>\n" + 
/* 1473 */         "<td width=\"20%\" style='width:20.0%;padding:.75pt .75pt .75pt .75pt;\n" + 
/* 1474 */         "height:18.75pt'>\n" + 
/* 1475 */         "<p class=MsoNormal align=right style='text-align:right'><strong><span\n" + 
/* 1476 */         " style='mso-bidi-font-size:10.5pt;font-family:楷体_GB2312'>" + 
/* 1477 */         "统一社会信用代码" + 
/* 1478 */         "</span></strong>\n<span lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:\n" + 
/* 1479 */         "宋体'><o:p></o:p></span></p>\n" + 
/* 1480 */         "</td>\n" + 
/* 1481 */         "<td style='padding:.75pt .75pt .75pt .75pt;height:18.75pt'>\n" + 
/* 1482 */         "<p class=MsoNormal><span class=fontb1><span lang=EN-US>" + 
/* 1483 */         view.getCertId() + 
/* 1484 */         "</span><span" + 
/* 1485 */         "    lang=EN-US style='font-size:12.0pt;font-family:宋体;mso-bidi-font-family:" + 
/* 1486 */         "    宋体'><o:p></o:p></span></p>" + "</td>   </tr>";
/* 1487 */       body = String.valueOf(body) + 
/* 1488 */         "  </table>\n  </div>\n  <p class=MsoNormal align=center style='text-align:center'><span lang=EN-US\n  style='display:none;mso-hide:all'><o:p>&nbsp;</o:p></span></p>\n";
/*      */     } 
/* 1490 */     return body;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setCursor() {
/* 1497 */     if (this.cursor != null)
/*      */     {
/* 1499 */       this.cursor.dispose(); } 
/* 1500 */     this.cursor = new TableCursor(this.table, 0);
/* 1501 */     this.cursor.setBackground(this.table.getDisplay()
/* 1502 */         .getSystemColor(26));
/* 1503 */     this.cursor.setForeground(this.table.getDisplay()
/* 1504 */         .getSystemColor(27));
/* 1505 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1507 */             int colums = ViewBulletin.this.cursor.getColumn();
/* 1508 */             if (colums == 6) {
/* 1509 */               ViewBulletin.this.view();
/*      */             }
/* 1511 */             if (colums == 7) {
/* 1512 */               ViewBulletin.this.modify();
/* 1513 */               ViewBulletin.this.setFontColor();
/*      */             } 
/* 1515 */             if (colums == 8) {
/* 1516 */               ViewBulletin.this.saveWord();
/*      */             }
/* 1518 */             if (colums == 9) {
/* 1519 */               ViewBulletin.this.saveExcel();
/*      */             }
/* 1521 */             ViewBulletin.this.selectColums = colums;
/*      */           }
/*      */         });
/* 1524 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */         {
/*      */           public void mouseDown(MouseEvent arg0) {
/* 1527 */             int colums = ViewBulletin.this.cursor.getColumn();
/* 1528 */             if (colums == ViewBulletin.this.selectColums) {
/* 1529 */               if (colums == 6) {
/* 1530 */                 ViewBulletin.this.view();
/*      */               }
/* 1532 */               if (colums == 7) {
/* 1533 */                 ViewBulletin.this.modify();
/* 1534 */                 ViewBulletin.this.setFontColor();
/*      */               } 
/* 1536 */               if (colums == 8) {
/* 1537 */                 ViewBulletin.this.saveWord();
/*      */               }
/* 1539 */               if (colums == 9) {
/* 1540 */                 ViewBulletin.this.saveExcel();
/*      */               }
/*      */             } 
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setSearch() {
/* 1551 */     this.composite_4 = new Composite(this.composite_1, 0);
/* 1552 */     this.composite_4.setLayoutData(new GridData(4, 16777216, true, 
/* 1553 */           false));
/* 1554 */     GridLayout gridLayout_4 = new GridLayout();
/* 1555 */     gridLayout_4.numColumns = 2;
/* 1556 */     this.composite_4.setLayout((Layout)gridLayout_4);
/*      */     
/* 1558 */     this.button = new Button(this.composite_4, 16);
/* 1559 */     this.button.setText("公告期次查询");
/*      */     
/* 1561 */     this.button_1 = new Button(this.composite_4, 16);
/* 1562 */     this.button_1.setText("事业单位查询");
/* 1563 */     this.button.setSelection(true);
/* 1564 */     this.composite_2 = new Composite(this.composite_4, 0);
/* 1565 */     this.composite_2.setLayoutData(new GridData(4, 16777216, true, 
/* 1566 */           false, 2, 1));
/* 1567 */     this.composite_2.setLayout((Layout)new StackLayout());
/* 1568 */     this.stackLayout = new StackLayout();
/* 1569 */     this.composite_2.setLayout((Layout)this.stackLayout);
/* 1570 */     this.group = new Composite(this.composite_2, 0);
/*      */     
/* 1572 */     Label label = new Label(this.group, 0);
/* 1573 */     label.setAlignment(131072);
/* 1574 */     label.setText("公告是否刊登：");
/* 1575 */     label.setBounds(45, 7, 102, 16);
/*      */     
/* 1577 */     this.select = new Button(this.group, 16);
/* 1578 */     this.select.setText("是");
/* 1579 */     this.select.setBounds(163, 5, 33, 16);
/*      */     
/* 1581 */     this.notSelect = new Button(this.group, 16);
/* 1582 */     this.notSelect.setText("否");
/* 1583 */     this.notSelect.setBounds(202, 5, 41, 16);
/*      */     
/* 1585 */     Label label_11 = new Label(this.group, 0);
/* 1586 */     label_11.setAlignment(131072);
/* 1587 */     label_11.setText("制作期号：");
/* 1588 */     label_11.setBounds(65, 32, 80, 16);
/*      */     
/* 1590 */     this.bulNumText = new Text(this.group, 2048);
/* 1591 */     this.bulNumText.setBounds(161, 25, 163, 21);
/*      */     
/* 1593 */     Label label_22 = new Label(this.group, 0);
/* 1594 */     label_22.setAlignment(131072);
/* 1595 */     label_22.setText("制作时间：");
/* 1596 */     label_22.setBounds(65, 57, 80, 16);
/*      */     
/* 1598 */     this.bnText = new Text(this.group, 2048);
/* 1599 */     this.bnText.setBounds(178, 51, 102, 21);
/*      */     
/* 1601 */     Label label_3 = new Label(this.group, 0);
/* 1602 */     label_3.setText("从");
/* 1603 */     label_3.setBounds(161, 57, 30, 16);
/*      */     
/* 1605 */     Label label_44 = new Label(this.group, 0);
/* 1606 */     label_44.setText("至");
/* 1607 */     label_44.setBounds(341, 56, 12, 16);
/*      */     
/* 1609 */     this.bnButton = new Button(this.group, 0);
/* 1610 */     this.bnButton.setText("日期");
/* 1611 */     this.bnButton.setBounds(287, 50, 48, 22);
/*      */     
/* 1613 */     this.enText = new Text(this.group, 2048);
/* 1614 */     this.enText.setBounds(363, 51, 102, 21);
/*      */     
/* 1616 */     this.enButton = new Button(this.group, 0);
/* 1617 */     this.enButton.setBounds(472, 50, 48, 22);
/* 1618 */     this.enButton.setText("日期");
/*      */     
/* 1620 */     this.search = new Button(this.group, 0);
/* 1621 */     this.search.setText("搜  索");
/* 1622 */     this.search.setBounds(230, 80, 48, 22);
/*      */     
/* 1624 */     this.group_1 = new Composite(this.composite_2, 0);
/*      */ 
/*      */ 
/*      */     
/* 1628 */     Label label_5 = new Label(this.group_1, 0);
/* 1629 */     label_5.setAlignment(131072);
/* 1630 */     label_5.setText("事业单位名称(第一名称)：");
/* 1631 */     label_5.setBounds(-39, 21, 183, 16);
/*      */     
/* 1633 */     this.nmText = new Text(this.group_1, 2048);
/* 1634 */     this.nmText.setBounds(163, 15, 298, 21);
/* 1635 */     Label label_21 = new Label(this.group_1, 0);
/* 1636 */     label_21.setAlignment(131072);
/* 1637 */     label_21.setText("制作时间：");
/* 1638 */     label_21.setBounds(65, 57, 80, 16);
/*      */     
/* 1640 */     this.bnText1 = new Text(this.group_1, 2048);
/* 1641 */     this.bnText1.setBounds(178, 51, 102, 21);
/*      */     
/* 1643 */     Label label_31 = new Label(this.group_1, 0);
/* 1644 */     label_31.setText("从");
/* 1645 */     label_31.setBounds(161, 57, 30, 16);
/*      */     
/* 1647 */     Label label_41 = new Label(this.group_1, 0);
/* 1648 */     label_41.setText("至");
/* 1649 */     label_41.setBounds(341, 56, 12, 16);
/*      */     
/* 1651 */     this.bnButton1 = new Button(this.group_1, 0);
/* 1652 */     this.bnButton1.setText("日期");
/* 1653 */     this.bnButton1.setBounds(287, 50, 48, 22);
/*      */     
/* 1655 */     this.enText1 = new Text(this.group_1, 2048);
/* 1656 */     this.enText1.setBounds(363, 51, 102, 21);
/* 1657 */     this.bnText.setText(this.bnDate);
/* 1658 */     this.enText.setText(this.enDate);
/* 1659 */     this.bnText1.setText(this.bnDate1);
/* 1660 */     this.enText1.setText(this.enDate1);
/* 1661 */     this.enButton1 = new Button(this.group_1, 0);
/* 1662 */     this.enButton1.setBounds(472, 50, 48, 22);
/* 1663 */     this.enButton1.setText("日期");
/* 1664 */     this.nmSearch = new Button(this.group_1, 0);
/* 1665 */     this.nmSearch.setText("搜  索");
/* 1666 */     this.nmSearch.setBounds(210, 80, 48, 22);
/* 1667 */     this.stackLayout.topControl = (Control)this.group;
/* 1668 */     this.notSelect.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1670 */             if (ViewBulletin.this.notSelect.getSelection())
/* 1671 */               ViewBulletin.this.isBulletin = "false"; 
/*      */           }
/*      */         });
/* 1674 */     this.select.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1676 */             if (ViewBulletin.this.select.getSelection())
/* 1677 */               ViewBulletin.this.isBulletin = "true"; 
/*      */           }
/*      */         });
/* 1680 */     this.bnButton.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1683 */             CalendarDialog cal = new CalendarDialog(ViewBulletin.this.container.getShell(), 
/* 1684 */                 ViewBulletin.this.bnText, new Point(
/* 1685 */                   (ViewBulletin.this.container.getShell().getLocation()).x + 
/* 1686 */                   (int)(
/* 1687 */                   (ViewBulletin.this.container.getShell().getBounds()).width * 0.2D) + 
/* 1688 */                   (ViewBulletin.this.composite_1.getBounds()).x + 
/* 1689 */                   (ViewBulletin.this.composite_4.getBounds()).x + 17 + 
/* 1690 */                   (ViewBulletin.this.group.getLocation()).x + 
/* 1691 */                   (ViewBulletin.this.bnText.getBounds()).x, 
/* 1692 */                   (ViewBulletin.this.container.getShell().getLocation()).y + 
/* 1693 */                   172 + 
/* 1694 */                   25 + 
/* 1695 */                   (ViewBulletin.this.group.getLocation()).y + 
/* 1696 */                   (ViewBulletin.this.composite_1.getBounds()).y + 
/* 1697 */                   (ViewBulletin.this.composite_4.getBounds()).y + 
/* 1698 */                   (ViewBulletin.this.bnText.getBounds()).y + 
/* 1699 */                   (ViewBulletin.this.bnText.getBounds()).height));
/* 1700 */             cal.open();
/*      */           }
/*      */         });
/* 1703 */     this.enButton.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1706 */             CalendarDialog cal = new CalendarDialog(ViewBulletin.this.container.getShell(), 
/* 1707 */                 ViewBulletin.this.enText, new Point(
/* 1708 */                   (ViewBulletin.this.container.getShell().getLocation()).x + 
/* 1709 */                   (int)(
/* 1710 */                   (ViewBulletin.this.container.getShell().getBounds()).width * 0.2D) + 
/* 1711 */                   (ViewBulletin.this.composite_1.getBounds()).x + 
/* 1712 */                   (ViewBulletin.this.composite_4.getBounds()).x + 17 + 
/* 1713 */                   (ViewBulletin.this.group.getLocation()).x + 
/* 1714 */                   (ViewBulletin.this.enText.getBounds()).x, 
/* 1715 */                   (ViewBulletin.this.container.getShell().getLocation()).y + 
/* 1716 */                   172 + 
/* 1717 */                   25 + 
/* 1718 */                   (ViewBulletin.this.group.getLocation()).y + 
/* 1719 */                   (ViewBulletin.this.composite_4.getBounds()).y + 
/* 1720 */                   (ViewBulletin.this.composite_1.getBounds()).y + 
/* 1721 */                   (ViewBulletin.this.enText.getBounds()).y + 
/* 1722 */                   (ViewBulletin.this.enText.getBounds()).height));
/* 1723 */             cal.open();
/*      */           }
/*      */         });
/* 1726 */     this.bnButton1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1729 */             CalendarDialog cal = new CalendarDialog(ViewBulletin.this.container.getShell(), 
/* 1730 */                 ViewBulletin.this.bnText1, new Point(
/* 1731 */                   (ViewBulletin.this.container.getShell().getLocation()).x + 
/* 1732 */                   (int)(
/* 1733 */                   (ViewBulletin.this.container.getShell().getBounds()).width * 0.2D) + 
/* 1734 */                   (ViewBulletin.this.composite_1.getBounds()).x + 
/* 1735 */                   (ViewBulletin.this.composite_4.getBounds()).x + 17 + 
/* 1736 */                   (ViewBulletin.this.group.getLocation()).x + 
/* 1737 */                   (ViewBulletin.this.bnText1.getBounds()).x, 
/* 1738 */                   (ViewBulletin.this.container.getShell().getLocation()).y + 
/* 1739 */                   172 + 
/* 1740 */                   25 + 
/* 1741 */                   (ViewBulletin.this.group.getLocation()).y + 
/* 1742 */                   (ViewBulletin.this.composite_1.getBounds()).y + 
/* 1743 */                   (ViewBulletin.this.composite_4.getBounds()).y + 
/* 1744 */                   (ViewBulletin.this.bnText1.getBounds()).y + 
/* 1745 */                   (ViewBulletin.this.bnText1.getBounds()).height));
/* 1746 */             cal.open();
/*      */           }
/*      */         });
/* 1749 */     this.enButton1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1752 */             CalendarDialog cal = new CalendarDialog(ViewBulletin.this.container.getShell(), 
/* 1753 */                 ViewBulletin.this.enText1, new Point(
/* 1754 */                   (ViewBulletin.this.container.getShell().getLocation()).x + 
/* 1755 */                   (int)(
/* 1756 */                   (ViewBulletin.this.container.getShell().getBounds()).width * 0.2D) + 
/* 1757 */                   (ViewBulletin.this.composite_1.getBounds()).x + 
/* 1758 */                   (ViewBulletin.this.composite_4.getBounds()).x + 17 + 
/* 1759 */                   (ViewBulletin.this.group.getLocation()).x + 
/* 1760 */                   (ViewBulletin.this.enText1.getBounds()).x, 
/* 1761 */                   (ViewBulletin.this.container.getShell().getLocation()).y + 
/* 1762 */                   172 + 
/* 1763 */                   25 + 
/* 1764 */                   (ViewBulletin.this.group.getLocation()).y + 
/* 1765 */                   (ViewBulletin.this.composite_4.getBounds()).y + 
/* 1766 */                   (ViewBulletin.this.composite_1.getBounds()).y + 
/* 1767 */                   (ViewBulletin.this.enText1.getBounds()).y + 
/* 1768 */                   (ViewBulletin.this.enText1.getBounds()).height));
/* 1769 */             cal.open();
/*      */           }
/*      */         });
/* 1772 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1774 */             if (ViewBulletin.this.button.getSelection()) {
/* 1775 */               ViewBulletin.this.isBulletin = "all";
/* 1776 */               ViewBulletin.this.stackLayout.topControl = (Control)ViewBulletin.this.group;
/* 1777 */               ViewBulletin.this.notSelect.setSelection(false);
/* 1778 */               ViewBulletin.this.select.setSelection(false);
/* 1779 */               ViewBulletin.this.totalRows = 0;
/* 1780 */               ViewBulletin.this.currentPage = 1;
/* 1781 */               ViewBulletin.this.progress();
/* 1782 */               ViewBulletin.this.bnDate = ViewBulletin.this.bnText.getText().trim();
/* 1783 */               ViewBulletin.this.enDate = ViewBulletin.this.enText.getText().trim();
/* 1784 */               if (ViewBulletin.this.bnDate.equals(""))
/* 1785 */                 ViewBulletin.this.bnDate = PublicBulletin.getSearChDate(); 
/* 1786 */               if (ViewBulletin.this.enDate.equals(""))
/* 1787 */                 ViewBulletin.this.enDate = PublicUtil.getNowDate(); 
/* 1788 */               ViewBulletin.this.label_2.setText(ViewBulletin.this.bnDate);
/* 1789 */               ViewBulletin.this.label_4.setText(ViewBulletin.this.enDate);
/* 1790 */               ViewBulletin.this.setFontColor();
/* 1791 */               ViewBulletin.this.setCursor();
/* 1792 */               ViewBulletin.this.composite_2.layout();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1798 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1800 */             if (ViewBulletin.this.button_1.getSelection()) {
/* 1801 */               ViewBulletin.this.stackLayout.topControl = (Control)ViewBulletin.this.group_1;
/* 1802 */               ViewBulletin.this.totalRows = 0;
/* 1803 */               ViewBulletin.this.currentPage = 1;
/* 1804 */               ViewBulletin.this.starto = 1;
/* 1805 */               ViewBulletin.this.progress();
/* 1806 */               ViewBulletin.this.setPages(1);
/* 1807 */               ViewBulletin.this.bnDate1 = ViewBulletin.this.bnText1.getText().trim();
/* 1808 */               ViewBulletin.this.enDate1 = ViewBulletin.this.enText1.getText().trim();
/* 1809 */               if (ViewBulletin.this.bnDate1.equals(""))
/* 1810 */                 ViewBulletin.this.bnDate1 = PublicBulletin.getSearChDate(); 
/* 1811 */               if (ViewBulletin.this.enDate1.equals(""))
/* 1812 */                 ViewBulletin.this.enDate1 = PublicUtil.getNowDate(); 
/* 1813 */               ViewBulletin.this.label_2.setText(ViewBulletin.this.bnDate1);
/* 1814 */               ViewBulletin.this.label_4.setText(ViewBulletin.this.enDate1);
/* 1815 */               ViewBulletin.this.setFontColor();
/* 1816 */               ViewBulletin.this.setCursor();
/* 1817 */               ViewBulletin.this.composite_2.layout();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1823 */     this.nmSearch.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1825 */             ViewBulletin.this.totalRows = 0;
/* 1826 */             ViewBulletin.this.currentPage = 1;
/* 1827 */             ViewBulletin.this.starto = 1;
/* 1828 */             ViewBulletin.this.progress();
/* 1829 */             ViewBulletin.this.setPages(1);
/* 1830 */             ViewBulletin.this.bnDate1 = ViewBulletin.this.bnText1.getText().trim();
/* 1831 */             ViewBulletin.this.enDate1 = ViewBulletin.this.enText1.getText().trim();
/* 1832 */             if (ViewBulletin.this.bnDate1.equals(""))
/* 1833 */               ViewBulletin.this.bnDate1 = PublicBulletin.getSearChDate(); 
/* 1834 */             if (ViewBulletin.this.enDate1.equals(""))
/* 1835 */               ViewBulletin.this.enDate1 = PublicUtil.getNowDate(); 
/* 1836 */             ViewBulletin.this.label_2.setText(ViewBulletin.this.bnDate1);
/* 1837 */             ViewBulletin.this.label_4.setText(ViewBulletin.this.enDate1);
/* 1838 */             ViewBulletin.this.setFontColor();
/* 1839 */             ViewBulletin.this.setCursor();
/*      */           }
/*      */         });
/*      */ 
/*      */     
/* 1844 */     this.search.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/* 1846 */             ViewBulletin.this.totalRows = 0;
/* 1847 */             ViewBulletin.this.currentPage = 1;
/* 1848 */             ViewBulletin.this.starto = 1;
/* 1849 */             ViewBulletin.this.progress();
/* 1850 */             ViewBulletin.this.setPages(1);
/* 1851 */             ViewBulletin.this.bnDate = ViewBulletin.this.bnText.getText().trim();
/* 1852 */             ViewBulletin.this.enDate = ViewBulletin.this.enText.getText().trim();
/* 1853 */             if (ViewBulletin.this.bnDate.equals(""))
/* 1854 */               ViewBulletin.this.bnDate = PublicBulletin.getSearChDate(); 
/* 1855 */             if (ViewBulletin.this.enDate.equals(""))
/* 1856 */               ViewBulletin.this.enDate = PublicUtil.getNowDate(); 
/* 1857 */             ViewBulletin.this.label_2.setText(ViewBulletin.this.bnDate);
/* 1858 */             ViewBulletin.this.label_4.setText(ViewBulletin.this.enDate);
/* 1859 */             ViewBulletin.this.setFontColor();
/* 1860 */             ViewBulletin.this.setCursor();
/*      */           }
/*      */         });
/* 1863 */     this.container.layout();
/*      */   }
/*      */ 
/*      */   
/*      */   public void setUsrTemplate(String viewItems, BulltinModel model) {
/* 1868 */     ArrayList<BulletinItemViewModel> bulItems = this.bull.viewBulltin(new ArrayList(), viewItems, 
/* 1869 */         model.getAppType(), GljgUserInfo.getInstance().getGroupid(), 
/* 1870 */         GljgUserInfo.getInstance().getDistrictcode(), 
/* 1871 */         model.getBulNumber());
/* 1872 */     if (bulItems != null) {
/* 1873 */       int rowCount = 0;
/* 1874 */       if ("1".equals(model.getAppType())) {
/* 1875 */         for (int i = 0; i < bulItems.size(); i++) {
/* 1876 */           BulletinItemViewModel item = bulItems
/* 1877 */             .get(i);
/* 1878 */           rowCount += item.getCount();
/*      */         }
/*      */       
/* 1881 */       } else if (bulItems.size() != 0) {
/* 1882 */         BulletinItemViewModel md = bulItems
/* 1883 */           .get(0);
/* 1884 */         rowCount = bulItems.size() * md.getCount();
/*      */       } 
/*      */       
/* 1887 */       BulletinViewDialog dialog = new BulletinViewDialog(
/* 1888 */           this.container.getShell(), bulItems, rowCount, Integer.valueOf(
/* 1889 */             model.getBulCount()).intValue(), PublicUtil.getTitle(model.getAppType(), 
/* 1890 */             model.getBulNumber()));
/* 1891 */       dialog.open();
/*      */     } else {
/* 1893 */       SydjMessageDialog.openWarning(null, "提示", "没有可公告的事业单位");
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void setCertAbolishUsrTemplate(String viewItems, BulltinModel model) {
/* 1900 */     ArrayList<BulletinItemViewModel> bulItems = this.bull.viewAbolishBulltin(new ArrayList(), 
/* 1901 */         viewItems, model.getAppType(), 
/* 1902 */         GljgUserInfo.getInstance().getGroupid(), 
/* 1903 */         GljgUserInfo.getInstance().getDistrictcode(), model.getBulNumber());
/* 1904 */     if (bulItems != null) {
/* 1905 */       int rowCount = 0;
/* 1906 */       if (bulItems.size() != 0) {
/* 1907 */         BulletinItemViewModel md = bulItems
/* 1908 */           .get(0);
/* 1909 */         rowCount = bulItems.size() * md.getCount();
/*      */       } 
/* 1911 */       BulletinViewDialog dialog = new BulletinViewDialog(
/* 1912 */           this.container.getShell(), bulItems, rowCount, Integer.valueOf(
/* 1913 */             model.getBulCount()).intValue(), PublicUtil.getTitle(model.getAppType(), 
/* 1914 */             model.getBulNumber()));
/* 1915 */       dialog.open();
/*      */     } else {
/* 1917 */       SydjMessageDialog.openWarning(null, "提示", "没有可公告的事业单位");
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void setStateCertRegainTemplate(String viewItems, BulltinModel model) {
/* 1924 */     ArrayList bulItems = this.bull.viewCertRegainBulltin(new ArrayList(), 
/* 1925 */         viewItems, model.getAppType(), 
/* 1926 */         GljgUserInfo.getInstance().getGroupid(), 
/* 1927 */         GljgUserInfo.getInstance().getDistrictcode(), model.getBulNumber());
/* 1928 */     if (bulItems != null) {
/* 1929 */       int rowCount = 0;
/* 1930 */       rowCount = bulItems.size() * 8;
/* 1931 */       StateCertRegainBulletinViewDialog dialog = new StateCertRegainBulletinViewDialog(
/* 1932 */           this.container.getShell(), bulItems, rowCount, 
/* 1933 */           Integer.valueOf(model.getBulCount()).intValue(), PublicUtil.getTitle(
/* 1934 */             model.getAppType(), model.getBulNumber()));
/* 1935 */       dialog.open();
/*      */     } else {
/* 1937 */       SydjMessageDialog.openWarning(null, "提示", "没有可公告的事业单位");
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public void setStateLogOutTemplate(String viewItems, BulltinModel model) {
/* 1944 */     ArrayList bulItems = this.bull.viewLogOutBulltin(new ArrayList(), viewItems, 
/* 1945 */         model.getAppType(), GljgUserInfo.getInstance().getGroupid(), 
/* 1946 */         GljgUserInfo.getInstance().getDistrictcode(), 
/* 1947 */         model.getBulNumber());
/* 1948 */     if (bulItems != null) {
/* 1949 */       int rowCount = 0;
/* 1950 */       rowCount = bulItems.size() * 8;
/* 1951 */       StateLogOutBulletinViewDialog dialog = new StateLogOutBulletinViewDialog(
/* 1952 */           this.container.getShell(), bulItems, rowCount, 
/* 1953 */           Integer.valueOf(model.getBulCount()).intValue(), PublicUtil.getTitle(
/* 1954 */             model.getAppType(), model.getBulNumber()));
/* 1955 */       dialog.open();
/*      */     } else {
/* 1957 */       SydjMessageDialog.openWarning(null, "提示", "没有可公告的事业单位");
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public void setStateCertAbolishRegainTemplate(String viewItems, BulltinModel model) {
/*      */     try {
/* 1966 */       ArrayList bulItems = this.bull.viewStateCertAbolishBulltin(
/* 1967 */           new ArrayList(), viewItems, model.getAppType(), 
/* 1968 */           GljgUserInfo.getInstance().getGroupid(), 
/* 1969 */           GljgUserInfo.getInstance().getDistrictcode(), 
/* 1970 */           model.getBulNumber());
/* 1971 */       if (bulItems != null) {
/* 1972 */         int rowCount = 0;
/* 1973 */         rowCount = bulItems.size() * 10;
/* 1974 */         StateCertAbolishBulletinViewDialog dialog = new StateCertAbolishBulletinViewDialog(
/* 1975 */             this.container.getShell(), bulItems, rowCount, 
/* 1976 */             Integer.valueOf(model.getBulCount()).intValue(), 
/* 1977 */             PublicUtil.getTitle(model.getAppType(), 
/* 1978 */               model.getBulNumber()), model.getBulNumber());
/* 1979 */         dialog.open();
/*      */       } else {
/* 1981 */         SydjMessageDialog.openWarning(null, "提示", "没有可公告的事业单位");
/*      */         return;
/*      */       } 
/* 1984 */     } catch (Exception e) {
/* 1985 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public boolean writeExcel(ArrayList<BulletinItemViewModel> list, String filePath, String appType, String bulNum) {
/* 1991 */     boolean flag = true;
/* 1992 */     WritableWorkbook wwb = null;
/* 1993 */     int countColumn = 1;
/* 1994 */     BulletinItemViewModel mod = null;
/*      */     try {
/* 1996 */       if (!list.isEmpty()) {
/* 1997 */         mod = list.get(0);
/* 1998 */         countColumn += mod.getItem().size();
/*      */       } 
/* 2000 */       wwb = Workbook.createWorkbook(new File(filePath));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2006 */       WritableFont titleFonts = new WritableFont(
/* 2007 */           WritableFont.createFont("宋体"), 15, WritableFont.BOLD);
/*      */       
/* 2009 */       WritableCellFormat titleFormats = new WritableCellFormat(
/* 2010 */           titleFonts);
/* 2011 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2012 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2013 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 2014 */       titleFormats.setWrap(true);
/* 2015 */       WritableFont titleFontt = new WritableFont(
/* 2016 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*      */       
/* 2018 */       WritableCellFormat titleFormatt = new WritableCellFormat(
/* 2019 */           titleFontt);
/* 2020 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2021 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2022 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 2023 */       titleFormatt.setWrap(true);
/* 2024 */       WritableFont titleFont = new WritableFont(
/* 2025 */           WritableFont.createFont("宋体"), 9, WritableFont.BOLD);
/*      */       
/* 2027 */       WritableCellFormat titleFormat = new WritableCellFormat(
/* 2028 */           titleFont);
/* 2029 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2030 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2031 */       titleFormat.setAlignment(Alignment.CENTRE);
/* 2032 */       titleFormat.setWrap(true);
/* 2033 */       WritableSheet ws = wwb.createSheet("公告", 0);
/*      */       
/* 2035 */       ws.mergeCells(0, 0, countColumn - 1, 0);
/* 2036 */       ws.setRowView(0, 600);
/*      */       
/* 2038 */       ws.setColumnView(0, 14);
/*      */       
/* 2040 */       Label title = new Label(0, 0, 
/*      */ 
/*      */           
/* 2043 */           String.valueOf(GljgUserInfo.getInstance().getDistrictcode().equals("100000") ? "国家事业单位登记管理局" : GljgUserInfo.getInstance().getAllGroupname()) + 
/* 2044 */           bulNum, (CellFormat)titleFormats);
/* 2045 */       ws.addCell((WritableCell)title);
/* 2046 */       Label certId = new Label(0, 1, "序号", 
/* 2047 */           (CellFormat)titleFormat);
/* 2048 */       ws.addCell((WritableCell)certId);
/* 2049 */       for (int i = 1; i < countColumn; i++) {
/* 2050 */         BulltinContentModel md = mod.getItem()
/* 2051 */           .get(i - 1);
/* 2052 */         Label service = new Label(i, 1, 
/* 2053 */             md.getVariable(), (CellFormat)titleFormat);
/* 2054 */         ws.addCell((WritableCell)service);
/* 2055 */         ws.setColumnView(i, 25);
/*      */       } 
/*      */       
/* 2058 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 2059 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2060 */       titleFormattt.setWrap(true);
/* 2061 */       for (int j = 0; j < list.size(); j++) {
/* 2062 */         mod = list.get(j);
/* 2063 */         Label id = new Label(0, j + 2, mod.getId(), 
/* 2064 */             (CellFormat)titleFormattt);
/* 2065 */         ws.addCell((WritableCell)id);
/* 2066 */         for (int k = 0; k < mod.getItem().size(); k++) {
/* 2067 */           BulltinContentModel md = mod
/* 2068 */             .getItem().get(k);
/* 2069 */           Label data = new Label(k + 1, j + 2, 
/* 2070 */               md.getContent(), (CellFormat)titleFormattt);
/* 2071 */           ws.addCell((WritableCell)data);
/*      */         } 
/*      */       } 
/* 2074 */       wwb.write();
/* 2075 */     } catch (Exception e) {
/* 2076 */       e.printStackTrace();
/* 2077 */       flag = false;
/*      */     } finally {
/* 2079 */       if (wwb != null)
/*      */         try {
/* 2081 */           wwb.close();
/* 2082 */         } catch (IOException e) {
/*      */           
/* 2084 */           e.printStackTrace();
/*      */         }  
/*      */     } 
/* 2087 */     return flag;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean writeAlterExcel(ArrayList<BulletinItemViewModel> list, String filePath, String appType, String bulNum) {
/* 2102 */     boolean flag = true;
/* 2103 */     WritableWorkbook wwb = null;
/* 2104 */     BulletinItemViewModel mod = null;
/*      */     try {
/* 2106 */       wwb = Workbook.createWorkbook(new File(filePath));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 2112 */       WritableFont titleFonts = new WritableFont(
/* 2113 */           WritableFont.createFont("宋体"), 15, WritableFont.BOLD);
/*      */       
/* 2115 */       WritableCellFormat titleFormats = new WritableCellFormat(
/* 2116 */           titleFonts);
/* 2117 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2118 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2119 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 2120 */       titleFormats.setWrap(true);
/* 2121 */       WritableFont titleFontt = new WritableFont(
/* 2122 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*      */       
/* 2124 */       WritableCellFormat titleFormatt = new WritableCellFormat(
/* 2125 */           titleFontt);
/* 2126 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2127 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2128 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 2129 */       titleFormatt.setWrap(true);
/* 2130 */       WritableFont titleFont = new WritableFont(
/* 2131 */           WritableFont.createFont("宋体"), 9, WritableFont.BOLD);
/*      */       
/* 2133 */       WritableCellFormat titleFormat = new WritableCellFormat(
/* 2134 */           titleFont);
/* 2135 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2136 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 2137 */       titleFormat.setAlignment(Alignment.CENTRE);
/* 2138 */       titleFormat.setWrap(true);
/* 2139 */       WritableSheet ws = wwb.createSheet("公告", 0);
/*      */       
/* 2141 */       ws.mergeCells(0, 0, 5, 0);
/* 2142 */       ws.mergeCells(0, 1, 0, 2);
/* 2143 */       ws.mergeCells(1, 1, 1, 2);
/* 2144 */       ws.mergeCells(2, 1, 2, 2);
/* 2145 */       ws.mergeCells(3, 1, 5, 1);
/* 2146 */       ws.setRowView(0, 600);
/*      */       
/* 2148 */       ws.setColumnView(0, 14);
/* 2149 */       ws.setColumnView(1, 25);
/* 2150 */       ws.setColumnView(2, 25);
/* 2151 */       ws.setColumnView(3, 25);
/* 2152 */       ws.setColumnView(4, 40);
/* 2153 */       ws.setColumnView(5, 40);
/* 2154 */       Label title = new Label(0, 0, 
/*      */ 
/*      */           
/* 2157 */           String.valueOf(GljgUserInfo.getInstance().getDistrictcode().equals("100000") ? "国家事业单位登记管理局" : GljgUserInfo.getInstance().getAllGroupname()) + 
/* 2158 */           bulNum, (CellFormat)titleFormats);
/* 2159 */       ws.addCell((WritableCell)title);
/* 2160 */       Label id = new Label(0, 1, "序号", (CellFormat)titleFormat);
/* 2161 */       ws.addCell((WritableCell)id);
/* 2162 */       Label certId = new Label(1, 1, "统一社会信用代码", 
/* 2163 */           (CellFormat)titleFormat);
/* 2164 */       ws.addCell((WritableCell)certId);
/* 2165 */       Label unitName = new Label(2, 1, "单位名称", 
/* 2166 */           (CellFormat)titleFormat);
/* 2167 */       ws.addCell((WritableCell)unitName);
/* 2168 */       Label alterContent = new Label(3, 1, "变更内容", 
/* 2169 */           (CellFormat)titleFormat);
/* 2170 */       ws.addCell((WritableCell)alterContent);
/* 2171 */       Label item = new Label(3, 2, "变更事项", 
/* 2172 */           (CellFormat)titleFormat);
/* 2173 */       ws.addCell((WritableCell)item);
/* 2174 */       Label before = new Label(4, 2, "变更前", 
/* 2175 */           (CellFormat)titleFormat);
/* 2176 */       ws.addCell((WritableCell)before);
/* 2177 */       Label after = new Label(5, 2, "变更后", 
/* 2178 */           (CellFormat)titleFormat);
/* 2179 */       ws.addCell((WritableCell)after);
/*      */       
/* 2181 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 2182 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 2183 */       titleFormattt.setWrap(true);
/* 2184 */       int row = 3;
/* 2185 */       for (int i = 0; i < list.size(); i++) {
/* 2186 */         mod = list.get(i);
/* 2187 */         int counts = mod.getItem().size();
/* 2188 */         Label ids = new Label(0, row, mod.getId(), 
/* 2189 */             (CellFormat)titleFormattt);
/* 2190 */         ws.addCell((WritableCell)ids);
/* 2191 */         Label certIds = new Label(1, row, 
/* 2192 */             mod.getCertId(), (CellFormat)titleFormattt);
/* 2193 */         ws.addCell((WritableCell)certIds);
/* 2194 */         Label unitNames = new Label(2, row, 
/* 2195 */             mod.getUnitName(), (CellFormat)titleFormattt);
/* 2196 */         ws.addCell((WritableCell)unitNames);
/* 2197 */         if (counts == 0) {
/* 2198 */           Label alter = new Label(3, row, "", 
/* 2199 */               (CellFormat)titleFormattt);
/* 2200 */           ws.addCell((WritableCell)alter);
/* 2201 */           alter = new Label(4, row, "", (CellFormat)titleFormattt);
/* 2202 */           ws.addCell((WritableCell)alter);
/* 2203 */           alter = new Label(5, row, "", (CellFormat)titleFormattt);
/* 2204 */           ws.addCell((WritableCell)alter);
/* 2205 */           row++;
/*      */         } else {
/* 2207 */           ws.mergeCells(0, row, 0, row + counts - 1);
/* 2208 */           ws.mergeCells(1, row, 1, row + counts - 1);
/* 2209 */           ws.mergeCells(2, row, 2, row + counts - 1);
/* 2210 */           for (int j = 0; j < counts; j++) {
/* 2211 */             BulltinContentModel md = mod
/* 2212 */               .getItem().get(j);
/* 2213 */             Label itms = new Label(3, row + j, 
/* 2214 */                 md.getVariable(), (CellFormat)titleFormattt);
/* 2215 */             ws.addCell((WritableCell)itms);
/* 2216 */             String source = md.getContent().substring(
/* 2217 */                 md.getContent().indexOf("（原："), 
/* 2218 */                 md.getContent().length()).replace("（原：", "");
/* 2219 */             source = source.substring(0, source.length() - 1);
/* 2220 */             String dst = md.getContent().substring(0, 
/* 2221 */                 md.getContent().indexOf("（原"));
/* 2222 */             Label bf = new Label(4, row + j, 
/* 2223 */                 source, (CellFormat)titleFormattt);
/* 2224 */             ws.addCell((WritableCell)bf);
/* 2225 */             Label af = new Label(5, row + j, 
/* 2226 */                 dst, (CellFormat)titleFormattt);
/* 2227 */             ws.addCell((WritableCell)af);
/*      */           } 
/* 2229 */           row += counts;
/*      */         } 
/*      */       } 
/* 2232 */       wwb.write();
/* 2233 */     } catch (Exception e) {
/* 2234 */       e.printStackTrace();
/* 2235 */       flag = false;
/*      */     } finally {
/* 2237 */       if (wwb != null)
/*      */         try {
/* 2239 */           wwb.close();
/* 2240 */         } catch (IOException e) {
/* 2241 */           e.printStackTrace();
/*      */         }  
/*      */     } 
/* 2244 */     return flag;
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private void progress() {
/* 2250 */     final boolean bn3Select = (this.button_3 != null) ? this.button_3.getSelection() : false;
/*      */     
/* 2252 */     final boolean bnSelect = (this.button != null) ? this.button.getSelection() : false;
/* 2253 */     final String isBulletin = this.isBulletin;
/* 2254 */     final String bulNum = (this.bulNumText != null) ? this.bulNumText.getText().trim() : 
/* 2255 */       "";
/* 2256 */     final String groupId = GljgUserInfo.getInstance().getGroupid();
/* 2257 */     final String districtCode = GljgUserInfo.getInstance()
/* 2258 */       .getDistrictcode();
/* 2259 */     final String bnDate = bnSelect ? ((this.bnText != null) ? 
/* 2260 */       this.bnText.getText().trim() : "") : ((this.bnText1 != null) ? this.bnText1.getText().trim() : 
/* 2261 */       "");
/* 2262 */     final String enDate = bnSelect ? ((this.enText != null) ? 
/* 2263 */       this.enText.getText().trim() : "") : ((this.enText1 != null) ? this.enText1.getText().trim() : 
/* 2264 */       "");
/* 2265 */     final int startNo = this.starto;
/* 2266 */     final int maxCount = this.maxCount;
/* 2267 */     final String name = (this.nmText != null) ? this.nmText.getText().trim() : "";
/* 2268 */     ProgressMonitorDialog pmd = new ProgressMonitorDialog(null);
/* 2269 */     IRunnableWithProgress rwp = new IRunnableWithProgress()
/*      */       {
/*      */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*      */         {
/* 2273 */           ViewBulletin.this
/*      */             
/* 2275 */             .getData(monitor, bn3Select, bnSelect, isBulletin, bulNum, groupId, districtCode, bnDate, enDate, startNo, maxCount, name);
/*      */         }
/*      */       };
/*      */     try {
/* 2279 */       pmd.run(true, false, rwp);
/* 2280 */     } catch (Exception e) {
/* 2281 */       e.printStackTrace();
/*      */     } 
/* 2283 */     setDatas();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void getData(IProgressMonitor monitor, boolean bn3Select, boolean bnSelect, String isBulletin, String bulNum, String groupId, String districtCode, String bnDate, String enDate, int startNo, int maxCount, String name) {
/* 2293 */     monitor.beginTask("正在生成数据，请稍等．．．", -1);
/*      */     
/* 2295 */     if (bn3Select)
/* 2296 */     { if (bnSelect) {
/* 2297 */         this.bulltin = this.bull
/* 2298 */           .getBulltinNums(groupId, districtCode, isBulletin, bulNum, bnDate, enDate, startNo, maxCount);
/*      */       } else {
/* 2300 */         this.bulltin = this.bull
/* 2301 */           .searchBulltinName(groupId, districtCode, name, bnDate, enDate, startNo, maxCount);
/*      */       }  }
/* 2303 */     else { this.bulltin = this.bull
/* 2304 */         .getBulltinNums(groupId, districtCode, isBulletin, "", "", "", startNo, maxCount); }
/*      */     
/* 2306 */     monitor.done();
/*      */   }
/*      */   
/*      */   private void setDatas() {
/* 2310 */     if (this.bulltin == null)
/*      */       return; 
/* 2312 */     Object object = this.bulltin;
/* 2313 */     this.tableViewer.setInput(object);
/* 2314 */     if (this.bulltin != null && this.bulltin.size() != 0) {
/* 2315 */       this.container.layout();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setPages(int currentPages) {
/* 2323 */     if (this.bulltin.size() == 0) {
/* 2324 */       this.totalRows = 0;
/*      */     } else {
/* 2326 */       this.totalRows = ((BulltinModel)this.bulltin.get(0)).getTotalRows();
/* 2327 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 2328 */     this.totalPages = pu.getTotalPages();
/* 2329 */     this.currentPage = pu.getCurrentPage();
/* 2330 */     this.hasNextPage = pu.isHasNextPage();
/* 2331 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 2332 */     if (this.totalPages == 0) {
/* 2333 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*      */     } else {
/* 2335 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*      */     } 
/* 2337 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 2338 */     this.allRows.setText("共" + this.totalRows + "行");
/* 2339 */     if (!this.hasPreviousPage) {
/* 2340 */       this.priorPage.setEnabled(false);
/*      */     } else {
/* 2342 */       this.priorPage.setEnabled(true);
/* 2343 */     }  if (!this.hasNextPage) {
/* 2344 */       this.nextPage.setEnabled(false);
/*      */     } else {
/* 2346 */       this.nextPage.setEnabled(true);
/* 2347 */     }  if (this.totalPages > 1) {
/* 2348 */       this.goButton.setEnabled(true);
/* 2349 */       this.text.setEnabled(true);
/*      */     } else {
/* 2351 */       this.goButton.setEnabled(false);
/* 2352 */       this.text.setEnabled(false);
/*      */     } 
/* 2354 */     this.container.layout();
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\bulletin\ViewBulletin.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */