/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ public class CertExtendDialog
/*     */   extends Dialog
/*     */ {
/*  30 */   private CertOperationPrint certController = new CertOperationPrint();
/*     */   
/*     */   private Shell shell;
/*     */   
/*     */   private ArrayList listSydw;
/*     */   
/*     */   private Combo comboYear;
/*     */   
/*     */   private Combo comboType;
/*     */   
/*     */   private Text certDateFrom;
/*     */   private Text certDateTo;
/*     */   private Button fromButton;
/*     */   private Button toButton;
/*     */   private Label label1;
/*     */   private Label label2;
/*     */   
/*     */   public CertExtendDialog(Shell parentShell) {
/*  48 */     super(parentShell);
/*     */   }
/*     */   
/*     */   public CertExtendDialog(Shell shell, ArrayList listSydw) {
/*  52 */     super(shell);
/*  53 */     this.shell = shell;
/*  54 */     this.listSydw = listSydw;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  64 */     parent.setBackground(Display.getCurrent()
/*  65 */         .getSystemColor(1));
/*  66 */     parent.setBackgroundMode(2);
/*  67 */     Composite container = (Composite)super.createDialogArea(parent);
/*  68 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  69 */     this.shell = container.getShell();
/*  70 */     container.setLayout((Layout)new GridLayout());
/*     */     
/*  72 */     final Group group = new Group(container, 0);
/*  73 */     GridData gd_group = new GridData(16777216, 4, true, 
/*  74 */         true);
/*  75 */     gd_group.widthHint = 240;
/*  76 */     group.setLayoutData(gd_group);
/*     */     
/*  78 */     GridLayout gridLayout = new GridLayout();
/*  79 */     gridLayout.numColumns = 3;
/*  80 */     group.setLayout((Layout)gridLayout);
/*  81 */     group.setText("延长有效期");
/*     */     
/*  83 */     Label label = new Label((Composite)group, 0);
/*  84 */     GridData gd_text = new GridData(16384, 16777216, false, 
/*  85 */         true);
/*  86 */     label.setLayoutData(gd_text);
/*  87 */     label.setText("证书延期：");
/*     */     
/*  89 */     this.comboYear = new Combo((Composite)group, 8);
/*  90 */     GridData gd_combo_1 = new GridData(4, 16777216, true, true);
/*  91 */     this.comboYear.setLayoutData(gd_combo_1);
/*  92 */     this.comboYear.add("5年");
/*  93 */     this.comboYear.add("4年");
/*  94 */     this.comboYear.add("3年");
/*  95 */     this.comboYear.add("2年");
/*  96 */     this.comboYear.add("1年");
/*  97 */     this.comboYear.add("自定义");
/*  98 */     this.comboYear.setData("5年", "5");
/*  99 */     this.comboYear.setData("4年", "4");
/* 100 */     this.comboYear.setData("3年", "3");
/* 101 */     this.comboYear.setData("2年", "2");
/* 102 */     this.comboYear.setData("1年", "1");
/* 103 */     this.comboYear.setData("自定义", "0");
/* 104 */     this.comboYear.select(0);
/* 105 */     this.comboYear.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 107 */             if ("自定义".equals(CertExtendDialog.this.comboYear.getText())) {
/* 108 */               CertExtendDialog.this.label1.setVisible(true);
/* 109 */               CertExtendDialog.this.label2.setVisible(true);
/* 110 */               CertExtendDialog.this.certDateFrom.setVisible(true);
/* 111 */               CertExtendDialog.this.certDateTo.setVisible(true);
/* 112 */               CertExtendDialog.this.fromButton.setVisible(true);
/* 113 */               CertExtendDialog.this.toButton.setVisible(true);
/*     */             } else {
/* 115 */               CertExtendDialog.this.label1.setVisible(false);
/* 116 */               CertExtendDialog.this.label2.setVisible(false);
/* 117 */               CertExtendDialog.this.certDateFrom.setVisible(false);
/* 118 */               CertExtendDialog.this.certDateTo.setVisible(false);
/* 119 */               CertExtendDialog.this.fromButton.setVisible(false);
/* 120 */               CertExtendDialog.this.toButton.setVisible(false);
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 125 */     this.comboType = new Combo((Composite)group, 8);
/* 126 */     GridData gd_combo_2 = new GridData(4, 16777216, true, true);
/* 127 */     this.comboYear.setLayoutData(gd_combo_2);
/*     */     
/* 129 */     this.comboType.setVisible(false);
/* 130 */     this.comboType.add("自然日");
/* 131 */     this.comboType.add("3月31日");
/* 132 */     this.comboType.setData("自然日", "1");
/* 133 */     this.comboType.setData("3月31日", "2");
/* 134 */     this.comboType.select(0);
/*     */ 
/*     */     
/* 137 */     this.label1 = new Label((Composite)group, 0);
/* 138 */     GridData gd_text1 = new GridData(16384, 16777216, true, 
/* 139 */         true);
/* 140 */     this.label1.setLayoutData(gd_text1);
/* 141 */     this.label1.setText("有效期自：");
/*     */     
/* 143 */     this.certDateFrom = new Text((Composite)group, 2048);
/* 144 */     this.certDateFrom.setLayoutData(new GridData(80, -1));
/* 145 */     this.certDateFrom.setEditable(false);
/* 146 */     this.certDateFrom.setText(PublicUtil.getNowDate());
/*     */     
/* 148 */     this.fromButton = new Button((Composite)group, 0);
/* 149 */     this.fromButton.setLayoutData(new GridData(0, 16777216, false, false, 
/* 150 */           1, 1));
/* 151 */     this.fromButton.setText("日期");
/*     */     
/* 153 */     this.fromButton.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 156 */             CalendarDialog cal = new CalendarDialog(group.getShell(), 
/* 157 */                 CertExtendDialog.this.certDateFrom, new Point(
/* 158 */                   (group.getShell().getLocation()).x + 10 + 
/* 159 */                   (group.getShell().getBounds()).width, 
/* 160 */                   (group.getShell().getLocation()).y + 
/* 161 */                   (CertExtendDialog.this.certDateFrom.getBounds()).y + 
/* 162 */                   (CertExtendDialog.this.certDateFrom.getBounds()).height));
/* 163 */             cal.open();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 168 */     this.label2 = new Label((Composite)group, 0);
/* 169 */     GridData gd_text2 = new GridData(16384, 16777216, true, 
/* 170 */         true);
/* 171 */     this.label2.setLayoutData(gd_text2);
/* 172 */     this.label2.setText("有效期至：");
/*     */     
/* 174 */     this.certDateTo = new Text((Composite)group, 2048);
/* 175 */     this.certDateTo.setLayoutData(new GridData(80, -1));
/* 176 */     this.certDateTo.setEditable(false);
/* 177 */     this.certDateTo.setText(PublicUtil.getDateByMonth(PublicUtil.getYesterDay(), 3));
/*     */     
/* 179 */     this.toButton = new Button((Composite)group, 0);
/* 180 */     this.toButton.setLayoutData(new GridData(0, 16777216, false, false, 
/* 181 */           1, 1));
/* 182 */     this.toButton.setText("日期");
/*     */     
/* 184 */     this.toButton.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 187 */             CalendarDialog cal = new CalendarDialog(group.getShell(), 
/* 188 */                 CertExtendDialog.this.certDateTo, new Point(
/* 189 */                   (group.getShell().getLocation()).x + 10 + 
/*     */                   
/* 191 */                   (group.getShell().getBounds()).width, 
/* 192 */                   (group.getShell().getLocation()).y + 
/* 193 */                   (CertExtendDialog.this.certDateTo.getBounds()).y + 
/* 194 */                   (CertExtendDialog.this.certDateTo.getBounds()).height));
/* 195 */             cal.open();
/*     */           }
/*     */         });
/*     */     
/* 199 */     init();
/* 200 */     return (Control)container;
/*     */   }
/*     */   
/*     */   private void init() {
/* 204 */     this.shell.setFocus();
/*     */ 
/*     */     
/* 207 */     this.label1.setVisible(false);
/* 208 */     this.label2.setVisible(false);
/* 209 */     this.certDateFrom.setVisible(false);
/* 210 */     this.certDateTo.setVisible(false);
/* 211 */     this.fromButton.setVisible(false);
/* 212 */     this.toButton.setVisible(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 222 */     createButton(parent, 0, "更改", true);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 226 */     if (buttonId == 0) {
/* 227 */       String replyStr = "";
/* 228 */       if ("自定义".equals(this.comboYear.getText())) {
/*     */         
/* 230 */         if (this.certDateFrom.getText().trim().equals("") || 
/* 231 */           this.certDateTo.getText().trim().equals("")) {
/* 232 */           SydjMessageDialog.openInformation(null, "提示", 
/* 233 */               "日期不能为空，请选择日期！");
/*     */           return;
/*     */         } 
/* 236 */         String oneYearBefore = PublicUtil.getDateByMonth(PublicUtil.getNowDate(), -12);
/* 237 */         String oneYearLater = PublicUtil.getDateByMonth(PublicUtil.getNowDate(), 12);
/* 238 */         if (oneYearBefore.compareTo(this.certDateFrom.getText()) >= 0 || 
/* 239 */           this.certDateFrom.getText().compareTo(oneYearLater) >= 0) {
/* 240 */           SydjMessageDialog.openInformation(null, "提示", 
/* 241 */               "证书有效期自应为1年内的日期！"); return;
/*     */         } 
/* 243 */         if (oneYearBefore.compareTo(this.certDateTo.getText()) >= 0 || 
/* 244 */           this.certDateTo.getText().compareTo(oneYearLater) >= 0) {
/* 245 */           SydjMessageDialog.openInformation(null, "提示", 
/* 246 */               "证书有效期至应为1年内的日期！");
/*     */           
/*     */           return;
/*     */         } 
/* 250 */         boolean flagC = SydjMessageDialog.openConfirm(null, "提示", 
/* 251 */             "确认更改证书有效期吗？\n注意：更改成功后需要重新打印证书！");
/* 252 */         if (flagC)
/*     */         {
/* 254 */           replyStr = this.certController.certExtend(
/* 255 */               GljgUserInfo.getInstance().getGroupid(), 
/* 256 */               GljgUserInfo.getInstance().getDistrictcode(), 
/* 257 */               this.listSydw, this.certDateFrom.getText(), this.certDateTo.getText());
/*     */         }
/*     */       } else {
/* 260 */         boolean flagC = SydjMessageDialog.openConfirm(null, "提示", 
/* 261 */             "确认更改证书有效期吗？\n注意：更改成功后需要重新打印证书！");
/* 262 */         if (flagC) {
/* 263 */           replyStr = this.certController.certExtend(
/* 264 */               GljgUserInfo.getInstance().getGroupid(), 
/* 265 */               GljgUserInfo.getInstance().getDistrictcode(), 
/* 266 */               this.listSydw, (String)this.comboYear.getData(this.comboYear.getText()), 
/* 267 */               (String)this.comboType.getData(this.comboType.getText()));
/*     */         }
/*     */       } 
/*     */       
/* 271 */       if (replyStr == null || "false".equals(replyStr)) {
/* 272 */         SydjMessageDialog.openInformation(null, "提示", "更改证书有效期操作失败!"); return;
/*     */       } 
/* 274 */       if ("true".equals(replyStr)) {
/* 275 */         SydjMessageDialog.openInformation(null, "提示", "更改证书有效期操作成功!");
/*     */       }
/* 277 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 286 */     return new Point(260, 210);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 290 */     super.configureShell(newShell);
/* 291 */     newShell.setText("延长证书有效期");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\CertExtendDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */