/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ public class CertNewCodePrint
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   private String certCode;
/*     */   private String newCertCode;
/*  27 */   private int returnValue = 1;
/*     */ 
/*     */   
/*     */   public int open() {
/*  31 */     super.open();
/*  32 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public int getReturnValue() {
/*  36 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/*  40 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertNewCodePrint(Shell parentShell) {
/*  49 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public CertNewCodePrint(Shell parentShell, String certCode, String newCertCode) {
/*  54 */     super(parentShell);
/*  55 */     this.certCode = certCode;
/*  56 */     this.newCertCode = newCertCode;
/*     */   }
/*     */   
/*     */   public String getNewCertCode() {
/*  60 */     return this.newCertCode;
/*     */   }
/*     */   
/*     */   public void setNewCertCode(String newCertCode) {
/*  64 */     this.newCertCode = newCertCode;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  74 */     parent.setBackground(Display.getCurrent()
/*  75 */         .getSystemColor(1));
/*  76 */     parent.setBackgroundMode(1);
/*  77 */     Composite container = (Composite)super.createDialogArea(parent);
/*  78 */     GridLayout gridLayout = new GridLayout();
/*  79 */     gridLayout.numColumns = 2;
/*  80 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  82 */     Label label = new Label(container, 0);
/*  83 */     label.setAlignment(16777216);
/*  84 */     GridData gd_label = new GridData(16777216, 16777216, false, 
/*  85 */         false, 2, 1);
/*  86 */     gd_label.heightHint = 20;
/*  87 */     label.setLayoutData(gd_label);
/*  88 */     label.setText("确定新的证书号");
/*     */     
/*  90 */     Label label_1 = new Label(container, 0);
/*  91 */     label_1.setText("原证书号：");
/*     */     
/*  93 */     this.text = new Text(container, 2048);
/*  94 */     this.text.setEditable(false);
/*  95 */     this.text.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  97 */     Label label_2 = new Label(container, 0);
/*  98 */     label_2.setText("修改后证书号：");
/*     */     
/* 100 */     this.text_1 = new Text(container, 2048);
/* 101 */     this.text_1.setTextLimit(12);
/* 102 */     this.text_1.setLayoutData(new GridData(4, 16777216, true, false));
/* 103 */     setData();
/* 104 */     return (Control)container;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/* 109 */     if (this.text_1.getText().trim().length() == 0) {
/* 110 */       SydjMessageDialog.openInformation(null, "提示", "请输入事业单位证书号！"); return;
/*     */     } 
/* 112 */     if (this.text_1.getText().trim().length() != 12) {
/* 113 */       SydjMessageDialog.openInformation(null, "提示", "事业单位证书号必须为12位数字！"); return;
/*     */     } 
/* 115 */     if (!this.text_1.getText().trim().substring(0, 1).equals(
/* 116 */         this.newCertCode.substring(0, 1))) {
/* 117 */       SydjMessageDialog.openInformation(null, "提示", 
/* 118 */           "证书号第一位不允许直接更改。如需更改，请修改事业单位信息中“举办单位类型”项内容！"); return;
/*     */     } 
/* 120 */     if (!this.text_1.getText().trim().substring(1, 7).equals(
/* 121 */         GljgUserInfo.getInstance().getDistrictcode())) {
/* 122 */       SydjMessageDialog.openInformation(null, "提示", 
/* 123 */           "事业单位证书号的2-7位必须为管理机关的行政区划码！");
/*     */       
/*     */       return;
/*     */     } 
/* 127 */     WithinputDataManage dataManage = new WithinputDataManage();
/* 128 */     String ifCertcodeOk = dataManage.CheckCertcode(
/* 129 */         GljgUserInfo.getInstance().getDistrictcode(), 
/* 130 */         this.text_1.getText().trim());
/* 131 */     if (ifCertcodeOk == null || !"true".equals(ifCertcodeOk)) {
/* 132 */       SydjMessageDialog.openWarning(null, "提示", 
/* 133 */           "您填写的证书号已存在，请重新填写！");
/*     */       
/*     */       return;
/*     */     } 
/* 137 */     boolean flags = SydjMessageDialog.openConfirm(
/* 138 */         null, "提示", "确定要修改该事业单位证书号吗？");
/* 139 */     if (flags) {
/*     */       try {
/* 141 */         Long.parseLong(this.text_1.getText().trim());
/* 142 */         this.returnValue = 0;
/* 143 */         this.newCertCode = this.text_1.getText().trim();
/* 144 */         super.okPressed();
/* 145 */       } catch (Exception e) {
/* 146 */         e.printStackTrace();
/* 147 */         SydjMessageDialog.openInformation(null, "提示", 
/* 148 */             "事业单位证书号必须为12位数字！");
/*     */       } 
/*     */     } else {
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 159 */     this.text.setText(this.certCode);
/* 160 */     this.text_1.setText(this.newCertCode);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 170 */     createButton(parent, 0, "确定", true);
/* 171 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 179 */     return new Point(250, 159);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 183 */     super.configureShell(newShell);
/* 184 */     newShell.setText("确定新证书号");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 190 */     super.initializeBounds();
/* 191 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\CertNewCodePrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */