/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.PaperSourceDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.cert.print.actions.CertPrintAction;
/*     */ import cs.sydj.operation.fuhe.instauration.FuHeInsHisDetailDialog;
/*     */ import cs.sydj.operation.hezhun.cert.CertOperationHeZhun;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.jbdwmanage.SysJBDWTreeDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.ICheckStateListener;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.IViewSite;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.CertPrintTableLabelProvider;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class InstallrationPrint
/*     */   extends ViewPart
/*     */ {
/*     */   private Combo combo;
/*     */   private Table table;
/*     */   private Text nmText;
/*     */   private Text huText;
/*     */   private Text ctText;
/*     */   private Label name;
/*     */   private Label beginDate;
/*     */   private Label endDate;
/*     */   private Composite group;
/*     */   private Button search;
/*     */   private TableViewer tableViewer;
/*     */   public static final String ID = "cs.sydj.operation.alteritem.print";
/*     */   private Composite container;
/*     */   private ArrayList cert;
/*     */   private boolean flag = false;
/*     */   private boolean isPrint = false;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Button button_3;
/*     */   private Button button_4;
/*     */   private Button button;
/*     */   private TableColumn newColumnTableColumn_5;
/*     */   private TableColumn newColumnTableColumn_7;
/*  95 */   private TableCursor cursor = null;
/*  96 */   private final int direction = 1;
/*  97 */   int totalRows = 0;
/*  98 */   int maxCount = 15;
/*  99 */   int startNo = 1;
/* 100 */   int currentPage = 1;
/* 101 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 104 */   int starto = 1;
/* 105 */   private int selectColums = 32;
/*     */   private Button button_7;
/*     */   private Composite composite_2;
/*     */   private Composite composite_4;
/*     */   private Button button_8;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private Label label_4;
/*     */   private Button button_5;
/*     */   
/*     */   public ArrayList getCert() {
/* 116 */     return this.cert;
/*     */   }
/*     */   
/*     */   public void setCert(ArrayList cert) {
/* 120 */     this.cert = cert;
/*     */   }
/*     */   
/*     */   public int getMaxCount() {
/* 124 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 128 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 132 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 136 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 140 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 144 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 149 */     parent.setBackground(Display.getCurrent()
/* 150 */         .getSystemColor(1));
/* 151 */     parent.setBackgroundMode(2);
/* 152 */     ScrolledComposite scroll = new ScrolledComposite(parent, 
/* 153 */         2816);
/* 154 */     scroll.setExpandHorizontal(true);
/* 155 */     this.container = new Composite((Composite)scroll, 0);
/* 156 */     GridLayout gridLayout = new GridLayout();
/* 157 */     gridLayout.marginTop = 35;
/* 158 */     gridLayout.marginRight = 35;
/* 159 */     gridLayout.marginLeft = 35;
/* 160 */     gridLayout.numColumns = 8;
/* 161 */     this.container.setLayout((Layout)gridLayout);
/* 162 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 164 */             InstallrationPrint.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 168 */     Label label_2 = new Label(this.container, 0);
/* 169 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 170 */           8, 1));
/* 171 */     label_2.setText("证书打印>>设立登记");
/* 172 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 174 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 176 */     label_1.setLayoutData(new GridData(4, 16777216, true, false, 
/* 177 */           8, 1));
/*     */     
/* 179 */     Composite composite = new Composite(this.container, 0);
/* 180 */     composite.setLayoutData(new GridData(4, 16777216, true, false, 
/* 181 */           8, 1));
/* 182 */     GridLayout gridLayout_4 = new GridLayout();
/* 183 */     gridLayout_4.marginWidth = 0;
/* 184 */     gridLayout_4.numColumns = 2;
/* 185 */     composite.setLayout((Layout)gridLayout_4);
/*     */     
/* 187 */     this.button_3 = new Button(composite, 16);
/* 188 */     this.button_3.setSelection(true);
/* 189 */     this.button_3.setText("未打印");
/*     */     
/* 191 */     this.button_4 = new Button(composite, 16);
/* 192 */     this.button_4.setText("已打印");
/*     */     
/* 194 */     this.button_8 = new Button(this.container, 32);
/* 195 */     this.button_8.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 196 */     this.button_8.setFont(SWTResourceManager.getFont("", 9, 1));
/* 197 */     this.button_8.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 198 */           8, 1));
/* 199 */     this.button_8.setText("点击这里搜索");
/*     */     
/* 201 */     this.composite_4 = new Composite(this.container, 0);
/* 202 */     this.composite_4.setLayoutData(new GridData(4, 16777216, true, 
/* 203 */           false, 8, 1));
/* 204 */     this.composite_4.setLayout((Layout)new GridLayout());
/*     */     
/* 206 */     Composite composite_1 = new Composite(this.container, 0);
/* 207 */     composite_1.setLayoutData(new GridData());
/* 208 */     GridLayout gridLayout_1 = new GridLayout();
/* 209 */     gridLayout_1.numColumns = 2;
/* 210 */     composite_1.setLayout((Layout)gridLayout_1);
/* 211 */     this.button_7 = new Button(composite_1, 32);
/*     */     
/* 213 */     this.button_7.setText("全选");
/*     */     
/* 215 */     Composite composite_3 = new Composite(composite_1, 0);
/*     */ 
/*     */ 
/*     */     
/* 219 */     this.label_4 = new Label(this.container, 0);
/* 220 */     this.label_4.setAlignment(131072);
/* 221 */     this.label_4.setLayoutData(new GridData(4, 16777216, true, false, 
/* 222 */           6, 1));
/* 223 */     this.label_4.setText("共0行被选择");
/* 224 */     this.label_4.setFont(SWTResourceManager.getFont("", 9, 1));
/* 225 */     this.label_4.setForeground(SWTResourceManager.getColor(205, 131, 170));
/* 226 */     this.composite_2 = new Composite(this.container, 0);
/* 227 */     GridData gd_composite = new GridData(4, 4, true, false, 
/* 228 */         8, 1);
/* 229 */     gd_composite.heightHint = 320;
/* 230 */     this.composite_2.setLayoutData(gd_composite);
/* 231 */     GridLayout gridLayout_3 = new GridLayout();
/* 232 */     gridLayout_3.verticalSpacing = 0;
/* 233 */     gridLayout_3.horizontalSpacing = 0;
/* 234 */     gridLayout_3.marginWidth = 0;
/* 235 */     gridLayout_3.marginHeight = 0;
/* 236 */     this.composite_2.setLayout((Layout)gridLayout_3);
/*     */     
/* 238 */     this.tableViewer = new TableViewer(this.composite_2, 67620);
/*     */     
/* 240 */     this.table = this.tableViewer.getTable();
/* 241 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 243 */     this.table.setLinesVisible(true);
/* 244 */     this.ctv = new CheckboxTableViewer(this.table);
/* 245 */     this.table.setHeaderVisible(true);
/*     */     
/* 247 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 248 */         0);
/* 249 */     newColumnTableColumn.setWidth(23);
/* 250 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 251 */         16384);
/* 252 */     newColumnTableColumn_1.setWidth(108);
/* 253 */     newColumnTableColumn_1.setText("统一社会信用代码");
/*     */     
/* 255 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16384);
/* 256 */     newColumnTableColumn_6.setText("证书号");
/* 257 */     newColumnTableColumn_6.setWidth(80);
/*     */     
/* 259 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 260 */         0);
/* 261 */     newColumnTableColumn_2.setWidth(415);
/* 262 */     newColumnTableColumn_2.setText("申报单位名称(点击查看登记材料)");
/* 263 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*     */     
/* 265 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 266 */         16777216);
/* 267 */     newColumnTableColumn_3.setWidth(96);
/* 268 */     newColumnTableColumn_3.setText("提交时间");
/*     */     
/* 270 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 271 */         16777216);
/* 272 */     newColumnTableColumn_4.setWidth(90);
/* 273 */     newColumnTableColumn_4.setText("核准时间");
/* 274 */     this.newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 275 */     this.newColumnTableColumn_5.setWidth(68);
/* 276 */     this.newColumnTableColumn_5.setText("");
/*     */     
/* 278 */     this.newColumnTableColumn_7 = new TableColumn(this.table, 16777216);
/* 279 */     this.newColumnTableColumn_7.setWidth(110);
/* 280 */     this.newColumnTableColumn_7.setText("");
/* 281 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 
/* 282 */         16777216);
/* 283 */     newColumnTableColumn_8.setWidth(0);
/* 284 */     newColumnTableColumn_8.setResizable(false);
/* 285 */     this.cursor = new TableCursor(this.table, 0);
/* 286 */     this.cursor.setBackground(this.table.getDisplay()
/* 287 */         .getSystemColor(26));
/* 288 */     this.cursor.setForeground(this.table.getDisplay()
/* 289 */         .getSystemColor(27));
/*     */     
/* 291 */     Label label_3 = new Label(this.container, 258);
/*     */     
/* 293 */     label_3.setLayoutData(new GridData(4, 16777216, true, false, 
/* 294 */           8, 1));
/*     */     
/* 296 */     Label label = new Label(this.container, 0);
/* 297 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 298 */     label.setText("请选择正副本：");
/*     */     
/* 300 */     this.combo = new Combo(this.container, 0);
/* 301 */     this.combo.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 303 */     this.button_9 = new Button(this.container, 0);
/* 304 */     this.button_9.setText("模板设置");
/* 305 */     this.table.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 307 */             InstallrationPrint.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 311 */     this.button_5 = new Button(this.container, 0);
/* 312 */     this.button_5.setText("进纸盒设置");
/* 313 */     this.button_10 = new Button(this.container, 0);
/* 314 */     this.button_10
/* 315 */       .setLayoutData(new GridData(16384, 16777216, true, false));
/* 316 */     this.button_10.setText("打印");
/*     */     
/* 318 */     setData();
/* 319 */     Sorter.setSort(composite_3, "installPrint", this.tableViewer, this.button_7);
/* 320 */     this.container.setSize(800, 750);
/* 321 */     scroll.setContent((Control)this.container);
/* 322 */     PublicUtil.setTableWidth(this.composite_2, this.table, 
/* 323 */         "0.5:1.1699:1:2.8:1.1:1.1:1.2:1.1:0.03");
/* 324 */     PublicUtil.setTableHeight(this.table);
/* 325 */     PublicUtil.setMouseHands(this.table, "3#6#7");
/* 326 */     createActions();
/* 327 */     initializeToolBar();
/* 328 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 342 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 343 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 350 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 351 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void init(IViewSite site) throws PartInitException {
/* 359 */     super.init(site);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setData() {
/* 373 */     this.combo.add("汉语证书正本");
/* 374 */     this.combo.add("汉语证书副本");
/* 375 */     this.combo.add("蒙语证书正本");
/* 376 */     this.combo.add("蒙语证书副本");
/* 377 */     this.combo.add("维语证书正本");
/* 378 */     this.combo.add("维语证书副本");
/* 379 */     this.combo.add("藏语证书正本");
/* 380 */     this.combo.add("藏语证书副本");
/* 381 */     this.combo.setData("请选择正副本", "0");
/* 382 */     this.combo.setData("汉语证书正本", "hanyuzhengben");
/* 383 */     this.combo.setData("汉语证书副本", "hanyufuben");
/* 384 */     this.combo.setData("蒙语证书正本", "mengyuzhengben");
/* 385 */     this.combo.setData("蒙语证书副本", "mengyufuben");
/* 386 */     this.combo.setData("维语证书正本", "weiyuzhengben");
/* 387 */     this.combo.setData("维语证书副本", "weiyufuben");
/* 388 */     this.combo.setData("藏语证书正本", "zangyuzhengben");
/* 389 */     this.combo.setData("藏语证书副本", "zangyufuben");
/* 390 */     this.combo.select(0);
/* 391 */     action();
/* 392 */     getCertInfos(8, this.startNo);
/* 393 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 401 */     this.ctv.addCheckStateListener(new ICheckStateListener()
/*     */         {
/*     */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*     */           {
/* 405 */             int size = (InstallrationPrint.this.ctv.getCheckedElements()).length;
/* 406 */             InstallrationPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 409 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 411 */             if (InstallrationPrint.this.button_3.getSelection()) {
/* 412 */               PublicUtil.setMouseHands(InstallrationPrint.this.table, "2#5#6");
/* 413 */               InstallrationPrint.this.isPrint = false;
/* 414 */               InstallrationPrint.this.newColumnTableColumn_5.setText("");
/* 415 */               InstallrationPrint.this.totalRows = 0;
/* 416 */               InstallrationPrint.this.currentPage = 1;
/* 417 */               InstallrationPrint.this.getCertInfos(8, InstallrationPrint.this.startNo);
/*     */               
/* 419 */               InstallrationPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 423 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 425 */             if (InstallrationPrint.this.button_4.getSelection()) {
/* 426 */               PublicUtil.setMouseHands(InstallrationPrint.this.table, "2#6");
/* 427 */               InstallrationPrint.this.isPrint = true;
/* 428 */               InstallrationPrint.this.newColumnTableColumn_5.setText("证书打印时间");
/* 429 */               InstallrationPrint.this.totalRows = 0;
/* 430 */               InstallrationPrint.this.currentPage = 1;
/* 431 */               InstallrationPrint.this.getCertInfos(9, InstallrationPrint.this.startNo);
/*     */               
/* 433 */               InstallrationPrint.this.setCursor();
/*     */             } 
/*     */           }
/*     */         });
/* 437 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 439 */             (new PaperSourceDialog(
/* 440 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell())).open();
/*     */           }
/*     */         });
/* 443 */     this.button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 445 */             if (InstallrationPrint.this.button_7.getSelection()) {
/* 446 */               InstallrationPrint.this.ctv.setAllChecked(true);
/*     */             } else {
/* 448 */               InstallrationPrint.this.ctv.setAllChecked(false);
/* 449 */             }  int size = (InstallrationPrint.this.ctv.getCheckedElements()).length;
/* 450 */             InstallrationPrint.this.label_4.setText("共" + size + "行被选择");
/*     */           }
/*     */         });
/* 453 */     this.button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 455 */             if (InstallrationPrint.this.button_8.getSelection()) {
/* 456 */               InstallrationPrint.this.setSearch();
/*     */             } else {
/* 458 */               InstallrationPrint.this.group.dispose();
/* 459 */               InstallrationPrint.this.container.layout();
/*     */             } 
/*     */           }
/*     */         });
/* 463 */     this.button_9.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 465 */             InstallrationPrint.this.setTemplate();
/*     */           }
/*     */         });
/* 468 */     this.button_10.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 470 */             InstallrationPrint.this.Print();
/*     */           }
/*     */         });
/* 473 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 475 */             int colums = InstallrationPrint.this.cursor.getColumn();
/* 476 */             if (colums == 3) {
/* 477 */               InstallrationPrint.this.openDetailDialog();
/*     */             }
/* 479 */             if (InstallrationPrint.this.isPrint) {
/* 480 */               if (colums == 7) {
/* 481 */                 InstallrationPrint.this.printView();
/*     */               }
/* 483 */               if (colums == 8) {
/* 484 */                 InstallrationPrint.this.downData();
/*     */               }
/*     */             } else {
/* 487 */               if (colums == 6) {
/* 488 */                 InstallrationPrint.this.printView();
/*     */               }
/* 490 */               if (colums == 7) {
/* 491 */                 boolean flag = SydjMessageDialog.openConfirm(null, 
/* 492 */                     "提示", "您确定要从列表中删除吗？");
/* 493 */                 if (flag) {
/* 494 */                   InstallrationPrint.this.deleteData();
/*     */                 }
/*     */               } 
/* 497 */               if (colums == 8) {
/* 498 */                 InstallrationPrint.this.downData();
/*     */               }
/*     */             } 
/* 501 */             InstallrationPrint.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 509 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 510 */       .getSelection();
/* 511 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/*     */     
/* 513 */     ArrayList result = new ArrayList();
/* 514 */     result = (new CertOperationPrint()).getInsAttachmentName(model, "");
/* 515 */     if (result != null) {
/* 516 */       InstaurationShouLiInfo insinfo = new InstaurationShouLiInfo();
/* 517 */       insinfo.setUnifyCode(model.getUnifyCode());
/* 518 */       insinfo.setSydwname(model.getUnitName());
/* 519 */       insinfo.setApplydate(model.getSubDate());
/* 520 */       FuHeInsHisDetailDialog detailinfodialog = new FuHeInsHisDetailDialog(
/* 521 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 522 */           .getShell(), result, insinfo, "inst");
/* 523 */       detailinfodialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getCertInfos(int colums, int startNo) {
/* 531 */     if (this.button_8.getSelection()) {
/* 532 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */ 
/*     */         
/* 536 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.ctText.getText().trim(), this.nmText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "0", startNo, this.maxCount);
/*     */     } else {
/* 538 */       this.cert = (new CertOperationPrint())
/*     */ 
/*     */         
/* 541 */         .getCertPrintUnits(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "0", startNo, this.maxCount);
/*     */     } 
/* 543 */     if (this.cert == null) {
/*     */       return;
/*     */     }
/* 546 */     this.tableViewer
/* 547 */       .setLabelProvider((IBaseLabelProvider)new CertPrintTableLabelProvider(colums));
/* 548 */     Object data = this.cert;
/* 549 */     this.tableViewer.setInput(data);
/* 550 */     PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void changeCertId(int colums) {
/* 558 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 559 */       .getSelection();
/* 560 */     TableItem rows = this.cursor.getRow();
/* 561 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 562 */     String newCertCode = (new CertOperationHeZhun()).getNewCertCode(
/* 563 */         GljgUserInfo.getInstance().getGroupid(), 
/* 564 */         GljgUserInfo.getInstance().getDistrictcode(), model.getUnitId());
/* 565 */     if (newCertCode == null)
/*     */       return; 
/* 567 */     CertNewCodePrint certCode = new CertNewCodePrint(
/* 568 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 569 */         this.cursor.getRow().getText(colums), newCertCode);
/* 570 */     if (certCode.open() == 0) {
/* 571 */       CertOperationPrint print = new CertOperationPrint();
/* 572 */       String value = print.changeCertId(model.getUnitId(), 
/* 573 */           GljgUserInfo.getInstance().getDistrictcode(), 
/* 574 */           certCode.getNewCertCode(), this.cursor.getRow().getText(colums), 
/* 575 */           GljgUserInfo.getInstance().getUserid(), 
/* 576 */           GljgUserInfo.getInstance().getUsername(), 
/* 577 */           GljgUserInfo.getInstance().getGroupid());
/* 578 */       if (value == null) {
/*     */         return;
/*     */       }
/* 581 */       if ("modSuccess".equals(value)) {
/* 582 */         this.cursor.getRow().setText(1, certCode.getNewCertCode());
/* 583 */         this.cursor.setSelection(rows, colums - 1);
/* 584 */         model.setCertId(certCode.getNewCertCode());
/* 585 */         model.setCertId(certCode.getNewCertCode());
/* 586 */         UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 587 */         uldi.setRequestType(5);
/* 588 */         uldi.setGroupid(GljgUserInfo.getInstance().getGroupid());
/* 589 */         uldi.setSydwid(model.getUnitId());
/* 590 */         uldi.setDistrictcode(
/* 591 */             GljgUserInfo.getInstance().getDistrictcode());
/* 592 */         uldi.setIslogout(0);
/* 593 */         ModifyLocalData mld = new ModifyLocalData();
/* 594 */         mld.modifyLocalData(uldi);
/* 595 */         SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */         return;
/*     */       } 
/* 598 */       SydjMessageDialog.openInformation(null, "提示", 
/* 599 */           "此统一社会信用代码已经被使用，请重新确定新的统一社会信用代码");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void printView() {
/* 612 */     int nTag = 0;
/*     */     try {
/* 614 */       ArrayList<PrintContentModel> list = new ArrayList();
/* 615 */       String data = this.combo.getText();
/* 616 */       String value = (String)this.combo.getData(data);
/* 617 */       if ("0".equals(value)) {
/* 618 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 621 */       String imagePath = "";
/* 622 */       int pageStlye = 4;
/* 623 */       list = PrintJob.getTemplateInfo(value);
/* 624 */       if (list != null) {
/* 625 */         String[] str = PrintJob.getImageAndSize(value).split("&");
/* 626 */         imagePath = str[0];
/* 627 */         pageStlye = Integer.valueOf(str[1]).intValue();
/* 628 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 629 */         CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 630 */         ArrayList<CertPrintModel> parList = new ArrayList();
/* 631 */         parList.add(model);
/* 632 */         CertOperationPrint print = new CertOperationPrint();
/* 633 */         ArrayList<PringItemModel> dataList = print.printViewAndDown(parList, "-1");
/* 634 */         if (dataList != null) {
/*     */           
/* 636 */           PrintContentModel model2 = list.get(0);
/* 637 */           Point point = new Point(model2.getX(), model2.getY());
/* 638 */           model2.setX(0);
/* 639 */           model2.setY(0);
/*     */           
/* 641 */           ArrayList<PrintContentModel> lists = new ArrayList();
/* 642 */           lists.add(model2);
/* 643 */           PringItemModel item = dataList.get(0);
/* 644 */           for (int i = 1; i < list.size(); i++) {
/* 645 */             PrintContentModel md = list.get(i);
/* 646 */             if (md.getId().equals("id"))
/* 647 */               md.setContent(item.getUnifyCode()); 
/* 648 */             if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 649 */               nTag = -1;
/*     */             }
/* 651 */             if (md.getId().equals("deadLine"))
/* 652 */               md.setContent(item.getDeadLine()); 
/* 653 */             if (md.getId().equals("name"))
/* 654 */               md.setContent(item.getUnitName()); 
/* 655 */             if (md.getId().equals("service"))
/* 656 */               md.setContent(item.getService()); 
/* 657 */             if (md.getId().equals("address"))
/* 658 */               md.setContent(item.getAddress()); 
/* 659 */             if (md.getId().equals("delegate"))
/* 660 */               md.setContent(item.getDelegate()); 
/* 661 */             if (md.getId().equals("finance"))
/* 662 */               md.setContent(item.getFinance()); 
/* 663 */             if (md.getId().equals("openMoney"))
/* 664 */               md.setContent(item.getOpenMoney()); 
/* 665 */             if (md.getId().equals("openUint"))
/* 666 */               md.setContent(item.getHoldUnit()); 
/* 667 */             if (md.getId().equals("annualMark"))
/* 668 */               md.setContent(PublicUtil.getAnnualCheckMark()); 
/* 669 */             if (md.getId().equals("idcode")) {
/* 670 */               md.setContent(item.getIdcode());
/* 671 */               if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 672 */                 nTag = -1;
/*     */               }
/*     */             } 
/* 675 */             if (md.getId().equals("sydwJglb")) {
/* 676 */               if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 677 */                 if (item.getSydwJglb().equals("其他类")) {
/* 678 */                   md.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                 } else {
/* 680 */                   md.setContent("机构类别 " + item.getSydwJglb());
/*     */                 } 
/*     */               } else {
/* 683 */                 md.setContent("");
/*     */               } 
/*     */             }
/* 686 */             lists.add(md);
/*     */           } 
/* 688 */           if (nTag == 0) {
/* 689 */             SingleSetPrintDialog dialog = new SingleSetPrintDialog(
/* 690 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 691 */                 lists, imagePath, pageStlye, point, !this.isPrint, 
/* 692 */                 PrintJob.getFontSizeList(value), model, "0", value);
/* 693 */             if (dialog.open() == 0) {
/* 694 */               deleteData();
/*     */             }
/*     */           } else {
/* 697 */             SydjMessageDialog.openInformation(null, "提示", "该单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */ 
/*     */ 
/*     */ 
/*     */             
/*     */             return;
/*     */           } 
/*     */         } 
/*     */       } else {
/* 706 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 709 */     } catch (Exception e) {
/* 710 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void deleteData() {
/*     */     try {
/* 719 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 720 */         .getSelection();
/* 721 */       CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 722 */       ArrayList<CertPrintModel> lists = new ArrayList();
/* 723 */       lists.add(model);
/* 724 */       if (this.button_8.getSelection()) {
/* 725 */         this.cert = 
/*     */ 
/*     */ 
/*     */           
/* 729 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.nmText.getText().trim(), this.ctText.getText().trim(), this.huText.getText().trim(), this.isPrint, this.flag, "0", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/*     */       } else {
/* 731 */         this.cert = 
/*     */ 
/*     */           
/* 734 */           PrintJob.deleteUnit(lists, GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), "", "", "", this.isPrint, this.flag, "0", (this.currentPage - 1) * this.maxCount + 1, this.maxCount);
/* 735 */       }  if (this.cert != null) {
/* 736 */         this.tableViewer.setInput(this.cert);
/*     */         
/* 738 */         setCursor();
/* 739 */         PrintJob.setFontColor(this.table, this.isPrint, false);
/*     */         return;
/*     */       } 
/* 742 */     } catch (Exception e) {
/* 743 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void downData() {
/* 751 */     ArrayList<CertPrintModel> list = new ArrayList();
/* 752 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 753 */       .getSelection();
/* 754 */     CertPrintModel model = (CertPrintModel)select.getFirstElement();
/* 755 */     list.add(model);
/* 756 */     PrintJob.downPrintCert(list);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 763 */     if (this.cursor != null)
/* 764 */       this.cursor.dispose(); 
/* 765 */     this.cursor = new TableCursor(this.table, 0);
/* 766 */     this.cursor.setBackground(this.table.getDisplay()
/* 767 */         .getSystemColor(26));
/* 768 */     this.cursor.setForeground(this.table.getDisplay()
/* 769 */         .getSystemColor(27));
/* 770 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 773 */             int colums = InstallrationPrint.this.cursor.getColumn();
/* 774 */             if (colums == InstallrationPrint.this.selectColums) {
/* 775 */               if (colums == 3) {
/* 776 */                 InstallrationPrint.this.openDetailDialog();
/*     */               }
/* 778 */               if (InstallrationPrint.this.isPrint) {
/* 779 */                 if (colums == 7) {
/* 780 */                   InstallrationPrint.this.printView();
/*     */                 }
/* 782 */                 if (colums == 8) {
/* 783 */                   InstallrationPrint.this.downData();
/*     */                 }
/*     */               } else {
/* 786 */                 if (colums == 6) {
/* 787 */                   InstallrationPrint.this.printView();
/*     */                 }
/* 789 */                 if (colums == 7) {
/* 790 */                   boolean flag = SydjMessageDialog.openConfirm(null, 
/* 791 */                       "提示", "您确定要从列表中删除吗？");
/* 792 */                   if (flag) {
/* 793 */                     InstallrationPrint.this.deleteData();
/*     */                   }
/*     */                 } 
/* 796 */                 if (colums == 8) {
/* 797 */                   InstallrationPrint.this.downData();
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setSearch() {
/* 809 */     this.group = new Composite(this.composite_4, 0);
/* 810 */     this.group.setLayoutData(new GridData(4, 16777216, true, false, 4, 
/* 811 */           1));
/* 812 */     this.group.setBounds(0, 0, 494, 139);
/* 813 */     this.button = new Button(this.group, 0);
/* 814 */     this.button.setText("选择");
/* 815 */     this.button.setBounds(285, 47, 44, 23);
/* 816 */     this.name = new Label(this.group, 131072);
/* 817 */     this.name.setText("统一社会信用代码：");
/* 818 */     this.name.setBounds(5, 5, 116, 16);
/*     */     
/* 820 */     this.beginDate = new Label(this.group, 0);
/* 821 */     this.beginDate.setText("单位名称：");
/* 822 */     this.beginDate.setBounds(61, 31, 60, 16);
/*     */     
/* 824 */     this.endDate = new Label(this.group, 0);
/* 825 */     this.endDate.setText("举办单位：");
/* 826 */     this.endDate.setBounds(61, 55, 60, 16);
/*     */     
/* 828 */     this.ctText = new Text(this.group, 2048);
/* 829 */     this.ctText.setBounds(136, 0, 145, 18);
/*     */     
/* 831 */     this.nmText = new Text(this.group, 2048);
/* 832 */     this.nmText.setTextLimit(18);
/* 833 */     this.nmText.setBounds(136, 25, 145, 18);
/* 834 */     this.huText = new Text(this.group, 2048);
/* 835 */     this.huText.setBounds(136, 51, 145, 18);
/*     */     
/* 837 */     this.search = new Button(this.group, 0);
/* 838 */     this.search.setText("查 询");
/* 839 */     this.search.setBounds(176, 97, 42, 24);
/*     */     
/* 841 */     Composite composite = new Composite(this.group, 0);
/* 842 */     composite.setBounds(126, 75, 199, 16);
/*     */     
/* 844 */     this.button_1 = new Button(composite, 16);
/* 845 */     this.button_1.setBounds(10, 0, 93, 16);
/* 846 */     this.button_1.setSelection(true);
/* 847 */     this.button_1.setText("不搜索子节点");
/*     */     
/* 849 */     this.button_2 = new Button(composite, 16);
/* 850 */     this.button_2.setBounds(109, 0, 83, 16);
/* 851 */     this.button_2.setText("搜索子节点");
/*     */     
/* 853 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 855 */             InfoEntity i = (InfoEntity)(new SysJBDWTreeDialog(
/* 856 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell()))
/* 857 */               .open();
/* 858 */             InstallrationPrint.this.huText.setText(i.getName());
/*     */           }
/*     */         });
/* 861 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 863 */             if (InstallrationPrint.this.button_1.getSelection())
/* 864 */               InstallrationPrint.this.flag = false; 
/*     */           }
/*     */         });
/* 867 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 869 */             if (InstallrationPrint.this.button_2.getSelection())
/* 870 */               InstallrationPrint.this.flag = true; 
/*     */           }
/*     */         });
/* 873 */     this.search.addMouseListener((MouseListener)new MouseAdapter() {
/*     */           public void mouseDown(MouseEvent e) {
/* 875 */             InstallrationPrint.this.totalRows = 0;
/* 876 */             InstallrationPrint.this.currentPage = 1;
/* 877 */             if (InstallrationPrint.this.isPrint) {
/* 878 */               InstallrationPrint.this.getCertInfos(9, InstallrationPrint.this.startNo);
/*     */             } else {
/* 880 */               InstallrationPrint.this.getCertInfos(8, InstallrationPrint.this.startNo);
/*     */             } 
/* 882 */             InstallrationPrint.this.setCursor();
/*     */           }
/*     */         });
/* 885 */     this.container.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void Print() {
/*     */     try {
/* 894 */       CertPrintAction action = null;
/* 895 */       if (this.button_8.getSelection()) {
/* 896 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 897 */             this.flag, 1, this.nmText.getText().trim(), 
/* 898 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 899 */             "0", this);
/*     */       } else {
/* 901 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 902 */             this.flag, 1, "", "", "", "0", this);
/*     */       } 
/* 904 */       action.print();
/* 905 */     } catch (Exception e1) {
/* 906 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setTemplate() {
/*     */     try {
/* 915 */       CertPrintAction action = null;
/* 916 */       if (this.button_8.getSelection()) {
/* 917 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 918 */             this.flag, 1, this.nmText.getText().trim(), 
/* 919 */             this.ctText.getText().trim(), this.huText.getText().trim(), 
/* 920 */             "0", this);
/*     */       } else {
/* 922 */         action = new CertPrintAction(this.tableViewer, this.ctv, this.combo, this.isPrint, 
/* 923 */             this.flag, 1, "", "", "", "0", this);
/*     */       } 
/* 925 */       action.setTemplate();
/* 926 */     } catch (Exception e1) {
/* 927 */       e1.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\InstallrationPrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */