/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import java.io.File;
/*     */ import java.util.ArrayList;
/*     */ import jxl.Workbook;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ 
/*     */ public class MakeCertExcel {
/*     */   public static boolean makeCertExcel(String filePath, ArrayList<PringItemModel> list) {
/*  19 */     boolean flag = true;
/*     */     try {
/*  21 */       WritableWorkbook wwb = Workbook.createWorkbook(new File(
/*  22 */             filePath));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  28 */       WritableFont titleFont = new WritableFont(
/*  29 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*     */       
/*  31 */       WritableCellFormat titleFormat = new WritableCellFormat(
/*  32 */           titleFont);
/*  33 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/*  34 */       titleFormat.setAlignment(Alignment.CENTRE);
/*  35 */       titleFormat.setWrap(true);
/*  36 */       WritableSheet ws = wwb.createSheet("事业单位证书", 0);
/*  37 */       Label certId = new Label(0, 0, "统一社会信用代码", 
/*  38 */           (CellFormat)titleFormat);
/*  39 */       ws.addCell((WritableCell)certId);
/*  40 */       Label deadLine = new Label(1, 0, "证书有效期", 
/*  41 */           (CellFormat)titleFormat);
/*  42 */       ws.addCell((WritableCell)deadLine);
/*  43 */       Label unitName = new Label(2, 0, "单位名称", 
/*  44 */           (CellFormat)titleFormat);
/*  45 */       ws.addCell((WritableCell)unitName);
/*  46 */       Label service = new Label(3, 0, "宗旨和业务范围", 
/*  47 */           (CellFormat)titleFormat);
/*  48 */       ws.addCell((WritableCell)service);
/*  49 */       Label address = new Label(4, 0, "住所", 
/*  50 */           (CellFormat)titleFormat);
/*  51 */       ws.addCell((WritableCell)address);
/*  52 */       Label delegate = new Label(5, 0, "法定代表人", 
/*  53 */           (CellFormat)titleFormat);
/*  54 */       ws.addCell((WritableCell)delegate);
/*  55 */       Label finance = new Label(6, 0, "经费来源", 
/*  56 */           (CellFormat)titleFormat);
/*  57 */       ws.addCell((WritableCell)finance);
/*  58 */       Label openMoney = new Label(7, 0, "开办资金", 
/*  59 */           (CellFormat)titleFormat);
/*  60 */       ws.addCell((WritableCell)openMoney);
/*  61 */       Label holdUnit = new Label(8, 0, "举办单位", 
/*  62 */           (CellFormat)titleFormat);
/*  63 */       ws.addCell((WritableCell)holdUnit);
/*     */ 
/*     */       
/*  66 */       for (int i = 0; i < list.size(); i++) {
/*  67 */         PringItemModel model = list.get(i);
/*  68 */         Label certIdData = new Label(0, i + 1, 
/*  69 */             model.getCertId());
/*  70 */         ws.addCell((WritableCell)certIdData);
/*  71 */         Label deadLineData = new Label(1, i + 1, 
/*  72 */             model.getDeadLine());
/*  73 */         ws.addCell((WritableCell)deadLineData);
/*  74 */         Label unitNameData = new Label(2, i + 1, 
/*  75 */             model.getUnitName());
/*  76 */         ws.addCell((WritableCell)unitNameData);
/*  77 */         Label serviceData = new Label(3, i + 1, 
/*  78 */             model.getService());
/*  79 */         ws.addCell((WritableCell)serviceData);
/*  80 */         Label addressData = new Label(4, i + 1, 
/*  81 */             model.getAddress());
/*  82 */         ws.addCell((WritableCell)addressData);
/*  83 */         Label delegateData = new Label(5, i + 1, 
/*  84 */             model.getDelegate());
/*  85 */         ws.addCell((WritableCell)delegateData);
/*  86 */         Label financeData = new Label(6, i + 1, 
/*  87 */             model.getFinance());
/*  88 */         ws.addCell((WritableCell)financeData);
/*  89 */         Label openMoneyData = new Label(7, i + 1, 
/*  90 */             model.getOpenMoney());
/*  91 */         ws.addCell((WritableCell)openMoneyData);
/*  92 */         Label holdUnitData = new Label(8, i + 1, 
/*  93 */             model.getHoldUnit());
/*  94 */         ws.addCell((WritableCell)holdUnitData);
/*     */       } 
/*  96 */       wwb.write();
/*  97 */       wwb.close();
/*     */     }
/*  99 */     catch (Exception e) {
/* 100 */       e.printStackTrace();
/* 101 */       flag = false;
/*     */     } 
/* 103 */     return flag;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\MakeCertExcel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */