/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import cs.sydj.operation.idcode.IDCodeGen;
/*     */ import java.awt.BasicStroke;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Font;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.Image;
/*     */ import java.awt.image.BufferedImage;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.awt.print.Printable;
/*     */ import java.awt.print.PrinterException;
/*     */ import java.io.ByteArrayOutputStream;
/*     */ import java.io.File;
/*     */ import java.io.FileNotFoundException;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import javax.imageio.stream.FileImageInputStream;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class MultPrint
/*     */   implements Printable
/*     */ {
/*  43 */   private ArrayList list = null;
/*     */   private Point point;
/*  45 */   private int pageSize = 0;
/*  46 */   private int pageType = 3;
/*     */   
/*  48 */   private String tempName = "hanyuzhengben";
/*     */   
/*     */   public MultPrint(ArrayList list, Point point, int pageSize, int pageType, String tempName) {
/*  51 */     this.list = list;
/*  52 */     this.point = point;
/*  53 */     this.pageSize = pageSize;
/*  54 */     this.pageType = pageType;
/*  55 */     this.tempName = tempName;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public int print(Graphics gra, PageFormat pf, int pageIndex) throws PrinterException {
/*  61 */     int pointX = 0;
/*  62 */     int pointY = 0;
/*     */     
/*  64 */     Graphics2D g2 = (Graphics2D)gra;
/*  65 */     g2.setColor(Color.black);
/*  66 */     float[] dash1 = { 2.0F };
/*  67 */     pf.setOrientation(0);
/*  68 */     g2.setStroke(new BasicStroke(0.5F, 0, 0, 2.0F, dash1, 0.0F));
/*  69 */     if (pageIndex == this.pageSize) {
/*  70 */       return 1;
/*     */     }
/*     */     try {
/*  73 */       if (this.pageType == 3) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  78 */         for (int j = 0; j < this.list.size(); j++) {
/*  79 */           PrintContentModel model = this.list.get(j);
/*  80 */           if ("openUint".equals(model.getId())) {
/*  81 */             pointX = model.getX();
/*  82 */             pointY = model.getY();
/*     */           } 
/*     */         } 
/*  85 */         if (this.tempName.equals("hanyuzhengben")) {
/*     */           
/*  87 */           pointX += 224;
/*  88 */           pointY += 55;
/*  89 */         } else if (this.tempName.equals("mengyuzhengben")) {
/*     */           
/*  91 */           pointX += 234;
/*  92 */           pointY += 30;
/*  93 */         } else if (this.tempName.equals("weiyuzhengben")) {
/*     */           
/*  95 */           pointX += 234;
/*  96 */           pointY += 30;
/*  97 */         } else if (this.tempName.equals("zangyuzhengben")) {
/*     */           
/*  99 */           pointX += 234;
/* 100 */           pointY += 30;
/*     */         } 
/* 102 */       } else if (this.pageType == 4) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 107 */         for (int j = 0; j < this.list.size(); j++) {
/* 108 */           PrintContentModel model = this.list.get(j);
/* 109 */           if ("deadLine".equals(model.getId())) {
/* 110 */             pointX = model.getX();
/* 111 */             pointY = model.getY();
/*     */           } 
/*     */         } 
/* 114 */         pointX -= 25;
/* 115 */         pointY -= 125;
/*     */       } 
/*     */ 
/*     */       
/* 119 */       for (int i = 0; i < this.list.size(); i++) {
/* 120 */         PrintContentModel model = this.list.get(i);
/* 121 */         if (!"parent".equals(model.getId()) && 
/* 122 */           model.getContent() != null && !model.getContent().equals(""))
/*     */         {
/* 124 */           if ("idcode".equals(model.getId())) {
/*     */             
/* 126 */             Component c = null;
/* 127 */             String content = model.getContent();
/* 128 */             BufferedImage bim = IDCodeGen.getInstance().createPic(content);
/* 129 */             if (bim != null) {
/* 130 */               Image src = bim;
/*     */ 
/*     */               
/* 133 */               g2.drawImage(src, pointX + this.point.x + ((this.pageType == 3) ? 10 : 73), pointY + this.point.y + ((this.pageType == 3) ? 26 : 13), c);
/*     */             } 
/*     */           } else {
/*     */             
/* 137 */             Font font = calculateFontSize(g2, 
/* 138 */                 model.getContent(), model.getSize(), 
/* 139 */                 model.getWidth(), model.getHeight(), 
/* 140 */                 model.isChanged());
/* 141 */             g2.setFont(font);
/* 142 */             ArrayList lists = getStrings(g2, 
/* 143 */                 model.getContent(), model.getWidth(), 
/* 144 */                 model.getHeight());
/* 145 */             int rowWidth = model.getWidth();
/* 146 */             for (int j = 0; j < lists.size(); j++) {
/* 147 */               int separationWidth = 0;
/* 148 */               int realityWidth = 0;
/* 149 */               String tmpstr = String.valueOf(lists.get(j));
/* 150 */               int charsize = tmpstr.length();
/* 151 */               for (int m = 0; m < charsize; m++) {
/* 152 */                 int _charsize = getWidthChange(g2
/* 153 */                     .getFontMetrics().charWidth(
/* 154 */                       tmpstr.charAt(m)), 
/* 155 */                     String.valueOf(tmpstr.charAt(m)));
/* 156 */                 realityWidth += _charsize;
/*     */               } 
/* 158 */               separationWidth = rowWidth - realityWidth;
/* 159 */               int separationSize = separationWidth / charsize;
/* 160 */               if (separationWidth > 30) {
/* 161 */                 separationSize = 0;
/*     */               }
/* 163 */               int x = model.getX();
/* 164 */               for (int k = 0; k < charsize; k++) {
/* 165 */                 int _charsize = getWidthChange(g2
/* 166 */                     .getFontMetrics().charWidth(
/* 167 */                       tmpstr.charAt(k)), 
/* 168 */                     String.valueOf(tmpstr.charAt(k)));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */                 
/* 174 */                 g2.drawString(String.valueOf(
/* 175 */                       tmpstr.charAt(k)), x + this.point.x + (
/* 176 */                     (this.pageType == 3) ? 10 : 73), model
/* 177 */                     .getY() + 
/* 178 */                     this.point.y + (
/* 179 */                     (this.pageType == 3) ? 26 : 13) + 
/* 180 */                     g2.getFontMetrics().getHeight() * 
/* 181 */                     j);
/* 182 */                 x += separationSize;
/* 183 */                 x += _charsize;
/*     */               }
/*     */             
/*     */             } 
/*     */           } 
/*     */         }
/*     */       } 
/* 190 */     } catch (Exception e) {
/* 191 */       e.printStackTrace();
/*     */     } 
/* 193 */     return 0;
/*     */   }
/*     */   
/*     */   private byte[] image2byte(String path) {
/* 197 */     byte[] data = (byte[])null;
/* 198 */     FileImageInputStream input = null;
/*     */     try {
/* 200 */       input = new FileImageInputStream(new File(path));
/* 201 */       ByteArrayOutputStream output = new ByteArrayOutputStream();
/* 202 */       byte[] buf = new byte[1024];
/* 203 */       int numBytesRead = 0;
/* 204 */       while ((numBytesRead = input.read(buf)) != -1) {
/* 205 */         output.write(buf, 0, numBytesRead);
/*     */       }
/* 207 */       data = output.toByteArray();
/* 208 */       output.close();
/* 209 */       input.close();
/*     */     }
/* 211 */     catch (FileNotFoundException ex1) {
/* 212 */       ex1.printStackTrace();
/*     */     }
/* 214 */     catch (IOException ex1) {
/* 215 */       ex1.printStackTrace();
/*     */     } 
/* 217 */     return data;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Font calculateFontSize(Graphics2D gc, String content, int fontSize, int width, int height, boolean flag) {
/* 225 */     Font font = new Font("楷体_GB2312", 0, fontSize);
/* 226 */     if (flag)
/*     */       try {
/* 228 */         int rows = 0;
/* 229 */         int rowWidth = 0;
/* 230 */         int allHeight = 0;
/*     */         do {
/* 232 */           font = new Font("楷体_GB2312", 0, fontSize);
/* 233 */           gc.setFont(font);
/* 234 */           rowWidth = 0;
/* 235 */           rows = 0;
/* 236 */           for (int i = 0; i < content.length(); i++) {
/* 237 */             if (i != content.length() - 1) {
/* 238 */               if (rowWidth + getWidthChange(gc.getFontMetrics().charWidth(content.charAt(i + 1)), String.valueOf(content.charAt(i + 1))) >= width) {
/* 239 */                 rowWidth = 0;
/* 240 */                 rows++;
/*     */               } else {
/* 242 */                 rowWidth += getWidthChange(gc.getFontMetrics().charWidth(content.charAt(i)), String.valueOf(content.charAt(i)));
/*     */               } 
/*     */             } else {
/*     */               
/* 246 */               rows++;
/*     */             } 
/*     */           } 
/* 249 */           allHeight = gc.getFontMetrics().getHeight() * rows;
/* 250 */           fontSize--;
/* 251 */         } while (allHeight > height);
/* 252 */       } catch (Exception e) {
/* 253 */         e.printStackTrace();
/*     */       }  
/* 255 */     return font;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ArrayList getStrings(Graphics2D gc, String content, int width, int height) {
/* 262 */     ArrayList<String> list = new ArrayList();
/*     */     try {
/* 264 */       width -= 10;
/* 265 */       int rowWidth = 0;
/* 266 */       int changeRow = 0;
/* 267 */       for (int i = 0; i < content.length(); i++) {
/* 268 */         if (i != content.length() - 1) {
/* 269 */           char NextChar = content.charAt(i + 1);
/*     */           
/* 271 */           if (rowWidth + getWidthChange(gc.getFontMetrics().stringWidth(String.valueOf(content.charAt(i + 1))), String.valueOf(content.charAt(i + 1))) > width && !isPunctuationAndDigitAndNextChar(content.charAt(i), NextChar)) {
/* 272 */             list.add(content.substring(changeRow, i + 1));
/* 273 */             changeRow = i + 1;
/* 274 */             rowWidth = 0;
/*     */           } else {
/* 276 */             rowWidth += getWidthChange(gc.getFontMetrics().stringWidth(String.valueOf(content.charAt(i))), String.valueOf(content.charAt(i)));
/*     */           } 
/*     */         } else {
/* 279 */           list.add(content.substring(changeRow, content.length()));
/*     */         } 
/*     */       } 
/* 282 */     } catch (Exception e) {
/* 283 */       e.printStackTrace();
/*     */     } 
/* 285 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isPunctuationAndDigit(char c) {
/* 297 */     String punctuation = ">,.//?;':\"!@#$%^&*)，、。》：“；‘！@#￥%……&*）}1234567890";
/* 298 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 299 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 300 */       if (_c == c)
/* 301 */         return true; 
/*     */       b++; }
/*     */     
/* 304 */     return false;
/*     */   }
/*     */ 
/*     */   
/*     */   public static boolean isPunctuationAndDigitAndNextChar(char currentChar, char nextNextChar) {
/* 309 */     String punctuation = ">,.//?;':\"!@#$%^&*)，、。》：“；‘！@#￥%……&*）}1234567890";
/* 310 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 311 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 312 */       if (_c == nextNextChar)
/* 313 */         return true; 
/*     */       b++; }
/*     */     
/* 316 */     if (isNewLine(currentChar, nextNextChar)) {
/* 317 */       return true;
/*     */     }
/* 319 */     return false;
/*     */   }
/*     */   
/*     */   public static boolean isNewLine(char currentChar, char nextChar) {
/* 323 */     if (isDigitAndFirstPunctuation(currentChar) && !isDigitAndFirstPunctuation(nextChar)) {
/* 324 */       return true;
/*     */     }
/* 326 */     return false;
/*     */   }
/*     */   
/*     */   public static boolean isDigitAndFirstPunctuation(char c) {
/* 330 */     String punctuation = "<(《（}1234567890";
/* 331 */     char[] pChar = punctuation.toCharArray(); byte b; int i; char[] arrayOfChar1;
/* 332 */     for (i = (arrayOfChar1 = pChar).length, b = 0; b < i; ) { char _c = arrayOfChar1[b];
/* 333 */       if (_c == c)
/* 334 */         return true; 
/*     */       b++; }
/*     */     
/* 337 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getWidthChange(int width, String str) {
/* 347 */     return width;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean hasFullChar(String str) {
/* 355 */     if ((str.getBytes()).length == str.length()) {
/* 356 */       return false;
/*     */     }
/* 358 */     return true;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\MultPrint.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */