/*     */ package cs.sydj.operation.cert.print;
/*     */ 
/*     */ import cs.sydj.common.PaperSource;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.io.File;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.jface.viewers.Viewer;
/*     */ import org.eclipse.jface.viewers.ViewerSorter;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class Sorter
/*     */   extends ViewerSorter
/*     */ {
/*     */   private int sortType;
/*     */   private String culomnName;
/*  30 */   public static int indexs = 0;
/*     */   
/*     */   public Sorter(int sortType, String columnName) {
/*  33 */     this.sortType = sortType;
/*  34 */     this.culomnName = columnName;
/*     */   }
/*     */   
/*     */   public int compare(Viewer viewer, Object obj1, Object obj2) {
/*  38 */     CertPrintModel md1 = (CertPrintModel)obj1;
/*  39 */     CertPrintModel md2 = (CertPrintModel)obj2;
/*  40 */     switch (this.sortType) {
/*     */       case 0:
/*  42 */         return this.culomnName.equals("unifyCode") ? md1.getUnifyCode()
/*  43 */           .compareTo(md2.getUnifyCode()) : md1.getAppDate()
/*  44 */           .compareTo(md2.getAppDate());
/*     */       case 1:
/*  46 */         return this.culomnName.equals("unifyCode") ? md2.getUnifyCode()
/*  47 */           .compareTo(md1.getUnifyCode()) : md2.getAppDate()
/*  48 */           .compareTo(md1.getAppDate());
/*     */     } 
/*     */ 
/*     */     
/*  52 */     return 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setSort(Composite composite, final String fileName, final TableViewer tv, final Button button) {
/*  65 */     indexs = 0;
/*  66 */     composite
/*  67 */       .setLayoutData(new GridData(4, 16777216, false, false));
/*  68 */     GridLayout gridLayout_1 = new GridLayout();
/*  69 */     gridLayout_1.numColumns = 2;
/*  70 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/*  72 */     Label label_3 = new Label(composite, 0);
/*  73 */     label_3.setText("排序：");
/*     */     
/*  75 */     final Combo combo = new Combo(composite, 0);
/*  76 */     combo.setLayoutData(new GridData(4, 16777216, true, false));
/*  77 */     combo.add("按统一社会信用代码升序", 0);
/*  78 */     combo.add("按统一社会信用代码降序", 1);
/*  79 */     combo.add("按核准时间升序", 2);
/*  80 */     combo.add("按核准时间降序", 3);
/*  81 */     ArrayList list = null;
/*  82 */     int index = 0;
/*     */     try {
/*  84 */       String path = PublicUtil.getRealPath("certtemplate/params/" + 
/*  85 */           fileName + ".xml");
/*  86 */       File file = new File(path);
/*  87 */       if (file.exists()) {
/*  88 */         list = (new PaperSource()).parserXml(path);
/*     */       }
/*  90 */       if (list != null)
/*  91 */         index = Integer.valueOf(String.valueOf(list.get(0))).intValue(); 
/*  92 */       indexs = index;
/*  93 */     } catch (Exception e) {
/*  94 */       e.printStackTrace();
/*     */     } 
/*  96 */     combo.select(index);
/*  97 */     setSorts(index, tv);
/*  98 */     combo.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*     */             try {
/* 101 */               String column = "";
/* 102 */               int sort = 0;
/* 103 */               switch (combo.getSelectionIndex()) {
/*     */                 case 0:
/* 105 */                   column = "unifyCode";
/* 106 */                   sort = 0;
/*     */                   break;
/*     */                 case 1:
/* 109 */                   column = "unifyCode";
/* 110 */                   sort = 1;
/*     */                   break;
/*     */                 case 2:
/* 113 */                   column = "appDate";
/* 114 */                   sort = 0;
/*     */                   break;
/*     */                 case 3:
/* 117 */                   column = "appDate";
/* 118 */                   sort = 1;
/*     */                   break;
/*     */                 default:
/* 121 */                   column = "unifyCode";
/* 122 */                   sort = 0;
/*     */                   break;
/*     */               } 
/*     */               
/* 126 */               PaperSource paper = new PaperSource();
/* 127 */               ArrayList<String> zhbList = new ArrayList();
/* 128 */               zhbList.add(String.valueOf(combo.getSelectionIndex()));
/* 129 */               paper.BuildXMLDoc(zhbList, fileName, null);
/* 130 */               tv.setSorter(new Sorter(sort, column));
/* 131 */               button.setSelection(false);
/* 132 */               Sorter.indexs = combo.getSelectionIndex();
/* 133 */               Sorter.setFontColor(tv);
/*     */             }
/* 135 */             catch (Exception e1) {
/* 136 */               e1.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static void setFontColor(TableViewer tv) {
/* 146 */     PrintJob.setFontColor(tv.getTable(), false, false);
/*     */   }
/*     */   
/*     */   public static void setSorts(int index, TableViewer tv) {
/*     */     try {
/* 151 */       int sort = 0;
/* 152 */       String column = "";
/* 153 */       switch (index) {
/*     */         case 0:
/* 155 */           column = "unifyCode";
/* 156 */           sort = 0;
/*     */           break;
/*     */         case 1:
/* 159 */           column = "unifyCode";
/* 160 */           sort = 1;
/*     */           break;
/*     */         case 2:
/* 163 */           column = "appDate";
/* 164 */           sort = 0;
/*     */           break;
/*     */         case 3:
/* 167 */           column = "appDate";
/* 168 */           sort = 1;
/*     */           break;
/*     */         default:
/* 171 */           column = "unifyCode";
/* 172 */           sort = 0;
/*     */           break;
/*     */       } 
/* 175 */       tv.setSorter(new Sorter(sort, column));
/* 176 */       setFontColor(tv);
/* 177 */     } catch (Exception e) {
/* 178 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\Sorter.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */