/*     */ package cs.sydj.operation.cert.print.actions;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.cert.print.AlterItemPrint;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.cert.print.CertPrint;
/*     */ import cs.sydj.operation.cert.print.InstallrationPrint;
/*     */ import cs.sydj.operation.cert.print.PrintJob;
/*     */ import cs.sydj.operation.cert.print.ReCertPrint;
/*     */ import cs.sydj.operation.cert.print.SetPrintDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertPrintAction
/*     */ {
/*     */   private final TableViewer tv;
/*     */   private final CheckboxTableViewer ctv;
/*     */   private final Combo combo;
/*     */   private boolean flag = false;
/*     */   private boolean isPrint = false;
/*     */   public static int direction;
/*     */   private final String certId;
/*     */   private final String unitName;
/*     */   private final String holdUnit;
/*     */   private final String type;
/*     */   private CertPrint cert;
/*     */   private AlterItemPrint alter;
/*     */   private InstallrationPrint install;
/*     */   private ReCertPrint reCert;
/*     */   private int maxCount;
/*     */   private int currentPage;
/*     */   
/*     */   public CertPrintAction(TableViewer tv, CheckboxTableViewer ctv, Combo combo, boolean isPrint, boolean flag, int direction, String certId, String unitName, String holdUnit, String type, Object cert) {
/*  59 */     this.tv = tv;
/*  60 */     this.ctv = ctv;
/*  61 */     this.combo = combo;
/*  62 */     this.isPrint = isPrint;
/*  63 */     this.flag = flag;
/*  64 */     CertPrintAction.direction = direction;
/*  65 */     this.certId = certId;
/*  66 */     this.unitName = unitName;
/*  67 */     this.holdUnit = holdUnit;
/*  68 */     this.type = type;
/*  69 */     if (type.equals("0")) {
/*  70 */       this.install = (InstallrationPrint)cert;
/*     */     }
/*  72 */     if (type.equals("1")) {
/*  73 */       this.alter = (AlterItemPrint)cert;
/*     */     }
/*  75 */     if (type.equals("4")) {
/*  76 */       this.cert = (CertPrint)cert;
/*     */     }
/*  78 */     if (type.equals("5")) {
/*  79 */       this.reCert = (ReCertPrint)cert;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setTemplate() {
/*     */     try {
/*  88 */       ArrayList list = null;
/*  89 */       String text = this.combo.getText();
/*  90 */       String value = (String)this.combo.getData(text);
/*  91 */       String imagPath = "certtemplate/certpic/hanyufuben.png";
/*  92 */       int pageStyle = 4;
/*  93 */       if ("0".equals(value)) {
/*  94 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本模板");
/*     */         return;
/*     */       } 
/*  97 */       if ("hanyuzhengben".equals(value)) {
/*  98 */         imagPath = "certtemplate/certpic/hanyuzhengben.png";
/*  99 */         pageStyle = 3;
/*     */       } 
/* 101 */       if ("hanyufuben".equals(value)) {
/* 102 */         imagPath = "certtemplate/certpic/hanyufuben.png";
/* 103 */         pageStyle = 4;
/*     */       } 
/* 105 */       if ("zangyuzhengben".equals(value)) {
/* 106 */         imagPath = "certtemplate/certpic/zangyuzhengben.png";
/* 107 */         pageStyle = 3;
/*     */       } 
/* 109 */       if ("zangyufuben".equals(value)) {
/* 110 */         imagPath = "certtemplate/certpic/zangyufuben.png";
/* 111 */         pageStyle = 4;
/*     */       } 
/* 113 */       if ("mengyuzhengben".equals(value)) {
/* 114 */         imagPath = "certtemplate/certpic/mengyuzhengben.png";
/* 115 */         pageStyle = 3;
/*     */       } 
/* 117 */       if ("mengyufuben".equals(value)) {
/* 118 */         imagPath = "certtemplate/certpic/mengyufuben.png";
/* 119 */         pageStyle = 4;
/*     */       } 
/* 121 */       if ("weiyuzhengben".equals(value)) {
/* 122 */         imagPath = "certtemplate/certpic/weiyuzhengben.png";
/* 123 */         pageStyle = 3;
/*     */       } 
/* 125 */       if ("weiyufuben".equals(value)) {
/* 126 */         imagPath = "certtemplate/certpic/weiyufuben.png";
/* 127 */         pageStyle = 4;
/*     */       } 
/*     */       
/* 130 */       list = PrintJob.getTemplateInfo(value);
/* 131 */       if (list == null) {
/* 132 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/* 135 */       if (list.size() == 0) {
/* 136 */         SydjMessageDialog.openInformation(null, "提示", "模板文件不存在");
/*     */         return;
/*     */       } 
/* 139 */       SetPrintDialog dialog = new SetPrintDialog(
/* 140 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 141 */           list, imagPath, direction, pageStyle, value, text);
/* 142 */       dialog.open();
/* 143 */     } catch (Exception e) {
/* 144 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void print() {
/* 153 */     int nTag = 0;
/*     */     
/* 155 */     int nCount = 0;
/* 156 */     if (this.type.equals("0")) {
/* 157 */       this.maxCount = this.install.getMaxCount();
/* 158 */       this.currentPage = this.install.getCurrentPage();
/*     */     } 
/* 160 */     if (this.type.equals("1")) {
/* 161 */       this.maxCount = this.alter.getMaxCount();
/* 162 */       this.currentPage = this.alter.getCurrentPage();
/*     */     } 
/* 164 */     if (this.type.equals("4")) {
/* 165 */       this.maxCount = this.cert.getMaxCount();
/* 166 */       this.currentPage = this.cert.getCurrentPage();
/*     */     } 
/* 168 */     if (this.type.equals("5")) {
/* 169 */       this.maxCount = this.reCert.getMaxCount();
/* 170 */       this.currentPage = this.reCert.getCurrentPage();
/*     */     } 
/*     */     try {
/* 173 */       String data = this.combo.getText();
/* 174 */       String value = (String)this.combo.getData(data);
/* 175 */       if ("0".equals(value)) {
/* 176 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本模板");
/*     */         return;
/*     */       } 
/* 179 */       if (this.ctv != null) {
/* 180 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 181 */         if (chkObj.length == 0) {
/* 182 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录"); return;
/*     */         } 
/* 184 */         if (chkObj.length > 100) {
/* 185 */           SydjMessageDialog.openInformation(null, "提示", 
/* 186 */               "批量打印时每批不能超过100条！");
/*     */           
/*     */           return;
/*     */         } 
/* 190 */         ArrayList<PrintContentModel> list = PrintJob.getTemplateInfo(value);
/*     */         
/* 192 */         int pageSize = 4;
/* 193 */         if (list != null) {
/* 194 */           String[] str = PrintJob.getImageAndSize(value).split("&");
/* 195 */           pageSize = Integer.valueOf(str[1]).intValue();
/*     */           
/* 197 */           PrintContentModel model2 = list.get(0);
/* 198 */           Point point = new Point(model2.getX(), model2.getY());
/* 199 */           model2.setX(0);
/* 200 */           model2.setY(0);
/*     */           
/* 202 */           CertOperationPrint print = new CertOperationPrint();
/* 203 */           ArrayList<CertPrintModel> dataList = new ArrayList();
/* 204 */           for (int i = 0; i < chkObj.length; i++) {
/* 205 */             CertPrintModel model = (CertPrintModel)chkObj[i];
/* 206 */             dataList.add(model);
/*     */           } 
/* 208 */           dataList = print.printViewAndDown(dataList, this.type);
/* 209 */           if (dataList != null) {
/* 210 */             ArrayList<ArrayList<PrintContentModel>> multList = new ArrayList();
/* 211 */             for (int j = 0; j < dataList.size(); j++) {
/* 212 */               ArrayList<PrintContentModel> lists = new ArrayList();
/* 213 */               lists.add(model2);
/* 214 */               PringItemModel item = (PringItemModel)dataList.get(j);
/* 215 */               for (int k = 1; k < list.size(); k++) {
/* 216 */                 PrintContentModel mod = new PrintContentModel();
/* 217 */                 PrintContentModel md = list.get(k);
/* 218 */                 mod.setChanged(md.isChanged());
/* 219 */                 mod.setContent(md.getContent());
/* 220 */                 mod.setFont(md.getFont());
/* 221 */                 mod.setFontStyle(md.getFontStyle());
/* 222 */                 mod.setHeight(md.getHeight());
/* 223 */                 mod.setId(md.getId());
/* 224 */                 mod.setSize(md.getSize());
/* 225 */                 mod.setToopTrip(md.getToopTrip());
/* 226 */                 mod.setWidth(md.getWidth());
/* 227 */                 mod.setX(md.getX());
/* 228 */                 mod.setY(md.getY());
/* 229 */                 if (mod.getId().equals("id"))
/* 230 */                   mod.setContent(item.getUnifyCode()); 
/* 231 */                 if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 232 */                   nTag = -1;
/*     */                 }
/* 234 */                 if (mod.getId().equals("deadLine"))
/* 235 */                   mod.setContent(item.getDeadLine()); 
/* 236 */                 if (mod.getId().equals("name"))
/* 237 */                   mod.setContent(item.getUnitName()); 
/* 238 */                 if (mod.getId().equals("service"))
/* 239 */                   mod.setContent(item.getService()); 
/* 240 */                 if (mod.getId().equals("address"))
/* 241 */                   mod.setContent(item.getAddress()); 
/* 242 */                 if (mod.getId().equals("delegate"))
/* 243 */                   mod.setContent(item.getDelegate()); 
/* 244 */                 if (mod.getId().equals("finance"))
/* 245 */                   mod.setContent(item.getFinance()); 
/* 246 */                 if (mod.getId().equals("openMoney"))
/* 247 */                   mod.setContent(item.getOpenMoney()); 
/* 248 */                 if (mod.getId().equals("openUint"))
/* 249 */                   mod.setContent(item.getHoldUnit()); 
/* 250 */                 if (mod.getId().equals("annualMark"))
/* 251 */                   mod.setContent(PublicUtil.getAnnualCheckMark()); 
/* 252 */                 if (mod.getId().equals("idcode")) {
/* 253 */                   mod.setContent(item.getIdcode());
/* 254 */                   if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 255 */                     nTag = -1;
/*     */                   }
/*     */                 } 
/* 258 */                 if (mod.getId().equals("sydwJglb")) {
/* 259 */                   if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 260 */                     if (item.getSydwJglb().equals("其他类")) {
/* 261 */                       mod.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                     } else {
/* 263 */                       mod.setContent("机构类别 " + item.getSydwJglb());
/*     */                     } 
/*     */                   } else {
/* 266 */                     mod.setContent("");
/*     */                   } 
/*     */                 }
/* 269 */                 lists.add(mod);
/*     */               } 
/* 271 */               if (nTag == 0) {
/* 272 */                 multList.add(lists);
/* 273 */               } else if (nTag == -1) {
/* 274 */                 nCount++;
/* 275 */                 nTag = 0;
/*     */               } 
/*     */             } 
/* 278 */             if (multList.size() > 0) {
/* 279 */               PrintJob.multPrint(direction, pageSize, 
/* 280 */                   multList, point, value);
/*     */             }
/* 282 */             if (nCount == dataList.size()) {
/* 283 */               SydjMessageDialog.openInformation(null, "提示", "所选单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 288 */             if (nCount > 0 && nCount < dataList.size()) {
/* 289 */               SydjMessageDialog.openInformation(null, "提示", "所选单位中有[" + nCount + "]个单位信息缺失，暂不能打印。\n" + 
/* 290 */                   "请先到数据整理中查看组织机构代码是否为空；\n" + 
/* 291 */                   "如为空请按照实际情况填写组织机构代码并保存；\n" + 
/* 292 */                   "填写后如仍不能打印，请联系系统维护人员！");
/*     */             }
/*     */             
/* 295 */             if (!this.isPrint) {
/* 296 */               boolean flags = SydjMessageDialog.openConfirm(
/* 297 */                   null, "提示", "打印完毕是否要从列表中删除");
/* 298 */               if (flags) {
/*     */                 
/* 300 */                 ArrayList<CertPrintModel> dltList = new ArrayList();
/* 301 */                 for (int k = 0; k < chkObj.length; k++) {
/* 302 */                   CertPrintModel model = (CertPrintModel)chkObj[k];
/* 303 */                   dltList.add(model);
/*     */                 } 
/*     */                 
/* 306 */                 ArrayList prtList = PrintJob.deleteUnit(
/* 307 */                     dltList, 
/* 308 */                     GljgUserInfo.getInstance().getGroupid(), 
/* 309 */                     GljgUserInfo.getInstance()
/* 310 */                     .getDistrictcode(), 
/* 311 */                     this.unitName, this.certId, this.holdUnit, 
/* 312 */                     this.isPrint, this.flag, this.type, (
/* 313 */                     this.currentPage - 1) * this.maxCount + 1, 
/* 314 */                     this.maxCount);
/* 315 */                 if (prtList != null) {
/* 316 */                   this.tv.setInput(prtList);
/* 317 */                   if (this.type.equals("0")) {
/* 318 */                     this.install.setCert(prtList);
/*     */                     
/* 320 */                     this.install.setCursor();
/*     */                   } 
/*     */                   
/* 323 */                   if (this.type.equals("1")) {
/* 324 */                     this.tv.setInput(prtList);
/* 325 */                     this.alter.setCert(prtList);
/* 326 */                     this.alter.setCursor();
/*     */                   } 
/*     */                   
/* 329 */                   if (this.type.equals("4")) {
/* 330 */                     this.cert.setCert(prtList);
/* 331 */                     this.cert.setCursor();
/*     */                   } 
/*     */                   
/* 334 */                   if (this.type.equals("5")) {
/* 335 */                     this.reCert.setCert(prtList);
/* 336 */                     this.reCert.setCursor();
/*     */                   } 
/*     */                   
/* 339 */                   PrintJob.setFontColor(this.tv.getTable(), 
/* 340 */                       this.isPrint, false);
/*     */ 
/*     */                   
/*     */                   return;
/*     */                 } 
/*     */               } 
/*     */             } 
/*     */           } 
/*     */         } 
/*     */       } 
/* 350 */     } catch (Exception e) {
/* 351 */       e.printStackTrace();
/* 352 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\actions\CertPrintAction.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */