/*     */ package cs.sydj.operation.cert.print.actions;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.cert.print.CertOperationPrint;
/*     */ import cs.sydj.operation.cert.print.PrintJob;
/*     */ import cs.sydj.operation.cert.print.SetPrintDialog;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertPrintModel;
/*     */ import server.sydj.operation.commons.PringItemModel;
/*     */ import server.sydj.operation.commons.PrintContentModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertRePrintBatchAction
/*     */ {
/*     */   private TableViewer tv;
/*     */   private CheckboxTableViewer ctv;
/*     */   private Combo combo;
/*     */   private boolean isAccelate = false;
/*     */   public static int direction;
/*     */   
/*     */   public CertRePrintBatchAction(TableViewer tv, CheckboxTableViewer ctv, Combo combo, boolean isAccelate, int direction) {
/*  40 */     this.tv = tv;
/*  41 */     this.ctv = ctv;
/*  42 */     this.combo = combo;
/*  43 */     this.isAccelate = isAccelate;
/*  44 */     CertRePrintBatchAction.direction = direction;
/*     */   }
/*     */   
/*     */   public void setPrint() {
/*     */     try {
/*  49 */       ArrayList list = null;
/*  50 */       String text = this.combo.getText();
/*  51 */       String value = (String)this.combo.getData(text);
/*  52 */       String imagPath = "certtemplate/certpic/hanyufuben.png";
/*  53 */       int pageStyle = 4;
/*  54 */       if ("0".equals(value)) {
/*  55 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/*  58 */       if ("hanyuzhengben".equals(value)) {
/*  59 */         imagPath = "certtemplate/certpic/hanyuzhengben.png";
/*  60 */         pageStyle = 3;
/*     */       } 
/*  62 */       if ("hanyufuben".equals(value)) {
/*  63 */         imagPath = "certtemplate/certpic/hanyufuben.png";
/*  64 */         pageStyle = 4;
/*     */       } 
/*  66 */       if ("zangyuzhengben".equals(value)) {
/*  67 */         imagPath = "certtemplate/certpic/zangyuzhengben.png";
/*  68 */         pageStyle = 3;
/*     */       } 
/*  70 */       if ("zangyufuben".equals(value)) {
/*  71 */         imagPath = "certtemplate/certpic/zangyufuben.png";
/*  72 */         pageStyle = 4;
/*     */       } 
/*  74 */       if ("mengyuzhengben".equals(value)) {
/*  75 */         imagPath = "certtemplate/certpic/mengyuzhengben.png";
/*  76 */         pageStyle = 3;
/*     */       } 
/*  78 */       if ("mengyufuben".equals(value)) {
/*  79 */         imagPath = "certtemplate/certpic/mengyufuben.png";
/*  80 */         pageStyle = 4;
/*     */       } 
/*  82 */       if ("weiyuzhengben".equals(value)) {
/*  83 */         imagPath = "certtemplate/certpic/weiyuzhengben.png";
/*  84 */         pageStyle = 3;
/*     */       } 
/*  86 */       if ("weiyufuben".equals(value)) {
/*  87 */         imagPath = "certtemplate/certpic/weiyufuben.png";
/*  88 */         pageStyle = 4;
/*     */       } 
/*     */       
/*  91 */       list = PrintJob.getTemplateInfo(value);
/*  92 */       if (list == null) {
/*  93 */         SydjMessageDialog.openInformation(null, "提示", "读取模板文件失败");
/*     */         return;
/*     */       } 
/*  96 */       if (list.size() == 0) {
/*  97 */         SydjMessageDialog.openInformation(null, "提示", "模板文件不存在");
/*     */         return;
/*     */       } 
/* 100 */       SetPrintDialog dialog = new SetPrintDialog(
/* 101 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 102 */           list, imagPath, direction, pageStyle, value, text);
/* 103 */       dialog.open();
/* 104 */     } catch (Exception e) {
/* 105 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   public void print() {
/* 111 */     int nTag = 0;
/*     */     
/* 113 */     int nCount = 0;
/*     */     try {
/* 115 */       String data = this.combo.getText();
/* 116 */       String value = (String)this.combo.getData(data);
/* 117 */       if ("0".equals(value)) {
/* 118 */         SydjMessageDialog.openInformation(null, "提示", "请选择正副本");
/*     */         return;
/*     */       } 
/* 121 */       if (this.ctv != null) {
/* 122 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 123 */         if (chkObj.length == 0) {
/* 124 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录"); return;
/*     */         } 
/* 126 */         if (chkObj.length > 100) {
/* 127 */           SydjMessageDialog.openInformation(null, "提示", 
/* 128 */               "批量打印时每批不能超过100条！");
/*     */           
/*     */           return;
/*     */         } 
/* 132 */         ArrayList<PrintContentModel> list = PrintJob.getTemplateInfo(value);
/*     */         
/* 134 */         int pageSize = 4;
/* 135 */         if (list != null) {
/* 136 */           String[] str = PrintJob.getImageAndSize(value).split("&");
/* 137 */           pageSize = Integer.valueOf(str[1]).intValue();
/*     */           
/* 139 */           PrintContentModel model2 = list.get(0);
/* 140 */           Point point = new Point(model2.getX(), model2.getY());
/* 141 */           model2.setX(0);
/* 142 */           model2.setY(0);
/*     */           
/* 144 */           CertOperationPrint print = new CertOperationPrint();
/* 145 */           ArrayList<CertPrintModel> dataList = new ArrayList();
/* 146 */           for (int i = 0; i < chkObj.length; i++) {
/* 147 */             CertPrintModel model = (CertPrintModel)chkObj[i];
/* 148 */             dataList.add(model);
/*     */           } 
/* 150 */           dataList = print.printViewAndDownBatch(dataList, "batch", "10");
/* 151 */           String printEffectDate = PublicUtil.getPrintEffectDate();
/* 152 */           if (dataList != null) {
/* 153 */             ArrayList<ArrayList<PrintContentModel>> multList = new ArrayList();
/* 154 */             for (int j = 0; j < dataList.size(); j++) {
/* 155 */               ArrayList<PrintContentModel> lists = new ArrayList();
/* 156 */               lists.add(model2);
/* 157 */               PringItemModel item = (PringItemModel)dataList.get(j);
/* 158 */               for (int k = 1; k < list.size(); k++) {
/* 159 */                 PrintContentModel mod = new PrintContentModel();
/* 160 */                 PrintContentModel md = list.get(k);
/* 161 */                 mod.setChanged(md.isChanged());
/* 162 */                 mod.setContent(md.getContent());
/* 163 */                 mod.setFont(md.getFont());
/* 164 */                 mod.setFontStyle(md.getFontStyle());
/* 165 */                 mod.setHeight(md.getHeight());
/* 166 */                 mod.setId(md.getId());
/* 167 */                 mod.setSize(md.getSize());
/* 168 */                 mod.setToopTrip(md.getToopTrip());
/* 169 */                 mod.setWidth(md.getWidth());
/* 170 */                 mod.setX(md.getX());
/* 171 */                 mod.setY(md.getY());
/* 172 */                 if (mod.getId().equals("id"))
/* 173 */                   mod.setContent(item.getUnifyCode()); 
/* 174 */                 if (item.getUnifyCode() == null || "".equals(item.getUnifyCode())) {
/* 175 */                   nTag = -1;
/*     */                 }
/*     */                 
/* 178 */                 if (mod.getId().equals("deadLine")) {
/* 179 */                   if (printEffectDate != null && !printEffectDate.equals("")) {
/*     */                     
/* 181 */                     mod.setContent(printEffectDate);
/*     */                   } else {
/* 183 */                     mod.setContent(item.getDeadLine());
/*     */                   } 
/*     */                 }
/* 186 */                 if (mod.getId().equals("name"))
/* 187 */                   mod.setContent(item.getUnitName()); 
/* 188 */                 if (mod.getId().equals("service"))
/* 189 */                   mod.setContent(item.getService()); 
/* 190 */                 if (mod.getId().equals("address"))
/* 191 */                   mod.setContent(item.getAddress()); 
/* 192 */                 if (mod.getId().equals("delegate"))
/* 193 */                   mod.setContent(item.getDelegate()); 
/* 194 */                 if (mod.getId().equals("finance"))
/* 195 */                   mod.setContent(item.getFinance()); 
/* 196 */                 if (mod.getId().equals("openMoney"))
/* 197 */                   mod.setContent(item.getOpenMoney()); 
/* 198 */                 if (mod.getId().equals("openUint"))
/* 199 */                   mod.setContent(item.getHoldUnit()); 
/* 200 */                 if (mod.getId().equals("annualMark"))
/* 201 */                   mod.setContent(PublicUtil.getAnnualCheckMark()); 
/* 202 */                 if (mod.getId().equals("idcode")) {
/* 203 */                   mod.setContent(item.getIdcode());
/* 204 */                   if (item.getIdcode() == null || "".equals(item.getIdcode())) {
/* 205 */                     nTag = -1;
/*     */                   }
/*     */                 } 
/* 208 */                 if (mod.getId().equals("sydwJglb")) {
/* 209 */                   if (item.getSydwJglb() != null && !item.getSydwJglb().equals("")) {
/* 210 */                     if (item.getSydwJglb().equals("其他类")) {
/* 211 */                       mod.setContent("机构类别 " + item.getSydwJglbOther());
/*     */                     } else {
/* 213 */                       mod.setContent("机构类别 " + item.getSydwJglb());
/*     */                     } 
/*     */                   } else {
/* 216 */                     mod.setContent("");
/*     */                   } 
/*     */                 }
/* 219 */                 lists.add(mod);
/*     */               } 
/* 221 */               if (nTag == 0) {
/* 222 */                 multList.add(lists);
/* 223 */               } else if (nTag == -1) {
/* 224 */                 nCount++;
/* 225 */                 nTag = 0;
/*     */               } 
/*     */             } 
/* 228 */             if (multList.size() > 0) {
/* 229 */               PrintJob.multPrint(direction, pageSize, 
/* 230 */                   multList, point, value);
/*     */             }
/* 232 */             if (nCount == dataList.size()) {
/* 233 */               SydjMessageDialog.openInformation(null, "提示", "所选单位信息缺失，暂不能打印。\n请先到数据整理中查看组织机构代码是否为空；\n如为空请按照实际情况填写组织机构代码并保存；\n填写后如仍不能打印，请联系系统维护人员！");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 238 */             if (nCount > 0 && nCount < dataList.size()) {
/* 239 */               SydjMessageDialog.openInformation(null, "提示", "所选单位中有[" + nCount + "]个单位信息缺失，暂不能打印。\n" + 
/* 240 */                   "请先到数据整理中查看组织机构代码是否为空；\n" + 
/* 241 */                   "如为空请按照实际情况填写组织机构代码并保存；\n" + 
/* 242 */                   "填写后如仍不能打印，请联系系统维护人员！");
/*     */             }
/*     */             
/* 245 */             SydjMessageDialog.openConfirm(null, "提示", "打印成功");
/*     */           }
/*     */         
/*     */         }
/*     */       
/*     */       } 
/* 251 */     } catch (Exception e) {
/* 252 */       e.printStackTrace();
/* 253 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\cert\print\actions\CertRePrintBatchAction.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */