/*     */ package cs.sydj.operation.credit.check;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.common.CheckOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.credit.check.CreditCheckRecord;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditCheckView
/*     */   extends ViewPart
/*     */ {
/*  53 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  65 */   private ArrayList list = new ArrayList();
/*  66 */   CheckOperation checkManage = new CheckOperation();
/*     */   
/*  68 */   int totalRows = 0;
/*  69 */   int maxCount = 15;
/*  70 */   int startNo = 1;
/*  71 */   int currentPage = 1;
/*  72 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  76 */   private String sydwnameStr = "";
/*  77 */   private TableCursor cursor = null;
/*  78 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  84 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/*  88 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/*  92 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/*  96 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 100 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 104 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 114 */     Composite container = new Composite(parent, 0);
/* 115 */     container.setBackground(Display.getCurrent()
/* 116 */         .getSystemColor(1));
/* 117 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 119 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 120 */         container, 2816);
/* 121 */     scrolledComposite.setBackground(Display.getCurrent()
/* 122 */         .getSystemColor(1));
/* 123 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 124 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 125 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 127 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 128 */     this.composite_total.setBackground(Display.getCurrent()
/* 129 */         .getSystemColor(1));
/* 130 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 131 */     this.composite_total.setSize(800, 600);
/*     */     
/* 133 */     Composite composite = new Composite(this.composite_total, 0);
/* 134 */     composite.setBackground(Display.getCurrent()
/* 135 */         .getSystemColor(1));
/*     */     
/* 137 */     FormData fd_composite = new FormData();
/* 138 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 139 */     fd_composite.top = new FormAttachment(0, 20);
/* 140 */     composite.setLayoutData(fd_composite);
/* 141 */     GridLayout gridLayout = new GridLayout();
/* 142 */     gridLayout.numColumns = 3;
/* 143 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 145 */     Label label = new Label(composite, 0);
/* 146 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 147 */     label.setBackground(
/* 148 */         Display.getCurrent().getSystemColor(1));
/* 149 */     label.setText("请输入抽取人员姓名：");
/*     */     
/* 151 */     this.text = new Text(composite, 2048);
/* 152 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 153 */         false);
/* 154 */     gd_text.widthHint = 200;
/* 155 */     this.text.setLayoutData(gd_text);
/*     */     
/* 157 */     Button button = new Button(composite, 0);
/* 158 */     GridData gd_button = new GridData(16384, 16777216, true, 
/* 159 */         false);
/* 160 */     gd_button.heightHint = 20;
/* 161 */     button.setLayoutData(gd_button);
/* 162 */     button.setText("查询");
/*     */     
/* 164 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/*     */     
/* 166 */     this.table = this.tableViewer.getTable();
/* 167 */     FormData fd_table = new FormData();
/*     */     
/* 169 */     fd_table.bottom = new FormAttachment(0, 439);
/* 170 */     fd_table.right = new FormAttachment(100, -35);
/* 171 */     fd_table.top = new FormAttachment(0, 95);
/* 172 */     fd_table.left = new FormAttachment(0, 35);
/* 173 */     this.table.setLayoutData(fd_table);
/* 174 */     this.table.setLinesVisible(true);
/* 175 */     this.table.setHeaderVisible(true);
/* 176 */     PublicUtil.setTableHeight(this.table);
/* 177 */     PublicUtil.setMouseHands(this.table, "0#3");
/*     */     
/* 179 */     this.tableLayout = new TableLayout();
/* 180 */     this.table.setLayout((Layout)this.tableLayout);
/* 181 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 182 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 183 */         16777216);
/* 184 */     newColumnTableColumn.setAlignment(16777216);
/* 185 */     newColumnTableColumn.setText("抽取名称");
/*     */     
/* 187 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 188 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 189 */         16777216);
/* 190 */     newColumnTableColumn_1.setText("抽取人员");
/*     */     
/* 192 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 193 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 194 */         16777216);
/* 195 */     newColumnTableColumn_2.setText("抽取时间");
/*     */     
/* 197 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 198 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 
/* 199 */         16777216);
/* 200 */     newColumnTableColumn_7.setText("");
/*     */     
/* 202 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 203 */     composite_3.setBackground(Display.getCurrent()
/* 204 */         .getSystemColor(1));
/* 205 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 207 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 208 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 210 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 211 */     composite_3.setLayoutData(fd_composite_3);
/* 212 */     GridLayout gridLayout_3 = new GridLayout();
/* 213 */     gridLayout_3.numColumns = 1;
/* 214 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 216 */     Button button_3 = new Button(composite_3, 0);
/* 217 */     GridData gd_button_3 = new GridData(16777216, 16777216, true, 
/* 218 */         false);
/* 219 */     gd_button_3.heightHint = 20;
/* 220 */     button_3.setLayoutData(gd_button_3);
/* 221 */     button_3.setText("选      择      抽      取      条      件");
/*     */     
/* 223 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 225 */             ArrayList listMingLu = CreditCheckView.this.checkManage.getMingLuIds(
/* 226 */                 GljgUserInfo.getInstance().getGroupid(), 
/* 227 */                 GljgUserInfo.getInstance().getDistrictcode());
/* 228 */             if (listMingLu == null || listMingLu.size() <= 0) {
/* 229 */               SydjMessageDialog.openInformation(null, "提示", 
/* 230 */                   "请先执行筛选事业单位名录库操作!");
/*     */               return;
/*     */             } 
/* 233 */             ArrayList listCheckPerson = CreditCheckView.this.checkManage.getCheckPersonList(
/* 234 */                 GljgUserInfo.getInstance().getGroupid(), 
/* 235 */                 GljgUserInfo.getInstance().getDistrictcode());
/* 236 */             if (listCheckPerson == null || listCheckPerson.size() <= 0) {
/* 237 */               SydjMessageDialog.openInformation(null, "提示", 
/* 238 */                   "请先执行抽取执行法人操作!");
/*     */               return;
/*     */             } 
/* 241 */             CreditSydwDialog dialog = new CreditSydwDialog(
/* 242 */                 CreditCheckView.this.composite_total.getShell(), listMingLu, listCheckPerson);
/* 243 */             if (dialog.open() == 1) {
/* 244 */               CreditCheckView.this.redraw();
/*     */             }
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 251 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 252 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditCheckIdLableProvider());
/*     */ 
/*     */     
/* 255 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 257 */             CreditCheckView.this.totalRows = 0;
/* 258 */             CreditCheckView.this.currentPage = 1;
/* 259 */             CreditCheckView.this.startNo = 1;
/* 260 */             CreditCheckView.this.sydwnameStr = CreditCheckView.this.text.getText();
/* 261 */             if (CreditCheckView.this.sydwnameStr == null || CreditCheckView.this.sydwnameStr.trim().length() == 0) {
/* 262 */               SydjMessageDialog.openInformation(null, "提示", "请输入抽取人员姓名!");
/*     */               return;
/*     */             } 
/* 265 */             CreditCheckView.this.list = CreditCheckView.this.checkManage
/*     */               
/* 267 */               .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), CreditCheckView.this.startNo, CreditCheckView.this.maxCount, CreditCheckView.this.sydwnameStr);
/* 268 */             CreditCheckView.this.setFenYe(CreditCheckView.this.list, CreditCheckView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 273 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 274 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 275 */     GridLayout gridLayout_4 = new GridLayout();
/* 276 */     gridLayout_4.numColumns = 2;
/* 277 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 278 */     composite_fenye.setBackground(Display.getCurrent()
/* 279 */         .getSystemColor(1));
/* 280 */     FormData fd_composite_fenye = new FormData();
/* 281 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 282 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 283 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 284 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 285 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 287 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 288 */     composite_1
/* 289 */       .setLayoutData(new GridData(16384, 128, false, false));
/* 290 */     composite_1.setBackground(Display.getCurrent()
/* 291 */         .getSystemColor(1));
/* 292 */     GridLayout gridLayout_2 = new GridLayout();
/* 293 */     gridLayout_2.marginTop = 3;
/* 294 */     gridLayout_2.verticalSpacing = 0;
/* 295 */     gridLayout_2.marginWidth = 0;
/* 296 */     gridLayout_2.marginHeight = 0;
/* 297 */     gridLayout_2.horizontalSpacing = 2;
/* 298 */     gridLayout_2.numColumns = 7;
/* 299 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 301 */     Label label_1 = new Label(composite_1, 0);
/* 302 */     label_1.setBackground(Display.getCurrent()
/* 303 */         .getSystemColor(1));
/* 304 */     label_1.setText("页次：");
/*     */     
/* 306 */     this.label_2 = new Label(composite_1, 131072);
/* 307 */     this.label_2.setBackground(Display.getCurrent()
/* 308 */         .getSystemColor(1));
/* 309 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 310 */     if (this.totalPages == 0) {
/* 311 */       this.label_2.setText("0/0");
/*     */     } else {
/* 313 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 316 */     Label label_3 = new Label(composite_1, 0);
/* 317 */     label_3.setBackground(Display.getCurrent()
/* 318 */         .getSystemColor(1));
/* 319 */     label_3.setText("页  每页");
/*     */     
/* 321 */     Label label_4 = new Label(composite_1, 0);
/* 322 */     label_4.setBackground(Display.getCurrent()
/* 323 */         .getSystemColor(1));
/* 324 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 325 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 327 */     Label label_5 = new Label(composite_1, 0);
/* 328 */     label_5.setBackground(Display.getCurrent()
/* 329 */         .getSystemColor(1));
/* 330 */     label_5.setText("行  共");
/*     */     
/* 332 */     this.label_6 = new Label(composite_1, 0);
/* 333 */     this.label_6.setBackground(Display.getCurrent()
/* 334 */         .getSystemColor(1));
/* 335 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 336 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 338 */     Label label_7 = new Label(composite_1, 0);
/* 339 */     label_7.setBackground(Display.getCurrent()
/* 340 */         .getSystemColor(1));
/* 341 */     label_7.setText("行");
/*     */ 
/*     */     
/* 344 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 345 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, 
/* 346 */           false));
/* 347 */     GridLayout gridLayout_1 = new GridLayout();
/* 348 */     gridLayout_1.numColumns = 6;
/* 349 */     composite_2.setLayout((Layout)gridLayout_1);
/* 350 */     composite_2.setBackground(Display.getCurrent()
/* 351 */         .getSystemColor(1));
/*     */     
/* 353 */     this.button_1 = new Button(composite_2, 0);
/* 354 */     this.button_1.setText("上一页");
/* 355 */     if (!this.hasPreviousPage) {
/* 356 */       this.button_1.setEnabled(false);
/*     */     }
/* 358 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 360 */             CreditCheckView.this.list = CreditCheckView.this.checkManage
/*     */ 
/*     */               
/* 363 */               .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (CreditCheckView.this.currentPage - 2) * CreditCheckView.this.maxCount + 1, CreditCheckView.this.maxCount, CreditCheckView.this.sydwnameStr);
/* 364 */             CreditCheckView.this.setFenYe(CreditCheckView.this.list, CreditCheckView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 368 */     this.button_2 = new Button(composite_2, 0);
/* 369 */     this.button_2.setText("下一页");
/* 370 */     if (!this.hasNextPage) {
/* 371 */       this.button_2.setEnabled(false);
/*     */     }
/* 373 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 375 */             CreditCheckView.this.list = CreditCheckView.this.checkManage
/*     */ 
/*     */               
/* 378 */               .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), CreditCheckView.this.currentPage * CreditCheckView.this.maxCount + 1, CreditCheckView.this.maxCount, CreditCheckView.this.sydwnameStr);
/* 379 */             CreditCheckView.this.setFenYe(CreditCheckView.this.list, CreditCheckView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 383 */     Label label_10 = new Label(composite_2, 0);
/* 384 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 385 */     label_10.setText("转至第");
/*     */     
/* 387 */     this.text_2 = new Text(composite_2, 2048);
/* 388 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 390 */     Label label_11 = new Label(composite_2, 0);
/* 391 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 392 */     label_11.setText("页");
/*     */     
/* 394 */     Button goButton = new Button(composite_2, 0);
/* 395 */     goButton.setText("GO");
/*     */     
/* 397 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 399 */             if (VerifyFunction.isNumeric(CreditCheckView.this.text_2.getText())) {
/* 400 */               int aa = Integer.parseInt(CreditCheckView.this.text_2.getText());
/* 401 */               if (aa > CreditCheckView.this.totalPages) {
/* 402 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 404 */                 CreditCheckView.this.list = CreditCheckView.this.checkManage
/*     */ 
/*     */                   
/* 407 */                   .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (aa - 1) * CreditCheckView.this.maxCount + 1, CreditCheckView.this.maxCount, CreditCheckView.this.sydwnameStr);
/* 408 */                 CreditCheckView.this.setFenYe(CreditCheckView.this.list, aa);
/* 409 */                 CreditCheckView.this.setFontColor();
/* 410 */                 CreditCheckView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 413 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 419 */     Label label_9 = new Label(this.composite_total, 0);
/* 420 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 421 */     FormData fd_label_9 = new FormData();
/* 422 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 423 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 424 */     fd_label_9.top = new FormAttachment(0, 85);
/* 425 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 427 */     this.label_12 = new Label(this.composite_total, 0);
/* 428 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 429 */     this.label_12.setBackground(Display.getCurrent()
/* 430 */         .getSystemColor(1));
/* 431 */     FormData fd_label_12 = new FormData();
/* 432 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 433 */     fd_label_12.top = new FormAttachment(0, 70);
/* 434 */     fd_label_12.right = new FormAttachment(0, 240);
/* 435 */     this.label_12.setLayoutData(fd_label_12);
/* 436 */     this.label_12.setText("抽取列表");
/*     */     
/* 438 */     scrolledComposite.setContent((Control)this.composite_total);
/* 439 */     createActions();
/* 440 */     initializeToolBar();
/* 441 */     initializeMenu();
/*     */     
/* 443 */     initTypeView();
/*     */     
/* 445 */     this.list = this.checkManage
/*     */       
/* 447 */       .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr);
/* 448 */     this.tableViewer.setInput(this.list);
/* 449 */     if (this.list != null && this.list.size() > 0) {
/* 450 */       this.totalRows = ((CreditCheckRecord)this.list.get(0)).getTotalRows();
/* 451 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 452 */       this.totalPages = pu.getTotalPages();
/* 453 */       this.currentPage = pu.getCurrentPage();
/* 454 */       this.hasNextPage = pu.isHasNextPage();
/* 455 */       this.hasPreviousPage = pu.isHasPreviousPage();
/* 456 */       setFenYe(this.list, this.currentPage);
/* 457 */       setFontColor();
/* 458 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 466 */     if (this.cursor != null)
/* 467 */       this.cursor.dispose(); 
/* 468 */     this.cursor = new TableCursor(this.table, 0);
/* 469 */     this.cursor.setBackground(this.table.getDisplay()
/* 470 */         .getSystemColor(26));
/* 471 */     this.cursor.setForeground(this.table.getDisplay()
/* 472 */         .getSystemColor(27));
/* 473 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 475 */             int colums = CreditCheckView.this.cursor.getColumn();
/* 476 */             IStructuredSelection select = (IStructuredSelection)CreditCheckView.this.tableViewer
/* 477 */               .getSelection();
/* 478 */             CreditCheckRecord info = (CreditCheckRecord)select
/* 479 */               .getFirstElement();
/* 480 */             if (colums == 3)
/*     */             {
/* 482 */               if (info != null) {
/* 483 */                 CreditCheckView.this.openView(info);
/*     */               }
/*     */             }
/* 486 */             if (colums == 0) {
/* 487 */               CreditCheckView.this.changeCheckName(info);
/*     */             }
/* 489 */             CreditCheckView.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */     
/* 493 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 496 */             int colums = CreditCheckView.this.cursor.getColumn();
/* 497 */             if (colums == CreditCheckView.this.selectColums) {
/* 498 */               IStructuredSelection select = (IStructuredSelection)CreditCheckView.this.tableViewer
/* 499 */                 .getSelection();
/* 500 */               CreditCheckRecord info = (CreditCheckRecord)select
/* 501 */                 .getFirstElement();
/* 502 */               if (colums == 3 && 
/* 503 */                 info != null) {
/* 504 */                 CreditCheckView.this.openView(info);
/*     */               }
/*     */               
/* 507 */               if (colums == 0) {
/* 508 */                 CreditCheckView.this.changeCheckName(info);
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void changeCheckName(CreditCheckRecord info) {
/* 516 */     ModifyCheckSydwNameDialog nscd = new ModifyCheckSydwNameDialog(
/* 517 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 518 */         info);
/* 519 */     nscd.open();
/* 520 */     redraw();
/*     */   }
/*     */   
/*     */   private void openView(CreditCheckRecord info) {
/* 524 */     CreditCheckDialogSydw dialog = new CreditCheckDialogSydw(
/* 525 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 526 */         info.getRecordId());
/* 527 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 536 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 537 */       this.table.getItem(i)
/* 538 */         .setFont(
/* 539 */           3, 
/* 540 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 541 */             false, false));
/* 542 */       this.table.getItem(i).setForeground(3, 
/* 543 */           SWTResourceManager.getColor(37, 26, 181));
/* 544 */       this.table.getItem(i)
/* 545 */         .setFont(
/* 546 */           0, 
/* 547 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 548 */             false, false));
/* 549 */       this.table.getItem(i).setForeground(0, 
/* 550 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CreditCheckRecord> list, int nextcurrentPage) {
/* 555 */     this.totalRows = 0;
/* 556 */     if (list != null && list.size() > 0) {
/* 557 */       this.totalRows = ((CreditCheckRecord)list.get(0)).getTotalRows();
/*     */     }
/* 559 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 560 */     this.totalPages = pu.getTotalPages();
/* 561 */     this.currentPage = pu.getCurrentPage();
/* 562 */     this.hasNextPage = pu.isHasNextPage();
/* 563 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 564 */     this.startNo = pu.getStartNum();
/*     */     
/* 566 */     this.tableViewer.setInput(list);
/* 567 */     setFontColor();
/* 568 */     setCursor();
/* 569 */     if (this.totalPages == 0) {
/* 570 */       this.label_2.setText("0/0");
/*     */     } else {
/* 572 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 574 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 575 */     this.label_6.getParent().getParent().layout();
/* 576 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 577 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 585 */     this.list = this.checkManage
/*     */       
/* 587 */       .getCheckRecord(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr);
/* 588 */     this.tableViewer.setInput(this.list);
/* 589 */     setFontColor();
/* 590 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 604 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 605 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 612 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 613 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\check\CreditCheckView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */