/*     */ package cs.sydj.operation.credit.check;
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.LoadSuccessDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.cert.print.OpenAndSaveDialog;
/*     */ import cs.sydj.operation.cert.print.SaveDialog;
/*     */ import cs.sydj.operation.credit.common.CheckOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.io.File;
/*     */ import java.io.IOException;
/*     */ import java.util.ArrayList;
/*     */ import jxl.Workbook;
/*     */ import jxl.format.Alignment;
/*     */ import jxl.format.Border;
/*     */ import jxl.format.BorderLineStyle;
/*     */ import jxl.format.CellFormat;
/*     */ import jxl.format.VerticalAlignment;
/*     */ import jxl.write.Label;
/*     */ import jxl.write.WritableCell;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableFont;
/*     */ import jxl.write.WritableSheet;
/*     */ import jxl.write.WritableWorkbook;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.program.Program;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.credit.check.MingLuSydw;
/*     */ 
/*     */ public class MingLuDialogSydw extends Dialog {
/*  64 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   private Button btnExcel;
/*     */   TableViewer tableViewer;
/*  76 */   private ArrayList list = new ArrayList();
/*  77 */   CheckOperation checkManage = new CheckOperation();
/*     */   
/*  79 */   int totalRows = 0;
/*  80 */   int maxCount = 15;
/*  81 */   int startNo = 1;
/*  82 */   int currentPage = 1;
/*  83 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  87 */   private String sydwnameStr = "";
/*     */   private String creditId;
/*     */   private String queryConditions;
/*  90 */   private TableCursor cursor = null;
/*  91 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  97 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 101 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 105 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 109 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 113 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 117 */     this.currentPage = currentPage;
/*     */   }
/*     */   
/*     */   protected MingLuDialogSydw(Shell shell2, String creditId, String queryConditions) {
/* 121 */     super(shell2);
/* 122 */     setShellStyle(66560);
/* 123 */     this.creditId = creditId;
/* 124 */     this.queryConditions = queryConditions;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 134 */     Composite container = new Composite(parent, 0);
/* 135 */     container.setBackground(Display.getCurrent()
/* 136 */         .getSystemColor(1));
/* 137 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 139 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 140 */         container, 2816);
/* 141 */     scrolledComposite.setBackground(Display.getCurrent()
/* 142 */         .getSystemColor(1));
/* 143 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 144 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 145 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 147 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 148 */     this.composite_total.setBackground(Display.getCurrent()
/* 149 */         .getSystemColor(1));
/* 150 */     this.composite_total.setLayout((Layout)new FormLayout());
/*     */ 
/*     */     
/* 153 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/*     */     
/* 155 */     this.table = this.tableViewer.getTable();
/* 156 */     FormData fd_table = new FormData();
/*     */     
/* 158 */     fd_table.bottom = new FormAttachment(0, 439);
/* 159 */     fd_table.right = new FormAttachment(100, -35);
/* 160 */     fd_table.top = new FormAttachment(0, 35);
/* 161 */     fd_table.left = new FormAttachment(0, 35);
/* 162 */     this.table.setLayoutData(fd_table);
/* 163 */     this.table.setLinesVisible(true);
/* 164 */     this.table.setHeaderVisible(true);
/* 165 */     PublicUtil.setTableHeight(this.table);
/* 166 */     PublicUtil.setMouseHands(this.table, "5#6");
/*     */     
/* 168 */     this.tableLayout = new TableLayout();
/* 169 */     this.table.setLayout((Layout)this.tableLayout);
/* 170 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(18));
/* 171 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 172 */         16777216);
/* 173 */     newColumnTableColumn.setAlignment(16777216);
/* 174 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 176 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(36));
/* 177 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 178 */         16777216);
/* 179 */     newColumnTableColumn_1.setText("单位名称");
/*     */     
/* 181 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 182 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 183 */         16777216);
/* 184 */     newColumnTableColumn_6.setText("举办单位");
/*     */     
/* 186 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 187 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 188 */         16777216);
/* 189 */     newColumnTableColumn_2.setText("筛选人员");
/*     */     
/* 191 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(13));
/* 192 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 193 */         16777216);
/* 194 */     newColumnTableColumn_5.setText("筛选时间");
/*     */ 
/*     */     
/* 197 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 198 */     composite_3.setBackground(Display.getCurrent()
/* 199 */         .getSystemColor(1));
/* 200 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 202 */     fd_composite_3.bottom = new FormAttachment(0, 500);
/* 203 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 205 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 206 */     composite_3.setLayoutData(fd_composite_3);
/* 207 */     GridLayout gridLayout_3 = new GridLayout();
/* 208 */     gridLayout_3.numColumns = 5;
/* 209 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 213 */     Label label_8 = new Label(composite_3, 0);
/* 214 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 215 */     label_8.setBackground(Display.getCurrent()
/* 216 */         .getSystemColor(1));
/* 217 */     label_8.setText("");
/*     */     
/* 219 */     this.btnExcel = new Button(composite_3, 0);
/* 220 */     GridData gd_btnExcel = new GridData(16384, 16777216, false, false, 
/* 221 */         1, 1);
/* 222 */     gd_btnExcel.heightHint = 21;
/* 223 */     this.btnExcel.setLayoutData(gd_btnExcel);
/* 224 */     this.btnExcel.setText("另存为excel");
/*     */     
/* 226 */     this.btnExcel.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 228 */             MingLuDialogSydw.this.list = MingLuDialogSydw.this.checkManage.getExcelMingLuSydwInfo(MingLuDialogSydw.this.creditId, MingLuDialogSydw.this.queryConditions);
/* 229 */             MingLuDialogSydw.this.saveExcel(MingLuDialogSydw.this.list);
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 236 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 237 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new MingLuSydwLableProvider());
/*     */ 
/*     */     
/* 240 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 241 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 242 */     GridLayout gridLayout_4 = new GridLayout();
/* 243 */     gridLayout_4.numColumns = 2;
/* 244 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 245 */     composite_fenye.setBackground(Display.getCurrent()
/* 246 */         .getSystemColor(1));
/* 247 */     FormData fd_composite_fenye = new FormData();
/* 248 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 249 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 250 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 251 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 252 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 254 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 255 */     composite_1
/* 256 */       .setLayoutData(new GridData(16384, 128, false, false));
/* 257 */     composite_1.setBackground(Display.getCurrent()
/* 258 */         .getSystemColor(1));
/* 259 */     GridLayout gridLayout_2 = new GridLayout();
/* 260 */     gridLayout_2.marginTop = 3;
/* 261 */     gridLayout_2.verticalSpacing = 0;
/* 262 */     gridLayout_2.marginWidth = 0;
/* 263 */     gridLayout_2.marginHeight = 0;
/* 264 */     gridLayout_2.horizontalSpacing = 2;
/* 265 */     gridLayout_2.numColumns = 7;
/* 266 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 268 */     Label label_1 = new Label(composite_1, 0);
/* 269 */     label_1.setBackground(Display.getCurrent()
/* 270 */         .getSystemColor(1));
/* 271 */     label_1.setText("页次：");
/*     */     
/* 273 */     this.label_2 = new Label(composite_1, 131072);
/* 274 */     this.label_2.setBackground(Display.getCurrent()
/* 275 */         .getSystemColor(1));
/* 276 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 277 */     if (this.totalPages == 0) {
/* 278 */       this.label_2.setText("0/0");
/*     */     } else {
/* 280 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 283 */     Label label_3 = new Label(composite_1, 0);
/* 284 */     label_3.setBackground(Display.getCurrent()
/* 285 */         .getSystemColor(1));
/* 286 */     label_3.setText("页  每页");
/*     */     
/* 288 */     Label label_4 = new Label(composite_1, 0);
/* 289 */     label_4.setBackground(Display.getCurrent()
/* 290 */         .getSystemColor(1));
/* 291 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 292 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 294 */     Label label_5 = new Label(composite_1, 0);
/* 295 */     label_5.setBackground(Display.getCurrent()
/* 296 */         .getSystemColor(1));
/* 297 */     label_5.setText("行  共");
/*     */     
/* 299 */     this.label_6 = new Label(composite_1, 0);
/* 300 */     this.label_6.setBackground(Display.getCurrent()
/* 301 */         .getSystemColor(1));
/* 302 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 303 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 305 */     Label label_7 = new Label(composite_1, 0);
/* 306 */     label_7.setBackground(Display.getCurrent()
/* 307 */         .getSystemColor(1));
/* 308 */     label_7.setText("行");
/*     */ 
/*     */     
/* 311 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 312 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, 
/* 313 */           false));
/* 314 */     GridLayout gridLayout_1 = new GridLayout();
/* 315 */     gridLayout_1.numColumns = 6;
/* 316 */     composite_2.setLayout((Layout)gridLayout_1);
/* 317 */     composite_2.setBackground(Display.getCurrent()
/* 318 */         .getSystemColor(1));
/*     */     
/* 320 */     this.button_1 = new Button(composite_2, 0);
/* 321 */     this.button_1.setText("上一页");
/* 322 */     if (!this.hasPreviousPage) {
/* 323 */       this.button_1.setEnabled(false);
/*     */     }
/* 325 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 327 */             MingLuDialogSydw.this.list = MingLuDialogSydw.this.checkManage
/*     */ 
/*     */               
/* 330 */               .getMingLuSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (MingLuDialogSydw.this.currentPage - 2) * MingLuDialogSydw.this.maxCount + 1, MingLuDialogSydw.this.maxCount, MingLuDialogSydw.this.sydwnameStr, MingLuDialogSydw.this.creditId, MingLuDialogSydw.this.queryConditions);
/* 331 */             MingLuDialogSydw.this.setFenYe(MingLuDialogSydw.this.list, MingLuDialogSydw.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 335 */     this.button_2 = new Button(composite_2, 0);
/* 336 */     this.button_2.setText("下一页");
/* 337 */     if (!this.hasNextPage) {
/* 338 */       this.button_2.setEnabled(false);
/*     */     }
/* 340 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 342 */             MingLuDialogSydw.this.list = MingLuDialogSydw.this.checkManage
/*     */ 
/*     */               
/* 345 */               .getMingLuSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), MingLuDialogSydw.this.currentPage * MingLuDialogSydw.this.maxCount + 1, MingLuDialogSydw.this.maxCount, MingLuDialogSydw.this.sydwnameStr, MingLuDialogSydw.this.creditId, MingLuDialogSydw.this.queryConditions);
/* 346 */             MingLuDialogSydw.this.setFenYe(MingLuDialogSydw.this.list, MingLuDialogSydw.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 350 */     Label label_10 = new Label(composite_2, 0);
/* 351 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 352 */     label_10.setText("转至第");
/*     */     
/* 354 */     this.text_2 = new Text(composite_2, 2048);
/* 355 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 357 */     Label label_11 = new Label(composite_2, 0);
/* 358 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 359 */     label_11.setText("页");
/*     */     
/* 361 */     Button goButton = new Button(composite_2, 0);
/* 362 */     goButton.setText("GO");
/*     */     
/* 364 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 366 */             if (VerifyFunction.isNumeric(MingLuDialogSydw.this.text_2.getText())) {
/* 367 */               int aa = Integer.parseInt(MingLuDialogSydw.this.text_2.getText());
/* 368 */               if (aa > MingLuDialogSydw.this.totalPages) {
/* 369 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 371 */                 MingLuDialogSydw.this.list = 
/* 372 */                   MingLuDialogSydw.this.checkManage
/*     */ 
/*     */ 
/*     */                   
/* 376 */                   .getMingLuSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (aa - 1) * MingLuDialogSydw.this.maxCount + 1, MingLuDialogSydw.this.maxCount, MingLuDialogSydw.this.sydwnameStr, MingLuDialogSydw.this.creditId, MingLuDialogSydw.this.queryConditions);
/* 377 */                 MingLuDialogSydw.this.setFenYe(MingLuDialogSydw.this.list, aa);
/* 378 */                 MingLuDialogSydw.this.setFontColor();
/* 379 */                 MingLuDialogSydw.this.setCursor();
/*     */               } 
/*     */             } else {
/* 382 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 387 */     scrolledComposite.setContent((Control)this.composite_total);
/* 388 */     createActions();
/*     */ 
/*     */     
/* 391 */     initTypeView();
/*     */     
/* 393 */     this.list = this.checkManage
/*     */       
/* 395 */       .getMingLuSydwInfo(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr, this.creditId, this.queryConditions);
/* 396 */     this.tableViewer.setInput(this.list);
/* 397 */     if (this.list != null && this.list.size() > 0) {
/* 398 */       this.totalRows = ((MingLuSydw)this.list.get(0)).getTotalRows();
/* 399 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 400 */       this.totalPages = pu.getTotalPages();
/* 401 */       this.currentPage = pu.getCurrentPage();
/* 402 */       this.hasNextPage = pu.isHasNextPage();
/* 403 */       this.hasPreviousPage = pu.isHasPreviousPage();
/* 404 */       setFenYe(this.list, this.currentPage);
/* 405 */       setFontColor();
/* 406 */       setCursor();
/*     */     } 
/* 408 */     this.composite_total.setSize(1000, 500);
/* 409 */     return (Control)this.composite_total;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 416 */     if (this.cursor != null)
/* 417 */       this.cursor.dispose(); 
/* 418 */     this.cursor = new TableCursor(this.table, 0);
/* 419 */     this.cursor.setBackground(this.table.getDisplay()
/* 420 */         .getSystemColor(26));
/* 421 */     this.cursor.setForeground(this.table.getDisplay()
/* 422 */         .getSystemColor(27));
/* 423 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 425 */             int colums = MingLuDialogSydw.this.cursor.getColumn();
/* 426 */             MingLuDialogSydw.this.selectColums = colums;
/*     */           }
/*     */         });
/* 429 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 432 */             int colums = MingLuDialogSydw.this.cursor.getColumn();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 443 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 444 */       this.table.getItem(i)
/* 445 */         .setFont(
/* 446 */           5, 
/* 447 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 448 */             false, false));
/* 449 */       this.table.getItem(i).setForeground(5, 
/* 450 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 452 */       this.table.getItem(i)
/* 453 */         .setFont(
/* 454 */           6, 
/* 455 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 456 */             false, false));
/* 457 */       this.table.getItem(i).setForeground(6, 
/* 458 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<MingLuSydw> list, int nextcurrentPage) {
/* 463 */     this.totalRows = 0;
/* 464 */     if (list != null && list.size() > 0) {
/* 465 */       this.totalRows = ((MingLuSydw)list.get(0)).getTotalRows();
/*     */     }
/* 467 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 468 */     this.totalPages = pu.getTotalPages();
/* 469 */     this.currentPage = pu.getCurrentPage();
/* 470 */     this.hasNextPage = pu.isHasNextPage();
/* 471 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 472 */     this.startNo = pu.getStartNum();
/*     */     
/* 474 */     this.tableViewer.setInput(list);
/* 475 */     setFontColor();
/* 476 */     setCursor();
/* 477 */     if (this.totalPages == 0) {
/* 478 */       this.label_2.setText("0/0");
/*     */     } else {
/* 480 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 482 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 483 */     this.label_6.getParent().getParent().layout();
/* 484 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 485 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 505 */     super.configureShell(newShell);
/* 506 */     newShell.setText("事业单位查看");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean writeExcel(ArrayList<MingLuSydw> list, String filePath) {
/* 519 */     boolean flag = true;
/* 520 */     WritableWorkbook wwb = null;
/* 521 */     MingLuSydw mod = null;
/*     */     try {
/* 523 */       wwb = Workbook.createWorkbook(new File(filePath));
/*     */ 
/*     */       
/* 526 */       WritableFont titleFonts = new WritableFont(
/* 527 */           WritableFont.createFont("宋体"), 15, WritableFont.BOLD);
/*     */       
/* 529 */       WritableCellFormat titleFormats = new WritableCellFormat(
/* 530 */           titleFonts);
/* 531 */       titleFormats.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 532 */       titleFormats.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 533 */       titleFormats.setAlignment(Alignment.CENTRE);
/* 534 */       titleFormats.setWrap(true);
/* 535 */       WritableFont titleFontt = new WritableFont(
/* 536 */           WritableFont.createFont("宋体"), 10, WritableFont.BOLD);
/*     */       
/* 538 */       WritableCellFormat titleFormatt = new WritableCellFormat(
/* 539 */           titleFontt);
/* 540 */       titleFormatt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 541 */       titleFormatt.setVerticalAlignment(VerticalAlignment.CENTRE);
/* 542 */       titleFormatt.setAlignment(Alignment.LEFT);
/* 543 */       titleFormatt.setWrap(true);
/* 544 */       WritableFont titleFont = new WritableFont(
/* 545 */           WritableFont.createFont("宋体"), 9, WritableFont.BOLD);
/*     */       
/* 547 */       WritableCellFormat titleFormat = new WritableCellFormat(
/* 548 */           titleFont);
/* 549 */       titleFormat.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 550 */       titleFormat.setVerticalAlignment(VerticalAlignment.CENTRE);
/*     */       
/* 552 */       titleFormat.setWrap(true);
/* 553 */       WritableSheet ws = wwb.createSheet("筛选单位列表", 0);
/* 554 */       ws.setColumnView(0, 20);
/* 555 */       ws.setColumnView(1, 60);
/* 556 */       ws.setColumnView(2, 20);
/* 557 */       ws.setColumnView(3, 30);
/* 558 */       Label id = new Label(0, 0, "统一社会信用代码", 
/* 559 */           (CellFormat)titleFormat);
/* 560 */       ws.addCell((WritableCell)id);
/* 561 */       Label certId = new Label(1, 0, "事业单位名称", 
/* 562 */           (CellFormat)titleFormat);
/* 563 */       ws.addCell((WritableCell)certId);
/* 564 */       Label unitName = new Label(2, 0, "举办单位名称", 
/* 565 */           (CellFormat)titleFormat);
/* 566 */       ws.addCell((WritableCell)unitName);
/* 567 */       Label alterContent = new Label(3, 0, "筛选人", 
/* 568 */           (CellFormat)titleFormat);
/* 569 */       ws.addCell((WritableCell)alterContent);
/*     */       
/* 571 */       WritableCellFormat titleFormattt = new WritableCellFormat();
/* 572 */       titleFormattt.setBorder(Border.ALL, BorderLineStyle.THIN);
/* 573 */       titleFormattt.setWrap(true);
/* 574 */       int row = 1;
/* 575 */       for (int i = 0; i < list.size(); i++) {
/* 576 */         mod = list.get(i);
/* 577 */         Label ids = new Label(0, row, 
/* 578 */             mod.getUnifyCode(), (CellFormat)titleFormattt);
/* 579 */         ws.addCell((WritableCell)ids);
/* 580 */         Label certIds = new Label(1, row, 
/* 581 */             mod.getSYDW_FIRST_NAME(), (CellFormat)titleFormattt);
/* 582 */         ws.addCell((WritableCell)certIds);
/* 583 */         Label unitNames = new Label(2, row, 
/* 584 */             mod.getJbdwName(), (CellFormat)titleFormattt);
/* 585 */         ws.addCell((WritableCell)unitNames);
/* 586 */         Label alter = new Label(3, row, 
/* 587 */             mod.getCREATE_USER(), (CellFormat)titleFormattt);
/* 588 */         ws.addCell((WritableCell)alter);
/* 589 */         row++;
/*     */       } 
/* 591 */       wwb.write();
/* 592 */     } catch (Exception e) {
/* 593 */       e.printStackTrace();
/* 594 */       flag = false;
/*     */     } finally {
/* 596 */       if (wwb != null)
/*     */         try {
/* 598 */           wwb.close();
/* 599 */         } catch (IOException e) {
/* 600 */           e.printStackTrace();
/*     */         }  
/*     */     } 
/* 603 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void saveExcel(ArrayList list) {
/* 613 */     String fileName = String.valueOf(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH")) + 
/* 614 */       "筛选事业单位列表.xls";
/* 615 */     OpenAndSaveDialog dialog = new OpenAndSaveDialog(
/* 616 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 617 */         "筛选事业单位列表", "Excel文件(.xls)");
/* 618 */     int returnValue = dialog.open();
/*     */     
/* 620 */     if (returnValue == 0) {
/*     */       
/*     */       try {
/* 623 */         boolean flag = writeExcel(list, fileName);
/* 624 */         if (flag) {
/* 625 */           Program.launch(fileName);
/*     */         } else {
/* 627 */           SydjMessageDialog.openInformation(null, "提示", 
/* 628 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 630 */       } catch (Exception e) {
/* 631 */         e.printStackTrace();
/* 632 */         SydjMessageDialog.openInformation(null, "提示", 
/* 633 */             "生成Excel文件错误，下载失败");
/*     */       } 
/* 635 */     } else if (returnValue == 16) {
/* 636 */       SaveDialog save = new SaveDialog(
/* 637 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell());
/* 638 */       fileName = save.open();
/*     */       
/* 640 */       if (!fileName.substring(fileName.length() - 4, fileName.length()).equals(".xls")) {
/* 641 */         fileName = String.valueOf(fileName) + ".xls";
/*     */       }
/*     */       try {
/* 644 */         boolean flag = writeExcel(list, fileName);
/* 645 */         if (flag) {
/* 646 */           LoadSuccessDialog succ = new LoadSuccessDialog(
/* 647 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 648 */               .getShell(), fileName);
/* 649 */           succ.open();
/*     */         } else {
/* 651 */           SydjMessageDialog.openInformation(null, "提示", 
/* 652 */               "生成Excel文件错误，下载失败");
/*     */         } 
/* 654 */       } catch (Exception e) {
/* 655 */         e.printStackTrace();
/* 656 */         SydjMessageDialog.openInformation(null, "提示", 
/* 657 */             "生成Excel文件错误，下载失败");
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\check\MingLuDialogSydw.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */