/*      */ package cs.sydj.operation.credit.common;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.common.VerifyFunction;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import org.eclipse.jface.dialogs.Dialog;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Combo;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Group;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Shell;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import server.sydj.operation.commons.SydwInfo;
/*      */ import server.sydj.operation.credit.person.CreditPersonInfo;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CreditInputDialog
/*      */   extends Dialog
/*      */ {
/*      */   private Text text_first;
/*      */   private Text text_cerdit_person;
/*      */   private Text text_id_number;
/*      */   private Combo combo_sex;
/*      */   private Text text_province;
/*      */   private Text text_paper_time;
/*      */   private Text text_publish_time;
/*      */   private Text text_court;
/*      */   private Text text_paper_id;
/*      */   private Text text_case_number;
/*      */   private Text text_execute_unit;
/*      */   private Text text_situation;
/*      */   private Text text_duty;
/*      */   private Text text_implementation;
/*      */   private Text text_performed_part;
/*      */   private Text text_unperform_part;
/*      */   private String state;
/*   53 */   private int infoSrc = 1;
/*      */   private int type;
/*   55 */   private SydwInfo sydwinfo = new SydwInfo();
/*   56 */   private Composite container = null;
/*   57 */   public static String industry_code = "";
/*      */   
/*   59 */   private CreditPersonInfo cpInfo = new CreditPersonInfo();
/*   60 */   private CreditPersonInfo creditPersonInfo = new CreditPersonInfo();
/*   61 */   private int returnValue = 1; private Group group;
/*      */   
/*      */   public int getReturnValue() {
/*   64 */     return this.returnValue;
/*      */   }
/*      */   private Label label_54;
/*      */   public void setReturnValue(int returnValue) {
/*   68 */     this.returnValue = returnValue;
/*      */   }
/*      */   
/*      */   public CreditPersonInfo getCreditPersonInfo() {
/*   72 */     return this.cpInfo;
/*      */   }
/*      */   
/*      */   public void setCreditPersonInfo(CreditPersonInfo cpInfo) {
/*   76 */     this.cpInfo = cpInfo;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public CreditInputDialog(Shell parentShell, SydwInfo sydwinfo, CreditPersonInfo creditPersonInfo, String state, int infoSrc, int type) {
/*   94 */     super(parentShell);
/*   95 */     setShellStyle(66560);
/*   96 */     this.sydwinfo = sydwinfo;
/*   97 */     this.creditPersonInfo = creditPersonInfo;
/*   98 */     this.state = state;
/*   99 */     this.infoSrc = infoSrc;
/*  100 */     this.type = type;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Control createDialogArea(Composite parent) {
/*  110 */     parent.setBackground(Display.getCurrent()
/*  111 */         .getSystemColor(1));
/*  112 */     parent.setBackgroundMode(2);
/*  113 */     this.container = (Composite)super.createDialogArea(parent);
/*  114 */     this.container.setLayout((Layout)new FillLayout());
/*      */     
/*  116 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  117 */         this.container, 2816);
/*  118 */     scrolledComposite.getVerticalBar().setIncrement(15);
/*  119 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/*  120 */     scrolledComposite.setExpandHorizontal(true);
/*      */     
/*  122 */     this.group = new Group((Composite)scrolledComposite, 0);
/*  123 */     this.group.setBackground(
/*  124 */         Display.getCurrent().getSystemColor(1));
/*  125 */     this.group.setLocation(0, 0);
/*  126 */     GridLayout gridLayout = new GridLayout();
/*  127 */     gridLayout.verticalSpacing = 0;
/*  128 */     gridLayout.horizontalSpacing = 0;
/*  129 */     gridLayout.numColumns = 20;
/*  130 */     this.group.setLayout((Layout)gridLayout);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  136 */     Label label_184 = new Label((Composite)this.group, 0);
/*  137 */     label_184.setFont(SWTResourceManager.getFont("", 14, 1));
/*  138 */     label_184.setBackground(Display.getCurrent()
/*  139 */         .getSystemColor(1));
/*  140 */     GridData gd_label_184 = new GridData(16777216, 16777216, 
/*  141 */         false, false, 16, 1);
/*  142 */     gd_label_184.heightHint = 45;
/*  143 */     label_184.setLayoutData(gd_label_184);
/*      */     
/*  145 */     if (this.type == 1) {
/*  146 */       label_184.setText("失信人员信息表");
/*  147 */     } else if (this.type == 2) {
/*  148 */       label_184.setText("失信单位信息表");
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  153 */     Label label_53 = new Label((Composite)this.group, 0);
/*  154 */     label_53.setLayoutData(new GridData(16384, 16777216, false, false, 
/*  155 */           1, 2));
/*  156 */     label_53.setText("统一社会信用代码：");
/*      */     
/*  158 */     this.label_54 = new Label((Composite)this.group, 0);
/*  159 */     this.label_54.setLayoutData(new GridData(4, 16777216, true, false, 
/*  160 */           18, 2));
/*  161 */     this.label_54.setText("");
/*      */ 
/*      */     
/*  164 */     Label label_183 = new Label((Composite)this.group, 258);
/*  165 */     label_183.setBackground(Display.getCurrent()
/*  166 */         .getSystemColor(1));
/*  167 */     label_183.setLayoutData(new GridData(4, 16777216, false, 
/*  168 */           false, 20, 1));
/*      */     
/*  170 */     Label label_181 = new Label((Composite)this.group, 2);
/*  171 */     label_181.setBackground(Display.getCurrent()
/*  172 */         .getSystemColor(1));
/*  173 */     GridData gd_label_181 = new GridData(4, 4, false, 
/*  174 */         false);
/*  175 */     gd_label_181.heightHint = 30;
/*  176 */     label_181.setLayoutData(gd_label_181);
/*      */     
/*  178 */     Composite composite_3 = new Composite((Composite)this.group, 0);
/*  179 */     composite_3.setBackground(Display.getCurrent()
/*  180 */         .getSystemColor(1));
/*  181 */     composite_3.setLayoutData(new GridData(4, 4, false, 
/*  182 */           false, 18, 1));
/*  183 */     GridLayout gridLayout_4 = new GridLayout();
/*  184 */     composite_3.setLayout((Layout)gridLayout_4);
/*      */     
/*  186 */     Label label_25 = new Label(composite_3, 0);
/*  187 */     label_25.setBackground(Display.getCurrent()
/*  188 */         .getSystemColor(1));
/*  189 */     label_25.setText("（注：带*的项目必须填）");
/*      */     
/*  191 */     Label label_182 = new Label((Composite)this.group, 2);
/*  192 */     label_182.setBackground(Display.getCurrent()
/*  193 */         .getSystemColor(1));
/*  194 */     GridData gd_label_182 = new GridData(4, 4, false, 
/*  195 */         false);
/*  196 */     gd_label_182.heightHint = 30;
/*  197 */     label_182.setLayoutData(gd_label_182);
/*      */ 
/*      */     
/*  200 */     Label label_179 = new Label((Composite)this.group, 258);
/*  201 */     label_179.setBackground(Display.getCurrent()
/*  202 */         .getSystemColor(1));
/*  203 */     label_179.setLayoutData(new GridData(4, 4, false, 
/*  204 */           false, 20, 1));
/*      */     
/*  206 */     Label label_176 = new Label((Composite)this.group, 2);
/*  207 */     label_176.setBackground(Display.getCurrent()
/*  208 */         .getSystemColor(1));
/*  209 */     GridData gd_label_176 = new GridData(4, 16777216, false, 
/*  210 */         false);
/*  211 */     gd_label_176.heightHint = 30;
/*  212 */     label_176.setLayoutData(gd_label_176);
/*      */     
/*  214 */     Label label_175 = new Label((Composite)this.group, 0);
/*  215 */     label_175.setBackground(Display.getCurrent()
/*  216 */         .getSystemColor(1));
/*  217 */     label_175.setLayoutData(new GridData(16777216, 16777216, false, 
/*  218 */           false, 2, 1));
/*  219 */     label_175.setText("单位名称（第一名称）");
/*      */     
/*  221 */     Label label_177 = new Label((Composite)this.group, 2);
/*  222 */     label_177.setBackground(Display.getCurrent()
/*  223 */         .getSystemColor(1));
/*  224 */     GridData gd_label_177 = new GridData(4, 4, false, 
/*  225 */         false);
/*  226 */     gd_label_177.heightHint = 30;
/*  227 */     label_177.setLayoutData(gd_label_177);
/*      */     
/*  229 */     this.text_first = new Text((Composite)this.group, 2048);
/*  230 */     this.text_first.setBackground(Display.getCurrent()
/*  231 */         .getSystemColor(1));
/*  232 */     this.text_first.setLayoutData(new GridData(4, 16777216, true, 
/*  233 */           false, 15, 1));
/*      */     
/*  235 */     Label label_178 = new Label((Composite)this.group, 2);
/*  236 */     label_178.setBackground(Display.getCurrent()
/*  237 */         .getSystemColor(1));
/*  238 */     GridData gd_label_178 = new GridData(4, 16777216, false, 
/*  239 */         false);
/*  240 */     gd_label_178.heightHint = 30;
/*  241 */     label_178.setLayoutData(gd_label_178);
/*      */ 
/*      */     
/*  244 */     Label label_331 = new Label((Composite)this.group, 258);
/*  245 */     label_331.setLayoutData(new GridData(4, 16777216, false, false, 
/*  246 */           20, 1));
/*      */     
/*  248 */     Label label_2_11 = new Label((Composite)this.group, 2);
/*  249 */     label_2_11.setBackground(Display.getCurrent()
/*  250 */         .getSystemColor(1));
/*  251 */     GridData gd_label_2_11 = new GridData(4, 4, false, 
/*  252 */         false);
/*  253 */     gd_label_2_11.widthHint = 2;
/*  254 */     gd_label_2_11.heightHint = 30;
/*  255 */     label_2_11.setLayoutData(gd_label_2_11);
/*      */     
/*  257 */     Label labelxxx = new Label((Composite)this.group, 16777216);
/*  258 */     labelxxx.setBackground(
/*  259 */         Display.getCurrent().getSystemColor(1));
/*  260 */     GridData gd_labelxxx = new GridData(4, 16777216, false, 
/*  261 */         false, 2, 1);
/*  262 */     gd_labelxxx.widthHint = 46;
/*  263 */     labelxxx.setLayoutData(gd_labelxxx);
/*  264 */     labelxxx.setText("失信人（*）");
/*      */     
/*  266 */     Label label_2xx = new Label((Composite)this.group, 2);
/*  267 */     label_2xx.setBackground(Display.getCurrent()
/*  268 */         .getSystemColor(1));
/*  269 */     GridData gd_label_2xx = new GridData(16384, 4, false, 
/*  270 */         false);
/*  271 */     gd_label_2xx.widthHint = 2;
/*  272 */     gd_label_2xx.heightHint = 30;
/*  273 */     label_2xx.setLayoutData(gd_label_2xx);
/*      */     
/*  275 */     this.text_cerdit_person = new Text((Composite)this.group, 2048);
/*  276 */     this.text_cerdit_person.setBackground(Display.getCurrent()
/*  277 */         .getSystemColor(1));
/*  278 */     this.text_cerdit_person.setLayoutData(new GridData(4, 16777216, true, 
/*  279 */           false));
/*      */     
/*  281 */     Label label_2_2xx = new Label((Composite)this.group, 2);
/*  282 */     label_2_2xx.setBackground(Display.getCurrent()
/*  283 */         .getSystemColor(1));
/*  284 */     GridData gd_label_2_2xx = new GridData(16384, 4, false, 
/*  285 */         false);
/*  286 */     gd_label_2_2xx.heightHint = 30;
/*  287 */     gd_label_2_2xx.widthHint = 30;
/*  288 */     label_2_2xx.setLayoutData(gd_label_2_2xx);
/*      */ 
/*      */     
/*  291 */     Label label_1xx = new Label((Composite)this.group, 16777216);
/*  292 */     label_1xx.setBackground(Display.getCurrent()
/*  293 */         .getSystemColor(1));
/*  294 */     GridData gd_label_1xx = new GridData(4, 16777216, false, 
/*  295 */         false);
/*  296 */     gd_label_1xx.widthHint = 55;
/*  297 */     label_1xx.setLayoutData(gd_label_1xx);
/*  298 */     label_1xx.setText("身份证号（*）");
/*      */     
/*  300 */     Label label_43xx = new Label((Composite)this.group, 2);
/*  301 */     label_43xx.setBackground(Display.getCurrent()
/*  302 */         .getSystemColor(1));
/*  303 */     GridData gd_label_43xx = new GridData(4, 4, false, 
/*  304 */         false);
/*  305 */     gd_label_43xx.heightHint = 9;
/*  306 */     label_43xx.setLayoutData(gd_label_43xx);
/*      */ 
/*      */     
/*  309 */     this.text_id_number = new Text((Composite)this.group, 2048);
/*  310 */     this.text_id_number.setBackground(Display.getCurrent()
/*  311 */         .getSystemColor(1));
/*  312 */     GridData gd_text_id_number = new GridData(4, 16777216, true, 
/*  313 */         false, 3, 1);
/*  314 */     gd_text_id_number.widthHint = 105;
/*  315 */     this.text_id_number.setLayoutData(gd_text_id_number);
/*  316 */     this.text_id_number.setTextLimit(18);
/*      */     
/*  318 */     Label label_2_3xx = new Label((Composite)this.group, 2);
/*  319 */     label_2_3xx.setBackground(Display.getCurrent()
/*  320 */         .getSystemColor(1));
/*  321 */     GridData gd_label_2_3xx = new GridData(16384, 4, false, 
/*  322 */         false);
/*  323 */     gd_label_2_3xx.heightHint = 30;
/*  324 */     gd_label_2_3xx.widthHint = 30;
/*  325 */     label_2_3xx.setLayoutData(gd_label_2_3xx);
/*      */     
/*  327 */     Label label_3xx = new Label((Composite)this.group, 16777216);
/*  328 */     label_3xx.setBackground(Display.getCurrent()
/*  329 */         .getSystemColor(1));
/*  330 */     GridData gd_label_3xx = new GridData(4, 16777216, false, 
/*  331 */         false);
/*  332 */     gd_label_3xx.widthHint = 78;
/*  333 */     label_3xx.setLayoutData(gd_label_3xx);
/*  334 */     label_3xx.setText("性别（*）");
/*      */ 
/*      */     
/*  337 */     Label label_47xx = new Label((Composite)this.group, 2);
/*  338 */     label_47xx.setBackground(Display.getCurrent()
/*  339 */         .getSystemColor(1));
/*  340 */     GridData gd_label_47xx = new GridData(4, 4, false, 
/*  341 */         false);
/*  342 */     gd_label_47xx.heightHint = 18;
/*  343 */     label_47xx.setLayoutData(gd_label_47xx);
/*      */     
/*  345 */     this.combo_sex = new Combo((Composite)this.group, 8);
/*  346 */     this.combo_sex.setLayoutData(new GridData(4, 16777216, true, 
/*  347 */           false, 2, 1));
/*      */ 
/*      */     
/*  350 */     Label label_2_3_1xx = new Label((Composite)this.group, 2);
/*  351 */     label_2_3_1xx.setBackground(Display.getCurrent()
/*  352 */         .getSystemColor(1));
/*  353 */     label_2_3_1xx.setAlignment(131072);
/*  354 */     GridData gd_label_2_3_1xx = new GridData(4, 4, false, 
/*  355 */         false, 1, 2);
/*  356 */     gd_label_2_3_1xx.widthHint = 1;
/*  357 */     gd_label_2_3_1xx.heightHint = 30;
/*  358 */     label_2_3_1xx.setLayoutData(gd_label_2_3_1xx);
/*      */ 
/*      */     
/*  361 */     Label label_b331 = new Label((Composite)this.group, 258);
/*  362 */     label_b331.setLayoutData(new GridData(4, 16777216, false, false, 
/*  363 */           20, 1));
/*      */     
/*  365 */     Label label_b2_11 = new Label((Composite)this.group, 2);
/*  366 */     label_b2_11.setBackground(Display.getCurrent()
/*  367 */         .getSystemColor(1));
/*  368 */     GridData gd_label_b2_11 = new GridData(4, 4, false, 
/*  369 */         false);
/*  370 */     gd_label_b2_11.widthHint = 2;
/*  371 */     gd_label_b2_11.heightHint = 30;
/*  372 */     label_b2_11.setLayoutData(gd_label_2_11);
/*      */     
/*  374 */     Label labelbxxx = new Label((Composite)this.group, 16777216);
/*  375 */     labelxxx.setBackground(
/*  376 */         Display.getCurrent().getSystemColor(1));
/*  377 */     GridData gd_labelbxxx = new GridData(4, 16777216, false, 
/*  378 */         false, 2, 1);
/*  379 */     gd_labelbxxx.widthHint = 46;
/*  380 */     labelbxxx.setLayoutData(gd_labelxxx);
/*  381 */     labelbxxx.setText("省份（*）");
/*      */     
/*  383 */     Label label_b2xx = new Label((Composite)this.group, 2);
/*  384 */     label_b2xx.setBackground(Display.getCurrent()
/*  385 */         .getSystemColor(1));
/*  386 */     GridData gd_label_b2xx = new GridData(16384, 4, false, 
/*  387 */         false);
/*  388 */     gd_label_b2xx.widthHint = 2;
/*  389 */     gd_label_b2xx.heightHint = 30;
/*  390 */     label_b2xx.setLayoutData(gd_label_2xx);
/*      */     
/*  392 */     this.text_province = new Text((Composite)this.group, 2048);
/*  393 */     this.text_province.setBackground(Display.getCurrent()
/*  394 */         .getSystemColor(1));
/*  395 */     this.text_province.setLayoutData(new GridData(4, 16777216, true, 
/*  396 */           false));
/*      */     
/*  398 */     Label label_b2_2xx = new Label((Composite)this.group, 2);
/*  399 */     label_b2_2xx.setBackground(Display.getCurrent()
/*  400 */         .getSystemColor(1));
/*  401 */     GridData gd_label_b2_2xx = new GridData(16384, 4, false, 
/*  402 */         false);
/*  403 */     gd_label_b2_2xx.heightHint = 30;
/*  404 */     gd_label_b2_2xx.widthHint = 30;
/*  405 */     label_b2_2xx.setLayoutData(gd_label_2_2xx);
/*      */ 
/*      */     
/*  408 */     Label label_b1xx = new Label((Composite)this.group, 16777216);
/*  409 */     label_b1xx.setBackground(Display.getCurrent()
/*  410 */         .getSystemColor(1));
/*  411 */     GridData gd_label_b1xx = new GridData(4, 16777216, false, 
/*  412 */         false);
/*  413 */     gd_label_b1xx.widthHint = 55;
/*  414 */     label_b1xx.setLayoutData(gd_label_b1xx);
/*  415 */     label_b1xx.setText("立案时间（*）");
/*      */     
/*  417 */     Label label_b43xx = new Label((Composite)this.group, 2);
/*  418 */     label_b43xx.setBackground(Display.getCurrent()
/*  419 */         .getSystemColor(1));
/*  420 */     GridData gd_label_b43xx = new GridData(4, 4, false, 
/*  421 */         false);
/*  422 */     gd_label_b43xx.heightHint = 9;
/*  423 */     label_b43xx.setLayoutData(gd_label_b43xx);
/*      */ 
/*      */     
/*  426 */     this.text_paper_time = new Text((Composite)this.group, 2048);
/*  427 */     this.text_paper_time.setBackground(Display.getCurrent()
/*  428 */         .getSystemColor(1));
/*  429 */     GridData gd_text_paper_time = new GridData(4, 16777216, true, 
/*  430 */         false, 3, 1);
/*  431 */     gd_text_paper_time.widthHint = 105;
/*  432 */     this.text_paper_time.setLayoutData(gd_text_paper_time);
/*      */     
/*  434 */     Label label_b2_3xx = new Label((Composite)this.group, 2);
/*  435 */     label_b2_3xx.setBackground(Display.getCurrent()
/*  436 */         .getSystemColor(1));
/*  437 */     GridData gd_label_b2_3xx = new GridData(16384, 4, false, 
/*  438 */         false);
/*  439 */     gd_label_b2_3xx.heightHint = 30;
/*  440 */     gd_label_b2_3xx.widthHint = 30;
/*  441 */     label_b2_3xx.setLayoutData(gd_label_b2_3xx);
/*      */     
/*  443 */     Label label_b3xx = new Label((Composite)this.group, 16777216);
/*  444 */     label_b3xx.setBackground(Display.getCurrent()
/*  445 */         .getSystemColor(1));
/*  446 */     GridData gd_label_b3xx = new GridData(4, 16777216, false, 
/*  447 */         false);
/*  448 */     gd_label_b3xx.widthHint = 78;
/*  449 */     label_b3xx.setLayoutData(gd_label_3xx);
/*  450 */     label_b3xx.setText("发布时间（*）");
/*      */ 
/*      */     
/*  453 */     Label label_b47xx = new Label((Composite)this.group, 2);
/*  454 */     label_b47xx.setBackground(Display.getCurrent()
/*  455 */         .getSystemColor(1));
/*  456 */     GridData gd_label_b47xx = new GridData(4, 4, false, 
/*  457 */         false);
/*  458 */     gd_label_b47xx.heightHint = 18;
/*  459 */     label_b47xx.setLayoutData(gd_label_b47xx);
/*      */     
/*  461 */     this.text_publish_time = new Text((Composite)this.group, 2048);
/*  462 */     this.text_publish_time.setBackground(Display.getCurrent()
/*  463 */         .getSystemColor(1));
/*  464 */     this.text_publish_time.setLayoutData(new GridData(4, 16777216, true, 
/*  465 */           false, 2, 1));
/*      */     
/*  467 */     Label label_b2_3_1xx = new Label((Composite)this.group, 2);
/*  468 */     label_b2_3_1xx.setBackground(Display.getCurrent()
/*  469 */         .getSystemColor(1));
/*  470 */     label_b2_3_1xx.setAlignment(131072);
/*  471 */     GridData gd_label_b2_3_1xx = new GridData(4, 4, false, 
/*  472 */         false, 1, 2);
/*  473 */     gd_label_b2_3_1xx.widthHint = 1;
/*  474 */     gd_label_b2_3_1xx.heightHint = 30;
/*  475 */     label_b2_3_1xx.setLayoutData(gd_label_2_3_1xx);
/*      */ 
/*      */     
/*  478 */     Label label_174 = new Label((Composite)this.group, 258);
/*  479 */     label_174.setBackground(Display.getCurrent()
/*  480 */         .getSystemColor(1));
/*  481 */     label_174.setLayoutData(new GridData(4, 4, false, 
/*  482 */           false, 20, 1));
/*      */     
/*  484 */     Label label_180222 = new Label((Composite)this.group, 2);
/*  485 */     GridData gd_label_180222 = new GridData(4, 4, 
/*  486 */         false, false);
/*  487 */     gd_label_180222.heightHint = 30;
/*  488 */     label_180222.setLayoutData(gd_label_180222);
/*  489 */     label_180222.setBackground(Display.getCurrent()
/*  490 */         .getSystemColor(1));
/*      */     
/*  492 */     Label label_100222 = new Label((Composite)this.group, 0);
/*  493 */     label_100222.setBackground(Display.getCurrent()
/*  494 */         .getSystemColor(1));
/*  495 */     label_100222.setLayoutData(new GridData(16777216, 16777216, 
/*  496 */           false, false, 2, 1));
/*  497 */     label_100222.setText("执行法院(*)");
/*      */     
/*  499 */     Label label_185222 = new Label((Composite)this.group, 2);
/*  500 */     GridData gd_label_185222 = new GridData(4, 4, 
/*  501 */         false, false);
/*  502 */     gd_label_185222.heightHint = 30;
/*  503 */     label_185222.setLayoutData(gd_label_185222);
/*  504 */     label_185222.setBackground(Display.getCurrent()
/*  505 */         .getSystemColor(1));
/*      */     
/*  507 */     this.text_court = new Text((Composite)this.group, 2048);
/*  508 */     this.text_court.setLayoutData(new GridData(4, 16777216, true, 
/*  509 */           false, 15, 1));
/*      */     
/*  511 */     Label label_186222 = new Label((Composite)this.group, 2);
/*  512 */     GridData gd_label_186222 = new GridData(4, 4, 
/*  513 */         false, false);
/*  514 */     gd_label_186222.heightHint = 30;
/*  515 */     label_186222.setLayoutData(gd_label_186222);
/*  516 */     label_186222.setBackground(Display.getCurrent()
/*  517 */         .getSystemColor(1));
/*      */     
/*  519 */     Label label_27222 = new Label((Composite)this.group, 258);
/*      */     
/*  521 */     label_27222.setBackground(Display.getCurrent()
/*  522 */         .getSystemColor(1));
/*  523 */     label_27222.setLayoutData(new GridData(4, 16777216, 
/*  524 */           false, false, 20, 1));
/*      */     
/*  526 */     Label label_187222 = new Label((Composite)this.group, 2);
/*  527 */     GridData gd_label_187222 = new GridData(4, 4, 
/*  528 */         false, false);
/*  529 */     gd_label_187222.heightHint = 30;
/*  530 */     label_187222.setLayoutData(gd_label_187222);
/*  531 */     label_187222.setBackground(Display.getCurrent()
/*  532 */         .getSystemColor(1));
/*      */     
/*  534 */     Label label_26222 = new Label((Composite)this.group, 16777216);
/*  535 */     label_26222.setBackground(Display.getCurrent()
/*  536 */         .getSystemColor(1));
/*  537 */     label_26222.setLayoutData(new GridData(16777216, 16777216, 
/*  538 */           false, false, 2, 1));
/*  539 */     label_26222.setText("执行依据文号(*)");
/*      */     
/*  541 */     Label label_188222 = new Label((Composite)this.group, 2);
/*  542 */     GridData gd_label_188222 = new GridData(4, 4, 
/*  543 */         false, false);
/*  544 */     gd_label_188222.heightHint = 30;
/*  545 */     label_188222.setLayoutData(gd_label_188222);
/*  546 */     label_188222.setBackground(Display.getCurrent()
/*  547 */         .getSystemColor(1));
/*      */     
/*  549 */     this.text_paper_id = new Text((Composite)this.group, 2048);
/*  550 */     this.text_paper_id.setLayoutData(new GridData(4, 16777216, true, 
/*  551 */           false, 15, 1));
/*  552 */     this.text_paper_id.setTextLimit(100);
/*      */     
/*  554 */     Label label_189222 = new Label((Composite)this.group, 2);
/*  555 */     GridData gd_label_189222 = new GridData(4, 4, 
/*  556 */         false, false);
/*  557 */     gd_label_189222.heightHint = 30;
/*  558 */     label_189222.setLayoutData(gd_label_189222);
/*  559 */     label_189222.setBackground(Display.getCurrent()
/*  560 */         .getSystemColor(1));
/*      */     
/*  562 */     Label label_99222 = new Label((Composite)this.group, 258);
/*      */     
/*  564 */     label_99222.setBackground(Display.getCurrent()
/*  565 */         .getSystemColor(1));
/*  566 */     label_99222.setLayoutData(new GridData(4, 16777216, 
/*  567 */           false, false, 20, 1));
/*      */     
/*  569 */     Label label_171 = new Label((Composite)this.group, 2);
/*  570 */     label_171.setBackground(Display.getCurrent()
/*  571 */         .getSystemColor(1));
/*  572 */     GridData gd_label_171 = new GridData(4, 16777216, false, 
/*  573 */         false);
/*  574 */     gd_label_171.heightHint = 30;
/*  575 */     label_171.setLayoutData(gd_label_171);
/*      */     
/*  577 */     Label label_170 = new Label((Composite)this.group, 0);
/*  578 */     label_170.setBackground(Display.getCurrent()
/*  579 */         .getSystemColor(1));
/*  580 */     label_170.setLayoutData(new GridData(16777216, 16777216, false, 
/*  581 */           false, 2, 1));
/*  582 */     label_170.setText("案号(*)");
/*      */     
/*  584 */     Label label_172 = new Label((Composite)this.group, 2);
/*  585 */     label_172.setBackground(Display.getCurrent()
/*  586 */         .getSystemColor(1));
/*  587 */     GridData gd_label_172 = new GridData(4, 16777216, false, 
/*  588 */         false);
/*  589 */     gd_label_172.heightHint = 30;
/*  590 */     label_172.setLayoutData(gd_label_172);
/*      */     
/*  592 */     this.text_case_number = new Text((Composite)this.group, 2048);
/*  593 */     this.text_case_number.setLayoutData(new GridData(4, 16777216, true, 
/*  594 */           false, 15, 1));
/*  595 */     this.text_case_number.setTextLimit(100);
/*      */     
/*  597 */     Label label_173 = new Label((Composite)this.group, 2);
/*  598 */     label_173.setBackground(Display.getCurrent()
/*  599 */         .getSystemColor(1));
/*  600 */     GridData gd_label_173 = new GridData(4, 16777216, false, 
/*  601 */         false);
/*  602 */     gd_label_173.heightHint = 30;
/*  603 */     label_173.setLayoutData(gd_label_173);
/*      */ 
/*      */     
/*  606 */     Label label_c01 = new Label((Composite)this.group, 258);
/*  607 */     label_c01.setBackground(Display.getCurrent()
/*  608 */         .getSystemColor(1));
/*  609 */     label_c01.setLayoutData(new GridData(4, 16777216, false, 
/*  610 */           false, 20, 1));
/*      */     
/*  612 */     Label label_c187222 = new Label((Composite)this.group, 2);
/*  613 */     GridData gd_label_c187222 = new GridData(4, 4, 
/*  614 */         false, false);
/*  615 */     gd_label_c187222.heightHint = 30;
/*  616 */     label_c187222.setLayoutData(gd_label_c187222);
/*  617 */     label_c187222.setBackground(Display.getCurrent()
/*  618 */         .getSystemColor(1));
/*      */     
/*  620 */     Label label_c26222 = new Label((Composite)this.group, 16777216);
/*  621 */     label_c26222.setBackground(Display.getCurrent()
/*  622 */         .getSystemColor(1));
/*  623 */     label_c26222.setLayoutData(new GridData(16777216, 16777216, 
/*  624 */           false, false, 2, 1));
/*  625 */     label_c26222.setText("做出执行依据单位(*)");
/*      */     
/*  627 */     Label label_c188222 = new Label((Composite)this.group, 2);
/*  628 */     GridData gd_label_c188222 = new GridData(4, 4, 
/*  629 */         false, false);
/*  630 */     gd_label_c188222.heightHint = 30;
/*  631 */     label_c188222.setLayoutData(gd_label_c188222);
/*  632 */     label_c188222.setBackground(Display.getCurrent()
/*  633 */         .getSystemColor(1));
/*      */     
/*  635 */     this.text_execute_unit = new Text((Composite)this.group, 2048);
/*  636 */     this.text_execute_unit.setLayoutData(new GridData(4, 16777216, true, 
/*  637 */           false, 15, 1));
/*  638 */     this.text_execute_unit.setTextLimit(100);
/*      */     
/*  640 */     Label label_c189222 = new Label((Composite)this.group, 2);
/*  641 */     GridData gd_label_c189222 = new GridData(4, 4, 
/*  642 */         false, false);
/*  643 */     gd_label_c189222.heightHint = 30;
/*  644 */     label_c189222.setLayoutData(gd_label_c189222);
/*  645 */     label_c189222.setBackground(Display.getCurrent()
/*  646 */         .getSystemColor(1));
/*      */     
/*  648 */     Label label_c99222 = new Label((Composite)this.group, 258);
/*      */     
/*  650 */     label_c99222.setBackground(Display.getCurrent()
/*  651 */         .getSystemColor(1));
/*  652 */     label_c99222.setLayoutData(new GridData(4, 16777216, 
/*  653 */           false, false, 20, 1));
/*      */ 
/*      */     
/*  656 */     Label label_a01 = new Label((Composite)this.group, 258);
/*  657 */     label_a01.setBackground(Display.getCurrent()
/*  658 */         .getSystemColor(1));
/*  659 */     label_a01.setLayoutData(new GridData(4, 16777216, false, 
/*  660 */           false, 20, 1));
/*      */     
/*  662 */     Label label_a1 = new Label((Composite)this.group, 2);
/*  663 */     label_a1.setBackground(Display.getCurrent()
/*  664 */         .getSystemColor(1));
/*  665 */     label_a1.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  667 */     Label label_a7 = new Label((Composite)this.group, 16777280);
/*  668 */     label_a7.setBackground(Display.getCurrent()
/*  669 */         .getSystemColor(1));
/*  670 */     GridData gd_label_a51 = new GridData(16777216, 16777216, 
/*  671 */         false, false, 2, 1);
/*  672 */     gd_label_a51.widthHint = 81;
/*  673 */     gd_label_a51.heightHint = 50;
/*  674 */     label_a7.setLayoutData(gd_label_a51);
/*  675 */     label_a7.setText("生效法律文书确定的义务");
/*      */     
/*  677 */     Label label_a12 = new Label((Composite)this.group, 2);
/*  678 */     label_a12.setBackground(Display.getCurrent()
/*  679 */         .getSystemColor(1));
/*  680 */     label_a12.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  682 */     this.text_duty = new Text((Composite)this.group, 2624);
/*  683 */     this.text_duty.setBackground(Display.getCurrent()
/*  684 */         .getSystemColor(1));
/*  685 */     GridData gd_text_duty = new GridData(4, 16777216, true, 
/*  686 */         false, 15, 1);
/*  687 */     gd_text_duty.heightHint = 103;
/*  688 */     this.text_duty.setLayoutData(gd_text_duty);
/*  689 */     this.text_duty.setTextLimit(300);
/*      */     
/*  691 */     Label label_a141 = new Label((Composite)this.group, 2);
/*  692 */     label_a141.setBackground(Display.getCurrent()
/*  693 */         .getSystemColor(1));
/*  694 */     label_a141.setLayoutData(new GridData(4, 4, false, false));
/*      */ 
/*      */     
/*  697 */     Label label_201 = new Label((Composite)this.group, 258);
/*  698 */     label_201.setBackground(Display.getCurrent()
/*  699 */         .getSystemColor(1));
/*  700 */     label_201.setLayoutData(new GridData(4, 16777216, false, 
/*  701 */           false, 20, 1));
/*      */     
/*  703 */     Label label_11 = new Label((Composite)this.group, 2);
/*  704 */     label_11.setBackground(Display.getCurrent()
/*  705 */         .getSystemColor(1));
/*  706 */     label_11.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  708 */     Label label_7 = new Label((Composite)this.group, 16777280);
/*  709 */     label_7.setBackground(Display.getCurrent()
/*  710 */         .getSystemColor(1));
/*      */     
/*  712 */     GridData gd_label_151 = new GridData(16777216, 16777216, 
/*  713 */         false, false, 2, 1);
/*  714 */     gd_label_151.widthHint = 81;
/*  715 */     gd_label_151.heightHint = 50;
/*  716 */     label_7.setLayoutData(gd_label_151);
/*  717 */     label_7.setText("失信被执行人行为具体情形");
/*      */     
/*  719 */     Label label_12 = new Label((Composite)this.group, 2);
/*  720 */     label_12.setBackground(Display.getCurrent()
/*  721 */         .getSystemColor(1));
/*  722 */     label_12.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  724 */     this.text_situation = new Text((Composite)this.group, 2624);
/*  725 */     this.text_situation.setBackground(Display.getCurrent()
/*  726 */         .getSystemColor(1));
/*  727 */     GridData gd_text_situation = new GridData(4, 16777216, true, 
/*  728 */         false, 15, 1);
/*  729 */     gd_text_situation.heightHint = 103;
/*  730 */     this.text_situation.setLayoutData(gd_text_situation);
/*  731 */     this.text_situation.setTextLimit(300);
/*      */     
/*  733 */     Label label_141 = new Label((Composite)this.group, 2);
/*  734 */     label_141.setBackground(Display.getCurrent()
/*  735 */         .getSystemColor(1));
/*  736 */     label_141.setLayoutData(new GridData(4, 4, false, false));
/*      */ 
/*      */     
/*  739 */     Label label_107x = new Label((Composite)this.group, 258);
/*  740 */     label_107x.setBackground(Display.getCurrent()
/*  741 */         .getSystemColor(1));
/*  742 */     label_107x.setLayoutData(new GridData(4, 16777216, false, 
/*  743 */           false, 20, 1));
/*      */     
/*  745 */     Label label_22 = new Label((Composite)this.group, 2);
/*  746 */     label_22.setBackground(Display.getCurrent()
/*  747 */         .getSystemColor(1));
/*  748 */     label_22.setLayoutData(new GridData(4, 4, false, 
/*  749 */           false, 1, 3));
/*      */     
/*  751 */     Label label_15 = new Label((Composite)this.group, 16777280);
/*  752 */     label_15.setBackground(Display.getCurrent()
/*  753 */         .getSystemColor(1));
/*  754 */     GridData gd_label_15 = new GridData(16777216, 16777216, 
/*  755 */         false, false, 2, 3);
/*  756 */     gd_label_15.widthHint = 81;
/*  757 */     gd_label_15.heightHint = 50;
/*  758 */     label_15.setLayoutData(gd_label_15);
/*  759 */     label_15.setText("失信被执行人的履行情况");
/*      */     
/*  761 */     Label label_121 = new Label((Composite)this.group, 2);
/*  762 */     label_121.setBackground(Display.getCurrent()
/*  763 */         .getSystemColor(1));
/*  764 */     label_121.setLayoutData(new GridData(4, 4, false, false));
/*      */     
/*  766 */     this.text_implementation = new Text((Composite)this.group, 2624);
/*  767 */     this.text_implementation.setBackground(Display.getCurrent()
/*  768 */         .getSystemColor(1));
/*  769 */     GridData gd_text_imple = new GridData(4, 16777216, true, 
/*  770 */         false, 15, 1);
/*  771 */     gd_text_imple.heightHint = 103;
/*  772 */     this.text_implementation.setLayoutData(gd_text_imple);
/*  773 */     this.text_implementation.setTextLimit(300);
/*      */     
/*  775 */     Label label_1411 = new Label((Composite)this.group, 2);
/*  776 */     label_1411.setBackground(Display.getCurrent()
/*  777 */         .getSystemColor(1));
/*  778 */     label_1411.setLayoutData(new GridData(4, 4, false, false));
/*      */ 
/*      */     
/*  781 */     Label label_d01 = new Label((Composite)this.group, 258);
/*  782 */     label_d01.setBackground(Display.getCurrent()
/*  783 */         .getSystemColor(1));
/*  784 */     label_d01.setLayoutData(new GridData(4, 16777216, false, 
/*  785 */           false, 20, 1));
/*      */     
/*  787 */     Label label_d187222 = new Label((Composite)this.group, 2);
/*  788 */     GridData gd_label_d187222 = new GridData(4, 4, 
/*  789 */         false, false);
/*  790 */     gd_label_d187222.heightHint = 30;
/*  791 */     label_d187222.setLayoutData(gd_label_d187222);
/*  792 */     label_d187222.setBackground(Display.getCurrent()
/*  793 */         .getSystemColor(1));
/*      */     
/*  795 */     Label label_d26222 = new Label((Composite)this.group, 16777216);
/*  796 */     label_d26222.setBackground(Display.getCurrent()
/*  797 */         .getSystemColor(1));
/*  798 */     label_d26222.setLayoutData(new GridData(16777216, 16777216, 
/*  799 */           false, false, 2, 1));
/*  800 */     label_d26222.setText("已执行部分");
/*      */     
/*  802 */     Label label_d188222 = new Label((Composite)this.group, 2);
/*  803 */     GridData gd_label_d188222 = new GridData(4, 4, 
/*  804 */         false, false);
/*  805 */     gd_label_d188222.heightHint = 30;
/*  806 */     label_d188222.setLayoutData(gd_label_d188222);
/*  807 */     label_d188222.setBackground(Display.getCurrent()
/*  808 */         .getSystemColor(1));
/*      */     
/*  810 */     this.text_performed_part = new Text((Composite)this.group, 2624);
/*  811 */     this.text_performed_part.setBackground(Display.getCurrent()
/*  812 */         .getSystemColor(1));
/*  813 */     GridData gd_text_performed_part = new GridData(4, 16777216, true, 
/*  814 */         false, 15, 1);
/*  815 */     gd_text_performed_part.heightHint = 53;
/*  816 */     this.text_performed_part.setLayoutData(gd_text_performed_part);
/*  817 */     this.text_performed_part.setTextLimit(300);
/*      */     
/*  819 */     Label label_d189222 = new Label((Composite)this.group, 2);
/*  820 */     GridData gd_label_d189222 = new GridData(4, 4, 
/*  821 */         false, false);
/*  822 */     gd_label_d189222.heightHint = 30;
/*  823 */     label_d189222.setLayoutData(gd_label_d189222);
/*  824 */     label_d189222.setBackground(Display.getCurrent()
/*  825 */         .getSystemColor(1));
/*      */     
/*  827 */     Label label_d99222 = new Label((Composite)this.group, 258);
/*      */     
/*  829 */     label_d99222.setBackground(Display.getCurrent()
/*  830 */         .getSystemColor(1));
/*  831 */     label_d99222.setLayoutData(new GridData(4, 16777216, 
/*  832 */           false, false, 20, 1));
/*      */     
/*  834 */     Label label_e01 = new Label((Composite)this.group, 258);
/*  835 */     label_e01.setBackground(Display.getCurrent()
/*  836 */         .getSystemColor(1));
/*  837 */     label_e01.setLayoutData(new GridData(4, 16777216, false, 
/*  838 */           false, 20, 1));
/*      */     
/*  840 */     Label label_e187222 = new Label((Composite)this.group, 2);
/*  841 */     GridData gd_label_e187222 = new GridData(4, 4, 
/*  842 */         false, false);
/*  843 */     gd_label_e187222.heightHint = 30;
/*  844 */     label_e187222.setLayoutData(gd_label_e187222);
/*  845 */     label_e187222.setBackground(Display.getCurrent()
/*  846 */         .getSystemColor(1));
/*      */     
/*  848 */     Label label_e26222 = new Label((Composite)this.group, 16777216);
/*  849 */     label_e26222.setBackground(Display.getCurrent()
/*  850 */         .getSystemColor(1));
/*  851 */     label_e26222.setLayoutData(new GridData(16777216, 16777216, 
/*  852 */           false, false, 2, 1));
/*  853 */     label_e26222.setText("未执行部分");
/*      */     
/*  855 */     Label label_e188222 = new Label((Composite)this.group, 2);
/*  856 */     GridData gd_label_e188222 = new GridData(4, 4, 
/*  857 */         false, false);
/*  858 */     gd_label_e188222.heightHint = 30;
/*  859 */     label_e188222.setLayoutData(gd_label_e188222);
/*  860 */     label_e188222.setBackground(Display.getCurrent()
/*  861 */         .getSystemColor(1));
/*      */     
/*  863 */     this.text_unperform_part = new Text((Composite)this.group, 2624);
/*  864 */     this.text_unperform_part.setBackground(Display.getCurrent()
/*  865 */         .getSystemColor(1));
/*  866 */     GridData gd_text_unperform_part = new GridData(4, 16777216, true, 
/*  867 */         false, 15, 1);
/*  868 */     gd_text_unperform_part.heightHint = 53;
/*  869 */     this.text_unperform_part.setLayoutData(gd_text_unperform_part);
/*  870 */     this.text_unperform_part.setTextLimit(300);
/*      */     
/*  872 */     Label label_e189222 = new Label((Composite)this.group, 2);
/*  873 */     GridData gd_label_e189222 = new GridData(4, 4, 
/*  874 */         false, false);
/*  875 */     gd_label_e189222.heightHint = 30;
/*  876 */     label_e189222.setLayoutData(gd_label_e189222);
/*  877 */     label_e189222.setBackground(Display.getCurrent()
/*  878 */         .getSystemColor(1));
/*      */     
/*  880 */     Label label_e99222 = new Label((Composite)this.group, 258);
/*      */     
/*  882 */     label_e99222.setBackground(Display.getCurrent()
/*  883 */         .getSystemColor(1));
/*  884 */     label_e99222.setLayoutData(new GridData(4, 16777216, 
/*  885 */           false, false, 20, 1));
/*      */ 
/*      */     
/*  888 */     Label label_4 = new Label((Composite)this.group, 258);
/*  889 */     label_4.setBackground(Display.getCurrent()
/*  890 */         .getSystemColor(1));
/*  891 */     label_4.setLayoutData(new GridData(4, 4, false, 
/*  892 */           false, 20, 1));
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  898 */     setTextData();
/*  899 */     this.group.setSize(962, 933);
/*  900 */     scrolledComposite.setContent((Control)this.group);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  907 */     Label label_56111 = new Label((Composite)this.group, 0);
/*  908 */     label_56111.setBackground(Display.getCurrent()
/*  909 */         .getSystemColor(1));
/*  910 */     label_56111.setText("          ");
/*  911 */     GridData gd_label_56_1 = new GridData(16777216, 128, false, 
/*  912 */         false, 3, 1);
/*  913 */     gd_label_56_1.heightHint = 94;
/*  914 */     label_56111.setLayoutData(gd_label_56_1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  929 */     Label label_57111 = new Label((Composite)this.group, 0);
/*  930 */     label_57111.setBackground(Display.getCurrent()
/*  931 */         .getSystemColor(1));
/*  932 */     label_57111.setLayoutData(new GridData(16777216, 16777216, false, 
/*  933 */           false, 11, 1));
/*  934 */     label_57111.setText("国家事业单位登记管理局 版权所有");
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  940 */     setAction();
/*  941 */     return (Control)this.container;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void createButtonsForButtonBar(Composite parent) {
/*  951 */     if (this.state.equals("old")) {
/*  952 */       createButton(parent, 1, "关 闭", false);
/*      */     } else {
/*  954 */       createButton(parent, 0, "确 定", false);
/*  955 */       createButton(parent, 1, "取 消", false);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Point getInitialSize() {
/*  964 */     return new Point(800, 600);
/*      */   }
/*      */ 
/*      */   
/*      */   protected void setTextData() {
/*      */     try {
/*  970 */       this.combo_sex.add("请选择");
/*  971 */       this.combo_sex.add("男");
/*  972 */       this.combo_sex.add("女");
/*  973 */       this.combo_sex.setData("请选择", null);
/*  974 */       this.combo_sex.setData("男", "0");
/*  975 */       this.combo_sex.setData("女", "1");
/*  976 */       this.combo_sex.select(0);
/*      */       
/*  978 */       if ("new".equals(this.state)) {
/*  979 */         this.text_first.setText(this.sydwinfo.getSYDW_NAME_FIRST());
/*  980 */         if (this.infoSrc == 1) {
/*  981 */           this.label_54.setText(this.sydwinfo.getUNIFY_CODE());
/*      */         
/*      */         }
/*      */       }
/*  985 */       else if ("old".equals(this.state)) {
/*  986 */         this.text_first.setText(this.creditPersonInfo.getSydwNameFirst());
/*  987 */         this.text_cerdit_person.setText(this.creditPersonInfo.getPersonName());
/*  988 */         this.text_id_number.setText(this.creditPersonInfo.getIdNumber());
/*      */         
/*  990 */         this.text_duty.setText(this.creditPersonInfo.getDuty());
/*  991 */         this.text_implementation.setText(this.creditPersonInfo.getImplementation());
/*  992 */         this.text_situation.setText(this.creditPersonInfo.getSpecificSituations());
/*      */         
/*  994 */         this.text_province.setText(this.creditPersonInfo.getProvince());
/*  995 */         this.text_paper_time.setText(this.creditPersonInfo.getPaperTime());
/*  996 */         this.text_publish_time.setText(this.creditPersonInfo.getPublishTime());
/*      */         
/*  998 */         this.text_court.setText(this.creditPersonInfo.getCourt());
/*  999 */         this.text_paper_id.setText(this.creditPersonInfo.getPaperId());
/* 1000 */         this.text_case_number.setText(this.creditPersonInfo.getCaseNumber());
/* 1001 */         this.text_execute_unit.setText(this.creditPersonInfo.getExecuteUnit());
/* 1002 */         if (this.creditPersonInfo.getPerformedPart() != null)
/* 1003 */           this.text_performed_part.setText(this.creditPersonInfo.getPerformedPart()); 
/* 1004 */         if (this.creditPersonInfo.getUnperformPart() != null) {
/* 1005 */           this.text_unperform_part.setText(this.creditPersonInfo.getUnperformPart());
/*      */         }
/* 1007 */         if ("0".equals(this.creditPersonInfo.getSex())) {
/* 1008 */           this.combo_sex.select(1);
/* 1009 */         } else if ("1".equals(this.creditPersonInfo.getSex())) {
/* 1010 */           this.combo_sex.select(2);
/*      */         } 
/* 1012 */         this.label_54.setText(this.creditPersonInfo.getUnifyCode());
/* 1013 */       } else if ("edit".equals(this.state)) {
/* 1014 */         this.text_first.setText(this.creditPersonInfo.getSydwNameFirst());
/* 1015 */         this.text_cerdit_person.setText(this.creditPersonInfo.getPersonName());
/* 1016 */         this.text_id_number.setText(this.creditPersonInfo.getIdNumber());
/*      */         
/* 1018 */         this.text_duty.setText(this.creditPersonInfo.getDuty());
/* 1019 */         this.text_implementation.setText(this.creditPersonInfo.getImplementation());
/* 1020 */         this.text_situation.setText(this.creditPersonInfo.getSpecificSituations());
/*      */         
/* 1022 */         this.text_province.setText(this.creditPersonInfo.getProvince());
/* 1023 */         this.text_paper_time.setText(this.creditPersonInfo.getPaperTime());
/* 1024 */         this.text_publish_time.setText(this.creditPersonInfo.getPublishTime());
/*      */         
/* 1026 */         this.text_court.setText(this.creditPersonInfo.getCourt());
/* 1027 */         this.text_paper_id.setText(this.creditPersonInfo.getPaperId());
/* 1028 */         this.text_case_number.setText(this.creditPersonInfo.getCaseNumber());
/* 1029 */         this.text_execute_unit.setText(this.creditPersonInfo.getExecuteUnit());
/* 1030 */         if (this.creditPersonInfo.getPerformedPart() != null)
/* 1031 */           this.text_performed_part.setText(this.creditPersonInfo.getPerformedPart()); 
/* 1032 */         if (this.creditPersonInfo.getUnperformPart() != null) {
/* 1033 */           this.text_unperform_part.setText(this.creditPersonInfo.getUnperformPart());
/*      */         }
/* 1035 */         if ("0".equals(this.creditPersonInfo.getSex())) {
/* 1036 */           this.combo_sex.select(1);
/* 1037 */         } else if ("1".equals(this.creditPersonInfo.getSex())) {
/* 1038 */           this.combo_sex.select(2);
/*      */         } 
/* 1040 */         this.text_cerdit_person.setEnabled(false);
/* 1041 */         this.text_id_number.setEnabled(false);
/* 1042 */         this.combo_sex.setEnabled(false);
/* 1043 */         this.label_54.setText(this.creditPersonInfo.getUnifyCode());
/*      */       }
/*      */     
/*      */     }
/* 1047 */     catch (Exception e) {
/* 1048 */       e.printStackTrace();
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   protected void initializeBounds() {
/* 1054 */     super.initializeBounds();
/* 1055 */     PublicUtil.setCenter(getShell());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setAction() {}
/*      */ 
/*      */ 
/*      */   
/*      */   protected void configureShell(Shell newShell) {
/* 1066 */     super.configureShell(newShell);
/* 1067 */     if (this.type == 1) {
/* 1068 */       newShell.setText("失信人员信息表");
/* 1069 */     } else if (this.type == 2) {
/* 1070 */       newShell.setText("失信单位信息表");
/*      */     } 
/*      */   }
/*      */ 
/*      */   
/*      */   public int open() {
/* 1076 */     super.open();
/* 1077 */     return this.returnValue;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void saveData() {
/* 1087 */     if ("edit".equals(this.state)) {
/* 1088 */       this.cpInfo.setCreditId(this.creditPersonInfo.getCreditId());
/*      */       
/* 1090 */       this.cpInfo.setGroupId(this.creditPersonInfo.getGroupId());
/* 1091 */       this.cpInfo.setSydwId(this.creditPersonInfo.getSydwId());
/* 1092 */       this.cpInfo.setDistrictCode(this.creditPersonInfo.getDistrictCode());
/* 1093 */       this.cpInfo.setSydwNameFirst(this.creditPersonInfo.getSydwNameFirst());
/*      */     } else {
/* 1095 */       this.cpInfo.setGroupId(this.sydwinfo.getGROUP_ID());
/* 1096 */       this.cpInfo.setSydwId(this.sydwinfo.getSYDW_ID());
/* 1097 */       this.cpInfo.setDistrictCode(this.sydwinfo.getDISTRICT_CODE());
/* 1098 */       this.cpInfo.setSydwNameFirst(this.sydwinfo.getSYDW_NAME_FIRST());
/*      */     } 
/* 1100 */     this.cpInfo.setPersonName(this.text_cerdit_person.getText());
/* 1101 */     this.cpInfo.setIdNumber(this.text_id_number.getText());
/* 1102 */     this.cpInfo.setSex((String)this.combo_sex.getData(this.combo_sex.getText()));
/*      */     
/* 1104 */     this.cpInfo.setCourt(this.text_court.getText());
/* 1105 */     this.cpInfo.setProvince(this.text_province.getText());
/* 1106 */     this.cpInfo.setPaperId(this.text_paper_id.getText());
/* 1107 */     this.cpInfo.setPaperTime(this.text_paper_time.getText());
/* 1108 */     this.cpInfo.setCaseNumber(this.text_case_number.getText());
/* 1109 */     this.cpInfo.setCaseTitle(null);
/* 1110 */     this.cpInfo.setCaseOpinion(null);
/* 1111 */     this.cpInfo.setExecuteUnit(this.text_execute_unit.getText());
/* 1112 */     this.cpInfo.setDuty(this.text_duty.getText());
/* 1113 */     this.cpInfo.setImplementation(this.text_implementation.getText());
/* 1114 */     this.cpInfo.setPerformedPart(this.text_performed_part.getText());
/* 1115 */     this.cpInfo.setUnperformPart(this.text_unperform_part.getText());
/* 1116 */     this.cpInfo.setSpecificSituations(this.text_situation.getText());
/* 1117 */     this.cpInfo.setInfoType("1");
/* 1118 */     this.cpInfo.setIsPublic("0");
/* 1119 */     this.cpInfo.setCreateUser(GljgUserInfo.getInstance().getRealname());
/* 1120 */     this.cpInfo.setStateChangeUser(GljgUserInfo.getInstance().getRealname());
/* 1121 */     this.cpInfo.setDwType("0");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean checkData() {
/* 1128 */     boolean flag = true;
/*      */     
/* 1130 */     if (this.text_cerdit_person.getText().equals("")) {
/* 1131 */       SydjMessageDialog.openInformation(null, "提示", "请输入失信人名称!");
/* 1132 */       this.text_cerdit_person.setFocus();
/* 1133 */       flag = false;
/* 1134 */       return flag;
/*      */     } 
/* 1136 */     if (this.text_id_number.getText().equals("")) {
/* 1137 */       SydjMessageDialog.openInformation(null, "提示", "请输入失信人身份证号!");
/* 1138 */       this.text_id_number.setFocus();
/* 1139 */       flag = false;
/* 1140 */       return flag;
/*      */     } 
/*      */     
/* 1143 */     if (!VerifyFunction.isIDnum(this.text_id_number.getText())) {
/* 1144 */       SydjMessageDialog.openWarning(null, "", "非法的身份证号码，请重新输入！");
/* 1145 */       this.text_id_number.setFocus();
/* 1146 */       return false;
/*      */     } 
/*      */     
/* 1149 */     if (this.combo_sex.getText().equals("请选择")) {
/* 1150 */       SydjMessageDialog.openInformation(null, "提示", "请选择失信人性别!");
/* 1151 */       flag = false;
/* 1152 */       this.combo_sex.setFocus();
/* 1153 */       return flag;
/*      */     } 
/* 1155 */     if (this.text_situation.getText().equals("")) {
/* 1156 */       SydjMessageDialog.openInformation(null, "提示", "请输入失信被执行人行为具体情形!");
/* 1157 */       this.text_situation.setFocus();
/* 1158 */       flag = false;
/* 1159 */       return flag;
/*      */     } 
/* 1161 */     if (this.text_implementation.getText().equals("")) {
/* 1162 */       SydjMessageDialog.openInformation(null, "提示", "请输入失信被执行人的履行情况!");
/* 1163 */       this.text_implementation.setFocus();
/* 1164 */       flag = false;
/* 1165 */       return flag;
/*      */     } 
/*      */     
/* 1168 */     return flag;
/*      */   }
/*      */ 
/*      */   
/*      */   protected void buttonPressed(int buttonId) {
/* 1173 */     if (buttonId == 1) {
/* 1174 */       this.returnValue = 1;
/* 1175 */       super.buttonPressed(buttonId);
/*      */     } 
/*      */     
/* 1178 */     boolean flag = true;
/* 1179 */     if (buttonId == 0) {
/* 1180 */       flag = checkData();
/* 1181 */       if (flag) {
/* 1182 */         saveData();
/* 1183 */         this.returnValue = 0;
/* 1184 */         super.buttonPressed(buttonId);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\common\CreditInputDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */