/*     */ package cs.sydj.operation.credit.message;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.credit.message.CreditMessage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditMessageDataManage
/*     */ {
/*  16 */   String operation = "CreditMessageOperation";
/*  17 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  18 */   String messagexml = null;
/*  19 */   String replyxml = null;
/*  20 */   ArrayList result = new ArrayList();
/*  21 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditMessage getSydwInfoByName(String sydwName) {
/*  35 */     this.messageParameter.put("sydwName", sydwName);
/*  36 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoByName", this.messageParameter);
/*     */     try {
/*  38 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  39 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  40 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  41 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  42 */       if (this.result != null && this.result.size() > 0) {
/*  43 */         CreditMessage cm = this.result.get(0);
/*  44 */         return cm;
/*     */       } 
/*  46 */       return null;
/*     */     }
/*  48 */     catch (JMSException e) {
/*  49 */       e.printStackTrace();
/*     */     }
/*  51 */     catch (Exception e) {
/*  52 */       e.printStackTrace();
/*     */     } 
/*  54 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSydwInfoBySydwId(String sydwId) {
/*  65 */     this.messageParameter.put("sydwId", sydwId);
/*  66 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getSydwInfoBySydwId", this.messageParameter);
/*     */     try {
/*  68 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  69 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  70 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  71 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  72 */     } catch (JMSException e) {
/*  73 */       e.printStackTrace();
/*     */     }
/*  75 */     catch (Exception e) {
/*  76 */       e.printStackTrace();
/*     */     } 
/*  78 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getMessageList(String groupId, String districtCode, int startNo, int maxCount, String sydwName) {
/*  89 */     this.messageParameter.put("groupId", groupId);
/*  90 */     this.messageParameter.put("districtCode", districtCode);
/*  91 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  92 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  93 */     this.messageParameter.put("sydwName", sydwName);
/*  94 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getMessageList", this.messageParameter);
/*     */     try {
/*  96 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  97 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  98 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/*  99 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 100 */     } catch (JMSException e) {
/* 101 */       e.printStackTrace();
/*     */     }
/* 103 */     catch (Exception e) {
/* 104 */       e.printStackTrace();
/*     */     } 
/* 106 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getMessageById(String id) {
/* 117 */     this.messageParameter.put("id", id);
/* 118 */     this.messagexml = MessageXML.MessageToXML(this.operation, "getMessageById", this.messageParameter);
/*     */     try {
/* 120 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 121 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 122 */       this.replyxml = this.sender.sendMessage(this.messagexml, "xml");
/* 123 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 124 */     } catch (JMSException e) {
/* 125 */       e.printStackTrace();
/*     */     }
/* 127 */     catch (Exception e) {
/* 128 */       e.printStackTrace();
/*     */     } 
/* 130 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveCreditMessage(CreditMessage cm, String type) {
/* 141 */     this.messageParameter.put("cm", MessageXML.getReplyXML(cm));
/* 142 */     this.messageParameter.put("type", type);
/*     */     
/* 144 */     this.messagexml = MessageXML.MessageToXML(this.operation, "saveCreditMessage", this.messageParameter);
/*     */     try {
/* 146 */       this.sender = new MessageSender(MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 147 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 148 */       this.replyxml = this.sender.sendMessage(this.messagexml, "short");
/* 149 */     } catch (JMSException e) {
/* 150 */       e.printStackTrace();
/*     */     }
/* 152 */     catch (Exception e) {
/* 153 */       e.printStackTrace();
/*     */     } 
/* 155 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\message\CreditMessageDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */