/*     */ package cs.sydj.operation.credit.message;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.credit.message.CreditMessage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditMessageInputDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_sydwNameFirst;
/*     */   private Text text_unifyCode;
/*     */   private Combo combo_site_xxfl;
/*     */   private Text text_site_xxbt;
/*     */   private Text text_site_xxms;
/*     */   private Combo combo_is_public;
/*     */   private Text text_note;
/*  38 */   CreditMessageDataManage cmdm = new CreditMessageDataManage();
/*  39 */   private Composite container = null;
/*     */   
/*  41 */   private int returnValue = 1;
/*     */   
/*     */   private final CreditMessage cm;
/*  44 */   private String state = "";
/*     */ 
/*     */ 
/*     */   
/*     */   private Group group;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditMessageInputDialog(Shell parentShell, CreditMessage cm, String state) {
/*  54 */     super(parentShell);
/*  55 */     this.cm = cm;
/*  56 */     this.state = state;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  66 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  67 */     parent.setBackgroundMode(2);
/*  68 */     this.container = (Composite)super.createDialogArea(parent);
/*  69 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/*  71 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container, 2816);
/*  72 */     scrolledComposite.getVerticalBar().setIncrement(15);
/*  73 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/*  74 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/*  76 */     this.group = new Group((Composite)scrolledComposite, 0);
/*  77 */     this.group.setBackground(Display.getCurrent().getSystemColor(1));
/*  78 */     this.group.setLocation(0, 0);
/*  79 */     GridLayout gridLayout = new GridLayout();
/*  80 */     gridLayout.verticalSpacing = 0;
/*  81 */     gridLayout.horizontalSpacing = 0;
/*  82 */     gridLayout.numColumns = 8;
/*  83 */     this.group.setLayout((Layout)gridLayout);
/*     */ 
/*     */     
/*  86 */     Label label_184 = new Label((Composite)this.group, 0);
/*  87 */     label_184.setFont(SWTResourceManager.getFont("", 14, 1));
/*  88 */     label_184.setBackground(Display.getCurrent().getSystemColor(1));
/*  89 */     GridData gd_label_184 = new GridData(16777216, 16777216, false, false, 8, 1);
/*  90 */     gd_label_184.heightHint = 45;
/*  91 */     label_184.setLayoutData(gd_label_184);
/*  92 */     label_184.setText("网站信息表");
/*     */ 
/*     */     
/*  95 */     Label label_179 = new Label((Composite)this.group, 258);
/*  96 */     label_179.setBackground(Display.getCurrent().getSystemColor(1));
/*  97 */     label_179.setLayoutData(new GridData(4, 4, false, false, 8, 1));
/*     */ 
/*     */     
/* 100 */     Label label_176 = new Label((Composite)this.group, 2);
/* 101 */     label_176.setBackground(Display.getCurrent().getSystemColor(1));
/* 102 */     GridData gd_label_176 = new GridData(4, 16777216, false, false);
/* 103 */     gd_label_176.heightHint = 30;
/* 104 */     label_176.setLayoutData(gd_label_176);
/*     */     
/* 106 */     Label label_175 = new Label((Composite)this.group, 0);
/* 107 */     label_175.setBackground(Display.getCurrent().getSystemColor(1));
/* 108 */     label_175.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 109 */     label_175.setText("单位名称（第一名称）");
/*     */     
/* 111 */     Label label_177 = new Label((Composite)this.group, 2);
/* 112 */     label_177.setBackground(Display.getCurrent().getSystemColor(1));
/* 113 */     GridData gd_label_177 = new GridData(4, 4, false, false);
/* 114 */     gd_label_177.heightHint = 30;
/* 115 */     label_177.setLayoutData(gd_label_177);
/*     */     
/* 117 */     this.text_sydwNameFirst = new Text((Composite)this.group, 2048);
/* 118 */     this.text_sydwNameFirst.setEditable(false);
/* 119 */     this.text_sydwNameFirst.setBackground(Display.getCurrent().getSystemColor(1));
/* 120 */     this.text_sydwNameFirst.setLayoutData(new GridData(4, 16777216, true, false, 4, 1));
/*     */     
/* 122 */     Label label_178 = new Label((Composite)this.group, 2);
/* 123 */     label_178.setBackground(Display.getCurrent().getSystemColor(1));
/* 124 */     GridData gd_label_178 = new GridData(4, 16777216, false, false);
/* 125 */     gd_label_178.heightHint = 30;
/* 126 */     label_178.setLayoutData(gd_label_178);
/*     */ 
/*     */     
/* 129 */     Label label_174 = new Label((Composite)this.group, 258);
/* 130 */     label_174.setBackground(Display.getCurrent().getSystemColor(1));
/* 131 */     label_174.setLayoutData(new GridData(4, 4, false, false, 8, 1));
/*     */ 
/*     */     
/* 134 */     Label label_180222 = new Label((Composite)this.group, 2);
/* 135 */     GridData gd_label_180222 = new GridData(4, 4, false, false);
/* 136 */     gd_label_180222.heightHint = 30;
/* 137 */     label_180222.setLayoutData(gd_label_180222);
/* 138 */     label_180222.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 140 */     Label label_100222 = new Label((Composite)this.group, 0);
/* 141 */     label_100222.setBackground(Display.getCurrent().getSystemColor(1));
/* 142 */     label_100222.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 143 */     label_100222.setText("统一社会信用代码");
/*     */     
/* 145 */     Label label_185222 = new Label((Composite)this.group, 2);
/* 146 */     GridData gd_label_185222 = new GridData(4, 4, false, false);
/* 147 */     gd_label_185222.heightHint = 30;
/* 148 */     label_185222.setLayoutData(gd_label_185222);
/* 149 */     label_185222.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 151 */     this.text_unifyCode = new Text((Composite)this.group, 2048);
/* 152 */     this.text_unifyCode.setEditable(false);
/* 153 */     this.text_unifyCode.setLayoutData(new GridData(4, 16777216, true, false, 4, 1));
/*     */     
/* 155 */     Label label_186222 = new Label((Composite)this.group, 2);
/* 156 */     GridData gd_label_186222 = new GridData(4, 4, false, false);
/* 157 */     gd_label_186222.heightHint = 30;
/* 158 */     label_186222.setLayoutData(gd_label_186222);
/* 159 */     label_186222.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */     
/* 162 */     Label label_27222 = new Label((Composite)this.group, 258);
/* 163 */     label_27222.setBackground(Display.getCurrent().getSystemColor(1));
/* 164 */     label_27222.setLayoutData(new GridData(4, 16777216, false, false, 8, 1));
/*     */ 
/*     */     
/* 167 */     Label label_1661z11s11 = new Label((Composite)this.group, 2);
/* 168 */     label_1661z11s11.setBackground(Display.getCurrent().getSystemColor(1));
/* 169 */     GridData gd_label_1661z11s11 = new GridData(4, 16777216, false, false);
/* 170 */     gd_label_1661z11s11.heightHint = 30;
/* 171 */     label_1661z11s11.setLayoutData(gd_label_1661z11s11);
/*     */     
/* 173 */     Label label_1651z11d11 = new Label((Composite)this.group, 0);
/* 174 */     label_1651z11d11.setBackground(Display.getCurrent().getSystemColor(1));
/* 175 */     label_1651z11d11.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 176 */     label_1651z11d11.setText("信息类型");
/*     */     
/* 178 */     Label label_1671z11d11 = new Label((Composite)this.group, 2);
/* 179 */     label_1671z11d11.setBackground(Display.getCurrent().getSystemColor(1));
/* 180 */     GridData gd_label_1671z11d11 = new GridData(4, 16777216, false, false);
/* 181 */     gd_label_1671z11d11.heightHint = 30;
/* 182 */     label_1671z11d11.setLayoutData(gd_label_1671z11d11);
/*     */     
/* 184 */     this.combo_site_xxfl = new Combo((Composite)this.group, 8);
/* 185 */     this.combo_site_xxfl.setLayoutData(new GridData(4, 16777216, true, false, 4, 1));
/*     */     
/* 187 */     Label zlabel_5211d11 = new Label((Composite)this.group, 2);
/* 188 */     zlabel_5211d11.setBackground(Display.getCurrent().getSystemColor(1));
/* 189 */     GridData gd_label_521c1d11 = new GridData(4, 16777216, false, false);
/* 190 */     gd_label_521c1d11.heightHint = 30;
/* 191 */     zlabel_5211d11.setLayoutData(gd_label_521c1d11);
/*     */ 
/*     */     
/* 194 */     Label label_1741 = new Label((Composite)this.group, 258);
/* 195 */     label_1741.setBackground(Display.getCurrent().getSystemColor(1));
/* 196 */     label_1741.setLayoutData(new GridData(4, 4, false, false, 8, 1));
/*     */ 
/*     */     
/* 199 */     Label label_50 = new Label((Composite)this.group, 2);
/* 200 */     GridData gd_label_50 = new GridData(4, 4, false, false);
/* 201 */     gd_label_50.heightHint = 15;
/* 202 */     label_50.setLayoutData(gd_label_50);
/*     */     
/* 204 */     Label label_48 = new Label((Composite)this.group, 0);
/* 205 */     label_48.setAlignment(16777216);
/* 206 */     label_48.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 207 */     label_48.setText("信息标题");
/*     */     
/* 209 */     Label label_51 = new Label((Composite)this.group, 2);
/* 210 */     GridData gd_label_51 = new GridData(4, 4, false, false);
/* 211 */     gd_label_51.heightHint = 18;
/* 212 */     label_51.setLayoutData(gd_label_51);
/*     */     
/* 214 */     this.text_site_xxbt = new Text((Composite)this.group, 2048);
/* 215 */     this.text_site_xxbt.setLayoutData(new GridData(4, 16777216, true, false, 4, 1));
/*     */     
/* 217 */     Label label_1639 = new Label((Composite)this.group, 2);
/* 218 */     GridData gd_label_1639 = new GridData(4, 16777216, false, false);
/* 219 */     gd_label_1639.widthHint = 1;
/* 220 */     gd_label_1639.heightHint = 30;
/* 221 */     label_1639.setLayoutData(gd_label_1639);
/*     */ 
/*     */     
/* 224 */     Label label_164121fg1 = new Label((Composite)this.group, 258);
/* 225 */     label_164121fg1.setBackground(Display.getCurrent().getSystemColor(1));
/* 226 */     label_164121fg1.setLayoutData(new GridData(4, 16777216, true, false, 8, 1));
/*     */ 
/*     */     
/* 229 */     Label label_18722211g1 = new Label((Composite)this.group, 2);
/* 230 */     GridData gd_label_18722211g1 = new GridData(4, 4, false, false);
/* 231 */     gd_label_18722211g1.heightHint = 30;
/* 232 */     label_18722211g1.setLayoutData(gd_label_18722211g1);
/* 233 */     label_18722211g1.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 235 */     Label label_2622211g1 = new Label((Composite)this.group, 16777216);
/* 236 */     label_2622211g1.setBackground(Display.getCurrent().getSystemColor(1));
/* 237 */     label_2622211g1.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 238 */     label_2622211g1.setText("信息描述");
/*     */     
/* 240 */     Label label_18822211g1 = new Label((Composite)this.group, 2);
/* 241 */     GridData gd_label_18822211g1 = new GridData(4, 4, false, false);
/* 242 */     gd_label_18822211g1.heightHint = 30;
/* 243 */     label_18822211g1.setLayoutData(gd_label_18822211g1);
/* 244 */     label_18822211g1.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 246 */     this.text_site_xxms = new Text((Composite)this.group, 2624);
/* 247 */     GridData gd_text_3d1111g11 = new GridData(4, 16777216, false, false, 4, 1);
/* 248 */     gd_text_3d1111g11.heightHint = 350;
/* 249 */     this.text_site_xxms.setLayoutData(gd_text_3d1111g11);
/* 250 */     this.text_site_xxms.setTextLimit(1300);
/*     */     
/* 252 */     Label label_18922211g11 = new Label((Composite)this.group, 2);
/* 253 */     GridData gd_label_18922211g11 = new GridData(4, 4, false, false);
/* 254 */     gd_label_18922211g11.heightHint = 30;
/* 255 */     label_18922211g11.setLayoutData(gd_label_18922211g11);
/* 256 */     label_18922211g11.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 262 */     Label label_27223 = new Label((Composite)this.group, 258);
/* 263 */     label_27223.setBackground(Display.getCurrent().getSystemColor(1));
/* 264 */     label_27223.setLayoutData(new GridData(4, 16777216, false, false, 8, 1));
/*     */ 
/*     */     
/* 267 */     Label label_1662 = new Label((Composite)this.group, 2);
/* 268 */     label_1662.setBackground(Display.getCurrent().getSystemColor(1));
/* 269 */     GridData gd_label_1662 = new GridData(4, 16777216, false, false);
/* 270 */     gd_label_1662.heightHint = 30;
/* 271 */     label_1662.setLayoutData(gd_label_1662);
/*     */     
/* 273 */     Label label_1652 = new Label((Composite)this.group, 0);
/* 274 */     label_1652.setBackground(Display.getCurrent().getSystemColor(1));
/* 275 */     label_1652.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 276 */     label_1652.setText("信息公开");
/*     */     
/* 278 */     Label label_1672 = new Label((Composite)this.group, 2);
/* 279 */     label_1672.setBackground(Display.getCurrent().getSystemColor(1));
/* 280 */     GridData gd_label_1672 = new GridData(4, 16777216, false, false);
/* 281 */     gd_label_1672.heightHint = 30;
/* 282 */     label_1672.setLayoutData(gd_label_1672);
/*     */     
/* 284 */     this.combo_is_public = new Combo((Composite)this.group, 8);
/* 285 */     this.combo_is_public.setLayoutData(new GridData(4, 16777216, true, false, 4, 1));
/*     */     
/* 287 */     Label zlabel_5212 = new Label((Composite)this.group, 2);
/* 288 */     zlabel_5212.setBackground(Display.getCurrent().getSystemColor(1));
/* 289 */     GridData gd_label_522 = new GridData(4, 16777216, false, false);
/* 290 */     gd_label_522.heightHint = 30;
/* 291 */     zlabel_5212.setLayoutData(gd_label_522);
/*     */ 
/*     */     
/* 294 */     Label label_2011 = new Label((Composite)this.group, 258);
/* 295 */     label_2011.setBackground(Display.getCurrent().getSystemColor(1));
/* 296 */     label_2011.setLayoutData(new GridData(4, 16777216, false, false, 8, 1));
/*     */ 
/*     */     
/* 299 */     Label label_1111 = new Label((Composite)this.group, 2);
/* 300 */     label_1111.setBackground(Display.getCurrent().getSystemColor(1));
/* 301 */     label_1111.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 303 */     Label label_711 = new Label((Composite)this.group, 0);
/* 304 */     label_711.setBackground(Display.getCurrent().getSystemColor(1));
/* 305 */     label_711.setLayoutData(new GridData(16777216, 16777216, false, false));
/* 306 */     label_711.setText("备注");
/*     */     
/* 308 */     Label label_1211 = new Label((Composite)this.group, 2);
/* 309 */     label_1211.setBackground(Display.getCurrent().getSystemColor(1));
/* 310 */     label_1211.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 312 */     this.text_note = new Text((Composite)this.group, 2624);
/* 313 */     this.text_note.setBackground(Display.getCurrent().getSystemColor(1));
/* 314 */     GridData gd_text_3411 = new GridData(4, 16777216, true, false, 4, 1);
/* 315 */     gd_text_3411.heightHint = 70;
/* 316 */     this.text_note.setLayoutData(gd_text_3411);
/*     */     
/* 318 */     Label label_1411 = new Label((Composite)this.group, 2);
/* 319 */     label_1411.setBackground(Display.getCurrent().getSystemColor(1));
/* 320 */     label_1411.setLayoutData(new GridData(4, 4, false, false));
/*     */ 
/*     */     
/* 323 */     Label label_4 = new Label((Composite)this.group, 258);
/* 324 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 325 */     label_4.setLayoutData(new GridData(4, 4, false, false, 8, 1));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 338 */     Label label_57111 = new Label((Composite)this.group, 0);
/* 339 */     label_57111.setBackground(Display.getCurrent().getSystemColor(1));
/* 340 */     label_57111.setLayoutData(new GridData(16777216, 16777216, false, false, 8, 1));
/* 341 */     label_57111.setText("国家事业单位登记管理局 版权所有");
/*     */     
/* 343 */     this.group.setSize(862, 720);
/* 344 */     scrolledComposite.setContent((Control)this.group);
/*     */     
/* 346 */     setData();
/* 347 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 357 */     if (this.state.equals("view")) {
/* 358 */       createButton(parent, 1, "关 闭", false);
/*     */     } else {
/* 360 */       createButton(parent, 0, "确 定", false);
/* 361 */       createButton(parent, 1, "取 消", false);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 370 */     return new Point(962, 810);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 375 */     super.initializeBounds();
/* 376 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 380 */     super.configureShell(newShell);
/* 381 */     newShell.setText("网站信息信息表");
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 386 */     super.open();
/* 387 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 392 */     if (buttonId == 0) {
/* 393 */       if (this.state.equals("new")) {
/* 394 */         if (PublicUtil.isNull(this.combo_site_xxfl.getText())) {
/* 395 */           SydjMessageDialog.openInformation(null, "提示", "请选择信息分类！");
/*     */           return;
/*     */         } 
/* 398 */         if (PublicUtil.isNull(this.text_site_xxbt.getText())) {
/* 399 */           SydjMessageDialog.openInformation(null, "提示", "请填写信息标题！");
/*     */           return;
/*     */         } 
/* 402 */         if (PublicUtil.isNull(this.text_site_xxms.getText())) {
/* 403 */           SydjMessageDialog.openInformation(null, "提示", "请填写信息描述！");
/*     */           return;
/*     */         } 
/* 406 */         saveData();
/*     */         
/* 408 */         String fg = this.cmdm.saveCreditMessage(this.cm, "create");
/* 409 */         if ("true".equals(fg)) {
/* 410 */           SydjMessageDialog.openInformation(null, "提示", "录入网站信息成功！");
/* 411 */           this.returnValue = 1;
/* 412 */           super.buttonPressed(buttonId);
/*     */         } else {
/* 414 */           SydjMessageDialog.openInformation(null, "提示", "录入网站信息失败！");
/*     */           return;
/*     */         } 
/* 417 */       } else if (this.state.equals("edit")) {
/* 418 */         if (PublicUtil.isNull(this.text_site_xxbt.getText())) {
/* 419 */           SydjMessageDialog.openInformation(null, "提示", "请填写信息标题！");
/*     */           return;
/*     */         } 
/* 422 */         if (PublicUtil.isNull(this.text_site_xxms.getText())) {
/* 423 */           SydjMessageDialog.openInformation(null, "提示", "请填写信息标题！");
/*     */           
/*     */           return;
/*     */         } 
/* 427 */         saveData();
/*     */         
/* 429 */         String fg = this.cmdm.saveCreditMessage(this.cm, "update");
/* 430 */         if ("true".equals(fg)) {
/* 431 */           SydjMessageDialog.openInformation(null, "提示", "更新网站信息成功！");
/* 432 */           this.returnValue = 1;
/* 433 */           super.buttonPressed(buttonId);
/*     */         } else {
/* 435 */           SydjMessageDialog.openInformation(null, "提示", "更新网站信息失败！");
/*     */           return;
/*     */         } 
/*     */       } 
/*     */     }
/* 440 */     if (buttonId == 1) {
/* 441 */       this.returnValue = 1;
/* 442 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setData() {
/* 447 */     this.text_sydwNameFirst.setText(this.cm.getSydwNameFirst());
/*     */     
/* 449 */     if (!PublicUtil.isNull(this.cm.getUnifyCode())) {
/* 450 */       this.text_unifyCode.setText(this.cm.getUnifyCode());
/*     */     }
/*     */ 
/*     */     
/* 454 */     this.combo_site_xxfl.add("请选择");
/* 455 */     this.combo_site_xxfl.add("良好信息");
/* 456 */     this.combo_site_xxfl.add("提示信息");
/* 457 */     this.combo_site_xxfl.add("警示信息");
/* 458 */     this.combo_site_xxfl.add("举办单位承诺信息");
/* 459 */     this.combo_site_xxfl.add("行政处罚信息");
/* 460 */     this.combo_site_xxfl.add("其他信息");
/* 461 */     this.combo_site_xxfl.setData("请选择", null);
/* 462 */     this.combo_site_xxfl.setData("良好信息", "1");
/* 463 */     this.combo_site_xxfl.setData("提示信息", "2");
/* 464 */     this.combo_site_xxfl.setData("警示信息", "3");
/* 465 */     this.combo_site_xxfl.setData("举办单位承诺信息", "4");
/* 466 */     this.combo_site_xxfl.setData("行政处罚信息", "5");
/* 467 */     this.combo_site_xxfl.setData("其他信息", "6");
/*     */     
/* 469 */     this.combo_is_public.add("公开");
/* 470 */     this.combo_is_public.add("不公开");
/* 471 */     this.combo_is_public.setData("公开", "1");
/* 472 */     this.combo_is_public.setData("不公开", "0");
/*     */     
/* 474 */     if (this.state.equals("new")) {
/* 475 */       this.combo_site_xxfl.select(0);
/* 476 */       this.combo_is_public.select(0);
/*     */     } else {
/* 478 */       if (this.cm.getSiteXxfl() == null) {
/* 479 */         this.combo_site_xxfl.select(0);
/*     */       }
/* 481 */       else if ("1".equals(this.cm.getSiteXxfl())) {
/* 482 */         this.combo_site_xxfl.select(1);
/* 483 */       } else if ("2".equals(this.cm.getSiteXxfl())) {
/* 484 */         this.combo_site_xxfl.select(2);
/* 485 */       } else if ("3".equals(this.cm.getSiteXxfl())) {
/* 486 */         this.combo_site_xxfl.select(3);
/* 487 */       } else if ("4".equals(this.cm.getSiteXxfl())) {
/* 488 */         this.combo_site_xxfl.select(4);
/* 489 */       } else if ("5".equals(this.cm.getSiteXxfl())) {
/* 490 */         this.combo_site_xxfl.select(5);
/* 491 */       } else if ("6".equals(this.cm.getSiteXxfl())) {
/* 492 */         this.combo_site_xxfl.select(6);
/*     */       } 
/*     */ 
/*     */       
/* 496 */       if (this.cm.getIsPublic() == null) {
/* 497 */         this.combo_is_public.select(0);
/*     */       }
/* 499 */       else if ("1".equals(this.cm.getIsPublic())) {
/* 500 */         this.combo_is_public.select(0);
/* 501 */       } else if ("0".equals(this.cm.getIsPublic())) {
/* 502 */         this.combo_is_public.select(1);
/*     */       } 
/*     */ 
/*     */       
/* 506 */       if (this.state.equals("view")) {
/* 507 */         this.combo_site_xxfl.setEnabled(false);
/* 508 */         this.combo_is_public.setEnabled(false);
/* 509 */         this.text_site_xxbt.setEditable(false);
/* 510 */         this.text_site_xxms.setEditable(false);
/* 511 */         this.text_note.setEditable(false);
/* 512 */       } else if (this.state.equals("edit")) {
/* 513 */         this.combo_site_xxfl.setEnabled(false);
/*     */       } 
/* 515 */       this.text_site_xxbt.setText(this.cm.getSiteXxbt());
/* 516 */       this.text_site_xxms.setText(this.cm.getSiteXxms());
/* 517 */       if (this.cm.getSiteNote() != null) {
/* 518 */         this.text_note.setText(this.cm.getSiteNote());
/*     */       }
/*     */     } 
/*     */   }
/*     */   
/*     */   protected void saveData() {
/* 524 */     if (this.state.equals("new")) {
/* 525 */       this.cm.setSiteXxfl((String)this.combo_site_xxfl.getData(this.combo_site_xxfl.getText()));
/* 526 */       this.cm.setCreateUser(GljgUserInfo.getInstance().getRealname());
/*     */     } else {
/* 528 */       this.cm.setUpdateUser(GljgUserInfo.getInstance().getRealname());
/*     */     } 
/* 530 */     this.cm.setSiteXxbt(this.text_site_xxbt.getText());
/* 531 */     this.cm.setSiteXxms(this.text_site_xxms.getText());
/* 532 */     this.cm.setIsPublic((String)this.combo_is_public.getData(this.combo_is_public.getText()));
/* 533 */     this.cm.setSiteNote(this.text_note.getText());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\message\CreditMessageInputDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */