/*     */ package cs.sydj.operation.credit.message;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.punish.AttachmentPicViewDialog;
/*     */ import cs.sydj.operation.credit.punish.AttachmentViewDialog;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.data.adjust.InstallApplyDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.credit.message.CreditMessage;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditMessageView
/*     */   extends ViewPart
/*     */ {
/*  60 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   AttachmentViewDialog dialog;
/*     */   AttachmentPicViewDialog picDialog;
/*  74 */   private final String groupId = GljgUserInfo.getInstance().getGroupid();
/*  75 */   private final String districtCode = GljgUserInfo.getInstance().getDistrictcode();
/*  76 */   CreditMessageDataManage cmdm = new CreditMessageDataManage();
/*  77 */   private ArrayList list = new ArrayList();
/*  78 */   String alertMsg = "";
/*     */   
/*  80 */   int totalRows = 0;
/*  81 */   int maxCount = 15;
/*  82 */   int startNo = 1;
/*  83 */   int currentPage = 1;
/*  84 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  88 */   private String sydwnameStr = "";
/*  89 */   private TableCursor cursor = null;
/*  90 */   private int selectColums = 10;
/*     */   
/*  92 */   private String sydwName = "";
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  97 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 101 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 105 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 109 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 113 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 117 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 127 */     Composite container = new Composite(parent, 0);
/* 128 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 129 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 131 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/*     */     
/* 133 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 134 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 135 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 136 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 138 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 139 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 140 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 141 */     this.composite_total.setSize(800, 600);
/*     */     
/* 143 */     Composite composite = new Composite(this.composite_total, 0);
/* 144 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 146 */     FormData fd_composite = new FormData();
/* 147 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 148 */     fd_composite.top = new FormAttachment(0, 20);
/* 149 */     composite.setLayoutData(fd_composite);
/* 150 */     GridLayout gridLayout = new GridLayout();
/* 151 */     gridLayout.numColumns = 3;
/* 152 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 154 */     Label label = new Label(composite, 0);
/* 155 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 156 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 157 */     label.setText("请输入事业单位名称（第一名称）：");
/*     */     
/* 159 */     this.text = new Text(composite, 2048);
/* 160 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 161 */     gd_text.widthHint = 200;
/* 162 */     this.text.setLayoutData(gd_text);
/*     */     
/* 164 */     Button button = new Button(composite, 0);
/* 165 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 166 */     gd_button.heightHint = 20;
/* 167 */     button.setLayoutData(gd_button);
/* 168 */     button.setText("查询");
/*     */     
/* 170 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 171 */     this.table = this.tableViewer.getTable();
/* 172 */     FormData fd_table = new FormData();
/*     */     
/* 174 */     fd_table.bottom = new FormAttachment(0, 439);
/* 175 */     fd_table.right = new FormAttachment(100, -35);
/* 176 */     fd_table.top = new FormAttachment(0, 95);
/* 177 */     fd_table.left = new FormAttachment(0, 35);
/* 178 */     this.table.setLayoutData(fd_table);
/* 179 */     this.table.setLinesVisible(true);
/* 180 */     this.table.setHeaderVisible(true);
/* 181 */     PublicUtil.setTableHeight(this.table);
/* 182 */     PublicUtil.setMouseHands(this.table, "1#2#6");
/*     */     
/* 184 */     this.tableLayout = new TableLayout();
/* 185 */     this.table.setLayout((Layout)this.tableLayout);
/* 186 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 187 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 188 */     newColumnTableColumn.setAlignment(16777216);
/* 189 */     newColumnTableColumn.setText("统一社会信用代码");
/*     */     
/* 191 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(25));
/* 192 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 193 */     newColumnTableColumn_1.setText("事业单位名称");
/*     */     
/* 195 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(30));
/* 196 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 197 */     newColumnTableColumn_2.setText("信息标题");
/*     */     
/* 199 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 200 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 201 */     newColumnTableColumn_3.setText("信息类型");
/*     */     
/* 203 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 204 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 205 */     newColumnTableColumn_4.setText("是否公示");
/*     */     
/* 207 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 208 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 209 */     newColumnTableColumn_5.setText("录入时间");
/*     */     
/* 211 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(5));
/* 212 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/* 213 */     newColumnTableColumn_6.setText("操作");
/*     */     
/* 215 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 216 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 217 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 219 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 220 */     fd_composite_3.top = new FormAttachment(0, 475);
/*     */     
/* 222 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 223 */     composite_3.setLayoutData(fd_composite_3);
/* 224 */     GridLayout gridLayout_3 = new GridLayout();
/* 225 */     gridLayout_3.numColumns = 4;
/* 226 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 230 */     Label label_8 = new Label(composite_3, 0);
/* 231 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 232 */     label_8.setBackground(Display.getCurrent().getSystemColor(1));
/* 233 */     label_8.setText("事业单位（第一名称）：");
/*     */     
/* 235 */     this.text_1 = new Text(composite_3, 2048);
/* 236 */     GridData gd_text_1 = new GridData(4, 16777216, false, false);
/* 237 */     gd_text_1.widthHint = 340;
/* 238 */     this.text_1.setLayoutData(gd_text_1);
/*     */     
/* 240 */     Button button_3 = new Button(composite_3, 0);
/* 241 */     GridData gd_button_3 = new GridData(16384, 16777216, true, false);
/* 242 */     gd_button_3.heightHint = 20;
/* 243 */     button_3.setLayoutData(gd_button_3);
/* 244 */     button_3.setText("网站信息录入");
/*     */     
/* 246 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 249 */             CreditMessageView.this.sydwName = CreditMessageView.this.text_1.getText();
/* 250 */             if (CreditMessageView.this.sydwName == null || CreditMessageView.this.sydwName.trim().length() == 0) {
/* 251 */               SydjMessageDialog.openInformation(null, "提示", "请输入事业单位名称!");
/*     */               return;
/*     */             } 
/* 254 */             CreditMessage cm = CreditMessageView.this.cmdm.getSydwInfoByName(CreditMessageView.this.sydwName);
/* 255 */             if (cm == null || "".equals(cm.getSydwNameFirst())) {
/* 256 */               SydjMessageDialog.openInformation(null, "提示", "输入的事业单位不存在!");
/*     */               
/*     */               return;
/*     */             } 
/* 260 */             if ("100000".equals(CreditMessageView.this.districtCode)) {
/* 261 */               if (!cm.getDistrictCode().equals(CreditMessageView.this.districtCode)) {
/* 262 */                 SydjMessageDialog.openInformation(null, "提示", "输入的事业单位不在您的管辖范围内!");
/*     */                 
/*     */                 return;
/*     */               } 
/* 266 */             } else if (!cm.getGroupId().equals(GljgUserInfo.getInstance().getGroupid())) {
/* 267 */               SydjMessageDialog.openInformation(null, "提示", "输入的事业单位不在您的管辖范围内!");
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/* 272 */             CreditMessageInputDialog mid = new CreditMessageInputDialog(CreditMessageView.this.composite_total.getShell(), 
/* 273 */                 cm, "new");
/* 274 */             mid.open();
/* 275 */             CreditMessageView.this.redraw();
/* 276 */             CreditMessageView.this.text_1.setText("");
/*     */           }
/*     */         });
/*     */     
/* 280 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 281 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditMessageLableProvider());
/*     */ 
/*     */     
/* 284 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 286 */             CreditMessageView.this.totalRows = 0;
/* 287 */             CreditMessageView.this.currentPage = 1;
/* 288 */             CreditMessageView.this.startNo = 1;
/* 289 */             CreditMessageView.this.sydwnameStr = CreditMessageView.this.text.getText();
/* 290 */             CreditMessageView.this.list = CreditMessageView.this.cmdm.getMessageList(CreditMessageView.this.groupId, CreditMessageView.this.districtCode, CreditMessageView.this.startNo, CreditMessageView.this.maxCount, CreditMessageView.this.sydwnameStr);
/* 291 */             CreditMessageView.this.setFenYe(CreditMessageView.this.list, CreditMessageView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 296 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 297 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 298 */     GridLayout gridLayout_4 = new GridLayout();
/* 299 */     gridLayout_4.numColumns = 2;
/* 300 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 301 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 302 */     FormData fd_composite_fenye = new FormData();
/* 303 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 304 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 305 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 306 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 307 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 309 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 310 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 311 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 312 */     GridLayout gridLayout_2 = new GridLayout();
/* 313 */     gridLayout_2.marginTop = 3;
/* 314 */     gridLayout_2.verticalSpacing = 0;
/* 315 */     gridLayout_2.marginWidth = 0;
/* 316 */     gridLayout_2.marginHeight = 0;
/* 317 */     gridLayout_2.horizontalSpacing = 2;
/* 318 */     gridLayout_2.numColumns = 7;
/* 319 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 321 */     Label label_1 = new Label(composite_1, 0);
/* 322 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 323 */     label_1.setText("页次：");
/*     */     
/* 325 */     this.label_2 = new Label(composite_1, 131072);
/* 326 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 327 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 328 */     if (this.totalPages == 0) {
/* 329 */       this.label_2.setText("0/0");
/*     */     } else {
/* 331 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 334 */     Label label_3 = new Label(composite_1, 0);
/* 335 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 336 */     label_3.setText("页  每页");
/*     */     
/* 338 */     Label label_4 = new Label(composite_1, 0);
/* 339 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 340 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 341 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 343 */     Label label_5 = new Label(composite_1, 0);
/* 344 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 345 */     label_5.setText("行  共");
/*     */     
/* 347 */     this.label_6 = new Label(composite_1, 0);
/* 348 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 349 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 350 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 352 */     Label label_7 = new Label(composite_1, 0);
/* 353 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 354 */     label_7.setText("行");
/*     */ 
/*     */     
/* 357 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 358 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 359 */     GridLayout gridLayout_1 = new GridLayout();
/* 360 */     gridLayout_1.numColumns = 6;
/* 361 */     composite_2.setLayout((Layout)gridLayout_1);
/* 362 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 364 */     this.button_1 = new Button(composite_2, 0);
/* 365 */     this.button_1.setText("上一页");
/* 366 */     if (!this.hasPreviousPage) {
/* 367 */       this.button_1.setEnabled(false);
/*     */     }
/* 369 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 371 */             CreditMessageView.this.list = CreditMessageView.this.cmdm.getMessageList(CreditMessageView.this.groupId, CreditMessageView.this.districtCode, (CreditMessageView.this.currentPage - 2) * CreditMessageView.this.maxCount + 1, CreditMessageView.this.maxCount, CreditMessageView.this.sydwnameStr);
/* 372 */             CreditMessageView.this.setFenYe(CreditMessageView.this.list, CreditMessageView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 376 */     this.button_2 = new Button(composite_2, 0);
/* 377 */     this.button_2.setText("下一页");
/* 378 */     if (!this.hasNextPage) {
/* 379 */       this.button_2.setEnabled(false);
/*     */     }
/* 381 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 383 */             CreditMessageView.this.list = CreditMessageView.this.cmdm.getMessageList(CreditMessageView.this.groupId, CreditMessageView.this.districtCode, CreditMessageView.this.currentPage * CreditMessageView.this.maxCount + 1, CreditMessageView.this.maxCount, CreditMessageView.this.sydwnameStr);
/* 384 */             CreditMessageView.this.setFenYe(CreditMessageView.this.list, CreditMessageView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 388 */     Label label_10 = new Label(composite_2, 0);
/* 389 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 390 */     label_10.setText("转至第");
/*     */     
/* 392 */     this.text_2 = new Text(composite_2, 2048);
/* 393 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 395 */     Label label_11 = new Label(composite_2, 0);
/* 396 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 397 */     label_11.setText("页");
/*     */     
/* 399 */     Button goButton = new Button(composite_2, 0);
/* 400 */     goButton.setText("GO");
/*     */     
/* 402 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 404 */             if (VerifyFunction.isNumeric(CreditMessageView.this.text_2.getText())) {
/* 405 */               int aa = Integer.parseInt(CreditMessageView.this.text_2.getText());
/* 406 */               if (aa > CreditMessageView.this.totalPages) {
/* 407 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 409 */                 CreditMessageView.this.list = CreditMessageView.this.cmdm.getMessageList(CreditMessageView.this.groupId, CreditMessageView.this.districtCode, (aa - 1) * CreditMessageView.this.maxCount + 1, CreditMessageView.this.maxCount, CreditMessageView.this.sydwnameStr);
/* 410 */                 CreditMessageView.this.setFenYe(CreditMessageView.this.list, aa);
/* 411 */                 CreditMessageView.this.setFontColor();
/* 412 */                 CreditMessageView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 415 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 421 */     Label label_9 = new Label(this.composite_total, 0);
/* 422 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 423 */     FormData fd_label_9 = new FormData();
/* 424 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 425 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 426 */     fd_label_9.top = new FormAttachment(0, 85);
/* 427 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 429 */     this.label_12 = new Label(this.composite_total, 0);
/* 430 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 431 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 432 */     FormData fd_label_12 = new FormData();
/* 433 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 434 */     fd_label_12.top = new FormAttachment(0, 70);
/* 435 */     fd_label_12.right = new FormAttachment(0, 240);
/* 436 */     this.label_12.setLayoutData(fd_label_12);
/* 437 */     this.label_12.setText("网站信息录入单位列表");
/*     */     
/* 439 */     scrolledComposite.setContent((Control)this.composite_total);
/* 440 */     createActions();
/* 441 */     initializeToolBar();
/* 442 */     initializeMenu();
/*     */     
/* 444 */     initTypeView();
/* 445 */     this.list = this.cmdm.getMessageList(this.groupId, this.districtCode, this.startNo, this.maxCount, this.sydwnameStr);
/* 446 */     this.tableViewer.setInput(this.list);
/* 447 */     if (this.list != null && this.list.size() > 0) {
/* 448 */       this.totalRows = ((CreditMessage)this.list.get(0)).getTotalRows();
/* 449 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 450 */       this.totalPages = pu.getTotalPages();
/* 451 */       this.currentPage = pu.getCurrentPage();
/* 452 */       this.hasNextPage = pu.isHasNextPage();
/* 453 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 455 */       setFenYe(this.list, this.currentPage);
/* 456 */       setFontColor();
/* 457 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 465 */     if (this.cursor != null)
/* 466 */       this.cursor.dispose(); 
/* 467 */     this.cursor = new TableCursor(this.table, 0);
/* 468 */     this.cursor.setBackground(this.table.getDisplay().getSystemColor(26));
/* 469 */     this.cursor.setForeground(this.table.getDisplay().getSystemColor(27));
/* 470 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 472 */             int colums = CreditMessageView.this.cursor.getColumn();
/* 473 */             if (colums == 1) {
/* 474 */               CreditMessageView.this.openSydwDetailDialog();
/*     */             }
/* 476 */             if (colums == 2) {
/* 477 */               CreditMessageView.this.openView();
/*     */             }
/* 479 */             if (colums == 6) {
/* 480 */               CreditMessageView.this.openEdit();
/*     */             }
/* 482 */             CreditMessageView.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */     
/* 486 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 489 */             int colums = CreditMessageView.this.cursor.getColumn();
/* 490 */             if (colums == CreditMessageView.this.selectColums) {
/* 491 */               if (colums == 1) {
/* 492 */                 CreditMessageView.this.openSydwDetailDialog();
/*     */               }
/* 494 */               if (colums == 2) {
/* 495 */                 CreditMessageView.this.openView();
/*     */               }
/* 497 */               if (colums == 6) {
/* 498 */                 CreditMessageView.this.openEdit();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openEdit() {
/* 509 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 510 */     CreditMessage message = (CreditMessage)select.getFirstElement();
/*     */     
/* 512 */     CreditMessageInputDialog dialog = new CreditMessageInputDialog(this.composite_total.getShell(), 
/* 513 */         message, "edit");
/* 514 */     if (dialog.open() == 1) {
/* 515 */       redraw();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView() {
/* 523 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 524 */     CreditMessage message = (CreditMessage)select.getFirstElement();
/*     */     
/* 526 */     CreditMessageInputDialog dialog = new CreditMessageInputDialog(this.composite_total.getShell(), 
/* 527 */         message, "view");
/* 528 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openSydwDetailDialog() {
/* 535 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 536 */       .getSelection();
/* 537 */     CreditMessage message = (CreditMessage)select.getFirstElement();
/* 538 */     DataAdjustOperation oper = new DataAdjustOperation();
/*     */ 
/*     */     
/* 541 */     ArrayList<InstaurationFRInfo> insinfolist = new ArrayList();
/* 542 */     insinfolist = oper.QueryInstaurationInfo(message.getSydwId(), "false");
/*     */     
/* 544 */     InstaurationFRInfo frinfo = new InstaurationFRInfo();
/* 545 */     if (insinfolist.size() > 0) {
/* 546 */       frinfo = insinfolist.get(0);
/*     */     }
/* 548 */     ArrayList branchlist = new ArrayList();
/* 549 */     branchlist = oper.QueryInstBranch(message.getSydwId());
/*     */     
/* 551 */     InstallApplyDialog dialog = new InstallApplyDialog(
/* 552 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), frinfo, branchlist, UnitState.FREEZE);
/* 553 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 560 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 561 */       this.table.getItem(i).setFont(1, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 562 */       this.table.getItem(i).setForeground(1, SWTResourceManager.getColor(37, 26, 181));
/* 563 */       this.table.getItem(i).setFont(2, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 564 */       this.table.getItem(i).setForeground(2, SWTResourceManager.getColor(37, 26, 181));
/* 565 */       this.table.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 566 */       this.table.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CreditMessage> list, int nextcurrentPage) {
/* 571 */     this.totalRows = 0;
/* 572 */     if (list != null && list.size() > 0) {
/* 573 */       this.totalRows = ((CreditMessage)list.get(0)).getTotalRows();
/*     */     }
/* 575 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 576 */     this.totalPages = pu.getTotalPages();
/* 577 */     this.currentPage = pu.getCurrentPage();
/* 578 */     this.hasNextPage = pu.isHasNextPage();
/* 579 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 580 */     this.startNo = pu.getStartNum();
/*     */     
/* 582 */     this.tableViewer.setInput(list);
/* 583 */     setFontColor();
/* 584 */     setCursor();
/* 585 */     if (this.totalPages == 0) {
/* 586 */       this.label_2.setText("0/0");
/*     */     } else {
/* 588 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 590 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 591 */     this.label_6.getParent().getParent().layout();
/* 592 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 593 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 601 */     this.sydwnameStr = this.text.getText();
/* 602 */     this.list = this.cmdm.getMessageList(this.groupId, this.districtCode, this.startNo, this.maxCount, this.sydwnameStr);
/* 603 */     this.tableViewer.setInput(this.list);
/* 604 */     setFontColor();
/* 605 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 619 */     IToolBarManager toolbarManager = getViewSite().getActionBars().getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 626 */     IMenuManager menuManager = getViewSite().getActionBars().getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\message\CreditMessageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */