/*     */ package cs.sydj.operation.credit.person;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.common.CreditInputDialog;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import cs.sydj.operation.credit.common.CreditPersonLabelProvider;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.credit.person.CreditPersonInfo;
/*     */ 
/*     */ public class CreditPersonView extends ViewPart {
/*  53 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   
/*     */   protected Label label_13;
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Text text_sydw_name;
/*     */   private Text text_id_number;
/*     */   private Combo combo_sydw_name;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  68 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  69 */   private String qh = GljgUserInfo.getInstance().getDistrictcode();
/*     */   
/*  71 */   private CreditOperation creditOper = new CreditOperation();
/*  72 */   private ArrayList list = new ArrayList();
/*  73 */   String alertMsg = "";
/*     */   
/*  75 */   int totalRows = 0;
/*  76 */   int maxCount = 15;
/*  77 */   int startNo = 1;
/*  78 */   int currentPage = 1;
/*  79 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  83 */   private String strIdNumber = "";
/*  84 */   private String strSydwName = "";
/*  85 */   private String strComboSydwName = "";
/*  86 */   private TableCursor cursor = null;
/*  87 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*     */   
/*     */   public int getMaxCount() {
/*  93 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/*  97 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 101 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 105 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 109 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 113 */     this.currentPage = currentPage;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 122 */     Composite container = new Composite(parent, 0);
/* 123 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 124 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 126 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 127 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 128 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 129 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 130 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 132 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 133 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 134 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 135 */     this.composite_total.setSize(800, 600);
/*     */     
/* 137 */     Composite composite = new Composite(this.composite_total, 0);
/* 138 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 140 */     FormData fd_composite = new FormData();
/* 141 */     fd_composite.bottom = new FormAttachment(0, 90);
/* 142 */     fd_composite.top = new FormAttachment(0, 5);
/* 143 */     composite.setLayoutData(fd_composite);
/* 144 */     GridLayout gridLayout = new GridLayout();
/* 145 */     gridLayout.numColumns = 5;
/* 146 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 148 */     this.combo_sydw_name = new Combo(composite, 8);
/* 149 */     GridData gd_combo_3 = new GridData(131072, 16777216, true, false, 2, 1);
/* 150 */     this.combo_sydw_name.setLayoutData(gd_combo_3);
/* 151 */     this.combo_sydw_name.add("请选择");
/* 152 */     this.combo_sydw_name.add("事业单位名称");
/* 153 */     this.combo_sydw_name.add("拟登记事业单位名称");
/* 154 */     this.combo_sydw_name.setData("===请选择===", null);
/* 155 */     this.combo_sydw_name.setData("事业单位名称", "101");
/* 156 */     this.combo_sydw_name.setData("拟登记事业单位名称", "102");
/* 157 */     this.combo_sydw_name.select(0);
/*     */     
/* 159 */     this.text_sydw_name = new Text(composite, 2048);
/* 160 */     GridData gd_text = new GridData(16384, 16777216, false, false);
/* 161 */     gd_text.widthHint = 200;
/* 162 */     this.text_sydw_name.setLayoutData(gd_text);
/*     */ 
/*     */ 
/*     */     
/* 166 */     Label label_number = new Label(composite, 0);
/* 167 */     label_number.setLayoutData(new GridData(131072, 16777216, true, false, 2, 1));
/* 168 */     label_number.setBackground(Display.getCurrent().getSystemColor(1));
/* 169 */     label_number.setText("身份证号码：");
/*     */     
/* 171 */     this.text_id_number = new Text(composite, 2048);
/* 172 */     GridData gd_text_number = new GridData(16384, 16777216, false, false);
/* 173 */     gd_text_number.widthHint = 200;
/* 174 */     this.text_id_number.setLayoutData(gd_text_number);
/* 175 */     this.text_id_number.setTextLimit(18);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 181 */     Button button = new Button(composite, 0);
/* 182 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 183 */     gd_button.heightHint = 20;
/* 184 */     gd_button.widthHint = 80;
/* 185 */     button.setLayoutData(gd_button);
/* 186 */     button.setText("查询");
/* 187 */     button.setCursor(SWTResourceManager.getCursor(21));
/*     */ 
/*     */ 
/*     */     
/* 191 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 192 */     this.table = this.tableViewer.getTable();
/* 193 */     FormData fd_table = new FormData();
/*     */     
/* 195 */     fd_table.bottom = new FormAttachment(0, 439);
/* 196 */     fd_table.right = new FormAttachment(100, -35);
/* 197 */     fd_table.top = new FormAttachment(0, 125);
/* 198 */     fd_table.left = new FormAttachment(0, 35);
/* 199 */     this.table.setLayoutData(fd_table);
/* 200 */     this.table.setLinesVisible(true);
/* 201 */     this.table.setHeaderVisible(true);
/* 202 */     PublicUtil.setTableHeight(this.table);
/* 203 */     PublicUtil.setMouseHands(this.table, "7#8");
/*     */ 
/*     */     
/* 206 */     this.tableLayout = new TableLayout();
/* 207 */     this.table.setLayout((Layout)this.tableLayout);
/*     */     
/* 209 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(5));
/* 210 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 211 */     newColumnTableColumn_1.setText("失信人");
/*     */     
/* 213 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 214 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 215 */     newColumnTableColumn_2.setText("执行法院");
/*     */     
/* 217 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(5));
/* 218 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 219 */     newColumnTableColumn_3.setText("省份");
/*     */     
/* 221 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(12));
/* 222 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 223 */     newColumnTableColumn_4.setText("案号");
/*     */     
/* 225 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 226 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 16777216);
/* 227 */     newColumnTableColumn_5.setText("发布时间");
/*     */     
/* 229 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 230 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 16777216);
/* 231 */     newColumnTableColumn_6.setText("信息来源");
/*     */     
/* 233 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(8));
/* 234 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 16777216);
/* 235 */     newColumnTableColumn_7.setText("公示状态");
/*     */     
/* 237 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(5));
/* 238 */     TableColumn newColumnTableColumn_8 = new TableColumn(this.table, 16777216);
/* 239 */     newColumnTableColumn_8.setText("");
/*     */     
/* 241 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(3));
/* 242 */     TableColumn newColumnTableColumn_9 = new TableColumn(this.table, 16777216);
/* 243 */     newColumnTableColumn_9.setText("");
/*     */     
/* 245 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 246 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 247 */     FormData fd_composite_3 = new FormData();
/*     */     
/* 249 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 250 */     fd_composite_3.top = new FormAttachment(0, 505);
/*     */     
/* 252 */     fd_composite_3.left = new FormAttachment((Control)this.table, 0, 16384);
/* 253 */     composite_3.setLayoutData(fd_composite_3);
/* 254 */     GridLayout gridLayout_3 = new GridLayout();
/* 255 */     gridLayout_3.numColumns = 5;
/* 256 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 260 */     Label label_8 = new Label(composite_3, 0);
/* 261 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 262 */     label_8.setBackground(Display.getCurrent().getSystemColor(1));
/* 263 */     label_8.setText("");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 268 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 269 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new CreditPersonLabelProvider());
/*     */ 
/*     */     
/* 272 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 274 */             CreditPersonView.this.totalRows = 0;
/* 275 */             CreditPersonView.this.currentPage = 1;
/* 276 */             CreditPersonView.this.strIdNumber = CreditPersonView.this.text_id_number.getText().trim();
/* 277 */             CreditPersonView.this.strSydwName = CreditPersonView.this.text_sydw_name.getText().trim();
/* 278 */             CreditPersonView.this.strComboSydwName = (String)CreditPersonView.this.combo_sydw_name.getData(CreditPersonView.this.combo_sydw_name.getText());
/*     */             
/* 280 */             if (CreditPersonView.this.combo_sydw_name.getData(CreditPersonView.this.combo_sydw_name.getText()) == null) {
/* 281 */               SydjMessageDialog.openWarning(null, "提示", "请选择查询条件！");
/* 282 */               CreditPersonView.this.combo_sydw_name.setFocus();
/*     */             }
/* 284 */             else if ("".equals(CreditPersonView.this.strSydwName) || "".equals(CreditPersonView.this.strIdNumber)) {
/* 285 */               if ("".equals(CreditPersonView.this.strSydwName)) {
/* 286 */                 SydjMessageDialog.openWarning(null, "提示", "请输入拟查询事业单位名称！");
/* 287 */                 CreditPersonView.this.text_sydw_name.setFocus();
/* 288 */               } else if ("".equals(CreditPersonView.this.strIdNumber)) {
/* 289 */                 SydjMessageDialog.openWarning(null, "提示", "请输入拟查询身份证号码！");
/* 290 */                 CreditPersonView.this.text_id_number.setFocus();
/*     */               } 
/*     */             } else {
/* 293 */               CreditPersonView.this.list = CreditPersonView.this.creditOper.getAllCreditPersonInfo(CreditPersonView.this.groupid, CreditPersonView.this.qh, CreditPersonView.this.startNo, CreditPersonView.this.maxCount, CreditPersonView.this.strIdNumber, CreditPersonView.this.strSydwName, "0", CreditPersonView.this.strComboSydwName, "true");
/* 294 */               if (CreditPersonView.this.list != null && CreditPersonView.this.list.size() > 0) {
/* 295 */                 CreditPersonView.this.setFenYe(CreditPersonView.this.list, CreditPersonView.this.currentPage);
/*     */               } else {
/* 297 */                 SydjMessageDialog.openWarning(null, "提示", "未查询到相关失信记录！");
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 305 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 306 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 307 */     GridLayout gridLayout_4 = new GridLayout();
/* 308 */     gridLayout_4.numColumns = 2;
/* 309 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 310 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 311 */     FormData fd_composite_fenye = new FormData();
/* 312 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 313 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 314 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 315 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 316 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 318 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 319 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 320 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 321 */     GridLayout gridLayout_2 = new GridLayout();
/* 322 */     gridLayout_2.marginTop = 3;
/* 323 */     gridLayout_2.verticalSpacing = 0;
/* 324 */     gridLayout_2.marginWidth = 0;
/* 325 */     gridLayout_2.marginHeight = 0;
/* 326 */     gridLayout_2.horizontalSpacing = 2;
/* 327 */     gridLayout_2.numColumns = 7;
/* 328 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 330 */     Label label_1 = new Label(composite_1, 0);
/* 331 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 332 */     label_1.setText("页次：");
/*     */     
/* 334 */     this.label_2 = new Label(composite_1, 131072);
/* 335 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 336 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 337 */     if (this.totalPages == 0) {
/* 338 */       this.label_2.setText("0/0");
/*     */     } else {
/* 340 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 343 */     Label label_3 = new Label(composite_1, 0);
/* 344 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 345 */     label_3.setText("页  每页");
/*     */     
/* 347 */     Label label_4 = new Label(composite_1, 0);
/* 348 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 349 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 350 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 352 */     Label label_5 = new Label(composite_1, 0);
/* 353 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 354 */     label_5.setText("行  共");
/*     */     
/* 356 */     this.label_6 = new Label(composite_1, 0);
/* 357 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 358 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 359 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 361 */     Label label_7 = new Label(composite_1, 0);
/* 362 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 363 */     label_7.setText("行");
/*     */ 
/*     */     
/* 366 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 367 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 368 */     GridLayout gridLayout_1 = new GridLayout();
/* 369 */     gridLayout_1.numColumns = 6;
/* 370 */     composite_2.setLayout((Layout)gridLayout_1);
/* 371 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 373 */     this.button_1 = new Button(composite_2, 0);
/* 374 */     this.button_1.setText("上一页");
/* 375 */     if (!this.hasPreviousPage) {
/* 376 */       this.button_1.setEnabled(false);
/*     */     }
/* 378 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 380 */             CreditPersonView.this.list = CreditPersonView.this.creditOper.getAllCreditPersonInfo(CreditPersonView.this.groupid, CreditPersonView.this.qh, (CreditPersonView.this.currentPage - 2) * CreditPersonView.this.maxCount + 1, CreditPersonView.this.maxCount, CreditPersonView.this.strIdNumber, CreditPersonView.this.strSydwName, "0", CreditPersonView.this.strComboSydwName, "false");
/* 381 */             CreditPersonView.this.setFenYe(CreditPersonView.this.list, CreditPersonView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 385 */     this.button_2 = new Button(composite_2, 0);
/* 386 */     this.button_2.setText("下一页");
/* 387 */     if (!this.hasNextPage) {
/* 388 */       this.button_2.setEnabled(false);
/*     */     }
/* 390 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 392 */             CreditPersonView.this.list = CreditPersonView.this.creditOper.getAllCreditPersonInfo(CreditPersonView.this.groupid, CreditPersonView.this.qh, CreditPersonView.this.currentPage * CreditPersonView.this.maxCount + 1, CreditPersonView.this.maxCount, CreditPersonView.this.strIdNumber, CreditPersonView.this.strSydwName, "0", CreditPersonView.this.strComboSydwName, "false");
/* 393 */             CreditPersonView.this.setFenYe(CreditPersonView.this.list, CreditPersonView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 397 */     Label label_10 = new Label(composite_2, 0);
/* 398 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 399 */     label_10.setText("转至第");
/*     */     
/* 401 */     this.text_2 = new Text(composite_2, 2048);
/* 402 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 404 */     Label label_11 = new Label(composite_2, 0);
/* 405 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 406 */     label_11.setText("页");
/*     */     
/* 408 */     Button goButton = new Button(composite_2, 0);
/* 409 */     goButton.setText("GO");
/*     */     
/* 411 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 413 */             if (VerifyFunction.isNumeric(CreditPersonView.this.text_2.getText())) {
/* 414 */               int aa = Integer.parseInt(CreditPersonView.this.text_2.getText());
/* 415 */               if (aa > CreditPersonView.this.totalPages) {
/* 416 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 418 */                 CreditPersonView.this.list = CreditPersonView.this.creditOper.getAllCreditPersonInfo(CreditPersonView.this.groupid, CreditPersonView.this.qh, (aa - 1) * CreditPersonView.this.maxCount + 1, CreditPersonView.this.maxCount, CreditPersonView.this.strIdNumber, CreditPersonView.this.strSydwName, "0", CreditPersonView.this.strComboSydwName, "false");
/* 419 */                 CreditPersonView.this.setFenYe(CreditPersonView.this.list, aa);
/* 420 */                 CreditPersonView.this.setFontColor();
/* 421 */                 CreditPersonView.this.setCursor();
/*     */               } 
/*     */             } else {
/* 424 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 430 */     Label label_9 = new Label(this.composite_total, 0);
/* 431 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 432 */     FormData fd_label_9 = new FormData();
/* 433 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 434 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 435 */     fd_label_9.top = new FormAttachment(0, 115);
/* 436 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 438 */     this.label_12 = new Label(this.composite_total, 0);
/* 439 */     fd_composite.left = new FormAttachment((Control)this.label_12, 0, 16384);
/* 440 */     this.label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 441 */     FormData fd_label_12 = new FormData();
/* 442 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 443 */     fd_label_12.top = new FormAttachment(0, 100);
/* 444 */     fd_label_12.right = new FormAttachment(0, 240);
/* 445 */     this.label_12.setLayoutData(fd_label_12);
/* 446 */     this.label_12.setText("人员列表");
/*     */     
/* 448 */     this.label_13 = new Label(this.composite_total, 0);
/* 449 */     fd_composite.left = new FormAttachment((Control)this.label_13, 0, 16384);
/* 450 */     this.label_13.setBackground(Display.getCurrent().getSystemColor(1));
/* 451 */     FormData fd_label_13 = new FormData();
/* 452 */     fd_label_13.left = new FormAttachment((Control)label_9, 0, 16384);
/* 453 */     fd_label_13.top = new FormAttachment((Control)composite_fenye, 0, 1024);
/* 454 */     fd_label_13.right = new FormAttachment(0, 1040);
/* 455 */     this.label_13.setLayoutData(fd_label_13);
/* 456 */     this.label_13.setText("说明：本功能每次查询，后台都会有对应的记录，以便未来生成失信被执行人数据使用报告，并提供给有关部门。请谨慎操作。");
/*     */     
/* 458 */     scrolledComposite.setContent((Control)this.composite_total);
/* 459 */     createActions();
/* 460 */     initializeToolBar();
/* 461 */     initializeMenu();
/*     */     
/* 463 */     initTypeView();
/*     */     
/* 465 */     this.tableViewer.setInput(this.list);
/* 466 */     if (this.list != null && this.list.size() > 0) {
/* 467 */       this.totalRows = ((CreditPersonInfo)this.list.get(0)).getTotalRows();
/* 468 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 469 */       this.totalPages = pu.getTotalPages();
/* 470 */       this.currentPage = pu.getCurrentPage();
/* 471 */       this.hasNextPage = pu.isHasNextPage();
/* 472 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */       
/* 474 */       setFenYe(this.list, this.currentPage);
/* 475 */       setFontColor();
/* 476 */       setCursor();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView(TableItem tableItem, int colums) {
/* 485 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 486 */       .getSelection();
/* 487 */     CreditPersonInfo info = (CreditPersonInfo)select.getFirstElement();
/* 488 */     ArrayList<CreditPersonInfo> list = this.creditOper.getCreditPersonInfo(info.getGroupId(), info.getCreditId());
/* 489 */     if (list != null && list.size() > 0) {
/* 490 */       CreditInputDialog dialog = new CreditInputDialog(
/* 491 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 492 */           .getShell(), null, list.get(0), "old", 1, 1);
/* 493 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openEdit(TableItem tableItem, int colums) {
/* 502 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 503 */       .getSelection();
/* 504 */     CreditPersonInfo info = (CreditPersonInfo)select.getFirstElement();
/*     */     
/* 506 */     if ("0".equals(info.getInfoType())) {
/*     */       return;
/*     */     }
/* 509 */     CreditInputDialog dialog = new CreditInputDialog(
/* 510 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 511 */         .getShell(), null, info, "edit", 1, 1);
/* 512 */     if (dialog.open() == 0) {
/* 513 */       String Flag = this.creditOper.saveCreditPersonInfo(dialog.getCreditPersonInfo(), "old");
/* 514 */       if (Flag != null) {
/* 515 */         if ("true".equals(Flag)) {
/* 516 */           SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/*     */         } else {
/* 518 */           SydjMessageDialog.openInformation(null, "提示", "修改失败！");
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 529 */     if (this.cursor != null)
/* 530 */       this.cursor.dispose(); 
/* 531 */     this.cursor = new TableCursor(this.table, 0);
/* 532 */     this.cursor.setBackground(this.table.getDisplay()
/* 533 */         .getSystemColor(26));
/* 534 */     this.cursor.setForeground(this.table.getDisplay()
/* 535 */         .getSystemColor(27));
/* 536 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 538 */             int colums = CreditPersonView.this.cursor.getColumn();
/* 539 */             if (colums == 7) {
/* 540 */               CreditPersonView.this.openView(CreditPersonView.this.cursor.getRow(), colums);
/* 541 */             } else if (colums == 8) {
/* 542 */               CreditPersonView.this.openEdit(CreditPersonView.this.cursor.getRow(), colums);
/*     */             } 
/* 544 */             CreditPersonView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 547 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 550 */             int colums = CreditPersonView.this.cursor.getColumn();
/* 551 */             if (colums == CreditPersonView.this.selectColums) {
/* 552 */               if (colums == 7) {
/* 553 */                 CreditPersonView.this.openView(CreditPersonView.this.cursor.getRow(), colums);
/* 554 */               } else if (colums == 8) {
/* 555 */                 CreditPersonView.this.openEdit(CreditPersonView.this.cursor.getRow(), colums);
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 566 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 567 */       this.table.getItem(i).setFont(7, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 568 */       this.table.getItem(i).setForeground(7, SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 570 */       this.table.getItem(i).setFont(8, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 571 */       this.table.getItem(i).setForeground(8, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<CreditPersonInfo> list, int nextcurrentPage) {
/* 576 */     this.totalRows = 0;
/* 577 */     if (list != null && list.size() > 0) {
/* 578 */       this.totalRows = ((CreditPersonInfo)list.get(0)).getTotalRows();
/*     */     }
/* 580 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 581 */     this.totalPages = pu.getTotalPages();
/* 582 */     this.currentPage = pu.getCurrentPage();
/* 583 */     this.hasNextPage = pu.isHasNextPage();
/* 584 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 585 */     this.startNo = pu.getStartNum();
/*     */     
/* 587 */     this.tableViewer.setInput(list);
/* 588 */     setFontColor();
/* 589 */     setCursor();
/* 590 */     if (this.totalPages == 0) {
/* 591 */       this.label_2.setText("0/0");
/*     */     } else {
/* 593 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 595 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 596 */     this.label_6.getParent().getParent().layout();
/* 597 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 598 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 606 */     this.list = this.creditOper.getAllCreditPersonInfo(this.groupid, this.qh, this.startNo, this.maxCount, this.strIdNumber, this.strSydwName, "0", this.strComboSydwName, "false");
/* 607 */     this.tableViewer.setInput(this.list);
/* 608 */     setFontColor();
/* 609 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 623 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 624 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 631 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 632 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   protected void initTypeView() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\person\CreditPersonView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */