/*     */ package cs.sydj.operation.credit.report;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.credit.common.CreditOperation;
/*     */ import cs.sydj.operation.credit.punish.AttachementLableProvider;
/*     */ import cs.sydj.operation.credit.punish.AttachmentPicViewDialog;
/*     */ import cs.sydj.operation.credit.punish.AttachmentViewDialog;
/*     */ import java.io.File;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.Attachment;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.credit.punish.CreditXzcf;
/*     */ 
/*     */ 
/*     */ public class CreditWsjbAttachListDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Text text_6;
/*  56 */   private TableCursor cursor = null;
/*     */   
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_3;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private Table table;
/*     */   WsjbPicModelDialog wsjb;
/*     */   private boolean flag = false;
/*  69 */   int maxCount = 15;
/*     */   AttachmentViewDialog dialog;
/*     */   private TableViewer tableViewer;
/*     */   private Composite container;
/*     */   private AttachmentPicViewDialog picDialog;
/*  74 */   int totalRows = 0;
/*  75 */   int startNo = 1;
/*  76 */   int currentPage = 1;
/*  77 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private ArrayList list;
/*     */   private Group group;
/*     */   String attachGroupId;
/*     */   private Composite composite_1;
/*     */   private Composite container_1;
/*  85 */   CreditOperation co = new CreditOperation();
/*  86 */   private CreditXzcf xzcf = new CreditXzcf();
/*     */   private SydwInfo si;
/*     */   
/*     */   public boolean isFlag() {
/*  90 */     return this.flag;
/*     */   }
/*     */   
/*     */   public void setFlag(boolean flag) {
/*  94 */     this.flag = flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditWsjbAttachListDialog(Shell parentShell, String attachGroupId) {
/* 104 */     super(parentShell);
/* 105 */     setShellStyle(66560);
/* 106 */     this.attachGroupId = attachGroupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CreditWsjbAttachListDialog(Shell parentShell) {
/* 114 */     super(parentShell);
/* 115 */     setShellStyle(66560);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 125 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/* 126 */     parent.setBackgroundMode(2);
/* 127 */     this.container_1 = new Composite(parent, 0);
/* 128 */     this.container_1.setLayoutData(new GridData(16384, 4, true, true));
/* 129 */     this.container_1.setLayout((Layout)new FillLayout());
/* 130 */     this.container_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 131 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container_1, 2816);
/*     */     
/* 133 */     scrolledComposite.setExpandHorizontal(true);
/* 134 */     this.container = new Composite((Composite)scrolledComposite, 0);
/* 135 */     this.container.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 137 */             CreditWsjbAttachListDialog.this.setCursor();
/*     */           }
/*     */         });
/* 140 */     GridLayout gridLayout_4 = new GridLayout();
/* 141 */     gridLayout_4.marginTop = 25;
/* 142 */     gridLayout_4.marginRight = 25;
/* 143 */     gridLayout_4.marginLeft = 25;
/* 144 */     gridLayout_4.verticalSpacing = 0;
/* 145 */     this.container.setLayout((Layout)gridLayout_4);
/*     */     
/* 147 */     Label label_7 = new Label(this.container, 0);
/* 148 */     label_7.setLayoutData(new GridData(16384, 16777216, true, false));
/* 149 */     label_7.setText("信用信息与监督管理>>网上举报附件");
/* 150 */     label_7.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 152 */     Label label = new Label(this.container, 258);
/* 153 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 155 */     this.composite_1 = new Composite(this.container, 0);
/* 156 */     this.composite_1.setLayoutData(new GridData(4, 16777216, true, false, 2, 1));
/* 157 */     GridLayout gl_composite_1 = new GridLayout();
/* 158 */     gl_composite_1.numColumns = 4;
/* 159 */     this.composite_1.setLayout((Layout)gl_composite_1);
/* 160 */     this.composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/*     */ 
/*     */ 
/*     */     
/* 164 */     this.group = new Group(this.container, 0);
/* 165 */     this.group.setLayoutData(new GridData(4, 4, true, false));
/* 166 */     GridLayout gridLayout = new GridLayout();
/* 167 */     gridLayout.horizontalSpacing = 0;
/* 168 */     gridLayout.verticalSpacing = 0;
/* 169 */     gridLayout.marginWidth = 0;
/* 170 */     this.group.setLayout((Layout)gridLayout);
/*     */     
/* 172 */     Label label_1 = new Label((Composite)this.group, 0);
/* 173 */     label_1.setLayoutData(new GridData(16384, 16777216, true, false));
/* 174 */     label_1.setText("附件列表");
/*     */     
/* 176 */     Label label_2 = new Label((Composite)this.group, 258);
/* 177 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 179 */     this.tableViewer = new TableViewer((Composite)this.group, 67584);
/* 180 */     this.table = this.tableViewer.getTable();
/* 181 */     this.table.setLinesVisible(true);
/* 182 */     this.table.setHeaderVisible(true);
/* 183 */     GridData gd_table = new GridData(4, 4, true, false);
/* 184 */     gd_table.heightHint = 340;
/* 185 */     this.table.setLayoutData(gd_table);
/*     */     
/* 187 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 188 */     newColumnTableColumn.setWidth(160);
/* 189 */     newColumnTableColumn.setText("附件名称");
/*     */     
/* 191 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 0);
/* 192 */     newColumnTableColumn_1.setWidth(120);
/* 193 */     newColumnTableColumn_1.setText("上传时间");
/*     */     
/* 195 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 0);
/* 196 */     newColumnTableColumn_2.setWidth(90);
/* 197 */     newColumnTableColumn_2.setText("扩展名");
/*     */     
/* 199 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 0);
/* 200 */     newColumnTableColumn_3.setWidth(80);
/* 201 */     newColumnTableColumn_3.setText("");
/*     */ 
/*     */     
/* 204 */     PublicUtil.setMouseHands(this.table, "3");
/* 205 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 206 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new AttachementLableProvider());
/*     */     
/* 208 */     this.compage = new Composite((Composite)this.group, 0);
/* 209 */     this.compage.setLayoutData(new GridData(4, 4, true, false, 4, 1));
/* 210 */     GridLayout gridLayout_2 = new GridLayout();
/* 211 */     gridLayout_2.verticalSpacing = 0;
/* 212 */     gridLayout_2.numColumns = 5;
/* 213 */     this.compage.setLayout((Layout)gridLayout_2);
/*     */     
/* 215 */     this.page = new Label(this.compage, 0);
/* 216 */     this.page.setText("页次：");
/*     */     
/* 218 */     this.nowPage = new Label(this.compage, 0);
/* 219 */     this.nowPage.setText("Label");
/*     */     
/* 221 */     this.everyPageRows = new Label(this.compage, 0);
/* 222 */     this.everyPageRows.setText("Label");
/*     */     
/* 224 */     this.allRows = new Label(this.compage, 0);
/* 225 */     this.allRows.setText("Label");
/*     */     
/* 227 */     this.composite_3 = new Composite(this.compage, 0);
/* 228 */     this.composite_3.setLayoutData(new GridData(131072, 4, true, false));
/* 229 */     GridLayout gridLayout_3 = new GridLayout();
/* 230 */     gridLayout_3.numColumns = 6;
/* 231 */     this.composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 233 */     this.priorPage = new Button(this.composite_3, 0);
/* 234 */     this.priorPage.setEnabled(false);
/* 235 */     this.priorPage.setText("上一页");
/*     */     
/* 237 */     this.nextPage = new Button(this.composite_3, 0);
/* 238 */     this.nextPage.setEnabled(false);
/* 239 */     this.nextPage.setText("下一页");
/*     */     
/* 241 */     Label label_8 = new Label(this.composite_3, 0);
/* 242 */     label_8.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 243 */     label_8.setText("转至第");
/*     */     
/* 245 */     this.text_6 = new Text(this.composite_3, 2048);
/* 246 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 247 */     gd_text.widthHint = 46;
/* 248 */     this.text_6.setLayoutData(gd_text);
/*     */     
/* 250 */     Label label_1_1 = new Label(this.composite_3, 0);
/* 251 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 252 */     label_1_1.setText("页");
/*     */     
/* 254 */     this.goButton = new Button(this.composite_3, 0);
/* 255 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 256 */     this.goButton.setText("GO");
/* 257 */     PublicUtil.setTableHeight(this.table);
/*     */     
/* 259 */     this.container.setSize(800, 550);
/* 260 */     scrolledComposite.setContent((Control)this.container);
/* 261 */     getData(this.startNo);
/* 262 */     setPages(this.currentPage);
/*     */     
/* 264 */     setFontColor();
/* 265 */     setCursor();
/* 266 */     action();
/*     */     
/* 268 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo) {
/* 275 */     this.list = this.co.getAttachmentDcqzList(this.attachGroupId, startNo, this.maxCount);
/* 276 */     if (this.list != null && this.list.size() > 0) {
/* 277 */       Object object = this.list;
/* 278 */       this.tableViewer.setInput(object);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 287 */     if (this.list.size() == 0) {
/* 288 */       this.totalRows = 0;
/*     */     } else {
/* 290 */       this.totalRows = ((Attachment)this.list.get(0)).getTotalRows();
/* 291 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 292 */     this.totalPages = pu.getTotalPages();
/* 293 */     this.currentPage = pu.getCurrentPage();
/* 294 */     this.hasNextPage = pu.isHasNextPage();
/* 295 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 296 */     if (this.totalPages == 0) {
/* 297 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 299 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 301 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 302 */     this.allRows.setText("共" + this.totalRows + "行");
/* 303 */     if (!this.hasPreviousPage) {
/* 304 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 306 */       this.priorPage.setEnabled(true);
/* 307 */     }  if (!this.hasNextPage) {
/* 308 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 310 */       this.nextPage.setEnabled(true);
/* 311 */     }  if (this.totalPages > 1) {
/* 312 */       this.goButton.setEnabled(true);
/* 313 */       this.text_6.setEnabled(true);
/*     */     } else {
/* 315 */       this.goButton.setEnabled(false);
/* 316 */       this.text_6.setEnabled(false);
/*     */     } 
/* 318 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 328 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 336 */     return new Point(605, 650);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 340 */     super.configureShell(newShell);
/* 341 */     newShell.setText("网上举报附件");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 350 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 352 */             if (VerifyFunction.isNumeric(CreditWsjbAttachListDialog.this.text_6.getText())) {
/* 353 */               int aa = Integer.parseInt(CreditWsjbAttachListDialog.this.text_6.getText());
/* 354 */               if (aa > CreditWsjbAttachListDialog.this.totalPages) {
/* 355 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 357 */                 CreditWsjbAttachListDialog.this.getData((aa - 1) * CreditWsjbAttachListDialog.this.maxCount + 1);
/* 358 */                 CreditWsjbAttachListDialog.this.setPages(aa);
/* 359 */                 CreditWsjbAttachListDialog.this.setFontColor();
/* 360 */                 CreditWsjbAttachListDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 363 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 368 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 372 */             CreditWsjbAttachListDialog.this.getData((CreditWsjbAttachListDialog.this.currentPage - 2) * CreditWsjbAttachListDialog.this.maxCount + 1);
/* 373 */             CreditWsjbAttachListDialog.this.setPages(CreditWsjbAttachListDialog.this.currentPage - 1);
/* 374 */             CreditWsjbAttachListDialog.this.setFontColor();
/* 375 */             CreditWsjbAttachListDialog.this.setCursor();
/* 376 */             CreditWsjbAttachListDialog.this.compage.layout();
/*     */           }
/*     */         });
/* 379 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 382 */             CreditWsjbAttachListDialog.this.getData(CreditWsjbAttachListDialog.this.currentPage * CreditWsjbAttachListDialog.this.maxCount + 1);
/* 383 */             CreditWsjbAttachListDialog.this.setPages(CreditWsjbAttachListDialog.this.currentPage + 1);
/* 384 */             CreditWsjbAttachListDialog.this.setFontColor();
/* 385 */             CreditWsjbAttachListDialog.this.setCursor();
/* 386 */             CreditWsjbAttachListDialog.this.compage.layout();
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 396 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 397 */       this.table.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 398 */       this.table.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 399 */       this.table.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 400 */       this.table.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/* 401 */       this.table.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 402 */       this.table.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 410 */     if (this.cursor != null)
/*     */     {
/* 412 */       this.cursor.dispose(); } 
/* 413 */     this.cursor = new TableCursor(this.table, 0);
/* 414 */     this.cursor.setBackground(this.table.getDisplay().getSystemColor(26));
/* 415 */     this.cursor.setForeground(this.table.getDisplay().getSystemColor(27));
/*     */     
/* 417 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 420 */             int colums = CreditWsjbAttachListDialog.this.cursor.getColumn();
/* 421 */             IStructuredSelection select = (IStructuredSelection)CreditWsjbAttachListDialog.this.tableViewer.getSelection();
/* 422 */             Attachment info = (Attachment)select.getFirstElement();
/*     */             
/* 424 */             if (colums == 3) {
/* 425 */               CreditWsjbAttachListDialog.this.downLoadAttach(info);
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 430 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 432 */             int colums = CreditWsjbAttachListDialog.this.cursor.getColumn();
/* 433 */             IStructuredSelection select = (IStructuredSelection)CreditWsjbAttachListDialog.this.tableViewer.getSelection();
/* 434 */             Attachment info = (Attachment)select.getFirstElement();
/* 435 */             if (colums == 3) {
/* 436 */               CreditWsjbAttachListDialog.this.downLoadAttach(info);
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void downLoadAttach(Attachment info) {
/* 444 */     String path = info.getPath();
/* 445 */     File file = new File(path);
/* 446 */     if (!file.exists()) {
/* 447 */       this.wsjb = new WsjbPicModelDialog(this.composite_1.getShell(), info);
/* 448 */       this.wsjb.open();
/*     */     } else {
/* 450 */       AttachmentPicViewDialog.photoUrl = path;
/* 451 */       this.picDialog = new AttachmentPicViewDialog(this.composite_1.getShell());
/* 452 */       this.picDialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 458 */     super.initializeBounds();
/* 459 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void redraw() {
/* 467 */     this.list = this.co.getAttachmentDcqzList(this.attachGroupId, this.startNo, this.maxCount);
/* 468 */     this.tableViewer.setInput(this.list);
/* 469 */     setFontColor();
/* 470 */     setCursor();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\credit\report\CreditWsjbAttachListDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */