/*     */ package cs.sydj.operation.data.modify;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.AnnualCheckModel;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.DataModifyModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.LogOutAdviseModel;
/*     */ import server.sydj.operation.shouli.biangeng.BianGengFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DataModifyOperation
/*     */ {
/*  25 */   String operation = "DataModify";
/*  26 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  27 */   String messagexml = null;
/*  28 */   String replyxml = null;
/*  29 */   ArrayList result = new ArrayList();
/*  30 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getUnitInfos(String groupId, String certId, String name, String holdUnit, boolean flag, String disCode, int startNo, int maxCount, String gjjFlag) {
/*  52 */     this.messageParameter.put("name", name);
/*  53 */     this.messageParameter.put("certId", certId);
/*  54 */     this.messageParameter.put("holdUnit", holdUnit);
/*  55 */     this.messageParameter.put("groupId", groupId);
/*  56 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/*  57 */     this.messageParameter.put("disCode", disCode);
/*  58 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  59 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  60 */     this.messageParameter.put("gjjFlag", gjjFlag);
/*  61 */     this.messagexml = 
/*  62 */       MessageXML.MessageToXML(this.operation, "getUnitInfos", this.messageParameter);
/*     */     try {
/*  64 */       this.sender = new MessageSender(
/*  65 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  66 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  67 */       this.replyxml = this.sender
/*  68 */         .sendMessage(this.messagexml, "xml");
/*  69 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  70 */     } catch (JMSException e) {
/*  71 */       e.printStackTrace();
/*     */     }
/*  73 */     catch (Exception e) {
/*  74 */       e.printStackTrace();
/*     */     } 
/*  76 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getFileInfos(String groupId, String applyId, String currentId, String unitId, String type, String year, String holdUnitId) {
/*  94 */     this.messageParameter.put("applyId", applyId);
/*  95 */     this.messageParameter.put("currentId", currentId);
/*  96 */     this.messageParameter.put("unitId", unitId);
/*  97 */     this.messageParameter.put("holdUnitId", holdUnitId);
/*  98 */     this.messageParameter.put("groupId", groupId);
/*  99 */     this.messageParameter.put("type", type);
/* 100 */     this.messageParameter.put("year", year);
/* 101 */     this.messagexml = 
/* 102 */       MessageXML.MessageToXML(this.operation, "getFileInfos", this.messageParameter);
/*     */     try {
/* 104 */       this.sender = new MessageSender(
/* 105 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 106 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 107 */       this.replyxml = this.sender
/* 108 */         .sendMessage(this.messagexml, "xml");
/* 109 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 110 */     } catch (JMSException e) {
/* 111 */       e.printStackTrace();
/*     */     }
/* 113 */     catch (Exception e) {
/* 114 */       e.printStackTrace();
/*     */     } 
/* 116 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getDataModifyList(String unitId, int startNo, int maxCount) {
/* 123 */     this.messageParameter.put("unitId", unitId);
/* 124 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 125 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 126 */     this.messagexml = 
/* 127 */       MessageXML.MessageToXML(this.operation, "getDataModifyList", this.messageParameter);
/*     */     try {
/* 129 */       this.sender = new MessageSender(
/* 130 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 131 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 132 */       this.replyxml = this.sender
/* 133 */         .sendMessage(this.messagexml, "xml");
/* 134 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 135 */     } catch (JMSException e) {
/* 136 */       e.printStackTrace();
/*     */     }
/* 138 */     catch (Exception e) {
/* 139 */       e.printStackTrace();
/*     */     } 
/* 141 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String annaulCheckModify(AnnualCheckModel older, AnnualCheckModel news, String groupId, String userId, String userName) {
/* 156 */     String olders = MessageXML.getReplyXML(older);
/* 157 */     String News = MessageXML.getReplyXML(news);
/* 158 */     this.messageParameter.put("older", olders);
/* 159 */     this.messageParameter.put("news", News);
/* 160 */     this.messageParameter.put("groupId", groupId);
/* 161 */     this.messageParameter.put("userName", userName);
/* 162 */     this.messageParameter.put("userId", userId);
/*     */     
/* 164 */     this.messagexml = 
/* 165 */       MessageXML.MessageToXML(this.operation, "annaulCheckModify", this.messageParameter);
/*     */     try {
/* 167 */       this.sender = new MessageSender(
/* 168 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 169 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 170 */       this.replyxml = this.sender
/* 171 */         .sendMessage(this.messagexml, "short");
/* 172 */     } catch (JMSException e) {
/* 173 */       e.printStackTrace();
/*     */     }
/* 175 */     catch (Exception e) {
/* 176 */       e.printStackTrace();
/*     */     } 
/* 178 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String logOutModify(LogOutAdviseModel older, LogOutAdviseModel news, String groupId, String userId, String userName) {
/* 192 */     String olders = MessageXML.getReplyXML(older);
/* 193 */     String News = MessageXML.getReplyXML(news);
/* 194 */     this.messageParameter.put("older", olders);
/* 195 */     this.messageParameter.put("news", News);
/* 196 */     this.messageParameter.put("groupId", groupId);
/* 197 */     this.messageParameter.put("userName", userName);
/* 198 */     this.messageParameter.put("userId", userId);
/* 199 */     this.messagexml = 
/* 200 */       MessageXML.MessageToXML(this.operation, "logOutModify", this.messageParameter);
/*     */     try {
/* 202 */       this.sender = new MessageSender(
/* 203 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 204 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 205 */       this.replyxml = this.sender
/* 206 */         .sendMessage(this.messagexml, "short");
/* 207 */     } catch (JMSException e) {
/* 208 */       e.printStackTrace();
/*     */     }
/* 210 */     catch (Exception e) {
/* 211 */       e.printStackTrace();
/*     */     } 
/* 213 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String certModify(CertFileInfoModel older, CertFileInfoModel news, String groupId, String userId, String userName) {
/* 227 */     String olders = MessageXML.getReplyXML(older);
/* 228 */     String News = MessageXML.getReplyXML(news);
/* 229 */     this.messageParameter.put("older", olders);
/* 230 */     this.messageParameter.put("news", News);
/* 231 */     this.messageParameter.put("groupId", groupId);
/* 232 */     this.messageParameter.put("userName", userName);
/* 233 */     this.messageParameter.put("userId", userId);
/* 234 */     this.messagexml = 
/* 235 */       MessageXML.MessageToXML(this.operation, "certModify", this.messageParameter);
/*     */     try {
/* 237 */       this.sender = new MessageSender(
/* 238 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 239 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 240 */       this.replyxml = this.sender
/* 241 */         .sendMessage(this.messagexml, "short");
/* 242 */     } catch (JMSException e) {
/* 243 */       e.printStackTrace();
/*     */     }
/* 245 */     catch (Exception e) {
/* 246 */       e.printStackTrace();
/*     */     } 
/* 248 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealSingleAnnex(FileModel annex) {
/* 257 */     this.messageParameter.put("applyId", annex.getApplyId());
/* 258 */     this.messageParameter.put("currentId", annex.getId());
/* 259 */     this.messageParameter.put("groupId", annex.getGroupId());
/* 260 */     this.messageParameter.put("attachId", annex.getAnnexId());
/* 261 */     this.messageParameter.put("stat", annex.getAnnexStat());
/* 262 */     this.messageParameter.put("unitId", annex.getUnitId());
/* 263 */     this.messageParameter.put("holdUnit", annex.getHoldUnitId());
/* 264 */     this.messageParameter.put("fileName", annex.getFileName());
/* 265 */     this.messageParameter.put("year", annex.getSubDate());
/* 266 */     this.messagexml = 
/* 267 */       MessageXML.MessageToXML(this.operation, "dealSingleAnnex", this.messageParameter);
/*     */     try {
/* 269 */       this.sender = new MessageSender(
/* 270 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 271 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 272 */       this.replyxml = this.sender
/* 273 */         .sendMessage(this.messagexml, "short");
/* 274 */     } catch (JMSException e) {
/* 275 */       e.printStackTrace();
/*     */     }
/* 277 */     catch (Exception e) {
/* 278 */       e.printStackTrace();
/*     */     } 
/* 280 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String uploadAttachs1(InsAttachmentInfo insinfo, String filePath) {
/* 285 */     String methodname = "uploadAttachs1";
/* 286 */     String replyxml = null;
/* 287 */     String messagexml = MessageXML.getReplyXML(insinfo);
/*     */     try {
/* 289 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 290 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 291 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 292 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, 
/* 293 */           this.operation, methodname);
/* 294 */     } catch (JMSException e) {
/* 295 */       e.printStackTrace();
/* 296 */     } catch (Exception e) {
/* 297 */       e.printStackTrace();
/*     */     } 
/* 299 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String deleteAttachs(InsAttachmentInfo insinfo) {
/* 304 */     String methodname = "deleteAttachs";
/* 305 */     String msgType = "short";
/* 306 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 307 */     String replyxml = null;
/* 308 */     messageParameter.put("attinfo", MessageXML.getReplyXML(insinfo));
/* 309 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 311 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getInsAttachmentName(DataModifyModel insinfo, String groupid) {
/* 317 */     String methodname = "getInsAttachmentName";
/* 318 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 319 */     String replyxml = null;
/* 320 */     ArrayList result = new ArrayList();
/* 321 */     messageParameter.put("applyid", insinfo.getApplyId());
/* 322 */     messageParameter.put("realid", insinfo.getCurrentId());
/* 323 */     messageParameter.put("groupid", groupid);
/* 324 */     messageParameter.put("applystate", insinfo.getAppState());
/* 325 */     messageParameter.put("applydate", insinfo.getSubDate());
/* 326 */     messageParameter.put("sydwid", insinfo.getUnitId());
/* 327 */     messageParameter.put("jbdwid", insinfo.getHoldUnitId());
/* 328 */     this.messagexml = 
/* 329 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 331 */       this.sender = new MessageSender(
/* 332 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 333 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 334 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 335 */           "xml");
/* 336 */       result = MessageXML.XMLToList(replyxml);
/* 337 */     } catch (JMSException e) {
/* 338 */       e.printStackTrace();
/*     */     }
/* 340 */     catch (Exception e) {
/* 341 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 344 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getBianGengAttachmentName(DataModifyModel insinfo, String groupid) {
/* 350 */     String methodname = "getBianGengAttachmentName";
/* 351 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 352 */     String replyxml = null;
/* 353 */     ArrayList result = new ArrayList();
/* 354 */     messageParameter.put("applyid", insinfo.getApplyId());
/* 355 */     messageParameter.put("realid", insinfo.getCurrentId());
/* 356 */     messageParameter.put("groupid", groupid);
/* 357 */     messageParameter.put("applystate", insinfo.getAppState());
/* 358 */     messageParameter.put("applydate", insinfo.getSubDate());
/* 359 */     messageParameter.put("sydwid", insinfo.getUnitId());
/* 360 */     messageParameter.put("jbdwid", insinfo.getHoldUnitId());
/* 361 */     this.messagexml = 
/* 362 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 364 */       this.sender = new MessageSender(
/* 365 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 366 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 367 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 368 */           "xml");
/* 369 */       result = MessageXML.XMLToList(replyxml);
/* 370 */     } catch (JMSException e) {
/* 371 */       e.printStackTrace();
/*     */     }
/* 373 */     catch (Exception e) {
/* 374 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 377 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryInstaurationInfo(InsAttachmentInfo insinfo) {
/* 382 */     String methodname = "QueryInstaurationInfo";
/* 383 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 384 */     String replyxml = null;
/* 385 */     ArrayList result = new ArrayList();
/* 386 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 387 */     messageParameter.put("realid", insinfo.getRealid());
/* 388 */     this.messagexml = 
/* 389 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 391 */       this.sender = new MessageSender(
/* 392 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 393 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 394 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 395 */           "xml");
/* 396 */       result = MessageXML.XMLToList(replyxml);
/* 397 */     } catch (JMSException e) {
/* 398 */       e.printStackTrace();
/*     */     }
/* 400 */     catch (Exception e) {
/* 401 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 404 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getNewSydwCode(String jbdw_type, String groupid) {
/* 409 */     String methodname = "getNewSydwCode";
/* 410 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 411 */     String replyxml = null;
/* 412 */     messageParameter.put("jbdw_type", jbdw_type);
/* 413 */     messageParameter.put("groupid", groupid);
/* 414 */     this.messagexml = 
/* 415 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 417 */       this.sender = new MessageSender(
/* 418 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 419 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 420 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 421 */           "short");
/* 422 */     } catch (JMSException e) {
/* 423 */       e.printStackTrace();
/*     */     }
/* 425 */     catch (Exception e) {
/* 426 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 429 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveInsInfo(InstaurationFRInfo saveFRinfo, ArrayList saveBranchlist, String username, String userid, ArrayList itemchange, String applyType, String flag, String ifLogout) {
/* 436 */     String methodname = "saveInsInfo";
/* 437 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 438 */     String replyxml = null;
/* 439 */     messageParameter.put("saveFRinfo", MessageXML.getReplyXML(saveFRinfo));
/* 440 */     messageParameter.put("saveBranchlist", 
/* 441 */         MessageXML.getReplyXML(saveBranchlist));
/* 442 */     messageParameter.put("username", username);
/* 443 */     messageParameter.put("userid", userid);
/* 444 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 445 */     messageParameter.put("applyType", applyType);
/* 446 */     messageParameter.put("flag", flag);
/* 447 */     messageParameter.put("ifLogout", ifLogout);
/* 448 */     this.messagexml = 
/* 449 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 451 */       this.sender = new MessageSender(
/* 452 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 453 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 454 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 455 */           "short");
/* 456 */     } catch (JMSException e) {
/* 457 */       e.printStackTrace();
/*     */     }
/* 459 */     catch (Exception e) {
/* 460 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 463 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrInfo(InsAttachmentInfo insinfo) {
/* 468 */     String methodname = "QueryFddbrInfo";
/* 469 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 470 */     String replyxml = null;
/* 471 */     ArrayList result = new ArrayList();
/* 472 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 473 */     messageParameter.put("realid", insinfo.getRealid());
/* 474 */     this.messagexml = 
/* 475 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 477 */       this.sender = new MessageSender(
/* 478 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 479 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 480 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 481 */           "xml");
/* 482 */       result = MessageXML.XMLToList(replyxml);
/* 483 */     } catch (JMSException e) {
/* 484 */       e.printStackTrace();
/*     */     }
/* 486 */     catch (Exception e) {
/* 487 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 490 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrResume(String frid, String applyid) {
/* 495 */     String methodname = "QueryFddbrResume";
/* 496 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 497 */     String replyxml = null;
/* 498 */     ArrayList result = new ArrayList();
/* 499 */     messageParameter.put("frid", frid);
/* 500 */     messageParameter.put("applyid", applyid);
/* 501 */     this.messagexml = 
/* 502 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 504 */       this.sender = new MessageSender(
/* 505 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 506 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 507 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 508 */           "xml");
/* 509 */       result = MessageXML.XMLToList(replyxml);
/* 510 */     } catch (JMSException e) {
/* 511 */       e.printStackTrace();
/*     */     }
/* 513 */     catch (Exception e) {
/* 514 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 517 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String QueryFddbrPhoto(InsAttachmentInfo insinfo) {
/* 522 */     String methodname = "QueryFddbrPhoto";
/* 523 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 524 */     String replyxml = null;
/* 525 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 526 */     messageParameter.put("realid", insinfo.getRealid());
/* 527 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 528 */         messageParameter);
/*     */     try {
/* 530 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 531 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 532 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 533 */       replyxml = sender.sendBlobMessage(messagexml, null);
/* 534 */     } catch (JMSException e) {
/* 535 */       e.printStackTrace();
/* 536 */     } catch (Exception e) {
/* 537 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 540 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveInsFddbrInfo(InstaurationFddbrInfo saveFddbrInfo, ArrayList saveResumelist, String username, String userid, ArrayList itemchange, String applyType, String flag, String ifLogout) {
/* 547 */     String methodname = "saveInsFddbrInfo";
/* 548 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 549 */     String replyxml = null;
/* 550 */     messageParameter.put("saveFddbrInfo", 
/* 551 */         MessageXML.getReplyXML(saveFddbrInfo));
/* 552 */     messageParameter.put("saveResumelist", 
/* 553 */         MessageXML.getReplyXML(saveResumelist));
/* 554 */     messageParameter.put("username", username);
/* 555 */     messageParameter.put("userid", userid);
/* 556 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 557 */     messageParameter.put("applyType", applyType);
/* 558 */     messageParameter.put("flag", flag);
/* 559 */     messageParameter.put("ifLogout", ifLogout);
/* 560 */     this.messagexml = 
/* 561 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 563 */       this.sender = new MessageSender(
/* 564 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 565 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 566 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 567 */           "short");
/* 568 */     } catch (JMSException e) {
/* 569 */       e.printStackTrace();
/*     */     }
/* 571 */     catch (Exception e) {
/* 572 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 575 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengInfo(InsAttachmentInfo insinfo) {
/* 580 */     String methodname = "QueryBianGengInfo";
/* 581 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 582 */     String replyxml = null;
/* 583 */     ArrayList result = new ArrayList();
/* 584 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 585 */     messageParameter.put("realid", insinfo.getRealid());
/* 586 */     this.messagexml = 
/* 587 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 589 */       this.sender = new MessageSender(
/* 590 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 591 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 592 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 593 */           "xml");
/* 594 */       result = MessageXML.XMLToList(replyxml);
/* 595 */     } catch (JMSException e) {
/* 596 */       e.printStackTrace();
/*     */     }
/* 598 */     catch (Exception e) {
/* 599 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 602 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengItems(InsAttachmentInfo insinfo) {
/* 607 */     String methodname = "QueryBianGengItems";
/* 608 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 609 */     String replyxml = null;
/* 610 */     ArrayList result = new ArrayList();
/* 611 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 612 */     messageParameter.put("realid", insinfo.getRealid());
/* 613 */     this.messagexml = 
/* 614 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 616 */       this.sender = new MessageSender(
/* 617 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 618 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 619 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 620 */           "xml");
/* 621 */       result = MessageXML.XMLToList(replyxml);
/* 622 */     } catch (JMSException e) {
/* 623 */       e.printStackTrace();
/*     */     }
/* 625 */     catch (Exception e) {
/* 626 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 629 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveBianGengInfo(BianGengFRInfo saveFRinfo, ArrayList savebiangenglist, String username, String userid, ArrayList itemchange, String applyType, String districtcode, String applydate) {
/* 637 */     String methodname = "saveBianGengInfo";
/* 638 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 639 */     String replyxml = null;
/* 640 */     messageParameter.put("saveFRinfo", MessageXML.getReplyXML(saveFRinfo));
/* 641 */     messageParameter.put("savebiangenglist", 
/* 642 */         MessageXML.getReplyXML(savebiangenglist));
/* 643 */     messageParameter.put("username", username);
/* 644 */     messageParameter.put("userid", userid);
/* 645 */     messageParameter.put("districtcode", districtcode);
/* 646 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 647 */     messageParameter.put("applyType", applyType);
/* 648 */     messageParameter.put("applydate", applydate);
/* 649 */     this.messagexml = 
/* 650 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 652 */       this.sender = new MessageSender(
/* 653 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 654 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 655 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 656 */           "short");
/* 657 */     } catch (JMSException e) {
/* 658 */       e.printStackTrace();
/*     */     }
/* 660 */     catch (Exception e) {
/* 661 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 664 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String querySydwInfoByID(String sydwid, String isLogOut) {
/* 669 */     String methodname = "querySydwInfoByID";
/* 670 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 671 */     String replyxml = null;
/* 672 */     messageParameter.put("sydwid", sydwid);
/* 673 */     messageParameter.put("isLogOut", isLogOut);
/* 674 */     this.messagexml = 
/* 675 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 677 */       this.sender = new MessageSender(
/* 678 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 679 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 680 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 681 */           "short");
/* 682 */     } catch (JMSException e) {
/* 683 */       e.printStackTrace();
/*     */     }
/* 685 */     catch (Exception e) {
/* 686 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 689 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String isInsJbdwComplete(InsAttachmentInfo insinfo, String groupid, String districtcode) {
/* 695 */     String methodname = "isInsJbdwComplete";
/* 696 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 697 */     String replyxml = null;
/* 698 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 699 */     messageParameter.put("realid", insinfo.getRealid());
/* 700 */     messageParameter.put("groupid", groupid);
/* 701 */     messageParameter.put("districtcode", districtcode);
/* 702 */     this.messagexml = 
/* 703 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 705 */       this.sender = new MessageSender(
/* 706 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 707 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 708 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 709 */           "short");
/* 710 */     } catch (JMSException e) {
/* 711 */       e.printStackTrace();
/*     */     }
/* 713 */     catch (Exception e) {
/* 714 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 717 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String isBianGengJbdwComplete(InsAttachmentInfo insinfo, String groupid, String districtcode) {
/* 723 */     String methodname = "isBianGengJbdwComplete";
/* 724 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 725 */     String replyxml = null;
/* 726 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 727 */     messageParameter.put("realid", insinfo.getRealid());
/* 728 */     messageParameter.put("groupid", groupid);
/* 729 */     messageParameter.put("districtcode", districtcode);
/* 730 */     this.messagexml = 
/* 731 */       MessageXML.MessageToXML(this.operation, methodname, messageParameter);
/*     */     try {
/* 733 */       this.sender = new MessageSender(
/* 734 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 735 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 736 */       replyxml = this.sender.sendMessage(this.messagexml, 
/* 737 */           "short");
/* 738 */     } catch (JMSException e) {
/* 739 */       e.printStackTrace();
/*     */     }
/* 741 */     catch (Exception e) {
/* 742 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 745 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNewCertCode(String groupId, String districtCode, String unitId, String isLogOut) {
/* 758 */     this.messageParameter.put("districtCode", districtCode);
/* 759 */     this.messageParameter.put("groupId", groupId);
/* 760 */     this.messageParameter.put("unitId", unitId);
/* 761 */     this.messageParameter.put("isLogOut", isLogOut);
/* 762 */     this.messagexml = 
/* 763 */       MessageXML.MessageToXML(this.operation, "getNewCertCode", this.messageParameter);
/*     */     try {
/* 765 */       this.sender = new MessageSender(
/* 766 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 767 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 768 */       this.replyxml = this.sender
/* 769 */         .sendMessage(this.messagexml, "short");
/* 770 */     } catch (JMSException e) {
/* 771 */       e.printStackTrace();
/*     */     }
/* 773 */     catch (Exception e) {
/* 774 */       e.printStackTrace();
/*     */     } 
/* 776 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String modifyAttachs(InsAttachmentInfo insinfo, String filePath) {
/* 781 */     String methodname = "modifyAttachs";
/* 782 */     String replyxml = null;
/* 783 */     String messagexml = MessageXML.getReplyXML(insinfo);
/*     */     try {
/* 785 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 786 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 787 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 788 */       replyxml = sender.uploadBlobMessage(messagexml, filePath, 
/* 789 */           this.operation, methodname);
/* 790 */     } catch (JMSException e) {
/* 791 */       e.printStackTrace();
/* 792 */     } catch (Exception e) {
/* 793 */       e.printStackTrace();
/*     */     } 
/* 795 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 800 */     String replyxml = "";
/* 801 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 802 */         messageParameter);
/*     */     try {
/* 804 */       this.sender = new MessageSender(
/* 805 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 806 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 807 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 808 */     } catch (JMSException e) {
/* 809 */       e.printStackTrace();
/* 810 */     } catch (Exception e) {
/* 811 */       e.printStackTrace();
/*     */     } 
/* 813 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getJbdwCategoryList(String jbdwId, String groupId) {
/* 824 */     this.messageParameter.put("jbdwId", jbdwId);
/* 825 */     this.messageParameter.put("groupId", groupId);
/* 826 */     this.messagexml = 
/* 827 */       MessageXML.MessageToXML(this.operation, "getJbdwCategoryList", this.messageParameter);
/*     */     try {
/* 829 */       this.sender = new MessageSender(
/* 830 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 831 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 832 */       this.replyxml = this.sender
/* 833 */         .sendMessage(this.messagexml, "xml");
/* 834 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 835 */     } catch (JMSException e) {
/* 836 */       e.printStackTrace();
/*     */     }
/* 838 */     catch (Exception e) {
/* 839 */       e.printStackTrace();
/*     */     } 
/* 841 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getJbdwUnitInfos(String groupId, String holdUnit, boolean flag, String disCode) {
/* 858 */     this.messageParameter.put("holdUnit", holdUnit);
/* 859 */     this.messageParameter.put("groupId", groupId);
/* 860 */     this.messageParameter.put("flag", Boolean.valueOf(flag));
/* 861 */     this.messageParameter.put("disCode", disCode);
/* 862 */     this.messagexml = 
/* 863 */       MessageXML.MessageToXML(this.operation, "getJbdwUnitInfos", this.messageParameter);
/*     */     try {
/* 865 */       this.sender = new MessageSender(
/* 866 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 867 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 868 */       this.replyxml = this.sender
/* 869 */         .sendMessage(this.messagexml, "xml");
/* 870 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 871 */     } catch (JMSException e) {
/* 872 */       e.printStackTrace();
/*     */     }
/* 874 */     catch (Exception e) {
/* 875 */       e.printStackTrace();
/*     */     } 
/* 877 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String moveSydwOrder(String sydwId, String jbdwId, int pos) {
/* 888 */     this.messageParameter.put("sydwId", sydwId);
/* 889 */     this.messageParameter.put("jbdwId", jbdwId);
/* 890 */     this.messageParameter.put("pos", Integer.valueOf(pos));
/*     */     
/* 892 */     this.messagexml = 
/* 893 */       MessageXML.MessageToXML(this.operation, "moveSydwOrder", this.messageParameter);
/*     */     try {
/* 895 */       this.sender = new MessageSender(
/* 896 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 897 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 898 */       this.replyxml = this.sender
/* 899 */         .sendMessage(this.messagexml, "short");
/* 900 */     } catch (JMSException e) {
/* 901 */       e.printStackTrace();
/*     */     }
/* 903 */     catch (Exception e) {
/* 904 */       e.printStackTrace();
/*     */     } 
/* 906 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\modify\DataModifyOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */