/*     */ package cs.sydj.operation.data.query;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.modify.DataModifyOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.DataModifyModel;
/*     */ 
/*     */ 
/*     */ public class DataQueryInfoListsDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Button goButton;
/*     */   private Table table;
/*     */   private ArrayList perInfo;
/*  46 */   int totalRows = 0;
/*  47 */   int maxCount = 15;
/*  48 */   int startNo = 1;
/*  49 */   int currentPage = 1;
/*  50 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   private TableCursor cursor;
/*  54 */   int starto = 1;
/*  55 */   private int selectColums = 32;
/*     */   private Composite compage;
/*     */   private Label page;
/*     */   private Label nowPage;
/*     */   private Label everyPageRows;
/*     */   private Label allRows;
/*     */   private Composite composite_1;
/*     */   private Button priorPage;
/*     */   private Button nextPage;
/*     */   private String unitId;
/*     */   private TableViewer tableViewer;
/*     */   private String unitName;
/*     */   private String state;
/*     */   private Composite composite;
/*     */   private Text text;
/*  70 */   String sydwcode = "";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DataQueryInfoListsDialog(Shell parentShell, String unitId, String unitName, String state, String sydwcode) {
/*  79 */     super(parentShell);
/*  80 */     this.unitId = unitId;
/*  81 */     this.unitName = unitName;
/*  82 */     this.state = state;
/*  83 */     this.sydwcode = sydwcode;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  93 */     parent.setBackground(Display.getCurrent()
/*  94 */         .getSystemColor(1));
/*  95 */     parent.setBackgroundMode(2);
/*  96 */     Composite container = (Composite)super.createDialogArea(parent);
/*  97 */     GridLayout gridLayout_3 = new GridLayout();
/*  98 */     gridLayout_3.marginTop = 25;
/*  99 */     gridLayout_3.marginRight = 25;
/* 100 */     gridLayout_3.marginLeft = 25;
/* 101 */     container.setLayout((Layout)gridLayout_3);
/*     */     
/* 103 */     Label label = new Label(container, 0);
/* 104 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 105 */     label.setText("申请信息查阅>>“" + this.unitName + "”的申请信息列表");
/* 106 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 107 */     Label label_1 = new Label(container, 258);
/*     */     
/* 109 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 111 */     this.composite = new Composite(container, 0);
/* 112 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 113 */         false);
/* 114 */     gd_composite.heightHint = 320;
/* 115 */     this.composite.setLayoutData(gd_composite);
/* 116 */     GridLayout gridLayout_2 = new GridLayout();
/* 117 */     gridLayout_2.verticalSpacing = 0;
/* 118 */     gridLayout_2.marginWidth = 0;
/* 119 */     gridLayout_2.marginHeight = 0;
/* 120 */     gridLayout_2.horizontalSpacing = 0;
/* 121 */     this.composite.setLayout((Layout)gridLayout_2);
/*     */     
/* 123 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 125 */     this.table = this.tableViewer.getTable();
/* 126 */     this.table.setLinesVisible(true);
/* 127 */     this.table.setHeaderVisible(true);
/* 128 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 130 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 131 */         16777216);
/* 132 */     newColumnTableColumn.setAlignment(16777216);
/* 133 */     newColumnTableColumn.setWidth(113);
/* 134 */     newColumnTableColumn.setText("申请时间");
/*     */     
/* 136 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 137 */         16777216);
/* 138 */     newColumnTableColumn_1.setAlignment(16777216);
/* 139 */     newColumnTableColumn_1.setWidth(122);
/* 140 */     newColumnTableColumn_1.setText("核准时间");
/*     */     
/* 142 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 143 */         16777216);
/* 144 */     newColumnTableColumn_2.setAlignment(16777216);
/* 145 */     newColumnTableColumn_2.setWidth(131);
/* 146 */     newColumnTableColumn_2.setText("申请类型");
/*     */     
/* 148 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 149 */         16777216);
/* 150 */     newColumnTableColumn_3.setAlignment(16777216);
/* 151 */     newColumnTableColumn_3.setWidth(100);
/*     */     
/* 153 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 154 */         16777216);
/* 155 */     newColumnTableColumn_5.setResizable(false);
/* 156 */     newColumnTableColumn_5.setWidth(0);
/*     */     
/* 158 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 159 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DataQueryListLabelViewProvider());
/*     */     
/* 161 */     this.compage = new Composite(container, 0);
/* 162 */     GridData gd_compage = new GridData(4, 4, false, 
/* 163 */         false, 5, 1);
/* 164 */     this.compage.setLayoutData(gd_compage);
/* 165 */     GridLayout gridLayout = new GridLayout();
/* 166 */     gridLayout.numColumns = 5;
/* 167 */     this.compage.setLayout((Layout)gridLayout);
/*     */     
/* 169 */     this.page = new Label(this.compage, 0);
/* 170 */     this.page.setText("页次：");
/*     */     
/* 172 */     this.nowPage = new Label(this.compage, 0);
/*     */     
/* 174 */     this.everyPageRows = new Label(this.compage, 0);
/* 175 */     this.allRows = new Label(this.compage, 0);
/*     */     
/* 177 */     this.composite_1 = new Composite(this.compage, 0);
/* 178 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 179 */         false);
/* 180 */     this.composite_1.setLayoutData(gd_composite_1);
/* 181 */     GridLayout gridLayout_1 = new GridLayout();
/* 182 */     gridLayout_1.numColumns = 6;
/* 183 */     this.composite_1.setLayout((Layout)gridLayout_1);
/*     */     
/* 185 */     this.priorPage = new Button(this.composite_1, 0);
/* 186 */     this.priorPage.setEnabled(false);
/* 187 */     this.priorPage.setText("上一页");
/*     */     
/* 189 */     this.nextPage = new Button(this.composite_1, 0);
/* 190 */     this.nextPage.setEnabled(false);
/* 191 */     this.nextPage.setText("下一页");
/*     */     
/* 193 */     Label label_8_1 = new Label(this.composite_1, 0);
/* 194 */     label_8_1.setLayoutData(new GridData());
/* 195 */     label_8_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 196 */     label_8_1.setText("转至第");
/*     */     
/* 198 */     this.text = new Text(this.composite_1, 2048);
/* 199 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 200 */     gd_text.widthHint = 46;
/* 201 */     this.text.setLayoutData(gd_text);
/*     */     
/* 203 */     Label label_1_1 = new Label(this.composite_1, 0);
/* 204 */     label_1_1.setLayoutData(new GridData());
/* 205 */     label_1_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 206 */     label_1_1.setText("页");
/*     */     
/* 208 */     this.goButton = new Button(this.composite_1, 0);
/* 209 */     this.goButton.setLayoutData(new GridData());
/* 210 */     this.goButton.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 211 */     this.goButton.setText("GO");
/*     */     
/* 213 */     PublicUtil.setTableHeight(this.table);
/* 214 */     PublicUtil.setTableWidth(this.composite, this.table, "2.5:2.5:2.5:2.45:0.05");
/* 215 */     PublicUtil.setMouseHands(this.table, "3");
/*     */     
/* 217 */     getData(this.starto);
/* 218 */     setFontColor();
/* 219 */     setPages(this.currentPage);
/* 220 */     setCursor();
/* 221 */     action();
/* 222 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 232 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 240 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 244 */     super.configureShell(newShell);
/* 245 */     newShell.setText("申请信息查阅");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 252 */     if (this.perInfo.size() == 0) {
/* 253 */       this.totalRows = 0;
/*     */     } else {
/* 255 */       this.totalRows = ((DataModifyModel)this.perInfo.get(0)).getTotalRows();
/* 256 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 257 */     this.totalPages = pu.getTotalPages();
/* 258 */     this.currentPage = pu.getCurrentPage();
/* 259 */     this.hasNextPage = pu.isHasNextPage();
/* 260 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 261 */     if (this.totalPages == 0) {
/* 262 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */     } else {
/* 264 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */     } 
/* 266 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 267 */     this.allRows.setText("共" + this.totalRows + "行");
/* 268 */     if (!this.hasPreviousPage) {
/* 269 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 271 */       this.priorPage.setEnabled(true);
/* 272 */     }  if (!this.hasNextPage) {
/* 273 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 275 */       this.nextPage.setEnabled(true);
/* 276 */     }  if (this.totalPages > 1) {
/* 277 */       this.goButton.setEnabled(true);
/* 278 */       this.text.setEnabled(true);
/*     */     } else {
/* 280 */       this.goButton.setEnabled(false);
/* 281 */       this.text.setEnabled(false);
/*     */     } 
/* 283 */     this.compage.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int starto) {
/* 290 */     DataModifyOperation mod = new DataModifyOperation();
/* 291 */     this.perInfo = mod.getDataModifyList(this.unitId, starto, this.maxCount);
/* 292 */     if (this.perInfo != null) {
/* 293 */       Object object = this.perInfo;
/* 294 */       this.tableViewer.setInput(object);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 302 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 303 */       this.table.getItem(i)
/* 304 */         .setFont(
/* 305 */           3, 
/* 306 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 307 */             false, false));
/* 308 */       this.table.getItem(i).setForeground(3, 
/* 309 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 317 */     if (this.cursor != null)
/*     */     {
/* 319 */       this.cursor.dispose(); } 
/* 320 */     this.cursor = new TableCursor(this.table, 0);
/* 321 */     this.cursor.setBackground(this.table.getDisplay()
/* 322 */         .getSystemColor(26));
/* 323 */     this.cursor.setForeground(this.table.getDisplay()
/* 324 */         .getSystemColor(27));
/* 325 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 327 */             int colums = DataQueryInfoListsDialog.this.cursor.getColumn();
/* 328 */             if (colums == 3) {
/* 329 */               DataQueryInfoListsDialog.this.modOrsup(false);
/*     */             }
/* 331 */             DataQueryInfoListsDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 334 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 337 */             int colums = DataQueryInfoListsDialog.this.cursor.getColumn();
/* 338 */             if (colums == DataQueryInfoListsDialog.this.selectColums && 
/* 339 */               colums == 3) {
/* 340 */               DataQueryInfoListsDialog.this.modOrsup(false);
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void action() {
/* 351 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 355 */             DataQueryInfoListsDialog.this.getData((DataQueryInfoListsDialog.this.currentPage - 2) * DataQueryInfoListsDialog.this.maxCount + 1);
/* 356 */             DataQueryInfoListsDialog.this.setPages(DataQueryInfoListsDialog.this.currentPage - 1);
/* 357 */             DataQueryInfoListsDialog.this.setFontColor();
/* 358 */             DataQueryInfoListsDialog.this.setCursor();
/*     */           }
/*     */         });
/* 361 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 364 */             DataQueryInfoListsDialog.this.getData(DataQueryInfoListsDialog.this.currentPage * DataQueryInfoListsDialog.this.maxCount + 1);
/* 365 */             DataQueryInfoListsDialog.this.setPages(DataQueryInfoListsDialog.this.currentPage + 1);
/* 366 */             DataQueryInfoListsDialog.this.setFontColor();
/* 367 */             DataQueryInfoListsDialog.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 371 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 373 */             if (VerifyFunction.isNumeric(DataQueryInfoListsDialog.this.text.getText())) {
/* 374 */               int aa = Integer.parseInt(DataQueryInfoListsDialog.this.text.getText());
/* 375 */               if (aa > DataQueryInfoListsDialog.this.totalPages) {
/* 376 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 378 */                 DataQueryInfoListsDialog.this.getData((aa - 1) * DataQueryInfoListsDialog.this.maxCount + 1);
/* 379 */                 DataQueryInfoListsDialog.this.setPages(aa);
/* 380 */                 DataQueryInfoListsDialog.this.setFontColor();
/* 381 */                 DataQueryInfoListsDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 384 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 392 */     super.initializeBounds();
/* 393 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void modOrsup(boolean isModify) {
/* 400 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 401 */       .getSelection();
/* 402 */     DataModifyModel model = (DataModifyModel)select.getFirstElement();
/* 403 */     DataModifyOperation mod = new DataModifyOperation();
/* 404 */     ArrayList list = null;
/* 405 */     String flag = "true";
/* 406 */     if (model.getAppType().equals("0") || model.getAppType().equals("5")) {
/* 407 */       for (int i = 0; i < this.perInfo.size(); i++) {
/* 408 */         DataModifyModel dmm = new DataModifyModel();
/* 409 */         dmm = this.perInfo.get(i);
/* 410 */         if ("1".equals(dmm.getAppType()) || 
/* 411 */           "2".equals(dmm.getAppType()) || 
/* 412 */           "4".equals(dmm.getAppType())) {
/* 413 */           flag = "false";
/*     */         }
/*     */       } 
/* 416 */       list = mod.getInsAttachmentName(model, 
/* 417 */           GljgUserInfo.getInstance().getGroupid());
/* 418 */       DataQueryDetailFilesDailog2 dialog2 = new DataQueryDetailFilesDailog2(getShell(), 
/* 419 */           model, this.unitName, list, this.state, isModify, flag, this.sydwcode, "true");
/* 420 */       dialog2.open();
/* 421 */     } else if (model.getAppType().equals("1")) {
/* 422 */       list = mod.getBianGengAttachmentName(model, 
/* 423 */           GljgUserInfo.getInstance().getGroupid());
/* 424 */       DataQueryDetailFilesDailog2 dialog2 = new DataQueryDetailFilesDailog2(getShell(), 
/* 425 */           model, this.unitName, list, this.state, isModify, flag, this.sydwcode, "true");
/* 426 */       dialog2.open();
/* 427 */     } else if (!model.getAppType().equals("5")) {
/*     */ 
/*     */       
/* 430 */       list = mod.getFileInfos(
/* 431 */           GljgUserInfo.getInstance().getGroupid(), 
/* 432 */           model.getApplyId(), model.getCurrentId(), 
/* 433 */           model.getUnitId(), model.getAppType(), 
/* 434 */           model.getSubDate(), model.getHoldUnitId());
/* 435 */       DataQueryDetailFilesDailog dialog = new DataQueryDetailFilesDailog(getShell(), 
/* 436 */           model, this.unitName, list, this.state, isModify, 
/* 437 */           model.getAppType(), "true");
/* 438 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\data\query\DataQueryInfoListsDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */