/*     */ package cs.sydj.operation.data.upload;
/*     */ 
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.FileDialog;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ public class DataUploadDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text;
/*     */   private String path;
/*  28 */   private int returnValue = 1;
/*     */   
/*     */   public String getPath() {
/*  31 */     return this.path;
/*     */   }
/*     */   
/*     */   public void setPath(String path) {
/*  35 */     this.path = path;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public int open() {
/*  41 */     super.open();
/*  42 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DataUploadDialog(Shell parentShell) {
/*  51 */     super(parentShell);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  61 */     Composite container = (Composite)super.createDialogArea(parent);
/*  62 */     GridLayout gridLayout = new GridLayout();
/*  63 */     gridLayout.numColumns = 2;
/*  64 */     container.setLayout((Layout)gridLayout);
/*     */     
/*  66 */     Label label = new Label(container, 0);
/*  67 */     label.setLayoutData(new GridData(16777216, 16777216, true, false));
/*  68 */     label.setText("文件");
/*     */ 
/*     */     
/*  71 */     this.text = new Text(container, 2048);
/*  72 */     this.text.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/*  74 */     Button button = new Button(container, 0);
/*  75 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*  77 */             FileDialog sd = new FileDialog(DataUploadDialog.this.getShell(), 4096);
/*  78 */             DataUploadDialog.this.text.setText(sd.open());
/*     */           }
/*     */         });
/*  81 */     button.setText("浏览．．．");
/*     */     
/*  83 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/*  93 */     createButton(parent, 0, "上传", true);
/*  94 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 102 */     return new Point(368, 125);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 106 */     super.configureShell(newShell);
/* 107 */     newShell.setText("数据上传");
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 111 */     if (buttonId == 1) {
/* 112 */       this.returnValue = 1;
/* 113 */       super.buttonPressed(buttonId);
/*     */     } 
/* 115 */     if (buttonId == 0) {
/*     */       try {
/* 117 */         if (!this.text.getText().trim().equals("")) {
/* 118 */           File file = new File(this.text.getText().trim());
/* 119 */           if (file.exists()) {
/* 120 */             if (checkFileSize(this.text.getText().trim(), file)) {
/* 121 */               this.returnValue = 0;
/* 122 */               setPath(this.text.getText().trim());
/* 123 */               super.buttonPressed(buttonId);
/*     */             } else {
/* 125 */               SydjMessageDialog.openWarning(null, "提示", 
/* 126 */                   "上传文件大小不能大于10M！");
/*     */             } 
/*     */           } else {
/* 129 */             SydjMessageDialog.openWarning(null, "提示", "您选择的文件不存在！");
/*     */           } 
/*     */         } else {
/*     */           
/* 133 */           SydjMessageDialog.openWarning(null, "提示", "请选择要上传的文件");
/*     */         } 
/* 135 */       } catch (Exception e) {
/* 136 */         e.printStackTrace();
/*     */       } 
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean checkFileSize(String filePath, File file) {
/* 144 */     boolean flag = true;
/*     */     try {
/* 146 */       FileInputStream stream = null;
/* 147 */       stream = new FileInputStream(file);
/* 148 */       double size = (stream.available() / 1024 / 1024);
/* 149 */       if (size > 10.0D) {
/* 150 */         flag = false;
/*     */       } else {
/* 152 */         flag = true;
/*     */       } 
/* 154 */     } catch (Exception e) {
/* 155 */       flag = false;
/* 156 */       e.printStackTrace();
/*     */     } 
/* 158 */     return flag;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\dat\\upload\DataUploadDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */