/*     */ package cs.sydj.operation.fuhe.annualcheck;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ public class AnnualCheckOperationFuHe
/*     */ {
/*  15 */   String operation = "AnnualCheckFuHe";
/*  16 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  17 */   String messagexml = null;
/*  18 */   String replyxml = null;
/*  19 */   ArrayList result = new ArrayList();
/*  20 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckInfo(String groupId, String name, String bnDate, String enDate, int startNo, int maxCount) {
/*  39 */     this.messageParameter.put("name", name);
/*  40 */     this.messageParameter.put("bnDate", bnDate);
/*  41 */     this.messageParameter.put("enDate", enDate);
/*  42 */     this.messageParameter.put("groupId", groupId);
/*  43 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  44 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  45 */     this.messagexml = 
/*  46 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckInfo", this.messageParameter);
/*     */     try {
/*  48 */       this.sender = new MessageSender(
/*  49 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  50 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  51 */       this.replyxml = this.sender
/*  52 */         .sendMessage(this.messagexml, "xml");
/*  53 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  54 */     } catch (JMSException e) {
/*  55 */       e.printStackTrace();
/*     */     }
/*  57 */     catch (Exception e) {
/*  58 */       e.printStackTrace();
/*     */     } 
/*  60 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/*  74 */     this.messageParameter.put("applyId", applyId);
/*  75 */     this.messageParameter.put("currentId", currentId);
/*  76 */     this.messageParameter.put("groupId", groupId);
/*  77 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/*  78 */     this.messagexml = 
/*  79 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckFileInfo", this.messageParameter);
/*     */     try {
/*  81 */       this.sender = new MessageSender(
/*  82 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/*  83 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/*  84 */       this.replyxml = this.sender
/*  85 */         .sendMessage(this.messagexml, "xml");
/*  86 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  87 */     } catch (JMSException e) {
/*  88 */       e.printStackTrace();
/*     */     }
/*  90 */     catch (Exception e) {
/*  91 */       e.printStackTrace();
/*     */     } 
/*  93 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 107 */     this.messageParameter.put("applyId", applyId);
/* 108 */     this.messageParameter.put("currentId", currentId);
/* 109 */     this.messageParameter.put("groupId", groupId);
/* 110 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 111 */     this.messageParameter.put("id", id);
/* 112 */     this.messagexml = 
/* 113 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 115 */       this.sender = new MessageSender(
/* 116 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 117 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 118 */       this.replyxml = this.sender
/* 119 */         .sendMessage(this.messagexml, "xml");
/* 120 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 121 */     } catch (JMSException e) {
/* 122 */       e.printStackTrace();
/*     */     }
/* 124 */     catch (Exception e) {
/* 125 */       e.printStackTrace();
/*     */     } 
/* 127 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckHistoryInfo(UnitInfoModel logout) {
/* 137 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 138 */     this.messageParameter.put("currentId", logout.getId());
/* 139 */     this.messagexml = 
/* 140 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckHistoryInfo", this.messageParameter);
/*     */     try {
/* 142 */       this.sender = new MessageSender(
/* 143 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 144 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 145 */       this.replyxml = this.sender
/* 146 */         .sendMessage(this.messagexml, "xml");
/* 147 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 148 */     } catch (JMSException e) {
/* 149 */       e.printStackTrace();
/*     */     }
/* 151 */     catch (Exception e) {
/* 152 */       e.printStackTrace();
/*     */     } 
/* 154 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file, String type) {
/* 161 */     this.messageParameter.put("applyId", file.getApplyId());
/* 162 */     this.messageParameter.put("currentId", file.getId());
/* 163 */     this.messageParameter.put("groupId", file.getGroupId());
/* 164 */     this.messageParameter.put("type", type);
/* 165 */     this.messagexml = 
/* 166 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 168 */       this.sender = new MessageSender(
/* 169 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 170 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 171 */       this.replyxml = this.sender
/* 172 */         .sendMessage(this.messagexml, "xml");
/* 173 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 174 */     } catch (JMSException e) {
/* 175 */       e.printStackTrace();
/*     */     }
/* 177 */     catch (Exception e) {
/* 178 */       e.printStackTrace();
/*     */     } 
/* 180 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getTableAdditonal(FileModel file, String type, String isLogOut) {
/* 188 */     this.messageParameter.put("applyId", file.getApplyId());
/* 189 */     this.messageParameter.put("currentId", file.getId());
/* 190 */     this.messageParameter.put("fileName", file.getFileName());
/* 191 */     this.messagexml = 
/* 192 */       MessageXML.MessageToXML(this.operation, "getTableAdditonal", this.messageParameter);
/* 193 */     this.messageParameter.put("isLogOut", isLogOut);
/* 194 */     this.messageParameter.put("type", type);
/*     */     try {
/* 196 */       this.sender = new MessageSender(
/* 197 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 198 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 199 */       this.replyxml = this.sender
/* 200 */         .sendMessage(this.messagexml, "xml");
/* 201 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 202 */     } catch (JMSException e) {
/* 203 */       e.printStackTrace();
/*     */     }
/* 205 */     catch (Exception e) {
/* 206 */       e.printStackTrace();
/*     */     } 
/* 208 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId, String state) {
/* 217 */     this.messageParameter.put("applyId", applyId);
/* 218 */     this.messageParameter.put("currentId", currentId);
/* 219 */     this.messageParameter.put("state", state);
/* 220 */     this.messagexml = 
/* 221 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 223 */       this.sender = new MessageSender(
/* 224 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 225 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 226 */       this.replyxml = this.sender
/* 227 */         .sendMessage(this.messagexml, "short");
/* 228 */     } catch (JMSException e) {
/* 229 */       e.printStackTrace();
/*     */       
/* 231 */       return null;
/* 232 */     } catch (Exception e) {
/* 233 */       e.printStackTrace();
/* 234 */       return null;
/*     */     } 
/* 236 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPassGJJ(String applyId, String currentId, String state) {
/* 245 */     this.messageParameter.put("applyId", applyId);
/* 246 */     this.messageParameter.put("currentId", currentId);
/* 247 */     this.messageParameter.put("state", state);
/* 248 */     this.messagexml = 
/* 249 */       MessageXML.MessageToXML(this.operation, "acceptPassGJJ", this.messageParameter);
/*     */     try {
/* 251 */       this.sender = new MessageSender(
/* 252 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 253 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 254 */       this.replyxml = this.sender
/* 255 */         .sendMessage(this.messagexml, "short");
/* 256 */     } catch (JMSException e) {
/* 257 */       e.printStackTrace();
/*     */       
/* 259 */       return null;
/* 260 */     } catch (Exception e) {
/* 261 */       e.printStackTrace();
/* 262 */       return null;
/*     */     } 
/* 264 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getManagerOrgnization(String groupId, String flag, String districtCode) {
/* 274 */     this.messageParameter.put("groupId", groupId);
/* 275 */     this.messageParameter.put("flag", flag);
/* 276 */     this.messageParameter.put("districtCode", districtCode);
/* 277 */     this.messagexml = 
/* 278 */       MessageXML.MessageToXML(this.operation, "getManagerOrgnization", this.messageParameter);
/*     */     try {
/* 280 */       this.sender = new MessageSender(
/* 281 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 282 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 283 */       this.replyxml = this.sender
/* 284 */         .sendMessage(this.messagexml, "xml");
/* 285 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 286 */     } catch (JMSException e) {
/* 287 */       e.printStackTrace();
/*     */     }
/* 289 */     catch (Exception e) {
/* 290 */       e.printStackTrace();
/*     */     } 
/* 292 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String notAccept(String applyId, String currentId, String advice) {
/* 301 */     this.messageParameter.put("applyId", applyId);
/* 302 */     this.messageParameter.put("currentId", currentId);
/* 303 */     this.messageParameter.put("advice", advice);
/* 304 */     this.messagexml = 
/* 305 */       MessageXML.MessageToXML(this.operation, "notAccept", this.messageParameter);
/*     */     try {
/* 307 */       this.sender = new MessageSender(
/* 308 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 309 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 310 */       this.replyxml = this.sender
/* 311 */         .sendMessage(this.messagexml, "short");
/* 312 */     } catch (JMSException e) {
/* 313 */       e.printStackTrace();
/*     */     }
/* 315 */     catch (Exception e) {
/* 316 */       e.printStackTrace();
/*     */     } 
/* 318 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualCheckSydwBranchList(String realId) {
/* 325 */     this.messageParameter.put("realId", realId);
/* 326 */     this.messagexml = 
/* 327 */       MessageXML.MessageToXML(this.operation, "getAnnualCheckSydwBranchList", this.messageParameter);
/*     */     try {
/* 329 */       this.sender = new MessageSender(
/* 330 */           MessageProxy.getSystemenv("AnnualCheckQueue"), 
/* 331 */           MessageProxy.getSystemenv("AnnualCheckReplyQueue"));
/* 332 */       this.replyxml = this.sender
/* 333 */         .sendMessage(this.messagexml, "xml");
/* 334 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 335 */     } catch (JMSException e) {
/* 336 */       e.printStackTrace();
/*     */     }
/* 338 */     catch (Exception e) {
/* 339 */       e.printStackTrace();
/*     */     } 
/* 341 */     return this.result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\annualcheck\AnnualCheckOperationFuHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */