/*     */ package cs.sydj.operation.fuhe.annualcheck.actions;
/*     */ 
/*     */ import cs.outline.util.update.ModifyLocalData;
/*     */ import cs.sydj.common.NotAcceptDialog;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.fuhe.annualcheck.AnnualCheckDetailDialogFuHe;
/*     */ import cs.sydj.operation.fuhe.annualcheck.AnnualCheckOperationFuHe;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shouli.annualcheck.AnnualCheckOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.outline.update.UpdateLocalDataInfo;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AnnualCheckDetailActionGroupFuHe
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private AnnualCheckDetailDialogFuHe dialog;
/*     */   private Combo comb;
/*     */   
/*     */   public AnnualCheckDetailActionGroupFuHe(AnnualCheckDetailDialogFuHe dialog) {
/*  42 */     this.dialog = dialog;
/*  43 */     this.barManager = dialog.getBarManager();
/*  44 */     this.applyId = dialog.getAnnualCheck().getApplyId();
/*  45 */     this.currentId = dialog.getAnnualCheck().getId();
/*  46 */     this.isVisible = dialog.isFlag();
/*  47 */     this.comb = dialog.getCombo();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  52 */       setId("cs.sydj.fuhe.annualCheck.actions.acceptpass");
/*  53 */       setText("复核通过");
/*  54 */       setToolTipText("复核通过");
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void run() {
/*     */       try {
/*  99 */         String state = "年检合格";
/* 100 */         String reply = (new AnnualCheckOperationFuHe()).acceptPassGJJ(
/* 101 */             AnnualCheckDetailActionGroupFuHe.this.applyId, AnnualCheckDetailActionGroupFuHe.this.currentId, state);
/* 102 */         if (reply == null)
/*     */           return; 
/* 104 */         if ("true".equals(reply)) {
/* 105 */           UpdateLocalDataInfo uldi = new UpdateLocalDataInfo();
/* 106 */           uldi.setRequestType(3);
/* 107 */           uldi
/* 108 */             .setGroupid(GljgUserInfo.getInstance()
/* 109 */               .getGroupid());
/* 110 */           uldi.setDistrictcode(
/* 111 */               GljgUserInfo.getInstance().getDistrictcode());
/* 112 */           uldi
/* 113 */             .setSydwid(((FileModel)AnnualCheckDetailActionGroupFuHe.this.dialog.getFileList()
/* 114 */               .get(0)).getUnitId());
/* 115 */           ModifyLocalData mld = new ModifyLocalData();
/* 116 */           mld.modifyLocalData(uldi);
/* 117 */           SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 118 */           AnnualCheckDetailActionGroupFuHe.this.dialog.setReturnValue(0);
/* 119 */           AnnualCheckDetailActionGroupFuHe.this.dialog.getShell().dispose();
/*     */         } else {
/* 121 */           SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */         } 
/*     */         return;
/* 124 */       } catch (Exception e) {
/* 125 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/* 133 */       setId("cs.sydj.hezhun.annualCheck.actions.backmodify");
/* 134 */       setText("材料退回");
/* 135 */       setToolTipText("材料退回");
/*     */     }
/*     */     
/*     */     public void run() {
/* 139 */       AnnualCheckOperationShouLi oper = new AnnualCheckOperationShouLi();
/* 140 */       ArrayList list = oper.getManagerOrgnization(
/* 141 */           GljgUserInfo.getInstance().getGroupid(), "0", 
/* 142 */           GljgUserInfo.getInstance().getDistrictcode());
/* 143 */       if (list == null) {
/*     */         return;
/*     */       }
/* 146 */       NotAcceptDialog dial = new NotAcceptDialog(AnnualCheckDetailActionGroupFuHe.this.shell, "年度报告公示", list);
/* 147 */       if (dial.open() == 0) {
/* 148 */         String flag = (new AnnualCheckOperationFuHe()).notAccept(
/* 149 */             AnnualCheckDetailActionGroupFuHe.this.applyId, AnnualCheckDetailActionGroupFuHe.this.currentId, dial.getReason());
/* 150 */         if (flag != null) {
/* 151 */           if (flag.equals("true")) {
/* 152 */             SydjMessageDialog.openInformation(null, "提示", 
/* 153 */                 "操作成功");
/* 154 */             AnnualCheckDetailActionGroupFuHe.this.dialog.setReturnValue(0);
/* 155 */             if (!AnnualCheckDetailActionGroupFuHe.this.dialog.getShell().isDisposed())
/* 156 */               AnnualCheckDetailActionGroupFuHe.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 158 */             SydjMessageDialog.openInformation(null, "提示", 
/* 159 */                 "操作失败");
/*     */             return;
/*     */           } 
/*     */         }
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public void fillActionToolBar() {
/* 169 */     this.barManager.removeAll();
/* 170 */     if (this.isVisible) {
/* 171 */       Action acceptPass = new AcceptPassAction();
/* 172 */       Action backModify = new BackModifyAction();
/* 173 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 174 */       this.barManager.add(createContributionItem((IAction)backModify));
/*     */     } 
/* 176 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 180 */     ActionContributionItem act = new ActionContributionItem(action);
/* 181 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 182 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 188 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\annualcheck\actions\AnnualCheckDetailActionGroupFuHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */