/*     */ package cs.sydj.operation.fuhe.logout;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutOperationFuHe
/*     */ {
/*  16 */   String operation = "LogOutFuHe";
/*  17 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  18 */   String messagexml = null;
/*  19 */   String replyxml = null;
/*  20 */   ArrayList result = new ArrayList();
/*  21 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String name;
/*     */ 
/*     */ 
/*     */   
/*     */   private String beginDate;
/*     */ 
/*     */ 
/*     */   
/*     */   private String endDate;
/*     */ 
/*     */ 
/*     */   
/*     */   private String type;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutInfo(String groupId, String name, String bnDate, String enDate, int startNo, int maxCount) {
/*  44 */     this.messageParameter.put("name", name);
/*  45 */     this.messageParameter.put("bnDate", bnDate);
/*  46 */     this.messageParameter.put("enDate", enDate);
/*  47 */     this.messageParameter.put("groupId", groupId);
/*  48 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  49 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  50 */     this.messagexml = 
/*  51 */       MessageXML.MessageToXML(this.operation, "getLogOutInfo", this.messageParameter);
/*     */     try {
/*  53 */       this.sender = new MessageSender(
/*  54 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  55 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  56 */       this.replyxml = this.sender
/*  57 */         .sendMessage(this.messagexml, "xml");
/*  58 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  59 */     } catch (JMSException e) {
/*  60 */       e.printStackTrace();
/*     */     }
/*  62 */     catch (Exception e) {
/*  63 */       e.printStackTrace();
/*     */     } 
/*  65 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/*  79 */     this.messageParameter.put("applyId", applyId);
/*  80 */     this.messageParameter.put("currentId", currentId);
/*  81 */     this.messageParameter.put("groupId", groupId);
/*  82 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/*  83 */     this.messagexml = 
/*  84 */       MessageXML.MessageToXML(this.operation, "getLogOutFileInfo", this.messageParameter);
/*     */     try {
/*  86 */       this.sender = new MessageSender(
/*  87 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  88 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  89 */       this.replyxml = this.sender
/*  90 */         .sendMessage(this.messagexml, "xml");
/*  91 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  92 */     } catch (JMSException e) {
/*  93 */       e.printStackTrace();
/*     */     }
/*  95 */     catch (Exception e) {
/*  96 */       e.printStackTrace();
/*     */     } 
/*  98 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 112 */     this.messageParameter.put("applyId", applyId);
/* 113 */     this.messageParameter.put("currentId", currentId);
/* 114 */     this.messageParameter.put("groupId", groupId);
/* 115 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 116 */     this.messageParameter.put("id", id);
/* 117 */     this.messagexml = 
/* 118 */       MessageXML.MessageToXML(this.operation, "getLogOutHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 120 */       this.sender = new MessageSender(
/* 121 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 122 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 123 */       this.replyxml = this.sender
/* 124 */         .sendMessage(this.messagexml, "xml");
/* 125 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 126 */     } catch (JMSException e) {
/* 127 */       e.printStackTrace();
/*     */     }
/* 129 */     catch (Exception e) {
/* 130 */       e.printStackTrace();
/*     */     } 
/* 132 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLogOutHistoryInfo(UnitInfoModel logout) {
/* 142 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 143 */     this.messageParameter.put("currentId", logout.getId());
/* 144 */     this.messagexml = 
/* 145 */       MessageXML.MessageToXML(this.operation, "getLogOutHistoryInfo", this.messageParameter);
/*     */     try {
/* 147 */       this.sender = new MessageSender(
/* 148 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 149 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 150 */       this.replyxml = this.sender
/* 151 */         .sendMessage(this.messagexml, "xml");
/* 152 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 153 */     } catch (JMSException e) {
/* 154 */       e.printStackTrace();
/*     */     }
/* 156 */     catch (Exception e) {
/* 157 */       e.printStackTrace();
/*     */     } 
/* 159 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file, String type) {
/* 166 */     this.messageParameter.put("applyId", file.getApplyId());
/* 167 */     this.messageParameter.put("currentId", file.getId());
/* 168 */     this.messageParameter.put("groupId", file.getGroupId());
/* 169 */     this.messageParameter.put("type", type);
/* 170 */     this.messagexml = 
/* 171 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 173 */       this.sender = new MessageSender(
/* 174 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 175 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 176 */       this.replyxml = this.sender
/* 177 */         .sendMessage(this.messagexml, "xml");
/* 178 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 179 */     } catch (JMSException e) {
/* 180 */       e.printStackTrace();
/*     */     }
/* 182 */     catch (Exception e) {
/* 183 */       e.printStackTrace();
/*     */     } 
/* 185 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId) {
/* 194 */     this.messageParameter.put("applyId", applyId);
/* 195 */     this.messageParameter.put("currentId", currentId);
/* 196 */     this.messagexml = 
/* 197 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 199 */       this.sender = new MessageSender(
/* 200 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 201 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 202 */       this.replyxml = this.sender
/* 203 */         .sendMessage(this.messagexml, "short");
/* 204 */     } catch (JMSException e) {
/* 205 */       e.printStackTrace();
/*     */       
/* 207 */       return null;
/* 208 */     } catch (Exception e) {
/* 209 */       e.printStackTrace();
/* 210 */       return null;
/*     */     } 
/* 212 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getManagerOrgnization(String groupId, String flag, String districtCode) {
/* 222 */     this.messageParameter.put("groupId", groupId);
/* 223 */     this.messageParameter.put("flag", flag);
/* 224 */     this.messageParameter.put("districtCode", districtCode);
/* 225 */     this.messagexml = 
/* 226 */       MessageXML.MessageToXML(this.operation, "getManagerOrgnization", this.messageParameter);
/*     */     try {
/* 228 */       this.sender = new MessageSender(
/* 229 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 230 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 231 */       this.replyxml = this.sender
/* 232 */         .sendMessage(this.messagexml, "xml");
/* 233 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 234 */     } catch (JMSException e) {
/* 235 */       e.printStackTrace();
/*     */     }
/* 237 */     catch (Exception e) {
/* 238 */       e.printStackTrace();
/*     */     } 
/* 240 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String notAccept(String applyId, String currentId, String advice) {
/* 249 */     this.messageParameter.put("applyId", applyId);
/* 250 */     this.messageParameter.put("currentId", currentId);
/* 251 */     this.messageParameter.put("advice", advice);
/* 252 */     this.messagexml = 
/* 253 */       MessageXML.MessageToXML(this.operation, "notAccept", this.messageParameter);
/*     */     try {
/* 255 */       this.sender = new MessageSender(
/* 256 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 257 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 258 */       this.replyxml = this.sender
/* 259 */         .sendMessage(this.messagexml, "short");
/* 260 */     } catch (JMSException e) {
/* 261 */       e.printStackTrace();
/*     */     }
/* 263 */     catch (Exception e) {
/* 264 */       e.printStackTrace();
/*     */     } 
/* 266 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\fuhe\logout\LogOutOperationFuHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */