/*     */ package cs.sydj.operation.hezhun.cert;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertOperationHeZhun
/*     */ {
/*  34 */   String operation = "CertHeZhun";
/*  35 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  36 */   String messagexml = null;
/*  37 */   String replyxml = null;
/*  38 */   ArrayList result = new ArrayList();
/*  39 */   MessageSender sender = null;
/*     */   private String name;
/*     */   private String beginDate;
/*     */   private String endDate;
/*     */   private String type;
/*     */   private String applyId;
/*     */   private String id;
/*     */   private String groupId;
/*     */   
/*     */   public CertOperationHeZhun() {}
/*     */   
/*     */   public CertOperationHeZhun(String name, String beginDate, String endDate, String type) {
/*  51 */     this.name = name;
/*  52 */     this.beginDate = beginDate;
/*  53 */     this.endDate = endDate;
/*  54 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertInfo(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  70 */     this.messageParameter.put("name", name);
/*  71 */     this.messageParameter.put("bnDate", bnDate);
/*  72 */     this.messageParameter.put("enDate", enDate);
/*  73 */     this.messageParameter.put("state", state);
/*  74 */     this.messageParameter.put("groupId", groupId);
/*  75 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  76 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  77 */     this.messagexml = 
/*  78 */       MessageXML.MessageToXML(this.operation, "getCertInfo", this.messageParameter);
/*     */     try {
/*  80 */       this.sender = new MessageSender(
/*  81 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  82 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  83 */       this.replyxml = this.sender
/*  84 */         .sendMessage(this.messagexml, "xml");
/*  85 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  86 */     } catch (JMSException e) {
/*  87 */       e.printStackTrace();
/*     */     }
/*  89 */     catch (Exception e) {
/*  90 */       e.printStackTrace();
/*     */     } 
/*  92 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertOperationHeZhun(String applyId, String id, String groupId) {
/* 100 */     this.applyId = applyId;
/* 101 */     this.id = id;
/* 102 */     this.groupId = groupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/* 116 */     this.messageParameter.put("applyId", applyId);
/* 117 */     this.messageParameter.put("currentId", currentId);
/* 118 */     this.messageParameter.put("groupId", groupId);
/* 119 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 120 */     this.messagexml = 
/* 121 */       MessageXML.MessageToXML(this.operation, "getCertFileInfo", this.messageParameter);
/*     */     try {
/* 123 */       this.sender = new MessageSender(
/* 124 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 125 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 126 */       this.replyxml = this.sender
/* 127 */         .sendMessage(this.messagexml, "xml");
/* 128 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 129 */     } catch (JMSException e) {
/* 130 */       e.printStackTrace();
/*     */     }
/* 132 */     catch (Exception e) {
/* 133 */       e.printStackTrace();
/*     */     } 
/* 135 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 149 */     this.messageParameter.put("applyId", applyId);
/* 150 */     this.messageParameter.put("currentId", currentId);
/* 151 */     this.messageParameter.put("groupId", groupId);
/* 152 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 153 */     this.messageParameter.put("id", id);
/* 154 */     this.messagexml = 
/* 155 */       MessageXML.MessageToXML(this.operation, "getCertHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 157 */       this.sender = new MessageSender(
/* 158 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 159 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 160 */       this.replyxml = this.sender
/* 161 */         .sendMessage(this.messagexml, "xml");
/* 162 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 163 */     } catch (JMSException e) {
/* 164 */       e.printStackTrace();
/*     */     }
/* 166 */     catch (Exception e) {
/* 167 */       e.printStackTrace();
/*     */     } 
/* 169 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertHistoryInfo(UnitInfoModel logout) {
/* 179 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 180 */     this.messageParameter.put("currentId", logout.getId());
/* 181 */     this.messagexml = 
/* 182 */       MessageXML.MessageToXML(this.operation, "getCertHistoryInfo", this.messageParameter);
/*     */     try {
/* 184 */       this.sender = new MessageSender(
/* 185 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 186 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 187 */       this.replyxml = this.sender
/* 188 */         .sendMessage(this.messagexml, "xml");
/* 189 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 190 */     } catch (JMSException e) {
/* 191 */       e.printStackTrace();
/*     */     }
/* 193 */     catch (Exception e) {
/* 194 */       e.printStackTrace();
/*     */     } 
/* 196 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 203 */     this.messageParameter.put("applyId", file.getApplyId());
/* 204 */     this.messageParameter.put("currentId", file.getId());
/* 205 */     this.messageParameter.put("groupId", file.getGroupId());
/* 206 */     this.messageParameter.put("type", "0");
/* 207 */     this.messageParameter.put("districtCode", 
/* 208 */         GljgUserInfo.getInstance().getDistrictcode());
/* 209 */     this.messagexml = 
/* 210 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 212 */       this.sender = new MessageSender(
/* 213 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 214 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 215 */       this.replyxml = this.sender
/* 216 */         .sendMessage(this.messagexml, "xml");
/* 217 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 218 */     } catch (JMSException e) {
/* 219 */       e.printStackTrace();
/*     */     }
/* 221 */     catch (Exception e) {
/* 222 */       e.printStackTrace();
/*     */     } 
/* 224 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String setAdviceInfo(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate, String certCode, String distinctCode) {
/* 234 */     this.messageParameter.put("applyId", applyId);
/* 235 */     this.messageParameter.put("currentId", currentId);
/* 236 */     this.messageParameter.put("groupId", groupId);
/* 237 */     this.messageParameter.put("advice", advice);
/* 238 */     this.messageParameter.put("sign", sign);
/* 239 */     this.messageParameter.put("unitId", unitId);
/* 240 */     this.messageParameter.put("holdUnitId", holdUnitId);
/* 241 */     this.messageParameter.put("signDate", signDate);
/* 242 */     this.messageParameter.put("certCode", certCode);
/* 243 */     this.messageParameter.put("districtCode", distinctCode);
/* 244 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/* 245 */     this.messagexml = 
/* 246 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 248 */       this.sender = new MessageSender(
/* 249 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 250 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 251 */       this.replyxml = this.sender
/* 252 */         .sendMessage(this.messagexml, "short");
/* 253 */     } catch (JMSException e) {
/* 254 */       e.printStackTrace();
/* 255 */       return "";
/*     */     }
/* 257 */     catch (Exception e) {
/* 258 */       e.printStackTrace();
/* 259 */       return "";
/*     */     } 
/* 261 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getAnnex(FileModel annex) {
/* 269 */     this.messageParameter.put("applyId", this.applyId);
/* 270 */     this.messageParameter.put("id", this.id);
/* 271 */     this.messageParameter.put("goupId", this.groupId);
/* 272 */     this.messagexml = 
/* 273 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 275 */       this.sender = new MessageSender(
/* 276 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 277 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 278 */       this.replyxml = this.sender
/* 279 */         .sendMessage(this.messagexml, "short");
/* 280 */       if (this.replyxml.equals("false"))
/* 281 */         return false; 
/* 282 */     } catch (JMSException e) {
/* 283 */       e.printStackTrace();
/* 284 */       return false;
/*     */     }
/* 286 */     catch (Exception e) {
/* 287 */       e.printStackTrace();
/* 288 */       return false;
/*     */     } 
/* 290 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId) {
/* 299 */     this.messageParameter.put("applyId", applyId);
/* 300 */     this.messageParameter.put("currentId", currentId);
/* 301 */     this.messagexml = 
/* 302 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 304 */       this.sender = new MessageSender(
/* 305 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 306 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 307 */       this.replyxml = this.sender
/* 308 */         .sendMessage(this.messagexml, "short");
/* 309 */     } catch (JMSException e) {
/* 310 */       e.printStackTrace();
/*     */       
/* 312 */       return null;
/* 313 */     } catch (Exception e) {
/* 314 */       e.printStackTrace();
/* 315 */       return null;
/*     */     } 
/* 317 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModifyStr(String applyId, String currentId) {
/* 326 */     this.messageParameter.put("applyId", applyId);
/* 327 */     this.messageParameter.put("currentId", currentId);
/* 328 */     this.messagexml = 
/* 329 */       MessageXML.MessageToXML(this.operation, "backModifyStr", this.messageParameter);
/*     */     try {
/* 331 */       this.sender = new MessageSender(
/* 332 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 333 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 334 */       this.replyxml = this.sender
/* 335 */         .sendMessage(this.messagexml, "short");
/* 336 */     } catch (JMSException e) {
/* 337 */       e.printStackTrace();
/*     */       
/* 339 */       return "error";
/* 340 */     } catch (Exception e) {
/* 341 */       e.printStackTrace();
/* 342 */       return "error";
/*     */     } 
/* 344 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice) {
/* 353 */     this.messageParameter.put("applyId", applyId);
/* 354 */     this.messageParameter.put("currentId", currentId);
/* 355 */     this.messageParameter.put("advice", advice);
/* 356 */     this.messagexml = 
/* 357 */       MessageXML.MessageToXML(this.operation, "backModify", this.messageParameter);
/*     */     try {
/* 359 */       this.sender = new MessageSender(
/* 360 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 361 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 362 */       this.replyxml = this.sender
/* 363 */         .sendMessage(this.messagexml, "short");
/* 364 */     } catch (JMSException e) {
/* 365 */       e.printStackTrace();
/*     */       
/* 367 */       return null;
/* 368 */     } catch (Exception e) {
/* 369 */       e.printStackTrace();
/* 370 */       return null;
/*     */     } 
/* 372 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnexName(String groupId) {
/* 381 */     this.messageParameter.put("groupId", groupId);
/* 382 */     this.messagexml = 
/* 383 */       MessageXML.MessageToXML(this.operation, "getAnnexName", this.messageParameter);
/*     */     try {
/* 385 */       this.sender = new MessageSender(
/* 386 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 387 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 388 */       this.replyxml = this.sender
/* 389 */         .sendMessage(this.messagexml, "xml");
/* 390 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 391 */     } catch (JMSException e) {
/* 392 */       e.printStackTrace();
/*     */     }
/* 394 */     catch (Exception e) {
/* 395 */       e.printStackTrace();
/*     */     } 
/* 397 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getNewCertCode(String groupId, String districtCode, String unitId) {
/* 410 */     this.messageParameter.put("districtCode", districtCode);
/* 411 */     this.messageParameter.put("groupId", groupId);
/* 412 */     this.messageParameter.put("unitId", unitId);
/* 413 */     this.messagexml = 
/* 414 */       MessageXML.MessageToXML(this.operation, "getNewCertCode", this.messageParameter);
/*     */     try {
/* 416 */       this.sender = new MessageSender(
/* 417 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 418 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 419 */       this.replyxml = this.sender
/* 420 */         .sendMessage(this.messagexml, "short");
/* 421 */     } catch (JMSException e) {
/* 422 */       e.printStackTrace();
/*     */     }
/* 424 */     catch (Exception e) {
/* 425 */       e.printStackTrace();
/*     */     } 
/* 427 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getDqjgNewCertCode(String districtCode, String sydwJglb) {
/* 440 */     this.messageParameter.put("districtCode", districtCode);
/* 441 */     this.messageParameter.put("sydwJglb", sydwJglb);
/* 442 */     this.messagexml = 
/* 443 */       MessageXML.MessageToXML(this.operation, "getDqjgNewCertCode", this.messageParameter);
/*     */     try {
/* 445 */       this.sender = new MessageSender(
/* 446 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 447 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 448 */       this.replyxml = this.sender
/* 449 */         .sendMessage(this.messagexml, "short");
/* 450 */     } catch (JMSException e) {
/* 451 */       e.printStackTrace();
/*     */     }
/* 453 */     catch (Exception e) {
/* 454 */       e.printStackTrace();
/*     */     } 
/* 456 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getFzjgNewCertCode(String sydwId) {
/* 468 */     this.messageParameter.put("sydwId", sydwId);
/* 469 */     this.messagexml = 
/* 470 */       MessageXML.MessageToXML(this.operation, "getFzjgNewCertCode", this.messageParameter);
/*     */     try {
/* 472 */       this.sender = new MessageSender(
/* 473 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 474 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 475 */       this.replyxml = this.sender
/* 476 */         .sendMessage(this.messagexml, "short");
/* 477 */     } catch (JMSException e) {
/* 478 */       e.printStackTrace();
/*     */     }
/* 480 */     catch (Exception e) {
/* 481 */       e.printStackTrace();
/*     */     } 
/* 483 */     return this.replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\cert\CertOperationHeZhun.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */