/*     */ package cs.sydj.operation.hezhun.instauration;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HeZhunInstaurationDataManage
/*     */ {
/*  24 */   private MessageSender sender = null;
/*  25 */   String operation = "HeZhunInstauration";
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsHeZhunInstauration(String groupid, String applystate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  30 */     String methodname = "getConditionsHeZhunInstauration";
/*  31 */     String msgType = "xml";
/*  32 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  33 */     String replyxml = null;
/*  34 */     ArrayList result = new ArrayList();
/*  35 */     messageParameter.put("groupid", groupid);
/*  36 */     messageParameter.put("applystate", applystate);
/*  37 */     messageParameter.put("sydwname", sydwname);
/*  38 */     messageParameter.put("startdate", startdate);
/*  39 */     messageParameter.put("enddate", enddate);
/*  40 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  41 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  42 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  43 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  45 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsHeZhunReInstauration(String groupid, String applystate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  50 */     String methodname = "getConditionsHeZhunReInstauration";
/*  51 */     String msgType = "xml";
/*  52 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  53 */     String replyxml = null;
/*  54 */     ArrayList result = new ArrayList();
/*  55 */     messageParameter.put("groupid", groupid);
/*  56 */     messageParameter.put("applystate", applystate);
/*  57 */     messageParameter.put("sydwname", sydwname);
/*  58 */     messageParameter.put("startdate", startdate);
/*  59 */     messageParameter.put("enddate", enddate);
/*  60 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  61 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  62 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  63 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  65 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String isHeZhun(InstaurationShouLiInfo insinfo) {
/*  70 */     String methodname = "isHeZhun";
/*  71 */     String msgType = "short";
/*  72 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  73 */     String replyxml = null;
/*  74 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  75 */     messageParameter.put("realid", insinfo.getRealid());
/*  76 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  78 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String queryBackLeaderSuggest(InstaurationShouLiInfo insinfo) {
/*  83 */     String methodname = "queryBackLeaderSuggest";
/*  84 */     String msgType = "short";
/*  85 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  86 */     String replyxml = null;
/*  87 */     messageParameter.put("applyId", insinfo.getApplyid());
/*  88 */     messageParameter.put("currentId", insinfo.getRealid());
/*  89 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  91 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice) {
/*  96 */     String methodname = "backModify";
/*  97 */     String msgType = "short";
/*  98 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  99 */     String replyxml = null;
/* 100 */     messageParameter.put("applyId", applyId);
/* 101 */     messageParameter.put("currentId", currentId);
/* 102 */     messageParameter.put("advice", advice);
/* 103 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 105 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String insHeZhunOK(String applyId, String currentId) {
/* 110 */     String methodname = "insHeZhunOK";
/* 111 */     String msgType = "short";
/* 112 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 113 */     String replyxml = null;
/* 114 */     messageParameter.put("applyId", applyId);
/* 115 */     messageParameter.put("currentId", currentId);
/* 116 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 118 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String saveFrInsInfo(InstaurationFRInfo insinfo, ArrayList itemchange) {
/* 123 */     String methodname = "saveFrInsInfo";
/* 124 */     String msgType = "short";
/* 125 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 126 */     String replyxml = null;
/* 127 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 128 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 129 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 131 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String saveFddbrInsInfo(InstaurationFddbrInfo insinfo) {
/* 136 */     String methodname = "saveFddbrInsInfo";
/* 137 */     String msgType = "short";
/* 138 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 139 */     String replyxml = null;
/* 140 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 141 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 143 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 148 */     String replyxml = "";
/* 149 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 150 */         messageParameter);
/*     */     try {
/* 152 */       this.sender = new MessageSender(
/* 153 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 154 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 155 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 156 */     } catch (JMSException e) {
/* 157 */       e.printStackTrace();
/* 158 */     } catch (Exception e) {
/* 159 */       e.printStackTrace();
/*     */     } 
/* 161 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\instauration\HeZhunInstaurationDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */