/*     */ package cs.sydj.operation.hezhun.logout.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.hezhun.logout.LogOutDetailDialogHeZhun;
/*     */ import cs.sydj.operation.hezhun.logout.LogOutOperationHeZhun;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutDetailActionGroupHeZhun
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private LogOutDetailDialogHeZhun dialog;
/*     */   
/*     */   public LogOutDetailActionGroupHeZhun(LogOutDetailDialogHeZhun dialog) {
/*  38 */     this.dialog = dialog;
/*  39 */     this.barManager = dialog.getBarManager();
/*  40 */     this.applyId = dialog.getLogout().getApplyId();
/*  41 */     this.currentId = dialog.getLogout().getId();
/*  42 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  47 */       setId("cs.sydj.hezhun.logout.acceptpass");
/*  48 */       setText("核准通过");
/*  49 */       setToolTipText("核准通过");
/*     */ 
/*     */       
/*  52 */       setEnabled(StaticVariableClass.isWtAdvice);
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  57 */         LogOutOperationHeZhun logout = new LogOutOperationHeZhun();
/*  58 */         UnitInfoModel model = LogOutDetailActionGroupHeZhun.this.dialog.getLogout();
/*  59 */         String flag = logout.acceptPass(model.getApplyId(), 
/*  60 */             model.getId());
/*  61 */         if (flag == null) {
/*     */           return;
/*     */         }
/*  64 */         if ("true".equals(flag)) {
/*  65 */           SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/*  66 */           LogOutDetailActionGroupHeZhun.this.dialog.setReturnValue(0);
/*  67 */           LogOutDetailActionGroupHeZhun.this.dialog.getShell().dispose();
/*     */         } else {
/*  69 */           SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */         }
/*     */       
/*     */       }
/*  73 */       catch (Exception e) {
/*  74 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  82 */       setId("cs.sydj.hezhun.logout.backmodify");
/*  83 */       setText("退回修改");
/*  84 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  88 */       LogOutOperationHeZhun logout = new LogOutOperationHeZhun();
/*  89 */       String str = logout.backModifyStr(LogOutDetailActionGroupHeZhun.this.applyId, LogOutDetailActionGroupHeZhun.this.currentId);
/*  90 */       if (str == null)
/*     */         return; 
/*  92 */       ArrayList list = logout.getAnnexName(
/*  93 */           GljgUserInfo.getInstance().getGroupid());
/*  94 */       if (list == null)
/*     */         return; 
/*  96 */       BackModifyDialog back = new BackModifyDialog(LogOutDetailActionGroupHeZhun.this.shell, str, list, "", 
/*  97 */           "你单位提交的注销登记申请材料不全，请补充提交：", "你单位提交的注销登记申请材料不合格，请重新提交：", 
/*  98 */           "事业单位法人注销登记（备案）申请书", "", "");
/*  99 */       if (back.open() == 0) {
/* 100 */         String flag = logout.backModify(LogOutDetailActionGroupHeZhun.this.applyId, LogOutDetailActionGroupHeZhun.this.currentId, 
/* 101 */             back.getReason());
/* 102 */         if (flag != null) {
/* 103 */           if ("true".equals(flag)) {
/* 104 */             SydjMessageDialog.openInformation(null, "提示", "操作成功！");
/* 105 */             LogOutDetailActionGroupHeZhun.this.dialog.setReturnValue(0);
/* 106 */             if (!LogOutDetailActionGroupHeZhun.this.dialog.getShell().isDisposed())
/* 107 */               LogOutDetailActionGroupHeZhun.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 109 */             SydjMessageDialog.openInformation(null, "提示", "操作失败！");
/*     */           } 
/*     */         }
/* 112 */         LogOutDetailActionGroupHeZhun.this.dialog.setReturnValue(0);
/* 113 */         if (!LogOutDetailActionGroupHeZhun.this.dialog.getShell().isDisposed())
/* 114 */           LogOutDetailActionGroupHeZhun.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 120 */     this.barManager.removeAll();
/* 121 */     if (this.isVisible) {
/* 122 */       Action acceptPass = new AcceptPassAction();
/* 123 */       Action backModify = new BackModifyAction();
/* 124 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 125 */       this.barManager.add(createContributionItem((IAction)backModify));
/*     */     } 
/* 127 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 131 */     ActionContributionItem act = new ActionContributionItem(action);
/* 132 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 133 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 139 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\hezhun\logout\actions\LogOutDetailActionGroupHeZhun.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */