/*     */ package cs.sydj.operation.login;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.io.BufferedInputStream;
/*     */ import java.io.BufferedOutputStream;
/*     */ import java.io.File;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.IOException;
/*     */ import java.io.InputStream;
/*     */ import java.util.jar.JarEntry;
/*     */ import java.util.jar.JarFile;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.events.TraverseEvent;
/*     */ import org.eclipse.swt.events.TraverseListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.wb.swt.SWTResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LoginDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text usernameText;
/*     */   private Text passwordText;
/*     */   private Button button_1;
/*     */   private int loginType;
/*     */   
/*     */   public LoginDialog(Shell parentShell, int loginType) {
/*  58 */     super(parentShell);
/*  59 */     this.loginType = loginType;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  68 */     Composite container = (Composite)super.createDialogArea(parent);
/*  69 */     container.setForeground(SWTResourceManager.getColor(1));
/*     */     
/*  71 */     container.setBackgroundImage(CacheImage.getINSTANCE()
/*  72 */         .getImage("cs.sydj", "icons/login_header_new.png"));
/*  73 */     container.setLayout(null);
/*  74 */     this.usernameText = new Text(container, 2048);
/*  75 */     this.usernameText.setBounds(402, 421, 162, 23);
/*  76 */     this.passwordText = new Text(container, 2048);
/*  77 */     this.passwordText.setBounds(402, 463, 162, 23);
/*  78 */     this.passwordText.setEchoChar('*');
/*     */     
/*  80 */     this.button_1 = new Button(container, 32);
/*  81 */     this.button_1.setBounds(566, 463, 70, 23);
/*  82 */     this.button_1.setSelection(true);
/*  83 */     this.button_1.setText("记住密码");
/*     */ 
/*     */     
/*  86 */     this.passwordText.addTraverseListener(new TraverseListener() {
/*     */           public void keyTraversed(TraverseEvent e) {
/*  88 */             if (e.keyCode == 13) {
/*  89 */               LoginDialog.this.okPressed();
/*     */             }
/*     */           }
/*     */         });
/*     */     
/*  94 */     Button btnNewButton = new Button(container, 0);
/*  95 */     btnNewButton.setFont(SWTResourceManager.getFont("微软雅黑", 10, 0));
/*  96 */     btnNewButton.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/*  99 */             LoginDialog.this.okPressed();
/*     */           }
/*     */         });
/* 102 */     btnNewButton.setBounds(357, 518, 80, 27);
/* 103 */     btnNewButton.setText("登录");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 118 */     Button btnNewButton_1 = new Button(container, 0);
/* 119 */     btnNewButton_1.setFont(SWTResourceManager.getFont("微软雅黑", 10, 0));
/* 120 */     btnNewButton_1.setForeground(SWTResourceManager.getColor(1));
/* 121 */     btnNewButton_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 124 */             LoginDialog.this.getShell().close();
/*     */           }
/*     */         });
/* 127 */     btnNewButton_1.setBounds(443, 518, 80, 27);
/* 128 */     btnNewButton_1.setText("退出");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/* 134 */       readUserInfo();
/* 135 */     } catch (Exception e) {
/* 136 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 139 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 148 */     parent.dispose();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/* 155 */     String username = this.usernameText.getText().trim();
/* 156 */     String password = this.passwordText.getText().trim();
/*     */     
/* 158 */     if (username == null || username.trim().length() == 0) {
/* 159 */       MessageBox mb = new MessageBox(getShell(), 33);
/* 160 */       mb.setText("提示");
/* 161 */       mb.setMessage("用户名不能为空！");
/* 162 */       mb.open();
/* 163 */       this.usernameText.setFocus();
/*     */       return;
/*     */     } 
/* 166 */     if (password == null || password.trim().length() == 0) {
/* 167 */       MessageBox mb = new MessageBox(getShell(), 33);
/* 168 */       mb.setText("提示");
/* 169 */       mb.setMessage("密码不能为空！");
/* 170 */       mb.open();
/* 171 */       this.passwordText.setFocus();
/*     */       return;
/*     */     } 
/* 174 */     GljgUserInfo.getInstance().setUsername(username);
/* 175 */     GljgUserInfo.getInstance().setPassword(password);
/* 176 */     if (this.button_1.getSelection()) {
/* 177 */       GljgUserInfo.getInstance().setRememberpwd("true");
/*     */     } else {
/* 179 */       GljgUserInfo.getInstance().setRememberpwd("false");
/* 180 */     }  super.okPressed();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void uKeyPressed() {
/* 185 */     GljgUserInfo.getInstance().setLoginType("uKey");
/* 186 */     GljgUserInfo.getInstance().setUKey("171114AA49852");
/*     */     
/* 188 */     super.okPressed();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 193 */     super.configureShell(newShell);
/* 194 */     if (this.loginType == 1) {
/* 195 */       newShell.setText("用户身份验证");
/*     */     } else {
/* 197 */       newShell.setText("离线用户验证");
/*     */     } 
/* 199 */     newShell.setImage(CacheImage.getINSTANCE()
/* 200 */         .getImage("cs.sydj", null));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 208 */     return new Point(757, 679);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void readUserInfo() throws Exception {
/* 219 */     File file = new File(PublicUtil.getRealPath("outlineDB/username.txt"));
/* 220 */     if (!file.exists()) {
/*     */       return;
/*     */     }
/*     */     
/* 224 */     Decryption decryption = new Decryption(PublicUtil.getRealPath("outlineDB/username.txt"));
/* 225 */     this.usernameText.setText(decryption.run());
/*     */     
/* 227 */     decryption = new Decryption(PublicUtil.getRealPath("outlineDB/password.txt"));
/* 228 */     this.passwordText.setText(decryption.run());
/*     */ 
/*     */     
/*     */     try {
/* 232 */       delAllFile("C:/Blob_MSG");
/* 233 */     } catch (Exception ex) {
/* 234 */       ex.printStackTrace();
/*     */     } 
/*     */ 
/*     */     
/*     */     try {
/* 239 */       File checkfile = new File(
/* 240 */           PublicUtil.getRealPath("Template/xls/shenhedan.xls"));
/*     */       
/* 242 */       JarFile jarFile = new JarFile(
/* 243 */           PublicUtil.getRealPath("plugins/cs.sydj_3.4.3.jar"));
/* 244 */       if (!checkfile.exists()) {
/* 245 */         File doc1 = new File(
/* 246 */             PublicUtil.getRealPath("Template/xls/shenhedan.xls"));
/* 247 */         JarEntry entry = jarFile.getJarEntry("temp/shenhedan.xls");
/* 248 */         InputStream input = jarFile.getInputStream(entry);
/* 249 */         copyFile(input, doc1);
/*     */       } 
/* 251 */       jarFile.close();
/*     */     }
/* 253 */     catch (Exception ex) {
/* 254 */       ex.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void copyFile(InputStream sourceFile, File targetFile) throws IOException {
/* 261 */     BufferedInputStream inBuff = null;
/* 262 */     BufferedOutputStream outBuff = null;
/*     */     
/*     */     try {
/* 265 */       inBuff = new BufferedInputStream(sourceFile);
/*     */ 
/*     */       
/* 268 */       outBuff = new BufferedOutputStream(new FileOutputStream(targetFile));
/*     */ 
/*     */       
/* 271 */       byte[] b = new byte[5120];
/*     */       int len;
/* 273 */       while ((len = inBuff.read(b)) != -1) {
/* 274 */         outBuff.write(b, 0, len);
/*     */       }
/*     */       
/* 277 */       outBuff.flush();
/*     */     } finally {
/*     */       
/* 280 */       if (inBuff != null)
/* 281 */         inBuff.close(); 
/* 282 */       if (outBuff != null) {
/* 283 */         outBuff.close();
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void delFolder(String folderPath) {
/*     */     try {
/* 295 */       delAllFile(folderPath);
/* 296 */       String filePath = folderPath;
/* 297 */       filePath = filePath.toString();
/* 298 */       File myFilePath = new File(filePath);
/* 299 */       myFilePath.delete();
/*     */     }
/* 301 */     catch (Exception e) {
/* 302 */       System.out.println("删除文件夹操作出错");
/* 303 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void delAllFile(String path) {
/* 312 */     File file = new File(path);
/* 313 */     if (!file.exists()) {
/*     */       return;
/*     */     }
/* 316 */     if (!file.isDirectory()) {
/*     */       return;
/*     */     }
/* 319 */     String[] tempList = file.list();
/* 320 */     File temp = null;
/* 321 */     for (int i = 0; i < tempList.length; i++) {
/* 322 */       if (path.endsWith(File.separator)) {
/* 323 */         temp = new File(String.valueOf(path) + tempList[i]);
/*     */       } else {
/* 325 */         temp = new File(String.valueOf(path) + File.separator + tempList[i]);
/*     */       } 
/* 327 */       if (temp.isFile()) {
/* 328 */         temp.delete();
/* 329 */       } else if (temp.isDirectory()) {
/* 330 */         delAllFile(String.valueOf(path) + File.separator + tempList[i]);
/* 331 */         delFolder(String.valueOf(path) + File.separator + tempList[i]);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\login\LoginDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */