/*     */ package cs.sydj.operation.nbjc;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.nbjc.NbjcOpt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NbjcOptView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.nbjc.NbjcOptView";
/*     */   private Text text_1;
/*     */   private Button button_7;
/*     */   private Button button_6;
/*     */   Button button_4;
/*     */   private Label label_6;
/*     */   private Label label_7;
/*     */   private Label label_4;
/*     */   private Table table_1;
/*     */   private Text enddate_text;
/*     */   private Text startdate_text;
/*     */   private Combo combo_group;
/*     */   private Combo combo_type;
/*     */   private Combo combo_rate;
/*     */   private Label label_2;
/*     */   private Label label;
/*     */   private Label label_rate;
/*     */   private Label label_type;
/*     */   TableViewer tableViewer;
/*  79 */   protected ToolBarManager toolbarmanager = null;
/*  80 */   private ArrayList list = new ArrayList();
/*  81 */   private NbjcDataManage dataManage = new NbjcDataManage();
/*  82 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  83 */   private TableCursor cursor = null;
/*  84 */   private int selectColums = 10;
/*  85 */   int totalRows = 0;
/*  86 */   int maxCount = 15;
/*  87 */   int startNo = 1;
/*  88 */   int currentPage = 1;
/*  89 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*     */   TableLayout tableLayout;
/*     */   Composite composite;
/*     */   Composite composite_3;
/*  95 */   private Composite container = null;
/*     */   
/*     */   private String officeGroup;
/*     */   
/*     */   private String startDate;
/*     */   
/*     */   private String endDate;
/*     */   
/*     */   private String rate;
/*     */   
/*     */   private String officeType;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 108 */     this.container = new Composite(parent, 0);
/* 109 */     this.container.setBackground(Display.getCurrent().getSystemColor(1));
/* 110 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/* 112 */     ScrolledComposite scrolledComposite = new ScrolledComposite(this.container, 2816);
/* 113 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 114 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 115 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 116 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 118 */     this.composite = new Composite((Composite)scrolledComposite, 0);
/* 119 */     this.composite.setBackground(Display.getCurrent().getSystemColor(1));
/* 120 */     this.composite.setLayout((Layout)new FormLayout());
/* 121 */     this.composite.setSize(800, 600);
/*     */     
/* 123 */     this.composite_3 = new Composite(this.composite, 0);
/*     */     
/* 125 */     FormData fd_composite_3 = new FormData();
/* 126 */     fd_composite_3.bottom = new FormAttachment(0, 538);
/* 127 */     fd_composite_3.top = new FormAttachment(0, 195);
/* 128 */     this.composite_3.setLayoutData(fd_composite_3);
/* 129 */     this.composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 130 */     this.composite_3.setLayout((Layout)new FillLayout());
/*     */ 
/*     */     
/* 133 */     this.label_6 = new Label(this.composite, 258);
/* 134 */     fd_composite_3.right = new FormAttachment((Control)this.label_6, 0, 131072);
/* 135 */     fd_composite_3.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 136 */     FormData fd_label_6 = new FormData();
/* 137 */     fd_label_6.right = new FormAttachment(100, -35);
/* 138 */     fd_label_6.top = new FormAttachment(0, 41);
/* 139 */     fd_label_6.left = new FormAttachment(0, 35);
/* 140 */     this.label_6.setLayoutData(fd_label_6);
/*     */     
/* 142 */     Label label_9 = new Label(this.composite, 0);
/* 143 */     label_9.setBackground(Display.getCurrent().getSystemColor(1));
/* 144 */     FormData fd_label_9 = new FormData();
/* 145 */     fd_label_9.right = new FormAttachment(0, 280);
/* 146 */     fd_label_9.top = new FormAttachment(0, 25);
/* 147 */     fd_label_9.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 148 */     label_9.setLayoutData(fd_label_9);
/* 149 */     label_9.setText("内部检查>>检查操作");
/*     */     
/* 151 */     if (PublicUtil.checkSpecGroup("3482")) {
/* 152 */       Label label_1 = new Label(this.composite, 0);
/* 153 */       label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 154 */       FormData fd_label_1 = new FormData();
/* 155 */       fd_label_1.top = new FormAttachment(0, 56);
/* 156 */       fd_label_1.right = new FormAttachment(0, 105);
/* 157 */       fd_label_1.left = new FormAttachment(0, 7);
/* 158 */       label_1.setLayoutData(fd_label_1);
/* 159 */       label_1.setAlignment(131072);
/* 160 */       label_1.setText("选择处室：");
/*     */       
/* 162 */       this.combo_group = new Combo(this.composite, 8);
/* 163 */       FormData fd_text_3 = new FormData();
/* 164 */       fd_text_3.right = new FormAttachment(0, 320);
/* 165 */       fd_text_3.bottom = new FormAttachment(0, 68);
/* 166 */       fd_text_3.top = new FormAttachment(0, 52);
/* 167 */       fd_text_3.left = new FormAttachment(0, 120);
/* 168 */       this.combo_group.setLayoutData(fd_text_3);
/*     */       
/* 170 */       this.combo_group.add("一处");
/* 171 */       this.combo_group.add("三处");
/* 172 */       this.combo_group.add("四处");
/* 173 */       this.combo_group.add("五处");
/* 174 */       this.combo_group.setData("一处", "3515");
/* 175 */       this.combo_group.setData("三处", "3483");
/* 176 */       this.combo_group.setData("四处", "4772");
/* 177 */       this.combo_group.setData("五处", "238380");
/* 178 */       this.combo_group.select(0);
/*     */     } 
/*     */     
/* 181 */     this.label_type = new Label(this.composite, 0);
/* 182 */     this.label_type.setBackground(Display.getCurrent().getSystemColor(1));
/* 183 */     FormData fd_label_type = new FormData();
/* 184 */     fd_label_type.top = new FormAttachment(0, 85);
/* 185 */     fd_label_type.right = new FormAttachment(0, 105);
/* 186 */     fd_label_type.left = new FormAttachment(0, 45);
/* 187 */     this.label_type.setLayoutData(fd_label_type);
/* 188 */     this.label_type.setAlignment(131072);
/* 189 */     this.label_type.setText("业务类型：");
/*     */     
/* 191 */     this.combo_type = new Combo(this.composite, 8);
/* 192 */     FormData fd_type = new FormData();
/* 193 */     fd_type.right = new FormAttachment(0, 320);
/* 194 */     fd_type.bottom = new FormAttachment(0, 96);
/* 195 */     fd_type.top = new FormAttachment(0, 80);
/* 196 */     fd_type.left = new FormAttachment(0, 120);
/* 197 */     this.combo_type.setLayoutData(fd_type);
/*     */     
/* 199 */     this.combo_type.add("设立登记");
/* 200 */     this.combo_type.add("变更登记");
/* 201 */     this.combo_type.add("注销登记");
/* 202 */     this.combo_type.add("证书补换领");
/* 203 */     this.combo_type.add("重新申领");
/* 204 */     this.combo_type.add("年度报告");
/* 205 */     this.combo_type.add("机关群团赋码");
/* 206 */     this.combo_type.add("事业单位分支机构");
/* 207 */     this.combo_type.add("监督管理");
/* 208 */     this.combo_type.setData("设立登记", "0");
/* 209 */     this.combo_type.setData("变更登记", "1");
/* 210 */     this.combo_type.setData("年度报告", "2");
/* 211 */     this.combo_type.setData("注销登记", "3");
/* 212 */     this.combo_type.setData("证书补换领", "4");
/* 213 */     this.combo_type.setData("重新申领", "5");
/* 214 */     this.combo_type.setData("机关群团赋码", "6");
/* 215 */     this.combo_type.setData("事业单位分支机构", "7");
/* 216 */     this.combo_type.setData("监督管理", "8");
/* 217 */     this.combo_type.select(0);
/*     */     
/* 219 */     this.label_rate = new Label(this.composite, 0);
/* 220 */     this.label_rate.setBackground(Display.getCurrent().getSystemColor(1));
/* 221 */     FormData fd_label_rate = new FormData();
/* 222 */     fd_label_rate.top = new FormAttachment(0, 85);
/* 223 */     fd_label_rate.right = new FormAttachment(0, 405);
/* 224 */     fd_label_rate.left = new FormAttachment(0, 345);
/* 225 */     this.label_rate.setLayoutData(fd_label_rate);
/* 226 */     this.label_rate.setAlignment(131072);
/* 227 */     this.label_rate.setText("抽取比例：");
/*     */     
/* 229 */     this.combo_rate = new Combo(this.composite, 8);
/* 230 */     FormData fd_rate_3 = new FormData();
/* 231 */     fd_rate_3.right = new FormAttachment(0, 620);
/* 232 */     fd_rate_3.bottom = new FormAttachment(0, 96);
/* 233 */     fd_rate_3.top = new FormAttachment(0, 80);
/* 234 */     fd_rate_3.left = new FormAttachment(0, 420);
/* 235 */     this.combo_rate.setLayoutData(fd_rate_3);
/*     */     
/* 237 */     this.combo_rate.add("1%");
/* 238 */     this.combo_rate.add("2%");
/* 239 */     this.combo_rate.add("3%");
/* 240 */     this.combo_rate.add("4%");
/* 241 */     this.combo_rate.add("5%");
/* 242 */     this.combo_rate.add("6%");
/* 243 */     this.combo_rate.add("7%");
/* 244 */     this.combo_rate.add("8%");
/* 245 */     this.combo_rate.add("9%");
/* 246 */     this.combo_rate.add("10%");
/* 247 */     this.combo_rate.add("100%");
/* 248 */     this.combo_rate.setData("1%", "0.01");
/* 249 */     this.combo_rate.setData("2%", "0.02");
/* 250 */     this.combo_rate.setData("3%", "0.03");
/* 251 */     this.combo_rate.setData("4%", "0.04");
/* 252 */     this.combo_rate.setData("5%", "0.05");
/* 253 */     this.combo_rate.setData("6%", "0.06");
/* 254 */     this.combo_rate.setData("7%", "0.07");
/* 255 */     this.combo_rate.setData("8%", "0.08");
/* 256 */     this.combo_rate.setData("9%", "0.09");
/* 257 */     this.combo_rate.setData("10%", "0.1");
/* 258 */     this.combo_rate.setData("100%", "1");
/* 259 */     this.combo_rate.select(4);
/*     */     
/* 261 */     this.label = new Label(this.composite, 0);
/* 262 */     this.label.setBackground(Display.getCurrent().getSystemColor(1));
/* 263 */     FormData fd_label = new FormData();
/* 264 */     fd_label.top = new FormAttachment(0, 110);
/* 265 */     fd_label.right = new FormAttachment(0, 105);
/* 266 */     fd_label.left = new FormAttachment(0, 45);
/* 267 */     fd_label.bottom = new FormAttachment(0, 126);
/* 268 */     this.label.setLayoutData(fd_label);
/* 269 */     this.label.setAlignment(131072);
/* 270 */     this.label.setText("起始日期：");
/*     */     
/* 272 */     this.startdate_text = new Text(this.composite, 2048);
/* 273 */     this.startdate_text.setBackground(Display.getCurrent().getSystemColor(1));
/* 274 */     this.startdate_text.setEditable(false);
/* 275 */     FormData fd_text_4 = new FormData();
/* 276 */     fd_text_4.bottom = new FormAttachment(0, 129);
/* 277 */     fd_text_4.top = new FormAttachment(0, 110);
/* 278 */     fd_text_4.left = new FormAttachment(0, 120);
/* 279 */     fd_text_4.right = new FormAttachment(0, 225);
/* 280 */     this.startdate_text.setLayoutData(fd_text_4);
/* 281 */     this.startdate_text.setText(PublicUtil.getDateByMonth(PublicUtil.getNowDate(), -6));
/*     */ 
/*     */     
/* 284 */     Button button_data = new Button(this.composite, 0);
/* 285 */     FormData fd_button_data = new FormData();
/* 286 */     fd_button_data.bottom = new FormAttachment(0, 129);
/* 287 */     fd_button_data.top = new FormAttachment(0, 110);
/* 288 */     fd_button_data.right = new FormAttachment(0, 254);
/* 289 */     fd_button_data.left = new FormAttachment(0, 229);
/* 290 */     button_data.setLayoutData(fd_button_data);
/* 291 */     button_data.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 294 */             CalendarDialog cal = new CalendarDialog(NbjcOptView.this.container.getShell(), NbjcOptView.this.startdate_text, 
/* 295 */                 new Point(
/* 296 */                   (NbjcOptView.this.container.getShell().getLocation()).x + 
/* 297 */                   (int)(
/* 298 */                   (NbjcOptView.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/* 299 */                   (NbjcOptView.this.composite.getLocation()).x + 
/* 300 */                   (NbjcOptView.this.composite.getLocation()).x + 
/* 301 */                   (NbjcOptView.this.startdate_text.getBounds()).x, 
/* 302 */                   (NbjcOptView.this.container.getShell().getLocation()).y + 
/* 303 */                   172 + 
/* 304 */                   (NbjcOptView.this.composite.getLocation()).y + 
/* 305 */                   (NbjcOptView.this.composite.getLocation()).y - 64 + 
/* 306 */                   (NbjcOptView.this.startdate_text.getBounds()).y + 
/* 307 */                   (NbjcOptView.this.startdate_text.getBounds()).height));
/* 308 */             cal.open();
/*     */           }
/*     */         });
/* 311 */     button_data.setText(" ▪▪▪");
/* 312 */     button_data.setBounds(243, 85, 44, 23);
/*     */     
/* 314 */     Button button_5 = new Button(this.composite, 0);
/* 315 */     FormData fd_button_5 = new FormData();
/* 316 */     fd_button_5.bottom = new FormAttachment(0, 129);
/* 317 */     fd_button_5.top = new FormAttachment(0, 110);
/* 318 */     fd_button_5.left = new FormAttachment(0, 255);
/* 319 */     fd_button_5.right = new FormAttachment(0, 275);
/* 320 */     button_5.setLayoutData(fd_button_5);
/* 321 */     button_5.setText("×");
/* 322 */     button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 324 */             NbjcOptView.this.startdate_text.setText("");
/*     */           }
/*     */         });
/*     */     
/* 328 */     this.label_2 = new Label(this.composite, 0);
/* 329 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 330 */     FormData fd_label_2 = new FormData();
/* 331 */     fd_label_2.top = new FormAttachment(0, 110);
/* 332 */     fd_label_2.right = new FormAttachment(0, 405);
/* 333 */     fd_label_2.left = new FormAttachment(0, 345);
/* 334 */     this.label_2.setLayoutData(fd_label_2);
/* 335 */     this.label_2.setAlignment(131072);
/* 336 */     this.label_2.setText("截至日期：");
/*     */     
/* 338 */     this.enddate_text = new Text(this.composite, 2048);
/* 339 */     fd_label_2.bottom = new FormAttachment((Control)this.enddate_text, 0, 1024);
/* 340 */     this.enddate_text.setBackground(Display.getCurrent().getSystemColor(1));
/* 341 */     this.enddate_text.setEditable(false);
/* 342 */     FormData fd_text_5 = new FormData();
/* 343 */     fd_text_5.bottom = new FormAttachment(0, 129);
/* 344 */     fd_text_5.top = new FormAttachment(0, 110);
/* 345 */     fd_text_5.left = new FormAttachment(0, 420);
/* 346 */     fd_text_5.right = new FormAttachment(0, 525);
/* 347 */     this.enddate_text.setLayoutData(fd_text_5);
/* 348 */     this.enddate_text.setText(PublicUtil.getNowDate());
/*     */ 
/*     */     
/* 351 */     Button button_data1 = new Button(this.composite, 0);
/* 352 */     fd_text_5.right = new FormAttachment((Control)button_data1, 0, 16384);
/* 353 */     FormData fd_button_data1 = new FormData();
/* 354 */     fd_button_data1.bottom = new FormAttachment(0, 129);
/* 355 */     fd_button_data1.top = new FormAttachment(0, 110);
/* 356 */     fd_button_data1.right = new FormAttachment(0, 554);
/* 357 */     fd_button_data1.left = new FormAttachment(0, 529);
/* 358 */     button_data1.setLayoutData(fd_button_data1);
/* 359 */     button_data1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 362 */             CalendarDialog cal = new CalendarDialog(NbjcOptView.this.container.getShell(), NbjcOptView.this.enddate_text, 
/* 363 */                 new Point(
/* 364 */                   (NbjcOptView.this.container.getShell().getLocation()).x + 
/* 365 */                   (int)(
/* 366 */                   (NbjcOptView.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/* 367 */                   (NbjcOptView.this.composite.getLocation()).x + 
/* 368 */                   (NbjcOptView.this.composite.getLocation()).x + 
/* 369 */                   (NbjcOptView.this.enddate_text.getBounds()).x, 
/* 370 */                   (NbjcOptView.this.container.getShell().getLocation()).y + 
/* 371 */                   172 + 
/* 372 */                   (NbjcOptView.this.composite.getLocation()).y + 
/* 373 */                   (NbjcOptView.this.composite.getLocation()).y - 64 + 
/* 374 */                   (NbjcOptView.this.enddate_text.getBounds()).y + 
/* 375 */                   (NbjcOptView.this.enddate_text.getBounds()).height));
/* 376 */             cal.open();
/*     */           }
/*     */         });
/* 379 */     button_data1.setBounds(213, 111, 44, 23);
/* 380 */     button_data1.setText(" ▪▪▪");
/*     */ 
/*     */     
/* 383 */     Button button_5_1 = new Button(this.composite, 0);
/* 384 */     FormData fd_button_5_1 = new FormData();
/* 385 */     fd_button_5_1.bottom = new FormAttachment(0, 129);
/* 386 */     fd_button_5_1.top = new FormAttachment(0, 110);
/* 387 */     fd_button_5_1.right = new FormAttachment(0, 575);
/* 388 */     fd_button_5_1.left = new FormAttachment(0, 555);
/* 389 */     button_5_1.setLayoutData(fd_button_5_1);
/* 390 */     button_5_1.setText("×");
/* 391 */     button_5_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 393 */             NbjcOptView.this.enddate_text.setText("");
/*     */           }
/*     */         });
/*     */     
/* 397 */     Button button = new Button(this.composite, 0);
/* 398 */     FormData fd_button = new FormData();
/* 399 */     fd_button.bottom = new FormAttachment(0, 170);
/* 400 */     fd_button.top = new FormAttachment(0, 148);
/* 401 */     fd_button.right = new FormAttachment(0, 365);
/* 402 */     fd_button.left = new FormAttachment(0, 300);
/* 403 */     button.setLayoutData(fd_button);
/* 404 */     button.setText("抽 取");
/*     */     
/* 406 */     button.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/query.png"));
/* 407 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 409 */             NbjcOptView.this.saveNbjc();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 414 */     this.tableViewer = new TableViewer(this.composite_3, 68352);
/* 415 */     this.table_1 = this.tableViewer.getTable();
/* 416 */     this.table_1.setLinesVisible(true);
/* 417 */     this.table_1.setHeaderVisible(true);
/* 418 */     PublicUtil.setTableHeight(this.table_1);
/* 419 */     PublicUtil.setMouseHands(this.table_1, "0#5");
/*     */     
/* 421 */     this.tableLayout = new TableLayout();
/* 422 */     this.table_1.setLayout((Layout)this.tableLayout);
/*     */     
/* 424 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 425 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 16777216);
/* 426 */     newColumnTableColumn.setText("检查名称");
/*     */     
/* 428 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 429 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 16777216);
/* 430 */     newColumnTableColumn_1.setText("检查处室");
/*     */     
/* 432 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 433 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 16777216);
/* 434 */     newColumnTableColumn_2.setText("检查业务");
/*     */     
/* 436 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 437 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 16777216);
/* 438 */     newColumnTableColumn_3.setText("检查人");
/*     */     
/* 440 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 441 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 16777216);
/* 442 */     newColumnTableColumn_4.setText("检查时间");
/*     */     
/* 444 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 445 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 16777216);
/* 446 */     newColumnTableColumn_5.setText("操作");
/*     */     
/* 448 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 449 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new NbjcOptLableProvider());
/*     */ 
/*     */     
/* 452 */     Composite composite_fenye = new Composite(this.composite, 0);
/* 453 */     GridLayout gridLayout_1 = new GridLayout();
/* 454 */     gridLayout_1.numColumns = 2;
/* 455 */     composite_fenye.setLayout((Layout)gridLayout_1);
/* 456 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 457 */     FormData fd_composite_fenye = new FormData();
/* 458 */     fd_composite_fenye.right = new FormAttachment((Control)this.composite_3, 0, 131072);
/* 459 */     fd_composite_fenye.bottom = new FormAttachment(0, 580);
/* 460 */     fd_composite_fenye.top = new FormAttachment(0, 540);
/* 461 */     fd_composite_fenye.left = new FormAttachment((Control)this.label_6, 0, 16384);
/* 462 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 464 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 465 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 466 */     composite_1.setLayoutData(new GridData(16384, 4, false, false));
/* 467 */     GridLayout gridLayout = new GridLayout();
/* 468 */     gridLayout.marginTop = 3;
/* 469 */     gridLayout.verticalSpacing = 0;
/* 470 */     gridLayout.numColumns = 7;
/* 471 */     gridLayout.marginWidth = 0;
/* 472 */     gridLayout.marginHeight = 0;
/* 473 */     gridLayout.horizontalSpacing = 2;
/* 474 */     composite_1.setLayout((Layout)gridLayout);
/*     */     
/* 476 */     Label label_1_1 = new Label(composite_1, 0);
/* 477 */     label_1_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 478 */     label_1_1.setText("页次：");
/*     */     
/* 480 */     this.label_4 = new Label(composite_1, 131072);
/* 481 */     this.label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 482 */     GridData gd_label_2 = new GridData(4, 16777216, true, false);
/* 483 */     this.label_4.setLayoutData(gd_label_2);
/* 484 */     if (this.totalPages == 0) {
/* 485 */       this.label_4.setText("0/0");
/*     */     } else {
/* 487 */       this.label_4.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 490 */     Label label_3 = new Label(composite_1, 0);
/* 491 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 492 */     label_3.setText("页  每页");
/*     */     
/* 494 */     Label label_4_1 = new Label(composite_1, 0);
/* 495 */     label_4_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 496 */     GridData gd_label_4 = new GridData(4, 16777216, true, false);
/* 497 */     label_4_1.setLayoutData(gd_label_4);
/* 498 */     label_4_1.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 500 */     Label label_5 = new Label(composite_1, 0);
/* 501 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 502 */     label_5.setText("行  共");
/*     */     
/* 504 */     this.label_7 = new Label(composite_1, 0);
/* 505 */     this.label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 506 */     GridData gd_label_6 = new GridData(16384, 16777216, true, false);
/* 507 */     this.label_7.setLayoutData(gd_label_6);
/* 508 */     this.label_7.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 510 */     Label label_7_1 = new Label(composite_1, 0);
/* 511 */     label_7_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 512 */     label_7_1.setText("行");
/*     */     
/* 514 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 515 */     GridLayout gridLayout_2 = new GridLayout();
/* 516 */     gridLayout_2.numColumns = 6;
/* 517 */     composite_2.setLayout((Layout)gridLayout_2);
/* 518 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 519 */     composite_2.setLayoutData(new GridData(131072, 4, true, false));
/*     */     
/* 521 */     this.button_6 = new Button(composite_2, 0);
/* 522 */     this.button_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 523 */     this.button_6.setText("上一页");
/* 524 */     if (!this.hasPreviousPage) {
/* 525 */       this.button_6.setEnabled(false);
/*     */     }
/*     */     
/* 528 */     this.button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 530 */             NbjcOptView.this.list = NbjcOptView.this.dataManage
/* 531 */               .queryCheckApply(NbjcOptView.this.user.getGroupid(), (NbjcOptView.this.currentPage - 2) * NbjcOptView.this.maxCount + 1, NbjcOptView.this.maxCount);
/* 532 */             NbjcOptView.this.setFenYe(NbjcOptView.this.list, NbjcOptView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 536 */     this.button_7 = new Button(composite_2, 0);
/* 537 */     this.button_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 538 */     this.button_7.setText("下一页");
/* 539 */     if (!this.hasNextPage) {
/* 540 */       this.button_7.setEnabled(false);
/*     */     }
/* 542 */     this.button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 544 */             NbjcOptView.this.list = NbjcOptView.this.dataManage
/* 545 */               .queryCheckApply(NbjcOptView.this.user.getGroupid(), NbjcOptView.this.currentPage * NbjcOptView.this.maxCount + 1, NbjcOptView.this.maxCount);
/* 546 */             NbjcOptView.this.setFenYe(NbjcOptView.this.list, NbjcOptView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 550 */     Label label_10 = new Label(composite_2, 0);
/* 551 */     label_10.setBackground(Display.getCurrent().getSystemColor(1));
/* 552 */     label_10.setText("转至第");
/*     */     
/* 554 */     this.text_1 = new Text(composite_2, 2048);
/* 555 */     this.text_1.setLayoutData(new GridData(50, -1));
/* 556 */     this.text_1.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 558 */     Label label_11 = new Label(composite_2, 0);
/* 559 */     label_11.setBackground(Display.getCurrent().getSystemColor(1));
/* 560 */     label_11.setText("页");
/*     */     
/* 562 */     Button goButton = new Button(composite_2, 0);
/* 563 */     goButton.setBackground(Display.getCurrent().getSystemColor(1));
/* 564 */     goButton.setText("GO");
/*     */     
/* 566 */     this.list = this.dataManage.queryCheckApply(this.user.getGroupid(), this.currentPage, this.maxCount);
/* 567 */     setFenYe(this.list, this.currentPage);
/*     */     
/* 569 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 571 */             if (VerifyFunction.isNumeric(NbjcOptView.this.text_1.getText())) {
/* 572 */               int aa = Integer.parseInt(NbjcOptView.this.text_1.getText());
/* 573 */               if (aa > NbjcOptView.this.totalPages) {
/* 574 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 576 */                 NbjcOptView.this.list = NbjcOptView.this.dataManage
/* 577 */                   .queryCheckApply(NbjcOptView.this.user.getGroupid(), (aa - 1) * NbjcOptView.this.maxCount + 1, NbjcOptView.this.maxCount);
/* 578 */                 NbjcOptView.this.setFenYe(NbjcOptView.this.list, aa);
/*     */               } 
/*     */             } else {
/* 581 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 586 */     scrolledComposite.setContent((Control)this.composite);
/* 587 */     createActions();
/* 588 */     initializeToolBar();
/* 589 */     initializeMenu();
/*     */   }
/*     */   
/*     */   private void saveNbjc() {
/* 593 */     boolean flags = SydjMessageDialog.openConfirm(null, "提示", 
/* 594 */         "确定后该内部检查记录将被保存！\n\r请谨慎操作。 确认保存该内部检查记录吗？");
/* 595 */     if (flags) {
/* 596 */       boolean flagC = SydjMessageDialog.openConfirm(null, "提示", 
/* 597 */           "确认保存该内部检查记录吗？");
/* 598 */       if (flagC) {
/* 599 */         this.startDate = this.startdate_text.getText();
/* 600 */         this.endDate = this.enddate_text.getText();
/* 601 */         String str = this.combo_group.getText();
/* 602 */         this.officeGroup = (String)this.combo_group.getData(str);
/* 603 */         str = this.combo_rate.getText();
/* 604 */         this.rate = (String)this.combo_rate.getData(str);
/* 605 */         str = this.combo_type.getText();
/* 606 */         this.officeType = (String)this.combo_type.getData(str);
/* 607 */         String flag = this.dataManage.createCheckRecord(this.officeGroup, 
/* 608 */             GljgUserInfo.getInstance().getGLJGUser(), this.officeType, this.rate, this.startDate, this.endDate);
/* 609 */         if (flag.equals("true")) {
/* 610 */           SydjMessageDialog.openInformation(null, "提示", "内部检查抽取成功！");
/* 611 */           redraw();
/*     */         } else {
/* 613 */           SydjMessageDialog.openInformation(null, "提示", "内部检查抽取记录为空或抽取失败！");
/*     */           return;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openDetailDialog(NbjcOpt info) {
/*     */     try {
/* 626 */       NbjcSydwDialog dialog = new NbjcSydwDialog(
/* 627 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), info.getNbjcId());
/* 628 */       dialog.open();
/* 629 */     } catch (Exception e) {
/* 630 */       e.printStackTrace();
/* 631 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 639 */     if (this.cursor != null)
/* 640 */       this.cursor.dispose(); 
/* 641 */     this.cursor = new TableCursor(this.table_1, 0);
/* 642 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 643 */         .getSystemColor(26));
/* 644 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 645 */         .getSystemColor(27));
/* 646 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 648 */             int colums = NbjcOptView.this.cursor.getColumn();
/* 649 */             IStructuredSelection select = (IStructuredSelection)NbjcOptView.this.tableViewer
/* 650 */               .getSelection();
/* 651 */             NbjcOpt info = (NbjcOpt)select.getFirstElement();
/* 652 */             if (colums == 0) {
/* 653 */               NbjcOptView.this.openDetailDialog(info);
/*     */             }
/* 655 */             if (colums == 5) {
/* 656 */               NbjcOptView.this.delNbjcOpt(info);
/*     */             }
/* 658 */             NbjcOptView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 661 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 664 */             int colums = NbjcOptView.this.cursor.getColumn();
/* 665 */             if (colums == NbjcOptView.this.selectColums) {
/* 666 */               IStructuredSelection select = (IStructuredSelection)NbjcOptView.this.tableViewer
/* 667 */                 .getSelection();
/* 668 */               NbjcOpt info = (NbjcOpt)select.getFirstElement();
/* 669 */               if (colums == 0) {
/* 670 */                 NbjcOptView.this.openDetailDialog(info);
/*     */               }
/* 672 */               if (colums == 5) {
/* 673 */                 NbjcOptView.this.delNbjcOpt(info);
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 685 */     this.list = this.dataManage
/* 686 */       .queryCheckApply(GljgUserInfo.getInstance().getGroupid(), this.startNo, this.maxCount);
/* 687 */     this.tableViewer.setInput(this.list);
/* 688 */     setFontColor();
/* 689 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 696 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 697 */       this.table_1.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 698 */       this.table_1.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 699 */       this.table_1.getItem(i).setFont(5, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 700 */       this.table_1.getItem(i).setForeground(5, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<NbjcOpt> list, int nextcurrentPage) {
/* 705 */     this.totalRows = 0;
/* 706 */     if (list != null && list.size() > 0) {
/* 707 */       this.totalRows = ((NbjcOpt)list.get(0)).getTotalRows();
/*     */     }
/* 709 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 710 */     this.totalPages = pu.getTotalPages();
/* 711 */     this.currentPage = pu.getCurrentPage();
/* 712 */     this.hasNextPage = pu.isHasNextPage();
/* 713 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 714 */     this.startNo = pu.getStartNum();
/* 715 */     this.tableViewer.setInput(list);
/* 716 */     setFontColor();
/* 717 */     setCursor();
/* 718 */     if (this.totalPages == 0) {
/* 719 */       this.label_4.setText("0/0");
/*     */     } else {
/* 721 */       this.label_4.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 723 */     this.label_7.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 724 */     this.label_7.getParent().getParent().layout();
/* 725 */     this.button_6.setEnabled(this.hasPreviousPage);
/* 726 */     this.button_7.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 740 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 741 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 748 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 749 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void delNbjcOpt(NbjcOpt info) {
/* 762 */     boolean flags = SydjMessageDialog.openConfirm(null, "提示", 
/* 763 */         "确定后该内部检查信息将被删除！\n\r请谨慎操作。 确认删除内部检查信息吗？");
/* 764 */     if (flags) {
/* 765 */       String Flag = this.dataManage.delNbjcOpt(info);
/* 766 */       if ("true".equals(Flag)) {
/* 767 */         SydjMessageDialog.openInformation(null, "提示", 
/* 768 */             "删除成功！");
/* 769 */         redraw();
/*     */       } else {
/* 771 */         SydjMessageDialog.openInformation(null, "提示", 
/* 772 */             "删除失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\nbjc\NbjcOptView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */