/*     */ package cs.sydj.operation.noticeunit.cert;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.common.CommonSaveEXCELResultDialog;
/*     */ import cs.sydj.common.NoticeunitCustomizeDialog;
/*     */ import cs.sydj.common.NoticeunitCustomizeEditDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.fuhe.cert.CertDetailDialogFuHe;
/*     */ import cs.sydj.operation.fuhe.cert.CertOperationFuHe;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.noticeunit.instauration.InstaurationNoticeUnitOperation;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import cs.sydj.sys.CacheImage;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.ControlAdapter;
/*     */ import org.eclipse.swt.events.ControlEvent;
/*     */ import org.eclipse.swt.events.ControlListener;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.NoticeUnitTableViewerLabelProvider;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertNoticeUnit
/*     */   extends ViewPart
/*     */ {
/*     */   private Text text;
/*     */   private Button nextPage;
/*     */   private Button priorPage;
/*     */   private Composite composite_2;
/*     */   private Label allRows;
/*     */   private Label everyPageRows;
/*     */   private Label nowPage;
/*     */   private Label page;
/*     */   private Composite compage;
/*     */   private TableViewer tableViewer;
/*     */   private Table table_1;
/*     */   private Button search;
/*     */   private Text enText;
/*     */   private Text bnText;
/*     */   private Text nmText;
/*     */   private Label endDate;
/*     */   private Label beginDate;
/*     */   private Label name;
/*     */   private Composite group;
/*     */   private ArrayList cert;
/*     */   public static final String ID = "cs.sydj.operation.noticeunit.cert";
/*     */   private Button button_1;
/*     */   private Button button_3;
/*     */   private Button button_2;
/*     */   private Button button;
/*     */   private TableColumn newColumnTableColumn_4;
/*  91 */   private TableCursor cursor = null;
/*     */   private Composite composite_3;
/*  93 */   private CertNoticeUnitOperation oper = new CertNoticeUnitOperation();
/*  94 */   int totalRows = 0;
/*  95 */   int startNo = 1;
/*  96 */   int currentPage = 1;
/*  97 */   int totalPages = 0;
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/* 100 */   int maxCount = 15;
/* 101 */   protected int selectColums = 32;
/*     */   
/*     */   private Composite container;
/*     */   
/*     */   private Composite composite_1;
/*     */   
/*     */   private Button goButton;
/*     */   
/*     */   private CheckboxTableViewer ctv;
/*     */   private Button button_4;
/*     */   private Button button_5;
/*     */   private Button button_report;
/*     */   private String sydwname;
/*     */   private String startdate;
/*     */   private String enddate;
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 118 */     this.container = new Composite(parent, 0);
/* 119 */     this.container.setLayout((Layout)new FillLayout());
/* 120 */     this.container.setBackground(Display.getCurrent()
/* 121 */         .getSystemColor(1));
/* 122 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 123 */         this.container, 2816);
/* 124 */     scrolledComposite.setBackground(Display.getCurrent()
/* 125 */         .getSystemColor(1));
/* 126 */     scrolledComposite.setExpandHorizontal(true);
/* 127 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/* 128 */     this.composite_1.setLocation(0, 0);
/* 129 */     this.composite_1.setBackground(Display.getCurrent()
/* 130 */         .getSystemColor(1));
/* 131 */     GridLayout gridLayout_2 = new GridLayout();
/* 132 */     gridLayout_2.marginRight = 35;
/* 133 */     gridLayout_2.marginLeft = 35;
/* 134 */     gridLayout_2.marginTop = 25;
/* 135 */     this.composite_1.setLayout((Layout)gridLayout_2);
/* 136 */     this.group = new Composite(this.composite_1, 0);
/* 137 */     this.group.setBackground(
/* 138 */         Display.getCurrent().getSystemColor(1));
/* 139 */     GridLayout gridLayout = new GridLayout();
/* 140 */     gridLayout.marginWidth = 0;
/* 141 */     gridLayout.horizontalSpacing = 0;
/* 142 */     gridLayout.marginHeight = 0;
/* 143 */     gridLayout.numColumns = 4;
/* 144 */     this.group.setLayout((Layout)gridLayout);
/* 145 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 147 */     Label label_2 = new Label(this.group, 0);
/* 148 */     label_2.setBackground(Display.getCurrent()
/* 149 */         .getSystemColor(1));
/* 150 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 151 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/* 152 */           3, 1));
/* 153 */     label_2.setText("通知事业单位>>证书补领");
/* 154 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */ 
/*     */     
/* 157 */     Label label_3 = new Label(this.group, 258);
/* 158 */     label_3.setLayoutData(new GridData(4, 16777216, false, false, 
/* 159 */           4, 1));
/*     */     
/* 161 */     this.name = new Label(this.group, 0);
/* 162 */     this.name
/* 163 */       .setBackground(Display.getCurrent().getSystemColor(
/* 164 */           1));
/* 165 */     this.name.setAlignment(131072);
/* 166 */     GridData gd_name = new GridData(131072, 16777216, false, 
/* 167 */         false);
/* 168 */     gd_name.widthHint = 125;
/* 169 */     this.name.setLayoutData(gd_name);
/* 170 */     this.name.setText("请输入单位名称：");
/*     */     
/* 172 */     this.nmText = new Text(this.group, 2048);
/* 173 */     this.nmText.setBackground(Display.getCurrent()
/* 174 */         .getSystemColor(1));
/* 175 */     GridData gd_nmText = new GridData(16384, 16777216, true, 
/* 176 */         false, 3, 1);
/* 177 */     gd_nmText.widthHint = 266;
/* 178 */     this.nmText.setLayoutData(gd_nmText);
/*     */     
/* 180 */     this.beginDate = new Label(this.group, 0);
/* 181 */     this.beginDate.setBackground(Display.getCurrent()
/* 182 */         .getSystemColor(1));
/* 183 */     this.beginDate.setLayoutData(new GridData(131072, 16777216, false, 
/* 184 */           false));
/* 185 */     this.beginDate.setAlignment(131072);
/* 186 */     this.beginDate.setText("起始日期：");
/*     */     
/* 188 */     this.bnText = new Text(this.group, 2056);
/* 189 */     this.bnText.setBackground(Display.getCurrent()
/* 190 */         .getSystemColor(1));
/* 191 */     this.bnText.setLayoutData(new GridData(110, -1));
/*     */     
/* 193 */     this.button = new Button(this.group, 0);
/* 194 */     this.button.setBackground(Display.getCurrent()
/* 195 */         .getSystemColor(1));
/* 196 */     this.button.setText(" ▪▪▪");
/*     */     
/* 198 */     this.button_2 = new Button(this.group, 0);
/* 199 */     this.button_2.setBackground(Display.getCurrent()
/* 200 */         .getSystemColor(1));
/* 201 */     this.button_2.setText("×");
/*     */     
/* 203 */     this.endDate = new Label(this.group, 0);
/* 204 */     this.endDate.setBackground(Display.getCurrent()
/* 205 */         .getSystemColor(1));
/* 206 */     this.endDate
/* 207 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 208 */     this.endDate.setText("截至日期：");
/*     */     
/* 210 */     this.enText = new Text(this.group, 2056);
/* 211 */     this.enText.setBackground(Display.getCurrent()
/* 212 */         .getSystemColor(1));
/* 213 */     this.enText.setLayoutData(new GridData(110, -1));
/*     */     
/* 215 */     this.button_1 = new Button(this.group, 0);
/* 216 */     this.button_1.setBackground(Display.getCurrent()
/* 217 */         .getSystemColor(1));
/* 218 */     this.button_1.setText(" ▪▪▪");
/*     */     
/* 220 */     this.button_3 = new Button(this.group, 0);
/* 221 */     this.button_3.setBackground(Display.getCurrent()
/* 222 */         .getSystemColor(1));
/* 223 */     this.button_3.setText("×");
/*     */     
/* 225 */     this.search = new Button(this.group, 0);
/* 226 */     this.search.setBackground(Display.getCurrent()
/* 227 */         .getSystemColor(1));
/* 228 */     this.search
/* 229 */       .setLayoutData(new GridData(131072, 16777216, false, 
/* 230 */           false));
/* 231 */     this.search.setText("查 询");
/*     */ 
/*     */ 
/*     */     
/* 235 */     this.search.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/query.png"));
/*     */ 
/*     */     
/* 238 */     this.button_report = new Button(this.group, 0);
/* 239 */     this.button_report.setLayoutData(new GridData(131072, 16777216, false, false));
/* 240 */     this.button_report.setText("另存为Excel");
/* 241 */     this.button_report.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/office_excel.png"));
/* 242 */     this.button_report.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 244 */             CertNoticeUnit.this.cert = CertNoticeUnit.this.oper.getUnitInfo(GljgUserInfo.getInstance().getGroupid(), CertNoticeUnit.this.sydwname, CertNoticeUnit.this.startdate, CertNoticeUnit.this.enddate, 1, CertNoticeUnit.this.totalRows);
/*     */             try {
/* 246 */               CommonSaveEXCELResultDialog s = new CommonSaveEXCELResultDialog(CertNoticeUnit.this.container.getShell(), CertNoticeUnit.this.cert, "通知事业单位-证书补领单位", "8", "4");
/* 247 */               s.open();
/* 248 */             } catch (Exception e2) {
/* 249 */               e2.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 257 */     this.button_4 = new Button(this.composite_1, 32);
/* 258 */     this.button_4.setBackground(Display.getCurrent()
/* 259 */         .getSystemColor(1));
/* 260 */     this.button_4.setText("全选");
/*     */     
/* 262 */     this.composite_3 = new Composite(this.composite_1, 0);
/* 263 */     this.composite_3
/* 264 */       .setLayoutData(new GridData(4, 4, true, false));
/* 265 */     GridLayout gridLayout_5 = new GridLayout();
/* 266 */     gridLayout_5.marginHeight = 0;
/* 267 */     gridLayout_5.horizontalSpacing = 0;
/* 268 */     gridLayout_5.verticalSpacing = 0;
/* 269 */     gridLayout_5.marginWidth = 0;
/* 270 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*     */     
/* 272 */     this.tableViewer = new TableViewer(this.composite_3, 67620);
/* 273 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new NoticeUnitTableViewerLabelProvider());
/* 274 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 275 */     this.table_1 = this.tableViewer.getTable();
/* 276 */     this.ctv = new CheckboxTableViewer(this.table_1);
/* 277 */     this.table_1.setLinesVisible(true);
/* 278 */     this.table_1.setHeaderVisible(true);
/* 279 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 280 */         false);
/* 281 */     gd_table_1.heightHint = 335;
/* 282 */     this.table_1.setLayoutData(gd_table_1);
/* 283 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 284 */         0);
/* 285 */     newColumnTableColumn.setAlignment(16777216);
/* 286 */     newColumnTableColumn.setWidth(100);
/* 287 */     newColumnTableColumn.setText("");
/*     */     
/* 289 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 290 */         16384);
/* 291 */     newColumnTableColumn_6.setAlignment(16384);
/* 292 */     newColumnTableColumn_6.setWidth(100);
/* 293 */     newColumnTableColumn_6.setText("统一社会信用代码");
/*     */     
/* 295 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table_1, 16384);
/* 296 */     newColumnTableColumn_7.setText("证书号");
/* 297 */     newColumnTableColumn_7.setWidth(80);
/*     */     
/* 299 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 300 */         0);
/* 301 */     newColumnTableColumn_2.setWidth(100);
/* 302 */     newColumnTableColumn_2.setText("单位名称");
/*     */     
/* 304 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 305 */         16777216);
/* 306 */     newColumnTableColumn_3.setAlignment(16777216);
/* 307 */     newColumnTableColumn_3.setWidth(100);
/* 308 */     newColumnTableColumn_3.setText("提交时间");
/*     */     
/* 310 */     this.newColumnTableColumn_4 = new TableColumn(this.table_1, 16777216);
/* 311 */     this.newColumnTableColumn_4.setAlignment(16777216);
/* 312 */     this.newColumnTableColumn_4.setWidth(100);
/* 313 */     this.newColumnTableColumn_4.setText("核准时间");
/*     */     
/* 315 */     TableColumn newColumnTableColumn_4_1 = new TableColumn(this.table_1, 16777216);
/* 316 */     newColumnTableColumn_4_1.setAlignment(16777216);
/* 317 */     newColumnTableColumn_4_1.setWidth(100);
/* 318 */     newColumnTableColumn_4_1.setText("关联信息");
/*     */     
/* 320 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 321 */         16777216);
/* 322 */     newColumnTableColumn_1.setAlignment(16777216);
/* 323 */     newColumnTableColumn_1.setResizable(false);
/* 324 */     newColumnTableColumn_1.setText("");
/*     */     
/* 326 */     this.cursor = new TableCursor(this.table_1, 0);
/* 327 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 328 */         .getSystemColor(26));
/* 329 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 330 */         .getSystemColor(27));
/* 331 */     this.table_1.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 333 */             CertNoticeUnit.this.setCursor();
/*     */           }
/*     */         });
/*     */     
/* 337 */     Label label_4 = new Label(this.composite_1, 258);
/*     */     
/* 339 */     label_4.setLayoutData(new GridData(4, 16777216, false, false));
/* 340 */     this.compage = new Composite(this.composite_1, 0);
/* 341 */     this.compage.setBackground(Display.getCurrent()
/* 342 */         .getSystemColor(1));
/* 343 */     GridData gd_compage = new GridData(4, 128, true, 
/* 344 */         false, 5, 1);
/* 345 */     this.compage.setLayoutData(gd_compage);
/* 346 */     GridLayout gridLayout_3 = new GridLayout();
/* 347 */     gridLayout_3.verticalSpacing = 0;
/* 348 */     gridLayout_3.numColumns = 8;
/* 349 */     this.compage.setLayout((Layout)gridLayout_3);
/*     */     
/* 351 */     this.page = new Label(this.compage, 0);
/* 352 */     this.page
/* 353 */       .setBackground(Display.getCurrent().getSystemColor(
/* 354 */           1));
/* 355 */     this.page.setText("页次：");
/*     */     
/* 357 */     this.nowPage = new Label(this.compage, 0);
/* 358 */     this.nowPage.setBackground(Display.getCurrent()
/* 359 */         .getSystemColor(1));
/* 360 */     this.nowPage.setLayoutData(new GridData());
/* 361 */     this.nowPage.setText("Label");
/*     */     
/* 363 */     this.everyPageRows = new Label(this.compage, 0);
/* 364 */     this.everyPageRows.setBackground(Display.getCurrent()
/* 365 */         .getSystemColor(1));
/* 366 */     this.everyPageRows.setLayoutData(new GridData());
/* 367 */     this.everyPageRows.setText("Label");
/*     */     
/* 369 */     this.allRows = new Label(this.compage, 0);
/* 370 */     this.allRows.setBackground(Display.getCurrent()
/* 371 */         .getSystemColor(1));
/* 372 */     this.allRows.setLayoutData(new GridData());
/* 373 */     this.allRows.setText("Label");
/*     */     
/* 375 */     this.composite_2 = new Composite(this.compage, 0);
/* 376 */     this.composite_2.setBackground(Display.getCurrent()
/* 377 */         .getSystemColor(1));
/* 378 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/* 379 */         false);
/* 380 */     this.composite_2.setLayoutData(gd_composite_1);
/* 381 */     GridLayout gridLayout_4 = new GridLayout();
/* 382 */     gridLayout_4.numColumns = 4;
/* 383 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*     */     
/* 385 */     this.priorPage = new Button(this.composite_2, 0);
/* 386 */     this.priorPage.setEnabled(false);
/* 387 */     this.priorPage.setText("上一页");
/*     */     
/* 389 */     this.nextPage = new Button(this.composite_2, 0);
/* 390 */     this.nextPage.setEnabled(false);
/* 391 */     this.nextPage.setText("下一页");
/*     */     
/* 393 */     Label label = new Label(this.composite_2, 0);
/* 394 */     label.setBackground(
/* 395 */         Display.getCurrent().getSystemColor(1));
/* 396 */     label.setText("转至第");
/*     */     
/* 398 */     this.text = new Text(this.composite_2, 2048);
/* 399 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 400 */     gd_text.widthHint = 46;
/* 401 */     this.text.setLayoutData(gd_text);
/*     */     
/* 403 */     Label label_1 = new Label(this.compage, 0);
/* 404 */     label_1.setBackground(Display.getCurrent()
/* 405 */         .getSystemColor(1));
/* 406 */     label_1.setText("页");
/*     */     
/* 408 */     this.goButton = new Button(this.compage, 0);
/* 409 */     this.goButton.setBackground(Display.getCurrent()
/* 410 */         .getSystemColor(1));
/* 411 */     this.goButton.setText("GO");
/* 412 */     this.composite_1.setSize(708, 709);
/* 413 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/* 414 */     scrolledComposite.setContent((Control)this.composite_1);
/*     */     
/* 416 */     Composite composite = new Composite(this.composite_1, 0);
/* 417 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/* 418 */     composite.setLayoutData(new GridData(16777216, 4, false, false));
/* 419 */     GridLayout gridLayout_1 = new GridLayout();
/* 420 */     gridLayout_1.numColumns = 3;
/* 421 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 423 */     this.button_5 = new Button(composite, 0);
/* 424 */     this.button_5.setLayoutData(new GridData(16777216, 16777216, false, 
/* 425 */           false));
/* 426 */     this.button_5.setText("通知事业单位");
/*     */     
/* 428 */     Button button_6 = new Button(composite, 0);
/* 429 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 431 */             InstaurationNoticeUnitOperation oper = new InstaurationNoticeUnitOperation();
/* 432 */             String content = oper.queryCustomizeContent("buling");
/* 433 */             if (content != null) {
/* 434 */               NoticeunitCustomizeEditDialog cdialog = new NoticeunitCustomizeEditDialog(
/* 435 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 436 */                   .getShell(), "buling", content);
/* 437 */               cdialog.open();
/*     */             } 
/*     */           }
/*     */         });
/* 441 */     button_6.setText("编辑自定义内容");
/*     */     
/* 443 */     Button button_7 = new Button(composite, 0);
/* 444 */     button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 446 */             CertNoticeUnit.this.noticeUnit("customize");
/*     */           }
/*     */         });
/* 449 */     button_7.setText("自定义通知事业单位");
/*     */     
/* 451 */     PublicUtil.setMouseHands(this.table_1, "3#6");
/* 452 */     getData(this.startNo, "", "", "");
/* 453 */     setActions();
/* 454 */     setCursor();
/* 455 */     setPages(this.currentPage);
/* 456 */     createActions();
/* 457 */     initializeToolBar();
/* 458 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 472 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 473 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 480 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 481 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData(int startNo, String name, String bnDate, String enDate) {
/* 493 */     this.cert = this.oper
/* 494 */       .getUnitInfo(GljgUserInfo.getInstance().getGroupid(), name, bnDate, enDate, startNo, this.maxCount);
/* 495 */     Object data = this.cert;
/* 496 */     this.tableViewer.setInput(data);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 503 */     this.search.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 505 */             if (CertNoticeUnit.this.checkSearchConditon()) {
/*     */               
/* 507 */               CertNoticeUnit.this.sydwname = CertNoticeUnit.this.nmText.getText().trim();
/* 508 */               CertNoticeUnit.this.startdate = CertNoticeUnit.this.bnText.getText();
/* 509 */               CertNoticeUnit.this.enddate = CertNoticeUnit.this.enText.getText().trim();
/*     */               
/* 511 */               CertNoticeUnit.this.totalRows = 0;
/* 512 */               CertNoticeUnit.this.currentPage = 1;
/* 513 */               CertNoticeUnit.this.startNo = 1;
/* 514 */               CertNoticeUnit.this.button_4.setSelection(false);
/* 515 */               CertNoticeUnit.this
/* 516 */                 .getData(CertNoticeUnit.this.startNo, CertNoticeUnit.this.nmText.getText().trim(), CertNoticeUnit.this.bnText.getText().trim(), CertNoticeUnit.this.enText.getText().trim());
/* 517 */               CertNoticeUnit.this.setPages(CertNoticeUnit.this.currentPage);
/*     */             } 
/*     */           }
/*     */         });
/* 521 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 524 */             CalendarDialog cal = new CalendarDialog(CertNoticeUnit.this.container.getShell(), CertNoticeUnit.this.bnText, 
/* 525 */                 new Point(
/* 526 */                   (CertNoticeUnit.this.container.getShell().getLocation()).x + 
/* 527 */                   (int)(
/* 528 */                   (CertNoticeUnit.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/* 529 */                   (CertNoticeUnit.this.group.getLocation()).x + 
/* 530 */                   (CertNoticeUnit.this.composite_1.getLocation()).x + 
/* 531 */                   (CertNoticeUnit.this.bnText.getBounds()).x, 
/* 532 */                   (CertNoticeUnit.this.container.getShell().getLocation()).y + 
/* 533 */                   172 + 
/* 534 */                   (CertNoticeUnit.this.group.getLocation()).y + 
/* 535 */                   (CertNoticeUnit.this.composite_1.getLocation()).y + 
/* 536 */                   (CertNoticeUnit.this.bnText.getBounds()).y + 
/* 537 */                   (CertNoticeUnit.this.bnText.getBounds()).height));
/* 538 */             cal.open();
/*     */           }
/*     */         });
/* 541 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 544 */             CalendarDialog cal = new CalendarDialog(CertNoticeUnit.this.container.getShell(), CertNoticeUnit.this.enText, 
/* 545 */                 new Point(
/* 546 */                   (CertNoticeUnit.this.container.getShell().getLocation()).x + 
/* 547 */                   (int)(
/* 548 */                   (CertNoticeUnit.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/* 549 */                   (CertNoticeUnit.this.group.getLocation()).x + 
/* 550 */                   (CertNoticeUnit.this.composite_1.getLocation()).x + 
/* 551 */                   (CertNoticeUnit.this.enText.getBounds()).x, 
/* 552 */                   (CertNoticeUnit.this.container.getShell().getLocation()).y + 
/* 553 */                   172 + 
/* 554 */                   (CertNoticeUnit.this.group.getLocation()).y + 
/* 555 */                   (CertNoticeUnit.this.composite_1.getLocation()).y + 
/* 556 */                   (CertNoticeUnit.this.enText.getBounds()).y + 
/* 557 */                   (CertNoticeUnit.this.enText.getBounds()).height));
/* 558 */             cal.open();
/*     */           }
/*     */         });
/* 561 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 563 */             CertNoticeUnit.this.bnText.setText("");
/*     */           }
/*     */         });
/* 566 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 568 */             CertNoticeUnit.this.enText.setText("");
/*     */           }
/*     */         });
/* 571 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0)
/*     */           {
/* 575 */             if (!CertNoticeUnit.this.enText.getText().trim().equals("") && 
/* 576 */               !CertNoticeUnit.this.bnText.getText().trim().equals("")) {
/* 577 */               CertNoticeUnit.this
/*     */                 
/* 579 */                 .getData((CertNoticeUnit.this.currentPage - 2) * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), CertNoticeUnit.this.bnText.getText().trim(), CertNoticeUnit.this.enText.getText().trim());
/*     */             } else {
/* 581 */               CertNoticeUnit.this
/* 582 */                 .getData((CertNoticeUnit.this.currentPage - 2) * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), "", "");
/*     */             } 
/* 584 */             CertNoticeUnit.this.setPages(CertNoticeUnit.this.currentPage - 1);
/*     */           }
/*     */         });
/* 587 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 590 */             if (!CertNoticeUnit.this.enText.getText().trim().equals("") && 
/* 591 */               !CertNoticeUnit.this.bnText.getText().trim().equals("")) {
/* 592 */               CertNoticeUnit.this
/*     */                 
/* 594 */                 .getData(CertNoticeUnit.this.currentPage * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), CertNoticeUnit.this.bnText.getText().trim(), CertNoticeUnit.this.enText.getText().trim());
/*     */             } else {
/* 596 */               CertNoticeUnit.this
/* 597 */                 .getData(CertNoticeUnit.this.currentPage * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), "", "");
/* 598 */             }  CertNoticeUnit.this.setPages(CertNoticeUnit.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 603 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 605 */             if (VerifyFunction.isNumeric(CertNoticeUnit.this.text.getText())) {
/* 606 */               int aa = Integer.parseInt(CertNoticeUnit.this.text.getText());
/* 607 */               if (aa > CertNoticeUnit.this.totalPages) {
/* 608 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 610 */                 if (!CertNoticeUnit.this.enText.getText().trim().equals("") && 
/* 611 */                   !CertNoticeUnit.this.bnText.getText().trim().equals("")) {
/* 612 */                   CertNoticeUnit.this
/*     */                     
/* 614 */                     .getData((aa - 1) * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), CertNoticeUnit.this.bnText.getText().trim(), CertNoticeUnit.this.enText.getText().trim());
/*     */                 } else {
/* 616 */                   CertNoticeUnit.this
/* 617 */                     .getData((aa - 1) * CertNoticeUnit.this.maxCount + 1, CertNoticeUnit.this.nmText.getText().trim(), "", "");
/* 618 */                 }  CertNoticeUnit.this.setPages(aa);
/*     */               } 
/*     */             } else {
/* 621 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/* 625 */     this.composite_3.addControlListener((ControlListener)new ControlAdapter() {
/*     */           public void controlResized(ControlEvent e) {
/* 627 */             String rate = "";
/* 628 */             rate = "0.37:1.4:1:3.395:1.4:1.4:1:0.02";
/* 629 */             PublicUtil.setWidth(CertNoticeUnit.this.composite_3, CertNoticeUnit.this.table_1, rate);
/*     */           }
/*     */         });
/* 632 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 634 */             if (CertNoticeUnit.this.button_4.getSelection()) {
/* 635 */               CertNoticeUnit.this.ctv.setAllChecked(true);
/*     */             } else {
/* 637 */               CertNoticeUnit.this.ctv.setAllChecked(false);
/*     */             } 
/*     */           }
/*     */         });
/* 641 */     this.button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 643 */             CertNoticeUnit.this.noticeUnit("");
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setPages(int currentPages) {
/* 652 */     if (this.cert.size() == 0) {
/* 653 */       this.totalRows = 0;
/*     */     } else {
/* 655 */       this.totalRows = ((UnitInfoModel)this.cert.get(0)).getTotalRows();
/* 656 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 657 */     this.totalPages = pu.getTotalPages();
/* 658 */     this.currentPage = pu.getCurrentPage();
/* 659 */     this.hasNextPage = pu.isHasNextPage();
/* 660 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 661 */     if (this.totalPages == 0) {
/* 662 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*     */       
/* 664 */       this.button_report.setEnabled(false);
/*     */     } else {
/*     */       
/* 667 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*     */       
/* 669 */       this.button_report.setEnabled(true);
/*     */     } 
/*     */     
/* 672 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 673 */     this.allRows.setText("共" + this.totalRows + "行");
/* 674 */     if (!this.hasPreviousPage) {
/* 675 */       this.priorPage.setEnabled(false);
/*     */     } else {
/* 677 */       this.priorPage.setEnabled(true);
/* 678 */     }  if (!this.hasNextPage) {
/* 679 */       this.nextPage.setEnabled(false);
/*     */     } else {
/* 681 */       this.nextPage.setEnabled(true);
/* 682 */     }  if (this.totalPages > 1) {
/* 683 */       this.goButton.setEnabled(true);
/* 684 */       this.text.setEnabled(true);
/*     */     } else {
/* 686 */       this.goButton.setEnabled(false);
/* 687 */       this.text.setEnabled(false);
/*     */     } 
/* 689 */     this.compage.layout();
/*     */     
/* 691 */     setFontColor();
/* 692 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkSearchConditon() {
/* 699 */     boolean flag = true;
/* 700 */     if (!this.bnText.getText().trim().equals("")) {
/* 701 */       if (this.enText.getText().trim().equals("")) {
/* 702 */         SydjMessageDialog.openInformation(null, "提示", "请输入截止日期");
/* 703 */         flag = false;
/*     */       } else {
/* 705 */         flag = true;
/*     */       }
/*     */     
/* 708 */     } else if (!this.enText.getText().trim().equals("")) {
/* 709 */       if (this.bnText.getText().trim().equals("")) {
/* 710 */         SydjMessageDialog.openInformation(null, "提示", "请输入起始日期");
/* 711 */         flag = false;
/*     */       } else {
/* 713 */         flag = true;
/*     */       } 
/*     */     } 
/*     */     
/* 717 */     return flag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void noticeUnit(String operation) {
/*     */     try {
/* 725 */       if (this.ctv != null) {
/* 726 */         Object[] chkObj = this.ctv.getCheckedElements();
/* 727 */         if (chkObj.length == 0) {
/* 728 */           SydjMessageDialog.openInformation(null, "提示", "请先勾选记录");
/*     */           return;
/*     */         } 
/* 731 */         if ("customize".equals(operation)) {
/* 732 */           InstaurationNoticeUnitOperation oper = new InstaurationNoticeUnitOperation();
/* 733 */           String content = oper.queryCustomizeContent("buling");
/* 734 */           if (content != null && content.length() > 0) {
/* 735 */             NoticeunitCustomizeDialog dialog = new NoticeunitCustomizeDialog(
/* 736 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 737 */                 .getShell(), content);
/* 738 */             if (dialog.open() == 0) {
/* 739 */               String replyInfo = dialog.getReturnValue();
/* 740 */               ArrayList<String> units = new ArrayList();
/* 741 */               for (int i = 0; i < chkObj.length; i++) {
/* 742 */                 UnitInfoModel unit = (UnitInfoModel)chkObj[i];
/* 743 */                 units.add(unit.getApplyId());
/*     */               } 
/* 745 */               String flag = oper.NoticeUnit(units, replyInfo, 
/* 746 */                   GljgUserInfo.getInstance().getGroupid());
/* 747 */               if (flag == null) {
/*     */                 return;
/*     */               }
/* 750 */               if ("true".equals(flag)) {
/* 751 */                 SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 752 */                 this.startNo = 1;
/* 753 */                 this.totalRows = 0;
/* 754 */                 this.currentPage = 1;
/* 755 */                 getData(this.startNo, this.nmText.getText().trim(), 
/* 756 */                     this.bnText.getText().trim(), this.enText.getText().trim());
/* 757 */                 setPages(this.currentPage);
/*     */               } else {
/* 759 */                 SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */               } 
/*     */             } 
/*     */           } else {
/*     */             
/* 764 */             SydjMessageDialog.openWarning(null, "", "该项没有自定义内容！");
/*     */           } 
/*     */         } else {
/* 767 */           CertNoticeUnitDialog dialog = new CertNoticeUnitDialog(
/* 768 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 769 */               .getShell());
/* 770 */           if (dialog.open() == 0) {
/* 771 */             String replyInfo = dialog.getReturnValue();
/* 772 */             ArrayList<String> units = new ArrayList();
/* 773 */             for (int i = 0; i < chkObj.length; i++) {
/* 774 */               UnitInfoModel unit = (UnitInfoModel)chkObj[i];
/* 775 */               units.add(unit.getApplyId());
/*     */             } 
/* 777 */             String flag = this.oper.NoticeUnit(units, replyInfo, 
/* 778 */                 GljgUserInfo.getInstance().getGroupid());
/* 779 */             if (flag == null) {
/*     */               return;
/*     */             }
/* 782 */             if ("true".equals(flag)) {
/* 783 */               SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 784 */               this.startNo = 1;
/* 785 */               this.totalRows = 0;
/* 786 */               this.currentPage = 1;
/* 787 */               getData(this.startNo, this.nmText.getText().trim(), 
/* 788 */                   this.bnText.getText().trim(), this.enText.getText().trim());
/* 789 */               setPages(this.currentPage);
/*     */             } else {
/* 791 */               SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */             } 
/*     */           } 
/*     */         } 
/*     */       } else {
/*     */         
/* 797 */         SydjMessageDialog.openInformation(null, "提示", "请先勾选记录");
/*     */         return;
/*     */       } 
/* 800 */     } catch (Exception e) {
/* 801 */       e.printStackTrace();
/* 802 */       SydjMessageDialog.openWarning(null, "错误提示", "系统出错，请重新执行该操作");
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void openDetailDialog() {
/* 809 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 810 */       .getSelection();
/* 811 */     UnitInfoModel unitInfo = (UnitInfoModel)select.getFirstElement();
/*     */     
/* 813 */     CertOperationFuHe oper = new CertOperationFuHe();
/* 814 */     ArrayList fileList = oper.getCertHistoryFileInfo(
/* 815 */         GljgUserInfo.getInstance().getGroupid(), unitInfo.getApplyId(), 
/* 816 */         unitInfo.getId(), unitInfo.getId(), true);
/* 817 */     if (fileList == null)
/*     */       return; 
/* 819 */     CertDetailDialogFuHe dialog = new CertDetailDialogFuHe(
/* 820 */         this.container.getShell(), unitInfo, fileList, false, false, "0", true, false);
/* 821 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void openRemarkList() {
/* 827 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 828 */     UnitInfoModel unitInfo = (UnitInfoModel)select.getFirstElement();
/* 829 */     int rcount = Integer.parseInt(unitInfo.getRCount());
/* 830 */     if (rcount > 0) {
/* 831 */       String sydwId = unitInfo.getSydwid();
/* 832 */       String sydwName = unitInfo.getName();
/* 833 */       RemarkDialog dialog = new RemarkDialog(
/* 834 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwId, sydwName, "关联信息", false);
/* 835 */       dialog.open();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 844 */     if (this.cursor != null)
/* 845 */       this.cursor.dispose(); 
/* 846 */     this.cursor = new TableCursor(this.table_1, 0);
/* 847 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 848 */         .getSystemColor(26));
/* 849 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 850 */         .getSystemColor(27));
/* 851 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 853 */             int colums = CertNoticeUnit.this.cursor.getColumn();
/* 854 */             if (colums == 3) {
/* 855 */               CertNoticeUnit.this.openDetailDialog();
/*     */             }
/*     */             
/* 858 */             if (colums == 6) {
/* 859 */               CertNoticeUnit.this.openRemarkList();
/*     */             }
/* 861 */             CertNoticeUnit.this.selectColums = colums;
/*     */           }
/*     */         });
/* 864 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 867 */             int colums = CertNoticeUnit.this.cursor.getColumn();
/* 868 */             if (colums == CertNoticeUnit.this.selectColums) {
/* 869 */               if (colums == 3) {
/* 870 */                 CertNoticeUnit.this.openDetailDialog();
/*     */               }
/*     */               
/* 873 */               if (colums == 6) {
/* 874 */                 CertNoticeUnit.this.openRemarkList();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 885 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 886 */       this.table_1.getItem(i).setFont(3, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 887 */       this.table_1.getItem(i).setForeground(3, SWTResourceManager.getColor(37, 26, 181));
/* 888 */       this.table_1.getItem(i).setFont(6, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 889 */       this.table_1.getItem(i).setForeground(6, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\noticeunit\cert\CertNoticeUnit.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */