/*     */ package cs.sydj.operation.noticeunit.cert;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertNoticeUnitDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text_5;
/*     */   private Text text_4;
/*     */   private Text text_3;
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Text text;
/*  29 */   private String initWord = PublicUtil.getApplyMessage("4", "31");
/*     */   private String returnValue;
/*  31 */   private int value = 1;
/*     */   
/*     */   public String getReturnValue() {
/*  34 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(String returnValue) {
/*  38 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertNoticeUnitDialog(Shell parentShell) {
/*  47 */     super(parentShell);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  57 */     parent.setBackground(Display.getCurrent()
/*  58 */         .getSystemColor(1));
/*  59 */     parent.setBackgroundMode(1);
/*  60 */     Composite container = (Composite)super.createDialogArea(parent);
/*  61 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  62 */     GridLayout gridLayout_1 = new GridLayout();
/*  63 */     gridLayout_1.marginTop = 25;
/*  64 */     gridLayout_1.marginRight = 10;
/*  65 */     gridLayout_1.marginLeft = 10;
/*  66 */     container.setLayout((Layout)gridLayout_1);
/*     */     
/*  68 */     Label label_5 = new Label(container, 0);
/*  69 */     label_5.setText("回复意见");
/*  70 */     label_5.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*  71 */     Label label_6 = new Label(container, 258);
/*     */     
/*  73 */     label_6.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/*  75 */     Composite group = new Composite(container, 0);
/*  76 */     group.setLayoutData(new GridData(4, 4, true, true));
/*  77 */     GridLayout gridLayout = new GridLayout();
/*  78 */     gridLayout.marginRight = 10;
/*  79 */     gridLayout.marginLeft = 10;
/*  80 */     gridLayout.numColumns = 2;
/*  81 */     group.setLayout((Layout)gridLayout);
/*     */ 
/*     */     
/*  84 */     Label label = new Label(group, 0);
/*  85 */     label.setText("声明费用：");
/*     */     
/*  87 */     this.text_1 = new Text(group, 2048);
/*  88 */     GridData gd_text_1 = new GridData(16384, 16777216, true, 
/*  89 */         false);
/*  90 */     gd_text_1.widthHint = 148;
/*  91 */     this.text_1.setLayoutData(gd_text_1);
/*     */     
/*  93 */     Label label_1 = new Label(group, 0);
/*  94 */     label_1.setText("银行帐号：");
/*     */     
/*  96 */     this.text_2 = new Text(group, 2048);
/*  97 */     this.text_2.setLayoutData(new GridData(240, -1));
/*     */     
/*  99 */     Label label_2 = new Label(group, 131072);
/* 100 */     label_2.setText("收款人：");
/*     */     
/* 102 */     this.text_3 = new Text(group, 2048);
/* 103 */     this.text_3.setLayoutData(new GridData(145, -1));
/*     */     
/* 105 */     Label label_3 = new Label(group, 0);
/* 106 */     label_3.setText("单位地址：");
/*     */     
/* 108 */     this.text_4 = new Text(group, 2048);
/* 109 */     GridData gd_text_4 = new GridData(16384, 16777216, true, 
/* 110 */         false);
/* 111 */     gd_text_4.widthHint = 396;
/* 112 */     this.text_4.setLayoutData(gd_text_4);
/*     */     
/* 114 */     Label label_4 = new Label(group, 0);
/* 115 */     label_4.setText("邮政编码：");
/*     */     
/* 117 */     this.text_5 = new Text(group, 2048);
/* 118 */     this.text_5.setTextLimit(6);
/*     */     
/* 120 */     this.text = new Text(group, 2626);
/* 121 */     this.text.setLayoutData(new GridData(4, 4, true, true, 2, 1));
/* 122 */     this.text.setText(this.initWord);
/* 123 */     return (Control)container;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void okPressed() {
/* 128 */     this.value = 0;
/* 129 */     this.returnValue = this.text.getText().trim();
/* 130 */     super.okPressed();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void cancelPressed() {
/* 135 */     this.text.setText("");
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public int open() {
/* 141 */     super.open();
/* 142 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 152 */     parent.setBackgroundMode(2);
/* 153 */     createButton(parent, 0, "回复", true);
/* 154 */     createButton(parent, 1, "重填", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 162 */     return new Point(500, 375);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 166 */     super.configureShell(newShell);
/* 167 */     newShell.setText("回复意见");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 172 */     super.initializeBounds();
/* 173 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\noticeunit\cert\CertNoticeUnitDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */