/*     */ package cs.sydj.operation.noticeunit.duanxin;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.noticeunit.biangeng.BianGengNoticeUnitOperation;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.commons.NoticeModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DuanxinTemplateDialog
/*     */   extends Dialog
/*     */ {
/*     */   private NoticeModel nModel;
/*     */   private Text text_content;
/*     */   private Text text_note;
/*  29 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  30 */   private BianGengNoticeUnitOperation oper = new BianGengNoticeUnitOperation();
/*     */ 
/*     */   
/*     */   private Composite comp;
/*     */ 
/*     */   
/*     */   private Shell shell;
/*     */ 
/*     */ 
/*     */   
/*     */   public DuanxinTemplateDialog(Shell parentShell) {
/*  41 */     super(parentShell);
/*     */   }
/*     */   
/*     */   public DuanxinTemplateDialog(Shell parent, NoticeModel nModel) {
/*  45 */     this(parent);
/*  46 */     this.nModel = nModel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/*  56 */     Composite container = (Composite)super.createDialogArea(arg0);
/*  57 */     this.comp = arg0;
/*  58 */     this.shell = arg0.getShell();
/*  59 */     arg0.setBackgroundMode(1);
/*  60 */     arg0
/*  61 */       .setBackground(Display.getCurrent().getSystemColor(
/*  62 */           1));
/*  63 */     arg0.setLayout((Layout)new GridLayout());
/*     */     
/*  65 */     Group group = new Group(container, 0);
/*  66 */     group.setText("短信模板");
/*  67 */     GridLayout gridLayout_2 = new GridLayout();
/*  68 */     gridLayout_2.numColumns = 3;
/*  69 */     group.setLayout((Layout)gridLayout_2);
/*  70 */     GridData gd_group = new GridData(4, 4, true, true);
/*  71 */     group.setLayoutData(gd_group);
/*     */     
/*  73 */     CLabel label_4 = new CLabel((Composite)group, 0);
/*  74 */     label_4
/*  75 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  76 */     label_4.setText("申请来源：");
/*     */     
/*  78 */     CLabel label_apply_source = new CLabel((Composite)group, 0);
/*  79 */     label_apply_source.setLayoutData(new GridData(4, 16777216, false, 
/*  80 */           false, 2, 1));
/*  81 */     if ("0".equals(this.nModel.getId())) {
/*  82 */       label_apply_source.setText("事业单位提交");
/*  83 */     } else if ("1".equals(this.nModel.getId())) {
/*  84 */       label_apply_source.setText("登记管理机关录入");
/*     */     } 
/*     */     
/*  87 */     CLabel label_5 = new CLabel((Composite)group, 0);
/*  88 */     label_5
/*  89 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  90 */     label_5.setText("申请类型：");
/*     */     
/*  92 */     CLabel label_apply_type = new CLabel((Composite)group, 0);
/*  93 */     label_apply_type.setLayoutData(new GridData(4, 16777216, false, 
/*  94 */           false, 2, 1));
/*  95 */     if ("0".equals(this.nModel.getSender())) {
/*  96 */       label_apply_type.setText("设立登记");
/*  97 */     } else if ("1".equals(this.nModel.getSender())) {
/*  98 */       label_apply_type.setText("变更登记");
/*  99 */     } else if ("3".equals(this.nModel.getSender())) {
/* 100 */       label_apply_type.setText("注销登记");
/* 101 */     } else if ("4".equals(this.nModel.getSender())) {
/* 102 */       label_apply_type.setText("补领登记");
/* 103 */     } else if ("5".equals(this.nModel.getSender())) {
/* 104 */       label_apply_type.setText("重新申领");
/*     */     } 
/*     */     
/* 107 */     CLabel label = new CLabel((Composite)group, 0);
/* 108 */     label.setLayoutData(new GridData(131072, 16777216, false, false));
/* 109 */     label.setText("短信模板：");
/*     */     
/* 111 */     this.text_content = new Text((Composite)group, 2626);
/* 112 */     this.text_content.setTextLimit(600);
/* 113 */     this.text_content.setBackground(Display.getCurrent()
/* 114 */         .getSystemColor(1));
/* 115 */     GridData gd_text_content = new GridData(16384, 16777216, false, false, 2, 1);
/* 116 */     gd_text_content.heightHint = 106;
/* 117 */     gd_text_content.widthHint = 350;
/* 118 */     this.text_content.setLayoutData(gd_text_content);
/* 119 */     this.text_content.setText(this.nModel.getContent());
/*     */     
/* 121 */     CLabel label_2 = new CLabel((Composite)group, 0);
/* 122 */     label_2
/* 123 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 124 */     label_2.setText("备注：");
/*     */     
/* 126 */     this.text_note = new Text((Composite)group, 2626);
/* 127 */     this.text_note.setTextLimit(600);
/* 128 */     this.text_note.setBackground(Display.getCurrent()
/* 129 */         .getSystemColor(1));
/* 130 */     GridData gd_text_note = new GridData(16384, 16777216, false, false, 2, 1);
/* 131 */     gd_text_note.heightHint = 56;
/* 132 */     gd_text_note.widthHint = 350;
/* 133 */     this.text_note.setLayoutData(gd_text_note);
/* 134 */     if (this.nModel.getPhone() != null) {
/* 135 */       this.text_note.setText(this.nModel.getPhone());
/*     */     }
/* 137 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 149 */     parent.setBackground(Display.getCurrent()
/* 150 */         .getSystemColor(1));
/* 151 */     createButton(parent, 0, "确定", true);
/* 152 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 161 */     return new Point(520, 400);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 165 */     if (buttonId == 0) {
/* 166 */       if (isNotNull(this.text_content, "请输入短信模板！")) {
/* 167 */         MessageBox mbox = new MessageBox(this.shell, 196);
/*     */         
/* 169 */         mbox.setMessage("您确定修改短信模板吗?");
/* 170 */         mbox.setText("信息提示");
/* 171 */         int button_id = mbox.open();
/* 172 */         if (button_id == 64) {
/* 173 */           int r = this.oper.updateGroupSmsTemplate(this.user.getGroupid(), 
/* 174 */               this.user.getRealname(), this.nModel.getId(), this.nModel.getSender(), 
/* 175 */               this.text_content.getText(), this.text_note.getText());
/* 176 */           switch (r) {
/*     */             case 0:
/* 178 */               showInfoBox("数据库出错，请与管理员联系！");
/*     */               return;
/*     */             case -1:
/* 181 */               showInfoBox("网络传输错误，请重试！");
/*     */               return;
/*     */             case 1:
/*     */               break;
/*     */             default:
/* 186 */               showInfoBox("未知错误，请与管理员联系！");
/*     */               return;
/*     */           } 
/* 189 */           super.buttonPressed(buttonId);
/*     */         } 
/*     */       } 
/*     */     } else {
/* 193 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 198 */     text.setText(text.getText().trim());
/* 199 */     if (text.getText().trim().length() == 0) {
/* 200 */       text.setText(text.getText().trim());
/* 201 */       showInputErr(text, info);
/* 202 */       return false;
/*     */     } 
/* 204 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 210 */     text.setText(text.getText().trim());
/* 211 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 212 */     mbox.setMessage(info);
/* 213 */     mbox.setText("错误提示");
/* 214 */     mbox.open();
/* 215 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 220 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 221 */     mbox.setMessage(info);
/* 222 */     mbox.setText("错误提示");
/* 223 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 228 */     super.configureShell(newShell);
/* 229 */     newShell.setText("短信模板");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\noticeunit\duanxin\DuanxinTemplateDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */