/*     */ package cs.sydj.operation.quick.annualcheck;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.homepage.HomePages;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.other.GljgExtInfo;
/*     */ import server.sydj.operation.commons.QuickAnnualCheckModel;
/*     */ import server.sydj.sysmanage.gljg.GLJGInfoManage;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class QuickAnnualPublish
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.quick.annualcheck.QuickAnnualPublish";
/*     */   private QuickAnnualCheckModel model;
/*     */   private Link eclipseorgLink;
/*     */   private Link eclipseorgLink_1;
/*     */   private Link eclipseorgLink_1_1;
/*     */   private Link eclipseorgLink_1_2;
/*     */   private Link eclipseorgLink_2;
/*     */   private Link eclipseorgLink_3;
/*     */   private Link eclipseorgLink_4;
/*     */   private Link eclipseorgLink_5;
/*     */   private Group group;
/*  48 */   private GLJGInfoManage gljgm = new GLJGInfoManage();
/*  49 */   private int iColumn = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  58 */     parent.setLayout((Layout)new FillLayout());
/*  59 */     this.model = getData();
/*  60 */     GljgExtInfo gle = this.gljgm.getGljgExtInfobyID(HomePages.groupId);
/*  61 */     if ("1".equals(gle.getPublishOpen())) {
/*  62 */       this.iColumn = 0;
/*     */     } else {
/*  64 */       this.iColumn = 2;
/*     */     } 
/*     */     
/*  67 */     this.group = new Group(parent, 0);
/*  68 */     this.group.setBackground(
/*  69 */         Display.getCurrent().getSystemColor(1));
/*  70 */     GridLayout gridLayout_1 = new GridLayout();
/*  71 */     gridLayout_1.marginTop = 35;
/*  72 */     gridLayout_1.marginRight = 35;
/*  73 */     gridLayout_1.marginLeft = 35;
/*  74 */     this.group.setLayout((Layout)gridLayout_1);
/*  75 */     Composite container = new Composite((Composite)this.group, 0);
/*  76 */     container.setBackground(Display.getCurrent()
/*  77 */         .getSystemColor(1));
/*  78 */     FormData fd_container = new FormData();
/*  79 */     fd_container.right = new FormAttachment(100, -5);
/*  80 */     fd_container.bottom = new FormAttachment(0, 156);
/*  81 */     fd_container.top = new FormAttachment(0, 5);
/*  82 */     fd_container.left = new FormAttachment(0, 5);
/*  83 */     container.setLayoutData(new GridData(4, 16777216, true, 
/*  84 */           false));
/*  85 */     GridLayout gridLayout = new GridLayout();
/*  86 */     gridLayout.horizontalSpacing = 0;
/*  87 */     gridLayout.verticalSpacing = 0;
/*  88 */     gridLayout.numColumns = 15 + this.iColumn;
/*  89 */     container.setLayout((Layout)gridLayout);
/*     */ 
/*     */     
/*  92 */     Label label_3 = new Label(container, 64);
/*  93 */     label_3.setBackground(Display.getCurrent()
/*  94 */         .getSystemColor(1));
/*  95 */     GridData gd_label_3 = new GridData(16384, 16777216, true, 
/*  96 */         false, 15 + this.iColumn, 1);
/*  97 */     gd_label_3.widthHint = 228;
/*  98 */     label_3.setLayoutData(gd_label_3);
/*  99 */     label_3.setText("信息查询 >> " + HomePages.year + "年度报告公示情况统计");
/* 100 */     label_3.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*     */     
/* 102 */     Label label_6 = new Label(container, 0);
/* 103 */     label_6.setBackground(Display.getCurrent()
/* 104 */         .getSystemColor(1));
/* 105 */     label_6.setLayoutData(new GridData(16384, 16777216, true, false, 
/* 106 */           15 + this.iColumn, 1));
/* 107 */     label_6.setForeground(SWTResourceManager.getColor(255, 0, 0));
/* 108 */     label_6.setFont(SWTResourceManager.getFont("", 10, 1));
/* 109 */     label_6.setText("(单击表格中的数字，可以打开事业单位列表) ");
/*     */     
/* 111 */     Label label_50 = new Label(container, 258);
/*     */     
/* 113 */     label_50.setBackground(Display.getCurrent()
/* 114 */         .getSystemColor(1));
/* 115 */     label_50.setLayoutData(new GridData(4, 4, false, false, 
/* 116 */           15 + this.iColumn, 1));
/*     */     
/* 118 */     Label label_46 = new Label(container, 2);
/* 119 */     label_46.setBackground(Display.getCurrent()
/* 120 */         .getSystemColor(1));
/* 121 */     GridData gd_label_46 = new GridData(4, 4, false, 
/* 122 */         false);
/* 123 */     gd_label_46.heightHint = 17;
/* 124 */     gd_label_46.widthHint = 2;
/* 125 */     label_46.setLayoutData(gd_label_46);
/*     */     
/* 127 */     Label label_19 = new Label(container, 0);
/* 128 */     label_19.setBackground(Display.getCurrent()
/* 129 */         .getSystemColor(1));
/* 130 */     label_19.setLayoutData(new GridData(16384, 16777216, true, false));
/* 131 */     label_19.setText("日期：" + PublicUtil.getNowDate());
/*     */     
/* 133 */     Label label_47 = new Label(container, 2);
/* 134 */     label_47.setBackground(Display.getCurrent()
/* 135 */         .getSystemColor(1));
/* 136 */     GridData gd_label_47 = new GridData(4, 4, false, 
/* 137 */         false);
/* 138 */     gd_label_47.widthHint = 1;
/* 139 */     gd_label_47.heightHint = 15;
/* 140 */     label_47.setLayoutData(gd_label_47);
/*     */     
/* 142 */     Label label_20 = new Label(container, 64);
/* 143 */     label_20.setAlignment(131072);
/* 144 */     label_20.setBackground(Display.getCurrent()
/* 145 */         .getSystemColor(1));
/* 146 */     GridData gd_label_20 = new GridData(4, 4, true, 
/* 147 */         false, 11 + this.iColumn, 1);
/* 148 */     gd_label_20.widthHint = 103;
/* 149 */     label_20.setLayoutData(gd_label_20);
/* 150 */     label_20.setText("登记管理机关：" + HomePages.groupName);
/*     */     
/* 152 */     Label label_49 = new Label(container, 2);
/* 153 */     label_49.setBackground(Display.getCurrent()
/* 154 */         .getSystemColor(1));
/* 155 */     GridData gd_label_49 = new GridData(4, 4, false, 
/* 156 */         false);
/* 157 */     gd_label_49.heightHint = 21;
/* 158 */     gd_label_49.widthHint = 2;
/* 159 */     label_49.setLayoutData(gd_label_49);
/*     */     
/* 161 */     Label label_45 = new Label(container, 258);
/*     */     
/* 163 */     label_45.setBackground(Display.getCurrent()
/* 164 */         .getSystemColor(1));
/* 165 */     label_45.setLayoutData(new GridData(4, 4, false, false, 
/* 166 */           15 + this.iColumn, 1));
/*     */     
/* 168 */     Label label_34 = new Label(container, 2);
/* 169 */     label_34.setBackground(Display.getCurrent()
/* 170 */         .getSystemColor(1));
/* 171 */     GridData gd_label_34 = new GridData(4, 4, false, 
/* 172 */         false, 1, 5);
/* 173 */     gd_label_34.heightHint = 20;
/* 174 */     gd_label_34.widthHint = 1;
/* 175 */     label_34.setLayoutData(gd_label_34);
/*     */     
/* 177 */     Label label_7 = new Label(container, 0);
/* 178 */     label_7.setBackground(Display.getCurrent()
/* 179 */         .getSystemColor(1));
/* 180 */     label_7.setFont(SWTResourceManager.getFont("", 10, 1));
/* 181 */     label_7.setLayoutData(new GridData(16777216, 16777216, true, false, 
/* 182 */           1, 5));
/* 183 */     label_7.setText("全部需公示单位数");
/*     */     
/* 185 */     Label label_51 = new Label(container, 2);
/* 186 */     label_51.setBackground(Display.getCurrent()
/* 187 */         .getSystemColor(1));
/* 188 */     GridData gd_label_51 = new GridData(4, 4, false, 
/* 189 */         false, 1, 2);
/* 190 */     gd_label_51.heightHint = 28;
/* 191 */     label_51.setLayoutData(gd_label_51);
/*     */     
/* 193 */     Label label_18 = new Label(container, 0);
/* 194 */     label_18.setBackground(Display.getCurrent()
/* 195 */         .getSystemColor(1));
/* 196 */     label_18.setFont(SWTResourceManager.getFont("", 10, 1));
/* 197 */     label_18.setLayoutData(new GridData(16777216, 16777216, true, 
/* 198 */           false, 11 + this.iColumn, 3));
/* 199 */     label_18.setText("应参加" + HomePages.year + "年度报告公示的单位");
/*     */     
/* 201 */     Label label_35 = new Label(container, 2);
/* 202 */     label_35.setBackground(Display.getCurrent()
/* 203 */         .getSystemColor(1));
/* 204 */     GridData gd_label_35 = new GridData(4, 4, false, 
/* 205 */         false, 1, 5);
/* 206 */     gd_label_35.heightHint = 43;
/* 207 */     gd_label_35.widthHint = 2;
/* 208 */     label_35.setLayoutData(gd_label_35);
/*     */     
/* 210 */     Label label_36 = new Label(container, 2);
/* 211 */     label_36.setBackground(Display.getCurrent()
/* 212 */         .getSystemColor(1));
/* 213 */     GridData gd_label_36 = new GridData(4, 4, false, 
/* 214 */         false, 1, 3);
/* 215 */     gd_label_36.heightHint = 41;
/* 216 */     gd_label_36.widthHint = 1;
/* 217 */     label_36.setLayoutData(gd_label_36);
/*     */     
/* 219 */     Label label_42 = new Label(container, 258);
/*     */     
/* 221 */     label_42.setBackground(Display.getCurrent()
/* 222 */         .getSystemColor(1));
/* 223 */     GridData gd_label_42 = new GridData(4, 128, false, 
/* 224 */         false);
/* 225 */     gd_label_42.widthHint = 80;
/* 226 */     label_42.setLayoutData(gd_label_42);
/*     */     
/* 228 */     Label label_36_1 = new Label(container, 2);
/* 229 */     label_36_1.setBackground(Display.getCurrent()
/* 230 */         .getSystemColor(1));
/* 231 */     GridData gd_label_36_1 = new GridData(4, 4, false, 
/* 232 */         false, 1, 2);
/* 233 */     gd_label_36_1.heightHint = 41;
/* 234 */     gd_label_36_1.widthHint = 1;
/* 235 */     label_36_1.setLayoutData(gd_label_36_1);
/*     */     
/* 237 */     Label label_42_1 = new Label(container, 258);
/*     */     
/* 239 */     label_42_1.setBackground(Display.getCurrent()
/* 240 */         .getSystemColor(1));
/* 241 */     GridData gd_label_42_1 = new GridData(4, 128, false, 
/* 242 */         false);
/* 243 */     gd_label_42_1.widthHint = 80;
/* 244 */     label_42_1.setLayoutData(gd_label_42_1);
/*     */     
/* 246 */     Label label_36_2 = new Label(container, 2);
/* 247 */     label_36_2.setBackground(Display.getCurrent()
/* 248 */         .getSystemColor(1));
/* 249 */     GridData gd_label_36_2 = new GridData(4, 4, false, 
/* 250 */         false, 1, 2);
/* 251 */     gd_label_36_2.heightHint = 41;
/* 252 */     gd_label_36_2.widthHint = 1;
/* 253 */     label_36_2.setLayoutData(gd_label_36_2);
/*     */     
/* 255 */     Label label_42_2 = new Label(container, 258);
/*     */     
/* 257 */     label_42_2.setBackground(Display.getCurrent()
/* 258 */         .getSystemColor(1));
/* 259 */     GridData gd_label_42_2 = new GridData(4, 128, false, 
/* 260 */         false);
/* 261 */     gd_label_42_2.widthHint = 80;
/* 262 */     label_42_2.setLayoutData(gd_label_42_2);
/*     */     
/* 264 */     Label label_40 = new Label(container, 2);
/* 265 */     label_40.setBackground(Display.getCurrent()
/* 266 */         .getSystemColor(1));
/* 267 */     GridData gd_label_40 = new GridData(4, 4, false, 
/* 268 */         false, 1, 2);
/* 269 */     gd_label_40.heightHint = 28;
/* 270 */     gd_label_40.widthHint = 2;
/* 271 */     label_40.setLayoutData(gd_label_40);
/*     */     
/* 273 */     Label label_43 = new Label(container, 258);
/*     */     
/* 275 */     label_43.setBackground(Display.getCurrent()
/* 276 */         .getSystemColor(1));
/* 277 */     GridData gd_label_43 = new GridData(4, 128, false, 
/* 278 */         false);
/* 279 */     gd_label_43.widthHint = 80;
/* 280 */     label_43.setLayoutData(gd_label_43);
/*     */     
/* 282 */     Label label_41 = new Label(container, 2);
/* 283 */     label_41.setBackground(Display.getCurrent()
/* 284 */         .getSystemColor(1));
/* 285 */     GridData gd_label_41 = new GridData(4, 4, false, 
/* 286 */         false, 1, 2);
/* 287 */     gd_label_41.heightHint = 22;
/* 288 */     gd_label_41.widthHint = 2;
/* 289 */     label_41.setLayoutData(gd_label_41);
/*     */     
/* 291 */     Label label_44 = new Label(container, 258);
/*     */     
/* 293 */     label_44.setBackground(Display.getCurrent()
/* 294 */         .getSystemColor(1));
/* 295 */     GridData gd_label_44 = new GridData(4, 128, false, 
/* 296 */         false);
/* 297 */     gd_label_44.widthHint = 80;
/* 298 */     label_44.setLayoutData(gd_label_44);
/*     */     
/* 300 */     Label label_418 = new Label(container, 2);
/* 301 */     label_418.setBackground(Display.getCurrent()
/* 302 */         .getSystemColor(1));
/* 303 */     GridData gd_label_418 = new GridData(4, 4, false, 
/* 304 */         false, 1, 2);
/* 305 */     gd_label_418.heightHint = 22;
/* 306 */     gd_label_418.widthHint = 2;
/* 307 */     label_418.setLayoutData(gd_label_418);
/*     */     
/* 309 */     Label label_448 = new Label(container, 258);
/*     */     
/* 311 */     label_448.setBackground(Display.getCurrent()
/* 312 */         .getSystemColor(1));
/* 313 */     GridData gd_label_448 = new GridData(4, 128, false, 
/* 314 */         false);
/* 315 */     gd_label_448.widthHint = 80;
/* 316 */     label_448.setLayoutData(gd_label_448);
/*     */     
/* 318 */     if (this.iColumn == 2) {
/* 319 */       Label label_419 = new Label(container, 2);
/* 320 */       label_419.setBackground(Display.getCurrent()
/* 321 */           .getSystemColor(1));
/* 322 */       GridData gd_label_419 = new GridData(4, 4, false, 
/* 323 */           false, 1, 2);
/* 324 */       gd_label_419.heightHint = 22;
/* 325 */       gd_label_419.widthHint = 2;
/* 326 */       label_419.setLayoutData(gd_label_419);
/*     */       
/* 328 */       Label label_449 = new Label(container, 258);
/*     */       
/* 330 */       label_449.setBackground(Display.getCurrent()
/* 331 */           .getSystemColor(1));
/* 332 */       GridData gd_label_449 = new GridData(4, 128, false, 
/* 333 */           false);
/* 334 */       gd_label_449.widthHint = 80;
/* 335 */       label_449.setLayoutData(gd_label_449);
/*     */     } 
/*     */     
/* 338 */     Label label_17 = new Label(container, 0);
/* 339 */     label_17.setBackground(Display.getCurrent()
/* 340 */         .getSystemColor(1));
/* 341 */     label_17.setFont(SWTResourceManager.getFont("", 10, 1));
/* 342 */     label_17.setLayoutData(new GridData(16777216, 16777216, true, 
/* 343 */           false));
/* 344 */     label_17.setText("从未提交");
/*     */     
/* 346 */     Label label_17_1 = new Label(container, 0);
/* 347 */     label_17_1.setBackground(Display.getCurrent()
/* 348 */         .getSystemColor(1));
/* 349 */     label_17_1.setFont(SWTResourceManager.getFont("", 10, 1));
/* 350 */     label_17_1.setLayoutData(new GridData(16777216, 16777216, true, 
/* 351 */           false));
/* 352 */     label_17_1.setText("准备提交");
/*     */     
/* 354 */     Label label_17_2 = new Label(container, 0);
/* 355 */     label_17_2.setBackground(Display.getCurrent()
/* 356 */         .getSystemColor(1));
/* 357 */     label_17_2.setFont(SWTResourceManager.getFont("", 10, 1));
/* 358 */     label_17_2.setLayoutData(new GridData(16777216, 16777216, true, 
/* 359 */           false));
/* 360 */     label_17_2.setText("年报退回");
/* 361 */     if (this.iColumn == 2) {
/* 362 */       Label label_8 = new Label(container, 0);
/* 363 */       label_8.setBackground(Display.getCurrent()
/* 364 */           .getSystemColor(1));
/* 365 */       label_8.setFont(SWTResourceManager.getFont("", 10, 1));
/* 366 */       label_8
/* 367 */         .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 368 */       label_8.setText("待受理复核");
/*     */     } 
/*     */     
/* 371 */     Label label_9 = new Label(container, 0);
/* 372 */     label_9.setBackground(Display.getCurrent()
/* 373 */         .getSystemColor(1));
/* 374 */     label_9.setFont(SWTResourceManager.getFont("", 10, 1));
/* 375 */     label_9
/* 376 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 377 */     label_9.setText("待公示");
/*     */     
/* 379 */     Label label_11 = new Label(container, 0);
/* 380 */     label_11.setBackground(Display.getCurrent()
/* 381 */         .getSystemColor(1));
/* 382 */     label_11.setFont(SWTResourceManager.getFont("", 10, 1));
/* 383 */     label_11
/* 384 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 385 */     label_11.setText("已公示");
/*     */     
/* 387 */     Label label_88 = new Label(container, 0);
/* 388 */     label_88.setBackground(Display.getCurrent()
/* 389 */         .getSystemColor(1));
/* 390 */     label_88.setFont(SWTResourceManager.getFont("", 10, 1));
/* 391 */     label_88
/* 392 */       .setLayoutData(new GridData(16777216, 16777216, true, false));
/* 393 */     label_88.setText("不公示");
/*     */ 
/*     */     
/* 396 */     Label label_33 = new Label(container, 258);
/*     */     
/* 398 */     label_33.setBackground(Display.getCurrent()
/* 399 */         .getSystemColor(1));
/* 400 */     label_33.setLayoutData(new GridData(4, 4, false, false, 
/* 401 */           15 + this.iColumn, 2));
/*     */     
/* 403 */     Label label_22 = new Label(container, 2);
/* 404 */     label_22.setBackground(Display.getCurrent()
/* 405 */         .getSystemColor(1));
/* 406 */     GridData gd_label_22 = new GridData(4, 4, false, 
/* 407 */         false);
/* 408 */     gd_label_22.heightHint = 22;
/* 409 */     gd_label_22.widthHint = 1;
/* 410 */     label_22.setLayoutData(gd_label_22);
/*     */     
/* 412 */     this.eclipseorgLink = new Link(container, 0);
/* 413 */     this.eclipseorgLink.setBackground(Display.getCurrent()
/* 414 */         .getSystemColor(1));
/* 415 */     this.eclipseorgLink.setLayoutData(new GridData(16777216, 16777216, true, 
/* 416 */           false));
/* 417 */     this.eclipseorgLink.setText("<a href=\"http://www.eclipse.org\">" + 
/* 418 */         this.model.getAllUnitCount() + "</a>");
/*     */     
/* 420 */     Label label_26 = new Label(container, 2);
/* 421 */     label_26.setBackground(Display.getCurrent()
/* 422 */         .getSystemColor(1));
/* 423 */     GridData gd_label_26 = new GridData(4, 4, false, 
/* 424 */         false);
/* 425 */     gd_label_26.heightHint = 22;
/* 426 */     gd_label_26.widthHint = 0;
/* 427 */     label_26.setLayoutData(gd_label_26);
/*     */     
/* 429 */     this.eclipseorgLink_1 = new Link(container, 0);
/* 430 */     this.eclipseorgLink_1.setBackground(Display.getCurrent()
/* 431 */         .getSystemColor(1));
/* 432 */     this.eclipseorgLink_1.setLayoutData(new GridData(16777216, 16777216, 
/* 433 */           true, false));
/* 434 */     this.eclipseorgLink_1.setText("<a href=\"http://www.eclipse.org\">" + 
/* 435 */         this.model.getNoCheckCount() + "</a>");
/*     */     
/* 437 */     Label label_26_1 = new Label(container, 2);
/* 438 */     label_26_1.setBackground(Display.getCurrent()
/* 439 */         .getSystemColor(1));
/* 440 */     GridData gd_label_26_1 = new GridData(4, 4, false, 
/* 441 */         false);
/* 442 */     gd_label_26_1.heightHint = 22;
/* 443 */     gd_label_26_1.widthHint = 0;
/* 444 */     label_26_1.setLayoutData(gd_label_26_1);
/*     */     
/* 446 */     this.eclipseorgLink_1_1 = new Link(container, 0);
/* 447 */     this.eclipseorgLink_1_1.setBackground(Display.getCurrent()
/* 448 */         .getSystemColor(1));
/* 449 */     this.eclipseorgLink_1_1.setLayoutData(new GridData(16777216, 16777216, 
/* 450 */           true, false));
/* 451 */     this.eclipseorgLink_1_1.setText("<a href=\"http://www.eclipse.org\">" + 
/* 452 */         this.model.getPreparedCount() + "</a>");
/*     */     
/* 454 */     Label label_26_2 = new Label(container, 2);
/* 455 */     label_26_2.setBackground(Display.getCurrent()
/* 456 */         .getSystemColor(1));
/* 457 */     GridData gd_label_26_2 = new GridData(4, 4, false, 
/* 458 */         false);
/* 459 */     gd_label_26_2.heightHint = 22;
/* 460 */     gd_label_26_2.widthHint = 0;
/* 461 */     label_26_2.setLayoutData(gd_label_26_2);
/*     */     
/* 463 */     this.eclipseorgLink_1_2 = new Link(container, 0);
/* 464 */     this.eclipseorgLink_1_2.setBackground(Display.getCurrent()
/* 465 */         .getSystemColor(1));
/* 466 */     this.eclipseorgLink_1_2.setLayoutData(new GridData(16777216, 16777216, 
/* 467 */           true, false));
/* 468 */     this.eclipseorgLink_1_2.setText("<a href=\"http://www.eclipse.org\">" + 
/* 469 */         this.model.getReturnedCount() + "</a>");
/*     */     
/* 471 */     if (this.iColumn == 2) {
/* 472 */       Label label_30 = new Label(container, 2);
/* 473 */       label_30.setBackground(Display.getCurrent()
/* 474 */           .getSystemColor(1));
/* 475 */       GridData gd_label_30 = new GridData(4, 4, false, 
/* 476 */           false);
/* 477 */       gd_label_30.heightHint = 30;
/* 478 */       gd_label_30.widthHint = 3;
/* 479 */       label_30.setLayoutData(gd_label_30);
/*     */       
/* 481 */       this.eclipseorgLink_2 = new Link(container, 0);
/* 482 */       this.eclipseorgLink_2.setBackground(Display.getCurrent()
/* 483 */           .getSystemColor(1));
/* 484 */       this.eclipseorgLink_2.setLayoutData(new GridData(16777216, 16777216, 
/* 485 */             true, false));
/* 486 */       this.eclipseorgLink_2.setText("<a href=\"http://www.eclipse.org\">" + 
/* 487 */           this.model.getWtCount() + "</a>");
/*     */     } 
/*     */     
/* 490 */     Label label_31 = new Label(container, 2);
/* 491 */     label_31.setBackground(Display.getCurrent()
/* 492 */         .getSystemColor(1));
/* 493 */     GridData gd_label_31 = new GridData(4, 4, false, 
/* 494 */         false);
/* 495 */     gd_label_31.heightHint = 15;
/* 496 */     gd_label_31.widthHint = 1;
/* 497 */     label_31.setLayoutData(gd_label_31);
/*     */     
/* 499 */     this.eclipseorgLink_3 = new Link(container, 0);
/* 500 */     this.eclipseorgLink_3.setBackground(Display.getCurrent()
/* 501 */         .getSystemColor(1));
/* 502 */     this.eclipseorgLink_3.setLayoutData(new GridData(16777216, 16777216, 
/* 503 */           true, false));
/* 504 */     this.eclipseorgLink_3.setText("<a href=\"http://www.eclipse.org\">" + 
/* 505 */         this.model.getNotQualifiedCount() + "</a>");
/*     */     
/* 507 */     Label label_32 = new Label(container, 2);
/* 508 */     label_32.setBackground(Display.getCurrent()
/* 509 */         .getSystemColor(1));
/* 510 */     GridData gd_label_32 = new GridData(4, 4, false, 
/* 511 */         false);
/* 512 */     gd_label_32.heightHint = 12;
/* 513 */     gd_label_32.widthHint = 1;
/* 514 */     label_32.setLayoutData(gd_label_32);
/*     */     
/* 516 */     this.eclipseorgLink_4 = new Link(container, 0);
/* 517 */     this.eclipseorgLink_4.setBackground(Display.getCurrent()
/* 518 */         .getSystemColor(1));
/* 519 */     this.eclipseorgLink_4.setLayoutData(new GridData(16777216, 16777216, 
/* 520 */           true, false));
/* 521 */     this.eclipseorgLink_4.setText("<a href=\"http://www.eclipse.org\">" + 
/* 522 */         this.model.getQualifiedCount() + "</a>");
/*     */     
/* 524 */     Label label_325 = new Label(container, 2);
/* 525 */     label_325.setBackground(Display.getCurrent()
/* 526 */         .getSystemColor(1));
/* 527 */     GridData gd_label_325 = new GridData(4, 4, false, 
/* 528 */         false);
/* 529 */     gd_label_325.heightHint = 12;
/* 530 */     gd_label_325.widthHint = 1;
/* 531 */     label_325.setLayoutData(gd_label_325);
/*     */     
/* 533 */     this.eclipseorgLink_5 = new Link(container, 0);
/* 534 */     this.eclipseorgLink_5.setBackground(Display.getCurrent()
/* 535 */         .getSystemColor(1));
/* 536 */     this.eclipseorgLink_5.setLayoutData(new GridData(16777216, 16777216, 
/* 537 */           true, false));
/* 538 */     this.eclipseorgLink_5.setText("<a href=\"http://www.eclipse.org\">" + 
/* 539 */         this.model.getNotCheckCount() + "</a>");
/*     */ 
/*     */     
/* 542 */     Label label_29 = new Label(container, 2);
/* 543 */     label_29.setBackground(Display.getCurrent()
/* 544 */         .getSystemColor(1));
/* 545 */     GridData gd_label_29 = new GridData(4, 4, false, 
/* 546 */         false);
/* 547 */     gd_label_29.heightHint = 16;
/* 548 */     gd_label_29.widthHint = 1;
/* 549 */     label_29.setLayoutData(gd_label_29);
/*     */ 
/*     */     
/* 552 */     Label label_21 = new Label(container, 258);
/*     */     
/* 554 */     label_21.setBackground(Display.getCurrent()
/* 555 */         .getSystemColor(1));
/* 556 */     label_21.setLayoutData(new GridData(4, 128, false, false, 
/* 557 */           14 + this.iColumn, 1));
/*     */     
/* 559 */     Label label = new Label((Composite)this.group, 0);
/* 560 */     label.setBackground(
/* 561 */         Display.getCurrent().getSystemColor(1));
/* 562 */     label.setText("使用说明：");
/*     */     
/* 564 */     Label label_1 = new Label((Composite)this.group, 64);
/* 565 */     label_1.setBackground(Display.getCurrent()
/* 566 */         .getSystemColor(1));
/* 567 */     label_1.setLayoutData(new GridData(-1, 37));
/* 568 */     label_1.setText("    一、统计年度为" + HomePages.year + 
/* 569 */         "年度；统计对象是本级登记管理机关所登记的事业单位。");
/*     */     
/* 571 */     Label label_2 = new Label((Composite)this.group, 64);
/* 572 */     label_2.setBackground(Display.getCurrent()
/* 573 */         .getSystemColor(1));
/* 574 */     GridData gd_label_2 = new GridData(4, 4, true, 
/* 575 */         false);
/* 576 */     gd_label_2.heightHint = 49;
/* 577 */     gd_label_2.widthHint = 561;
/* 578 */     label_2.setLayoutData(gd_label_2);
/* 579 */     label_2
/* 580 */       .setText("    二、“全部需公示单位数”是指所选登记管理机关所登记的事业单位数（已注销的除外）；“从未提交”数是指" + 
/* 581 */         HomePages.year + 
/* 582 */         "年度从未提交也未在本地保存年度报告的事业单位数；“准备提交”数是指已在本地暂存或保存年度报告材料但是未提交至登记管理机关进行公示的事业单位数；“年报退回”数是指已提交但年度报告材料有误申请退回修改或不予受理的事业单位数；“待公示”数是指已提交但未进行公示的事业单位数；“已公示”数是指进行了公示的事业单位；“不公示”数是指不进行公示的事业单位。单击以上数字，可以打开相关事业单位列表。");
/*     */     
/* 584 */     Label label_4 = new Label((Composite)this.group, 64);
/* 585 */     label_4.setBackground(Display.getCurrent()
/* 586 */         .getSystemColor(1));
/* 587 */     GridData gd_label_4 = new GridData(4, 4, true, 
/* 588 */         false);
/* 589 */     gd_label_4.widthHint = 573;
/* 590 */     gd_label_4.heightHint = 37;
/* 591 */     label_4.setLayoutData(gd_label_4);
/* 592 */     label_4
/* 593 */       .setText("    三、登记管理机关不可手动修改单位年度报告公示状态。");
/*     */     
/* 595 */     Label label_5 = new Label((Composite)this.group, 64);
/* 596 */     label_5.setBackground(Display.getCurrent()
/* 597 */         .getSystemColor(1));
/* 598 */     GridData gd_label_5 = new GridData(4, 4, true, 
/* 599 */         false);
/* 600 */     gd_label_5.heightHint = 47;
/* 601 */     gd_label_5.widthHint = 572;
/* 602 */     label_5.setLayoutData(gd_label_5);
/* 603 */     label_5
/* 604 */       .setText("    四、使用过程中如发现问题，请及时拨打“010-69001555”与我们联系。欢迎提出进一步的完善意见。");
/*     */     
/* 606 */     setAction(this.eclipseorgLink, "0");
/* 607 */     setAction(this.eclipseorgLink_1, "6");
/* 608 */     setAction(this.eclipseorgLink_1_1, "7");
/* 609 */     setAction(this.eclipseorgLink_1_2, "8");
/* 610 */     if (this.iColumn == 2) {
/* 611 */       setAction(this.eclipseorgLink_2, "2");
/*     */     }
/* 613 */     setAction(this.eclipseorgLink_3, "3");
/* 614 */     setAction(this.eclipseorgLink_4, "4");
/* 615 */     setAction(this.eclipseorgLink_5, "5");
/* 616 */     createActions();
/* 617 */     initializeToolBar();
/* 618 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 632 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 633 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 640 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 641 */       .getMenuManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private QuickAnnualCheckModel getData() {
/* 653 */     QuickAnnualCheckModel model = null;
/*     */     try {
/* 655 */       String strGroupId = HomePages.groupId;
/* 656 */       if (strGroupId == null || strGroupId.trim().equals("")) {
/* 657 */         strGroupId = GljgUserInfo.getInstance().getGroupid();
/*     */       }
/* 659 */       ArrayList<QuickAnnualCheckModel> list = (new QuickAnnualCheckOperation())
/* 660 */         .getQuickAnnualPublishCount(strGroupId, 
/* 661 */           String.valueOf(Integer.valueOf(HomePages.year).intValue() + 1));
/* 662 */       if (list != null && 
/* 663 */         list.size() != 0) {
/* 664 */         model = list.get(0);
/*     */       }
/*     */     }
/* 667 */     catch (Exception e) {
/* 668 */       e.printStackTrace();
/*     */     } 
/* 670 */     return model;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction(Link link, final String type) {
/* 677 */     link.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/*     */             try {
/* 681 */               QuickAnnualPublishDialog dialog = new QuickAnnualPublishDialog(
/* 682 */                   QuickAnnualPublish.this.group.getShell(), type, HomePages.year);
/* 683 */               dialog.open();
/* 684 */               if (dialog.isFlag()) {
/* 685 */                 QuickAnnualPublish.this.model = QuickAnnualPublish.this.getData();
/* 686 */                 QuickAnnualPublish.this.eclipseorgLink
/* 687 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 688 */                     QuickAnnualPublish.this.model.getAllUnitCount() + "</a>");
/* 689 */                 QuickAnnualPublish.this.eclipseorgLink_1
/* 690 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 691 */                     QuickAnnualPublish.this.model.getNoCheckCount() + "</a>");
/* 692 */                 QuickAnnualPublish.this.eclipseorgLink_1_1
/* 693 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 694 */                     QuickAnnualPublish.this.model.getPreparedCount() + "</a>");
/*     */                 
/* 696 */                 QuickAnnualPublish.this.eclipseorgLink_1_2
/* 697 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 698 */                     QuickAnnualPublish.this.model.getReturnedCount() + "</a>");
/* 699 */                 if (QuickAnnualPublish.this.iColumn == 2) {
/* 700 */                   QuickAnnualPublish.this.eclipseorgLink_2
/* 701 */                     .setText("<a href=\"http://www.eclipse.org\">" + 
/* 702 */                       QuickAnnualPublish.this.model.getNotQualifiedCount() + "</a>");
/*     */                 }
/* 704 */                 QuickAnnualPublish.this.eclipseorgLink_3
/* 705 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 706 */                     QuickAnnualPublish.this.model.getNotCheckCount() + "</a>");
/* 707 */                 QuickAnnualPublish.this.eclipseorgLink_4
/* 708 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 709 */                     QuickAnnualPublish.this.model.getQualifiedCount() + "</a>");
/* 710 */                 QuickAnnualPublish.this.eclipseorgLink_5
/* 711 */                   .setText("<a href=\"http://www.eclipse.org\">" + 
/* 712 */                     QuickAnnualPublish.this.model.getNotCheckCount() + "</a>");
/* 713 */                 QuickAnnualPublish.this.group.layout();
/*     */               } 
/* 715 */             } catch (Exception e) {
/* 716 */               e.printStackTrace();
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\quick\annualcheck\QuickAnnualPublish.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */