/*     */ package cs.sydj.operation.remark.dialog;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.data.adjust.DataAdjustOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.RemarkLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.operation.remark.RemarkOperation;
/*     */ import server.sydj.operation.remark.SydwRemark;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CreditRemarkDialog
/*     */   extends Dialog
/*     */ {
/*  66 */   protected int type = 0;
/*     */   
/*     */   protected Label label_12;
/*     */   private Text text_2;
/*     */   private Table table;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*  76 */   DataAdjustOperation oper = new DataAdjustOperation();
/*  77 */   private ArrayList list = new ArrayList();
/*  78 */   RemarkOperation remarkManage = new RemarkOperation();
/*     */   
/*  80 */   int totalRows = 0;
/*  81 */   int maxCount = 15;
/*  82 */   int startNo = 1;
/*  83 */   int currentPage = 1;
/*  84 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  88 */   private String sydwnameStr = "";
/*     */   private final String sydwId;
/*  90 */   private TableCursor cursor = null;
/*  91 */   private int selectColums = 10;
/*     */   
/*     */   TableLayout tableLayout;
/*     */   Composite composite_total;
/*  95 */   private final RemarkOperation remarkOperation = new RemarkOperation();
/*     */   
/*     */   public int getMaxCount() {
/*  98 */     return this.maxCount;
/*     */   }
/*     */   
/*     */   public void setMaxCount(int maxCount) {
/* 102 */     this.maxCount = maxCount;
/*     */   }
/*     */   
/*     */   public int getStartNo() {
/* 106 */     return this.startNo;
/*     */   }
/*     */   
/*     */   public void setStartNo(int startNo) {
/* 110 */     this.startNo = startNo;
/*     */   }
/*     */   
/*     */   public int getCurrentPage() {
/* 114 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(int currentPage) {
/* 118 */     this.currentPage = currentPage;
/*     */   }
/*     */   
/*     */   public CreditRemarkDialog(Shell shell2, String sydwId, String sydwName) {
/* 122 */     super(shell2);
/* 123 */     setShellStyle(66560);
/* 124 */     this.sydwId = sydwId;
/* 125 */     this.sydwnameStr = sydwName;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 135 */     Composite container = new Composite(parent, 0);
/* 136 */     container.setBackground(Display.getCurrent()
/* 137 */         .getSystemColor(1));
/* 138 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 140 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/* 141 */         container, 2816);
/* 142 */     scrolledComposite.setBackground(Display.getCurrent()
/* 143 */         .getSystemColor(1));
/* 144 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 145 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 146 */     scrolledComposite.setExpandHorizontal(true);
/*     */     
/* 148 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 149 */     this.composite_total.setBackground(Display.getCurrent()
/* 150 */         .getSystemColor(1));
/* 151 */     this.composite_total.setLayout((Layout)new FormLayout());
/*     */     
/* 153 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/*     */     
/* 155 */     this.table = this.tableViewer.getTable();
/* 156 */     FormData fd_table = new FormData();
/*     */     
/* 158 */     fd_table.bottom = new FormAttachment(0, 429);
/* 159 */     fd_table.right = new FormAttachment(100, -35);
/* 160 */     fd_table.top = new FormAttachment(0, 65);
/* 161 */     fd_table.left = new FormAttachment(0, 35);
/* 162 */     this.table.setLayoutData(fd_table);
/* 163 */     this.table.setLinesVisible(true);
/* 164 */     this.table.setHeaderVisible(true);
/* 165 */     PublicUtil.setTableHeight(this.table);
/* 166 */     PublicUtil.setMouseHands(this.table, "0#3#4#5");
/*     */     
/* 168 */     this.tableLayout = new TableLayout();
/* 169 */     this.table.setLayout((Layout)this.tableLayout);
/* 170 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(45));
/* 171 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 172 */         16777216);
/* 173 */     newColumnTableColumn.setAlignment(16777216);
/* 174 */     newColumnTableColumn.setText("备注标题");
/*     */     
/* 176 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(15));
/* 177 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 178 */         16777216);
/* 179 */     newColumnTableColumn_1.setText("创建人");
/*     */     
/* 181 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(13));
/* 182 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 183 */         16777216);
/* 184 */     newColumnTableColumn_6.setText("创建日期");
/*     */     
/* 186 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 187 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table, 
/* 188 */         16777216);
/* 189 */     newColumnTableColumn_7.setText("");
/* 190 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 191 */     TableColumn newColumnTableColumn_71 = new TableColumn(this.table, 
/* 192 */         16777216);
/* 193 */     newColumnTableColumn_71.setText("");
/*     */     
/* 195 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(9));
/* 196 */     TableColumn newColumnTableColumn_76 = new TableColumn(this.table, 
/* 197 */         16777216);
/* 198 */     newColumnTableColumn_76.setText("");
/*     */     
/* 200 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 201 */     composite_3.setBackground(Display.getCurrent()
/* 202 */         .getSystemColor(1));
/* 203 */     FormData fd_composite_3 = new FormData();
/* 204 */     fd_composite_3.left = new FormAttachment(0, 35);
/* 205 */     fd_composite_3.right = new FormAttachment(100, -35);
/*     */     
/* 207 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 208 */     fd_composite_3.top = new FormAttachment(0, 468);
/* 209 */     composite_3.setLayoutData(fd_composite_3);
/* 210 */     GridLayout gridLayout_3 = new GridLayout();
/* 211 */     gridLayout_3.numColumns = 5;
/* 212 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */ 
/*     */     
/* 216 */     Label label_8 = new Label(composite_3, 0);
/* 217 */     label_8.setLayoutData(new GridData(131072, 16777216, true, false));
/* 218 */     label_8.setBackground(Display.getCurrent()
/* 219 */         .getSystemColor(1));
/* 220 */     label_8.setText("");
/*     */     
/* 222 */     Button btnexcel = new Button(composite_3, 0);
/* 223 */     btnexcel.setLayoutData(new GridData(4, 16777216, false, false, 1, 1));
/* 224 */     btnexcel.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {}
/*     */         });
/*     */     
/* 229 */     btnexcel.setText("另存为excel");
/* 230 */     btnexcel.setVisible(false);
/* 231 */     Button btnCheckReport = new Button(composite_3, 0);
/* 232 */     btnCheckReport.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 235 */             CreditRemarkDialog.this.addRemark();
/*     */           }
/*     */         });
/* 238 */     btnCheckReport.setText("添加备注");
/*     */ 
/*     */     
/* 241 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 242 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new RemarkLableProvider());
/*     */ 
/*     */     
/* 245 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 246 */     GridLayout gridLayout_4 = new GridLayout();
/* 247 */     gridLayout_4.numColumns = 2;
/* 248 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 249 */     composite_fenye.setBackground(Display.getCurrent()
/* 250 */         .getSystemColor(1));
/* 251 */     FormData fd_composite_fenye = new FormData();
/* 252 */     fd_composite_fenye.bottom = new FormAttachment(100, -21);
/* 253 */     fd_composite_fenye.top = new FormAttachment((Control)this.table);
/* 254 */     fd_composite_fenye.left = new FormAttachment(0, 35);
/* 255 */     fd_composite_fenye.right = new FormAttachment(100, -35);
/* 256 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 258 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 259 */     composite_1
/* 260 */       .setLayoutData(new GridData(16384, 128, false, false));
/* 261 */     composite_1.setBackground(Display.getCurrent()
/* 262 */         .getSystemColor(1));
/* 263 */     GridLayout gridLayout_2 = new GridLayout();
/* 264 */     gridLayout_2.marginTop = 3;
/* 265 */     gridLayout_2.verticalSpacing = 0;
/* 266 */     gridLayout_2.marginWidth = 0;
/* 267 */     gridLayout_2.marginHeight = 0;
/* 268 */     gridLayout_2.horizontalSpacing = 2;
/* 269 */     gridLayout_2.numColumns = 7;
/* 270 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 272 */     Label label_1 = new Label(composite_1, 0);
/* 273 */     label_1.setBackground(Display.getCurrent()
/* 274 */         .getSystemColor(1));
/* 275 */     label_1.setText("页次：");
/*     */     
/* 277 */     this.label_2 = new Label(composite_1, 131072);
/* 278 */     this.label_2.setBackground(Display.getCurrent()
/* 279 */         .getSystemColor(1));
/* 280 */     this.label_2.setLayoutData(new GridData(4, 16777216, true, false));
/* 281 */     if (this.totalPages == 0) {
/* 282 */       this.label_2.setText("0/0");
/*     */     } else {
/* 284 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 287 */     Label label_3 = new Label(composite_1, 0);
/* 288 */     label_3.setBackground(Display.getCurrent()
/* 289 */         .getSystemColor(1));
/* 290 */     label_3.setText("页  每页");
/*     */     
/* 292 */     Label label_4 = new Label(composite_1, 0);
/* 293 */     label_4.setBackground(Display.getCurrent()
/* 294 */         .getSystemColor(1));
/* 295 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/* 296 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 298 */     Label label_5 = new Label(composite_1, 0);
/* 299 */     label_5.setBackground(Display.getCurrent()
/* 300 */         .getSystemColor(1));
/* 301 */     label_5.setText("行  共");
/*     */     
/* 303 */     this.label_6 = new Label(composite_1, 0);
/* 304 */     this.label_6.setBackground(Display.getCurrent()
/* 305 */         .getSystemColor(1));
/* 306 */     this.label_6.setLayoutData(new GridData(16384, 16777216, true, false));
/* 307 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 309 */     Label label_7 = new Label(composite_1, 0);
/* 310 */     label_7.setBackground(Display.getCurrent()
/* 311 */         .getSystemColor(1));
/* 312 */     label_7.setText("行");
/*     */ 
/*     */     
/* 315 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 316 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, 
/* 317 */           false));
/* 318 */     GridLayout gridLayout_1 = new GridLayout();
/* 319 */     gridLayout_1.numColumns = 6;
/* 320 */     composite_2.setLayout((Layout)gridLayout_1);
/* 321 */     composite_2.setBackground(Display.getCurrent()
/* 322 */         .getSystemColor(1));
/*     */     
/* 324 */     this.button_1 = new Button(composite_2, 0);
/* 325 */     this.button_1.setText("上一页");
/* 326 */     if (!this.hasPreviousPage) {
/* 327 */       this.button_1.setEnabled(false);
/*     */     }
/* 329 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 331 */             CreditRemarkDialog.this.list = CreditRemarkDialog.this.remarkManage
/*     */ 
/*     */               
/* 334 */               .getSydwRemarkList(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (CreditRemarkDialog.this.currentPage - 2) * CreditRemarkDialog.this.maxCount + 1, CreditRemarkDialog.this.maxCount, CreditRemarkDialog.this.sydwnameStr, CreditRemarkDialog.this.sydwId, false);
/* 335 */             CreditRemarkDialog.this.setFenYe(CreditRemarkDialog.this.list, CreditRemarkDialog.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 339 */     this.button_2 = new Button(composite_2, 0);
/* 340 */     this.button_2.setText("下一页");
/* 341 */     if (!this.hasNextPage) {
/* 342 */       this.button_2.setEnabled(false);
/*     */     }
/* 344 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 346 */             CreditRemarkDialog.this.list = CreditRemarkDialog.this.remarkManage
/*     */ 
/*     */               
/* 349 */               .getSydwRemarkList(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), CreditRemarkDialog.this.currentPage * CreditRemarkDialog.this.maxCount + 1, CreditRemarkDialog.this.maxCount, CreditRemarkDialog.this.sydwnameStr, CreditRemarkDialog.this.sydwId, false);
/* 350 */             CreditRemarkDialog.this.setFenYe(CreditRemarkDialog.this.list, CreditRemarkDialog.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 354 */     Label label_10 = new Label(composite_2, 0);
/* 355 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 356 */     label_10.setText("转至第");
/*     */     
/* 358 */     this.text_2 = new Text(composite_2, 2048);
/* 359 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 361 */     Label label_11 = new Label(composite_2, 0);
/* 362 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 363 */     label_11.setText("页");
/*     */     
/* 365 */     Button goButton = new Button(composite_2, 0);
/* 366 */     goButton.setText("GO");
/*     */     
/* 368 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 370 */             if (VerifyFunction.isNumeric(CreditRemarkDialog.this.text_2.getText())) {
/* 371 */               int aa = Integer.parseInt(CreditRemarkDialog.this.text_2.getText());
/* 372 */               if (aa > CreditRemarkDialog.this.totalPages) {
/* 373 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 375 */                 CreditRemarkDialog.this.list = 
/* 376 */                   CreditRemarkDialog.this.remarkManage
/*     */ 
/*     */ 
/*     */                   
/* 380 */                   .getSydwRemarkList(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), (aa - 1) * CreditRemarkDialog.this.maxCount + 1, CreditRemarkDialog.this.maxCount, CreditRemarkDialog.this.sydwnameStr, CreditRemarkDialog.this.sydwId, false);
/* 381 */                 CreditRemarkDialog.this.setFenYe(CreditRemarkDialog.this.list, aa);
/* 382 */                 CreditRemarkDialog.this.setFontColor();
/* 383 */                 CreditRemarkDialog.this.setCursor();
/*     */               } 
/*     */             } else {
/* 386 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 392 */     Label label_9 = new Label(this.composite_total, 0);
/* 393 */     FormData fd_label_9 = new FormData();
/* 394 */     fd_label_9.left = new FormAttachment(0, 35);
/* 395 */     fd_label_9.right = new FormAttachment(100, -35);
/* 396 */     fd_label_9.top = new FormAttachment(0, 85);
/* 397 */     label_9.setLayoutData(fd_label_9);
/*     */     
/* 399 */     this.label_12 = new Label(this.composite_total, 0);
/* 400 */     this.label_12.setBackground(Display.getCurrent()
/* 401 */         .getSystemColor(1));
/* 402 */     FormData fd_label_12 = new FormData();
/* 403 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 404 */     fd_label_12.top = new FormAttachment(0, 50);
/* 405 */     fd_label_12.right = new FormAttachment(0, 240);
/* 406 */     this.label_12.setLayoutData(fd_label_12);
/* 407 */     this.label_12.setText("备注列表");
/*     */     
/* 409 */     scrolledComposite.setContent((Control)this.composite_total);
/* 410 */     createActions();
/*     */ 
/*     */     
/* 413 */     initTypeView();
/*     */     
/* 415 */     this.list = this.remarkManage
/*     */       
/* 417 */       .getSydwRemarkList(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr, this.sydwId, false);
/* 418 */     this.tableViewer.setInput(this.list);
/* 419 */     if (this.list != null && this.list.size() > 0) {
/* 420 */       this.totalRows = ((SydwRemark)this.list.get(0)).getTotalRows();
/* 421 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 422 */       this.totalPages = pu.getTotalPages();
/* 423 */       this.currentPage = pu.getCurrentPage();
/* 424 */       this.hasNextPage = pu.isHasNextPage();
/* 425 */       this.hasPreviousPage = pu.isHasPreviousPage();
/* 426 */       setFenYe(this.list, this.currentPage);
/* 427 */       setFontColor();
/* 428 */       setCursor();
/*     */     } 
/* 430 */     this.composite_total.setSize(1000, 500);
/* 431 */     return (Control)this.composite_total;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openView(TableItem tableItem, int colums) {
/* 438 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 439 */       .getSelection();
/* 440 */     SydwRemark info = (SydwRemark)select.getFirstElement();
/* 441 */     info.setSydwNameFirst(this.sydwnameStr);
/* 442 */     SydwRemarkDetailDialog dialog = new SydwRemarkDetailDialog(
/* 443 */         this.composite_total.getShell(), info, "old");
/* 444 */     dialog.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openEdit(TableItem tableItem, int colums) {
/* 451 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 452 */       .getSelection();
/* 453 */     SydwRemark info = (SydwRemark)select.getFirstElement();
/* 454 */     info.setSydwNameFirst(this.sydwnameStr);
/* 455 */     SydwRemarkDetailDialog dialog = new SydwRemarkDetailDialog(
/* 456 */         this.composite_total.getShell(), info, "edit");
/* 457 */     if (dialog.open() == 0) {
/* 458 */       String Flag = this.remarkManage.saveSydwRemark(info, "edit", GljgUserInfo.getInstance());
/* 459 */       if (Flag != null) {
/* 460 */         if ("true".equals(Flag)) {
/* 461 */           SydjMessageDialog.openInformation(null, "提示", "修改成功！");
/* 462 */           redraw();
/*     */         } else {
/* 464 */           SydjMessageDialog.openInformation(null, "提示", "修改失败！");
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void deleteRemark(TableItem tableItem, int colums) {
/* 474 */     boolean flags = SydjMessageDialog.openConfirm(null, 
/* 475 */         "提示", "确定后该备注信息将被删除！\n\r请谨慎操作。 确认删除本条备注吗？");
/* 476 */     if (flags) {
/* 477 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 478 */         .getSelection();
/* 479 */       SydwRemark info = (SydwRemark)select.getFirstElement();
/* 480 */       String Flag = this.remarkOperation.deleteRemark(info);
/* 481 */       if ("true".equals(Flag)) {
/* 482 */         SydjMessageDialog.openInformation(null, "提示", 
/* 483 */             "删除成功！");
/* 484 */         redraw();
/*     */       } else {
/* 486 */         SydjMessageDialog.openInformation(null, "提示", 
/* 487 */             "删除失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addRemark() {
/* 497 */     SydwRemark info = new SydwRemark();
/* 498 */     info.setSydwId(this.sydwId);
/* 499 */     info.setSydwNameFirst(this.sydwnameStr);
/* 500 */     info.setGroupId(GljgUserInfo.getInstance().getGroupid());
/* 501 */     info.setDistrictCode(GljgUserInfo.getInstance().getDistrictcode());
/* 502 */     SydwRemarkDetailDialog dialog = new SydwRemarkDetailDialog(
/* 503 */         this.composite_total.getShell(), info, "new");
/* 504 */     if (dialog.open() == 0) {
/* 505 */       String Flag = this.remarkManage.saveSydwRemark(info, "new", GljgUserInfo.getInstance());
/* 506 */       if (Flag != null) {
/* 507 */         if ("true".equals(Flag)) {
/* 508 */           SydjMessageDialog.openInformation(null, "提示", "添加成功！");
/* 509 */           redraw();
/*     */         } else {
/* 511 */           SydjMessageDialog.openInformation(null, "提示", "添加失败！");
/*     */         } 
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void redraw() {
/* 523 */     this.list = this.remarkManage
/*     */       
/* 525 */       .getSydwRemarkList(GljgUserInfo.getInstance().getGroupid(), GljgUserInfo.getInstance().getDistrictcode(), this.startNo, this.maxCount, this.sydwnameStr, this.sydwId, false);
/* 526 */     this.tableViewer.setInput(this.list);
/* 527 */     setFontColor();
/* 528 */     setCursor();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 535 */     if (this.cursor != null)
/* 536 */       this.cursor.dispose(); 
/* 537 */     this.cursor = new TableCursor(this.table, 0);
/* 538 */     this.cursor.setBackground(this.table.getDisplay()
/* 539 */         .getSystemColor(26));
/* 540 */     this.cursor.setForeground(this.table.getDisplay()
/* 541 */         .getSystemColor(27));
/* 542 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 544 */             int colums = CreditRemarkDialog.this.cursor.getColumn();
/* 545 */             if (colums == 0) {
/* 546 */               CreditRemarkDialog.this.openEdit(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 547 */             } else if (colums == 3) {
/* 548 */               CreditRemarkDialog.this.openView(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 549 */             } else if (colums == 4) {
/* 550 */               CreditRemarkDialog.this.openEdit(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 551 */             } else if (colums == 5) {
/* 552 */               CreditRemarkDialog.this.deleteRemark(CreditRemarkDialog.this.cursor.getRow(), colums);
/*     */             } 
/* 554 */             CreditRemarkDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */     
/* 558 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 561 */             int colums = CreditRemarkDialog.this.cursor.getColumn();
/* 562 */             if (colums == CreditRemarkDialog.this.selectColums) {
/* 563 */               if (colums == 0) {
/* 564 */                 CreditRemarkDialog.this.openEdit(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 565 */               } else if (colums == 3) {
/* 566 */                 CreditRemarkDialog.this.openView(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 567 */               } else if (colums == 4) {
/* 568 */                 CreditRemarkDialog.this.openEdit(CreditRemarkDialog.this.cursor.getRow(), colums);
/* 569 */               } else if (colums == 5) {
/* 570 */                 CreditRemarkDialog.this.deleteRemark(CreditRemarkDialog.this.cursor.getRow(), colums);
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 581 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 582 */       this.table.getItem(i)
/* 583 */         .setFont(
/* 584 */           0, 
/* 585 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 586 */             false, false));
/* 587 */       this.table.getItem(i).setForeground(0, 
/* 588 */           SWTResourceManager.getColor(37, 26, 181));
/* 589 */       this.table.getItem(i)
/* 590 */         .setFont(
/* 591 */           3, 
/* 592 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 593 */             false, false));
/* 594 */       this.table.getItem(i).setForeground(3, 
/* 595 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 597 */       this.table.getItem(i)
/* 598 */         .setFont(
/* 599 */           4, 
/* 600 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 601 */             false, false));
/* 602 */       this.table.getItem(i).setForeground(4, 
/* 603 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 605 */       this.table.getItem(i)
/* 606 */         .setFont(
/* 607 */           5, 
/* 608 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 609 */             false, false));
/* 610 */       this.table.getItem(i).setForeground(5, 
/* 611 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<SydwRemark> list, int nextcurrentPage) {
/* 616 */     this.totalRows = 0;
/* 617 */     if (list != null && list.size() > 0) {
/* 618 */       this.totalRows = ((SydwRemark)list.get(0)).getTotalRows();
/*     */     }
/* 620 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 621 */     this.totalPages = pu.getTotalPages();
/* 622 */     this.currentPage = pu.getCurrentPage();
/* 623 */     this.hasNextPage = pu.isHasNextPage();
/* 624 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 625 */     this.startNo = pu.getStartNum();
/* 626 */     this.tableViewer.setInput(list);
/* 627 */     setFontColor();
/* 628 */     setCursor();
/* 629 */     if (this.totalPages == 0) {
/* 630 */       this.label_2.setText("0/0");
/*     */     } else {
/* 632 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 634 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 635 */     this.label_6.getParent().getParent().layout();
/* 636 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 637 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initTypeView() {}
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 657 */     super.initializeBounds();
/*     */     
/* 659 */     Shell newShell = getShell();
/* 660 */     PublicUtil.setCenter(newShell);
/* 661 */     newShell.setText("“" + this.sydwnameStr + "”备注信息列表");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\remark\dialog\CreditRemarkDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */