/*     */ package cs.sydj.operation.remark.dialog;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.operation.remark.RemarkOperation;
/*     */ import server.sydj.operation.remark.SydwRemark;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SydwRemarkTjUploadModelDialog
/*     */   extends Dialog
/*     */   implements Runnable
/*     */ {
/*     */   private Thread tRead;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   protected Shell uploadAttachShell;
/*  41 */   protected Display display = getParent().getDisplay();
/*     */   Composite composite_total;
/*  43 */   RemarkOperation remarkOperation = new RemarkOperation();
/*     */   private String url;
/*     */   SydwRemark info;
/*  46 */   private String remarkFjGroupId = "0";
/*     */   private String state;
/*     */   
/*     */   public String getRemarkFjGroupId() {
/*  50 */     return this.remarkFjGroupId;
/*     */   }
/*     */   
/*     */   public void setRemarkFjGroupId(String remarkFjGroupId) {
/*  54 */     this.remarkFjGroupId = remarkFjGroupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SydwRemarkTjUploadModelDialog(Shell parent, int style) {
/*  64 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SydwRemarkTjUploadModelDialog(SydwRemark info, Shell parent, String url1, Shell uploadAttachShell, String state) {
/*  74 */     this(parent, 0);
/*  75 */     this.url = url1;
/*  76 */     this.info = info;
/*  77 */     this.uploadAttachShell = uploadAttachShell;
/*  78 */     this.state = state;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  87 */     createContents();
/*     */     
/*  89 */     this.tRead = new Thread(this);
/*  90 */     this.tRead.start();
/*  91 */     this.shell.open();
/*  92 */     this.shell.layout();
/*  93 */     while (!this.shell.isDisposed()) {
/*  94 */       if (!this.display.readAndDispatch())
/*  95 */         this.display.sleep(); 
/*     */     } 
/*  97 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 104 */     this.shell = new Shell(getParent(), 67616);
/* 105 */     this.shell.setSize(345, 181);
/* 106 */     this.shell.setText("运行提示");
/* 107 */     Label label = new Label((Composite)this.shell, 131072);
/* 108 */     label.setAlignment(16777216);
/* 109 */     label.setText("正在执行操作，请稍候...");
/* 110 */     label.setBounds(55, 70, 204, 44);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void close() {
/* 118 */     this.display.syncExec(new Runnable() {
/*     */           public void run() {
/* 120 */             SydwRemarkTjUploadModelDialog.this.shell.close();
/* 121 */             SydwRemarkTjUploadModelDialog.this.shell.dispose();
/* 122 */             SydwRemarkTjUploadModelDialog.this.info.setRemarkFj(SydwRemarkTjUploadModelDialog.this.remarkFjGroupId);
/* 123 */             SydwRemarkTjUploadModelDialog.this.remarkOperation.udpateRemarkFj(SydwRemarkTjUploadModelDialog.this.info);
/* 124 */             SydjMessageDialog.openInformation(null, "提示", "上传成功！");
/* 125 */             SydwRemarkTjUploadModelDialog.this.uploadAttachShell.close();
/* 126 */             SydwRemarkTjUploadModelDialog.this.uploadAttachShell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   public void run() {
/*     */     try {
/* 133 */       if (this.state.equals("new")) {
/* 134 */         if (this.info == null || "0".equals(this.info.getRemarkFj())) {
/* 135 */           this.remarkFjGroupId = this.remarkOperation.getAttachId(null);
/*     */         } else {
/* 137 */           this.remarkFjGroupId = this.info.getRemarkFj();
/*     */         } 
/* 139 */         this.info.setRemarkFj(this.remarkFjGroupId);
/* 140 */         this.info.setPath(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH"));
/*     */         
/* 142 */         if (!PublicUtil.isNull(this.url)) {
/* 143 */           this.remarkOperation.uploadAttach(this.info, this.url);
/*     */         }
/*     */       } else {
/* 146 */         this.remarkFjGroupId = this.info.getRemarkFj();
/* 147 */         this.info.setRemarkFj(this.remarkFjGroupId);
/* 148 */         this.info.setPath(MessageProxy.getSystemenv("DEFAULT_DOWNLOAD_PATH"));
/* 149 */         if (!PublicUtil.isNull(this.url)) {
/* 150 */           this.remarkOperation.uploadAttach(this.info, this.url);
/*     */         }
/*     */       }
/*     */     
/* 154 */     } catch (Exception e) {
/* 155 */       e.printStackTrace();
/*     */     } 
/* 157 */     close();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\remark\dialog\SydwRemarkTjUploadModelDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */