/*     */ package cs.sydj.operation.shenhe.annualcheck;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.DoubleClickEvent;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IDoubleClickListener;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.HistoryTableViewerLabelProvider;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ public class AnnualCheckHistoryDialogShenHe extends Dialog {
/*     */   private Table table_1;
/*     */   protected Object result;
/*  42 */   private TableCursor cursor = null; protected Shell shell; private UnitInfoModel annualCheck; private ArrayList historyList;
/*     */   private TableViewer tableViewer;
/*  44 */   protected int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialogShenHe(Shell parent, int style) {
/*  53 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialogShenHe(Shell parent, UnitInfoModel annualCheck, ArrayList historyList) {
/*  58 */     super(parent, 0);
/*  59 */     this.annualCheck = annualCheck;
/*  60 */     this.historyList = historyList;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnualCheckHistoryDialogShenHe(Shell parent) {
/*  69 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  78 */     createContents();
/*  79 */     PublicUtil.setCenter(this.shell);
/*  80 */     this.shell.open();
/*  81 */     this.shell.layout();
/*  82 */     Display display = getParent().getDisplay();
/*  83 */     while (!this.shell.isDisposed()) {
/*  84 */       if (!display.readAndDispatch())
/*  85 */         display.sleep(); 
/*     */     } 
/*  87 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  94 */     this.shell = new Shell(getParent(), 67680);
/*  95 */     this.shell.setBackgroundMode(1);
/*  96 */     this.shell.setBackground(
/*  97 */         Display.getCurrent().getSystemColor(1));
/*  98 */     this.shell.setLayout((Layout)new FormLayout());
/*  99 */     this.shell.setSize(800, 600);
/* 100 */     this.shell.setText("历史记录");
/*     */     
/* 102 */     Composite group = new Composite((Composite)this.shell, 0);
/* 103 */     GridLayout gridLayout = new GridLayout();
/* 104 */     gridLayout.marginTop = 25;
/* 105 */     gridLayout.marginRight = 25;
/* 106 */     gridLayout.marginLeft = 25;
/* 107 */     group.setLayout((Layout)gridLayout);
/* 108 */     FormData fd_group = new FormData();
/* 109 */     fd_group.bottom = new FormAttachment(100, -60);
/* 110 */     fd_group.right = new FormAttachment(100, -5);
/* 111 */     fd_group.top = new FormAttachment(0, 0);
/* 112 */     fd_group.left = new FormAttachment(0, 0);
/* 113 */     group.setLayoutData(fd_group);
/*     */     
/* 115 */     Object data = this.historyList;
/*     */     
/* 117 */     Label label = new Label(group, 0);
/* 118 */     label.setLayoutData(new GridData());
/* 119 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 120 */     label.setText("Label");
/* 121 */     label.setText("“" + this.annualCheck.getName() + "”年度报告公示申请历史记录");
/* 122 */     label.setFont(
/* 123 */         SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 124 */     Label label_2 = new Label(group, 258);
/* 125 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 127 */     this.tableViewer = new TableViewer(group, 67584);
/* 128 */     this.tableViewer.addDoubleClickListener(new IDoubleClickListener()
/*     */         {
/*     */           public void doubleClick(DoubleClickEvent arg0) {}
/*     */         });
/*     */     
/* 133 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new HistoryTableViewerLabelProvider());
/* 134 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 135 */     this.table_1 = this.tableViewer.getTable();
/* 136 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 138 */             int colums = AnnualCheckHistoryDialogShenHe.this.cursor.getColumn();
/* 139 */             AnnualCheckHistoryDialogShenHe.this.openChildrenDialog(colums);
/* 140 */             AnnualCheckHistoryDialogShenHe.this.selectColums = colums;
/*     */           }
/*     */         });
/* 143 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 144 */         false);
/* 145 */     gd_table_1.heightHint = 312;
/* 146 */     this.table_1.setLayoutData(gd_table_1);
/* 147 */     this.table_1.setLinesVisible(true);
/* 148 */     this.table_1.setHeaderVisible(true);
/*     */     
/* 150 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 151 */         0);
/* 152 */     newColumnTableColumn_1.setAlignment(16777216);
/* 153 */     newColumnTableColumn_1.setWidth(91);
/* 154 */     newColumnTableColumn_1.setText("提交次数");
/*     */     
/* 156 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 157 */         0);
/* 158 */     newColumnTableColumn_2.setAlignment(16777216);
/* 159 */     newColumnTableColumn_2.setWidth(100);
/* 160 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 162 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 163 */         0);
/* 164 */     newColumnTableColumn.setAlignment(16777216);
/* 165 */     newColumnTableColumn.setWidth(350);
/* 166 */     newColumnTableColumn.setText("举办单位意见");
/*     */     
/* 168 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 169 */         0);
/* 170 */     newColumnTableColumn_3.setAlignment(16777216);
/* 171 */     newColumnTableColumn_3.setWidth(350);
/* 172 */     newColumnTableColumn_3.setText("受理人意见");
/*     */     
/* 174 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 175 */         0);
/* 176 */     newColumnTableColumn_4.setAlignment(16777216);
/* 177 */     newColumnTableColumn_4.setWidth(350);
/* 178 */     newColumnTableColumn_4.setText("审核人意见");
/*     */     
/* 180 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 181 */         0);
/* 182 */     newColumnTableColumn_5.setAlignment(16777216);
/* 183 */     newColumnTableColumn_5.setWidth(350);
/* 184 */     newColumnTableColumn_5.setText("核准人意见");
/*     */     
/* 186 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 187 */         0);
/* 188 */     newColumnTableColumn_6.setAlignment(16777216);
/* 189 */     newColumnTableColumn_6.setWidth(100);
/* 190 */     newColumnTableColumn_6.setText("核准时间");
/* 191 */     this.tableViewer.setInput(data);
/*     */     
/* 193 */     Label label_1 = new Label(group, 258);
/* 194 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 196 */     Button button = new Button((Composite)this.shell, 0);
/* 197 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 199 */             AnnualCheckHistoryDialogShenHe.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 203 */     FormData fd_button = new FormData();
/* 204 */     fd_button.bottom = new FormAttachment(0, 556);
/* 205 */     fd_button.top = new FormAttachment(0, 533);
/* 206 */     fd_button.right = new FormAttachment(0, 781);
/* 207 */     fd_button.left = new FormAttachment(0, 706);
/* 208 */     button.setLayoutData(fd_button);
/* 209 */     button.setText("关闭");
/* 210 */     setFontColor();
/* 211 */     setCursor();
/* 212 */     PublicUtil.setTableHeight(this.table_1);
/* 213 */     PublicUtil.setMouseHands(this.table_1, "0");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 220 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 221 */       this.table_1.getItem(i)
/* 222 */         .setFont(
/* 223 */           0, 
/* 224 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 225 */             false, false));
/* 226 */       this.table_1.getItem(i).setForeground(0, 
/* 227 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 235 */     if (this.cursor != null)
/*     */     {
/* 237 */       this.cursor.dispose(); } 
/* 238 */     this.cursor = new TableCursor(this.table_1, 0);
/* 239 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 240 */         .getSystemColor(26));
/* 241 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 242 */         .getSystemColor(27));
/* 243 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 246 */             int colums = AnnualCheckHistoryDialogShenHe.this.cursor.getColumn();
/* 247 */             AnnualCheckHistoryDialogShenHe.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 256 */     if (colums == 0)
/*     */       try {
/* 258 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 259 */           .getSelection();
/* 260 */         HistoryModel history = (HistoryModel)select.getFirstElement();
/* 261 */         AnnualCheckOperationShenHe oper = new AnnualCheckOperationShenHe();
/* 262 */         ArrayList fileList = oper.getAnnualCheckHistoryFileInfo(
/* 263 */             GljgUserInfo.getInstance().getGroupid(), 
/* 264 */             history.getApplyId(), history.getCurrentId(), 
/* 265 */             history.getId(), true);
/* 266 */         if (fileList == null)
/*     */           return; 
/* 268 */         AnnualCheckDetailDialogShenHe dialog = new AnnualCheckDetailDialogShenHe(
/* 269 */             this.shell, this.annualCheck, fileList, false, false, "", true, 
/* 270 */             false);
/* 271 */         dialog.open();
/* 272 */       } catch (Exception e) {
/* 273 */         e.printStackTrace();
/*     */       }  
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\annualcheck\AnnualCheckHistoryDialogShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */