/*     */ package cs.sydj.operation.shenhe.annualcheck.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shenhe.annualcheck.AnnualCheckDetailDialogShenHe;
/*     */ import cs.sydj.operation.shenhe.annualcheck.AnnualCheckOperationShenHe;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AnnualCheckDetailActionGroupShenHe
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private AnnualCheckDetailDialogShenHe dialog;
/*     */   
/*     */   public AnnualCheckDetailActionGroupShenHe(AnnualCheckDetailDialogShenHe dialog) {
/*  38 */     this.dialog = dialog;
/*  39 */     this.barManager = dialog.getBarManager();
/*  40 */     this.applyId = dialog.getAnnualCheck().getApplyId();
/*  41 */     this.currentId = dialog.getAnnualCheck().getId();
/*  42 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  47 */       setId("cs.sydj.shenhe.annualCheck.actions.acceptpass");
/*  48 */       setText("审核通过");
/*  49 */       setToolTipText("审核通过");
/*     */ 
/*     */       
/*  52 */       setEnabled(StaticVariableClass.isWtAdvice);
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  57 */         AnnualCheckOperationShenHe annualCheck = new AnnualCheckOperationShenHe();
/*  58 */         UnitInfoModel model = AnnualCheckDetailActionGroupShenHe.this.dialog.getAnnualCheck();
/*  59 */         String flag = annualCheck.acceptPass(model.getApplyId(), 
/*  60 */             model.getId());
/*  61 */         if (flag == null) {
/*     */           return;
/*     */         }
/*  64 */         if ("true".equals(flag)) {
/*  65 */           SydjMessageDialog.openInformation(null, "提示", "操作成功");
/*  66 */           AnnualCheckDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/*  67 */           AnnualCheckDetailActionGroupShenHe.this.dialog.getShell().dispose();
/*     */         } else {
/*  69 */           SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */         }
/*     */       
/*     */       }
/*  73 */       catch (Exception e) {
/*  74 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  82 */       setId("cs.sydj.shenhe.annualCheck.actions.backmodify");
/*  83 */       setText("退回修改");
/*  84 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  88 */       AnnualCheckOperationShenHe annualCheck = new AnnualCheckOperationShenHe();
/*  89 */       String str = annualCheck.backModifyStr(AnnualCheckDetailActionGroupShenHe.this.applyId, AnnualCheckDetailActionGroupShenHe.this.currentId);
/*  90 */       if (str == null)
/*     */         return; 
/*  92 */       ArrayList list = annualCheck.getAnnexName(
/*  93 */           GljgUserInfo.getInstance().getGroupid());
/*  94 */       if (list == null)
/*     */         return; 
/*  96 */       String advice = annualCheck.checkBackOffReason(AnnualCheckDetailActionGroupShenHe.this.applyId, AnnualCheckDetailActionGroupShenHe.this.currentId);
/*  97 */       if (advice == null)
/*     */         return; 
/*  99 */       BackModifyDialog back = new BackModifyDialog(AnnualCheckDetailActionGroupShenHe.this.shell, str, list, 
/* 100 */           advice, "你单位提交的年度检查申请材料不全，请补充提交：", 
/* 101 */           "你单位提交的年度检查申请材料不合格，请重新提交：", "事业单位法人年度报告书", "", "");
/* 102 */       if (back.open() == 0) {
/* 103 */         String flag = annualCheck.backModify(AnnualCheckDetailActionGroupShenHe.this.applyId, AnnualCheckDetailActionGroupShenHe.this.currentId, 
/* 104 */             back.getReason());
/* 105 */         if (flag != null) {
/* 106 */           if ("true".equals(flag)) {
/* 107 */             SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 108 */             AnnualCheckDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 109 */             if (!AnnualCheckDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 110 */               AnnualCheckDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 112 */             SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */           } 
/*     */         }
/* 115 */         AnnualCheckDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 116 */         if (!AnnualCheckDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 117 */           AnnualCheckDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 123 */     this.barManager.removeAll();
/* 124 */     if (this.isVisible) {
/* 125 */       Action acceptPass = new AcceptPassAction();
/* 126 */       Action backModify = new BackModifyAction();
/* 127 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 128 */       this.barManager.add(createContributionItem((IAction)backModify));
/*     */     } 
/* 130 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 134 */     ActionContributionItem act = new ActionContributionItem(action);
/* 135 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 136 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 142 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\annualcheck\actions\AnnualCheckDetailActionGroupShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */