/*     */ package cs.sydj.operation.shenhe.cert;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.ViewAnnexStat;
/*     */ import cs.sydj.common.attachs.AttachsListDialog;
/*     */ import cs.sydj.common.attachs.AttachsOperations;
/*     */ import cs.sydj.operation.shenhe.cert.actions.CertDetailActionGroupShenHe;
/*     */ import cs.sydj.operation.shouli.cert.CertOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.MenuManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.custom.TableEditor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.ToolBar;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.FileTableViewerLabelProvider;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertDetailDialogShenHe
/*     */   extends Dialog
/*     */ {
/*     */   private ToolBar toolBar;
/*     */   private Table table;
/*     */   private CertDetailActionGroupShenHe actionGroup;
/*     */   private ToolBarManager barManager;
/*     */   private MenuManager manager;
/*     */   private UnitInfoModel cert;
/*     */   private ArrayList fileList;
/*     */   private boolean flag;
/*     */   static String modifyReason;
/*     */   private TableViewer tableViewer;
/*     */   private boolean isWtAccept = true;
/*     */   private boolean tbVisible;
/*     */   private String type;
/*  71 */   private int returnValue = 1;
/*  72 */   private String rate = "0:0.5:3.5:1:2:1.7:1.27:0.01";
/*     */ 
/*     */   
/*  75 */   private TableCursor cursor = null;
/*     */   private Composite container;
/*     */   private Composite composite;
/*  78 */   protected int selectColums = 32;
/*  79 */   private CertOperationShenHe oper = new CertOperationShenHe();
/*  80 */   private TableColumn newColumnTableColumn_3 = null;
/*     */   
/*     */   private boolean isVisible = false;
/*     */   TableEditor[] editors;
/*     */   Composite[] radio;
/*     */   
/*     */   public boolean isVisible() {
/*  87 */     return this.isVisible;
/*     */   }
/*     */   
/*     */   public void setVisible(boolean isVisible) {
/*  91 */     this.isVisible = isVisible;
/*     */   }
/*     */   
/*     */   public String getRate() {
/*  95 */     return this.rate;
/*     */   }
/*     */   
/*     */   public void setRate(String rate) {
/*  99 */     this.rate = rate;
/*     */   }
/*     */   
/*     */   public Composite getComposite() {
/* 103 */     return this.composite;
/*     */   }
/*     */   
/*     */   public void setComposite(Composite composite) {
/* 107 */     this.composite = composite;
/*     */   }
/*     */   
/*     */   public TableColumn getNewColumnTableColumn_3() {
/* 111 */     return this.newColumnTableColumn_3;
/*     */   }
/*     */   
/*     */   public void setNewColumnTableColumn_3(TableColumn newColumnTableColumn_3) {
/* 115 */     this.newColumnTableColumn_3 = newColumnTableColumn_3;
/*     */   }
/*     */   
/*     */   public Composite[] getRadio() {
/* 119 */     return this.radio;
/*     */   }
/*     */   
/*     */   public void setRadio(Composite[] radio) {
/* 123 */     this.radio = radio;
/*     */   }
/*     */   
/*     */   public int getReturnValue() {
/* 127 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/* 131 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertDetailDialogShenHe(Shell parent, UnitInfoModel cert, ArrayList fileList, boolean flag, boolean isWtAccept, String type, boolean tbVisible, boolean isVisible) {
/* 142 */     super(parent);
/* 143 */     this.fileList = fileList;
/* 144 */     this.cert = cert;
/* 145 */     this.flag = flag;
/* 146 */     this.isWtAccept = isWtAccept;
/* 147 */     this.type = type;
/* 148 */     this.tbVisible = tbVisible;
/* 149 */     this.isVisible = isVisible;
/* 150 */     PublicUtil.setPassEnable(fileList);
/* 151 */     setRate();
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 156 */     super.open();
/* 157 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 167 */     parent.setBackgroundMode(2);
/* 168 */     parent.setBackground(Display.getCurrent()
/* 169 */         .getSystemColor(1));
/* 170 */     this.container = (Composite)super.createDialogArea(parent);
/*     */     
/* 172 */     this.container.setBackground(Display.getCurrent()
/* 173 */         .getSystemColor(1));
/*     */     
/* 175 */     Label label = new Label(this.container, 64);
/* 176 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 177 */     label.setBackground(
/* 178 */         Display.getCurrent().getSystemColor(1));
/* 179 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 180 */     label.setText("“" + this.cert.getName() + "”证书补领文件");
/*     */     
/* 182 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 184 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 186 */     this.composite = new Composite(this.container, 0);
/* 187 */     this.composite.setBackground(Display.getCurrent()
/* 188 */         .getSystemColor(1));
/* 189 */     GridLayout gridLayout = new GridLayout();
/* 190 */     gridLayout.verticalSpacing = 0;
/* 191 */     gridLayout.marginWidth = 0;
/* 192 */     gridLayout.marginHeight = 0;
/* 193 */     gridLayout.horizontalSpacing = 0;
/* 194 */     this.composite.setLayout((Layout)gridLayout);
/* 195 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 196 */         false);
/* 197 */     gd_composite.heightHint = 260;
/* 198 */     this.composite.setLayoutData(gd_composite);
/*     */     
/* 200 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 202 */     this.table = this.tableViewer.getTable();
/* 203 */     this.table.setLinesVisible(true);
/* 204 */     this.table.setHeaderVisible(true);
/* 205 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 207 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 208 */         16777216);
/* 209 */     newColumnTableColumn.setAlignment(16777216);
/* 210 */     newColumnTableColumn.setResizable(false);
/* 211 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 212 */         16777216);
/* 213 */     newColumnTableColumn_6.setAlignment(16777216);
/* 214 */     newColumnTableColumn_6.setWidth(30);
/*     */     
/* 216 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 217 */         0);
/* 218 */     newColumnTableColumn_1.setWidth(200);
/* 219 */     newColumnTableColumn_1.setText("文件名称");
/* 220 */     if (this.tbVisible) {
/* 221 */       TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 222 */           16777216);
/* 223 */       newColumnTableColumn_2.setAlignment(16777216);
/* 224 */       newColumnTableColumn_2.setWidth(80);
/*     */     } 
/* 226 */     if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 227 */       this.newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 228 */       this.newColumnTableColumn_3.setAlignment(16777216);
/* 229 */       this.newColumnTableColumn_3.setWidth(200);
/*     */     } 
/* 231 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 232 */         16777216);
/* 233 */     newColumnTableColumn_4.setAlignment(16777216);
/* 234 */     newColumnTableColumn_4.setWidth(150);
/* 235 */     newColumnTableColumn_4.setText("提交状态");
/*     */     
/* 237 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 238 */         16777216);
/* 239 */     newColumnTableColumn_5.setAlignment(16777216);
/* 240 */     newColumnTableColumn_5.setWidth(80);
/* 241 */     newColumnTableColumn_5.setText("状态改变时间");
/* 242 */     TableColumn newColumnTableColumn_61 = new TableColumn(this.table, 
/* 243 */         16777216);
/* 244 */     newColumnTableColumn_61.setAlignment(16777216);
/* 245 */     newColumnTableColumn_61.setWidth(0);
/* 246 */     newColumnTableColumn_61.setText("");
/* 247 */     newColumnTableColumn_61.setResizable(false);
/* 248 */     Label label_2 = new Label(this.container, 258);
/*     */     
/* 250 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 252 */     this.toolBar = new ToolBar(this.container, 0);
/* 253 */     this.toolBar.setBackground(Display.getCurrent()
/* 254 */         .getSystemColor(1));
/* 255 */     GridData fd_toolBar = new GridData(16777216, 16777216, true, 
/* 256 */         false);
/* 257 */     this.toolBar.setLayoutData(fd_toolBar);
/* 258 */     this.barManager = new ToolBarManager(this.toolBar);
/* 259 */     this.actionGroup = new CertDetailActionGroupShenHe(this);
/* 260 */     this.actionGroup.fillActionToolBar();
/* 261 */     this.manager = new MenuManager();
/* 262 */     this.actionGroup.fillContextMenu((IMenuManager)this.manager);
/* 263 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 264 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FileTableViewerLabelProvider());
/* 265 */     PublicUtil.setMouseHands(this.table, "2#3");
/* 266 */     setData();
/* 267 */     setActions();
/* 268 */     setFontColor();
/* 269 */     setCursor();
/*     */     
/* 271 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 277 */     super.initializeBounds();
/* 278 */     PublicUtil.setWidth(this.composite, this.table, this.rate);
/* 279 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   public ToolBarManager getBarManager() {
/* 283 */     return this.barManager;
/*     */   }
/*     */   
/*     */   public void setBarManager(ToolBarManager barManager) {
/* 287 */     this.barManager = barManager;
/*     */   }
/*     */   
/*     */   public MenuManager getManager() {
/* 291 */     return this.manager;
/*     */   }
/*     */   
/*     */   public void setManager(MenuManager manager) {
/* 295 */     this.manager = manager;
/*     */   }
/*     */   
/*     */   public UnitInfoModel getCert() {
/* 299 */     return this.cert;
/*     */   }
/*     */   
/*     */   public void setCert(UnitInfoModel cert) {
/* 303 */     this.cert = cert;
/*     */   }
/*     */   
/*     */   public ArrayList getFileList() {
/* 307 */     return this.fileList;
/*     */   }
/*     */   
/*     */   public void setFileList(ArrayList fileList) {
/* 311 */     this.fileList = fileList;
/*     */   }
/*     */   
/*     */   public boolean isFlag() {
/* 315 */     return this.flag;
/*     */   }
/*     */   
/*     */   public void setFlag(boolean flag) {
/* 319 */     this.flag = flag;
/*     */   }
/*     */   
/*     */   public static String getModifyReason() {
/* 323 */     return modifyReason;
/*     */   }
/*     */   
/*     */   public static void setModifyReason(String modifyReason) {
/* 327 */     CertDetailDialogShenHe.modifyReason = modifyReason;
/*     */   }
/*     */   
/*     */   public TableViewer getTableViewer() {
/* 331 */     return this.tableViewer;
/*     */   }
/*     */   
/*     */   public void setTableViewer(TableViewer tableViewer) {
/* 335 */     this.tableViewer = tableViewer;
/*     */   }
/*     */   
/*     */   public boolean isWtAccept() {
/* 339 */     return this.isWtAccept;
/*     */   }
/*     */   
/*     */   public void setWtAccept(boolean isWtAccept) {
/* 343 */     this.isWtAccept = isWtAccept;
/*     */   }
/*     */   
/*     */   public boolean isTbVisible() {
/* 347 */     return this.tbVisible;
/*     */   }
/*     */   
/*     */   public void setTbVisible(boolean tbVisible) {
/* 351 */     this.tbVisible = tbVisible;
/*     */   }
/*     */   
/*     */   public String getType() {
/* 355 */     return this.type;
/*     */   }
/*     */   
/*     */   public void setType(String type) {
/* 359 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 366 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 369 */             int colums = CertDetailDialogShenHe.this.cursor.getColumn();
/* 370 */             CertDetailDialogShenHe.this.openChildrenDialog(colums);
/* 371 */             CertDetailDialogShenHe.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 383 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 391 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 395 */     super.configureShell(newShell);
/* 396 */     newShell.setText("详细信息");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData() {
/* 403 */     this.editors = new TableEditor[this.fileList.size()];
/*     */     
/* 405 */     this.radio = new Composite[this.fileList.size()];
/* 406 */     for (int i = 0; i < this.fileList.size(); i++) {
/* 407 */       FileModel model = this.fileList.get(i);
/* 408 */       TableItem items = new TableItem(this.table, 0);
/* 409 */       items.setData(model);
/* 410 */       items.setImage(new Image(null, 1, 19));
/* 411 */       if (this.tbVisible) {
/* 412 */         if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 413 */           items.setText(new String[] { "", model.getSquence(), 
/* 414 */                 model.getFileName(), 
/* 415 */                 !model.isAnnex() ? "表格下载" : "", "", 
/* 416 */                 model.getSubStat(), model.getSubDate() });
/*     */         } else {
/* 418 */           items.setText(new String[] { "", model.getSquence(), 
/* 419 */                 model.getFileName(), 
/* 420 */                 !model.isAnnex() ? "表格下载" : "", model.getSubStat(), 
/* 421 */                 model.getSubDate() });
/*     */         } 
/* 423 */       } else if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 424 */         items.setText(new String[] { "", model.getSquence(), 
/* 425 */               model.getFileName(), "", model.getSubStat(), 
/* 426 */               model.getSubDate() });
/*     */       } else {
/* 428 */         items.setText(new String[] { "", model.getSquence(), 
/* 429 */               model.getFileName(), model.getSubStat(), 
/* 430 */               model.getSubDate() });
/*     */       } 
/* 432 */       if (model.isAnnex() && model.isFaxOrMail() && 
/* 433 */         !model.getSubStat().equals("未提交") && !model.isDeal() && 
/* 434 */         this.isVisible) {
/* 435 */         this.editors[i] = new TableEditor(this.table);
/* 436 */         this.radio[i] = new Composite((Composite)this.table, 0);
/* 437 */         this.radio[i].setLayout((Layout)new FillLayout());
/* 438 */         this.radio[i].setLayoutData(new GridData(-1, 25));
/* 439 */         GridLayout gridLayout_1 = new GridLayout();
/* 440 */         gridLayout_1.numColumns = 2;
/* 441 */         this.radio[i].setLayout((Layout)gridLayout_1);
/* 442 */         this.radio[i].setBackground(Display.getCurrent()
/* 443 */             .getSystemColor(1));
/* 444 */         final Button button = new Button(this.radio[i], 16);
/* 445 */         button.setBackground(Display.getCurrent()
/* 446 */             .getSystemColor(1));
/* 447 */         final Button button_1 = new Button(this.radio[i], 16);
/* 448 */         button_1.setBackground(Display.getCurrent()
/* 449 */             .getSystemColor(1));
/* 450 */         if (model.getSubStat().equals("邮寄或面交")) {
/* 451 */           button.setText("邮件已收到或已面交");
/* 452 */           button_1.setText("邮件未收到");
/*     */         } 
/* 454 */         if (model.getSubStat().equals("传真")) {
/* 455 */           button.setText("传真已收到");
/* 456 */           button_1.setText("传真未收到");
/*     */         } 
/* 458 */         button.setData("key", Integer.valueOf(i));
/* 459 */         button_1.setData("key", Integer.valueOf(i));
/* 460 */         this.radio[i].computeSize(-1, 100);
/* 461 */         (this.editors[i]).grabHorizontal = true;
/* 462 */         if (this.tbVisible) {
/* 463 */           this.editors[i].setEditor((Control)this.radio[i], items, 4);
/*     */         } else {
/* 465 */           this.editors[i].setEditor((Control)this.radio[i], items, 3);
/* 466 */         }  button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */             {
/*     */               public void widgetSelected(SelectionEvent arg0) {
/* 469 */                 FileModel md = CertDetailDialogShenHe.this.fileList
/* 470 */                   .get(Integer.valueOf(String.valueOf(button
/* 471 */                         .getData("key"))).intValue());
/* 472 */                 md.setAnnexStat(button.getText());
/*     */               }
/*     */             });
/* 475 */         button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */             {
/*     */               public void widgetSelected(SelectionEvent arg0) {
/* 478 */                 FileModel md = CertDetailDialogShenHe.this.fileList.get(
/* 479 */                     Integer.valueOf(
/* 480 */                       String.valueOf(button_1.getData("key"))).intValue());
/* 481 */                 md.setAnnexStat(button_1.getText());
/*     */               }
/*     */             });
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 493 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 494 */       this.table.getItem(i)
/* 495 */         .setFont(
/* 496 */           2, 
/* 497 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 498 */             false, false));
/* 499 */       this.table.getItem(i).setForeground(2, 
/* 500 */           SWTResourceManager.getColor(37, 26, 181));
/* 501 */       if (this.tbVisible) {
/* 502 */         this.table.getItem(i).setFont(
/* 503 */             3, 
/* 504 */             SWTResourceManager.getFont("宋体", 9, 0, false, 
/* 505 */               false));
/* 506 */         this.table.getItem(i).setForeground(3, 
/* 507 */             SWTResourceManager.getColor(37, 26, 181));
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 516 */     if (this.cursor != null)
/*     */     {
/* 518 */       this.cursor.dispose(); } 
/* 519 */     this.cursor = new TableCursor(this.table, 0);
/* 520 */     this.cursor.setBackground(this.table.getDisplay()
/* 521 */         .getSystemColor(26));
/* 522 */     this.cursor.setForeground(this.table.getDisplay()
/* 523 */         .getSystemColor(27));
/* 524 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 527 */             int colums = CertDetailDialogShenHe.this.cursor.getColumn();
/* 528 */             CertDetailDialogShenHe.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 537 */     TableItem item = this.table.getItem(this.table.getSelectionIndex());
/* 538 */     FileModel out = (FileModel)item.getData();
/* 539 */     if (colums == 2) {
/*     */       try {
/* 541 */         if (out.isAnnex()) {
/* 542 */           if (out.isFaxOrMail()) {
/* 543 */             ViewAnnexStat dialog = new ViewAnnexStat(
/* 544 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 545 */                 .getShell(), out.getFileName(), 
/* 546 */                 out.getSubStat());
/* 547 */             dialog.open();
/*     */           } else {
/* 549 */             AttachsOperations att = new AttachsOperations();
/* 550 */             ArrayList attachs = att.getAttachs1(out.getApplyId(), 
/* 551 */                 out.getId(), out.getAttachGroupId(), 
/* 552 */                 out.getYear());
/* 553 */             if (attachs != null) {
/* 554 */               AttachsListDialog dialog = new AttachsListDialog(
/* 555 */                   getShell(), attachs);
/* 556 */               dialog.open();
/*     */             } 
/*     */           } 
/*     */         } else {
/* 560 */           ArrayList<CertFileInfoModel> fileDetail = this.oper.getAdviceInfo(out);
/* 561 */           if (fileDetail == null)
/*     */             return; 
/* 563 */           CertFileInfoModel cert = null;
/* 564 */           if (!fileDetail.isEmpty()) {
/* 565 */             cert = fileDetail.get(0);
/*     */           }
/* 567 */           CertFileInfoDialogShenHe file = new CertFileInfoDialogShenHe(
/* 568 */               PlatformUI.getWorkbench()
/* 569 */               .getActiveWorkbenchWindow().getShell(), 
/* 570 */               cert, this.isWtAccept);
/* 571 */           if (file.open() == 0) {
/* 572 */             this.fileList = this.oper
/* 573 */               .getCertFileInfo(out.getGroupId(), out.getApplyId(), out.getId(), true);
/* 574 */             if (this.fileList == null) {
/*     */               return;
/*     */             }
/* 577 */             PublicUtil.setPassEnable(this.fileList);
/* 578 */             this.actionGroup.fillActionToolBar();
/* 579 */             clearData();
/* 580 */             setData();
/* 581 */             setFontColor();
/* 582 */             setCursor();
/*     */           } 
/*     */ 
/*     */ 
/*     */           
/*     */           return;
/*     */         } 
/* 589 */       } catch (Exception e) {
/* 590 */         e.printStackTrace();
/*     */       } 
/*     */     }
/* 593 */     if (colums == 3) {
/*     */       try {
/* 595 */         if (!out.isAnnex()) {
/* 596 */           CertTableContentModel model = (new CertOperationShouLi())
/* 597 */             .getCertTable(out.getApplyId(), out.getId());
/* 598 */           if (model == null) {
/*     */             return;
/*     */           }
/* 601 */           ReplaceMap rmap = new ReplaceMap();
/* 602 */           OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 603 */               getShell(), 
/* 604 */               "事业单位法人证书补领申请书", 
/* 605 */               "Microsoft Word 文档", 
/*     */               
/* 607 */               PublicUtil.getRealPath("Template/doc/sydw_cert_apply_report.doc"), 
/* 608 */               rmap.getCertFileMap(model));
/* 609 */           oold.open();
/*     */         }
/*     */       
/* 612 */       } catch (Exception e) {
/* 613 */         e.printStackTrace();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRate() {
/* 622 */     if (this.tbVisible && StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 623 */       this.rate = "0:0.5:3.5:0.8:2.9:1:1.27:0.01";
/* 624 */     } else if (!this.tbVisible) {
/* 625 */       this.rate = "0:0.5:6.5:1.7:1.27:0.01";
/*     */     } else {
/* 627 */       this.rate = "0:0.5:5.5:1:1.7:1.27:0.01";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void clearData() {
/* 635 */     this.table.removeAll();
/* 636 */     for (int i = 0; i < this.radio.length; i++) {
/* 637 */       if (this.radio[i] != null)
/* 638 */         this.radio[i].dispose(); 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\cert\CertDetailDialogShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */