/*     */ package cs.sydj.operation.shenhe.cert;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertOperationShenHe
/*     */ {
/*  17 */   String operation = "CertShenHe";
/*  18 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  19 */   String messagexml = null;
/*  20 */   String replyxml = null;
/*  21 */   ArrayList result = new ArrayList();
/*  22 */   MessageSender sender = null;
/*     */   private String name;
/*     */   private String beginDate;
/*     */   private String endDate;
/*     */   private String type;
/*     */   private String applyId;
/*     */   private String id;
/*     */   private String groupId;
/*     */   
/*     */   public CertOperationShenHe() {}
/*     */   
/*     */   public CertOperationShenHe(String name, String beginDate, String endDate, String type) {
/*  34 */     this.name = name;
/*  35 */     this.beginDate = beginDate;
/*  36 */     this.endDate = endDate;
/*  37 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertInfo(String groupId, String name, String bnDate, String enDate, String state, int startNo, int maxCount) {
/*  53 */     this.messageParameter.put("name", name);
/*  54 */     this.messageParameter.put("bnDate", bnDate);
/*  55 */     this.messageParameter.put("enDate", enDate);
/*  56 */     this.messageParameter.put("state", state);
/*  57 */     this.messageParameter.put("groupId", groupId);
/*  58 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/*  59 */     this.messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  60 */     this.messagexml = 
/*  61 */       MessageXML.MessageToXML(this.operation, "getCertInfo", this.messageParameter);
/*     */     try {
/*  63 */       this.sender = new MessageSender(
/*  64 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  65 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  66 */       this.replyxml = this.sender
/*  67 */         .sendMessage(this.messagexml, "xml");
/*  68 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  69 */     } catch (JMSException e) {
/*  70 */       e.printStackTrace();
/*     */     }
/*  72 */     catch (Exception e) {
/*  73 */       e.printStackTrace();
/*     */     } 
/*  75 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getLeaderAcvice(String applyId, String currentId) {
/*  86 */     this.messageParameter.put("applyId", applyId);
/*  87 */     this.messageParameter.put("currentId", currentId);
/*  88 */     this.messagexml = 
/*  89 */       MessageXML.MessageToXML(this.operation, "getLeaderAcvice", this.messageParameter);
/*     */     try {
/*  91 */       this.sender = new MessageSender(
/*  92 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  93 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  94 */       this.replyxml = this.sender
/*  95 */         .sendMessage(this.messagexml, "xml");
/*  96 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  97 */     } catch (JMSException e) {
/*  98 */       e.printStackTrace();
/*     */     }
/* 100 */     catch (Exception e) {
/* 101 */       e.printStackTrace();
/*     */     } 
/* 103 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertOperationShenHe(String applyId, String id, String groupId) {
/* 111 */     this.applyId = applyId;
/* 112 */     this.id = id;
/* 113 */     this.groupId = groupId;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertFileInfo(String groupId, String applyId, String currentId, boolean readFlag) {
/* 127 */     this.messageParameter.put("applyId", applyId);
/* 128 */     this.messageParameter.put("currentId", currentId);
/* 129 */     this.messageParameter.put("groupId", groupId);
/* 130 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 131 */     this.messagexml = 
/* 132 */       MessageXML.MessageToXML(this.operation, "getCertFileInfo", this.messageParameter);
/*     */     try {
/* 134 */       this.sender = new MessageSender(
/* 135 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 136 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 137 */       this.replyxml = this.sender
/* 138 */         .sendMessage(this.messagexml, "xml");
/* 139 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 140 */     } catch (JMSException e) {
/* 141 */       e.printStackTrace();
/*     */     }
/* 143 */     catch (Exception e) {
/* 144 */       e.printStackTrace();
/*     */     } 
/* 146 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertHistoryFileInfo(String groupId, String applyId, String currentId, String id, boolean readFlag) {
/* 160 */     this.messageParameter.put("applyId", applyId);
/* 161 */     this.messageParameter.put("currentId", currentId);
/* 162 */     this.messageParameter.put("groupId", groupId);
/* 163 */     this.messageParameter.put("readFlag", readFlag ? "true" : "false");
/* 164 */     this.messageParameter.put("id", id);
/* 165 */     this.messagexml = 
/* 166 */       MessageXML.MessageToXML(this.operation, "getCertHistoryFileInfo", this.messageParameter);
/*     */     try {
/* 168 */       this.sender = new MessageSender(
/* 169 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 170 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 171 */       this.replyxml = this.sender
/* 172 */         .sendMessage(this.messagexml, "xml");
/* 173 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 174 */     } catch (JMSException e) {
/* 175 */       e.printStackTrace();
/*     */     }
/* 177 */     catch (Exception e) {
/* 178 */       e.printStackTrace();
/*     */     } 
/* 180 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getCertHistoryInfo(UnitInfoModel logout) {
/* 190 */     this.messageParameter.put("applyId", logout.getApplyId());
/* 191 */     this.messageParameter.put("currentId", logout.getId());
/* 192 */     this.messagexml = 
/* 193 */       MessageXML.MessageToXML(this.operation, "getCertHistoryInfo", this.messageParameter);
/*     */     try {
/* 195 */       this.sender = new MessageSender(
/* 196 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 197 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 198 */       this.replyxml = this.sender
/* 199 */         .sendMessage(this.messagexml, "xml");
/* 200 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 201 */     } catch (JMSException e) {
/* 202 */       e.printStackTrace();
/*     */     }
/* 204 */     catch (Exception e) {
/* 205 */       e.printStackTrace();
/*     */     } 
/* 207 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 214 */     this.messageParameter.put("applyId", file.getApplyId());
/* 215 */     this.messageParameter.put("currentId", file.getId());
/* 216 */     this.messageParameter.put("groupId", file.getGroupId());
/* 217 */     this.messageParameter.put("type", "0");
/* 218 */     this.messagexml = 
/* 219 */       MessageXML.MessageToXML(this.operation, "getAdviceInfo", this.messageParameter);
/*     */     try {
/* 221 */       this.sender = new MessageSender(
/* 222 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 223 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 224 */       this.replyxml = this.sender
/* 225 */         .sendMessage(this.messagexml, "xml");
/* 226 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 227 */     } catch (JMSException e) {
/* 228 */       e.printStackTrace();
/*     */     }
/* 230 */     catch (Exception e) {
/* 231 */       e.printStackTrace();
/*     */     } 
/* 233 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean setAdviceInfo(String applyId, String currentId, String groupId, String sign, String advice, ArrayList item, String unitId, String holdUnitId, String signDate) {
/* 242 */     this.messageParameter.put("applyId", applyId);
/* 243 */     this.messageParameter.put("currentId", currentId);
/* 244 */     this.messageParameter.put("groupId", groupId);
/* 245 */     this.messageParameter.put("advice", advice);
/* 246 */     this.messageParameter.put("sign", sign);
/* 247 */     this.messageParameter.put("unitId", unitId);
/* 248 */     this.messageParameter.put("holdUnitId", holdUnitId);
/* 249 */     this.messageParameter.put("signDate", signDate);
/* 250 */     this.messageParameter.put("itemChange", MessageXML.getReplyXML(item));
/* 251 */     this.messagexml = 
/* 252 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 254 */       this.sender = new MessageSender(
/* 255 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 256 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 257 */       this.replyxml = this.sender
/* 258 */         .sendMessage(this.messagexml, "short");
/* 259 */       if (this.replyxml.equals("false"))
/* 260 */         return false; 
/* 261 */     } catch (JMSException e) {
/* 262 */       e.printStackTrace();
/* 263 */       return false;
/*     */     }
/* 265 */     catch (Exception e) {
/* 266 */       e.printStackTrace();
/* 267 */       return false;
/*     */     } 
/* 269 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean getAnnex(FileModel annex) {
/* 277 */     this.messageParameter.put("applyId", this.applyId);
/* 278 */     this.messageParameter.put("id", this.id);
/* 279 */     this.messageParameter.put("goupId", this.groupId);
/* 280 */     this.messagexml = 
/* 281 */       MessageXML.MessageToXML(this.operation, "setAdviceInfo", this.messageParameter);
/*     */     try {
/* 283 */       this.sender = new MessageSender(
/* 284 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 285 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 286 */       this.replyxml = this.sender
/* 287 */         .sendMessage(this.messagexml, "short");
/* 288 */       if (this.replyxml.equals("false"))
/* 289 */         return false; 
/* 290 */     } catch (JMSException e) {
/* 291 */       e.printStackTrace();
/* 292 */       return false;
/*     */     }
/* 294 */     catch (Exception e) {
/* 295 */       e.printStackTrace();
/* 296 */       return false;
/*     */     } 
/* 298 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String acceptPass(String applyId, String currentId) {
/* 307 */     this.messageParameter.put("applyId", applyId);
/* 308 */     this.messageParameter.put("currentId", currentId);
/* 309 */     this.messagexml = 
/* 310 */       MessageXML.MessageToXML(this.operation, "acceptPass", this.messageParameter);
/*     */     try {
/* 312 */       this.sender = new MessageSender(
/* 313 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 314 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 315 */       this.replyxml = this.sender
/* 316 */         .sendMessage(this.messagexml, "short");
/* 317 */     } catch (JMSException e) {
/* 318 */       e.printStackTrace();
/*     */       
/* 320 */       return null;
/* 321 */     } catch (Exception e) {
/* 322 */       e.printStackTrace();
/* 323 */       return null;
/*     */     } 
/* 325 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModifyStr(String applyId, String currentId) {
/* 334 */     this.messageParameter.put("applyId", applyId);
/* 335 */     this.messageParameter.put("currentId", currentId);
/* 336 */     this.messagexml = 
/* 337 */       MessageXML.MessageToXML(this.operation, "backModifyStr", this.messageParameter);
/*     */     try {
/* 339 */       this.sender = new MessageSender(
/* 340 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 341 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 342 */       this.replyxml = this.sender
/* 343 */         .sendMessage(this.messagexml, "short");
/* 344 */     } catch (JMSException e) {
/* 345 */       e.printStackTrace();
/*     */       
/* 347 */       return "error";
/* 348 */     } catch (Exception e) {
/* 349 */       e.printStackTrace();
/* 350 */       return "error";
/*     */     } 
/* 352 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String checkBackOffReason(String applyId, String currentId) {
/* 361 */     this.messageParameter.put("applyId", applyId);
/* 362 */     this.messageParameter.put("currentId", currentId);
/* 363 */     this.messagexml = 
/* 364 */       MessageXML.MessageToXML(this.operation, "checkBackOffReason", this.messageParameter);
/*     */     try {
/* 366 */       this.sender = new MessageSender(
/* 367 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 368 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 369 */       this.replyxml = this.sender
/* 370 */         .sendMessage(this.messagexml, "short");
/* 371 */     } catch (JMSException e) {
/* 372 */       e.printStackTrace();
/*     */       
/* 374 */       return "error";
/* 375 */     } catch (Exception e) {
/* 376 */       e.printStackTrace();
/* 377 */       return "error";
/*     */     } 
/* 379 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice) {
/* 388 */     this.messageParameter.put("applyId", applyId);
/* 389 */     this.messageParameter.put("currentId", currentId);
/* 390 */     this.messageParameter.put("advice", advice);
/* 391 */     this.messagexml = 
/* 392 */       MessageXML.MessageToXML(this.operation, "backModify", this.messageParameter);
/*     */     try {
/* 394 */       this.sender = new MessageSender(
/* 395 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 396 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 397 */       this.replyxml = this.sender
/* 398 */         .sendMessage(this.messagexml, "short");
/* 399 */     } catch (JMSException e) {
/* 400 */       e.printStackTrace();
/*     */       
/* 402 */       return null;
/* 403 */     } catch (Exception e) {
/* 404 */       e.printStackTrace();
/* 405 */       return null;
/*     */     } 
/* 407 */     return this.replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnexName(String groupId) {
/* 416 */     this.messageParameter.put("groupId", groupId);
/* 417 */     this.messagexml = 
/* 418 */       MessageXML.MessageToXML(this.operation, "getAnnexName", this.messageParameter);
/*     */     try {
/* 420 */       this.sender = new MessageSender(
/* 421 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 422 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 423 */       this.replyxml = this.sender
/* 424 */         .sendMessage(this.messagexml, "xml");
/* 425 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 426 */     } catch (JMSException e) {
/* 427 */       e.printStackTrace();
/*     */     }
/* 429 */     catch (Exception e) {
/* 430 */       e.printStackTrace();
/*     */     } 
/* 432 */     return this.result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\cert\CertOperationShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */