/*      */ package cs.sydj.operation.shenhe.cert;
/*      */ 
/*      */ import com.swtdesigner.SWTResourceManager;
/*      */ import cs.sydj.common.CalendarDialog;
/*      */ import cs.sydj.common.CommonSaveEXCELResultDialog;
/*      */ import cs.sydj.common.PublicUtil;
/*      */ import cs.sydj.common.SendToOtherAuditDialog;
/*      */ import cs.sydj.common.SydjMessageDialog;
/*      */ import cs.sydj.common.TableViewContentProvider;
/*      */ import cs.sydj.common.VerifyFunction;
/*      */ import cs.sydj.common.pagetab.PageUtil;
/*      */ import cs.sydj.operation.login.GljgUserInfo;
/*      */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*      */ import cs.sydj.sys.CacheImage;
/*      */ import java.util.ArrayList;
/*      */ import org.eclipse.jface.action.IMenuManager;
/*      */ import org.eclipse.jface.action.IToolBarManager;
/*      */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*      */ import org.eclipse.jface.viewers.IContentProvider;
/*      */ import org.eclipse.jface.viewers.IStructuredSelection;
/*      */ import org.eclipse.jface.viewers.TableViewer;
/*      */ import org.eclipse.swt.custom.ScrolledComposite;
/*      */ import org.eclipse.swt.custom.TableCursor;
/*      */ import org.eclipse.swt.events.ControlAdapter;
/*      */ import org.eclipse.swt.events.ControlEvent;
/*      */ import org.eclipse.swt.events.ControlListener;
/*      */ import org.eclipse.swt.events.MouseAdapter;
/*      */ import org.eclipse.swt.events.MouseEvent;
/*      */ import org.eclipse.swt.events.MouseListener;
/*      */ import org.eclipse.swt.events.SelectionAdapter;
/*      */ import org.eclipse.swt.events.SelectionEvent;
/*      */ import org.eclipse.swt.events.SelectionListener;
/*      */ import org.eclipse.swt.graphics.Point;
/*      */ import org.eclipse.swt.layout.FillLayout;
/*      */ import org.eclipse.swt.layout.GridData;
/*      */ import org.eclipse.swt.layout.GridLayout;
/*      */ import org.eclipse.swt.widgets.Button;
/*      */ import org.eclipse.swt.widgets.Composite;
/*      */ import org.eclipse.swt.widgets.Control;
/*      */ import org.eclipse.swt.widgets.Display;
/*      */ import org.eclipse.swt.widgets.Label;
/*      */ import org.eclipse.swt.widgets.Layout;
/*      */ import org.eclipse.swt.widgets.Table;
/*      */ import org.eclipse.swt.widgets.TableColumn;
/*      */ import org.eclipse.swt.widgets.Text;
/*      */ import org.eclipse.ui.PlatformUI;
/*      */ import org.eclipse.ui.part.ViewPart;
/*      */ import server.sydj.operation.commons.JbdwTableViewerLabelProvider;
/*      */ import server.sydj.operation.commons.LeaderAdvice;
/*      */ import server.sydj.operation.commons.TableViewerLabelProvider;
/*      */ import server.sydj.operation.commons.UnitInfoModel;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class CertShenHe
/*      */   extends ViewPart
/*      */ {
/*      */   private Text text;
/*      */   private Button nextPage;
/*      */   private Button priorPage;
/*      */   private Composite composite_2;
/*      */   private Label allRows;
/*      */   private Label everyPageRows;
/*      */   private Label nowPage;
/*      */   private Label page;
/*      */   private Composite compage;
/*      */   private TableViewer tableViewer;
/*      */   private Table table_1;
/*      */   private Button backOff;
/*      */   private Button bckModify;
/*      */   private Button acptPass;
/*      */   private Button wtAccept;
/*      */   private Button search;
/*      */   private Text enText;
/*      */   private Text bnText;
/*      */   private Text nmText;
/*      */   private Label endDate;
/*      */   private Label beginDate;
/*      */   private Label name;
/*      */   private Composite group;
/*      */   private ArrayList cert;
/*   86 */   private String type = "wtAccept";
/*      */   private boolean flag = true;
/*      */   private boolean isVisible = false;
/*      */   private boolean isWtAccept = true;
/*      */   private boolean isBackOff = false;
/*      */   public static final String ID = "cs.sydj.operation.shenhe.cert.CertShenHe";
/*   92 */   private CertOperationShenHe oper = new CertOperationShenHe();
/*      */   private Button button_1;
/*      */   private Button button_3;
/*      */   private Button button_2;
/*      */   private Button button;
/*      */   private TableColumn newColumnTableColumn_4;
/*      */   private TableColumn newColumnTableColumn_4_1;
/*      */   private Composite composite_3;
/*      */   private TableColumn newColumnTableColumn_5;
/*      */   private TableColumn newColumnTableColumn_zhuansong;
/*  102 */   int totalRows = 0;
/*  103 */   int startNo = 1;
/*  104 */   int currentPage = 1;
/*  105 */   int totalPages = 0;
/*      */   boolean hasNextPage = false;
/*      */   boolean hasPreviousPage = false;
/*  108 */   private TableCursor cursor = null;
/*  109 */   int maxCount = 15;
/*  110 */   protected int selectColums = 32;
/*      */   private Composite container;
/*      */   private Composite composite_1;
/*      */   private Button goButton;
/*  114 */   private String districtcode = GljgUserInfo.getInstance().getDistrictcode();
/*      */ 
/*      */   
/*      */   private Button button_report;
/*      */ 
/*      */   
/*      */   private String sydwname;
/*      */ 
/*      */   
/*      */   private String startdate;
/*      */ 
/*      */   
/*      */   private String enddate;
/*      */ 
/*      */   
/*      */   private String sheetName;
/*      */ 
/*      */   
/*      */   boolean zhuansong = false;
/*      */ 
/*      */   
/*      */   public void createPartControl(Composite parent) {
/*  136 */     this.container = new Composite(parent, 0);
/*  137 */     this.container.setLayout((Layout)new FillLayout());
/*  138 */     this.container.setBackground(Display.getCurrent()
/*  139 */         .getSystemColor(1));
/*  140 */     ScrolledComposite scrolledComposite = new ScrolledComposite(
/*  141 */         this.container, 2816);
/*  142 */     scrolledComposite.setBackground(Display.getCurrent()
/*  143 */         .getSystemColor(1));
/*  144 */     scrolledComposite.setExpandHorizontal(true);
/*  145 */     this.composite_1 = new Composite((Composite)scrolledComposite, 0);
/*  146 */     this.composite_1.setLocation(0, 0);
/*  147 */     this.composite_1.setBackground(Display.getCurrent()
/*  148 */         .getSystemColor(1));
/*  149 */     GridLayout gridLayout_2 = new GridLayout();
/*  150 */     gridLayout_2.marginRight = 35;
/*  151 */     gridLayout_2.marginLeft = 35;
/*  152 */     gridLayout_2.marginTop = 25;
/*  153 */     gridLayout_2.verticalSpacing = 15;
/*  154 */     this.composite_1.setLayout((Layout)gridLayout_2);
/*  155 */     this.group = new Composite(this.composite_1, 0);
/*  156 */     this.group.setBackground(
/*  157 */         Display.getCurrent().getSystemColor(1));
/*  158 */     GridLayout gridLayout = new GridLayout();
/*  159 */     gridLayout.marginWidth = 0;
/*  160 */     gridLayout.horizontalSpacing = 0;
/*  161 */     gridLayout.marginHeight = 0;
/*  162 */     gridLayout.numColumns = 4;
/*  163 */     this.group.setLayout((Layout)gridLayout);
/*  164 */     this.group.setLayoutData(new GridData(4, 16777216, true, false));
/*      */     
/*  166 */     Label label_2 = new Label(this.group, 0);
/*  167 */     label_2.setBackground(Display.getCurrent()
/*  168 */         .getSystemColor(1));
/*  169 */     label_2.setLayoutData(new GridData(16384, 16777216, false, false, 
/*  170 */           3, 1));
/*  171 */     label_2.setText("申报材料审核>>单位证书补领");
/*  172 */     label_2.setForeground(SWTResourceManager.getColor(37, 26, 181));
/*      */ 
/*      */     
/*  175 */     Composite composite = new Composite(this.group, 0);
/*  176 */     composite.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  177 */     GridLayout gridLayout_1 = new GridLayout();
/*  178 */     gridLayout_1.marginHeight = 0;
/*  179 */     gridLayout_1.marginWidth = 0;
/*  180 */     gridLayout_1.verticalSpacing = 0;
/*  181 */     gridLayout_1.horizontalSpacing = 20;
/*  182 */     gridLayout_1.numColumns = 4;
/*  183 */     composite.setLayout((Layout)gridLayout_1);
/*  184 */     composite.setLayoutData(new GridData(4, 16777216, true, false, 
/*  185 */           4, 1));
/*      */     
/*  187 */     Label label_4 = new Label(composite, 258);
/*      */     
/*  189 */     label_4.setLayoutData(new GridData(4, 16777216, true, false, 
/*  190 */           4, 1));
/*      */     
/*  192 */     this.wtAccept = new Button(composite, 16);
/*  193 */     this.wtAccept.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  194 */     this.wtAccept.setSelection(true);
/*  195 */     this.wtAccept.setText("待审核");
/*      */     
/*  197 */     this.sheetName = "(" + PublicUtil.getStatByAflag("2", "1") + ")";
/*      */ 
/*      */     
/*  200 */     this.acptPass = new Button(composite, 16);
/*  201 */     this.acptPass.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  202 */     this.acptPass.setText("审核通过");
/*      */     
/*  204 */     this.bckModify = new Button(composite, 16);
/*  205 */     this.bckModify.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  206 */     this.bckModify.setText("退回修改");
/*      */     
/*  208 */     this.backOff = new Button(composite, 16);
/*  209 */     this.backOff.setLayoutData(new GridData(-1, 25));
/*  210 */     this.backOff.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*  211 */     this.backOff.setText("核准退回");
/*      */     
/*  213 */     Label label_3 = new Label(composite, 258);
/*      */     
/*  215 */     label_3.setLayoutData(new GridData(4, 16777216, true, false, 
/*  216 */           4, 1));
/*      */     
/*  218 */     this.name = new Label(this.group, 0);
/*  219 */     this.name
/*  220 */       .setBackground(Display.getCurrent().getSystemColor(
/*  221 */           1));
/*  222 */     this.name.setAlignment(131072);
/*  223 */     GridData gd_name = new GridData(131072, 16777216, false, 
/*  224 */         false);
/*  225 */     gd_name.widthHint = 125;
/*  226 */     this.name.setLayoutData(gd_name);
/*  227 */     this.name.setText("请输入单位名称：");
/*      */     
/*  229 */     this.nmText = new Text(this.group, 2048);
/*  230 */     this.nmText.setBackground(Display.getCurrent()
/*  231 */         .getSystemColor(1));
/*  232 */     GridData gd_nmText = new GridData(16384, 16777216, true, 
/*  233 */         false, 3, 1);
/*  234 */     gd_nmText.widthHint = 266;
/*  235 */     this.nmText.setLayoutData(gd_nmText);
/*      */     
/*  237 */     this.beginDate = new Label(this.group, 0);
/*  238 */     this.beginDate.setBackground(Display.getCurrent()
/*  239 */         .getSystemColor(1));
/*  240 */     this.beginDate.setLayoutData(new GridData(131072, 16777216, false, 
/*  241 */           false));
/*  242 */     this.beginDate.setAlignment(131072);
/*  243 */     this.beginDate.setText("起始日期：");
/*      */     
/*  245 */     this.bnText = new Text(this.group, 2056);
/*  246 */     this.bnText.setBackground(Display.getCurrent()
/*  247 */         .getSystemColor(1));
/*  248 */     this.bnText.setLayoutData(new GridData(110, -1));
/*      */     
/*  250 */     this.button = new Button(this.group, 0);
/*  251 */     this.button.setBackground(Display.getCurrent()
/*  252 */         .getSystemColor(1));
/*  253 */     this.button.setText(" ▪▪▪");
/*      */     
/*  255 */     this.button_2 = new Button(this.group, 0);
/*  256 */     this.button_2.setBackground(Display.getCurrent()
/*  257 */         .getSystemColor(1));
/*  258 */     this.button_2.setText("×");
/*      */     
/*  260 */     this.endDate = new Label(this.group, 0);
/*  261 */     this.endDate.setBackground(Display.getCurrent()
/*  262 */         .getSystemColor(1));
/*  263 */     this.endDate
/*  264 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*  265 */     this.endDate.setText("截至日期：");
/*      */     
/*  267 */     this.enText = new Text(this.group, 2056);
/*  268 */     this.enText.setBackground(Display.getCurrent()
/*  269 */         .getSystemColor(1));
/*  270 */     this.enText.setLayoutData(new GridData(110, -1));
/*      */     
/*  272 */     this.button_1 = new Button(this.group, 0);
/*  273 */     this.button_1.setBackground(Display.getCurrent()
/*  274 */         .getSystemColor(1));
/*  275 */     this.button_1.setText(" ▪▪▪");
/*      */     
/*  277 */     this.button_3 = new Button(this.group, 0);
/*  278 */     this.button_3.setBackground(Display.getCurrent()
/*  279 */         .getSystemColor(1));
/*  280 */     this.button_3.setText("×");
/*      */     
/*  282 */     this.search = new Button(this.group, 0);
/*  283 */     this.search.setBackground(Display.getCurrent()
/*  284 */         .getSystemColor(1));
/*  285 */     this.search
/*  286 */       .setLayoutData(new GridData(131072, 16777216, false, 
/*  287 */           false));
/*  288 */     this.search.setText("查 询");
/*      */ 
/*      */ 
/*      */     
/*  292 */     this.search.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/query.png"));
/*      */ 
/*      */     
/*  295 */     this.button_report = new Button(this.group, 0);
/*  296 */     this.button_report.setLayoutData(new GridData(131072, 16777216, false, false));
/*  297 */     this.button_report.setText("另存为Excel");
/*  298 */     this.button_report.setImage(CacheImage.getINSTANCE().getImage("cs.sydj", "icons/systemManage/office_excel.png"));
/*  299 */     this.button_report.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  301 */             CertShenHe.this.cert = CertShenHe.this.oper.getCertInfo(GljgUserInfo.getInstance().getGroupid(), CertShenHe.this.sydwname, CertShenHe.this.startdate, CertShenHe.this.enddate, CertShenHe.this.type, 1, CertShenHe.this.totalRows);
/*      */             try {
/*  303 */               CommonSaveEXCELResultDialog s = new CommonSaveEXCELResultDialog(CertShenHe.this.container.getShell(), CertShenHe.this.cert, "申报材料审核-证书补领单位" + CertShenHe.this.sheetName, "2", "4");
/*  304 */               s.open();
/*  305 */             } catch (Exception e2) {
/*  306 */               e2.printStackTrace();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  315 */     this.composite_3 = new Composite(this.composite_1, 0);
/*  316 */     this.composite_3
/*  317 */       .setLayoutData(new GridData(4, 4, true, false));
/*  318 */     GridLayout gridLayout_5 = new GridLayout();
/*  319 */     gridLayout_5.marginHeight = 0;
/*  320 */     gridLayout_5.horizontalSpacing = 0;
/*  321 */     gridLayout_5.verticalSpacing = 0;
/*  322 */     gridLayout_5.marginWidth = 0;
/*  323 */     this.composite_3.setLayout((Layout)gridLayout_5);
/*      */     
/*  325 */     this.tableViewer = new TableViewer(this.composite_3, 67584);
/*      */     
/*  327 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new TableViewerLabelProvider());
/*  328 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  329 */     this.table_1 = this.tableViewer.getTable();
/*  330 */     this.table_1.setLinesVisible(true);
/*  331 */     this.table_1.setHeaderVisible(true);
/*  332 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/*  333 */         false);
/*  334 */     gd_table_1.heightHint = 320;
/*  335 */     this.table_1.setLayoutData(gd_table_1);
/*      */     
/*  337 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 16384);
/*  338 */     newColumnTableColumn_6.setWidth(100);
/*  339 */     newColumnTableColumn_6.setText("统一社会信用代码");
/*      */     
/*  341 */     TableColumn newColumnTableColumn_7 = new TableColumn(this.table_1, 16384);
/*  342 */     newColumnTableColumn_7.setText("证书号");
/*  343 */     newColumnTableColumn_7.setWidth(80);
/*      */     
/*  345 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/*  346 */         16384);
/*  347 */     newColumnTableColumn.setWidth(100);
/*  348 */     newColumnTableColumn.setText("单位名称");
/*      */     
/*  350 */     TableColumn newColumnTableColumn_0 = new TableColumn(this.table_1, 
/*  351 */         16384);
/*  352 */     newColumnTableColumn_0.setWidth(100);
/*  353 */     newColumnTableColumn_0.setText("举办单位");
/*      */     
/*  355 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/*  356 */         16777216);
/*  357 */     newColumnTableColumn_1.setAlignment(16777216);
/*  358 */     newColumnTableColumn_1.setWidth(100);
/*  359 */     newColumnTableColumn_1.setText("提交次数");
/*      */     
/*  361 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/*  362 */         16777216);
/*  363 */     newColumnTableColumn_2.setAlignment(16777216);
/*  364 */     newColumnTableColumn_2.setWidth(100);
/*  365 */     newColumnTableColumn_2.setText("提交时间");
/*      */     
/*  367 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/*  368 */         16777216);
/*  369 */     newColumnTableColumn_3.setAlignment(16777216);
/*  370 */     newColumnTableColumn_3.setWidth(100);
/*  371 */     newColumnTableColumn_3.setText("历史记录");
/*      */     
/*  373 */     this.newColumnTableColumn_4 = new TableColumn(this.table_1, 16777216);
/*  374 */     this.newColumnTableColumn_4.setResizable(false);
/*  375 */     this.newColumnTableColumn_4.setAlignment(16777216);
/*  376 */     this.newColumnTableColumn_4.setText("上级意见");
/*      */     
/*  378 */     if ("100000".equals(this.districtcode)) {
/*  379 */       this.zhuansong = true;
/*  380 */       this.newColumnTableColumn_zhuansong = new TableColumn(this.table_1, 16777216);
/*  381 */       this.newColumnTableColumn_zhuansong.setResizable(false);
/*  382 */       this.newColumnTableColumn_zhuansong.setAlignment(16777216);
/*  383 */       this.newColumnTableColumn_zhuansong.setText("转送");
/*      */     } 
/*      */     
/*  386 */     this.newColumnTableColumn_4_1 = new TableColumn(this.table_1, 16777216);
/*  387 */     this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  388 */     this.newColumnTableColumn_4_1.setWidth(100);
/*  389 */     this.newColumnTableColumn_4_1.setText("关联信息");
/*      */     
/*  391 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/*  392 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new JbdwTableViewerLabelProvider(this.zhuansong));
/*  393 */     this.compage = new Composite(this.composite_1, 0);
/*  394 */     this.compage.setBackground(Display.getCurrent()
/*  395 */         .getSystemColor(1));
/*  396 */     GridData gd_compage = new GridData(4, 128, true, 
/*  397 */         false, 5, 1);
/*  398 */     this.compage.setLayoutData(gd_compage);
/*  399 */     GridLayout gridLayout_3 = new GridLayout();
/*  400 */     gridLayout_3.verticalSpacing = 0;
/*  401 */     gridLayout_3.numColumns = 8;
/*  402 */     this.compage.setLayout((Layout)gridLayout_3);
/*      */     
/*  404 */     this.page = new Label(this.compage, 0);
/*  405 */     this.page
/*  406 */       .setBackground(Display.getCurrent().getSystemColor(
/*  407 */           1));
/*  408 */     this.page.setText("页次：");
/*      */     
/*  410 */     this.nowPage = new Label(this.compage, 0);
/*  411 */     this.nowPage.setBackground(Display.getCurrent()
/*  412 */         .getSystemColor(1));
/*  413 */     this.nowPage.setLayoutData(new GridData());
/*  414 */     this.nowPage.setText("Label");
/*      */     
/*  416 */     this.everyPageRows = new Label(this.compage, 0);
/*  417 */     this.everyPageRows.setBackground(Display.getCurrent()
/*  418 */         .getSystemColor(1));
/*  419 */     this.everyPageRows.setLayoutData(new GridData());
/*  420 */     this.everyPageRows.setText("Label");
/*      */     
/*  422 */     this.allRows = new Label(this.compage, 0);
/*  423 */     this.allRows.setBackground(Display.getCurrent()
/*  424 */         .getSystemColor(1));
/*  425 */     this.allRows.setLayoutData(new GridData());
/*  426 */     this.allRows.setText("Label");
/*      */     
/*  428 */     this.composite_2 = new Composite(this.compage, 0);
/*  429 */     this.composite_2.setBackground(Display.getCurrent()
/*  430 */         .getSystemColor(1));
/*  431 */     GridData gd_composite_1 = new GridData(131072, 4, true, 
/*  432 */         false);
/*  433 */     this.composite_2.setLayoutData(gd_composite_1);
/*  434 */     GridLayout gridLayout_4 = new GridLayout();
/*  435 */     gridLayout_4.numColumns = 4;
/*  436 */     this.composite_2.setLayout((Layout)gridLayout_4);
/*      */     
/*  438 */     this.priorPage = new Button(this.composite_2, 0);
/*  439 */     this.priorPage.setEnabled(false);
/*  440 */     this.priorPage.setText("上一页");
/*      */     
/*  442 */     this.nextPage = new Button(this.composite_2, 0);
/*  443 */     this.nextPage.setEnabled(false);
/*  444 */     this.nextPage.setText("下一页");
/*      */     
/*  446 */     Label label = new Label(this.composite_2, 0);
/*  447 */     label.setBackground(
/*  448 */         Display.getCurrent().getSystemColor(1));
/*  449 */     label.setText("转至第");
/*      */     
/*  451 */     this.text = new Text(this.composite_2, 2048);
/*  452 */     GridData gd_text = new GridData(4, 16777216, true, false);
/*  453 */     gd_text.widthHint = 46;
/*  454 */     this.text.setLayoutData(gd_text);
/*      */     
/*  456 */     Label label_1 = new Label(this.compage, 0);
/*  457 */     label_1.setBackground(Display.getCurrent()
/*  458 */         .getSystemColor(1));
/*  459 */     label_1.setText("页");
/*      */     
/*  461 */     this.goButton = new Button(this.compage, 0);
/*  462 */     this.goButton.setBackground(Display.getCurrent()
/*  463 */         .getSystemColor(1));
/*  464 */     this.goButton.setText("GO");
/*  465 */     this.composite_1.setSize(708, 709);
/*  466 */     PublicUtil.setTableHeight(this.tableViewer.getTable());
/*  467 */     if ("100000".equals(this.districtcode)) {
/*  468 */       PublicUtil.setMouseHands(this.table_1, "2#6#7#8#9");
/*      */     } else {
/*  470 */       PublicUtil.setMouseHands(this.table_1, "2#6#7#8");
/*      */     } 
/*      */     
/*  473 */     scrolledComposite.setContent((Control)this.composite_1);
/*  474 */     getData(this.startNo, "", "", "");
/*  475 */     setActions();
/*  476 */     setFontColor();
/*  477 */     setPages(this.currentPage);
/*  478 */     setCursor();
/*  479 */     createActions();
/*  480 */     initializeToolBar();
/*  481 */     initializeMenu();
/*      */ 
/*      */     
/*  484 */     this.cert = this.oper
/*  485 */       .getCertInfo(GljgUserInfo.getInstance().getGroupid(), "", "", "", "backOff", this.startNo, this.maxCount);
/*  486 */     if (this.cert != null && this.cert.size() > 0) {
/*  487 */       this.backOff.setBackground(SWTResourceManager.getColor(255, 255, 0));
/*  488 */       SydjMessageDialog.openWarning(null, "提示", "核准退回存在待处理的申请，请注意及时处理！ ");
/*      */     } else {
/*  490 */       this.backOff.setBackground(SWTResourceManager.getColor(223, 243, 247));
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void createActions() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeToolBar() {
/*  505 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/*  506 */       .getToolBarManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void initializeMenu() {
/*  513 */     IMenuManager menuManager = getViewSite().getActionBars()
/*  514 */       .getMenuManager();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setFocus() {}
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void getData(int startNo, String name, String bnDate, String enDate) {
/*  526 */     this.cert = this.oper
/*  527 */       .getCertInfo(GljgUserInfo.getInstance().getGroupid(), name, bnDate, enDate, this.type, startNo, this.maxCount);
/*  528 */     Object data = this.cert;
/*  529 */     this.tableViewer.setInput(data);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setActions() {
/*  536 */     this.search.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  539 */             CertShenHe.this.sydwname = CertShenHe.this.nmText.getText().trim();
/*  540 */             CertShenHe.this.startdate = CertShenHe.this.bnText.getText();
/*  541 */             CertShenHe.this.enddate = CertShenHe.this.enText.getText().trim();
/*      */             
/*  543 */             if (CertShenHe.this.wtAccept.getSelection()) {
/*  544 */               CertShenHe.this.type = "wtAccept";
/*  545 */               CertShenHe.this.isVisible = false;
/*  546 */               CertShenHe.this.flag = true;
/*  547 */               CertShenHe.this.isWtAccept = true;
/*      */             } 
/*  549 */             if (CertShenHe.this.acptPass.getSelection()) {
/*  550 */               CertShenHe.this.type = "acptPass";
/*  551 */               CertShenHe.this.isVisible = false;
/*  552 */               CertShenHe.this.flag = false;
/*  553 */               CertShenHe.this.isWtAccept = false;
/*      */             } 
/*  555 */             if (CertShenHe.this.bckModify.getSelection()) {
/*  556 */               CertShenHe.this.type = "bckModify";
/*  557 */               CertShenHe.this.isVisible = false;
/*  558 */               CertShenHe.this.flag = false;
/*  559 */               CertShenHe.this.isWtAccept = false;
/*      */             } 
/*  561 */             if (CertShenHe.this.backOff.getSelection()) {
/*  562 */               CertShenHe.this.type = "backOff";
/*  563 */               CertShenHe.this.isVisible = true;
/*  564 */               CertShenHe.this.flag = true;
/*  565 */               CertShenHe.this.isWtAccept = true;
/*      */             } 
/*  567 */             if (CertShenHe.this.checkSearchConditon()) {
/*  568 */               CertShenHe.this.totalRows = 0;
/*  569 */               CertShenHe.this.currentPage = 1;
/*  570 */               CertShenHe.this
/*  571 */                 .getData(CertShenHe.this.startNo, CertShenHe.this.nmText.getText().trim(), CertShenHe.this.bnText.getText().trim(), CertShenHe.this.enText.getText().trim());
/*  572 */               CertShenHe.this.setPages(CertShenHe.this.currentPage);
/*  573 */               CertShenHe.this.setFontColor();
/*  574 */               CertShenHe.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*  578 */     this.wtAccept.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  580 */             CertShenHe.this.isVisible = false;
/*  581 */             CertShenHe.this.flag = true;
/*  582 */             CertShenHe.this.isWtAccept = true;
/*  583 */             CertShenHe.this.type = "wtAccept";
/*      */             
/*  585 */             CertShenHe.this.sheetName = "(" + PublicUtil.getStatByAflag("2", "1") + ")";
/*      */ 
/*      */             
/*  588 */             if (CertShenHe.this.newColumnTableColumn_4 != null) {
/*  589 */               CertShenHe.this.newColumnTableColumn_4.dispose();
/*      */             }
/*  591 */             CertShenHe.this.newColumnTableColumn_4 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  592 */             CertShenHe.this.newColumnTableColumn_4.setResizable(false);
/*  593 */             CertShenHe.this.newColumnTableColumn_4.setAlignment(16777216);
/*  594 */             CertShenHe.this.newColumnTableColumn_4.setText("上级意见");
/*      */             
/*  596 */             if ("100000".equals(CertShenHe.this.districtcode)) {
/*  597 */               if (CertShenHe.this.newColumnTableColumn_zhuansong != null)
/*  598 */                 CertShenHe.this.newColumnTableColumn_zhuansong.dispose(); 
/*  599 */               CertShenHe.this.newColumnTableColumn_zhuansong = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  600 */               CertShenHe.this.newColumnTableColumn_zhuansong.setResizable(false);
/*  601 */               CertShenHe.this.newColumnTableColumn_zhuansong.setAlignment(16777216);
/*  602 */               CertShenHe.this.newColumnTableColumn_zhuansong.setText("转送");
/*      */               
/*  604 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  605 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  606 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  607 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  608 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  609 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  611 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  612 */                   "1:1:2.48:1.5:1:1:1:0.02:0:1");
/*      */             } else {
/*  614 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  615 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  616 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  617 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  618 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  619 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  621 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  622 */                   "1:1:2.17:1.5:1.1:1.1:1.1:0.01:1");
/*      */             } 
/*      */             
/*  625 */             if (CertShenHe.this.wtAccept.getSelection()) {
/*  626 */               CertShenHe.this.nmText.setText("");
/*  627 */               CertShenHe.this.bnText.setText("");
/*  628 */               CertShenHe.this.enText.setText("");
/*  629 */               CertShenHe.this.totalRows = 0;
/*  630 */               CertShenHe.this.currentPage = 1;
/*  631 */               CertShenHe.this.getData(CertShenHe.this.startNo, "", "", "");
/*  632 */               CertShenHe.this.setPages(CertShenHe.this.currentPage);
/*  633 */               CertShenHe.this.setFontColor();
/*  634 */               CertShenHe.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  640 */     this.acptPass.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  642 */             CertShenHe.this.isVisible = false;
/*  643 */             CertShenHe.this.flag = false;
/*  644 */             CertShenHe.this.isWtAccept = false;
/*  645 */             CertShenHe.this.type = "acptPass";
/*      */             
/*  647 */             CertShenHe.this.sheetName = "(" + PublicUtil.getStatByAflag("2", "2") + ")";
/*      */ 
/*      */             
/*  650 */             if (CertShenHe.this.newColumnTableColumn_4 != null) {
/*  651 */               CertShenHe.this.newColumnTableColumn_4.dispose();
/*      */             }
/*  653 */             CertShenHe.this.newColumnTableColumn_4 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  654 */             CertShenHe.this.newColumnTableColumn_4.setResizable(false);
/*  655 */             CertShenHe.this.newColumnTableColumn_4.setAlignment(16777216);
/*  656 */             CertShenHe.this.newColumnTableColumn_4.setText("上级意见");
/*      */             
/*  658 */             if ("100000".equals(CertShenHe.this.districtcode)) {
/*  659 */               if (CertShenHe.this.newColumnTableColumn_zhuansong != null) {
/*  660 */                 CertShenHe.this.newColumnTableColumn_zhuansong.dispose();
/*      */               }
/*  662 */               CertShenHe.this.newColumnTableColumn_zhuansong = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  663 */               CertShenHe.this.newColumnTableColumn_zhuansong.setResizable(false);
/*  664 */               CertShenHe.this.newColumnTableColumn_zhuansong.setAlignment(16777216);
/*  665 */               CertShenHe.this.newColumnTableColumn_zhuansong.setText("转送");
/*      */               
/*  667 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  668 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  669 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  670 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  671 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  672 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  674 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  675 */                   "1:1:2.38:1.2:1.1:1.1:1.1:0.01:0.01:1.1");
/*      */             } else {
/*  677 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  678 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  679 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  680 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  681 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  682 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  684 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  685 */                   "1:1:2.17:1.5:1.1:1.1:1.1:0.01:1");
/*      */             } 
/*      */             
/*  688 */             if (CertShenHe.this.acptPass.getSelection()) {
/*  689 */               CertShenHe.this.nmText.setText("");
/*  690 */               CertShenHe.this.bnText.setText("");
/*  691 */               CertShenHe.this.enText.setText("");
/*  692 */               CertShenHe.this.totalRows = 0;
/*  693 */               CertShenHe.this.currentPage = 1;
/*  694 */               CertShenHe.this.getData(CertShenHe.this.startNo, "", "", "");
/*  695 */               CertShenHe.this.setPages(CertShenHe.this.currentPage);
/*  696 */               CertShenHe.this.setFontColor();
/*  697 */               CertShenHe.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */ 
/*      */     
/*  704 */     this.bckModify.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  706 */             CertShenHe.this.isVisible = false;
/*  707 */             CertShenHe.this.flag = false;
/*  708 */             CertShenHe.this.isWtAccept = false;
/*  709 */             CertShenHe.this.type = "bckModify";
/*      */             
/*  711 */             CertShenHe.this.sheetName = "(" + PublicUtil.getStatByAflag("2", "5") + ")";
/*      */ 
/*      */             
/*  714 */             if (CertShenHe.this.newColumnTableColumn_4 != null) {
/*  715 */               CertShenHe.this.newColumnTableColumn_4.dispose();
/*      */             }
/*  717 */             CertShenHe.this.newColumnTableColumn_4 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  718 */             CertShenHe.this.newColumnTableColumn_4.setResizable(false);
/*  719 */             CertShenHe.this.newColumnTableColumn_4.setAlignment(16777216);
/*  720 */             CertShenHe.this.newColumnTableColumn_4.setText("上级意见");
/*      */             
/*  722 */             if ("100000".equals(CertShenHe.this.districtcode)) {
/*  723 */               if (CertShenHe.this.newColumnTableColumn_zhuansong != null) {
/*  724 */                 CertShenHe.this.newColumnTableColumn_zhuansong.dispose();
/*      */               }
/*  726 */               CertShenHe.this.newColumnTableColumn_zhuansong = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  727 */               CertShenHe.this.newColumnTableColumn_zhuansong.setResizable(false);
/*  728 */               CertShenHe.this.newColumnTableColumn_zhuansong.setAlignment(16777216);
/*  729 */               CertShenHe.this.newColumnTableColumn_zhuansong.setText("转送");
/*      */               
/*  731 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  732 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  733 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  734 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  735 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  736 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  738 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  739 */                   "1:1:2.38:1.2:1.1:1.1:1.1:0.01:0.01:1.1");
/*      */             } else {
/*  741 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  742 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  743 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  744 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  745 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  746 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  748 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  749 */                   "1:1:2.17:1.5:1.1:1.1:1.1:0.01:1");
/*      */             } 
/*      */             
/*  752 */             if (CertShenHe.this.bckModify.getSelection()) {
/*  753 */               CertShenHe.this.nmText.setText("");
/*  754 */               CertShenHe.this.bnText.setText("");
/*  755 */               CertShenHe.this.enText.setText("");
/*  756 */               CertShenHe.this.totalRows = 0;
/*  757 */               CertShenHe.this.currentPage = 1;
/*  758 */               CertShenHe.this.getData(CertShenHe.this.startNo, "", "", "");
/*  759 */               CertShenHe.this.setPages(CertShenHe.this.currentPage);
/*  760 */               CertShenHe.this.setFontColor();
/*  761 */               CertShenHe.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  767 */     this.backOff.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  769 */             CertShenHe.this.isVisible = true;
/*  770 */             CertShenHe.this.flag = true;
/*  771 */             CertShenHe.this.isWtAccept = true;
/*  772 */             CertShenHe.this.type = "backOff";
/*      */             
/*  774 */             CertShenHe.this.sheetName = "(" + PublicUtil.getStatByAflag("2", "6") + ")";
/*      */ 
/*      */             
/*  777 */             if (CertShenHe.this.newColumnTableColumn_4 != null) {
/*  778 */               CertShenHe.this.newColumnTableColumn_4.dispose();
/*      */             }
/*  780 */             CertShenHe.this.newColumnTableColumn_4 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  781 */             CertShenHe.this.newColumnTableColumn_4.setResizable(false);
/*  782 */             CertShenHe.this.newColumnTableColumn_4.setAlignment(16777216);
/*  783 */             CertShenHe.this.newColumnTableColumn_4.setText("上级意见");
/*      */             
/*  785 */             if ("100000".equals(CertShenHe.this.districtcode)) {
/*  786 */               if (CertShenHe.this.newColumnTableColumn_zhuansong != null) {
/*  787 */                 CertShenHe.this.newColumnTableColumn_zhuansong.dispose();
/*      */               }
/*  789 */               CertShenHe.this.newColumnTableColumn_zhuansong = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  790 */               CertShenHe.this.newColumnTableColumn_zhuansong.setResizable(false);
/*  791 */               CertShenHe.this.newColumnTableColumn_zhuansong.setAlignment(16777216);
/*  792 */               CertShenHe.this.newColumnTableColumn_zhuansong.setText("转送");
/*      */               
/*  794 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  795 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  796 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  797 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  798 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  799 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  801 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  802 */                   "1:1:1.98:1:1:1:1:1:0.02:1");
/*      */             } else {
/*  804 */               if (CertShenHe.this.newColumnTableColumn_4_1 != null)
/*  805 */                 CertShenHe.this.newColumnTableColumn_4_1.dispose(); 
/*  806 */               CertShenHe.this.newColumnTableColumn_4_1 = new TableColumn(CertShenHe.this.table_1, 16777216);
/*  807 */               CertShenHe.this.newColumnTableColumn_4_1.setAlignment(16777216);
/*  808 */               CertShenHe.this.newColumnTableColumn_4_1.setWidth(100);
/*  809 */               CertShenHe.this.newColumnTableColumn_4_1.setText("关联信息");
/*      */               
/*  811 */               PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.tableViewer.getTable(), 
/*  812 */                   "1:1:1.98:1:1:1:1:1:1");
/*      */             } 
/*  814 */             if (CertShenHe.this.backOff.getSelection()) {
/*  815 */               CertShenHe.this.nmText.setText("");
/*  816 */               CertShenHe.this.bnText.setText("");
/*  817 */               CertShenHe.this.enText.setText("");
/*  818 */               CertShenHe.this.totalRows = 0;
/*  819 */               CertShenHe.this.currentPage = 1;
/*  820 */               CertShenHe.this.getData(CertShenHe.this.startNo, "", "", "");
/*  821 */               CertShenHe.this.setPages(CertShenHe.this.currentPage);
/*  822 */               CertShenHe.this.setFontColor();
/*  823 */               CertShenHe.this.setCursor();
/*      */             } 
/*      */           }
/*      */         });
/*  827 */     this.button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  830 */             CalendarDialog cal = new CalendarDialog(CertShenHe.this.container.getShell(), CertShenHe.this.bnText, 
/*  831 */                 new Point(
/*  832 */                   (CertShenHe.this.container.getShell().getLocation()).x + 
/*  833 */                   (int)(
/*  834 */                   (CertShenHe.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/*  835 */                   (CertShenHe.this.group.getLocation()).x + 
/*  836 */                   (CertShenHe.this.composite_1.getLocation()).x + 
/*  837 */                   (CertShenHe.this.bnText.getBounds()).x, 
/*  838 */                   (CertShenHe.this.container.getShell().getLocation()).y + 
/*  839 */                   172 + 
/*  840 */                   (CertShenHe.this.group.getLocation()).y + 
/*  841 */                   (CertShenHe.this.composite_1.getLocation()).y + 
/*  842 */                   (CertShenHe.this.bnText.getBounds()).y + 
/*  843 */                   (CertShenHe.this.bnText.getBounds()).height));
/*  844 */             cal.open();
/*      */           }
/*      */         });
/*  847 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  850 */             CalendarDialog cal = new CalendarDialog(CertShenHe.this.container.getShell(), CertShenHe.this.enText, 
/*  851 */                 new Point(
/*  852 */                   (CertShenHe.this.container.getShell().getLocation()).x + 
/*  853 */                   (int)(
/*  854 */                   (CertShenHe.this.container.getShell().getBounds()).width * 0.2D) + 12 + 
/*  855 */                   (CertShenHe.this.group.getLocation()).x + 
/*  856 */                   (CertShenHe.this.composite_1.getLocation()).x + 
/*  857 */                   (CertShenHe.this.enText.getBounds()).x, 
/*  858 */                   (CertShenHe.this.container.getShell().getLocation()).y + 
/*  859 */                   172 + 
/*  860 */                   (CertShenHe.this.group.getLocation()).y + 
/*  861 */                   (CertShenHe.this.composite_1.getLocation()).y + 
/*  862 */                   (CertShenHe.this.enText.getBounds()).y + 
/*  863 */                   (CertShenHe.this.enText.getBounds()).height));
/*  864 */             cal.open();
/*      */           }
/*      */         });
/*  867 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  869 */             CertShenHe.this.bnText.setText("");
/*      */           }
/*      */         });
/*  872 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent e) {
/*  874 */             CertShenHe.this.enText.setText("");
/*      */           }
/*      */         });
/*  877 */     this.priorPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent arg0)
/*      */           {
/*  881 */             if (!CertShenHe.this.enText.getText().trim().equals("") && 
/*  882 */               !CertShenHe.this.bnText.getText().trim().equals("")) {
/*  883 */               CertShenHe.this
/*      */                 
/*  885 */                 .getData((CertShenHe.this.currentPage - 2) * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), CertShenHe.this.bnText.getText().trim(), CertShenHe.this.enText.getText().trim());
/*      */             } else {
/*  887 */               CertShenHe.this
/*  888 */                 .getData((CertShenHe.this.currentPage - 2) * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), "", "");
/*      */             } 
/*  890 */             CertShenHe.this.setCursor();
/*  891 */             CertShenHe.this.setPages(CertShenHe.this.currentPage - 1);
/*  892 */             CertShenHe.this.setFontColor();
/*      */           }
/*      */         });
/*  895 */     this.nextPage.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent arg0) {
/*  898 */             if (!CertShenHe.this.enText.getText().trim().equals("") && 
/*  899 */               !CertShenHe.this.bnText.getText().trim().equals("")) {
/*  900 */               CertShenHe.this
/*      */                 
/*  902 */                 .getData(CertShenHe.this.currentPage * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), CertShenHe.this.bnText.getText().trim(), CertShenHe.this.enText.getText().trim());
/*      */             } else {
/*  904 */               CertShenHe.this
/*  905 */                 .getData(CertShenHe.this.currentPage * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), "", "");
/*  906 */             }  CertShenHe.this.setCursor();
/*  907 */             CertShenHe.this.setPages(CertShenHe.this.currentPage + 1);
/*  908 */             CertShenHe.this.setFontColor();
/*      */           }
/*      */         });
/*      */ 
/*      */     
/*  913 */     this.goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*      */           public void widgetSelected(SelectionEvent event) {
/*  915 */             if (VerifyFunction.isNumeric(CertShenHe.this.text.getText())) {
/*  916 */               int aa = Integer.parseInt(CertShenHe.this.text.getText());
/*  917 */               if (aa > CertShenHe.this.totalPages) {
/*  918 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*      */               } else {
/*  920 */                 if (!CertShenHe.this.enText.getText().trim().equals("") && 
/*  921 */                   !CertShenHe.this.bnText.getText().trim().equals("")) {
/*  922 */                   CertShenHe.this
/*      */                     
/*  924 */                     .getData((aa - 1) * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), CertShenHe.this.bnText.getText().trim(), CertShenHe.this.enText.getText().trim());
/*      */                 } else {
/*  926 */                   CertShenHe.this
/*  927 */                     .getData((aa - 1) * CertShenHe.this.maxCount + 1, CertShenHe.this.nmText.getText().trim(), "", "");
/*  928 */                 }  CertShenHe.this.setCursor();
/*  929 */                 CertShenHe.this.setPages(aa);
/*  930 */                 CertShenHe.this.setFontColor();
/*      */               } 
/*      */             } else {
/*  933 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*      */             } 
/*      */           }
/*      */         });
/*  937 */     this.composite_3.addControlListener((ControlListener)new ControlAdapter() {
/*      */           public void controlResized(ControlEvent e) {
/*  939 */             String rate = "";
/*  940 */             if ("100000".equals(CertShenHe.this.districtcode)) {
/*  941 */               if (CertShenHe.this.backOff.getSelection())
/*  942 */                 rate = "1:1:1.98:1:1:1:1:1:0.02:1"; 
/*  943 */               if (CertShenHe.this.wtAccept.getSelection()) {
/*  944 */                 rate = "1:1:2.48:1.5:1:1:1:0.02:0:1";
/*      */               }
/*  946 */             } else if (CertShenHe.this.backOff.getSelection()) {
/*  947 */               rate = "1:1:1.98:1.2:1.2:1.2:1.2:1.2:0.09";
/*      */             } else {
/*  949 */               rate = "1:1:2.17:1.5:1.1:1.1:1.1:0.01:1";
/*      */             } 
/*      */             
/*  952 */             PublicUtil.setWidth(CertShenHe.this.composite_3, CertShenHe.this.table_1, rate);
/*  953 */             CertShenHe.this.setCursor();
/*      */           }
/*      */         });
/*  956 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*      */         {
/*      */           public void widgetSelected(SelectionEvent arg0) {
/*  959 */             int colums = CertShenHe.this.cursor.getColumn();
/*  960 */             CertShenHe.this.openChildrenDialog(colums);
/*  961 */             CertShenHe.this.selectColums = colums;
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setFontColor() {
/*  970 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/*  971 */       this.table_1.getItem(i)
/*  972 */         .setFont(
/*  973 */           2, 
/*  974 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  975 */             false, false));
/*  976 */       this.table_1.getItem(i).setForeground(2, 
/*  977 */           SWTResourceManager.getColor(37, 26, 181));
/*  978 */       this.table_1.getItem(i)
/*  979 */         .setFont(
/*  980 */           6, 
/*  981 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  982 */             false, false));
/*  983 */       this.table_1.getItem(i).setForeground(6, 
/*  984 */           SWTResourceManager.getColor(37, 26, 181));
/*  985 */       this.table_1.getItem(i)
/*  986 */         .setFont(
/*  987 */           7, 
/*  988 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  989 */             false, false));
/*  990 */       this.table_1.getItem(i).setForeground(7, 
/*  991 */           SWTResourceManager.getColor(37, 26, 181));
/*  992 */       this.table_1.getItem(i)
/*  993 */         .setFont(
/*  994 */           8, 
/*  995 */           SWTResourceManager.getFont("宋体", 9, 0, 
/*  996 */             false, false));
/*  997 */       this.table_1.getItem(i).setForeground(8, 
/*  998 */           SWTResourceManager.getColor(37, 26, 181));
/*      */       
/* 1000 */       this.table_1.getItem(i)
/* 1001 */         .setFont(
/* 1002 */           9, 
/* 1003 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 1004 */             false, false));
/* 1005 */       this.table_1.getItem(i).setForeground(9, 
/* 1006 */           SWTResourceManager.getColor(37, 26, 181));
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setPages(int currentPages) {
/* 1014 */     if (this.cert.size() == 0) {
/* 1015 */       this.totalRows = 0;
/*      */     } else {
/* 1017 */       this.totalRows = ((UnitInfoModel)this.cert.get(0)).getTotalRows();
/* 1018 */     }  PageUtil pu = new PageUtil(this.maxCount, currentPages, this.totalRows);
/* 1019 */     this.totalPages = pu.getTotalPages();
/* 1020 */     this.currentPage = pu.getCurrentPage();
/* 1021 */     this.hasNextPage = pu.isHasNextPage();
/* 1022 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 1023 */     if (this.totalPages == 0) {
/* 1024 */       this.nowPage.setText(String.valueOf(this.totalPages) + "页");
/*      */       
/* 1026 */       this.button_report.setEnabled(false);
/*      */     } else {
/*      */       
/* 1029 */       this.nowPage.setText(String.valueOf(this.currentPage) + "/" + this.totalPages + " 页");
/*      */       
/* 1031 */       this.button_report.setEnabled(true);
/*      */     } 
/*      */     
/* 1034 */     this.everyPageRows.setText("每页" + this.maxCount + "行");
/* 1035 */     this.allRows.setText("共" + this.totalRows + "行");
/* 1036 */     if (!this.hasPreviousPage) {
/* 1037 */       this.priorPage.setEnabled(false);
/*      */     } else {
/* 1039 */       this.priorPage.setEnabled(true);
/* 1040 */     }  if (!this.hasNextPage) {
/* 1041 */       this.nextPage.setEnabled(false);
/*      */     } else {
/* 1043 */       this.nextPage.setEnabled(true);
/* 1044 */     }  if (this.totalPages > 1) {
/* 1045 */       this.goButton.setEnabled(true);
/* 1046 */       this.text.setEnabled(true);
/*      */     } else {
/* 1048 */       this.goButton.setEnabled(false);
/* 1049 */       this.text.setEnabled(false);
/*      */     } 
/* 1051 */     this.compage.layout();
/*      */   }
/*      */   
/*      */   private void openRemarkList() {
/* 1055 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer.getSelection();
/* 1056 */     UnitInfoModel model = (UnitInfoModel)select.getFirstElement();
/* 1057 */     int rcount = Integer.parseInt(model.getRCount());
/* 1058 */     if (rcount > 0) {
/* 1059 */       String sydwId = model.getSydwid();
/* 1060 */       String sydwName = model.getName();
/* 1061 */       RemarkDialog dialog = new RemarkDialog(
/* 1062 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwId, sydwName, "关联信息", false);
/* 1063 */       dialog.open();
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void setCursor() {
/* 1072 */     if (this.cursor != null)
/*      */     {
/* 1074 */       this.cursor.dispose(); } 
/* 1075 */     this.cursor = new TableCursor(this.table_1, 0);
/* 1076 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 1077 */         .getSystemColor(26));
/* 1078 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 1079 */         .getSystemColor(27));
/* 1080 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*      */         {
/*      */           public void mouseDown(MouseEvent arg0) {
/* 1083 */             int colums = CertShenHe.this.cursor.getColumn();
/* 1084 */             CertShenHe.this.openChildrenDialog(colums);
/*      */           }
/*      */         });
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean checkSearchConditon() {
/* 1093 */     boolean flag = true;
/* 1094 */     if (!this.bnText.getText().trim().equals("")) {
/* 1095 */       if (this.enText.getText().trim().equals("")) {
/* 1096 */         SydjMessageDialog.openInformation(null, "提示", "请输入截止日期");
/* 1097 */         flag = false;
/*      */       } else {
/* 1099 */         flag = true;
/*      */       }
/*      */     
/* 1102 */     } else if (!this.enText.getText().trim().equals("")) {
/* 1103 */       if (this.bnText.getText().trim().equals("")) {
/* 1104 */         SydjMessageDialog.openInformation(null, "提示", "请输入起始日期");
/* 1105 */         flag = false;
/*      */       } else {
/* 1107 */         flag = true;
/*      */       } 
/*      */     } 
/*      */     
/* 1111 */     return flag;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void openChildrenDialog(int colums) {
/* 1118 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 1119 */       .getSelection();
/* 1120 */     UnitInfoModel model = (UnitInfoModel)select.getFirstElement();
/* 1121 */     if (colums == 2) {
/*      */       try {
/* 1123 */         ArrayList fileList = this.oper.getCertFileInfo(
/* 1124 */             GljgUserInfo.getInstance().getGroupid(), model.getApplyId(), 
/* 1125 */             model.getId(), model.isRead());
/* 1126 */         if (fileList == null)
/*      */           return; 
/* 1128 */         CertDetailDialogShenHe dialog = new CertDetailDialogShenHe(
/* 1129 */             this.container.getShell(), model, fileList, this.flag, 
/* 1130 */             this.isWtAccept, this.type, true, true);
/* 1131 */         if (dialog.open() == 0 && 
/* 1132 */           checkSearchConditon()) {
/* 1133 */           getData((this.currentPage - 1) * this.maxCount + 1, 
/* 1134 */               this.nmText.getText().trim(), this.bnText.getText().trim(), 
/* 1135 */               this.enText.getText().trim());
/* 1136 */           setPages(this.currentPage);
/* 1137 */           setFontColor();
/* 1138 */           setCursor();
/*      */         }
/*      */       
/* 1141 */       } catch (Exception e) {
/* 1142 */         e.printStackTrace();
/*      */       } 
/*      */     }
/* 1145 */     if (colums == 6) {
/*      */       try {
/* 1147 */         ArrayList historyList = this.oper.getCertHistoryInfo(model);
/* 1148 */         if (historyList == null)
/*      */           return; 
/* 1150 */         CertHistoryDialogShenHe dialog = new CertHistoryDialogShenHe(
/* 1151 */             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 1152 */             .getShell(), model, historyList);
/* 1153 */         dialog.open();
/*      */         
/*      */         return;
/* 1156 */       } catch (Exception e) {
/* 1157 */         e.printStackTrace();
/*      */       } 
/*      */     }
/* 1160 */     if (colums == 7) {
/*      */       try {
/* 1162 */         ArrayList list = this.oper.getLeaderAcvice(model.getApplyId(), 
/* 1163 */             model.getId());
/* 1164 */         if (list == null)
/*      */           return; 
/* 1166 */         (new LeaderAdvice(
/* 1167 */             PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), 
/* 1168 */             model.getName(), list)).open();
/*      */         return;
/* 1170 */       } catch (Exception e) {
/* 1171 */         e.printStackTrace();
/*      */       } 
/*      */     }
/*      */     
/* 1175 */     if (colums == 8) {
/*      */       try {
/* 1177 */         if (this.zhuansong) {
/* 1178 */           SendToOtherAuditDialog stod = new SendToOtherAuditDialog(
/* 1179 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), model.getApplyId(), model.getId());
/* 1180 */           stod.open();
/* 1181 */           if (stod.getBackParameter() == 2) {
/* 1182 */             getData(this.startNo, "", "", "");
/* 1183 */             setPages(this.currentPage);
/* 1184 */             setFontColor();
/* 1185 */             setCursor();
/*      */           } 
/*      */         } else {
/* 1188 */           openRemarkList();
/*      */         } 
/* 1190 */       } catch (Exception e) {
/* 1191 */         e.printStackTrace();
/* 1192 */         SydjMessageDialog.openWarning(null, "错误提示", "系统出错！");
/*      */       } 
/*      */     }
/*      */     
/* 1196 */     if (colums == 9)
/* 1197 */       openRemarkList(); 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\cert\CertShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */