/*     */ package cs.sydj.operation.shenhe.logout.actions;
/*     */ 
/*     */ import cs.sydj.common.BackModifyDialog;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.shenhe.logout.LogOutDetailDialogShenHe;
/*     */ import cs.sydj.operation.shenhe.logout.LogOutOperationShenHe;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.Action;
/*     */ import org.eclipse.jface.action.ActionContributionItem;
/*     */ import org.eclipse.jface.action.IAction;
/*     */ import org.eclipse.jface.action.IContributionItem;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.actions.ActionGroup;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LogOutDetailActionGroupShenHe
/*     */   extends ActionGroup
/*     */ {
/*     */   private boolean isVisible;
/*     */   private ToolBarManager barManager;
/*     */   private String applyId;
/*     */   private String currentId;
/*     */   private Shell shell;
/*     */   private LogOutDetailDialogShenHe dialog;
/*     */   
/*     */   public LogOutDetailActionGroupShenHe(LogOutDetailDialogShenHe dialog) {
/*  37 */     this.dialog = dialog;
/*  38 */     this.barManager = dialog.getBarManager();
/*  39 */     this.applyId = dialog.getLogout().getApplyId();
/*  40 */     this.currentId = dialog.getLogout().getId();
/*  41 */     this.isVisible = dialog.isFlag();
/*     */   }
/*     */   
/*     */   private class AcceptPassAction extends Action {
/*     */     public AcceptPassAction() {
/*  46 */       setId("cs.sydj.shenhe.logout.acceptpass");
/*  47 */       setText("审核通过");
/*  48 */       setToolTipText("审核通过");
/*     */ 
/*     */       
/*  51 */       setEnabled(StaticVariableClass.isWtAdvice);
/*     */     }
/*     */     
/*     */     public void run() {
/*     */       try {
/*  56 */         LogOutOperationShenHe logout = new LogOutOperationShenHe();
/*  57 */         UnitInfoModel model = LogOutDetailActionGroupShenHe.this.dialog.getLogout();
/*  58 */         String flag = logout.acceptPass(model.getApplyId(), 
/*  59 */             model.getId());
/*  60 */         if (flag == null) {
/*     */           return;
/*     */         }
/*  63 */         if ("true".equals(flag)) {
/*  64 */           LogOutDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/*  65 */           SydjMessageDialog.openInformation(null, "提示", "操作成功");
/*  66 */           LogOutDetailActionGroupShenHe.this.dialog.getShell().dispose();
/*     */         } else {
/*  68 */           SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */         }
/*     */       
/*     */       }
/*  72 */       catch (Exception e) {
/*  73 */         e.printStackTrace();
/*     */         return;
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   private class BackModifyAction extends Action {
/*     */     public BackModifyAction() {
/*  81 */       setId("cs.sydj.shenhe.logout.backmodify");
/*  82 */       setText("退回修改");
/*  83 */       setToolTipText("退回修改");
/*     */     }
/*     */     
/*     */     public void run() {
/*  87 */       LogOutOperationShenHe logout = new LogOutOperationShenHe();
/*  88 */       String str = logout.backModifyStr(LogOutDetailActionGroupShenHe.this.applyId, LogOutDetailActionGroupShenHe.this.currentId);
/*  89 */       if (str == null)
/*     */         return; 
/*  91 */       ArrayList list = logout.getAnnexName(
/*  92 */           GljgUserInfo.getInstance().getGroupid());
/*  93 */       if (list == null)
/*     */         return; 
/*  95 */       String advice = logout.checkBackOffReason(LogOutDetailActionGroupShenHe.this.applyId, LogOutDetailActionGroupShenHe.this.currentId);
/*  96 */       if (advice == null)
/*     */         return; 
/*  98 */       BackModifyDialog back = new BackModifyDialog(LogOutDetailActionGroupShenHe.this.shell, str, list, 
/*  99 */           advice, "你单位提交的注销登记申请材料不全，请补充提交：", 
/* 100 */           "你单位提交的注销登记申请材料不合格，请重新提交：", "事业单位法人注销登记（备案）申请书", "", "");
/* 101 */       if (back.open() == 0) {
/* 102 */         String flag = logout.backModify(LogOutDetailActionGroupShenHe.this.applyId, LogOutDetailActionGroupShenHe.this.currentId, 
/* 103 */             back.getReason());
/* 104 */         if (flag != null) {
/* 105 */           if ("true".equals(flag)) {
/* 106 */             SydjMessageDialog.openInformation(null, "提示", "操作成功");
/* 107 */             LogOutDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 108 */             if (!LogOutDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 109 */               LogOutDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */           } else {
/* 111 */             SydjMessageDialog.openInformation(null, "提示", "操作失败");
/*     */           } 
/*     */         }
/* 114 */         LogOutDetailActionGroupShenHe.this.dialog.setReturnValue(0);
/* 115 */         if (!LogOutDetailActionGroupShenHe.this.dialog.getShell().isDisposed())
/* 116 */           LogOutDetailActionGroupShenHe.this.dialog.getShell().dispose(); 
/*     */       } 
/*     */     }
/*     */   }
/*     */   
/*     */   public void fillActionToolBar() {
/* 122 */     this.barManager.removeAll();
/* 123 */     if (this.isVisible) {
/* 124 */       Action acceptPass = new AcceptPassAction();
/* 125 */       Action backModify = new BackModifyAction();
/* 126 */       this.barManager.add(createContributionItem((IAction)acceptPass));
/* 127 */       this.barManager.add(createContributionItem((IAction)backModify));
/*     */     } 
/* 129 */     this.barManager.update(true);
/*     */   }
/*     */   
/*     */   public IContributionItem createContributionItem(IAction action) {
/* 133 */     ActionContributionItem act = new ActionContributionItem(action);
/* 134 */     act.setMode(ActionContributionItem.MODE_FORCE_TEXT);
/* 135 */     return (IContributionItem)act;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {
/* 141 */     super.dispose();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shenhe\logout\actions\LogOutDetailActionGroupShenHe.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */