/*     */ package cs.sydj.operation.shouli.annualcheck;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Link;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.AnnualCheckAlterItem;
/*     */ import server.sydj.operation.commons.AnnualCheckAlteration;
/*     */ import server.sydj.operation.commons.AnnualCheckModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ 
/*     */ public class AnnualCheckAlterationLogDialog extends Dialog {
/*     */   private Text text_jgmc;
/*     */   private Text text_tydm;
/*     */   private Text text_jgxz;
/*     */   private Text text_jgdz;
/*     */   private Text text_fzr;
/*     */   private Text text_yxqk;
/*     */   private final ArrayList<AnnualCheckAlteration> annualCheckAlterations;
/*     */   private final boolean isWtAccept;
/*     */   private Composite container;
/*     */   private ScrolledComposite scrolledComposite;
/*     */   private Group group;
/*  42 */   private int returnValue = 1;
/*  43 */   private final AnnualCheckOperationShouLi oper = new AnnualCheckOperationShouLi();
/*     */ 
/*     */ 
/*     */   
/*     */   public int open() {
/*  48 */     super.open();
/*  49 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public int getReturnValue() {
/*  53 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/*  57 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AnnualCheckAlterationLogDialog(Shell parentShell, ArrayList<AnnualCheckAlteration> annualCheckAlterations, boolean isWtAccept) {
/*  67 */     super(parentShell);
/*  68 */     setShellStyle(66560);
/*  69 */     this.annualCheckAlterations = annualCheckAlterations;
/*  70 */     this.isWtAccept = isWtAccept;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  80 */     parent.setBackground(Display.getCurrent()
/*  81 */         .getSystemColor(1));
/*  82 */     this.container = (Composite)super.createDialogArea(parent);
/*  83 */     this.container.setBackground(Display.getCurrent()
/*  84 */         .getSystemColor(1));
/*  85 */     this.container.setLayout((Layout)new FillLayout());
/*     */     
/*  87 */     this.scrolledComposite = new ScrolledComposite(this.container, 2816);
/*     */     
/*  89 */     this.scrolledComposite.setBackground(Display.getCurrent()
/*  90 */         .getSystemColor(1));
/*  91 */     this.scrolledComposite.setExpandHorizontal(true);
/*     */     
/*  93 */     this.group = new Group((Composite)this.scrolledComposite, 0);
/*  94 */     this.group.setBackground(
/*  95 */         Display.getCurrent().getSystemColor(1));
/*  96 */     this.group.setLocation(0, 0);
/*  97 */     GridLayout gridLayout = new GridLayout();
/*  98 */     gridLayout.verticalSpacing = 0;
/*  99 */     gridLayout.horizontalSpacing = 0;
/* 100 */     gridLayout.numColumns = 17;
/* 101 */     this.group.setLayout((Layout)gridLayout);
/*     */     
/* 103 */     Label label_11 = new Label((Composite)this.group, 0);
/* 104 */     label_11.setFont(SWTResourceManager.getFont("", 14, 1));
/* 105 */     label_11.setBackground(Display.getCurrent()
/* 106 */         .getSystemColor(1));
/* 107 */     GridData gd_label_1 = new GridData(16777216, 16777216, false, false, 16, 1);
/* 108 */     gd_label_1.heightHint = 45;
/* 109 */     label_11.setLayoutData(gd_label_1);
/* 110 */     label_11.setText("年度报告自助修改记录");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 130 */     int counter = 0;
/* 131 */     int totalHeight = 300;
/* 132 */     for (int i = 0; i < this.annualCheckAlterations.size(); i++) {
/*     */       
/* 134 */       AnnualCheckAlteration aca = this.annualCheckAlterations.get(i);
/*     */       
/* 136 */       ArrayList<AnnualCheckAlterItem> acais = aca.getAlterItemList();
/*     */       
/* 138 */       int aclisLength = acais.size();
/* 139 */       if (aclisLength != 0) {
/*     */ 
/*     */ 
/*     */         
/* 143 */         final String applyId = aca.getApplyId();
/* 144 */         final String currentId = aca.getId();
/* 145 */         final String groupId = aca.getGroupId();
/*     */         
/* 147 */         for (int j = 0; j < aclisLength; j++) {
/* 148 */           if (j == 0) {
/* 149 */             totalHeight += 180;
/* 150 */             Label label_10 = new Label((Composite)this.group, 258);
/* 151 */             label_10.setBackground(Display.getCurrent().getSystemColor(1));
/* 152 */             label_10.setLayoutData(new GridData(4, 4, false, false, 
/* 153 */                   17, 1));
/*     */             
/* 155 */             Label label_123 = new Label((Composite)this.group, 2);
/* 156 */             label_123.setBackground(Display.getCurrent()
/* 157 */                 .getSystemColor(1));
/* 158 */             GridData gd_label_123 = new GridData(4, 4, false, 
/* 159 */                 false);
/* 160 */             gd_label_123.heightHint = 13;
/* 161 */             label_123.setLayoutData(gd_label_123);
/*     */             
/* 163 */             Label label = new Label((Composite)this.group, 0);
/* 164 */             label.setBackground(
/* 165 */                 Display.getCurrent().getSystemColor(1));
/* 166 */             label.setLayoutData(new GridData(4, 16777216, false, 
/* 167 */                   false, 15, 1));
/*     */             
/* 169 */             label.setText(String.valueOf(String.valueOf(++counter)) + "）修改日期：" + aca.getStateChangeDate());
/* 170 */             label.setBackground(Display.getCurrent()
/* 171 */                 .getSystemColor(13));
/*     */             
/* 173 */             Label label_1234 = new Label((Composite)this.group, 2);
/* 174 */             label_1234.setBackground(Display.getCurrent()
/* 175 */                 .getSystemColor(1));
/* 176 */             GridData gd_label_1234 = new GridData(4, 4, false, 
/* 177 */                 false);
/* 178 */             gd_label_1234.heightHint = 13;
/* 179 */             label_1234.setLayoutData(gd_label_1234);
/*     */ 
/*     */             
/* 182 */             Label label_10_1 = new Label((Composite)this.group, 258);
/* 183 */             label_10_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 184 */             label_10_1.setLayoutData(new GridData(4, 4, false, false, 
/* 185 */                   17, 1));
/*     */             
/* 187 */             Label label_123_1 = new Label((Composite)this.group, 2);
/* 188 */             label_123_1.setBackground(Display.getCurrent()
/* 189 */                 .getSystemColor(1));
/* 190 */             GridData gd_label_123_1 = new GridData(4, 4, false, 
/* 191 */                 false);
/* 192 */             gd_label_123_1.heightHint = 13;
/* 193 */             label_123_1.setLayoutData(gd_label_123);
/*     */             
/* 195 */             Label label_2 = new Label((Composite)this.group, 0);
/* 196 */             label_2.setBackground(
/* 197 */                 Display.getCurrent().getSystemColor(1));
/* 198 */             label_2.setLayoutData(new GridData(4, 16777216, false, 
/* 199 */                   false, 15, 1));
/*     */             
/* 201 */             label_2.setText("     修改原因：" + aca.getReason());
/* 202 */             label_2.setBackground(Display.getCurrent()
/* 203 */                 .getSystemColor(13));
/*     */             
/* 205 */             Label label_1234_1 = new Label((Composite)this.group, 2);
/* 206 */             label_1234_1.setBackground(Display.getCurrent()
/* 207 */                 .getSystemColor(1));
/* 208 */             GridData gd_label_1234_1 = new GridData(4, 4, false, 
/* 209 */                 false);
/* 210 */             gd_label_1234_1.heightHint = 13;
/* 211 */             label_1234_1.setLayoutData(gd_label_1234_1);
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 216 */             Label label1 = new Label((Composite)this.group, 258);
/* 217 */             label1.setBackground(Display.getCurrent()
/* 218 */                 .getSystemColor(1));
/* 219 */             label1.setLayoutData(new GridData(4, 4, false, false, 
/* 220 */                   17, 1));
/*     */             
/* 222 */             Label label2 = new Label((Composite)this.group, 2);
/* 223 */             label2.setBackground(Display.getCurrent()
/* 224 */                 .getSystemColor(1));
/* 225 */             label2.setLayoutData(new GridData(4, 4, false, false, 
/* 226 */                   1, 1));
/*     */             
/* 228 */             Label label3 = new Label((Composite)this.group, 64);
/* 229 */             label3.setBackground(Display.getCurrent()
/* 230 */                 .getSystemColor(1));
/* 231 */             GridData gridData1 = new GridData(16777216, 16777216, false, 
/* 232 */                 false, 3, 3);
/* 233 */             gridData1.widthHint = 40;
/* 234 */             gridData1.heightHint = 20;
/* 235 */             label3.setLayoutData(gridData1);
/* 236 */             label3.setText("修改项");
/*     */             
/* 238 */             Label label4 = new Label((Composite)this.group, 2);
/* 239 */             label4.setBackground(Display.getCurrent()
/* 240 */                 .getSystemColor(1));
/* 241 */             label4.setLayoutData(new GridData(4, 4, false, false, 
/* 242 */                   1, 1));
/*     */             
/* 244 */             Label label_6 = new Label((Composite)this.group, 0);
/* 245 */             label_6.setBackground(Display.getCurrent()
/* 246 */                 .getSystemColor(1));
/* 247 */             label_6
/* 248 */               .setLayoutData(new GridData(16777216, 16777216, false, 
/* 249 */                   false));
/* 250 */             label_6.setText("修改前");
/*     */             
/* 252 */             Label label_20 = new Label((Composite)this.group, 2);
/* 253 */             label_20.setBackground(Display.getCurrent()
/* 254 */                 .getSystemColor(1));
/* 255 */             GridData gd_label_20 = new GridData(4, 4, false, 
/* 256 */                 false, 1, 1);
/* 257 */             gd_label_20.widthHint = 2;
/* 258 */             label_20.setLayoutData(gd_label_20);
/*     */             
/* 260 */             Label label_6_1 = new Label((Composite)this.group, 0);
/* 261 */             label_6_1.setBackground(Display.getCurrent()
/* 262 */                 .getSystemColor(1));
/* 263 */             label_6_1
/* 264 */               .setLayoutData(new GridData(16777216, 16777216, false, 
/* 265 */                   false));
/* 266 */             label_6_1.setText("修改后");
/*     */             
/* 268 */             Label label_20_1 = new Label((Composite)this.group, 2);
/* 269 */             label_20_1.setBackground(Display.getCurrent()
/* 270 */                 .getSystemColor(1));
/* 271 */             GridData gd_label_20_1 = new GridData(4, 4, false, 
/* 272 */                 false, 1, 1);
/* 273 */             gd_label_20_1.widthHint = 2;
/* 274 */             label_20_1.setLayoutData(gd_label_20_1);
/*     */           } 
/*     */ 
/*     */           
/* 278 */           AnnualCheckAlterItem acai = acais.get(j);
/*     */ 
/*     */           
/* 281 */           Label label_1 = new Label((Composite)this.group, 258);
/* 282 */           label_1.setBackground(Display.getCurrent()
/* 283 */               .getSystemColor(1));
/* 284 */           label_1.setLayoutData(new GridData(4, 4, false, false, 
/* 285 */                 17, 1));
/*     */           
/* 287 */           Label label_14 = new Label((Composite)this.group, 2);
/* 288 */           label_14.setBackground(Display.getCurrent()
/* 289 */               .getSystemColor(1));
/* 290 */           label_14.setLayoutData(new GridData(4, 4, false, false, 
/* 291 */                 1, 13));
/*     */           
/* 293 */           String itemNameCn = acai.getItemNameCn();
/* 294 */           if (itemNameCn.contains("<br/>")) {
/* 295 */             itemNameCn = itemNameCn.replace("<br/>", "");
/*     */           }
/* 297 */           int heightHint = (itemNameCn.length() / 3 + 1) * 20;
/* 298 */           totalHeight += heightHint;
/* 299 */           Label label_5 = new Label((Composite)this.group, 64);
/* 300 */           label_5.setBackground(Display.getCurrent()
/* 301 */               .getSystemColor(1));
/* 302 */           GridData gd_label_5 = new GridData(16777216, 16777216, false, 
/* 303 */               false, 3, 3);
/* 304 */           gd_label_5.widthHint = 40;
/* 305 */           gd_label_5.heightHint = heightHint;
/* 306 */           label_5.setLayoutData(gd_label_5);
/* 307 */           label_5.setText(itemNameCn);
/*     */           
/* 309 */           Label label_15 = new Label((Composite)this.group, 2);
/* 310 */           label_15.setBackground(Display.getCurrent()
/* 311 */               .getSystemColor(1));
/* 312 */           label_15.setLayoutData(new GridData(4, 4, false, false, 
/* 313 */                 1, 13));
/*     */           
/* 315 */           String itemName = acai.getItemName();
/*     */           
/* 317 */           if ("YEARREPORT".equals(itemName) || 
/* 318 */             "GYFWGSZNLIST".equals(itemName) || "GYFWZLHZLZNLIST".equals(itemName) || 
/* 319 */             "GZMYDLIST".equals(itemName) || "GYFWZXLIST".equals(itemName)) {
/* 320 */             Link eclipseorgLink1 = new Link((Composite)this.group, 0);
/* 321 */             eclipseorgLink1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */                   public void widgetSelected(SelectionEvent e) {
/* 323 */                     FileModel out = new FileModel();
/* 324 */                     String preId = AnnualCheckAlterationLogDialog.this.oper.getLastId(applyId, currentId);
/* 325 */                     out.setApplyId(applyId);
/* 326 */                     out.setId(preId);
/* 327 */                     out.setGroupId(groupId);
/* 328 */                     ArrayList<AnnualCheckModel> fileDetail = AnnualCheckAlterationLogDialog.this.oper.getAdviceInfo(out);
/* 329 */                     if (fileDetail == null)
/*     */                       return; 
/* 331 */                     AnnualCheckModel annualCheck = null;
/* 332 */                     if (!fileDetail.isEmpty()) {
/* 333 */                       annualCheck = fileDetail.get(0);
/* 334 */                       annualCheck.setNotes("AnnualCheckWithoutAlterations");
/* 335 */                       if (annualCheck.getYearReport1() != null && "1".equals(annualCheck.getYearReport1())) {
/* 336 */                         AnnualCheckFileInfoDialogShouLiGuangXi file = 
/* 337 */                           new AnnualCheckFileInfoDialogShouLiGuangXi(
/* 338 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 339 */                             .getShell(), annualCheck, false);
/* 340 */                         file.open();
/*     */                       } else {
/* 342 */                         AnnualCheckFileInfoDialogShouLiGjj file = 
/* 343 */                           new AnnualCheckFileInfoDialogShouLiGjj(
/* 344 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 345 */                             .getShell(), annualCheck, false);
/* 346 */                         file.open();
/*     */                       } 
/*     */                     } 
/*     */                   }
/*     */                 });
/* 351 */             eclipseorgLink1.setLayoutData(new GridData(16777216, 16777216, 
/* 352 */                   false, false, 1, 1));
/* 353 */             eclipseorgLink1.setBackground(Display.getCurrent()
/* 354 */                 .getSystemColor(1));
/* 355 */             eclipseorgLink1
/* 356 */               .setText("<a href=\"http://www.eclipse.org\">查看修改前年度报告书</a>");
/*     */             
/* 358 */             Label label_20 = new Label((Composite)this.group, 2);
/* 359 */             label_20.setBackground(Display.getCurrent()
/* 360 */                 .getSystemColor(1));
/* 361 */             GridData gd_label_20 = new GridData(4, 4, false, 
/* 362 */                 false, 1, 13);
/* 363 */             gd_label_20.widthHint = 2;
/* 364 */             label_20.setLayoutData(gd_label_20);
/*     */             
/* 366 */             Link eclipseorgLink2 = new Link((Composite)this.group, 0);
/* 367 */             eclipseorgLink2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */                   public void widgetSelected(SelectionEvent e) {
/* 369 */                     FileModel out = new FileModel();
/* 370 */                     out.setApplyId(applyId);
/* 371 */                     out.setId(currentId);
/* 372 */                     out.setGroupId(groupId);
/* 373 */                     ArrayList<AnnualCheckModel> fileDetail = AnnualCheckAlterationLogDialog.this.oper.getAdviceInfo(out);
/* 374 */                     if (fileDetail == null) {
/*     */                       return;
/*     */                     }
/* 377 */                     AnnualCheckModel annualCheck = null;
/* 378 */                     if (!fileDetail.isEmpty()) {
/* 379 */                       annualCheck = fileDetail.get(0);
/* 380 */                       annualCheck.setNotes("AnnualCheckWithoutAlterations");
/* 381 */                       if (annualCheck.getYearReport1() != null && "1".equals(annualCheck.getYearReport1())) {
/* 382 */                         AnnualCheckFileInfoDialogShouLiGuangXi file = 
/* 383 */                           new AnnualCheckFileInfoDialogShouLiGuangXi(
/* 384 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 385 */                             .getShell(), annualCheck, false);
/* 386 */                         file.open();
/*     */                       } else {
/* 388 */                         AnnualCheckFileInfoDialogShouLiGjj file = 
/* 389 */                           new AnnualCheckFileInfoDialogShouLiGjj(
/* 390 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 391 */                             .getShell(), annualCheck, false);
/* 392 */                         file.open();
/*     */                       } 
/*     */                     } 
/*     */                   }
/*     */                 });
/* 397 */             eclipseorgLink2.setLayoutData(new GridData(16777216, 16777216, 
/* 398 */                   false, false, 1, 1));
/* 399 */             eclipseorgLink2.setBackground(Display.getCurrent()
/* 400 */                 .getSystemColor(1));
/* 401 */             eclipseorgLink2
/* 402 */               .setText("<a href=\"http://www.eclipse.org\">查看修改后年度报告书</a>");
/*     */           } else {
/*     */             
/* 405 */             Text text_jgmc = new Text((Composite)this.group, 2626);
/* 406 */             text_jgmc.setBackground(Display.getCurrent()
/* 407 */                 .getSystemColor(1));
/* 408 */             GridData text_jgmc_grid = new GridData(4, 4, true, false);
/* 409 */             text_jgmc_grid.heightHint = heightHint;
/* 410 */             text_jgmc.setLayoutData(text_jgmc_grid);
/* 411 */             text_jgmc.setText((acai.getFromInfo() == null) ? "" : acai.getFromInfo());
/*     */             
/* 413 */             Label label_20 = new Label((Composite)this.group, 2);
/* 414 */             label_20.setBackground(Display.getCurrent()
/* 415 */                 .getSystemColor(1));
/* 416 */             GridData gd_label_20 = new GridData(4, 4, false, 
/* 417 */                 false, 1, 13);
/* 418 */             gd_label_20.widthHint = 2;
/* 419 */             label_20.setLayoutData(gd_label_20);
/*     */ 
/*     */             
/* 422 */             Text text_jgmc2 = new Text((Composite)this.group, 2626);
/* 423 */             text_jgmc2.setBackground(Display.getCurrent()
/* 424 */                 .getSystemColor(1));
/* 425 */             text_jgmc2.setLayoutData(text_jgmc_grid);
/* 426 */             text_jgmc2.setText((acai.getToInfo() == null) ? "" : acai.getToInfo());
/*     */           } 
/* 428 */           Label label_4_3 = new Label((Composite)this.group, 2);
/* 429 */           label_4_3.setBackground(Display.getCurrent()
/* 430 */               .getSystemColor(1));
/* 431 */           GridData gd_label_4_3 = new GridData(4, 4, false, 
/* 432 */               false);
/* 433 */           gd_label_4_3.heightHint = heightHint;
/* 434 */           gd_label_4_3.widthHint = 1;
/* 435 */           label_4_3.setLayoutData(gd_label_4_3);
/*     */           
/* 437 */           Label label_13_3 = new Label((Composite)this.group, 258);
/* 438 */           label_13_3.setBackground(Display.getCurrent()
/* 439 */               .getSystemColor(1));
/* 440 */           label_13_3.setLayoutData(new GridData(4, 4, false, false, 
/* 441 */                 16, 1));
/*     */         } 
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 447 */     this.group.setSize(772, totalHeight);
/* 448 */     this.scrolledComposite.setContent((Control)this.group);
/* 449 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 459 */     parent.setBackground(Display.getCurrent()
/* 460 */         .getSystemColor(1));
/* 461 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 469 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 473 */     super.configureShell(newShell);
/* 474 */     newShell.setText("事业单位年度报告自助修改记录");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 479 */     if (buttonId == 1) {
/* 480 */       this.returnValue = 1;
/* 481 */       super.buttonPressed(buttonId);
/*     */     } 
/* 483 */     if (buttonId == 0) {
/* 484 */       this.returnValue = 0;
/* 485 */       dealOperation(buttonId);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dealOperation(int buttonId) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 500 */     super.initializeBounds();
/* 501 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\annualcheck\AnnualCheckAlterationLogDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */