/*     */ package cs.sydj.operation.shouli.biangeng;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.HistoryTableViewerLabelProvider;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ShouliBianGengHisInfoDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table_1;
/*     */   protected Object result;
/*     */   protected Shell shell;
/*     */   private InstaurationShouLiInfo insinfo;
/*     */   private ArrayList historyList;
/*     */   private boolean OkButtonFlag;
/*  50 */   private TableCursor cursor = null;
/*     */   private TableViewer tableViewer;
/*  52 */   protected int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ShouliBianGengHisInfoDialog(Shell parent, int style) {
/*  61 */     super(parent, style);
/*     */   }
/*     */ 
/*     */   
/*     */   public ShouliBianGengHisInfoDialog(Shell parent, InstaurationShouLiInfo insinfo, ArrayList historyList, boolean OkButtonFlag) {
/*  66 */     super(parent, 0);
/*  67 */     this.insinfo = insinfo;
/*  68 */     this.historyList = historyList;
/*  69 */     this.OkButtonFlag = OkButtonFlag;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ShouliBianGengHisInfoDialog(Shell parent) {
/*  78 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  87 */     createContents();
/*  88 */     PublicUtil.setCenter(this.shell);
/*  89 */     this.shell.open();
/*  90 */     this.shell.layout();
/*  91 */     Display display = getParent().getDisplay();
/*  92 */     while (!this.shell.isDisposed()) {
/*  93 */       if (!display.readAndDispatch())
/*  94 */         display.sleep(); 
/*     */     } 
/*  96 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/* 103 */     this.shell = new Shell(getParent(), 67680);
/* 104 */     this.shell.setBackgroundMode(1);
/* 105 */     this.shell.setBackground(
/* 106 */         Display.getCurrent().getSystemColor(1));
/* 107 */     this.shell.setLayout((Layout)new FormLayout());
/* 108 */     this.shell.setSize(800, 600);
/* 109 */     this.shell.setText("历史记录");
/*     */     
/* 111 */     Composite group = new Composite((Composite)this.shell, 0);
/* 112 */     GridLayout gridLayout = new GridLayout();
/* 113 */     gridLayout.marginTop = 25;
/* 114 */     gridLayout.marginRight = 25;
/* 115 */     gridLayout.marginLeft = 25;
/* 116 */     group.setLayout((Layout)gridLayout);
/* 117 */     FormData fd_group = new FormData();
/* 118 */     fd_group.bottom = new FormAttachment(100, -60);
/* 119 */     fd_group.right = new FormAttachment(100, -5);
/* 120 */     fd_group.top = new FormAttachment(0, 0);
/* 121 */     fd_group.left = new FormAttachment(0, 0);
/* 122 */     group.setLayoutData(fd_group);
/* 123 */     Object data = this.historyList;
/*     */     
/* 125 */     Label label = new Label(group, 0);
/* 126 */     label.setLayoutData(new GridData());
/* 127 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 128 */     label.setText("“" + this.insinfo.getSydwname() + "”变更登记申请历史记录");
/* 129 */     label.setFont(
/* 130 */         SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 131 */     Label label_2 = new Label(group, 258);
/* 132 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 134 */     this.tableViewer = new TableViewer(group, 67584);
/* 135 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new HistoryTableViewerLabelProvider());
/* 136 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 137 */     this.table_1 = this.tableViewer.getTable();
/* 138 */     this.table_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 140 */             int colums = ShouliBianGengHisInfoDialog.this.cursor.getColumn();
/* 141 */             ShouliBianGengHisInfoDialog.this.openChildrenDialog(colums);
/* 142 */             ShouliBianGengHisInfoDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/* 145 */     GridData gd_table_1 = new GridData(4, 16777216, true, 
/* 146 */         false);
/* 147 */     gd_table_1.heightHint = 312;
/* 148 */     this.table_1.setLayoutData(gd_table_1);
/* 149 */     this.table_1.setLinesVisible(true);
/* 150 */     this.table_1.setHeaderVisible(true);
/* 151 */     PublicUtil.setMouseHands(this.table_1, "0");
/*     */     
/* 153 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table_1, 
/* 154 */         0);
/* 155 */     newColumnTableColumn_1.setAlignment(16777216);
/* 156 */     newColumnTableColumn_1.setWidth(91);
/* 157 */     newColumnTableColumn_1.setText("提交次数");
/*     */     
/* 159 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table_1, 
/* 160 */         0);
/* 161 */     newColumnTableColumn_2.setAlignment(16777216);
/* 162 */     newColumnTableColumn_2.setWidth(100);
/* 163 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 165 */     TableColumn newColumnTableColumn = new TableColumn(this.table_1, 
/* 166 */         0);
/* 167 */     newColumnTableColumn.setAlignment(16777216);
/* 168 */     newColumnTableColumn.setWidth(350);
/* 169 */     newColumnTableColumn.setText("举办单位意见");
/*     */     
/* 171 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table_1, 
/* 172 */         0);
/* 173 */     newColumnTableColumn_3.setAlignment(16777216);
/* 174 */     newColumnTableColumn_3.setWidth(350);
/* 175 */     newColumnTableColumn_3.setText("受理人意见");
/*     */     
/* 177 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table_1, 
/* 178 */         0);
/* 179 */     newColumnTableColumn_4.setAlignment(16777216);
/* 180 */     newColumnTableColumn_4.setWidth(350);
/* 181 */     newColumnTableColumn_4.setText("审核人意见");
/*     */     
/* 183 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table_1, 
/* 184 */         0);
/* 185 */     newColumnTableColumn_5.setAlignment(16777216);
/* 186 */     newColumnTableColumn_5.setWidth(350);
/* 187 */     newColumnTableColumn_5.setText("核准人意见");
/*     */     
/* 189 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table_1, 
/* 190 */         0);
/* 191 */     newColumnTableColumn_6.setAlignment(16777216);
/* 192 */     newColumnTableColumn_6.setWidth(100);
/* 193 */     newColumnTableColumn_6.setText("核准时间");
/* 194 */     this.tableViewer.setInput(data);
/*     */     
/* 196 */     Label label_1 = new Label(group, 258);
/* 197 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 199 */     Button button = new Button((Composite)this.shell, 0);
/* 200 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 202 */             ShouliBianGengHisInfoDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 206 */     FormData fd_button = new FormData();
/* 207 */     fd_button.bottom = new FormAttachment(0, 556);
/* 208 */     fd_button.top = new FormAttachment(0, 533);
/* 209 */     fd_button.right = new FormAttachment(0, 781);
/* 210 */     fd_button.left = new FormAttachment(0, 706);
/* 211 */     button.setLayoutData(fd_button);
/* 212 */     button.setText("关闭");
/* 213 */     setFontColor();
/* 214 */     setCursor();
/* 215 */     PublicUtil.setTableHeight(this.table_1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 222 */     for (int i = 0; i < this.table_1.getItemCount(); i++) {
/* 223 */       this.table_1.getItem(i)
/* 224 */         .setFont(
/* 225 */           0, 
/* 226 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 227 */             false, false));
/* 228 */       this.table_1.getItem(i).setForeground(0, 
/* 229 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 237 */     if (this.cursor != null)
/*     */     {
/* 239 */       this.cursor.dispose(); } 
/* 240 */     this.cursor = new TableCursor(this.table_1, 0);
/* 241 */     this.cursor.setBackground(this.table_1.getDisplay()
/* 242 */         .getSystemColor(26));
/* 243 */     this.cursor.setForeground(this.table_1.getDisplay()
/* 244 */         .getSystemColor(27));
/* 245 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 248 */             int colums = ShouliBianGengHisInfoDialog.this.cursor.getColumn();
/* 249 */             ShouliBianGengHisInfoDialog.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 258 */     if (colums == 0)
/*     */       try {
/* 260 */         IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 261 */           .getSelection();
/* 262 */         HistoryModel history = (HistoryModel)select.getFirstElement();
/* 263 */         ShouLiBianGengDataManage dataManage = new ShouLiBianGengDataManage();
/* 264 */         ArrayList result = new ArrayList();
/* 265 */         result = dataManage.getInsHisAttachmentName(history, this.insinfo.getGroupid(), this.insinfo.getAPPLY_STATE());
/* 266 */         if (result != null) {
/* 267 */           ShouliBianGengHisDetailDialog detailinfodialog = new ShouliBianGengHisDetailDialog(
/* 268 */               PlatformUI.getWorkbench()
/* 269 */               .getActiveWorkbenchWindow().getShell(), 
/* 270 */               result, this.insinfo, this.OkButtonFlag);
/* 271 */           detailinfodialog.open();
/*     */         } 
/* 273 */       } catch (Exception e) {
/* 274 */         e.printStackTrace();
/*     */       }  
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\biangeng\ShouliBianGengHisInfoDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */