/*     */ package cs.sydj.operation.shouli.cert;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.AnnexDealDialog;
/*     */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.StaticVariableClass;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.ViewAnnexStat;
/*     */ import cs.sydj.common.attachs.AttachsListDialog;
/*     */ import cs.sydj.common.attachs.AttachsOperations;
/*     */ import cs.sydj.operation.shouli.cert.actions.CertDetailActionGroupShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.MenuManager;
/*     */ import org.eclipse.jface.action.ToolBarManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.custom.TableEditor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Image;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.TableItem;
/*     */ import org.eclipse.swt.widgets.ToolBar;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.FileTableViewerLabelProvider;
/*     */ import server.sydj.operation.commons.UnitInfoModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CertDetailDialogShouLi
/*     */   extends Dialog
/*     */ {
/*     */   private ToolBar toolBar;
/*     */   private Table table;
/*     */   private CertDetailActionGroupShouLi actionGroup;
/*     */   private ToolBarManager barManager;
/*     */   private MenuManager manager;
/*     */   private UnitInfoModel cert;
/*     */   private ArrayList fileList;
/*     */   private boolean flag;
/*     */   static String modifyReason;
/*     */   private TableViewer tableViewer;
/*     */   private boolean isWtAccept = true;
/*     */   private boolean tbVisible;
/*     */   private String type;
/*  72 */   private int returnValue = 1;
/*  73 */   private String rate = "0:0.5:3.5:1:2:1.7:1.27:0.01";
/*     */ 
/*     */   
/*  76 */   private TableCursor cursor = null;
/*     */   private Composite container;
/*     */   private Composite composite;
/*  79 */   protected int selectColums = 32;
/*  80 */   private CertOperationShouLi oper = new CertOperationShouLi();
/*  81 */   private TableColumn newColumnTableColumn_3 = null;
/*     */   
/*     */   private boolean isVisible = false;
/*     */   TableEditor[] editors;
/*     */   Composite[] radio;
/*     */   
/*     */   public boolean isVisible() {
/*  88 */     return this.isVisible;
/*     */   }
/*     */   
/*     */   public void setVisible(boolean isVisible) {
/*  92 */     this.isVisible = isVisible;
/*     */   }
/*     */   
/*     */   public String getRate() {
/*  96 */     return this.rate;
/*     */   }
/*     */   
/*     */   public void setRate(String rate) {
/* 100 */     this.rate = rate;
/*     */   }
/*     */   
/*     */   public Composite getComposite() {
/* 104 */     return this.composite;
/*     */   }
/*     */   
/*     */   public void setComposite(Composite composite) {
/* 108 */     this.composite = composite;
/*     */   }
/*     */   
/*     */   public TableColumn getNewColumnTableColumn_3() {
/* 112 */     return this.newColumnTableColumn_3;
/*     */   }
/*     */   
/*     */   public void setNewColumnTableColumn_3(TableColumn newColumnTableColumn_3) {
/* 116 */     this.newColumnTableColumn_3 = newColumnTableColumn_3;
/*     */   }
/*     */   
/*     */   public Composite[] getRadio() {
/* 120 */     return this.radio;
/*     */   }
/*     */   
/*     */   public void setRadio(Composite[] radio) {
/* 124 */     this.radio = radio;
/*     */   }
/*     */   
/*     */   public int getReturnValue() {
/* 128 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/* 132 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CertDetailDialogShouLi(Shell parent, UnitInfoModel cert, ArrayList fileList, boolean flag, boolean isWtAccept, String type, boolean tbVisible, boolean isVisible) {
/* 143 */     super(parent);
/* 144 */     this.fileList = fileList;
/* 145 */     this.cert = cert;
/* 146 */     this.flag = flag;
/* 147 */     this.isWtAccept = isWtAccept;
/* 148 */     this.type = type;
/* 149 */     this.tbVisible = tbVisible;
/* 150 */     this.isVisible = isVisible;
/* 151 */     PublicUtil.setPassEnable(fileList);
/* 152 */     setRate();
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 157 */     super.open();
/* 158 */     return this.returnValue;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 168 */     parent.setBackgroundMode(2);
/* 169 */     parent.setBackground(Display.getCurrent()
/* 170 */         .getSystemColor(1));
/* 171 */     this.container = (Composite)super.createDialogArea(parent);
/*     */     
/* 173 */     this.container.setBackground(Display.getCurrent()
/* 174 */         .getSystemColor(1));
/*     */     
/* 176 */     Label label = new Label(this.container, 64);
/* 177 */     label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 178 */     label.setBackground(
/* 179 */         Display.getCurrent().getSystemColor(1));
/* 180 */     label.setLayoutData(new GridData(4, 16777216, true, false));
/* 181 */     label.setText("“" + this.cert.getName() + "”证书补领文件");
/*     */     
/* 183 */     Label label_1 = new Label(this.container, 258);
/*     */     
/* 185 */     label_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 187 */     this.composite = new Composite(this.container, 0);
/* 188 */     this.composite.setBackground(Display.getCurrent()
/* 189 */         .getSystemColor(1));
/* 190 */     GridLayout gridLayout = new GridLayout();
/* 191 */     gridLayout.verticalSpacing = 0;
/* 192 */     gridLayout.marginWidth = 0;
/* 193 */     gridLayout.marginHeight = 0;
/* 194 */     gridLayout.horizontalSpacing = 0;
/* 195 */     this.composite.setLayout((Layout)gridLayout);
/* 196 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 197 */         false);
/* 198 */     gd_composite.heightHint = 260;
/* 199 */     this.composite.setLayoutData(gd_composite);
/*     */     
/* 201 */     this.tableViewer = new TableViewer(this.composite, 67584);
/*     */     
/* 203 */     this.table = this.tableViewer.getTable();
/* 204 */     this.table.setLinesVisible(true);
/* 205 */     this.table.setHeaderVisible(true);
/* 206 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/*     */     
/* 208 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 209 */         16777216);
/* 210 */     newColumnTableColumn.setAlignment(16777216);
/* 211 */     newColumnTableColumn.setResizable(false);
/* 212 */     TableColumn newColumnTableColumn_6 = new TableColumn(this.table, 
/* 213 */         16777216);
/* 214 */     newColumnTableColumn_6.setAlignment(16777216);
/* 215 */     newColumnTableColumn_6.setWidth(30);
/*     */     
/* 217 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 218 */         0);
/* 219 */     newColumnTableColumn_1.setWidth(200);
/* 220 */     newColumnTableColumn_1.setText("文件名称");
/* 221 */     if (this.tbVisible) {
/* 222 */       TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 223 */           16777216);
/* 224 */       newColumnTableColumn_2.setAlignment(16777216);
/* 225 */       newColumnTableColumn_2.setWidth(80);
/*     */     } 
/* 227 */     if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 228 */       this.newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 229 */       this.newColumnTableColumn_3.setAlignment(16777216);
/* 230 */       this.newColumnTableColumn_3.setWidth(200);
/*     */     } 
/* 232 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 233 */         16777216);
/* 234 */     newColumnTableColumn_4.setAlignment(16777216);
/* 235 */     newColumnTableColumn_4.setWidth(150);
/* 236 */     newColumnTableColumn_4.setText("提交状态");
/*     */     
/* 238 */     TableColumn newColumnTableColumn_5 = new TableColumn(this.table, 
/* 239 */         16777216);
/* 240 */     newColumnTableColumn_5.setAlignment(16777216);
/* 241 */     newColumnTableColumn_5.setWidth(80);
/* 242 */     newColumnTableColumn_5.setText("状态改变时间");
/* 243 */     TableColumn newColumnTableColumn_61 = new TableColumn(this.table, 
/* 244 */         16777216);
/* 245 */     newColumnTableColumn_61.setAlignment(16777216);
/* 246 */     newColumnTableColumn_61.setWidth(0);
/* 247 */     newColumnTableColumn_61.setText("");
/* 248 */     newColumnTableColumn_61.setResizable(false);
/* 249 */     Label label_2 = new Label(this.container, 258);
/*     */     
/* 251 */     label_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 253 */     this.toolBar = new ToolBar(this.container, 0);
/* 254 */     this.toolBar.setBackground(Display.getCurrent()
/* 255 */         .getSystemColor(1));
/* 256 */     GridData fd_toolBar = new GridData(16777216, 16777216, true, 
/* 257 */         false);
/* 258 */     this.toolBar.setLayoutData(fd_toolBar);
/* 259 */     this.barManager = new ToolBarManager(this.toolBar);
/* 260 */     this.actionGroup = new CertDetailActionGroupShouLi(this);
/* 261 */     this.actionGroup.fillActionToolBar();
/* 262 */     this.manager = new MenuManager();
/* 263 */     this.actionGroup.fillContextMenu((IMenuManager)this.manager);
/* 264 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 265 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new FileTableViewerLabelProvider());
/* 266 */     PublicUtil.setMouseHands(this.table, "2#3#");
/* 267 */     setData();
/* 268 */     setActions();
/* 269 */     setFontColor();
/* 270 */     setCursor();
/*     */     
/* 272 */     return (Control)this.container;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 278 */     super.initializeBounds();
/* 279 */     PublicUtil.setWidth(this.composite, this.table, this.rate);
/* 280 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   public ToolBarManager getBarManager() {
/* 284 */     return this.barManager;
/*     */   }
/*     */   
/*     */   public void setBarManager(ToolBarManager barManager) {
/* 288 */     this.barManager = barManager;
/*     */   }
/*     */   
/*     */   public MenuManager getManager() {
/* 292 */     return this.manager;
/*     */   }
/*     */   
/*     */   public void setManager(MenuManager manager) {
/* 296 */     this.manager = manager;
/*     */   }
/*     */   
/*     */   public UnitInfoModel getCert() {
/* 300 */     return this.cert;
/*     */   }
/*     */   
/*     */   public void setCert(UnitInfoModel cert) {
/* 304 */     this.cert = cert;
/*     */   }
/*     */   
/*     */   public ArrayList getFileList() {
/* 308 */     return this.fileList;
/*     */   }
/*     */   
/*     */   public void setFileList(ArrayList fileList) {
/* 312 */     this.fileList = fileList;
/*     */   }
/*     */   
/*     */   public boolean isFlag() {
/* 316 */     return this.flag;
/*     */   }
/*     */   
/*     */   public void setFlag(boolean flag) {
/* 320 */     this.flag = flag;
/*     */   }
/*     */   
/*     */   public static String getModifyReason() {
/* 324 */     return modifyReason;
/*     */   }
/*     */   
/*     */   public static void setModifyReason(String modifyReason) {
/* 328 */     CertDetailDialogShouLi.modifyReason = modifyReason;
/*     */   }
/*     */   
/*     */   public TableViewer getTableViewer() {
/* 332 */     return this.tableViewer;
/*     */   }
/*     */   
/*     */   public void setTableViewer(TableViewer tableViewer) {
/* 336 */     this.tableViewer = tableViewer;
/*     */   }
/*     */   
/*     */   public boolean isWtAccept() {
/* 340 */     return this.isWtAccept;
/*     */   }
/*     */   
/*     */   public void setWtAccept(boolean isWtAccept) {
/* 344 */     this.isWtAccept = isWtAccept;
/*     */   }
/*     */   
/*     */   public boolean isTbVisible() {
/* 348 */     return this.tbVisible;
/*     */   }
/*     */   
/*     */   public void setTbVisible(boolean tbVisible) {
/* 352 */     this.tbVisible = tbVisible;
/*     */   }
/*     */   
/*     */   public String getType() {
/* 356 */     return this.type;
/*     */   }
/*     */   
/*     */   public void setType(String type) {
/* 360 */     this.type = type;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setActions() {
/* 367 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent arg0) {
/* 370 */             int colums = CertDetailDialogShouLi.this.cursor.getColumn();
/* 371 */             CertDetailDialogShouLi.this.openChildrenDialog(colums);
/* 372 */             CertDetailDialogShouLi.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 384 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 392 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 396 */     super.configureShell(newShell);
/* 397 */     newShell.setText("详细信息");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData() {
/* 404 */     this.editors = new TableEditor[this.fileList.size()];
/*     */     
/* 406 */     this.radio = new Composite[this.fileList.size()];
/* 407 */     for (int i = 0; i < this.fileList.size(); i++) {
/* 408 */       FileModel model = this.fileList.get(i);
/* 409 */       TableItem items = new TableItem(this.table, 0);
/* 410 */       items.setData(model);
/* 411 */       items.setImage(new Image(null, 1, 19));
/* 412 */       if (this.tbVisible) {
/* 413 */         if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 414 */           items.setText(new String[] { "", model.getSquence(), 
/* 415 */                 model.getFileName(), 
/* 416 */                 !model.isAnnex() ? "表格下载" : "", "", 
/* 417 */                 model.getSubStat(), model.getSubDate() });
/*     */         } else {
/* 419 */           items.setText(new String[] { "", model.getSquence(), 
/* 420 */                 model.getFileName(), 
/* 421 */                 !model.isAnnex() ? "表格下载" : "", model.getSubStat(), 
/* 422 */                 model.getSubDate() });
/*     */         } 
/* 424 */       } else if (StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 425 */         items.setText(new String[] { "", model.getSquence(), 
/* 426 */               model.getFileName(), "", model.getSubStat(), 
/* 427 */               model.getSubDate() });
/*     */       } else {
/* 429 */         items.setText(new String[] { "", model.getSquence(), 
/* 430 */               model.getFileName(), model.getSubStat(), 
/* 431 */               model.getSubDate() });
/*     */       } 
/* 433 */       if (model.isAnnex() && model.isFaxOrMail() && 
/* 434 */         !model.getSubStat().equals("未提交") && !model.isDeal() && 
/* 435 */         this.isVisible) {
/* 436 */         this.editors[i] = new TableEditor(this.table);
/* 437 */         this.radio[i] = new Composite((Composite)this.table, 0);
/* 438 */         this.radio[i].setLayout((Layout)new FillLayout());
/* 439 */         this.radio[i].setLayoutData(new GridData(-1, 25));
/* 440 */         GridLayout gridLayout_1 = new GridLayout();
/* 441 */         gridLayout_1.numColumns = 2;
/* 442 */         this.radio[i].setLayout((Layout)gridLayout_1);
/* 443 */         this.radio[i].setBackground(Display.getCurrent()
/* 444 */             .getSystemColor(1));
/* 445 */         final Button button = new Button(this.radio[i], 16);
/* 446 */         button.setBackground(Display.getCurrent()
/* 447 */             .getSystemColor(1));
/* 448 */         final Button button_1 = new Button(this.radio[i], 16);
/* 449 */         button_1.setBackground(Display.getCurrent()
/* 450 */             .getSystemColor(1));
/* 451 */         if (model.getSubStat().equals("邮寄或面交")) {
/* 452 */           button.setText("邮件已收到或已面交");
/* 453 */           button_1.setText("邮件未收到");
/*     */         } 
/* 455 */         if (model.getSubStat().equals("传真")) {
/* 456 */           button.setText("传真已收到");
/* 457 */           button_1.setText("传真未收到");
/*     */         } 
/* 459 */         button.setData("key", Integer.valueOf(i));
/* 460 */         button_1.setData("key", Integer.valueOf(i));
/* 461 */         this.radio[i].computeSize(-1, 100);
/* 462 */         (this.editors[i]).grabHorizontal = true;
/* 463 */         if (this.tbVisible) {
/* 464 */           this.editors[i].setEditor((Control)this.radio[i], items, 4);
/*     */         } else {
/* 466 */           this.editors[i].setEditor((Control)this.radio[i], items, 3);
/* 467 */         }  button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */             {
/*     */               public void widgetSelected(SelectionEvent arg0) {
/* 470 */                 FileModel md = CertDetailDialogShouLi.this.fileList
/* 471 */                   .get(Integer.valueOf(String.valueOf(button
/* 472 */                         .getData("key"))).intValue());
/* 473 */                 md.setAnnexStat(button.getText());
/*     */               }
/*     */             });
/* 476 */         button_1.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */             {
/*     */               public void widgetSelected(SelectionEvent arg0) {
/* 479 */                 FileModel md = CertDetailDialogShouLi.this.fileList.get(
/* 480 */                     Integer.valueOf(
/* 481 */                       String.valueOf(button_1.getData("key"))).intValue());
/* 482 */                 md.setAnnexStat(button_1.getText());
/*     */               }
/*     */             });
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFontColor() {
/* 494 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 495 */       this.table.getItem(i)
/* 496 */         .setFont(
/* 497 */           2, 
/* 498 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 499 */             false, false));
/* 500 */       this.table.getItem(i).setForeground(2, 
/* 501 */           SWTResourceManager.getColor(37, 26, 181));
/* 502 */       if (this.tbVisible) {
/* 503 */         this.table.getItem(i).setFont(
/* 504 */             3, 
/* 505 */             SWTResourceManager.getFont("宋体", 9, 0, false, 
/* 506 */               false));
/* 507 */         this.table.getItem(i).setForeground(3, 
/* 508 */             SWTResourceManager.getColor(37, 26, 181));
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 517 */     if (this.cursor != null)
/*     */     {
/* 519 */       this.cursor.dispose(); } 
/* 520 */     this.cursor = new TableCursor(this.table, 0);
/* 521 */     this.cursor.setBackground(this.table.getDisplay()
/* 522 */         .getSystemColor(26));
/* 523 */     this.cursor.setForeground(this.table.getDisplay()
/* 524 */         .getSystemColor(27));
/* 525 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 528 */             int colums = CertDetailDialogShouLi.this.cursor.getColumn();
/* 529 */             CertDetailDialogShouLi.this.openChildrenDialog(colums);
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void openChildrenDialog(int colums) {
/* 538 */     TableItem item = this.table.getItem(this.table.getSelectionIndex());
/* 539 */     FileModel out = (FileModel)item.getData();
/* 540 */     if (colums == 2) {
/*     */       try {
/* 542 */         if (out.isAnnex()) {
/* 543 */           if (out.isFaxOrMail()) {
/* 544 */             if (("wtAccept".equals(this.type) || 
/* 545 */               "bckModify".equals(this.type)) && 
/* 546 */               !out.getSubStat().equals("未提交")) {
/*     */               try {
/* 548 */                 AnnexDealDialog dialog = new AnnexDealDialog(
/* 549 */                     this.container.getShell(), 
/* 550 */                     out.getFileName(), out.getSubStat());
/* 551 */                 if (dialog.open() == 0) {
/*     */                   try {
/* 553 */                     out.setAnnexStat(
/* 554 */                         dialog.getAftModState());
/* 555 */                     this.fileList = this.oper.dealSingleAnnex(out);
/* 556 */                     if (this.fileList == null) {
/*     */                       return;
/*     */                     }
/* 559 */                     PublicUtil.setPassEnable(this.fileList);
/* 560 */                     this.actionGroup.fillActionToolBar();
/* 561 */                     if (!StaticVariableClass.isDealAnnexVisible && 
/* 562 */                       this.newColumnTableColumn_3 != null) {
/* 563 */                       this.newColumnTableColumn_3
/* 564 */                         .dispose();
/* 565 */                       this.tableViewer.refresh();
/* 566 */                       setRate();
/* 567 */                       PublicUtil.setWidth(
/* 568 */                           this.composite, this.table, 
/* 569 */                           this.rate);
/*     */                     } 
/*     */                     
/* 572 */                     clearData();
/* 573 */                     setData();
/* 574 */                     setFontColor();
/* 575 */                     setCursor();
/* 576 */                     SydjMessageDialog.openInformation(null, 
/* 577 */                         "提示", "修改成功");
/*     */                   }
/* 579 */                   catch (Exception ex) {
/* 580 */                     ex.printStackTrace();
/* 581 */                     SydjMessageDialog.openInformation(null, 
/* 582 */                         "提示", "修改失败");
/*     */                   } 
/*     */                 }
/* 585 */               } catch (Exception e) {
/* 586 */                 e.printStackTrace();
/*     */               } 
/*     */             } else {
/* 589 */               ViewAnnexStat dialog = new ViewAnnexStat(
/* 590 */                   PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 591 */                   .getShell(), out.getFileName(), 
/* 592 */                   out.getSubStat());
/* 593 */               dialog.open();
/*     */             } 
/*     */           } else {
/* 596 */             AttachsOperations att = new AttachsOperations();
/* 597 */             ArrayList attachs = att.getAttachs1(out.getApplyId(), 
/* 598 */                 out.getId(), out.getAttachGroupId(), out.getSubDate());
/* 599 */             if (attachs != null) {
/* 600 */               AttachsListDialog dialog = new AttachsListDialog(
/* 601 */                   getShell(), attachs);
/* 602 */               dialog.open();
/*     */             } 
/*     */           } 
/*     */         } else {
/* 606 */           ArrayList<CertFileInfoModel> fileDetail = this.oper.getAdviceInfo(out);
/* 607 */           if (fileDetail == null)
/*     */             return; 
/* 609 */           CertFileInfoModel cert = null;
/* 610 */           if (!fileDetail.isEmpty()) {
/* 611 */             cert = fileDetail.get(0);
/*     */           }
/* 613 */           CertFileInfoDialogShouLi file = new CertFileInfoDialogShouLi(
/* 614 */               PlatformUI.getWorkbench()
/* 615 */               .getActiveWorkbenchWindow().getShell(), 
/* 616 */               cert, this.isWtAccept);
/* 617 */           if (file.open() == 0) {
/* 618 */             this.fileList = this.oper
/* 619 */               .getCertFileInfo(out.getGroupId(), out.getApplyId(), out.getId(), true);
/* 620 */             if (this.fileList == null) {
/*     */               return;
/*     */             }
/* 623 */             PublicUtil.setPassEnable(this.fileList);
/* 624 */             this.actionGroup.fillActionToolBar();
/* 625 */             clearData();
/* 626 */             setData();
/* 627 */             setFontColor();
/* 628 */             setCursor();
/*     */           } 
/*     */ 
/*     */ 
/*     */           
/*     */           return;
/*     */         } 
/* 635 */       } catch (Exception e) {
/* 636 */         e.printStackTrace();
/*     */       } 
/*     */     }
/* 639 */     if (colums == 3) {
/*     */       try {
/* 641 */         if (!out.isAnnex()) {
/* 642 */           CertTableContentModel model = this.oper.getCertTable(
/* 643 */               out.getApplyId(), out.getId());
/* 644 */           if (model == null) {
/*     */             return;
/*     */           }
/* 647 */           ReplaceMap rmap = new ReplaceMap();
/* 648 */           OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 649 */               getShell(), 
/* 650 */               "事业单位法人证书补领申请书", 
/* 651 */               "Microsoft Word 文档", 
/*     */               
/* 653 */               PublicUtil.getRealPath("Template/doc/sydw_cert_apply_report.doc"), 
/* 654 */               rmap.getCertFileMap(model));
/* 655 */           oold.open();
/*     */         }
/*     */       
/* 658 */       } catch (Exception e) {
/* 659 */         e.printStackTrace();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setRate() {
/* 668 */     if (this.tbVisible && StaticVariableClass.isDealAnnexVisible && this.isVisible) {
/* 669 */       this.rate = "0:0.5:3.5:0.8:2.9:1:1.27:0.01";
/* 670 */     } else if (!this.tbVisible) {
/* 671 */       this.rate = "0:0.5:6.5:1.7:1.27:0.01";
/*     */     } else {
/* 673 */       this.rate = "0:0.5:5.5:1:1.7:1.27:0.01";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void clearData() {
/* 681 */     this.table.removeAll();
/* 682 */     for (int i = 0; i < this.radio.length; i++) {
/* 683 */       if (this.radio[i] != null)
/* 684 */         this.radio[i].dispose(); 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\cert\CertDetailDialogShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */