/*     */ package cs.sydj.operation.shouli.instauration;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.HistoryModel;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFRInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationFddbrInfo;
/*     */ import server.sydj.operation.shouli.instauration.InstaurationShouLiInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ShouLiInstaurationDataManage
/*     */ {
/*  26 */   private MessageSender sender = null;
/*  27 */   String operation = "ShouLiInstauration";
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsShouLiInstauration(String groupid, String applystate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  32 */     String methodname = "getConditionsShouLiInstauration";
/*  33 */     String msgType = "xml";
/*  34 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  35 */     String replyxml = null;
/*  36 */     ArrayList result = new ArrayList();
/*  37 */     messageParameter.put("groupid", groupid);
/*  38 */     messageParameter.put("applystate", applystate);
/*  39 */     messageParameter.put("sydwname", sydwname);
/*  40 */     messageParameter.put("startdate", startdate);
/*  41 */     messageParameter.put("enddate", enddate);
/*  42 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  43 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  44 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  45 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  47 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsShouLiReInstauration(String groupid, String applystate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  52 */     String methodname = "getConditionsShouLiReInstauration";
/*  53 */     String msgType = "xml";
/*  54 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  55 */     String replyxml = null;
/*  56 */     ArrayList result = new ArrayList();
/*  57 */     messageParameter.put("groupid", groupid);
/*  58 */     messageParameter.put("applystate", applystate);
/*  59 */     messageParameter.put("sydwname", sydwname);
/*  60 */     messageParameter.put("startdate", startdate);
/*  61 */     messageParameter.put("enddate", enddate);
/*  62 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  63 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  64 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  65 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  67 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getSendToDept(String groupid) {
/*  72 */     String methodname = "getSendToDept";
/*  73 */     String msgType = "xml";
/*  74 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  75 */     String replyxml = null;
/*  76 */     ArrayList result = new ArrayList();
/*  77 */     messageParameter.put("groupid", groupid);
/*  78 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  79 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  81 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String SendToOtherDept(String applyid, String togroupid) {
/*  86 */     String methodname = "SendToOtherDept";
/*  87 */     String msgType = "short";
/*  88 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  89 */     String replyxml = null;
/*  90 */     messageParameter.put("applyid", applyid);
/*  91 */     messageParameter.put("togroupid", togroupid);
/*  92 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  94 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String SendToOtherAuditDept(String applyId, String realId, String tarGroupId) {
/*  99 */     String methodname = "SendToOtherAuditDept";
/* 100 */     String msgType = "short";
/* 101 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 102 */     String replyxml = null;
/*     */     
/* 104 */     messageParameter.put("applyId", applyId);
/* 105 */     messageParameter.put("realId", realId);
/* 106 */     messageParameter.put("tarGroupId", tarGroupId);
/*     */     
/* 108 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 110 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getLeaderAdvice(InstaurationShouLiInfo insinfo) {
/* 115 */     String methodname = "getLeaderAdvice";
/* 116 */     String msgType = "xml";
/* 117 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 118 */     String replyxml = null;
/* 119 */     ArrayList result = new ArrayList();
/* 120 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 121 */     messageParameter.put("currentId", insinfo.getRealid());
/* 122 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 123 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 125 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getHylbTree(String parentid) {
/* 130 */     String methodname = "getHylbTree";
/* 131 */     String msgType = "xml";
/* 132 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 133 */     String replyxml = null;
/* 134 */     ArrayList result = new ArrayList();
/* 135 */     messageParameter.put("parentid", parentid);
/* 136 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 137 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 139 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getShouLiInsHisInfo(InstaurationShouLiInfo insinfo) {
/* 144 */     String methodname = "getShouLiInsHisInfo";
/* 145 */     String msgType = "xml";
/* 146 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 147 */     String replyxml = null;
/* 148 */     ArrayList result = new ArrayList();
/* 149 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 150 */     messageParameter.put("currentId", insinfo.getRealid());
/* 151 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 152 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 154 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getInsAttachmentName(InstaurationShouLiInfo insinfo, String operationType) {
/* 159 */     String methodname = "getInsAttachmentName";
/* 160 */     String msgType = "xml";
/* 161 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 162 */     String replyxml = null;
/* 163 */     ArrayList result = new ArrayList();
/* 164 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 165 */     messageParameter.put("realid", insinfo.getRealid());
/* 166 */     messageParameter.put("groupid", insinfo.getGroupid());
/* 167 */     messageParameter.put("applystate", insinfo.getAPPLY_STATE());
/* 168 */     messageParameter.put("operationType", operationType);
/* 169 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 170 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 172 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getInsHisAttachmentName(HistoryModel insinfo, String groupid, String applystate, String operationType) {
/* 177 */     String methodname = "getInsHisAttachmentName";
/* 178 */     String msgType = "xml";
/* 179 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 180 */     String replyxml = null;
/* 181 */     ArrayList result = new ArrayList();
/* 182 */     messageParameter.put("applyid", insinfo.getApplyId());
/* 183 */     messageParameter.put("realid", insinfo.getCurrentId());
/* 184 */     messageParameter.put("groupid", groupid);
/* 185 */     messageParameter.put("hisid", insinfo.getId());
/* 186 */     messageParameter.put("applystate", applystate);
/* 187 */     messageParameter.put("operationType", operationType);
/* 188 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 189 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 191 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String isShouli(InstaurationShouLiInfo insinfo) {
/* 196 */     String methodname = "isShouli";
/* 197 */     String msgType = "short";
/* 198 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 199 */     String replyxml = null;
/* 200 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 201 */     messageParameter.put("realid", insinfo.getRealid());
/* 202 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 204 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String ModifyInsAttachState(InsAttachmentInfo insinfo) {
/* 209 */     String methodname = "ModifyInsAttachState";
/* 210 */     String msgType = "short";
/* 211 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 212 */     String replyxml = null;
/* 213 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 214 */     messageParameter.put("realid", insinfo.getRealid());
/* 215 */     messageParameter.put("attachid", insinfo.getAttachid());
/* 216 */     messageParameter.put("state", insinfo.getAttachstate());
/* 217 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 219 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String ModifyMoreInsAttachState(ArrayList insinfolist) {
/* 224 */     String methodname = "ModifyMoreInsAttachState";
/* 225 */     String msgType = "short";
/* 226 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 227 */     String replyxml = null;
/* 228 */     messageParameter.put("insinfolist", MessageXML.getReplyXML(insinfolist));
/* 229 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 231 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String isJbdwComplete(InsAttachmentInfo insinfo, String groupid, String districtcode) {
/* 236 */     String methodname = "isJbdwComplete";
/* 237 */     String msgType = "short";
/* 238 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 239 */     String replyxml = null;
/* 240 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 241 */     messageParameter.put("realid", insinfo.getRealid());
/* 242 */     messageParameter.put("groupid", groupid);
/* 243 */     messageParameter.put("districtcode", districtcode);
/* 244 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 246 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryInstaurationInfo(InsAttachmentInfo insinfo) {
/* 251 */     String methodname = "QueryInstaurationInfo";
/* 252 */     String msgType = "xml";
/* 253 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 254 */     String replyxml = null;
/* 255 */     ArrayList result = new ArrayList();
/* 256 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 257 */     messageParameter.put("realid", insinfo.getRealid());
/* 258 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 259 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 261 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String QueryInstaurationYiJiaoInfo(InsAttachmentInfo insinfo) {
/* 266 */     String methodname = "QueryInstaurationYiJiaoInfo";
/* 267 */     String msgType = "short";
/* 268 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 269 */     String replyxml = null;
/* 270 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 271 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 273 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryInstBranch(InsAttachmentInfo insinfo) {
/* 278 */     String methodname = "QueryInstBranch";
/* 279 */     String msgType = "xml";
/* 280 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 281 */     String replyxml = null;
/* 282 */     ArrayList result = new ArrayList();
/* 283 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 284 */     messageParameter.put("realid", insinfo.getRealid());
/* 285 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 286 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 288 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String saveFrInsInfo(InstaurationFRInfo insinfo, ArrayList itemchange) {
/* 293 */     String methodname = "saveFrInsInfo";
/* 294 */     String msgType = "short";
/* 295 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 296 */     String replyxml = null;
/* 297 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 298 */     messageParameter.put("itemchange", MessageXML.getReplyXML(itemchange));
/* 299 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 301 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String queryGljgOpinion(String applyid, String realid) {
/* 306 */     String methodname = "queryGljgOpinion";
/* 307 */     String msgType = "short";
/* 308 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 309 */     String replyxml = null;
/* 310 */     messageParameter.put("applyid", applyid);
/* 311 */     messageParameter.put("realid", realid);
/* 312 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 314 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrInfo(InsAttachmentInfo insinfo) {
/* 319 */     String methodname = "QueryFddbrInfo";
/* 320 */     String msgType = "xml";
/* 321 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 322 */     String replyxml = null;
/* 323 */     ArrayList result = new ArrayList();
/* 324 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 325 */     messageParameter.put("realid", insinfo.getRealid());
/* 326 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 327 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 329 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrResume(String frid, String applyid) {
/* 334 */     String methodname = "QueryFddbrResume";
/* 335 */     String msgType = "xml";
/* 336 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 337 */     String replyxml = null;
/* 338 */     ArrayList result = new ArrayList();
/* 339 */     messageParameter.put("frid", frid);
/* 340 */     messageParameter.put("applyid", applyid);
/* 341 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 342 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 344 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String QueryFddbrPhoto(InsAttachmentInfo insinfo) {
/* 349 */     String methodname = "QueryFddbrPhoto";
/* 350 */     String msgType = "blob";
/* 351 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 352 */     String replyxml = null;
/* 353 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 354 */     messageParameter.put("realid", insinfo.getRealid());
/* 355 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 356 */         messageParameter);
/*     */     try {
/* 358 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 359 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 360 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 361 */       replyxml = sender.sendBlobMessage(messagexml, null);
/* 362 */     } catch (JMSException e) {
/* 363 */       e.printStackTrace();
/* 364 */     } catch (Exception e) {
/* 365 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 368 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public void uploadFddbrPhoto(InsAttachmentInfo insinfo) {
/* 373 */     String methodname = "uploadFddbrPhoto";
/* 374 */     String msgType = "blob";
/* 375 */     String replyxml = null;
/* 376 */     String messagexml = MessageXML.getReplyXML(insinfo);
/*     */     try {
/* 378 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 379 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 380 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 381 */       replyxml = sender.uploadBlobMessage(messagexml, "d:/440855b-6.jpg", this.operation, methodname);
/* 382 */     } catch (JMSException e) {
/* 383 */       e.printStackTrace();
/* 384 */     } catch (Exception e) {
/* 385 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveFddbrInsInfo(InstaurationFddbrInfo insinfo) {
/* 392 */     String methodname = "saveFddbrInsInfo";
/* 393 */     String msgType = "short";
/* 394 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 395 */     String replyxml = null;
/* 396 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 397 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 399 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String queryBackAppendStr(InstaurationShouLiInfo insinfo) {
/* 404 */     String methodname = "queryBackAppendStr";
/* 405 */     String msgType = "short";
/* 406 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 407 */     String replyxml = null;
/* 408 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 409 */     messageParameter.put("currentId", insinfo.getRealid());
/* 410 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 412 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String queryBackLeaderSuggest(InstaurationShouLiInfo insinfo) {
/* 417 */     String methodname = "queryBackLeaderSuggest";
/* 418 */     String msgType = "short";
/* 419 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 420 */     String replyxml = null;
/* 421 */     messageParameter.put("applyId", insinfo.getApplyid());
/* 422 */     messageParameter.put("currentId", insinfo.getRealid());
/* 423 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 425 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList queryBackComboList(InstaurationShouLiInfo insinfo) {
/* 430 */     String methodname = "queryBackComboLists";
/* 431 */     String msgType = "xml";
/* 432 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 433 */     String replyxml = null;
/* 434 */     ArrayList result = new ArrayList();
/* 435 */     messageParameter.put("groupId", insinfo.getGroupid());
/* 436 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 437 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 439 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String backModify(String applyId, String currentId, String advice, String operationType) {
/* 445 */     String methodname = "backModify";
/* 446 */     String msgType = "short";
/* 447 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 448 */     String replyxml = null;
/* 449 */     messageParameter.put("applyId", applyId);
/* 450 */     messageParameter.put("currentId", currentId);
/* 451 */     messageParameter.put("advice", advice);
/* 452 */     messageParameter.put("operationType", operationType);
/* 453 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 455 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String insShouliOK(String applyId, String currentId, String operationType) {
/* 460 */     String methodname = "insShouliOK";
/* 461 */     String msgType = "short";
/* 462 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 463 */     String replyxml = null;
/* 464 */     messageParameter.put("applyId", applyId);
/* 465 */     messageParameter.put("currentId", currentId);
/* 466 */     messageParameter.put("operationType", operationType);
/* 467 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 469 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String dealNotAccept(String applyId, String currentId, String advice, String groupId, String operationType) {
/* 475 */     String methodname = "dealNotAccept";
/* 476 */     String msgType = "short";
/* 477 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 478 */     String replyxml = null;
/* 479 */     messageParameter.put("applyId", applyId);
/* 480 */     messageParameter.put("currentId", currentId);
/* 481 */     messageParameter.put("advice", advice);
/* 482 */     messageParameter.put("groupId", groupId);
/* 483 */     messageParameter.put("operationType", operationType);
/* 484 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 486 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 491 */     String replyxml = "";
/* 492 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 493 */         messageParameter);
/*     */     try {
/* 495 */       this.sender = new MessageSender(
/* 496 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 497 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 498 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 499 */     } catch (JMSException e) {
/* 500 */       e.printStackTrace();
/* 501 */     } catch (Exception e) {
/* 502 */       e.printStackTrace();
/*     */     } 
/* 504 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFfrInfo(WithinputInfo insinfo) {
/* 509 */     String methodname = "QueryFfrInfo";
/* 510 */     String msgType = "xml";
/* 511 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 512 */     String replyxml = null;
/* 513 */     ArrayList result = new ArrayList();
/* 514 */     messageParameter.put("sydwId", insinfo.getSydwid());
/* 515 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 516 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 518 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String interceptPerson(InstaurationFddbrInfo insinfo, String userName) {
/* 528 */     String methodname = "interceptPerson";
/* 529 */     String msgType = "short";
/* 530 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 531 */     String replyxml = null;
/* 532 */     messageParameter.put("insinfo", MessageXML.getReplyXML(insinfo));
/* 533 */     messageParameter.put("userName", userName);
/* 534 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 536 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String interceptFfrPerson(InstaurationFRInfo insinfo, String userName) {
/* 546 */     String methodname = "interceptFfrPerson";
/* 547 */     String msgType = "short";
/* 548 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 549 */     String replyxml = null;
/* 550 */     messageParameter.put("insfrinfo", MessageXML.getReplyXML(insinfo));
/* 551 */     messageParameter.put("userName", userName);
/* 552 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 554 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String upadteFddbrInfoPhoto(String realId) {
/* 563 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 564 */     String replyxml = null;
/* 565 */     messageParameter.put("realId", realId);
/* 566 */     String messagexml = MessageXML.MessageToXML(this.operation, "upadteFddbrInfoPhoto", 
/* 567 */         messageParameter);
/*     */     try {
/* 569 */       this.sender = new MessageSender(
/* 570 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 571 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 572 */       replyxml = this.sender.sendMessage(messagexml, 
/* 573 */           "short");
/* 574 */     } catch (JMSException e) {
/* 575 */       e.printStackTrace();
/*     */     }
/* 577 */     catch (Exception e) {
/* 578 */       e.printStackTrace();
/*     */     } 
/* 580 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\instauration\ShouLiInstaurationDataManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */