/*     */ package cs.sydj.operation.shouli.ticket;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.DirectoryDialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TicketSaveEXCELResultDialog
/*     */   extends Dialog
/*     */ {
/*  32 */   protected String result = null;
/*     */   protected Shell shell;
/*  34 */   protected String sheetName = "";
/*     */ 
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */   
/*     */   private SydwInfo sydwInfo;
/*     */ 
/*     */ 
/*     */   
/*     */   public TicketSaveEXCELResultDialog(Shell parent, int style) {
/*  46 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TicketSaveEXCELResultDialog(Shell parent) {
/*  55 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public TicketSaveEXCELResultDialog(Shell parent, SydwInfo sydwInfo, String sheetName) {
/*  67 */     super(parent);
/*  68 */     this.sydwInfo = sydwInfo;
/*  69 */     this.sheetName = sheetName;
/*  70 */     this.suffix = "xls";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  79 */     createContents();
/*  80 */     PublicUtil.setCenter(this.shell);
/*  81 */     this.shell.open();
/*  82 */     this.shell.layout();
/*  83 */     Display display = getParent().getDisplay();
/*  84 */     while (!this.shell.isDisposed()) {
/*  85 */       if (!display.readAndDispatch())
/*  86 */         display.sleep(); 
/*     */     } 
/*  88 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  95 */     this.shell = new Shell(getParent(), 67680);
/*  96 */     this.shell.setBackground(Display.getCurrent().getSystemColor(1));
/*  97 */     this.shell.setBackgroundMode(1);
/*  98 */     GridLayout gridLayout = new GridLayout();
/*  99 */     gridLayout.numColumns = 3;
/* 100 */     this.shell.setLayout((Layout)gridLayout);
/* 101 */     this.shell.setSize(350, 180);
/* 102 */     this.shell.setText(String.valueOf(this.sheetName) + "下载");
/*     */     
/* 104 */     Label label = new Label((Composite)this.shell, 0);
/* 105 */     GridData gd_label = new GridData(4, 16777216, true, false, 2, 1);
/* 106 */     gd_label.widthHint = 183;
/* 107 */     label.setLayoutData(gd_label);
/* 108 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 109 */     label.setText("    您想保存此文件吗？");
/*     */ 
/*     */     
/* 112 */     Label sadLabel = new Label((Composite)this.shell, 0);
/* 113 */     GridData gd_sadLabel = new GridData(131072, 16777216, false, false);
/* 114 */     gd_sadLabel.widthHint = 100;
/* 115 */     sadLabel.setLayoutData(gd_sadLabel);
/*     */ 
/*     */     
/* 118 */     Label label_2 = new Label((Composite)this.shell, 0);
/* 119 */     label_2.setLayoutData(new GridData());
/*     */     
/* 121 */     CLabel label_1 = new CLabel((Composite)this.shell, 0);
/* 122 */     GridData gd_label_1 = new GridData(131072, 16777216, false, true);
/* 123 */     label_1.setLayoutData(gd_label_1);
/* 124 */     label_1.setText("名称：");
/*     */     
/* 126 */     Label label_info = new Label((Composite)this.shell, 64);
/* 127 */     GridData gd_label_info = new GridData(4, 16777216, true, false);
/* 128 */     label_info.setLayoutData(gd_label_info);
/* 129 */     label_info.setText(String.valueOf(this.sydwInfo.getPAPER_ID()) + "_" + this.sydwInfo.getSYDW_NAME_FIRST());
/*     */ 
/*     */ 
/*     */     
/* 133 */     Composite composite = new Composite((Composite)this.shell, 0);
/* 134 */     composite.setLayoutData(new GridData(16777216, 1024, false, false));
/* 135 */     GridLayout gridLayout_1 = new GridLayout();
/* 136 */     gridLayout_1.numColumns = 3;
/* 137 */     composite.setLayout((Layout)gridLayout_1);
/*     */     
/* 139 */     Button button = new Button(composite, 0);
/* 140 */     button.setText("打开");
/* 141 */     button.setVisible(false);
/* 142 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent event) {}
/*     */         });
/*     */     
/* 147 */     Button button_1 = new Button(composite, 0);
/* 148 */     button_1.setLayoutData(new GridData());
/* 149 */     button_1.setText("保存");
/* 150 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 152 */             DirectoryDialog save = new DirectoryDialog(TicketSaveEXCELResultDialog.this.shell);
/* 153 */             save.setText(String.valueOf(TicketSaveEXCELResultDialog.this.sydwInfo.getPAPER_ID()) + "_" + TicketSaveEXCELResultDialog.this.sydwInfo.getSYDW_NAME_FIRST() + "保存");
/* 154 */             save.setMessage("选择保存目录：");
/* 155 */             String fileName = save.open();
/* 156 */             if (fileName != null) {
/*     */               try {
/* 158 */                 TicketSaveExcelProgressDialog ss = new TicketSaveExcelProgressDialog(
/* 159 */                     TicketSaveEXCELResultDialog.this.shell, TicketSaveEXCELResultDialog.this.sydwInfo, "接受数据中...", "正在生成Excel中...", fileName, TicketSaveEXCELResultDialog.this.sheetName);
/* 160 */                 ss.run(true, true);
/* 161 */                 int r = ss.creatresult;
/* 162 */                 if (r == 0) {
/* 163 */                   SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败"); return;
/*     */                 } 
/* 165 */                 if (r == -1) {
/* 166 */                   SydjMessageDialog.openInformation(null, "提示", "下载未完成！");
/*     */                 }
/* 168 */                 else if (ss.wrongfile != null && ss.wrongfile.length() > 0) {
/* 169 */                   SydjMessageDialog.openInformation(null, "提示", "下载完成!\n以下Excel文件未下载成功：" + ss.wrongfile);
/*     */                 } else {
/* 171 */                   SydjMessageDialog.openInformation(null, "提示", "全部Excel文件下载完成!");
/*     */                 }
/*     */               
/* 174 */               } catch (Exception e) {
/* 175 */                 e.printStackTrace();
/* 176 */                 SydjMessageDialog.openInformation(null, "提示", "生成Excel文件错误，下载失败");
/*     */                 return;
/*     */               } 
/* 179 */               TicketSaveEXCELResultDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 184 */     Button button_2 = new Button(composite, 0);
/* 185 */     button_2.setText("取消");
/* 186 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 188 */             TicketSaveEXCELResultDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */     
/* 192 */     Label label_2_1 = new Label((Composite)this.shell, 0);
/* 193 */     label_2_1.setLayoutData(new GridData());
/* 194 */     label_2_1.setText("");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\shouli\ticket\TicketSaveEXCELResultDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */