/*     */ package cs.sydj.operation.supervise;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.OpenOrLoadDialog;
/*     */ import cs.sydj.common.LoadDOC.ReplaceMap;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.UnitState;
/*     */ import cs.sydj.common.ViewAnnexStat;
/*     */ import cs.sydj.common.attachs.AttachsListDialog;
/*     */ import cs.sydj.common.attachs.AttachsOperations;
/*     */ import cs.sydj.operation.data.modify.DataModiyDetailLabelProvider;
/*     */ import cs.sydj.operation.data.modify.dialog.CertFileInfoDialog;
/*     */ import cs.sydj.operation.data.modify.dialog.LogOutFileInfoDialog;
/*     */ import cs.sydj.operation.fuhe.logout.LogOutOperationFuHe;
/*     */ import cs.sydj.operation.shouli.cert.CertOperationShouLi;
/*     */ import cs.sydj.operation.shouli.logout.LogOutOperationShouLi;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import server.supervise.SuperviseInfo;
/*     */ import server.supervise.SuperviseManage;
/*     */ import server.sydj.operation.commons.CertFileInfoModel;
/*     */ import server.sydj.operation.commons.CertTableContentModel;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.commons.LogOutAdviseModel;
/*     */ import server.sydj.operation.commons.LogOutTableContentModel;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SuperviseDetailDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Table table;
/*     */   private TableViewer tableViewer;
/*     */   private Label label;
/*     */   private ArrayList perInfo;
/*     */   private SuperviseInfo sInfo;
/*     */   private String unitName;
/*     */   private String state;
/*     */   private boolean isModify;
/*     */   private String type;
/*     */   private boolean canModify = false;
/*     */   private Composite composite;
/*     */   private TableCursor cursor;
/*  71 */   private int selectColums = 32;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseDetailDialog(Shell parentShell, SuperviseInfo model, String unitName, ArrayList perInfo, String state, boolean isModify, String type) {
/*  81 */     super(parentShell);
/*  82 */     this.sInfo = model;
/*  83 */     this.unitName = unitName;
/*  84 */     this.perInfo = perInfo;
/*  85 */     this.state = state;
/*  86 */     this.isModify = isModify;
/*  87 */     this.type = type;
/*  88 */     if (isModify && !state.equals(UnitState.FREEZE) && 
/*  89 */       !state.equals(UnitState.ABOLISH) && 
/*  90 */       !state.equals(UnitState.INVALIDATE)) {
/*  91 */       this.canModify = true;
/*     */     } else {
/*  93 */       this.canModify = false;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/* 104 */     parent.setBackground(Display.getCurrent()
/* 105 */         .getSystemColor(1));
/* 106 */     parent.setBackgroundMode(2);
/* 107 */     Composite container = (Composite)super.createDialogArea(parent);
/* 108 */     GridLayout gridLayout_1 = new GridLayout();
/* 109 */     gridLayout_1.marginTop = 25;
/* 110 */     gridLayout_1.marginRight = 25;
/* 111 */     gridLayout_1.marginLeft = 25;
/* 112 */     container.setLayout((Layout)gridLayout_1);
/*     */     
/* 114 */     this.label = new Label(container, 0);
/* 115 */     this.label.setLayoutData(new GridData(16384, 16777216, true, false));
/* 116 */     this.label
/* 117 */       .setText("监督预警>>“" + this.unitName + "”的" + SupervisePublic.getApplyTypeCn(this.sInfo.getApplyType()) + 
/* 118 */         "文件列表");
/* 119 */     this.label.setForeground(SWTResourceManager.getColor(37, 26, 181));
/* 120 */     Label label_1 = new Label(container, 258);
/*     */     
/* 122 */     label_1.setLayoutData(new GridData(4, 4, false, false));
/*     */     
/* 124 */     this.composite = new Composite(container, 0);
/* 125 */     GridData gd_composite = new GridData(4, 16777216, true, 
/* 126 */         false);
/* 127 */     gd_composite.heightHint = 320;
/* 128 */     this.composite.setLayoutData(gd_composite);
/* 129 */     GridLayout gridLayout = new GridLayout();
/* 130 */     gridLayout.verticalSpacing = 0;
/* 131 */     gridLayout.marginWidth = 0;
/* 132 */     gridLayout.marginHeight = 0;
/* 133 */     gridLayout.horizontalSpacing = 0;
/* 134 */     this.composite.setLayout((Layout)gridLayout);
/*     */     
/* 136 */     this.tableViewer = new TableViewer(this.composite, 67586);
/*     */     
/* 138 */     this.table = this.tableViewer.getTable();
/* 139 */     this.table.setCursor(SWTResourceManager.getCursor(21));
/* 140 */     this.table.setLinesVisible(true);
/* 141 */     this.table.setHeaderVisible(true);
/* 142 */     this.table.setLayoutData(new GridData(4, 4, true, true));
/* 143 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 144 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new DataModiyDetailLabelProvider());
/* 145 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 146 */         16777216);
/* 147 */     newColumnTableColumn.setAlignment(16777216);
/* 148 */     newColumnTableColumn.setWidth(593);
/* 149 */     newColumnTableColumn.setText("文件名称");
/*     */     
/* 151 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 152 */         16777216);
/* 153 */     newColumnTableColumn_3.setAlignment(16777216);
/* 154 */     newColumnTableColumn_3.setWidth(100);
/* 155 */     newColumnTableColumn_3.setText("");
/*     */     
/* 157 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 158 */         16777216);
/* 159 */     newColumnTableColumn_1.setAlignment(16777216);
/* 160 */     newColumnTableColumn_1.setWidth(173);
/* 161 */     newColumnTableColumn_1.setText("状态");
/* 162 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 163 */         16777216);
/* 164 */     newColumnTableColumn_2.setAlignment(16777216);
/* 165 */     newColumnTableColumn_2.setWidth(0);
/* 166 */     newColumnTableColumn_2.setResizable(false);
/* 167 */     this.cursor = new TableCursor(this.table, 0);
/* 168 */     this.cursor.setBackground(this.table.getDisplay()
/* 169 */         .getSystemColor(26));
/* 170 */     this.cursor.setForeground(this.table.getDisplay()
/* 171 */         .getSystemColor(27));
/* 172 */     PublicUtil.setTableHeight(this.table);
/* 173 */     PublicUtil.setTableWidth(this.composite, this.table, "6.96:1:2:0.03");
/* 174 */     PublicUtil.setMouseHands(this.table, "0#1");
/* 175 */     getData();
/* 176 */     setCursorActions();
/* 177 */     setFontColor(this.table);
/*     */     
/* 179 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 189 */     createButton(parent, 1, "关闭", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 197 */     return new Point(800, 600);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 201 */     super.configureShell(newShell);
/* 202 */     newShell.setText("监督预警 ");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void getData() {
/* 209 */     Object object = this.perInfo;
/* 210 */     this.tableViewer.setInput(object);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor(Table table) {
/* 219 */     for (int i = 0; i < table.getItemCount(); i++) {
/* 220 */       table.getItem(i)
/* 221 */         .setFont(
/* 222 */           0, 
/* 223 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 224 */             false, false));
/* 225 */       table.getItem(i).setForeground(0, 
/* 226 */           SWTResourceManager.getColor(37, 26, 181));
/*     */       
/* 228 */       table.getItem(i)
/* 229 */         .setFont(
/* 230 */           1, 
/* 231 */           SWTResourceManager.getFont("宋体", 9, 0, 
/* 232 */             false, false));
/* 233 */       table.getItem(i).setForeground(1, 
/* 234 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setAction() {
/*     */     try {
/* 243 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 244 */         .getSelection();
/* 245 */       FileModel model = (FileModel)select.getFirstElement();
/* 246 */       if (!model.isAnnex()) {
/* 247 */         if ("3".equals(this.sInfo.getApplyType())) {
/* 248 */           LogOutOperationFuHe logout = new LogOutOperationFuHe();
/* 249 */           ArrayList<LogOutAdviseModel> fileDetail = logout.getAdviceInfo(model, "0");
/* 250 */           if (fileDetail == null)
/*     */             return; 
/* 252 */           if (!fileDetail.isEmpty()) {
/* 253 */             LogOutAdviseModel log = fileDetail
/* 254 */               .get(0);
/* 255 */             LogOutFileInfoDialog file = new LogOutFileInfoDialog(
/* 256 */                 getShell(), log, this.canModify);
/* 257 */             file.open();
/*     */           } else {
/* 259 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 260 */                 "对不起，数据库中不存在相应的信息");
/*     */           }
/*     */         
/* 263 */         } else if ("4".equals(this.sInfo.getApplyType())) {
/* 264 */           SuperviseManage dm = new SuperviseManage();
/* 265 */           ArrayList<CertFileInfoModel> fileDetail = dm.getAdviceInfo(model);
/* 266 */           if (fileDetail == null)
/*     */             return; 
/* 268 */           if (!fileDetail.isEmpty()) {
/* 269 */             CertFileInfoModel ct = fileDetail
/* 270 */               .get(0);
/* 271 */             CertFileInfoDialog dialog = new CertFileInfoDialog(
/* 272 */                 getShell(), ct, this.canModify, this.state);
/* 273 */             dialog.open();
/*     */           } else {
/* 275 */             SydjMessageDialog.openInformation(getShell(), "提示", 
/* 276 */                 "对不起，数据库中不存在相应的信息");
/*     */           } 
/*     */         } 
/*     */       } else {
/* 280 */         AttachsOperations att = new AttachsOperations();
/* 281 */         ArrayList attachs = att.getAttachs1(model.getApplyId(), 
/* 282 */             model.getId(), model.getAttachGroupId(), model.getSubDate());
/* 283 */         if (attachs != null) {
/* 284 */           InsAttachmentInfo insinfo = new InsAttachmentInfo();
/* 285 */           insinfo.setApplyid(model.getApplyId());
/* 286 */           insinfo.setRealid(model.getId());
/* 287 */           insinfo.setFilename(model.getFileName());
/* 288 */           insinfo.setAttachstate(
/* 289 */               PublicUtil.getAnnexStatInDataBase(model.getAnnexStat()));
/* 290 */           insinfo.setATTACH_GROUP_ID(model.getAttachGroupId());
/* 291 */           insinfo.setAttachid(model.getAnnexId());
/* 292 */           insinfo.setJbdwid(model.getHoldUnitId());
/* 293 */           insinfo.setSydwid(model.getUnitId());
/* 294 */           insinfo.setGroupid(model.getGroupId());
/*     */           
/* 296 */           if (!"0".equals(insinfo.getAttachstate())) {
/* 297 */             ViewAnnexStat viewannexdialog = new ViewAnnexStat(getShell(), 
/* 298 */                 insinfo.getFilename(), model.getAnnexStat());
/* 299 */             viewannexdialog.open();
/*     */           } else {
/*     */             
/* 302 */             AttachsListDialog dialog = new AttachsListDialog(getShell(), 
/* 303 */                 attachs);
/* 304 */             dialog.open();
/*     */           } 
/*     */         } 
/*     */       } 
/* 308 */     } catch (Exception e) {
/* 309 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursorActions() {
/* 317 */     setCursor();
/* 318 */     this.table.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 321 */             SuperviseDetailDialog.this.cursor.getColumn();
/* 322 */             int colums = SuperviseDetailDialog.this.cursor.getColumn();
/* 323 */             if (colums == 0) {
/* 324 */               SuperviseDetailDialog.this.setAction();
/*     */             }
/* 326 */             if (colums == 1) {
/* 327 */               SuperviseDetailDialog.this.setTableDown();
/*     */             }
/* 329 */             SuperviseDetailDialog.this.selectColums = colums;
/*     */           }
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   public void setTableDown() {
/*     */     try {
/* 337 */       IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 338 */         .getSelection();
/* 339 */       FileModel model = (FileModel)select.getFirstElement();
/* 340 */       if (this.type.equals("3") && 
/* 341 */         !model.isAnnex()) {
/* 342 */         LogOutTableContentModel md = (new LogOutOperationShouLi())
/* 343 */           .getLogOutTable(model.getApplyId(), model.getId());
/* 344 */         if (model == null) {
/*     */           return;
/*     */         }
/* 347 */         ReplaceMap rmap = new ReplaceMap();
/* 348 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 349 */             getShell(), 
/* 350 */             "事业单位法人注销登记（备案）申请书", 
/* 351 */             "Microsoft Word 文档", 
/*     */             
/* 353 */             PublicUtil.getRealPath("Template/doc/sydw_logout_apply_report.doc"), 
/* 354 */             rmap.getLogOutFileMap(md));
/* 355 */         oold.open();
/*     */       } 
/*     */ 
/*     */       
/* 359 */       if (this.type.equals("4") && 
/* 360 */         !model.isAnnex()) {
/* 361 */         CertTableContentModel md = (new CertOperationShouLi())
/* 362 */           .getCertTable(model.getApplyId(), model.getId());
/* 363 */         if (model == null) {
/*     */           return;
/*     */         }
/* 366 */         ReplaceMap rmap = new ReplaceMap();
/* 367 */         OpenOrLoadDialog oold = new OpenOrLoadDialog(
/* 368 */             getShell(), 
/* 369 */             "事业单位法人证书补领申请书", 
/* 370 */             "Microsoft Word 文档", 
/*     */             
/* 372 */             PublicUtil.getRealPath("Template/doc/sydw_cert_apply_report.doc"), 
/* 373 */             rmap.getCertFileMap(md));
/* 374 */         oold.open();
/*     */       }
/*     */     
/*     */     }
/* 378 */     catch (Exception e) {
/* 379 */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 386 */     super.initializeBounds();
/* 387 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setCursor() {
/* 394 */     if (this.cursor != null)
/* 395 */       this.cursor.dispose(); 
/* 396 */     this.cursor = new TableCursor(this.table, 0);
/* 397 */     this.cursor.setBackground(this.table.getDisplay()
/* 398 */         .getSystemColor(26));
/* 399 */     this.cursor.setForeground(this.table.getDisplay()
/* 400 */         .getSystemColor(27));
/* 401 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 404 */             int colums = ((TableCursor)arg0.getSource()).getColumn();
/* 405 */             if (colums == SuperviseDetailDialog.this.selectColums) {
/* 406 */               if (colums == 0) {
/* 407 */                 SuperviseDetailDialog.this.setAction();
/*     */               }
/* 409 */               if (colums == 1)
/* 410 */                 SuperviseDetailDialog.this.setTableDown(); 
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\supervise\SuperviseDetailDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */