/*     */ package cs.sydj.operation.supervise;
/*     */ 
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.supervise.SuperviseInfo;
/*     */ import server.supervise.SuperviseManage;
/*     */ 
/*     */ 
/*     */ public class SuperviseNoteDialog
/*     */   extends Dialog
/*     */ {
/*  23 */   private String applyType = "";
/*  24 */   private String applyState = "";
/*     */   private Text text_accept_note;
/*     */   private Text text_auditor_note;
/*     */   private Text text_approve_note;
/*  28 */   private String formatNote = "事由：\r\n批准人：";
/*     */   
/*     */   private Shell shell;
/*     */   private SuperviseInfo superviseInfo;
/*  32 */   private int oprtType = 0;
/*  33 */   private static int UPDATE = 23581321;
/*  34 */   private static int RESET = 12318532;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseNoteDialog(Shell parentShell) {
/*  42 */     super(parentShell);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SuperviseNoteDialog(Shell parentShell, SuperviseInfo superviseInfo, int oprtType) {
/*  53 */     super(parentShell);
/*  54 */     this.superviseInfo = superviseInfo;
/*  55 */     this.oprtType = oprtType;
/*     */     
/*  57 */     if ("0".equals(superviseInfo.getApplyType())) {
/*  58 */       this.applyType = "设立登记";
/*  59 */     } else if ("1".equals(superviseInfo.getApplyType())) {
/*  60 */       this.applyType = "变更登记";
/*  61 */     } else if ("3".equals(superviseInfo.getApplyType())) {
/*  62 */       this.applyType = "注销登记";
/*  63 */     } else if ("4".equals(superviseInfo.getApplyType())) {
/*  64 */       this.applyType = "证书补领";
/*  65 */     } else if ("5".equals(superviseInfo.getApplyType())) {
/*  66 */       this.applyType = "重新申领";
/*     */     } 
/*     */     
/*  69 */     if ("0".equals(superviseInfo.getApplyState())) {
/*  70 */       this.applyState = "待受理";
/*  71 */     } else if ("1".equals(superviseInfo.getApplyState())) {
/*  72 */       this.applyState = "待审核";
/*  73 */     } else if ("2".equals(superviseInfo.getApplyState())) {
/*  74 */       this.applyState = "待核准";
/*  75 */     } else if ("30".equals(superviseInfo.getApplyState())) {
/*  76 */       this.applyState = "待通知";
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite arg0) {
/*  87 */     Composite container = (Composite)super.createDialogArea(arg0);
/*  88 */     this.shell = arg0.getShell();
/*  89 */     arg0.setBackgroundMode(1);
/*  90 */     arg0
/*  91 */       .setBackground(Display.getCurrent().getSystemColor(
/*  92 */           1));
/*  93 */     arg0.setLayout((Layout)new GridLayout());
/*     */     
/*  95 */     Group group = new Group(container, 0);
/*  96 */     group.setText("备注");
/*  97 */     GridLayout gridLayout_2 = new GridLayout();
/*  98 */     gridLayout_2.numColumns = 3;
/*  99 */     group.setLayout((Layout)gridLayout_2);
/* 100 */     GridData gd_group = new GridData(4, 4, true, true);
/* 101 */     group.setLayoutData(gd_group);
/*     */     
/* 103 */     CLabel label_1 = new CLabel((Composite)group, 0);
/* 104 */     label_1.setLayoutData(new GridData(131072, 16777216, false, false));
/* 105 */     label_1.setText("统一社会信用代码：");
/*     */     
/* 107 */     CLabel label_unifyCode = new CLabel((Composite)group, 0);
/* 108 */     label_unifyCode.setLayoutData(new GridData(4, 16777216, false, 
/* 109 */           false, 2, 1));
/* 110 */     label_unifyCode.setText(this.superviseInfo.getUnifyCode());
/*     */     
/* 112 */     CLabel label_2 = new CLabel((Composite)group, 0);
/* 113 */     label_2.setLayoutData(new GridData(131072, 16777216, false, false));
/* 114 */     label_2.setText("单位名称：");
/*     */     
/* 116 */     CLabel label_sydwname = new CLabel((Composite)group, 0);
/* 117 */     label_sydwname.setLayoutData(new GridData(4, 16777216, false, 
/* 118 */           false, 2, 1));
/* 119 */     label_sydwname.setText(this.superviseInfo.getSydwNameFirst());
/*     */     
/* 121 */     CLabel label_3 = new CLabel((Composite)group, 0);
/* 122 */     label_3.setLayoutData(new GridData(131072, 16777216, false, false));
/* 123 */     label_3.setText("在办业务：");
/*     */     
/* 125 */     CLabel label_applytype = new CLabel((Composite)group, 0);
/* 126 */     label_applytype.setLayoutData(new GridData(4, 16777216, false, 
/* 127 */           false, 2, 1));
/* 128 */     label_applytype.setText(this.applyType);
/*     */     
/* 130 */     CLabel label_4 = new CLabel((Composite)group, 0);
/* 131 */     label_4.setLayoutData(new GridData(131072, 16777216, false, false));
/* 132 */     label_4.setText("业务状态：");
/*     */     
/* 134 */     CLabel label_applystate = new CLabel((Composite)group, 0);
/* 135 */     label_applystate.setLayoutData(new GridData(4, 16777216, false, 
/* 136 */           false, 2, 1));
/* 137 */     label_applystate.setText(this.applyState);
/*     */     
/* 139 */     CLabel label_5 = new CLabel((Composite)group, 0);
/* 140 */     label_5.setLayoutData(new GridData(131072, 16777216, false, false));
/* 141 */     label_5.setText("受理备注：");
/*     */     
/* 143 */     this.text_accept_note = new Text((Composite)group, (
/* 144 */         (this.oprtType == 2) ? 520 : 512) | 
/* 145 */         0x2 | 0x800 | 0x40);
/* 146 */     this.text_accept_note.setTextLimit(2000);
/* 147 */     this.text_accept_note.setBackground(Display.getCurrent()
/* 148 */         .getSystemColor(1));
/* 149 */     GridData gd_text_note = new GridData(16384, 16777216, 
/* 150 */         false, false, 2, 1);
/* 151 */     gd_text_note.heightHint = 40;
/* 152 */     gd_text_note.widthHint = 400;
/* 153 */     this.text_accept_note.setLayoutData(gd_text_note);
/*     */     
/* 155 */     CLabel label_6 = new CLabel((Composite)group, 0);
/* 156 */     label_6.setLayoutData(new GridData(131072, 16777216, false, false));
/* 157 */     label_6.setText("审核备注：");
/*     */     
/* 159 */     this.text_auditor_note = new Text((Composite)group, (
/* 160 */         (this.oprtType == 2) ? 520 : 512) | 
/* 161 */         0x2 | 0x800 | 0x40);
/* 162 */     this.text_auditor_note.setTextLimit(2000);
/* 163 */     this.text_auditor_note.setBackground(Display.getCurrent()
/* 164 */         .getSystemColor(1));
/* 165 */     this.text_auditor_note.setLayoutData(gd_text_note);
/*     */     
/* 167 */     CLabel label_7 = new CLabel((Composite)group, 0);
/* 168 */     label_7.setLayoutData(new GridData(131072, 16777216, false, false));
/* 169 */     label_7.setText("核准备注：");
/*     */     
/* 171 */     this.text_approve_note = new Text((Composite)group, (
/* 172 */         (this.oprtType == 2) ? 520 : 512) | 
/* 173 */         0x2 | 0x800 | 0x40);
/* 174 */     this.text_approve_note.setTextLimit(2000);
/* 175 */     this.text_approve_note.setBackground(Display.getCurrent()
/* 176 */         .getSystemColor(1));
/* 177 */     this.text_approve_note.setLayoutData(gd_text_note);
/*     */     
/* 179 */     if ("0".equals(this.superviseInfo.getApplyState())) {
/*     */       
/* 181 */       this.text_auditor_note.setEnabled(false);
/* 182 */       this.text_approve_note.setEnabled(false);
/* 183 */     } else if ("1".equals(this.superviseInfo.getApplyState())) {
/*     */       
/* 185 */       this.text_approve_note.setEnabled(false);
/* 186 */     } else if (!"2".equals(this.superviseInfo.getApplyState())) {
/* 187 */       "30".equals(this.superviseInfo.getApplyState());
/*     */     } 
/*     */     
/* 190 */     switch (this.oprtType)
/*     */     { case 0:
/* 192 */         resetinfo();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 205 */         return (Control)container;case 1: resetinfo(); return (Control)container;case 2: resetinfo(); return (Control)container; }  resetinfo(); return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void resetinfo() {
/* 213 */     if (this.superviseInfo.getAcceptNote() != null && this.superviseInfo.getAcceptNote().length() > 0) {
/* 214 */       this.text_accept_note.setText(this.superviseInfo.getAcceptNote());
/*     */     } else {
/* 216 */       this.text_accept_note.setText(this.formatNote);
/*     */     } 
/*     */ 
/*     */     
/* 220 */     if (this.superviseInfo.getAuditorNote() != null && this.superviseInfo.getAuditorNote().length() > 0) {
/* 221 */       this.text_auditor_note.setText(this.superviseInfo.getAuditorNote());
/*     */     } else {
/* 223 */       this.text_auditor_note.setText(this.formatNote);
/*     */     } 
/*     */     
/* 226 */     if (this.superviseInfo.getApproveNote() != null && this.superviseInfo.getApproveNote().length() > 0) {
/* 227 */       this.text_approve_note.setText(this.superviseInfo.getApproveNote());
/*     */     } else {
/* 229 */       this.text_approve_note.setText(this.formatNote);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 242 */     parent.setBackground(Display.getCurrent()
/* 243 */         .getSystemColor(1));
/* 244 */     if (this.oprtType == 0) {
/* 245 */       createButton(parent, 0, "确定", true);
/* 246 */       createButton(parent, 1, "取消", false);
/* 247 */     } else if (this.oprtType == 1) {
/*     */       
/* 249 */       createButton(parent, UPDATE, "修改", true);
/*     */       
/* 251 */       createButton(parent, 1, "关闭", false);
/*     */     }
/*     */     else {
/*     */       
/* 255 */       createButton(parent, 1, "关闭", true);
/* 256 */       this.shell.setFocus();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 266 */     return new Point(600, 500);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 270 */     if (buttonId == 0) {
/* 271 */       if (doPreprocess(buttonId)) {
/* 272 */         MessageBox mbox = new MessageBox(this.shell, 196);
/*     */         
/* 274 */         mbox.setMessage("新增备注信息将不能删除，确定执行操作吗?");
/* 275 */         mbox.setText("信息提示");
/* 276 */         int button_id = mbox.open();
/* 277 */         if (button_id == 64) {
/* 278 */           SuperviseManage dataManage = new SuperviseManage();
/* 279 */           int r = dataManage.doOprtSuperviseNote(this.superviseInfo, this.oprtType);
/* 280 */           switch (r) {
/*     */             case 0:
/* 282 */               showInfoBox("数据库出错，请与管理员联系！");
/*     */               return;
/*     */             case -1:
/* 285 */               showInfoBox("网络传输错误，请重试！");
/*     */               return;
/*     */             case 1:
/*     */               break;
/*     */             default:
/* 290 */               showInfoBox("未知错误，请与管理员联系！");
/*     */               return;
/*     */           } 
/* 293 */           super.buttonPressed(buttonId);
/*     */         } 
/*     */       } 
/* 296 */     } else if (buttonId == UPDATE) {
/* 297 */       if (doPreprocess(buttonId)) {
/* 298 */         MessageBox mbox = new MessageBox(this.shell, 196);
/*     */         
/* 300 */         mbox.setMessage("确定修改信息吗?");
/* 301 */         mbox.setText("信息提示");
/* 302 */         int button_id = mbox.open();
/* 303 */         if (button_id == 64) {
/* 304 */           SuperviseManage dataManage = new SuperviseManage();
/* 305 */           int r = dataManage.doOprtSuperviseNote(this.superviseInfo, this.oprtType);
/* 306 */           switch (r) {
/*     */             case 0:
/* 308 */               showInfoBox("数据库出错，请与管理员联系！");
/*     */               return;
/*     */             case -1:
/* 311 */               showInfoBox("网络传输错误，请重试！");
/*     */               return;
/*     */             case 1:
/*     */               break;
/*     */             default:
/* 316 */               showInfoBox("未知错误，请与管理员联系！");
/*     */               return;
/*     */           } 
/* 319 */           super.buttonPressed(0);
/*     */         } 
/*     */       } 
/* 322 */     } else if (buttonId == RESET) {
/* 323 */       resetinfo();
/*     */     } else {
/* 325 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean doPreprocess(int buttonId) {
/* 332 */     String applyState = this.superviseInfo.getApplyState();
/* 333 */     if ("0".equals(applyState)) {
/* 334 */       if (isNotNull(this.text_accept_note, applyState)) {
/* 335 */         this.superviseInfo.setAcceptNote(this.text_accept_note.getText().trim());
/* 336 */         return true;
/*     */       }
/*     */     
/* 339 */     } else if ("1".equals(applyState)) {
/* 340 */       if (isNotNull(this.text_accept_note, applyState) && 
/* 341 */         isNotNull(this.text_auditor_note, applyState)) {
/* 342 */         this.superviseInfo.setAcceptNote(this.text_accept_note.getText().trim());
/* 343 */         this.superviseInfo.setApproveNote(this.text_approve_note.getText().trim());
/* 344 */         return true;
/*     */       } 
/* 346 */     } else if ("2".equals(applyState)) {
/* 347 */       if (isNotNull(this.text_accept_note, applyState) && 
/* 348 */         isNotNull(this.text_auditor_note, applyState) && 
/* 349 */         isNotNull(this.text_approve_note, applyState)) {
/* 350 */         this.superviseInfo.setAcceptNote(this.text_accept_note.getText().trim());
/* 351 */         this.superviseInfo.setAuditorNote(this.text_auditor_note.getText().trim());
/* 352 */         this.superviseInfo.setApproveNote(this.text_approve_note.getText().trim());
/* 353 */         return true;
/*     */       } 
/*     */     } else {
/* 356 */       return false;
/*     */     } 
/* 358 */     showInputErr("请输入要修改的备注信息!");
/* 359 */     return false;
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String applyState) {
/* 363 */     text.setText(text.getText().trim());
/* 364 */     if (text.getText().trim().length() == 0) {
/* 365 */       text.setText(text.getText().trim());
/* 366 */       return false;
/*     */     } 
/*     */     
/* 369 */     if ("0".equals(applyState)) {
/* 370 */       if (this.formatNote.equals(this.text_accept_note.getText().trim())) {
/* 371 */         return false;
/*     */       }
/* 373 */     } else if ("1".equals(applyState)) {
/* 374 */       if (this.formatNote.equals(this.text_accept_note.getText().trim()) && 
/* 375 */         this.formatNote.equals(this.text_auditor_note.getText().trim())) {
/* 376 */         return false;
/*     */       }
/* 378 */     } else if ("2".equals(applyState)) {
/* 379 */       if (this.formatNote.equals(this.text_accept_note.getText().trim()) && 
/* 380 */         this.formatNote.equals(this.text_auditor_note.getText().trim()) && 
/* 381 */         this.formatNote.equals(this.text_approve_note.getText().trim())) {
/* 382 */         return false;
/*     */       }
/*     */     } else {
/* 385 */       return false;
/*     */     } 
/* 387 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInputErr(String info) {
/* 392 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 393 */     mbox.setMessage(info);
/* 394 */     mbox.setText("错误提示");
/* 395 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 400 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 401 */     mbox.setMessage(info);
/* 402 */     mbox.setText("错误提示");
/* 403 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 408 */     super.configureShell(newShell);
/* 409 */     newShell.setText("备注");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\supervise\SuperviseNoteDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */