/*     */ package cs.sydj.operation.trackandcheck;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TrackAndCheckOperation
/*     */ {
/*  14 */   String operation = "TrackAndCheck";
/*  15 */   HashMap messageParameter = new HashMap<Object, Object>();
/*  16 */   String messagexml = null;
/*  17 */   String replyxml = null;
/*  18 */   ArrayList result = new ArrayList();
/*  19 */   MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getProcessCount(String groupId) {
/*  39 */     this.messageParameter.put("groupId", groupId);
/*  40 */     this.messagexml = 
/*  41 */       MessageXML.MessageToXML(this.operation, "getProcessCount", this.messageParameter);
/*     */     try {
/*  43 */       this.sender = new MessageSender(
/*  44 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  45 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  46 */       this.replyxml = this.sender
/*  47 */         .sendMessage(this.messagexml, "xml");
/*  48 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  49 */     } catch (JMSException e) {
/*  50 */       e.printStackTrace();
/*     */     }
/*  52 */     catch (Exception e) {
/*  53 */       e.printStackTrace();
/*     */     } 
/*  55 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getResultCount(String groupId, String bnDate, String enDate) {
/*  72 */     this.messageParameter.put("groupId", groupId);
/*  73 */     this.messageParameter.put("bnDate", bnDate);
/*  74 */     this.messageParameter.put("enDate", enDate);
/*  75 */     this.messagexml = 
/*  76 */       MessageXML.MessageToXML(this.operation, "getResultCount", this.messageParameter);
/*     */     try {
/*  78 */       this.sender = new MessageSender(
/*  79 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  80 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  81 */       this.replyxml = this.sender
/*  82 */         .sendMessage(this.messagexml, "xml");
/*  83 */       this.result = MessageXML.XMLToList(this.replyxml);
/*  84 */     } catch (JMSException e) {
/*  85 */       e.printStackTrace();
/*     */     }
/*  87 */     catch (Exception e) {
/*  88 */       e.printStackTrace();
/*     */     } 
/*  90 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getUnitsInfo(String groupId, String appType, String appState, String difFlag, String certId, String unitName, String holdUnit, String flag, int startNo, int maxcount, String bnDate, String enDate) {
/* 110 */     this.messageParameter.put("groupId", groupId);
/* 111 */     this.messageParameter.put("appType", appType);
/* 112 */     this.messageParameter.put("appState", appState);
/* 113 */     this.messageParameter.put("difFlag", difFlag);
/* 114 */     this.messageParameter.put("certId", certId);
/* 115 */     this.messageParameter.put("unitName", unitName);
/* 116 */     this.messageParameter.put("holdUnit", holdUnit);
/* 117 */     this.messageParameter.put("flag", flag);
/* 118 */     this.messageParameter.put("startNo", Integer.valueOf(startNo));
/* 119 */     this.messageParameter.put("maxcount", Integer.valueOf(maxcount));
/* 120 */     this.messageParameter.put("bnDate", bnDate);
/* 121 */     this.messageParameter.put("enDate", enDate);
/* 122 */     this.messagexml = 
/* 123 */       MessageXML.MessageToXML(this.operation, "getUnitsInfo", this.messageParameter);
/*     */     try {
/* 125 */       this.sender = new MessageSender(
/* 126 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 127 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 128 */       this.replyxml = this.sender
/* 129 */         .sendMessage(this.messagexml, "xml");
/* 130 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 131 */     } catch (JMSException e) {
/* 132 */       e.printStackTrace();
/*     */     }
/* 134 */     catch (Exception e) {
/* 135 */       e.printStackTrace();
/*     */     } 
/* 137 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getDownExcelData(ArrayList list) {
/* 154 */     String xmlList = MessageXML.getReplyXML(list);
/* 155 */     this.messageParameter.put("list", xmlList);
/* 156 */     this.messagexml = 
/* 157 */       MessageXML.MessageToXML(this.operation, "getDownExcelData", this.messageParameter);
/*     */     try {
/* 159 */       this.sender = new MessageSender(
/* 160 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 161 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 162 */       this.replyxml = this.sender
/* 163 */         .sendMessage(this.messagexml, "xml");
/* 164 */       this.result = MessageXML.XMLToList(this.replyxml);
/* 165 */     } catch (JMSException e) {
/* 166 */       e.printStackTrace();
/*     */     }
/* 168 */     catch (Exception e) {
/* 169 */       e.printStackTrace();
/*     */     } 
/* 171 */     return this.result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\trackandcheck\TrackAndCheckOperation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */