/*     */ package cs.sydj.operation.withinput.annualcheck;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.operation.withinput.WithinputLableProvider;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.commons.WithinputIsNew;
/*     */ import server.sydj.operation.remark.RemarkOperation;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithinputAnnualCheckView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.withinput.annualcheck.WithinputAnnualCheckView";
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   private Combo combo_1;
/*  71 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  72 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  73 */   RemarkOperation remarkManage = new RemarkOperation();
/*  74 */   private ArrayList list = new ArrayList();
/*  75 */   String alertMsg = "";
/*     */   
/*  77 */   int totalRows = 0;
/*  78 */   int maxCount = 15;
/*  79 */   int startNo = 1;
/*  80 */   int currentPage = 1;
/*  81 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  85 */   private String sydwnameStr = "";
/*  86 */   private TableCursor cursor = null;
/*  87 */   private int selectColums = 10;
/*     */ 
/*     */   
/*     */   TableLayout tableLayout;
/*     */ 
/*     */   
/*     */   Composite composite_total;
/*     */ 
/*     */   
/*     */   private Combo combo_year;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/* 100 */     Composite container = new Composite(parent, 0);
/* 101 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 102 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 104 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 105 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 106 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 107 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 108 */     scrolledComposite.setExpandHorizontal(true);
/*     */ 
/*     */     
/* 111 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 112 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 113 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 114 */     this.composite_total.setSize(800, 600);
/*     */     
/* 116 */     Composite composite = new Composite(this.composite_total, 0);
/* 117 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 119 */     FormData fd_composite = new FormData();
/* 120 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 121 */     fd_composite.top = new FormAttachment(0, 20);
/* 122 */     composite.setLayoutData(fd_composite);
/* 123 */     GridLayout gridLayout = new GridLayout();
/* 124 */     gridLayout.numColumns = 3;
/* 125 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 127 */     Label label = new Label(composite, 0);
/* 128 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 129 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 130 */     label.setText("请输入单位名称（第一名称）：");
/*     */     
/* 132 */     this.text = new Text(composite, 2048);
/* 133 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 134 */     gd_text.widthHint = 200;
/* 135 */     this.text.setLayoutData(gd_text);
/*     */     
/* 137 */     Button button = new Button(composite, 0);
/* 138 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 139 */     gd_button.heightHint = 20;
/* 140 */     button.setLayoutData(gd_button);
/* 141 */     button.setText("查询");
/*     */     
/* 143 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 144 */     this.table = this.tableViewer.getTable();
/* 145 */     FormData fd_table = new FormData();
/* 146 */     fd_table.right = new FormAttachment(100, -35);
/* 147 */     fd_table.bottom = new FormAttachment(0, 439);
/* 148 */     fd_table.top = new FormAttachment(0, 95);
/* 149 */     fd_table.left = new FormAttachment(0, 35);
/* 150 */     this.table.setLayoutData(fd_table);
/* 151 */     this.table.setLinesVisible(true);
/* 152 */     this.table.setHeaderVisible(true);
/* 153 */     PublicUtil.setTableHeight(this.table);
/* 154 */     PublicUtil.setMouseHands(this.table, "0#4");
/*     */     
/* 156 */     this.tableLayout = new TableLayout();
/* 157 */     this.table.setLayout((Layout)this.tableLayout);
/* 158 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(60));
/* 159 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 160 */     newColumnTableColumn.setAlignment(16777216);
/* 161 */     newColumnTableColumn.setText("单位名称");
/*     */     
/* 163 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 164 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 165 */     newColumnTableColumn_1.setText("申请事项");
/*     */     
/* 167 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 168 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 169 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 171 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 172 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 173 */     newColumnTableColumn_3.setText("申请状态");
/*     */     
/* 175 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 176 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 177 */     newColumnTableColumn_4.setText("操作");
/*     */ 
/*     */     
/* 180 */     this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "2");
/* 181 */     if (this.list != null && this.list.size() > 0) {
/* 182 */       this.totalRows = ((WithinputInfo)this.list.get(0)).getTotalRows();
/* 183 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 184 */       this.totalPages = pu.getTotalPages();
/* 185 */       this.currentPage = pu.getCurrentPage();
/* 186 */       this.hasNextPage = pu.isHasNextPage();
/* 187 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 193 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 194 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 195 */     FormData fd_composite_3 = new FormData();
/* 196 */     fd_composite_3.bottom = new FormAttachment(0, 505);
/* 197 */     fd_composite_3.top = new FormAttachment(0, 475);
/* 198 */     composite_3.setLayoutData(fd_composite_3);
/* 199 */     GridLayout gridLayout_3 = new GridLayout();
/* 200 */     gridLayout_3.numColumns = 5;
/* 201 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 203 */     this.combo_1 = new Combo(composite_3, 8);
/* 204 */     this.combo_1.add("单位名称");
/* 205 */     this.combo_1.setData("单位名称", "sydwname");
/* 206 */     this.combo_1.add("统一社会信用代码");
/* 207 */     this.combo_1.setData("统一社会信用代码", "unifycode");
/*     */     
/* 209 */     GridData gd_combo_1 = new GridData(131072, 16777216, true, false);
/* 210 */     this.combo_1.setLayoutData(gd_combo_1);
/* 211 */     this.combo_1.select(0);
/* 212 */     this.combo_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 214 */             WithinputAnnualCheckView.this.text_1.setText("");
/*     */           }
/*     */         });
/*     */     
/* 218 */     this.text_1 = new Text(composite_3, 2048);
/* 219 */     GridData gd_text_1 = new GridData(4, 16777216, false, false);
/* 220 */     gd_text_1.widthHint = 240;
/* 221 */     this.text_1.setLayoutData(gd_text_1);
/*     */ 
/*     */ 
/*     */     
/* 225 */     Label label_145 = new Label(composite_3, 0);
/* 226 */     label_145.setBackground(Display.getCurrent().getSystemColor(1));
/* 227 */     label_145.setText("年检年度 ");
/*     */     
/* 229 */     this.combo_year = new Combo(composite_3, 8);
/* 230 */     this.combo_year.setVisibleItemCount(10);
/* 231 */     this.combo_year.setBackground(Display.getCurrent().getSystemColor(1));
/* 232 */     this.combo_year.setLayoutData(new GridData(4, 16777216, false, false));
/* 233 */     int nowyear = Integer.parseInt(PublicUtil.getNowDate().substring(0, 4));
/* 234 */     nowyear--;
/* 235 */     this.combo_year.add("===请选择===");
/* 236 */     this.combo_year.setData("===请选择===", null);
/* 237 */     this.combo_year.select(0);
/* 238 */     for (int i = 0; i < 20; i++) {
/* 239 */       String yearStr = String.valueOf(nowyear - i);
/* 240 */       this.combo_year.add(yearStr);
/* 241 */       this.combo_year.setData(yearStr, yearStr);
/*     */     } 
/*     */ 
/*     */     
/* 245 */     Button button_3 = new Button(composite_3, 0);
/* 246 */     GridData gd_button_3 = new GridData(16384, 16777216, true, false);
/* 247 */     gd_button_3.heightHint = 20;
/* 248 */     button_3.setLayoutData(gd_button_3);
/* 249 */     button_3.setText("添加新的年度报告书");
/*     */     
/* 251 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 252 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new WithinputLableProvider());
/* 253 */     this.tableViewer.setInput(this.list);
/* 254 */     setFontColor();
/* 255 */     setCursor();
/*     */ 
/*     */ 
/*     */     
/* 259 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 261 */             WithinputAnnualCheckView.this.totalRows = 0;
/* 262 */             WithinputAnnualCheckView.this.currentPage = 1;
/* 263 */             WithinputAnnualCheckView.this.sydwnameStr = WithinputAnnualCheckView.this.text.getText();
/* 264 */             WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, WithinputAnnualCheckView.this.startNo, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 265 */             WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, WithinputAnnualCheckView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 271 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 273 */             if (WithinputAnnualCheckView.this.text_1.getText().trim().length() > 0) {
/* 274 */               String nameFlag = (String)WithinputAnnualCheckView.this.combo_1.getData(WithinputAnnualCheckView.this.combo_1.getText());
/* 275 */               String ifdongjie = WithinputAnnualCheckView.this.dataManage.checkDongJieSYDJ(nameFlag, WithinputAnnualCheckView.this.text_1.getText().trim());
/* 276 */               if (ifdongjie != null && !"false".equals(ifdongjie)) {
/* 277 */                 SydjMessageDialog.openWarning(null, "错误", "该事业单位已被 " + ifdongjie + " 冻结！");
/*     */                 return;
/*     */               } 
/* 280 */               if ("sydwname".equals(nameFlag)) {
/* 281 */                 WithinputAnnualCheckView.this.alertMsg = WithinputAnnualCheckView.this.dataManage
/*     */                   
/* 283 */                   .isNew("0", "2", WithinputAnnualCheckView.this.text_1.getText().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/*     */               } else {
/* 285 */                 WithinputAnnualCheckView.this.alertMsg = WithinputAnnualCheckView.this.dataManage
/*     */                   
/* 287 */                   .isNew("0", "2", "", WithinputAnnualCheckView.this.text_1.getText().trim(), GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/*     */               } 
/*     */               
/* 290 */               if (WithinputAnnualCheckView.this.combo_year.getData(WithinputAnnualCheckView.this.combo_year.getText()) == null) {
/* 291 */                 SydjMessageDialog.openWarning(null, "", "请选择年检年度！");
/* 292 */                 WithinputAnnualCheckView.this.combo_year.setFocus();
/*     */                 
/*     */                 return;
/*     */               } 
/* 296 */               String replyStr = WithinputAnnualCheckView.this.dataManage.querySydwInfo(WithinputAnnualCheckView.this.text_1.getText().trim(), nameFlag);
/* 297 */               if (replyStr != null) {
/* 298 */                 SydwInfo sydwInfo = new SydwInfo();
/* 299 */                 sydwInfo = (SydwInfo)MessageXML.XMLToObject(replyStr);
/* 300 */                 String instDate = sydwInfo.getINST_DATE();
/* 301 */                 String annualCheckDate = sydwInfo.getANNUAL_CHECK_DATE();
/* 302 */                 String certiDateTo = sydwInfo.getCERTI_DATE_TO();
/* 303 */                 if (WithinputAnnualCheckView.this.alertMsg != null && WithinputAnnualCheckView.this.alertMsg.length() > 0) {
/* 304 */                   WithinputIsNew win = new WithinputIsNew();
/* 305 */                   win = (WithinputIsNew)MessageXML.XMLToObject(WithinputAnnualCheckView.this.alertMsg);
/* 306 */                   if ("true".equals(win.getIsnew())) {
/* 307 */                     String annualCheckIfRequired = PublicUtil.annualIfRequired(sydwInfo);
/* 308 */                     boolean flag = true;
/* 309 */                     if (annualCheckIfRequired.length() > 0) {
/* 310 */                       SydjMessageDialog.openWarning(null, "", annualCheckIfRequired);
/* 311 */                       flag = false;
/*     */                     } 
/*     */                     
/* 314 */                     if (flag) {
/* 315 */                       boolean relateFlag = true;
/* 316 */                       int remarkCount = Integer.parseInt(WithinputAnnualCheckView.this.remarkManage.getSydwReleteInfoCounts(sydwInfo.getSYDW_ID()));
/* 317 */                       if (remarkCount >= 1) {
/* 318 */                         RemarkDialog dialog = new RemarkDialog(
/* 319 */                             PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwInfo.getSYDW_ID(), 
/* 320 */                             sydwInfo.getSYDW_NAME_FIRST(), "关联信息", true);
/* 321 */                         if (dialog.open() == 1) {
/* 322 */                           relateFlag = false;
/*     */                         }
/*     */                       } 
/* 325 */                       if (relateFlag) {
/* 326 */                         WithinputAnnualCheckDetailDialog widd = new WithinputAnnualCheckDetailDialog(
/* 327 */                             PlatformUI.getWorkbench()
/* 328 */                             .getActiveWorkbenchWindow()
/* 329 */                             .getShell(), "8", sydwInfo, "new", "", WithinputAnnualCheckView.this.combo_year.getText());
/* 330 */                         if (1 == widd.open() || widd.getBackParameter() == 2) {
/* 331 */                           WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, WithinputAnnualCheckView.this.startNo, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 332 */                           WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, WithinputAnnualCheckView.this.currentPage);
/*     */                         } 
/*     */                       } 
/*     */                     } 
/*     */                   } else {
/* 337 */                     if ("false_1".equals(win.getIsnew())) {
/* 338 */                       SydjMessageDialog.openWarning(null, "", win.getMessage());
/*     */                     }
/* 340 */                     if ("false_2".equals(win.getIsnew()) && 
/* 341 */                       SydjMessageDialog.openConfirm(null, "", win.getMessage())) {
/* 342 */                       int applystate = Integer.parseInt(win.getApplystate());
/* 343 */                       if (applystate == 7 || applystate == 8 || applystate == 4) {
/* 344 */                         if ("true".equals(WithinputAnnualCheckView.this.dataManage.deleteApplyInfo("2", win.getApplyid(), win.getApplydate()))) {
/* 345 */                           WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, WithinputAnnualCheckView.this.startNo, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 346 */                           WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, WithinputAnnualCheckView.this.currentPage);
/* 347 */                           SydjMessageDialog.openInformation(null, "", "删除成功！");
/*     */                         } else {
/* 349 */                           SydjMessageDialog.openInformation(null, "", "删除失败！");
/*     */                         } 
/*     */                       } else {
/* 352 */                         SydjMessageDialog.openInformation(null, "", "数据状态已改变，删除失败！");
/*     */                       }
/*     */                     
/*     */                     } 
/*     */                   } 
/*     */                 } 
/*     */               } 
/*     */             } else {
/*     */               
/* 361 */               SydjMessageDialog.openError(null, "错误", "请输入拟进行年检的事业单位名称");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 367 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 368 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 369 */     fd_composite_3.left = new FormAttachment((Control)composite_fenye, 0, 16384);
/* 370 */     GridLayout gridLayout_4 = new GridLayout();
/* 371 */     gridLayout_4.numColumns = 2;
/* 372 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 373 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 374 */     FormData fd_composite_fenye = new FormData();
/* 375 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 376 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 377 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 378 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 379 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 381 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 382 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 383 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 384 */     GridLayout gridLayout_2 = new GridLayout();
/* 385 */     gridLayout_2.marginTop = 3;
/* 386 */     gridLayout_2.verticalSpacing = 0;
/* 387 */     gridLayout_2.marginWidth = 0;
/* 388 */     gridLayout_2.marginHeight = 0;
/* 389 */     gridLayout_2.horizontalSpacing = 2;
/* 390 */     gridLayout_2.numColumns = 7;
/* 391 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 393 */     Label label_1 = new Label(composite_1, 0);
/* 394 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 395 */     label_1.setText("页次：");
/*     */     
/* 397 */     this.label_2 = new Label(composite_1, 131072);
/* 398 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 399 */     GridData gd_label_2 = new GridData(4, 16777216, true, false);
/* 400 */     this.label_2.setLayoutData(gd_label_2);
/* 401 */     if (this.totalPages == 0) {
/* 402 */       this.label_2.setText("0/0");
/*     */     } else {
/* 404 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 407 */     Label label_3 = new Label(composite_1, 0);
/* 408 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 409 */     label_3.setText("页  每页");
/*     */     
/* 411 */     Label label_4 = new Label(composite_1, 0);
/* 412 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 413 */     GridData gd_label_4 = new GridData(4, 16777216, true, false);
/* 414 */     label_4.setLayoutData(gd_label_4);
/* 415 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 417 */     Label label_5 = new Label(composite_1, 0);
/* 418 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 419 */     label_5.setText("行  共");
/*     */     
/* 421 */     this.label_6 = new Label(composite_1, 0);
/* 422 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 423 */     GridData gd_label_6 = new GridData(16384, 16777216, true, false);
/* 424 */     this.label_6.setLayoutData(gd_label_6);
/* 425 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 427 */     Label label_7 = new Label(composite_1, 0);
/* 428 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 429 */     label_7.setText("行");
/* 430 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 431 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 432 */     GridLayout gridLayout_1 = new GridLayout();
/* 433 */     gridLayout_1.numColumns = 6;
/* 434 */     composite_2.setLayout((Layout)gridLayout_1);
/* 435 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 437 */     this.button_1 = new Button(composite_2, 0);
/* 438 */     this.button_1.setText("上一页");
/* 439 */     if (!this.hasPreviousPage) {
/* 440 */       this.button_1.setEnabled(false);
/*     */     }
/* 442 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 444 */             WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, (WithinputAnnualCheckView.this.currentPage - 2) * WithinputAnnualCheckView.this.maxCount + 1, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 445 */             WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, WithinputAnnualCheckView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 449 */     this.button_2 = new Button(composite_2, 0);
/* 450 */     this.button_2.setText("下一页");
/* 451 */     if (!this.hasNextPage) {
/* 452 */       this.button_2.setEnabled(false);
/*     */     }
/* 454 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 456 */             WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, WithinputAnnualCheckView.this.currentPage * WithinputAnnualCheckView.this.maxCount + 1, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 457 */             WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, WithinputAnnualCheckView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 461 */     Label label_10 = new Label(composite_2, 0);
/* 462 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 463 */     label_10.setText("转至第");
/*     */     
/* 465 */     this.text_2 = new Text(composite_2, 2048);
/* 466 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 468 */     Label label_11 = new Label(composite_2, 0);
/* 469 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 470 */     label_11.setText("页");
/*     */     
/* 472 */     Button goButton = new Button(composite_2, 0);
/* 473 */     goButton.setText("GO");
/*     */     
/* 475 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 477 */             if (VerifyFunction.isNumeric(WithinputAnnualCheckView.this.text_2.getText())) {
/* 478 */               int aa = Integer.parseInt(WithinputAnnualCheckView.this.text_2.getText());
/* 479 */               if (aa > WithinputAnnualCheckView.this.totalPages) {
/* 480 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 482 */                 WithinputAnnualCheckView.this.list = WithinputAnnualCheckView.this.dataManage.getWithinput(WithinputAnnualCheckView.this.groupid, (aa - 1) * WithinputAnnualCheckView.this.maxCount + 1, WithinputAnnualCheckView.this.maxCount, WithinputAnnualCheckView.this.sydwnameStr, "2");
/* 483 */                 WithinputAnnualCheckView.this.setFenYe(WithinputAnnualCheckView.this.list, aa);
/*     */               } 
/*     */             } else {
/* 486 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 492 */     Label label_9 = new Label(this.composite_total, 258);
/* 493 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 494 */     FormData fd_label_9 = new FormData();
/* 495 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 496 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 497 */     fd_label_9.top = new FormAttachment(0, 85);
/* 498 */     label_9.setLayoutData(fd_label_9);
/*     */ 
/*     */     
/* 501 */     Label label_12 = new Label(this.composite_total, 0);
/* 502 */     fd_composite.left = new FormAttachment((Control)label_12, 0, 16384);
/* 503 */     label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 504 */     FormData fd_label_12 = new FormData();
/* 505 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 506 */     fd_label_12.top = new FormAttachment(0, 70);
/* 507 */     fd_label_12.right = new FormAttachment(0, 240);
/* 508 */     label_12.setLayoutData(fd_label_12);
/* 509 */     label_12.setText("补充年度报告公示单位");
/*     */     
/* 511 */     scrolledComposite.setContent((Control)this.composite_total);
/* 512 */     createActions();
/* 513 */     initializeToolBar();
/* 514 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 521 */     if (this.cursor != null)
/* 522 */       this.cursor.dispose(); 
/* 523 */     this.cursor = new TableCursor(this.table, 0);
/* 524 */     this.cursor.setBackground(this.table.getDisplay()
/* 525 */         .getSystemColor(26));
/* 526 */     this.cursor.setForeground(this.table.getDisplay()
/* 527 */         .getSystemColor(27));
/* 528 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 530 */             int colums = WithinputAnnualCheckView.this.cursor.getColumn();
/* 531 */             if (colums == 0) {
/* 532 */               WithinputAnnualCheckView.this.openAnnualCheckDetailDialog();
/*     */             }
/* 534 */             if (colums == 4) {
/* 535 */               WithinputAnnualCheckView.this.deleteApply();
/*     */             }
/* 537 */             WithinputAnnualCheckView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 540 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 543 */             int colums = WithinputAnnualCheckView.this.cursor.getColumn();
/* 544 */             if (colums == WithinputAnnualCheckView.this.selectColums) {
/* 545 */               if (colums == 0) {
/* 546 */                 WithinputAnnualCheckView.this.openAnnualCheckDetailDialog();
/*     */               }
/* 548 */               if (colums == 4) {
/* 549 */                 WithinputAnnualCheckView.this.deleteApply();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void openAnnualCheckDetailDialog() {
/* 557 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 558 */       .getSelection();
/* 559 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 560 */     ArrayList attachlist = new ArrayList();
/* 561 */     attachlist = this.dataManage.queryAnnualCheckAttach(insinfo, 
/* 562 */         GljgUserInfo.getInstance().getGroupid());
/* 563 */     if (attachlist != null) {
/* 564 */       WithinputAnnualCheckDetailDialog widd = new WithinputAnnualCheckDetailDialog(
/* 565 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 566 */           .getShell(), insinfo.getSydwname(), insinfo.getSydwid(), 
/* 567 */           insinfo.getApplystate(), attachlist, "old", insinfo.getApplytime(), "0");
/* 568 */       int operation = widd.open();
/* 569 */       if (1 == operation || widd.getBackParameter() == 2) {
/* 570 */         this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "2");
/* 571 */         setFenYe(this.list, this.currentPage);
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private void deleteApply() {
/* 577 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 578 */       .getSelection();
/* 579 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 580 */     if ("3".equals(insinfo.getApplystate()) || 
/* 581 */       "9".equals(insinfo.getApplystate()) || 
/* 582 */       "10".equals(insinfo.getApplystate())) {
/* 583 */       SydjMessageDialog.openWarning(null, "提示", "该申请已经核准通过，不能删除！");
/*     */     }
/* 585 */     if ("4".equals(insinfo.getApplystate()) || 
/* 586 */       "7".equals(insinfo.getApplystate()) || 
/* 587 */       "8".equals(insinfo.getApplystate())) {
/* 588 */       String replyStr = this.dataManage.deleteApplyInfo("2", insinfo.getAppylid(), insinfo.getApplytime());
/* 589 */       if (replyStr != null && "true".equals(replyStr)) {
/* 590 */         SydjMessageDialog.openInformation(null, "提示", "删除年度检验申请材料成功！");
/* 591 */         this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "2");
/* 592 */         setFenYe(this.list, this.currentPage);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 601 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 602 */       this.table.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 603 */       this.table.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 604 */       this.table.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 605 */       this.table.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<WithinputInfo> list, int nextcurrentPage) {
/* 610 */     this.totalRows = 0;
/* 611 */     if (list != null && list.size() > 0) {
/* 612 */       this.totalRows = ((WithinputInfo)list.get(0)).getTotalRows();
/*     */     }
/* 614 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 615 */     this.totalPages = pu.getTotalPages();
/* 616 */     this.currentPage = pu.getCurrentPage();
/* 617 */     this.hasNextPage = pu.isHasNextPage();
/* 618 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 619 */     this.startNo = pu.getStartNum();
/*     */     
/* 621 */     this.tableViewer.setInput(list);
/* 622 */     setFontColor();
/* 623 */     setCursor();
/* 624 */     if (this.totalPages == 0) {
/* 625 */       this.label_2.setText("0/0");
/*     */     } else {
/* 627 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 629 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 630 */     this.label_6.getParent().getParent().layout();
/* 631 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 632 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 647 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 648 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 655 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 656 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\withinput\annualcheck\WithinputAnnualCheckView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */