/*     */ package cs.sydj.operation.withinput.cert;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.TableViewContentProvider;
/*     */ import cs.sydj.common.VerifyFunction;
/*     */ import cs.sydj.common.pagetab.PageUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.operation.remark.dialog.RemarkDialog;
/*     */ import cs.sydj.operation.withinput.WithinputDataManage;
/*     */ import cs.sydj.operation.withinput.WithinputLableProvider;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.ColumnLayoutData;
/*     */ import org.eclipse.jface.viewers.ColumnWeightData;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TableLayout;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.custom.TableCursor;
/*     */ import org.eclipse.swt.events.MouseAdapter;
/*     */ import org.eclipse.swt.events.MouseEvent;
/*     */ import org.eclipse.swt.events.MouseListener;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Combo;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.operation.commons.WithinputInfo;
/*     */ import server.sydj.operation.commons.WithinputIsNew;
/*     */ import server.sydj.operation.remark.RemarkOperation;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WithinputCertView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.operation.withinput.cert.WithinputCertView";
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Table table;
/*     */   private Text text;
/*     */   private Label label_2;
/*     */   private Label label_6;
/*     */   private Button button_1;
/*     */   private Button button_2;
/*     */   TableViewer tableViewer;
/*     */   private Combo combo_1;
/*  71 */   private String groupid = GljgUserInfo.getInstance().getGroupid();
/*  72 */   WithinputDataManage dataManage = new WithinputDataManage();
/*  73 */   RemarkOperation remarkManage = new RemarkOperation();
/*  74 */   private ArrayList list = new ArrayList();
/*  75 */   String alertMsg = "";
/*     */   
/*  77 */   int totalRows = 0;
/*  78 */   int maxCount = 15;
/*  79 */   int startNo = 1;
/*  80 */   int currentPage = 1;
/*  81 */   int totalPages = 0;
/*     */   
/*     */   boolean hasNextPage = false;
/*     */   boolean hasPreviousPage = false;
/*  85 */   private String sydwnameStr = "";
/*  86 */   private TableCursor cursor = null;
/*  87 */   private int selectColums = 10;
/*     */ 
/*     */   
/*     */   TableLayout tableLayout;
/*     */ 
/*     */   
/*     */   Composite composite_total;
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  98 */     Composite container = new Composite(parent, 0);
/*  99 */     container.setBackground(Display.getCurrent().getSystemColor(1));
/* 100 */     container.setLayout((Layout)new FillLayout());
/*     */     
/* 102 */     ScrolledComposite scrolledComposite = new ScrolledComposite(container, 2816);
/* 103 */     scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/* 104 */     scrolledComposite.getVerticalBar().setIncrement(15);
/* 105 */     scrolledComposite.getHorizontalBar().setIncrement(15);
/* 106 */     scrolledComposite.setExpandHorizontal(true);
/*     */ 
/*     */     
/* 109 */     this.composite_total = new Composite((Composite)scrolledComposite, 0);
/* 110 */     this.composite_total.setBackground(Display.getCurrent().getSystemColor(1));
/* 111 */     this.composite_total.setLayout((Layout)new FormLayout());
/* 112 */     this.composite_total.setSize(800, 600);
/*     */     
/* 114 */     Composite composite = new Composite(this.composite_total, 0);
/* 115 */     composite.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 117 */     FormData fd_composite = new FormData();
/* 118 */     fd_composite.bottom = new FormAttachment(0, 50);
/* 119 */     fd_composite.top = new FormAttachment(0, 20);
/* 120 */     composite.setLayoutData(fd_composite);
/* 121 */     GridLayout gridLayout = new GridLayout();
/* 122 */     gridLayout.numColumns = 3;
/* 123 */     composite.setLayout((Layout)gridLayout);
/*     */     
/* 125 */     Label label = new Label(composite, 0);
/* 126 */     label.setLayoutData(new GridData(131072, 16777216, true, false));
/* 127 */     label.setBackground(Display.getCurrent().getSystemColor(1));
/* 128 */     label.setText("请输入单位名称（第一名称）：");
/*     */     
/* 130 */     this.text = new Text(composite, 2048);
/* 131 */     GridData gd_text = new GridData(4, 16777216, false, false);
/* 132 */     gd_text.widthHint = 200;
/* 133 */     this.text.setLayoutData(gd_text);
/*     */     
/* 135 */     Button button = new Button(composite, 0);
/* 136 */     GridData gd_button = new GridData(16384, 16777216, true, false);
/* 137 */     gd_button.heightHint = 20;
/* 138 */     button.setLayoutData(gd_button);
/* 139 */     button.setText("查询");
/*     */     
/* 141 */     this.tableViewer = new TableViewer(this.composite_total, 67584);
/* 142 */     this.table = this.tableViewer.getTable();
/* 143 */     FormData fd_table = new FormData();
/* 144 */     fd_table.right = new FormAttachment(100, -35);
/* 145 */     fd_table.bottom = new FormAttachment(0, 439);
/* 146 */     fd_table.top = new FormAttachment(0, 95);
/* 147 */     fd_table.left = new FormAttachment(0, 35);
/* 148 */     this.table.setLayoutData(fd_table);
/* 149 */     this.table.setLinesVisible(true);
/* 150 */     this.table.setHeaderVisible(true);
/* 151 */     PublicUtil.setTableHeight(this.table);
/* 152 */     PublicUtil.setMouseHands(this.table, "0#4");
/*     */     
/* 154 */     this.tableLayout = new TableLayout();
/* 155 */     this.table.setLayout((Layout)this.tableLayout);
/* 156 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(60));
/* 157 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 16777216);
/* 158 */     newColumnTableColumn.setAlignment(16777216);
/* 159 */     newColumnTableColumn.setText("单位名称");
/*     */     
/* 161 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 162 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 16777216);
/* 163 */     newColumnTableColumn_1.setText("申请事项");
/*     */     
/* 165 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 166 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 16777216);
/* 167 */     newColumnTableColumn_2.setText("提交时间");
/*     */     
/* 169 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 170 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 16777216);
/* 171 */     newColumnTableColumn_3.setText("申请状态");
/*     */     
/* 173 */     this.tableLayout.addColumnData((ColumnLayoutData)new ColumnWeightData(10));
/* 174 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 16777216);
/* 175 */     newColumnTableColumn_4.setText("操作");
/*     */ 
/*     */     
/* 178 */     this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "4");
/* 179 */     if (this.list != null && this.list.size() > 0) {
/* 180 */       this.totalRows = ((WithinputInfo)this.list.get(0)).getTotalRows();
/* 181 */       PageUtil pu = new PageUtil(this.maxCount, this.currentPage, this.totalRows);
/* 182 */       this.totalPages = pu.getTotalPages();
/* 183 */       this.currentPage = pu.getCurrentPage();
/* 184 */       this.hasNextPage = pu.isHasNextPage();
/* 185 */       this.hasPreviousPage = pu.isHasPreviousPage();
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 191 */     Composite composite_3 = new Composite(this.composite_total, 0);
/* 192 */     composite_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 193 */     FormData fd_composite_3 = new FormData();
/* 194 */     fd_composite_3.bottom = new FormAttachment(0, 510);
/* 195 */     fd_composite_3.top = new FormAttachment(0, 475);
/* 196 */     composite_3.setLayoutData(fd_composite_3);
/* 197 */     GridLayout gridLayout_3 = new GridLayout();
/* 198 */     gridLayout_3.numColumns = 3;
/* 199 */     composite_3.setLayout((Layout)gridLayout_3);
/*     */     
/* 201 */     this.combo_1 = new Combo(composite_3, 8);
/* 202 */     this.combo_1.add("单位名称");
/* 203 */     this.combo_1.setData("单位名称", "sydwname");
/* 204 */     this.combo_1.add("统一社会信用代码");
/* 205 */     this.combo_1.setData("统一社会信用代码", "unifycode");
/*     */     
/* 207 */     GridData gd_combo_1 = new GridData(131072, 16777216, true, false);
/* 208 */     this.combo_1.setLayoutData(gd_combo_1);
/* 209 */     this.combo_1.select(0);
/* 210 */     this.combo_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 212 */             WithinputCertView.this.text_1.setText("");
/*     */           }
/*     */         });
/*     */     
/* 216 */     this.text_1 = new Text(composite_3, 2048);
/* 217 */     GridData gd_text_1 = new GridData(4, 16777216, false, false);
/* 218 */     gd_text_1.widthHint = 240;
/* 219 */     this.text_1.setLayoutData(gd_text_1);
/*     */     
/* 221 */     Button button_3 = new Button(composite_3, 0);
/* 222 */     GridData gd_button_3 = new GridData(16384, 16777216, true, false);
/* 223 */     gd_button_3.heightHint = 20;
/* 224 */     button_3.setLayoutData(gd_button_3);
/* 225 */     button_3.setText("添加新的证书补领申请");
/*     */     
/* 227 */     this.tableViewer.setContentProvider((IContentProvider)new TableViewContentProvider());
/* 228 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)new WithinputLableProvider());
/* 229 */     this.tableViewer.setInput(this.list);
/* 230 */     setFontColor();
/* 231 */     setCursor();
/*     */ 
/*     */ 
/*     */     
/* 235 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 237 */             WithinputCertView.this.totalRows = 0;
/* 238 */             WithinputCertView.this.currentPage = 1;
/* 239 */             WithinputCertView.this.sydwnameStr = WithinputCertView.this.text.getText();
/* 240 */             WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, WithinputCertView.this.startNo, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 241 */             WithinputCertView.this.setFenYe(WithinputCertView.this.list, WithinputCertView.this.currentPage);
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */     
/* 247 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 249 */             if (WithinputCertView.this.text_1.getText().trim().length() > 0) {
/* 250 */               String nameFlag = (String)WithinputCertView.this.combo_1.getData(WithinputCertView.this.combo_1.getText());
/* 251 */               String ifdongjie = WithinputCertView.this.dataManage.checkDongJieSYDJ(nameFlag, WithinputCertView.this.text_1.getText().trim());
/* 252 */               if (ifdongjie != null && !"false".equals(ifdongjie)) {
/* 253 */                 SydjMessageDialog.openWarning(null, "错误", "该事业单位已被 " + ifdongjie + " 冻结！");
/*     */                 return;
/*     */               } 
/* 256 */               if ("sydwname".equals(nameFlag)) {
/* 257 */                 WithinputCertView.this.alertMsg = WithinputCertView.this.dataManage
/*     */                   
/* 259 */                   .isNew("0", "4", WithinputCertView.this.text_1.getText().trim(), "", GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/*     */               } else {
/* 261 */                 WithinputCertView.this.alertMsg = WithinputCertView.this.dataManage
/*     */                   
/* 263 */                   .isNew("0", "4", "", WithinputCertView.this.text_1.getText().trim(), GljgUserInfo.getInstance().getDistrictcode(), GljgUserInfo.getInstance().getGroupname(), "", "", "");
/*     */               } 
/* 265 */               if (WithinputCertView.this.alertMsg != null && WithinputCertView.this.alertMsg.length() > 0) {
/* 266 */                 WithinputIsNew win = new WithinputIsNew();
/* 267 */                 win = (WithinputIsNew)MessageXML.XMLToObject(WithinputCertView.this.alertMsg);
/* 268 */                 if ("true".equals(win.getIsnew())) {
/* 269 */                   String replyStr = WithinputCertView.this.dataManage.querySydwInfo(WithinputCertView.this.text_1.getText().trim(), nameFlag);
/* 270 */                   if (replyStr != null) {
/* 271 */                     SydwInfo sydwinfo = new SydwInfo();
/* 272 */                     sydwinfo = (SydwInfo)MessageXML.XMLToObject(replyStr);
/* 273 */                     boolean relateFlag = true;
/* 274 */                     int remarkCount = Integer.parseInt(WithinputCertView.this.remarkManage.getSydwReleteInfoCounts(sydwinfo.getSYDW_ID()));
/* 275 */                     if (remarkCount >= 1) {
/* 276 */                       RemarkDialog dialog = new RemarkDialog(
/* 277 */                           PlatformUI.getWorkbench().getActiveWorkbenchWindow().getShell(), sydwinfo.getSYDW_ID(), 
/* 278 */                           sydwinfo.getSYDW_NAME_FIRST(), "关联信息", true);
/* 279 */                       if (dialog.open() == 1) {
/* 280 */                         relateFlag = false;
/*     */                       }
/*     */                     } 
/* 283 */                     if (relateFlag) {
/* 284 */                       WithinputCertDetailDialog widd = new WithinputCertDetailDialog(
/* 285 */                           PlatformUI.getWorkbench()
/* 286 */                           .getActiveWorkbenchWindow()
/* 287 */                           .getShell(), "8", sydwinfo, "new", "");
/* 288 */                       if (1 == widd.open() || widd.getBackParameter() == 2) {
/* 289 */                         WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, WithinputCertView.this.startNo, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 290 */                         WithinputCertView.this.setFenYe(WithinputCertView.this.list, WithinputCertView.this.currentPage);
/*     */                       } 
/*     */                     } 
/*     */                   } 
/*     */                 } else {
/* 295 */                   if ("false_1".equals(win.getIsnew())) {
/* 296 */                     SydjMessageDialog.openWarning(null, "", win.getMessage());
/*     */                   }
/* 298 */                   if ("false_2".equals(win.getIsnew()) && 
/* 299 */                     SydjMessageDialog.openConfirm(null, "", win.getMessage())) {
/* 300 */                     int applystate = Integer.parseInt(win.getApplystate());
/* 301 */                     if (applystate == 7 || applystate == 8 || applystate == 4) {
/* 302 */                       if ("true".equals(WithinputCertView.this.dataManage.deleteApplyInfo("4", win.getApplyid(), win.getApplydate()))) {
/* 303 */                         WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, WithinputCertView.this.startNo, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 304 */                         WithinputCertView.this.setFenYe(WithinputCertView.this.list, WithinputCertView.this.currentPage);
/* 305 */                         SydjMessageDialog.openInformation(null, "", "删除成功！");
/*     */                       } else {
/* 307 */                         SydjMessageDialog.openInformation(null, "", "删除失败！");
/*     */                       } 
/*     */                     } else {
/* 310 */                       SydjMessageDialog.openInformation(null, "", "数据状态已改变，删除失败！");
/*     */                     } 
/*     */                   } 
/*     */                 } 
/*     */               } 
/*     */             } else {
/*     */               
/* 317 */               SydjMessageDialog.openError(null, "错误", "请输入拟进行证书补领的事业单位名称");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 323 */     Composite composite_fenye = new Composite(this.composite_total, 0);
/* 324 */     fd_composite_3.right = new FormAttachment((Control)composite_fenye, 0, 131072);
/* 325 */     fd_composite_3.left = new FormAttachment((Control)composite_fenye, 0, 16384);
/* 326 */     GridLayout gridLayout_4 = new GridLayout();
/* 327 */     gridLayout_4.numColumns = 2;
/* 328 */     composite_fenye.setLayout((Layout)gridLayout_4);
/* 329 */     composite_fenye.setBackground(Display.getCurrent().getSystemColor(1));
/* 330 */     FormData fd_composite_fenye = new FormData();
/* 331 */     fd_composite_fenye.right = new FormAttachment((Control)this.table, 0, 131072);
/* 332 */     fd_composite_fenye.bottom = new FormAttachment((Control)this.table, 40, 1024);
/* 333 */     fd_composite_fenye.top = new FormAttachment((Control)this.table, 0, 1024);
/* 334 */     fd_composite_fenye.left = new FormAttachment((Control)this.table, 0, 16384);
/* 335 */     composite_fenye.setLayoutData(fd_composite_fenye);
/*     */     
/* 337 */     Composite composite_1 = new Composite(composite_fenye, 0);
/* 338 */     composite_1.setLayoutData(new GridData(16384, 128, false, false));
/* 339 */     composite_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 340 */     GridLayout gridLayout_2 = new GridLayout();
/* 341 */     gridLayout_2.marginTop = 3;
/* 342 */     gridLayout_2.verticalSpacing = 0;
/* 343 */     gridLayout_2.marginWidth = 0;
/* 344 */     gridLayout_2.marginHeight = 0;
/* 345 */     gridLayout_2.horizontalSpacing = 2;
/* 346 */     gridLayout_2.numColumns = 7;
/* 347 */     composite_1.setLayout((Layout)gridLayout_2);
/*     */     
/* 349 */     Label label_1 = new Label(composite_1, 0);
/* 350 */     label_1.setBackground(Display.getCurrent().getSystemColor(1));
/* 351 */     label_1.setText("页次：");
/*     */     
/* 353 */     this.label_2 = new Label(composite_1, 131072);
/* 354 */     this.label_2.setBackground(Display.getCurrent().getSystemColor(1));
/* 355 */     GridData gd_label_2 = new GridData(4, 16777216, true, false);
/* 356 */     this.label_2.setLayoutData(gd_label_2);
/* 357 */     if (this.totalPages == 0) {
/* 358 */       this.label_2.setText("0/0");
/*     */     } else {
/* 360 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/*     */     
/* 363 */     Label label_3 = new Label(composite_1, 0);
/* 364 */     label_3.setBackground(Display.getCurrent().getSystemColor(1));
/* 365 */     label_3.setText("页  每页");
/*     */     
/* 367 */     Label label_4 = new Label(composite_1, 0);
/* 368 */     label_4.setBackground(Display.getCurrent().getSystemColor(1));
/* 369 */     GridData gd_label_4 = new GridData(4, 16777216, true, false);
/* 370 */     label_4.setLayoutData(gd_label_4);
/* 371 */     label_4.setText((new StringBuilder(String.valueOf(this.maxCount))).toString());
/*     */     
/* 373 */     Label label_5 = new Label(composite_1, 0);
/* 374 */     label_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 375 */     label_5.setText("行  共");
/*     */     
/* 377 */     this.label_6 = new Label(composite_1, 0);
/* 378 */     this.label_6.setBackground(Display.getCurrent().getSystemColor(1));
/* 379 */     GridData gd_label_6 = new GridData(16384, 16777216, true, false);
/* 380 */     this.label_6.setLayoutData(gd_label_6);
/* 381 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/*     */     
/* 383 */     Label label_7 = new Label(composite_1, 0);
/* 384 */     label_7.setBackground(Display.getCurrent().getSystemColor(1));
/* 385 */     label_7.setText("行");
/* 386 */     Composite composite_2 = new Composite(composite_fenye, 0);
/* 387 */     composite_2.setLayoutData(new GridData(131072, 16777216, true, false));
/* 388 */     GridLayout gridLayout_1 = new GridLayout();
/* 389 */     gridLayout_1.numColumns = 6;
/* 390 */     composite_2.setLayout((Layout)gridLayout_1);
/* 391 */     composite_2.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/* 393 */     this.button_1 = new Button(composite_2, 0);
/* 394 */     this.button_1.setText("上一页");
/* 395 */     if (!this.hasPreviousPage) {
/* 396 */       this.button_1.setEnabled(false);
/*     */     }
/* 398 */     this.button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 400 */             WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, (WithinputCertView.this.currentPage - 2) * WithinputCertView.this.maxCount + 1, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 401 */             WithinputCertView.this.setFenYe(WithinputCertView.this.list, WithinputCertView.this.currentPage - 1);
/*     */           }
/*     */         });
/*     */     
/* 405 */     this.button_2 = new Button(composite_2, 0);
/* 406 */     this.button_2.setText("下一页");
/* 407 */     if (!this.hasNextPage) {
/* 408 */       this.button_2.setEnabled(false);
/*     */     }
/* 410 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 412 */             WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, WithinputCertView.this.currentPage * WithinputCertView.this.maxCount + 1, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 413 */             WithinputCertView.this.setFenYe(WithinputCertView.this.list, WithinputCertView.this.currentPage + 1);
/*     */           }
/*     */         });
/*     */     
/* 417 */     Label label_10 = new Label(composite_2, 0);
/* 418 */     label_10.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 419 */     label_10.setText("转至第");
/*     */     
/* 421 */     this.text_2 = new Text(composite_2, 2048);
/* 422 */     this.text_2.setLayoutData(new GridData(50, -1));
/*     */     
/* 424 */     Label label_11 = new Label(composite_2, 0);
/* 425 */     label_11.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 426 */     label_11.setText("页");
/*     */     
/* 428 */     Button goButton = new Button(composite_2, 0);
/* 429 */     goButton.setText("GO");
/*     */     
/* 431 */     goButton.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 433 */             if (VerifyFunction.isNumeric(WithinputCertView.this.text_2.getText())) {
/* 434 */               int aa = Integer.parseInt(WithinputCertView.this.text_2.getText());
/* 435 */               if (aa > WithinputCertView.this.totalPages) {
/* 436 */                 SydjMessageDialog.openError(null, "错误", "超出范围！");
/*     */               } else {
/* 438 */                 WithinputCertView.this.list = WithinputCertView.this.dataManage.getWithinput(WithinputCertView.this.groupid, (aa - 1) * WithinputCertView.this.maxCount + 1, WithinputCertView.this.maxCount, WithinputCertView.this.sydwnameStr, "4");
/* 439 */                 WithinputCertView.this.setFenYe(WithinputCertView.this.list, aa);
/*     */               } 
/*     */             } else {
/* 442 */               SydjMessageDialog.openError(null, "错误", "请输入整数！");
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 448 */     Label label_9 = new Label(this.composite_total, 258);
/* 449 */     fd_composite.right = new FormAttachment((Control)label_9, 0, 131072);
/* 450 */     FormData fd_label_9 = new FormData();
/* 451 */     fd_label_9.right = new FormAttachment((Control)this.table, 0, 131072);
/* 452 */     fd_label_9.left = new FormAttachment((Control)this.table, 0, 16384);
/* 453 */     fd_label_9.top = new FormAttachment(0, 85);
/* 454 */     label_9.setLayoutData(fd_label_9);
/*     */ 
/*     */     
/* 457 */     Label label_12 = new Label(this.composite_total, 0);
/* 458 */     fd_composite.left = new FormAttachment((Control)label_12, 0, 16384);
/* 459 */     label_12.setBackground(Display.getCurrent().getSystemColor(1));
/* 460 */     FormData fd_label_12 = new FormData();
/* 461 */     fd_label_12.left = new FormAttachment((Control)label_9, 0, 16384);
/* 462 */     fd_label_12.top = new FormAttachment(0, 70);
/* 463 */     fd_label_12.right = new FormAttachment(0, 240);
/* 464 */     label_12.setLayoutData(fd_label_12);
/* 465 */     label_12.setText("证书补领申请单位列表");
/*     */     
/* 467 */     scrolledComposite.setContent((Control)this.composite_total);
/* 468 */     createActions();
/* 469 */     initializeToolBar();
/* 470 */     initializeMenu();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setCursor() {
/* 477 */     if (this.cursor != null)
/* 478 */       this.cursor.dispose(); 
/* 479 */     this.cursor = new TableCursor(this.table, 0);
/* 480 */     this.cursor.setBackground(this.table.getDisplay()
/* 481 */         .getSystemColor(26));
/* 482 */     this.cursor.setForeground(this.table.getDisplay()
/* 483 */         .getSystemColor(27));
/* 484 */     this.cursor.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 486 */             int colums = WithinputCertView.this.cursor.getColumn();
/* 487 */             if (colums == 0) {
/* 488 */               WithinputCertView.this.openCertDetailDialog();
/*     */             }
/* 490 */             if (colums == 4) {
/* 491 */               WithinputCertView.this.deleteApply();
/*     */             }
/* 493 */             WithinputCertView.this.selectColums = colums;
/*     */           }
/*     */         });
/* 496 */     this.cursor.addMouseListener((MouseListener)new MouseAdapter()
/*     */         {
/*     */           public void mouseDown(MouseEvent arg0) {
/* 499 */             int colums = WithinputCertView.this.cursor.getColumn();
/* 500 */             if (colums == WithinputCertView.this.selectColums) {
/* 501 */               if (colums == 0) {
/* 502 */                 WithinputCertView.this.openCertDetailDialog();
/*     */               }
/* 504 */               if (colums == 4) {
/* 505 */                 WithinputCertView.this.deleteApply();
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/*     */   }
/*     */   
/*     */   private void openCertDetailDialog() {
/* 513 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 514 */       .getSelection();
/* 515 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 516 */     ArrayList attachlist = new ArrayList();
/* 517 */     attachlist = this.dataManage.queryCertAttach(insinfo, 
/* 518 */         GljgUserInfo.getInstance().getGroupid());
/* 519 */     if (attachlist != null) {
/* 520 */       WithinputCertDetailDialog widd = new WithinputCertDetailDialog(
/* 521 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 522 */           .getShell(), insinfo.getSydwname(), insinfo.getSydwid(), 
/* 523 */           insinfo.getApplystate(), attachlist, "old", insinfo.getApplytime());
/* 524 */       int operation = widd.open();
/* 525 */       if (1 == operation || widd.getBackParameter() == 2) {
/* 526 */         this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "4");
/* 527 */         setFenYe(this.list, this.currentPage);
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private void deleteApply() {
/* 533 */     IStructuredSelection select = (IStructuredSelection)this.tableViewer
/* 534 */       .getSelection();
/* 535 */     WithinputInfo insinfo = (WithinputInfo)select.getFirstElement();
/* 536 */     if ("3".equals(insinfo.getApplystate()) || 
/* 537 */       "9".equals(insinfo.getApplystate()) || 
/* 538 */       "10".equals(insinfo.getApplystate())) {
/* 539 */       SydjMessageDialog.openWarning(null, "提示", "该申请已经核准通过，不能删除！");
/*     */     }
/* 541 */     if ("7".equals(insinfo.getApplystate()) || 
/* 542 */       "8".equals(insinfo.getApplystate())) {
/* 543 */       String replyStr = this.dataManage.deleteApplyInfo("4", insinfo.getAppylid(), insinfo.getApplytime());
/* 544 */       if (replyStr != null && "true".equals(replyStr)) {
/* 545 */         SydjMessageDialog.openInformation(null, "提示", "删除证书补领申请材料成功！");
/* 546 */         this.list = this.dataManage.getWithinput(this.groupid, this.startNo, this.maxCount, this.sydwnameStr, "4");
/* 547 */         setFenYe(this.list, this.currentPage);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 556 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 557 */       this.table.getItem(i).setFont(0, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 558 */       this.table.getItem(i).setForeground(0, SWTResourceManager.getColor(37, 26, 181));
/* 559 */       this.table.getItem(i).setFont(4, SWTResourceManager.getFont("宋体", 9, 0, false, false));
/* 560 */       this.table.getItem(i).setForeground(4, SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void setFenYe(ArrayList<WithinputInfo> list, int nextcurrentPage) {
/* 565 */     this.totalRows = 0;
/* 566 */     if (list != null && list.size() > 0) {
/* 567 */       this.totalRows = ((WithinputInfo)list.get(0)).getTotalRows();
/*     */     }
/* 569 */     PageUtil pu = new PageUtil(this.maxCount, nextcurrentPage, this.totalRows);
/* 570 */     this.totalPages = pu.getTotalPages();
/* 571 */     this.currentPage = pu.getCurrentPage();
/* 572 */     this.hasNextPage = pu.isHasNextPage();
/* 573 */     this.hasPreviousPage = pu.isHasPreviousPage();
/* 574 */     this.startNo = pu.getStartNum();
/*     */     
/* 576 */     this.tableViewer.setInput(list);
/* 577 */     setFontColor();
/* 578 */     setCursor();
/* 579 */     if (this.totalPages == 0) {
/* 580 */       this.label_2.setText("0/0");
/*     */     } else {
/* 582 */       this.label_2.setText(String.valueOf(this.currentPage) + "/" + this.totalPages);
/*     */     } 
/* 584 */     this.label_6.setText((new StringBuilder(String.valueOf(this.totalRows))).toString());
/* 585 */     this.label_6.getParent().getParent().layout();
/* 586 */     this.button_1.setEnabled(this.hasPreviousPage);
/* 587 */     this.button_2.setEnabled(this.hasNextPage);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 602 */     IToolBarManager toolbarManager = getViewSite().getActionBars()
/* 603 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 610 */     IMenuManager menuManager = getViewSite().getActionBars()
/* 611 */       .getMenuManager();
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\withinput\cert\WithinputCertView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */