/*     */ package cs.sydj.operation.wszx;
/*     */ 
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.sydwcetiinfomove.SYDWCetiInfoMoveController;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGForWszxProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import org.apache.commons.lang.StringUtils;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.jface.viewers.CheckboxTableViewer;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import server.sydj.operation.commons.WszxInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ public class WszxTransferDialog extends Dialog {
/*  34 */   private WszxInfo info = new WszxInfo(); private GljgUserInfo user; private SYDWCetiInfoMoveController sumController; private TreeViewer treeview; private TreeViewerLableProvider tvlabelP; private TreeViewerGLJGForWszxProvider tvcontentP; private Shell shell; private Tree tree_1;
/*  35 */   WszxOperation wo = new WszxOperation(); private CheckboxTableViewer ctv; private Composite comp; private Composite composite; private InfoEntity treeinfo; private ScrolledComposite scrolledComposite; private int minScrollheight; private int returnValue;
/*     */   
/*     */   public WszxTransferDialog(Shell parentShell, WszxInfo info) {
/*  38 */     super(parentShell);
/*     */ 
/*     */ 
/*     */     
/*  42 */     this.user = GljgUserInfo.getInstance();
/*  43 */     this.sumController = new SYDWCetiInfoMoveController(this.user);
/*     */     
/*  45 */     this.tvlabelP = new TreeViewerLableProvider();
/*  46 */     this.tvcontentP = new TreeViewerGLJGForWszxProvider();
/*  47 */     this.shell = null;
/*     */     
/*  49 */     this.ctv = null;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  54 */     this.minScrollheight = 500;
/*  55 */     this.returnValue = 1;
/*     */     this.info = info;
/*     */   } public int getReturnValue() {
/*  58 */     return this.returnValue;
/*     */   }
/*     */   
/*     */   public void setReturnValue(int returnValue) {
/*  62 */     this.returnValue = returnValue;
/*     */   }
/*     */ 
/*     */   
/*     */   public Control createDialogArea(Composite arg0) {
/*  67 */     this.comp = arg0;
/*  68 */     this.shell = arg0.getShell();
/*  69 */     this.composite = (Composite)super.createDialogArea(arg0);
/*  70 */     this.composite.setLayout((Layout)new FillLayout());
/*  71 */     this.scrolledComposite = new ScrolledComposite(arg0, 768);
/*  72 */     this.scrolledComposite.setBackgroundMode(1);
/*  73 */     this.scrolledComposite.setExpandVertical(true);
/*  74 */     this.scrolledComposite.setExpandHorizontal(true);
/*  75 */     this.scrolledComposite.setMinHeight(this.minScrollheight);
/*  76 */     this.scrolledComposite.setMinWidth(500);
/*     */     
/*  78 */     Composite composite_6 = new Composite((Composite)this.scrolledComposite, 0);
/*  79 */     composite_6.setLayout((Layout)new FormLayout());
/*  80 */     composite_6.setBackground(Display.getCurrent().getSystemColor(1));
/*     */     
/*  82 */     this.treeview = new TreeViewer(composite_6, 2048);
/*  83 */     this.tree_1 = this.treeview.getTree();
/*  84 */     FormData fd_tree_1 = new FormData();
/*  85 */     fd_tree_1.right = new FormAttachment(42, 218);
/*  86 */     fd_tree_1.left = new FormAttachment(2, 12);
/*  87 */     fd_tree_1.bottom = new FormAttachment(0, 485);
/*  88 */     fd_tree_1.top = new FormAttachment(0, 17);
/*  89 */     this.tree_1.setLayoutData(fd_tree_1);
/*  90 */     this.tree_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/*  92 */             InfoEntity select = null;
/*  93 */             IStructuredSelection i = (IStructuredSelection)WszxTransferDialog.this.treeview.getSelection();
/*  94 */             if (i != null) {
/*  95 */               WszxTransferDialog.this.treeinfo = (InfoEntity)i.getFirstElement();
/*     */             }
/*     */           }
/*     */         });
/*     */     
/* 100 */     this.scrolledComposite.setContent((Control)composite_6);
/* 101 */     initUI();
/* 102 */     initData();
/* 103 */     return (Control)this.composite;
/*     */   }
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 108 */     createButton(parent, 0, "确 定", false);
/* 109 */     createButton(parent, 1, "取 消", false);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 113 */     boolean flag = true;
/* 114 */     if (buttonId == 0) {
/* 115 */       flag = checkData();
/* 116 */       if (flag) {
/*     */         
/* 118 */         saveData(this.treeinfo, this.info, GljgUserInfo.getInstance().getRealname());
/* 119 */         this.returnValue = 0;
/* 120 */         super.buttonPressed(buttonId);
/*     */       } else {
/* 122 */         this.returnValue = 1;
/*     */       } 
/*     */     } 
/* 125 */     if (buttonId == 1) {
/* 126 */       this.returnValue = 1;
/* 127 */       super.buttonPressed(buttonId);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean checkData() {
/* 135 */     boolean flag = true;
/* 136 */     if (StringUtils.isBlank(this.treeinfo.getGroupid()) && StringUtils.isBlank(this.treeinfo.getDistrictCode())) {
/* 137 */       SydjMessageDialog.openInformation(null, "提示", "请选择登记管理机关!");
/* 138 */       flag = false;
/* 139 */     } else if (this.user.getDistrictcode().equals(this.treeinfo.getDistrictCode())) {
/* 140 */       SydjMessageDialog.openInformation(null, "提示", "不能选择本级登记管理机关!");
/* 141 */       flag = false;
/*     */     } 
/* 143 */     return flag;
/*     */   }
/*     */   
/*     */   protected void saveData(InfoEntity treeinfo, WszxInfo info, String userName) {
/* 147 */     boolean flags = SydjMessageDialog.openConfirm(null, "提示", "确定后该网上咨询信息将被划转！\n\r请谨慎操作。 确认划转该网上咨询记录吗？");
/* 148 */     if (flags) {
/* 149 */       String flag = this.wo.updateTransferWszx(treeinfo, info, userName);
/* 150 */       if ("true".equals(flag)) {
/* 151 */         SydjMessageDialog.openInformation(null, "提示", "划转成功！");
/* 152 */         this.composite.getShell().getParent().dispose();
/*     */       } else {
/* 154 */         SydjMessageDialog.openInformation(null, "提示", "划转失败！");
/*     */         return;
/*     */       } 
/*     */     } 
/*     */   }
/*     */   
/*     */   private void initData() {
/* 161 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 162 */     this.treeview.setInput(this.sumController.createWszxRoot());
/*     */   }
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 167 */     initializeToolBar();
/* 168 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/*     */   }
/*     */ 
/*     */   
/*     */   protected void initializeBounds() {
/* 173 */     super.initializeBounds();
/* 174 */     PublicUtil.setCenter(getShell());
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 178 */     super.configureShell(newShell);
/*     */   }
/*     */   
/*     */   public void setFocus() {}
/*     */   
/*     */   private void initializeToolBar() {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\operation\wszx\WszxTransferDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */