/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import cs.sydj.intro.ApplicationActionBarAdvisor;
/*     */ import cs.sydj.intro.ApplicationWorkbenchWindowAdvisor;
/*     */ import cs.sydj.sys.ActiveFlag;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.IWorkbenchPart;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ 
/*     */ 
/*     */ public class ChangePerspective
/*     */ {
/*     */   private int type;
/*  16 */   private boolean[] flags = new boolean[] { true };
/*  17 */   private String[] defaultnavs = new String[] { "cs.sydj.sys.ui.NavigationAdmin", 
/*  18 */       "cs.sydj.sys.ui.NavigationShouLi", "cs.sydj.sys.ui.NavigationQuntuan" };
/*  19 */   private String[] prespectives = new String[] { "cs.sydj.perspective", 
/*  20 */       "cs.admin.intro.AdminPerspective", "cs.admin.intro.QuntuanPerspective" };
/*  21 */   private String[] views = new String[] { "cs.sydj.operation.homepage.HomePages", 
/*  22 */       "cs.admin.home.AdminHomeView", "cs.admin.home.QuntuanHomeView" };
/*  23 */   private String[] navigateviews = new String[] { "cs.sydj.sys.ui.NavigationShouLi", 
/*  24 */       "cs.sydj.sys.ui.NavigationAdmin", "cs.sydj.sys.ui.NavigationQuntuan" };
/*  25 */   private String[] changeviews = new String[] { "cs.sydj.sys.ui.NavigationChangetoAdmin", 
/*  26 */       "cs.sydj.sys.ui.NavigationChangetoShowLi", "cs.sydj.sys.ui.NavigationChangetoQuntuan" };
/*     */   
/*     */   public ChangePerspective(int type) {
/*  29 */     this.type = type;
/*     */   }
/*     */   
/*     */   public void resetActive() {
/*  33 */     IViewPart iview = PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  34 */       .getActivePage().findView(this.defaultnavs[this.type]);
/*  35 */     PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage()
/*  36 */       .activate((IWorkbenchPart)iview);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void changePrespective() {
/*  44 */     ApplicationWorkbenchWindowAdvisor.flag = this.flags[this.type];
/*  45 */     ApplicationWorkbenchWindowAdvisor.bar
/*  46 */       .fillCoolBar(ApplicationActionBarAdvisor.coolbar);
/*     */     
/*  48 */     ApplicationWorkbenchWindowAdvisor.showPerspective(this.prespectives[this.type]);
/*     */ 
/*     */     
/*     */     try {
/*  52 */       IViewReference[] iViewReferences = PlatformUI.getWorkbench()
/*  53 */         .getActiveWorkbenchWindow().getActivePage()
/*  54 */         .getViewReferences();
/*  55 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  56 */         .getActivePage()
/*  57 */         .showView("cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/*  58 */       for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/*  59 */         String otherid = iViewReference.getId();
/*  60 */         if (!otherid.equals(this.changeviews[this.type]) && 
/*  61 */           !otherid.equals(this.navigateviews[this.type]) && 
/*     */           
/*  63 */           !"cs.admin.intro.plainView".equals(this.views[this.type])) {
/*     */           
/*  65 */           IViewPart iViewPart = PlatformUI.getWorkbench()
/*  66 */             .getActiveWorkbenchWindow().getActivePage()
/*  67 */             .findView(otherid);
/*  68 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  69 */             .getActivePage().hideView(iViewPart);
/*  70 */           iViewPart = null;
/*     */         }  b++; }
/*     */       
/*  73 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  74 */         .getActivePage().showView(this.views[this.type]);
/*     */       
/*  76 */       IViewPart iview = PlatformUI.getWorkbench()
/*  77 */         .getActiveWorkbenchWindow().getActivePage().findView(
/*  78 */           "cs.admin.intro.plainView");
/*  79 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  80 */         .getActivePage().hideView(iview);
/*  81 */       iview = null;
/*     */ 
/*     */       
/*  84 */       if (this.type == 2) {
/*  85 */         NavigationQuntuan naviView = 
/*  86 */           (NavigationQuntuan)PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  87 */           .getActivePage().findView(this.navigateviews[this.type]);
/*  88 */         naviView.initView();
/*     */       } 
/*     */       
/*  91 */       if (this.type == 1) {
/*  92 */         NavigationAdmin naviView = 
/*  93 */           (NavigationAdmin)PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  94 */           .getActivePage().findView(this.navigateviews[this.type]);
/*  95 */         naviView.initView();
/*     */       } 
/*  97 */       if (this.type == 0) {
/*  98 */         NavigationShouLi naviView = 
/*  99 */           (NavigationShouLi)PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 100 */           .getActivePage().findView(this.navigateviews[this.type]);
/* 101 */         naviView.initView();
/*     */       } 
/*     */       
/* 104 */       ActiveFlag flag = ActiveFlag.getInstance();
/*     */       
/* 106 */       flag.notActive(this.type);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 112 */     catch (Exception e1) {
/* 113 */       e1.printStackTrace();
/*     */       try {
/* 115 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 116 */           .getActivePage().showView(this.views[this.type]);
/* 117 */       } catch (PartInitException e) {
/*     */         
/* 119 */         e.printStackTrace();
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\ChangePerspective.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */