/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import cs.sydj.intro.ApplicationActionBarAdvisor;
/*     */ import cs.sydj.intro.ApplicationWorkbenchWindowAdvisor;
/*     */ import cs.sydj.sys.ActiveFlag;
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.IWorkbenchPart;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ChangeSysMonitorDialog
/*     */   extends ProgressMonitorDialog
/*     */ {
/*     */   private boolean stopflag = false;
/*     */   private int type;
/*  24 */   private boolean[] flags = new boolean[] { true };
/*  25 */   private String[] defaultnavs = new String[] { "cs.sydj.sys.ui.NavigationAdmin", 
/*  26 */       "cs.sydj.sys.ui.NavigationShouLi" };
/*  27 */   private String[] prespectives = new String[] { "cs.sydj.perspective", 
/*  28 */       "cs.admin.intro.AdminPerspective" };
/*  29 */   private String[] views = new String[] { "cs.sydj.operation.homepage.HomePages", 
/*  30 */       "cs.admin.home.AdminHomeView" };
/*  31 */   private String[] navigateviews = new String[] { "cs.sydj.sys.ui.NavigationShouLi", 
/*  32 */       "cs.sydj.sys.ui.NavigationAdmin" };
/*  33 */   private String[] changeviews = new String[] { "cs.sydj.sys.ui.NavigationChangetoAdmin", 
/*  34 */       "cs.sydj.sys.ui.NavigationChangetoShowLi" };
/*     */   private IRunnableWithProgress runnable;
/*     */   
/*  37 */   public ChangeSysMonitorDialog(Shell parent, int type) { super(parent);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  58 */     this.runnable = new IRunnableWithProgress()
/*     */       {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException {
/*  61 */           int allstep = 10;
/*     */           
/*  63 */           monitor.beginTask("系统切换中......", allstep);
/*  64 */           monitor.setTaskName("系统切换中......");
/*  65 */           int i = 0;
/*     */ 
/*     */           
/*  68 */           while (!monitor.isCanceled() && !ChangeSysMonitorDialog.this.stopflag) {
/*     */             
/*  70 */             monitor.setTaskName("系统切换中......");
/*     */             
/*  72 */             Thread.sleep(100L);
/*  73 */             monitor.worked(1);
/*  74 */             if (i == allstep) {
/*  75 */               i = 0;
/*  76 */               monitor.beginTask("系统切换中......", allstep); continue;
/*     */             } 
/*  78 */             i++;
/*     */           } 
/*  80 */           monitor.done();
/*     */         }
/*     */       };
/*     */     this.type = type; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void changePrespective() {
/*  90 */     IViewPart iview = PlatformUI.getWorkbench()
/*  91 */       .getActiveWorkbenchWindow().getActivePage().findView(
/*  92 */         this.defaultnavs[this.type]);
/*  93 */     PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/*  94 */       .getActivePage().activate((IWorkbenchPart)iview);
/*  95 */     ApplicationWorkbenchWindowAdvisor.flag = this.flags[this.type];
/*  96 */     ApplicationWorkbenchWindowAdvisor.bar
/*  97 */       .fillCoolBar(ApplicationActionBarAdvisor.coolbar);
/*     */     
/*  99 */     ApplicationWorkbenchWindowAdvisor.showPerspective(this.prespectives[this.type]);
/*     */ 
/*     */     
/*     */     try {
/* 103 */       IViewReference[] iViewReferences = PlatformUI.getWorkbench()
/* 104 */         .getActiveWorkbenchWindow().getActivePage()
/* 105 */         .getViewReferences();
/* 106 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 107 */         .getActivePage()
/* 108 */         .showView("cs.admin.intro.plainView"); byte b; int i; IViewReference[] arrayOfIViewReference1;
/* 109 */       for (i = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < i; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 110 */         String otherid = iViewReference.getId();
/* 111 */         if (!otherid.equals(this.changeviews[this.type]) && 
/* 112 */           !otherid.equals(this.navigateviews[this.type]) && 
/*     */           
/* 114 */           !"cs.admin.intro.plainView".equals(this.views[this.type])) {
/*     */           
/* 116 */           IViewPart iViewPart1 = PlatformUI.getWorkbench()
/* 117 */             .getActiveWorkbenchWindow().getActivePage()
/* 118 */             .findView(otherid);
/* 119 */           PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 120 */             .getActivePage().hideView(iViewPart1);
/* 121 */           iViewPart1 = null;
/*     */         }  b++; }
/*     */       
/* 124 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 125 */         .getActivePage().showView(this.views[this.type]);
/*     */       
/* 127 */       IViewPart iViewPart = PlatformUI.getWorkbench()
/* 128 */         .getActiveWorkbenchWindow().getActivePage().findView(
/* 129 */           "cs.admin.intro.plainView");
/* 130 */       PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 131 */         .getActivePage().hideView(iViewPart);
/* 132 */       iViewPart = null;
/*     */ 
/*     */       
/* 135 */       if (this.type == 1) {
/* 136 */         NavigationAdmin naviView = 
/* 137 */           (NavigationAdmin)PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 138 */           .getActivePage().findView(this.navigateviews[this.type]);
/* 139 */         naviView.initView();
/*     */       } 
/* 141 */       ActiveFlag flag = ActiveFlag.getInstance();
/*     */       
/* 143 */       flag.Active(this.type);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 149 */     catch (Exception e1) {
/* 150 */       e1.printStackTrace();
/*     */       try {
/* 152 */         PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 153 */           .getActivePage().showView(this.views[this.type]);
/* 154 */       } catch (PartInitException e) {
/*     */         
/* 156 */         e.printStackTrace();
/*     */       } 
/*     */     } finally {
/* 159 */       this.stopflag = true;
/*     */     } 
/*     */   }
/*     */   
/*     */   public void run(boolean fork, boolean cancelable) {
/*     */     try {
/*     */       run(fork, cancelable, this.runnable);
/*     */     } catch (InvocationTargetException e) {
/*     */       e.printStackTrace();
/*     */     } catch (InterruptedException e) {
/*     */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\ChangeSysMonitorDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */