/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.ITreeContentProvider;
/*     */ import org.eclipse.jface.viewers.Viewer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationAdminTreeViewerContentProvider
/*     */   implements ITreeContentProvider
/*     */ {
/*     */   public NavigationAdminTreeViewerContentProvider(int type) {}
/*     */   
/*     */   public NavigationAdminTreeViewerContentProvider() {}
/*     */   
/*     */   public Object[] getChildren(Object arg0) {
/*  26 */     NavigationInfoEntity parent = (NavigationInfoEntity)arg0;
/*  27 */     if (parent.getChildren() != null && !parent.getChildren().isEmpty()) return parent.getChildren().toArray(); 
/*  28 */     if (parent.getId() != null)
/*  29 */       parent.setChildren(getAdminMenuChildList(parent.getId(), 2)); 
/*  30 */     ArrayList<NavigationInfoEntity> infos = parent.getChildren();
/*  31 */     if (infos != null)
/*  32 */       return infos.toArray(); 
/*  33 */     return new Object[0];
/*     */   }
/*     */   
/*     */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/*  37 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/*  38 */     if ("1".equals(id)) {
/*     */       
/*  40 */       addTreeNode(list, "基本情况简表", "cs.admin.statistic.StatisticSYDWNewView");
/*  41 */       addTreeNode(list, "基本情况汇总表", "cs.admin.statistic.StatisticAllSYDWView");
/*  42 */       addTreeNode(list, "设立登记简表", "cs.admin.statistic.StatisticInstaurationView");
/*  43 */       addTreeNode(list, "设立登记汇总表", "cs.admin.statistic.StatisticAllInstView");
/*  44 */       addTreeNode(list, "法定代表人汇总表", "cs.admin.statistic.StatisticAllFDDBRView");
/*  45 */       addTreeNode(list, "变更登记简表", "cs.admin.statistic.StatisticAlterationView");
/*  46 */       addTreeNode(list, "变更登记汇总表", "cs.admin.statistic.StatisticAllAlterView");
/*  47 */       addTreeNode(list, "年度报告公示情况简表", "cs.admin.statistic.StatisticAnnualCheckView");
/*  48 */       addTreeNode(list, "年度报告公示情况统计", "cs.admin.statistic.StatisticAnnualPublishView");
/*  49 */       addTreeNode(list, "注销登记简表", "cs.admin.statistic.StatisticWrittenoffView");
/*  50 */       addTreeNode(list, "注销登记汇总表", "cs.admin.statistic.StatisticAllWrittenoffView");
/*  51 */       addTreeNode(list, "证书补领简表", "cs.admin.statistic.StatisticReissueView");
/*  52 */       addTreeNode(list, "重新申领证书简表", "cs.admin.statistic.StatisticReinsView");
/*  53 */       addTreeNode(list, "报送统计数据", "cs.admin.statistic.StatisticDataView");
/*  54 */       addTreeNode(list, "监察数据统计", "cs.admin.statistic.StatisticSYDWJianChaView");
/*  55 */       addTreeNode(list, "事业单位法人登记数量汇总表", "cs.admin.statistic.StatisticCountAllFRView");
/*  56 */       addTreeNode(list, "行业分类统计", "cs.admin.statistic.StatisticSYDWHylbView");
/*  57 */       addTreeNode(list, "登记管理数据统计", "cs.admin.statistic.StatisticAmountView");
/*     */ 
/*     */     
/*     */     }
/*  61 */     else if ("2".equals(id)) {
/*     */       
/*  63 */       addTreeNode(list, "证书号查询", "cs.admin.search.SearchSYDWCodeView");
/*  64 */       addTreeNode(list, "统一社会信用代码查询", "cs.admin.search.SearchUNIFYCodeView");
/*  65 */       addTreeNode(list, "单位名称查询", "cs.admin.search.SearchSYDWNameView");
/*  66 */       addTreeNode(list, "法定代表人姓名查询", "cs.admin.search.SearchFDDBRNameView");
/*  67 */       addTreeNode(list, "举办单位名称查询", "cs.admin.search.SearchJBDWNameView");
/*  68 */       addTreeNode(list, "组合智能查询", "cs.admin.search.SearchCombineView");
/*  69 */       addTreeNode(list, "全库查询", "cs.sydj.operation.data.query.DataQuery");
/*  70 */       addTreeNode(list, "历次名称查询", "cs.admin.search.SearchSydwHistoryNameView");
/*  71 */     } else if ("3".equals(id)) {
/*     */       
/*  73 */       addTreeNode(list, "统一社会信用代码查询", "cs.admin.search.SpecificUNIFYCodeView");
/*  74 */       addTreeNode(list, "单位名称查询", "cs.admin.search.SpecificSYDWNameView");
/*  75 */     } else if ("4".equals(id)) {
/*     */       
/*  77 */       addTreeNode(list, "办理情况", "cs.sydj.operation.trackandcheck.TrackAndCheckState");
/*  78 */       addTreeNode(list, "办理结果", "cs.sydj.operation.trackandcheck.TrackAndCheckResult");
/*  79 */       OtherHandle oh = new OtherHandle();
/*  80 */       if (oh.checkJdyj()) {
/*  81 */         addTreeNode(list, "过程监控", "cs.sydj.operation.supervise.SuperviseView");
/*  82 */         addTreeNode(list, "超过时限", "cs.sydj.operation.supervise.SuperviseAlertView");
/*  83 */         addTreeNode(list, "即将到期", "cs.sydj.operation.supervise.SuperviseWarnView");
/*  84 */         addTreeNode(list, "备注超限", "cs.sydj.operation.supervise.SuperviseBzcxView");
/*  85 */         addTreeNode(list, "即时超时", "cs.sydj.operation.supervise.SuperviseJscsView");
/*     */       } 
/*  87 */     } else if ("6".equals(id)) {
/*     */       
/*  89 */       addTreeNode(list, "最新公文", "cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView");
/*  90 */       addTreeNode(list, "公文接受", "cs.sydj.sysmanage.documenttransport.receive.ReceiveDocumentView");
/*  91 */       addTreeNode(list, "公文发送", "cs.sydj.sysmanage.documenttransport.send.SendDocumentView");
/*  92 */       addTreeNode(list, "公文管理", "cs.sydj.sysmanage.documenttransport.check.CheckDocumentView");
/*  93 */     } else if ("7".equals(id)) {
/*     */       
/*  95 */       addTreeNode(list, "失信人员", "cs.sydj.operation.credit.person.CreditPersonView");
/*  96 */       addTreeNode(list, "失信单位", "cs.sydj.operation.credit.sydw.CreditSydwView");
/*  97 */       addTreeNode(list, "执法人员名录库", "cs.sydj.operation.credit.check.CreditCheckPersonView");
/*  98 */       addTreeNode(list, "事业单位名录库", "cs.sydj.operation.credit.check.MingLuSydwView");
/*  99 */       addTreeNode(list, "公示信息抽查", "cs.sydj.operation.credit.check.CreditCheckView");
/* 100 */       addTreeNode(list, "网上举报", "cs.sydj.operation.credit.report.CreditReportView");
/* 101 */       addTreeNode(list, "行政处罚", "cs.sydj.operation.credit.punish.CreditPunishView");
/* 102 */       addTreeNode(list, "信用信息备注", "cs.sydj.operation.data.adjust.CreditDataAdjust");
/* 103 */       addTreeNode(list, "网站信息录入", "cs.sydj.operation.credit.message.CreditMessageView");
/* 104 */     } else if ("8".equals(id)) {
/*     */       
/* 106 */       addTreeNode(list, "检查操作", "cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView");
/* 107 */       addTreeNode(list, "检查记录", "cs.sydj.sysmanage.documenttransport.receive.ReceiveDocumentView");
/*     */     } 
/*     */ 
/*     */     
/* 111 */     return list;
/*     */   }
/*     */   
/*     */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 115 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 116 */     chidrenInfo.setName(name);
/* 117 */     chidrenInfo.setId(id);
/* 118 */     list.add(chidrenInfo);
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean hasChildren(Object arg0) {
/* 123 */     NavigationInfoEntity info = (NavigationInfoEntity)arg0;
/* 124 */     return info.isDJGLJG();
/*     */   }
/*     */ 
/*     */   
/*     */   public Object[] getElements(Object arg0) {
/* 129 */     if (arg0 instanceof ArrayList) {
/* 130 */       ArrayList input = (ArrayList)arg0;
/* 131 */       return input.toArray();
/*     */     } 
/* 133 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getParent(Object arg0) {
/* 144 */     return null;
/*     */   }
/*     */   
/*     */   public void inputChanged(Viewer arg0, Object arg1, Object arg2) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationAdminTreeViewerContentProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */