/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.common.VerifyRoleRight;
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.other.OtherHandle;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IMenuManager;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.swt.widgets.TreeItem;
/*     */ import org.eclipse.ui.IViewPart;
/*     */ import org.eclipse.ui.IViewReference;
/*     */ import org.eclipse.ui.PartInitException;
/*     */ import org.eclipse.ui.PlatformUI;
/*     */ import org.eclipse.ui.forms.events.ExpansionAdapter;
/*     */ import org.eclipse.ui.forms.events.ExpansionEvent;
/*     */ import org.eclipse.ui.forms.events.IExpansionListener;
/*     */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*     */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationShouLi
/*     */   extends ViewPart
/*     */ {
/*  67 */   private FormToolkit toolkit = null;
/*  68 */   private final int heightall = 560;
/*     */   private Label inter;
/*     */   private Composite composite;
/*     */   private Composite wholecomp;
/*     */   private ScrolledComposite scrolledComposite;
/*  73 */   private final GljgUserInfo gljgUser = GljgUserInfo.getInstance();
/*  74 */   private final OtherHandle oh = new OtherHandle();
/*     */   
/*     */   public static final String ID = "cs.sydj.sys.ui.NavigationShouLi";
/*  77 */   VerifyRoleRight verifyRole = new VerifyRoleRight();
/*     */   private TreeViewer treeViewer;
/*     */   private Tree tree;
/*  80 */   private Shell shell = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite parent) {
/*  88 */     this.shell = parent.getShell();
/*  89 */     parent.setBackground(SWTResourceManager.getColor(235, 242, 252));
/*  90 */     parent.setLayout((Layout)new FillLayout());
/*  91 */     Composite container = new Composite(parent, 0);
/*  92 */     container.setBackgroundMode(2);
/*  93 */     container.setLayout((Layout)new FillLayout(512));
/*  94 */     container.setBackground(SWTResourceManager.getColor(235, 242, 252));
/*     */     
/*  96 */     this.scrolledComposite = new ScrolledComposite(container, 2560);
/*  97 */     this.scrolledComposite.setBackgroundMode(2);
/*  98 */     this.scrolledComposite.setBackground(SWTResourceManager.getColor(235, 242, 252));
/*     */     
/* 100 */     this.scrolledComposite.setExpandVertical(true);
/* 101 */     this.scrolledComposite.setExpandHorizontal(true);
/* 102 */     this.scrolledComposite.setMinHeight(560);
/*     */     
/* 104 */     this.composite = new Composite((Composite)this.scrolledComposite, 0);
/* 105 */     this.composite.setBackgroundMode(2);
/* 106 */     this.composite.setLayout((Layout)new FormLayout());
/* 107 */     this.composite.setBackground(SWTResourceManager.getColor(235, 242, 252));
/*     */ 
/*     */     
/* 110 */     this.toolkit = new FormToolkit(this.composite.getDisplay());
/* 111 */     this.wholecomp = this.toolkit.createComposite((Composite)container.getShell());
/* 112 */     this.wholecomp.setLayout((Layout)new FillLayout(512));
/* 113 */     this.toolkit.adapt(this.composite);
/*     */ 
/*     */     
/* 116 */     final ExpandableComposite titleQ = this.toolkit.createExpandableComposite(this.composite, 2);
/* 117 */     titleQ.marginHeight = 5;
/* 118 */     titleQ.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/* 119 */     titleQ.setForeground(SWTResourceManager.getColor(255, 255, 255));
/* 120 */     titleQ.setFont(SWTResourceManager.getFont("", 11, 1));
/* 121 */     titleQ.setBackground(SWTResourceManager.getColor(0, 128, 255));
/* 122 */     titleQ.setText("进入机关网上赋码系统");
/*     */     
/* 124 */     FormData fd_titleQ = new FormData();
/* 125 */     fd_titleQ.top = new FormAttachment(0, 2);
/* 126 */     fd_titleQ.left = new FormAttachment(0, 2);
/* 127 */     fd_titleQ.right = new FormAttachment(100, 2);
/* 128 */     titleQ.setLayoutData(fd_titleQ);
/*     */     
/* 130 */     Composite compQ = this.toolkit.createComposite((Composite)titleQ);
/* 131 */     compQ.setLayout((Layout)new FormLayout());
/* 132 */     titleQ.setClient((Control)compQ);
/*     */     
/* 134 */     titleQ.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 136 */             titleQ.setExpanded(false);
/*     */             
/* 138 */             ChangePerspective cp = new ChangePerspective(2);
/* 139 */             cp.changePrespective();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 144 */     final ExpandableComposite title = this.toolkit.createExpandableComposite(this.composite, 2);
/* 145 */     title.marginHeight = 5;
/* 146 */     title.setTitleBarForeground(SWTResourceManager.getColor(255, 255, 255));
/* 147 */     title.setForeground(SWTResourceManager.getColor(255, 255, 255));
/* 148 */     title.setFont(SWTResourceManager.getFont("", 11, 1));
/* 149 */     title.setBackground(SWTResourceManager.getColor(0, 128, 255));
/* 150 */     title.setText("进入事业单位内部办公系统");
/*     */     
/* 152 */     FormData fd_title = new FormData();
/* 153 */     fd_title.top = new FormAttachment(0, 25);
/* 154 */     fd_title.left = new FormAttachment(0, 2);
/* 155 */     fd_title.right = new FormAttachment(100, 2);
/* 156 */     title.setLayoutData(fd_title);
/*     */     
/* 158 */     Composite comp = this.toolkit.createComposite((Composite)title);
/* 159 */     comp.setLayout((Layout)new FormLayout());
/* 160 */     title.setClient((Control)comp);
/*     */     
/* 162 */     title.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 164 */             title.setExpanded(false);
/*     */             
/* 166 */             ChangePerspective cp = new ChangePerspective(1);
/* 167 */             cp.changePrespective();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 172 */     Label s = new Label(this.composite, 258);
/* 173 */     s.setBackground(Display.getCurrent().getSystemColor(1));
/* 174 */     this.toolkit.adapt((Control)s, true, true);
/*     */     
/* 176 */     FormData fd_s = new FormData();
/* 177 */     fd_s.top = new FormAttachment((Control)title, 3, 1024);
/* 178 */     fd_s.left = new FormAttachment(0, 0);
/* 179 */     fd_s.right = new FormAttachment(100, 0);
/* 180 */     s.setLayoutData(fd_s);
/*     */ 
/*     */     
/* 183 */     this.inter = s;
/*     */ 
/*     */     
/* 186 */     this.treeViewer = new TreeViewer(this.composite, 0);
/* 187 */     this.tree = this.treeViewer.getTree();
/*     */     
/* 189 */     FormData fd_title1 = new FormData();
/* 190 */     fd_title1.top = new FormAttachment((Control)this.inter, 2);
/* 191 */     fd_title1.left = new FormAttachment(0, 2);
/* 192 */     fd_title1.right = new FormAttachment(100, 2);
/* 193 */     fd_title1.bottom = new FormAttachment(100, 0);
/* 194 */     this.tree.setLayoutData(fd_title1);
/*     */     
/* 196 */     this.tree.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 198 */             NavigationInfoEntity select = null;
/*     */             
/* 200 */             IStructuredSelection i = (IStructuredSelection)NavigationShouLi.this.treeViewer.getSelection();
/* 201 */             if (i == null) {
/*     */               return;
/*     */             }
/*     */             
/* 205 */             select = (NavigationInfoEntity)i.getFirstElement();
/* 206 */             String view = select.getId();
/* 207 */             if (view.length() < 3) {
/* 208 */               TreeItem[] items = NavigationShouLi.this.treeViewer.getTree().getSelection();
/* 209 */               if (items == null || items.length == 0)
/* 210 */                 return;  if (items[0].getExpanded()) { items[0].setExpanded(false); }
/* 211 */               else { NavigationShouLi.this.treeViewer.expandToLevel(i.getFirstElement(), 1); }
/*     */               
/*     */               return;
/*     */             } 
/* 215 */             if ("close".equals(view)) {
/* 216 */               if (SydjMessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "退出系统", "是否要退出系统？")) {
/*     */                 try {
/* 218 */                   MessageSender sender = new MessageSender(
/* 219 */                       MessageProxy.getSystemenv("UserLoginQueue"), 
/* 220 */                       MessageProxy.getSystemenv("UserLoginReplyQueue"));
/* 221 */                   sender.logout("3");
/* 222 */                 } catch (Exception ex) {
/* 223 */                   ex.printStackTrace();
/*     */                 } 
/* 225 */                 PlatformUI.getWorkbench().close();
/*     */               } 
/*     */               
/*     */               return;
/*     */             } 
/*     */             
/*     */             try {
/* 232 */               IViewReference[] iViewReferences = 
/* 233 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 234 */                 .getActivePage().getViewReferences();
/* 235 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 236 */                 .getActivePage().showView("cs.admin.intro.plainView"); byte b; int j;
/*     */               IViewReference[] arrayOfIViewReference1;
/* 238 */               for (j = (arrayOfIViewReference1 = iViewReferences).length, b = 0; b < j; ) { IViewReference iViewReference = arrayOfIViewReference1[b];
/* 239 */                 String otherid = iViewReference.getId();
/* 240 */                 if (!otherid.equals("cs.sydj.sys.ui.NavigationChangetoAdmin") && !otherid.equals("cs.sydj.sys.ui.NavigationChangetoQuntuan") && 
/* 241 */                   !otherid.equals("cs.sydj.sys.ui.NavigationShouLi") && 
/* 242 */                   !"cs.admin.intro.plainView".equals(view)) {
/*     */                   
/* 244 */                   IViewPart iViewPart = PlatformUI.getWorkbench()
/* 245 */                     .getActiveWorkbenchWindow().getActivePage()
/* 246 */                     .findView(otherid);
/* 247 */                   PlatformUI.getWorkbench()
/* 248 */                     .getActiveWorkbenchWindow().getActivePage()
/* 249 */                     .hideView(iViewPart);
/* 250 */                   iViewPart = null;
/*     */                 }  b++; }
/*     */               
/* 253 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 254 */                 .getActivePage().showView(view);
/*     */               
/* 256 */               IViewPart iview = PlatformUI.getWorkbench()
/* 257 */                 .getActiveWorkbenchWindow().getActivePage()
/* 258 */                 .findView("cs.admin.intro.plainView");
/* 259 */               PlatformUI.getWorkbench().getActiveWorkbenchWindow()
/* 260 */                 .getActivePage().hideView(iview);
/* 261 */               iview = null;
/*     */             
/*     */             }
/* 264 */             catch (Exception e1) {
/* 265 */               e1.printStackTrace();
/*     */               try {
/* 267 */                 PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().showView(view);
/* 268 */               } catch (PartInitException e) {
/* 269 */                 e.printStackTrace();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 276 */     this.treeViewer.setContentProvider((IContentProvider)new NavigationShouLiTreeViewerContentProvider());
/* 277 */     this.treeViewer.setInput(navigationCreat());
/* 278 */     this.treeViewer.expandToLevel(1);
/* 279 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new NavigationTreeViewerLableProvider());
/*     */ 
/*     */     
/* 282 */     this.scrolledComposite.setContent((Control)this.composite);
/* 283 */     createActions();
/* 284 */     initializeMenu();
/* 285 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Object navigationCreat() {
/* 294 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 295 */     if (this.verifyRole.haveRoleRight(new String[] { "编办领导", "局领导", "编办纪委" })) {
/* 296 */       addTreeNodeLevel(list, new String[] { "首页", "录入材料", "申报材料受理", "申报材料审核", "申报材料核准", "通知事业单位", "材料复核", 
/* 297 */             "证书打印", "公告制作", "证明打印", "管辖变更数据移交", "监督管理", "永久库信息修改", "数据整理", "全库查询", "修改个人信息", "系统管理", 
/* 298 */             "用户密码重置", "用户权限分配", "举办单位管理", "主管单位管理", "光盘密码管理", "图片密码管理", "导出数据", "退出" });
/*     */     
/*     */     }
/* 301 */     else if (PublicUtil.checkDistrictCode()) {
/* 302 */       addTreeNodeLevel(list, new String[] { "首页", "录入材料", "申报材料受理", "申报材料审核", "申报材料核准", "通知主管单位", "材料复核", 
/* 303 */             "证书打印", "公告制作", "证明打印", "管辖变更数据移交", "监督管理", "永久库信息修改", "数据整理", "全库查询", "修改个人信息", "系统管理", 
/* 304 */             "用户密码重置", "用户权限分配", "举办单位管理", "主管单位管理", "光盘密码管理", "图片密码管理", "导出数据", 
/* 305 */             "事业单位排序", "电子证书管理", "退出" });
/*     */     } else {
/*     */       
/* 308 */       addTreeNodeLevel(list, new String[] { "首页", "录入材料", "申报材料受理", "申报材料审核", "申报材料核准", "通知事业单位", "材料复核", 
/* 309 */             "证书打印", "公告制作", "证明打印", "管辖变更数据移交", "监督管理", "永久库信息修改", "数据整理", "全库查询", "修改个人信息", "系统管理", 
/* 310 */             "用户密码重置", "用户权限分配", "举办单位管理", "主管单位管理", "光盘密码管理", "图片密码管理", "导出数据", 
/* 311 */             "事业单位排序", "电子证书管理", "退出" });
/*     */     } 
/*     */ 
/*     */     
/* 315 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNodeLevel(ArrayList<NavigationInfoEntity> list, String[] name) {
/* 325 */     for (int i = 0; i < name.length; i++) {
/*     */       
/* 327 */       if ("录入材料".equals(name[i])) {
/* 328 */         if (!this.verifyRole.haveRoleRight(new String[] { "材料录入员" })) {
/*     */           continue;
/*     */         }
/* 331 */       } else if ("申报材料受理".equals(name[i])) {
/* 332 */         if (!this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 333 */               "设立受理员", "变更受理员", "年检受理员", 
/* 334 */               "注销受理员", "证书补领受理员" })) {
/*     */           continue;
/*     */         }
/* 337 */       } else if ("申报材料审核".equals(name[i])) {
/* 338 */         if (!this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 339 */               "设立审核员", "变更审核员", "年检审核员", 
/* 340 */               "注销审核员", "证书补领审核员" })) {
/*     */           continue;
/*     */         }
/* 343 */       } else if ("申报材料核准".equals(name[i])) {
/* 344 */         if (!this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 345 */               "设立核准员", "变更核准员", "年检核准员", 
/* 346 */               "注销核准员", "证书补领核准员" })) {
/*     */           continue;
/*     */         }
/* 349 */       } else if ("通知事业单位".equals(name[i]) || "通知主管单位".equals(name[i])) {
/* 350 */         if (!this.verifyRole.haveRoleRight(new String[] { "通知事业单位" })) {
/*     */           continue;
/*     */         }
/* 353 */       } else if ("材料复核".equals(name[i])) {
/* 354 */         if (!this.verifyRole.haveRoleRight(new String[] { "材料复核" })) {
/*     */           continue;
/*     */         }
/* 357 */       } else if ("证书打印".equals(name[i])) {
/* 358 */         if (!this.verifyRole.haveRoleRight(new String[] { "证书打印员" })) {
/*     */           continue;
/*     */         }
/* 361 */       } else if ("公告制作".equals(name[i])) {
/* 362 */         if (!this.verifyRole.haveRoleRight(new String[] { "公告制作员" })) {
/*     */           continue;
/*     */         }
/* 365 */       } else if ("管辖变更数据移交".equals(name[i])) {
/* 366 */         if (!this.verifyRole.haveRoleRight(new String[] { "数据移交管理员" })) {
/*     */           continue;
/*     */         }
/* 369 */       } else if ("监督管理".equals(name[i])) {
/* 370 */         if (!this.verifyRole.haveRoleRight(new String[] { "冻结操作员", "证书废止操作员" })) {
/*     */           continue;
/*     */         }
/* 373 */       } else if ("永久库信息修改".equals(name[i])) {
/* 374 */         if (!this.verifyRole.haveRoleRight(new String[] { "永久库信息管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 377 */       } else if ("数据整理".equals(name[i])) {
/* 378 */         if (!this.verifyRole.haveRoleRight(new String[] { "永久库信息管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 381 */       } else if ("数据上传".equals(name[i])) {
/* 382 */         if (!this.verifyRole.haveRoleRight(new String[] { "永久库信息管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 385 */       } else if ("系统管理".equals(name[i])) {
/* 386 */         if (!this.verifyRole.haveRoleRight(new String[] { "系统管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 389 */       } else if ("用户密码重置".equals(name[i])) {
/* 390 */         if (!this.verifyRole.haveRoleRight(new String[] { "用户密码重置员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 393 */       } else if ("用户权限分配".equals(name[i])) {
/* 394 */         if (!this.verifyRole.haveRoleRight(new String[] { "用户权限分配员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 397 */       } else if ("举办单位管理".equals(name[i])) {
/* 398 */         if (!this.verifyRole.haveRoleRight(new String[] { "举办单位管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 401 */       } else if ("举办单位用户管理".equals(name[i])) {
/* 402 */         if (!this.verifyRole.haveRoleRight(new String[] { "举办单位用户管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 405 */       } else if ("事业单位证书号管理".equals(name[i])) {
/* 406 */         if (!this.verifyRole.haveRoleRight(new String[] { "事业单位证书号管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 409 */       } else if ("光盘密码管理".equals(name[i])) {
/* 410 */         if (!this.verifyRole.haveRoleRight(new String[] { "光盘密码管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 413 */       } else if ("图片密码管理".equals(name[i])) {
/* 414 */         if (!this.verifyRole.haveRoleRight(new String[] { "图片密码管理员", "本级系统管理员", "系统管理员" })) {
/*     */           continue;
/*     */         }
/* 417 */       } else if ("事业单位排序".equals(name[i])) {
/* 418 */         if (!this.verifyRole.haveRoleRight(new String[] { "永久库信息管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 421 */       } else if ("授权管理".equals(name[i])) {
/*     */         
/* 423 */         if (!this.verifyRole.haveRoleRight(new String[] { "材料复核" })) {
/*     */           continue;
/*     */         }
/* 426 */       } else if ("授权统计查询".equals(name[i])) {
/*     */         
/* 428 */         if (!this.verifyRole.haveRoleRight(new String[] { "材料复核" })) {
/*     */           continue;
/*     */         }
/* 431 */       } else if ("电子证书管理".equals(name[i])) {
/*     */         
/* 433 */         if (!this.verifyRole.haveRoleRight(new String[] { "系统管理员", "本级系统管理员" })) {
/*     */           continue;
/*     */         }
/* 436 */         if (!this.oh.checkDzzsOpen())
/*     */         {
/*     */           continue;
/*     */         
/*     */         }
/*     */       }
/* 442 */       else if ("主管单位管理".equals(name[i]) && 
/* 443 */         !PublicUtil.checkDistrictCode()) {
/*     */         continue;
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 452 */       NavigationInfoEntity items = new NavigationInfoEntity();
/*     */       
/* 454 */       items.setName(name[i]);
/* 455 */       items.setDJGLJG(true);
/* 456 */       if ("首页".equals(name[i])) {
/* 457 */         items.setId("cs.sydj.operation.homepage.HomePages");
/* 458 */       } else if ("永久库信息修改".equals(name[i])) {
/* 459 */         items.setId("cs.sydj.operation.data.modify.DataModify");
/* 460 */       } else if ("数据整理".equals(name[i])) {
/* 461 */         items.setId("cs.sydj.operation.data.adjust.DataAdjust");
/*     */       
/*     */       }
/* 464 */       else if ("全库查询".equals(name[i])) {
/* 465 */         items.setId("cs.sydj.operation.data.query.DataQuery");
/* 466 */       } else if (!"数据上传".equals(name[i])) {
/*     */         
/* 468 */         if ("修改个人信息".equals(name[i])) {
/* 469 */           items.setId("cs.sydj.sysmanage.selfupdate.SysSelfUpdateView");
/* 470 */         } else if ("用户密码重置".equals(name[i])) {
/* 471 */           items.setId("cs.sydj.sysmanage.pinreset.SysUserPinResetView");
/* 472 */         } else if ("用户权限分配".equals(name[i])) {
/* 473 */           items.setId("cs.sydj.sysmanage.actormanage.SysUserActorManageView");
/* 474 */         } else if ("举办单位管理".equals(name[i])) {
/* 475 */           items.setId("cs.sydj.sysmanage.jbdwmanage.SysJBDWManageView");
/* 476 */         } else if ("举办单位用户管理".equals(name[i])) {
/* 477 */           items.setId("cs.sydj.sysmanage.jbdwusermanage.SysJBDWUserManageView");
/* 478 */         } else if ("事业单位证书号管理".equals(name[i])) {
/* 479 */           items.setId("cs.sydj.sysmanage.presavesydwcetimanage.PreSaveSydwCetiViewer");
/* 480 */         } else if ("光盘密码管理".equals(name[i])) {
/* 481 */           items.setId("cs.sydj.sysmanage.cdmanage.SysCDManageView");
/* 482 */         } else if ("图片密码管理".equals(name[i])) {
/* 483 */           items.setId("cs.sydj.sysmanage.picmanage.SysPicManageView");
/* 484 */         } else if ("离线数据同步".equals(name[i])) {
/* 485 */           items.setId("dataQuestion");
/* 486 */         } else if ("导出数据".equals(name[i])) {
/* 487 */           if (this.oh.checkDataExport()) {
/* 488 */             items.setId("cs.sydj.operation.data.adjust.DataExport");
/*     */           } else {
/*     */             continue;
/*     */           } 
/* 492 */         } else if ("退出".equals(name[i])) {
/* 493 */           items.setId("close");
/* 494 */         } else if ("事业单位排序".equals(name[i])) {
/* 495 */           items.setId("cs.sydj.operation.data.jbdw.JbdwOrderView");
/* 496 */         } else if ("电子证书管理".equals(name[i])) {
/* 497 */           items.setId("cs.sydj.operation.dzzs.DzzsManageView");
/*     */         } else {
/* 499 */           items.setId(String.valueOf(i));
/* 500 */           items.setChildren(getAdminMenuChildList(items.getId(), 2));
/*     */         } 
/*     */       } 
/* 503 */       list.add(items);
/*     */       continue;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/* 515 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/* 516 */     if ("1".equals(id)) {
/*     */       
/* 518 */       addTreeNode(list, "设立登记", "cs.sydj.operation.withinput.instauration.WithinputInstaurationView");
/* 519 */       addTreeNode(list, "变更登记", "cs.sydj.operation.withinput.biangeng.WithinputBianGengView");
/* 520 */       if (!this.oh.checkYjgs()) {
/* 521 */         addTreeNode(list, "年度报告公示", "cs.sydj.operation.withinput.annualcheck.WithinputAnnualCheckView");
/*     */       }
/* 523 */       addTreeNode(list, "注销登记", "cs.sydj.operation.withinput.logout.WithinputLouOutView");
/* 524 */       addTreeNode(list, "证书补领", "cs.sydj.operation.withinput.cert.WithinputCertView");
/* 525 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.withinput.ReIns.WithinputReInsView");
/* 526 */     } else if ("2".equals(id)) {
/*     */       
/* 528 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 529 */             "设立受理员" })) {
/* 530 */         addTreeNode(list, "设立登记", "cs.sydj.operation.shouli.instauration.InstaurationShouLiView");
/*     */       }
/* 532 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 533 */             "变更受理员" })) {
/* 534 */         addTreeNode(list, "变更登记", "cs.sydj.operation.shouli.biangeng.BianGengShouLiView");
/*     */       }
/* 536 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 537 */             "年检受理员" }) && !this.oh.checkYjgs()) {
/* 538 */         addTreeNode(list, "年度报告公示", "cs.sydj.operation.shouli.annualcheck.AnnualCheckShouLi");
/*     */       }
/* 540 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 541 */             "注销受理员" })) {
/* 542 */         addTreeNode(list, "注销登记", "cs.sydj.operation.shouli.logout.LogOutShouLi");
/*     */       }
/* 544 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 545 */             "证书补领受理员" })) {
/* 546 */         addTreeNode(list, "证书补领", "cs.sydj.operation.shouli.cert.CertShouLi");
/*     */       }
/* 548 */       if (this.verifyRole.haveRoleRight(new String[] { "申请受理员", 
/* 549 */             "重新申领证书受理员" })) {
/* 550 */         addTreeNode(list, "重新申领证书", "cs.sydj.operation.shouli.ReIns.ReInstaurationShouLiView");
/*     */       }
/*     */ 
/*     */       
/* 554 */       addTreeNode(list, "受理单", "cs.sydj.operation.shouli.ticket.TicketListView");
/*     */ 
/*     */       
/* 557 */       if (PublicUtil.checkDistrictCode()) {
/* 558 */         addTreeNode(list, "审核单", "cs.sydj.operation.shouli.shenhedan.ShenHeDanListView");
/*     */       }
/* 560 */     } else if ("3".equals(id)) {
/*     */       
/* 562 */       if (this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 563 */             "设立审核员" })) {
/* 564 */         addTreeNode(list, "设立登记", "cs.sydj.operation.shenhe.instauration.InstaurationShenHeView");
/*     */       }
/* 566 */       if (this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 567 */             "变更审核员" })) {
/* 568 */         addTreeNode(list, "变更登记", "cs.sydj.operation.shenhe.biangeng.BianGengShenHeView");
/*     */       }
/* 570 */       if (this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 571 */             "注销审核员" })) {
/* 572 */         addTreeNode(list, "注销登记", "cs.sydj.operation.shenhe.logout.LogOutShenHe");
/*     */       }
/* 574 */       if (this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 575 */             "证书补领审核员" })) {
/* 576 */         addTreeNode(list, "证书补领", "cs.sydj.operation.shenhe.cert.CertShenHe");
/*     */       }
/* 578 */       if (this.verifyRole.haveRoleRight(new String[] { "申请审核员", 
/* 579 */             "重新申领证书审核员" })) {
/* 580 */         addTreeNode(list, "重新申领证书", "cs.sydj.operation.shenhe.ReIns.ReInstaurationShenHeView");
/*     */       }
/* 582 */     } else if ("4".equals(id)) {
/*     */       
/* 584 */       if (this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 585 */             "设立核准员" })) {
/* 586 */         addTreeNode(list, "设立登记", "cs.sydj.operation.hezhun.instauration.InstaurationHeZhunView");
/*     */       }
/* 588 */       if (this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 589 */             "变更核准员" })) {
/* 590 */         addTreeNode(list, "变更登记", "cs.sydj.operation.hezhun.biangeng.BianGengHeZhunView");
/*     */       }
/* 592 */       if (this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 593 */             "注销核准员" })) {
/* 594 */         addTreeNode(list, "注销登记", "cs.sydj.operation.hezhun.logout.LogOutHeZhun");
/*     */       }
/* 596 */       if (this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 597 */             "证书补领核准员" })) {
/* 598 */         addTreeNode(list, "证书补领", "cs.sydj.operation.hezhun.cert.CertHeZhun");
/*     */       }
/* 600 */       if (this.verifyRole.haveRoleRight(new String[] { "申请核准员", 
/* 601 */             "重新申领证书核准员" })) {
/* 602 */         addTreeNode(list, "重新申领证书", "cs.sydj.operation.hezhun.ReIns.ReInstaurationHeZhunView");
/*     */       }
/* 604 */     } else if ("5".equals(id)) {
/*     */       
/* 606 */       addTreeNode(list, "设立登记", "cs.sydj.operation.noticeunit.instauration.InstaurationNoticeView");
/* 607 */       addTreeNode(list, "变更登记", "cs.sydj.operation.noticeunit.biangeng.BianGengNoticeView");
/* 608 */       addTreeNode(list, "注销登记", "cs.sydj.operation.noticeunit.logout.LogOutNoticeUnit");
/* 609 */       addTreeNode(list, "证书补领", "cs.sydj.operation.noticeunit.cert.CertNoticeUnit");
/* 610 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.noticeunit.ReIns.ReInstaurationNoticeView");
/* 611 */       if (this.oh.checkDxtz()) {
/* 612 */         addTreeNode(list, "短信通知", "cs.sydj.operation.noticeunit.duanxin.DuanxinNoticeView");
/* 613 */         addTreeNode(list, "短信模板", "cs.sydj.operation.noticeunit.duanxin.DuanxinTemplateView");
/*     */       } 
/* 615 */     } else if ("6".equals(id)) {
/*     */       
/* 617 */       addTreeNode(list, "设立登记", "cs.sydj.operation.fuhe.instauration.InstaurationFuHeView");
/* 618 */       addTreeNode(list, "变更登记", "cs.sydj.operation.fuhe.biangeng.BianGengFuHeView");
/* 619 */       if (!this.oh.checkYjgs()) {
/* 620 */         addTreeNode(list, "年度报告公示", "cs.sydj.operation.fuhe.annualcheck.AnnualCheckFuHe");
/*     */       }
/* 622 */       addTreeNode(list, "注销登记", "cs.sydj.operation.fuhe.logout.LogOutFuHe");
/* 623 */       addTreeNode(list, "证书补领", "cs.sydj.operation.fuhe.cert.CertFuHe");
/* 624 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.fuhe.ReIns.ReInstaurationFuHeView");
/* 625 */     } else if ("7".equals(id)) {
/*     */       
/* 627 */       addTreeNode(list, "设立登记", "cs.sydj.operation.cert.print.InstallrationPrint");
/* 628 */       addTreeNode(list, "变更登记", "cs.sydj.operation.cert.print.AlterItemPrint");
/* 629 */       addTreeNode(list, "证书补领", "cs.sydj.operation.cert.print.CertPrint");
/* 630 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.cert.print.ReCertPrint");
/* 631 */       addTreeNode(list, "证书重打", "cs.sydj.operation.cert.print.RePrintCert");
/* 632 */       addTreeNode(list, "批量打印", "cs.sydj.operation.cert.print.RePrintCertBatch");
/* 633 */       addTreeNode(list, "证书到期", "cs.sydj.operation.cert.print.CertExpired");
/* 634 */       addTreeNode(list, "证书延期", "cs.sydj.operation.cert.print.CertExtend");
/* 635 */       if (this.oh.checkPostNoticeOpen()) {
/* 636 */         addTreeNode(list, "邮寄通知", "cs.sydj.operation.cert.post.CertPostNoticeView");
/*     */       }
/* 638 */     } else if ("8".equals(id)) {
/*     */       
/* 640 */       addTreeNode(list, "设立登记", "cs.sydj.operation.bulletin.InstallBulletin");
/* 641 */       addTreeNode(list, "变更登记", "cs.sydj.operation.bulletin.AlterItemBulletin");
/* 642 */       addTreeNode(list, "年度报告公示", "cs.sydj.operation.bulletin.AnnualCheckBulletinGJJ");
/* 643 */       addTreeNode(list, "注销登记", "cs.sydj.operation.bulletin.LogOutBulletin");
/* 644 */       addTreeNode(list, "证书补领", "cs.sydj.operation.bulletin.CertRegainBulletin");
/* 645 */       addTreeNode(list, "证书废止", "cs.sydj.operation.bulletin.CertAbolishBulletin");
/* 646 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.bulletin.ReGetCertBulletin");
/* 647 */       addTreeNode(list, "查看制作", "cs.sydj.operation.bulletin.ViewBulletin");
/* 648 */     } else if ("9".equals(id)) {
/*     */       
/* 650 */       addTreeNode(list, "名称变更", "cs.sydj.operation.proof.biangeng.ProofBiangengListView");
/* 651 */       addTreeNode(list, "注销登记", "cs.sydj.operation.proof.logout.ProofLogoutListView");
/* 652 */     } else if ("10".equals(id)) {
/*     */       
/* 654 */       addTreeNode(list, "数据移交", "cs.sydj.sysmanage.sydwcetiinfomove.SYDWCetiInfoMoveView");
/* 655 */       addTreeNode(list, "移交录入", "cs.sydj.operation.withinput.yijiao.WithinputInstaurationView");
/* 656 */       addTreeNode(list, "移交单位查询", "cs.sydj.sysmanage.sydwcetiinfomove.SearchMoveSYDWView");
/* 657 */     } else if ("11".equals(id)) {
/*     */       
/* 659 */       if (this.verifyRole.haveRoleRight(new String[] { "冻结操作员" })) {
/* 660 */         addTreeNode(list, "冻结事业单位", "cs.sydj.operation.overseeManage.FreezeView");
/*     */       }
/* 662 */       if (this.verifyRole.haveRoleRight(new String[] { "证书废止操作员" })) {
/* 663 */         addTreeNode(list, "证书废止", "cs.sydj.operation.abolish.CertAbolish");
/*     */       }
/* 665 */     } else if ("16".equals(id)) {
/*     */       
/* 667 */       if (this.verifyRole.haveRoleRight(new String[] { "系统管理员", "本级系统管理员" })) {
/* 668 */         addTreeNode(list, "用户管理", "cs.sydj.sysmanage.usermanage.SysUserManageView");
/* 669 */         addTreeNode(list, "登记管理机关管理", "cs.sydj.sysmanage.deptmanage.SysDeptManageView");
/* 670 */         if (PublicUtil.checkDistrictCode())
/*     */         {
/* 672 */           addTreeNode(list, "行业类别管理", "cs.sydj.sysmanage.hylbmanage.SysHYLBManageView");
/*     */         }
/* 674 */         addTreeNode(list, "流程时限管理", "cs.sydj.sysmanage.processmanage.SysProcessDefineView");
/* 675 */         addTreeNode(list, "节假日管理", "cs.sydj.sysmanage.holidaymanage.SysHolidayDefineView");
/*     */       } 
/* 677 */     } else if ("20".equals(id)) {
/*     */       
/* 679 */       addTreeNode(list, "主管单位管理", "cs.sydj.sysmanage.zgdwmanage.zgdw.SysZgdwManageView");
/* 680 */       addTreeNode(list, "单位用户管理", "cs.sydj.sysmanage.zgdwmanage.user.SysZgdwUserManageView");
/* 681 */       addTreeNode(list, "事业单位管理", "cs.sydj.sysmanage.zgdwmanage.sydw.SysZgdwSydwView");
/* 682 */       addTreeNode(list, "新设立预登记", "cs.sydj.sysmanage.zgdwmanage.ins.PreInstaurationListView");
/* 683 */     } else if ("24".equals(id)) {
/*     */       
/* 685 */       String districtCode = this.gljgUser.getDistrictcode();
/* 686 */       if (this.verifyRole.haveRoleRight(new String[] { "材料复核", "本级事业单位授权管理员" })) {
/* 687 */         addTreeNode(list, "已授权确认", "cs.sydj.operation.authorize.apply.AuthorizeUpApplyView");
/* 688 */         if (districtCode != null && districtCode.endsWith("0000")) {
/* 689 */           addTreeNode(list, "新增授权", "cs.sydj.operation.authorize.apply.AuthorizeDownApplyView");
/*     */         }
/*     */       } 
/* 692 */     } else if ("25".equals(id)) {
/*     */       
/* 694 */       String districtCode = this.gljgUser.getDistrictcode();
/* 695 */       if (this.verifyRole.haveRoleRight(new String[] { "材料复核", "本级事业单位授权管理员" })) {
/* 696 */         if (districtCode != null && !districtCode.equals("100000")) {
/* 697 */           addTreeNode(list, "上级授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeUpperView");
/*     */         }
/*     */         
/* 700 */         if (districtCode != null && districtCode.endsWith("0000")) {
/* 701 */           addTreeNode(list, "本级授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeLocalView");
/*     */         }
/*     */         
/* 704 */         if (districtCode != null && districtCode.equals("100000"))
/*     */         {
/* 706 */           addTreeNode(list, "特殊授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeNewView");
/*     */         }
/*     */         
/* 709 */         addTreeNode(list, "授权申请记录", "cs.sydj.operation.authorize.apply.AuthorizeApplyRecordView");
/*     */         
/* 711 */         addTreeNode(list, "授权事业单位统计", "cs.admin.statistic.StatisticCzglSydwView");
/*     */       } 
/*     */     } 
/*     */     
/* 715 */     return list;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 726 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 727 */     chidrenInfo.setName(name);
/* 728 */     chidrenInfo.setId(id);
/* 729 */     list.add(chidrenInfo);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void createActions() {}
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeMenu() {
/* 742 */     IMenuManager menuManager = getViewSite().getActionBars().getMenuManager();
/*     */   }
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 750 */     IToolBarManager toolBarManager = getViewSite().getActionBars().getToolBarManager();
/*     */   }
/*     */   
/*     */   public void initView() {
/* 754 */     Control[] titles = this.composite.getChildren();
/* 755 */     for (int i = 0; i < titles.length; i++) {
/* 756 */       if (titles[i] != null && titles[i] instanceof ExpandableComposite)
/* 757 */         ((ExpandableComposite)titles[i]).setExpanded(false); 
/*     */     } 
/* 759 */     this.scrolledComposite.setMinHeight(560);
/* 760 */     this.wholecomp.layout();
/* 761 */     this.composite.layout();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationShouLi.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */