/*     */ package cs.sydj.sys.ui;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.viewers.ITreeContentProvider;
/*     */ import org.eclipse.jface.viewers.Viewer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NavigationShouLiTreeViewerContentProvider
/*     */   implements ITreeContentProvider
/*     */ {
/*     */   public NavigationShouLiTreeViewerContentProvider(int type) {}
/*     */   
/*     */   public NavigationShouLiTreeViewerContentProvider() {}
/*     */   
/*     */   public Object[] getChildren(Object arg0) {
/*  27 */     NavigationInfoEntity parent = (NavigationInfoEntity)arg0;
/*  28 */     if (parent.getChildren() != null && !parent.getChildren().isEmpty()) return parent.getChildren().toArray(); 
/*  29 */     if (parent.getId() != null)
/*  30 */       parent.setChildren(getAdminMenuChildList(parent.getId(), 2)); 
/*  31 */     ArrayList<NavigationInfoEntity> infos = parent.getChildren();
/*  32 */     if (infos != null)
/*  33 */       return infos.toArray(); 
/*  34 */     return new Object[0];
/*     */   }
/*     */   
/*     */   private ArrayList<NavigationInfoEntity> getAdminMenuChildList(String id, int type) {
/*  38 */     ArrayList<NavigationInfoEntity> list = new ArrayList<NavigationInfoEntity>();
/*  39 */     if ("1".equals(id)) {
/*     */       
/*  41 */       addTreeNode(list, "设立登记", "cs.sydj.operation.withinput.instauration.WithinputInstaurationView");
/*  42 */       addTreeNode(list, "变更登记", "cs.sydj.operation.withinput.biangeng.WithinputBianGengView");
/*  43 */       addTreeNode(list, "年度检验", "cs.sydj.operation.withinput.annualcheck.WithinputAnnualCheckView");
/*  44 */       addTreeNode(list, "注销登记", "cs.sydj.operation.withinput.logout.WithinputLouOutView");
/*  45 */       addTreeNode(list, "证书补领", "cs.sydj.operation.withinput.cert.WithinputCertView");
/*  46 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.withinput.ReIns.WithinputReInsView");
/*  47 */     } else if ("2".equals(id)) {
/*     */       
/*  49 */       addTreeNode(list, "设立登记", "cs.sydj.operation.shouli.instauration.InstaurationShouLiView");
/*  50 */       addTreeNode(list, "变更登记", "cs.sydj.operation.shouli.biangeng.BianGengShouLiView");
/*  51 */       addTreeNode(list, "年度报告公示", "cs.sydj.operation.shouli.annualcheck.AnnualCheckShouLi");
/*  52 */       addTreeNode(list, "注销登记", "cs.sydj.operation.shouli.logout.LogOutShouLi");
/*  53 */       addTreeNode(list, "证书补领", "cs.sydj.operation.shouli.cert.CertShouLi");
/*  54 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.shouli.ReIns.ReInstaurationShouLiView");
/*  55 */     } else if ("3".equals(id)) {
/*     */       
/*  57 */       addTreeNode(list, "设立登记", "cs.sydj.operation.shenhe.instauration.InstaurationShenHeView");
/*  58 */       addTreeNode(list, "变更登记", "cs.sydj.operation.shenhe.biangeng.BianGengShenHeView");
/*  59 */       addTreeNode(list, "注销登记", "cs.sydj.operation.shenhe.logout.LogOutShenHe");
/*  60 */       addTreeNode(list, "证书补领", "cs.sydj.operation.shenhe.cert.CertShenHe");
/*  61 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.shenhe.ReIns.ReInstaurationShenHeView");
/*  62 */     } else if ("4".equals(id)) {
/*     */       
/*  64 */       addTreeNode(list, "设立登记", "cs.sydj.operation.hezhun.instauration.InstaurationHeZhunView");
/*  65 */       addTreeNode(list, "变更登记", "cs.sydj.operation.hezhun.biangeng.BianGengHeZhunView");
/*  66 */       addTreeNode(list, "注销登记", "cs.sydj.operation.hezhun.logout.LogOutHeZhun");
/*  67 */       addTreeNode(list, "证书补领", "cs.sydj.operation.hezhun.cert.CertHeZhun");
/*  68 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.hezhun.ReIns.ReInstaurationHeZhunView");
/*  69 */     } else if ("5".equals(id)) {
/*     */       
/*  71 */       addTreeNode(list, "设立登记", "cs.sydj.operation.noticeunit.instauration.InstaurationNoticeView");
/*  72 */       addTreeNode(list, "变更登记", "cs.sydj.operation.noticeunit.biangeng.BianGengNoticeView");
/*  73 */       addTreeNode(list, "注销登记", "cs.sydj.operation.noticeunit.logout.LogOutNoticeUnit");
/*  74 */       addTreeNode(list, "证书补领", "cs.sydj.operation.noticeunit.cert.CertNoticeUnit");
/*  75 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.noticeunit.ReIns.ReInstaurationNoticeView");
/*  76 */       addTreeNode(list, "短信通知", "cs.sydj.operation.noticeunit.duanxin.DuanxinNoticeView");
/*  77 */       addTreeNode(list, "短信模板", "cs.sydj.operation.noticeunit.duanxin.DuanxinTemplateView");
/*  78 */     } else if ("6".equals(id)) {
/*     */       
/*  80 */       addTreeNode(list, "设立登记", "cs.sydj.operation.fuhe.instauration.InstaurationFuHeView");
/*  81 */       addTreeNode(list, "变更登记", "cs.sydj.operation.fuhe.biangeng.BianGengFuHeView");
/*  82 */       addTreeNode(list, "年度报告公示", "cs.sydj.operation.fuhe.annualcheck.AnnualCheckFuHe");
/*  83 */       addTreeNode(list, "注销登记", "cs.sydj.operation.fuhe.logout.LogOutFuHe");
/*  84 */       addTreeNode(list, "证书补领", "cs.sydj.operation.fuhe.cert.CertFuHe");
/*  85 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.fuhe.ReIns.ReInstaurationFuHeView");
/*  86 */     } else if ("7".equals(id)) {
/*     */       
/*  88 */       addTreeNode(list, "设立登记", "cs.sydj.operation.cert.print.InstallrationPrint");
/*  89 */       addTreeNode(list, "变更登记", "cs.sydj.operation.cert.print.AlterItemPrint");
/*  90 */       addTreeNode(list, "证书补领", "cs.sydj.operation.cert.print.CertPrint");
/*  91 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.cert.print.ReCertPrint");
/*  92 */       addTreeNode(list, "证书重打", "cs.sydj.operation.cert.print.RePrintCert");
/*  93 */       addTreeNode(list, "批量打印", "cs.sydj.operation.cert.print.RePrintCertBatch");
/*  94 */       addTreeNode(list, "证书到期", "cs.sydj.operation.cert.print.CertExpired");
/*  95 */       addTreeNode(list, "证书延期", "cs.sydj.operation.cert.print.CertExtend");
/*  96 */       addTreeNode(list, "邮寄通知", "cs.sydj.operation.cert.post.CertPostNoticeView");
/*  97 */     } else if ("8".equals(id)) {
/*     */       
/*  99 */       addTreeNode(list, "设立登记", "cs.sydj.operation.bulletin.InstallBulletin");
/* 100 */       addTreeNode(list, "变更登记", "cs.sydj.operation.bulletin.AlterItemBulletin");
/* 101 */       addTreeNode(list, "年度报告公示", "cs.sydj.operation.bulletin.AnnualCheckBulletinGJJ");
/* 102 */       addTreeNode(list, "注销登记", "cs.sydj.operation.bulletin.LogOutBulletin");
/* 103 */       addTreeNode(list, "证书补领", "cs.sydj.operation.bulletin.CertRegainBulletin");
/* 104 */       addTreeNode(list, "证书废止", "cs.sydj.operation.bulletin.CertAbolishBulletin");
/* 105 */       addTreeNode(list, "重新申领证书", "cs.sydj.operation.bulletin.ReGetCertBulletin");
/* 106 */       addTreeNode(list, "查看制作", "cs.sydj.operation.bulletin.ViewBulletin");
/* 107 */     } else if ("9".equals(id)) {
/*     */       
/* 109 */       addTreeNode(list, "名称变更", "cs.sydj.operation.proof.biangeng.ProofBiangengListView");
/* 110 */       addTreeNode(list, "注销登记", "cs.sydj.operation.proof.logout.ProofLogoutListView");
/* 111 */     } else if ("10".equals(id)) {
/*     */       
/* 113 */       addTreeNode(list, "数据移交", "cs.sydj.sysmanage.sydwcetiinfomove.SYDWCetiInfoMoveView");
/* 114 */       addTreeNode(list, "移交录入", "cs.sydj.operation.withinput.yijiao.WithinputInstaurationView");
/* 115 */       addTreeNode(list, "移交单位查询", "cs.sydj.sysmanage.sydwcetiinfomove.SearchMoveSYDWView");
/* 116 */     } else if ("11".equals(id)) {
/*     */       
/* 118 */       addTreeNode(list, "冻结事业单位", "cs.sydj.operation.overseeManage.FreezeView");
/* 119 */       addTreeNode(list, "证书废止", "cs.sydj.operation.abolish.CertAbolish");
/* 120 */     } else if ("16".equals(id)) {
/*     */       
/* 122 */       addTreeNode(list, "用户管理", "cs.sydj.sysmanage.usermanage.SysUserManageView");
/* 123 */       addTreeNode(list, "登记管理机关管理", "cs.sydj.sysmanage.deptmanage.SysDeptManageView");
/* 124 */       addTreeNode(list, "行业类别管理", "cs.sydj.sysmanage.hylbmanage.SysHYLBManageView");
/* 125 */       addTreeNode(list, "流程时限管理", "cs.sydj.sysmanage.processmanage.SysProcessDefineView");
/* 126 */       addTreeNode(list, "节假日管理", "cs.sydj.sysmanage.holidaymanage.SysHolidayDefineView");
/* 127 */     } else if ("20".equals(id)) {
/*     */       
/* 129 */       addTreeNode(list, "主管单位管理", "cs.sydj.sysmanage.zgdwmanage.zgdw.SysZgdwManageView");
/* 130 */       addTreeNode(list, "单位用户管理", "cs.sydj.sysmanage.zgdwmanage.user.SysZgdwUserManageView");
/* 131 */       addTreeNode(list, "事业单位管理", "cs.sydj.sysmanage.zgdwmanage.sydw.SysZgdwSydwView");
/* 132 */       addTreeNode(list, "新设立预登记", "cs.sydj.sysmanage.zgdwmanage.ins.PreInstaurationListView");
/* 133 */     } else if ("24".equals(id)) {
/*     */       
/* 135 */       addTreeNode(list, "已授权确认", "cs.sydj.operation.authorize.apply.AuthorizeUpApplyView");
/* 136 */       addTreeNode(list, "新增授权", "cs.sydj.operation.authorize.apply.AuthorizeDownApplyView");
/* 137 */     } else if ("25".equals(id)) {
/*     */       
/* 139 */       addTreeNode(list, "上级授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeUpperView");
/* 140 */       addTreeNode(list, "本级授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeLocalView");
/* 141 */       addTreeNode(list, "特殊授权", "cs.sydj.operation.authorize.withinput.WithinputAuthorizeNewView");
/* 142 */       addTreeNode(list, "授权申请记录", "cs.sydj.operation.authorize.apply.AuthorizeApplyRecordView");
/* 143 */       addTreeNode(list, "授权事业单位统计", "cs.admin.statistic.StatisticCzglSydwView");
/*     */     } 
/*     */     
/* 146 */     return list;
/*     */   }
/*     */   
/*     */   private void addTreeNode(ArrayList<NavigationInfoEntity> list, String name, String id) {
/* 150 */     NavigationInfoEntity chidrenInfo = new NavigationInfoEntity();
/* 151 */     chidrenInfo.setName(name);
/* 152 */     chidrenInfo.setId(id);
/* 153 */     list.add(chidrenInfo);
/*     */   }
/*     */ 
/*     */   
/*     */   public boolean hasChildren(Object arg0) {
/* 158 */     NavigationInfoEntity info = (NavigationInfoEntity)arg0;
/* 159 */     return info.isDJGLJG();
/*     */   }
/*     */ 
/*     */   
/*     */   public Object[] getElements(Object arg0) {
/* 164 */     if (arg0 instanceof ArrayList) {
/* 165 */       ArrayList input = (ArrayList)arg0;
/* 166 */       return input.toArray();
/*     */     } 
/* 168 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void dispose() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public Object getParent(Object arg0) {
/* 179 */     return null;
/*     */   }
/*     */   
/*     */   public void inputChanged(Viewer arg0, Object arg1, Object arg2) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sy\\ui\NavigationShouLiTreeViewerContentProvider.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */