/*     */ package cs.sydj.sysmanage.cdmanage;
/*     */ 
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.datatransfer.Clipboard;
/*     */ import java.awt.datatransfer.StringSelection;
/*     */ import java.awt.datatransfer.Transferable;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import server.sydj.sysmanage.cd.CDInfo;
/*     */ import server.sydj.sysmanage.cd.CDUserInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysCDManageUserDialog
/*     */   extends Dialog
/*     */ {
/*     */   private Text text;
/*     */   private CDInfo cdinfo;
/*     */   private CDUserInfo cduserinfo;
/*     */   private SysCDManageController scmController;
/*     */   private Shell shell;
/*  43 */   private String[] labelinfos = new String[] { "     用户名：", "     联系人：", "     E-mail：", "  联系电话：", 
/*  44 */       "  移动电话：", "  邮政编码：", "  通讯地址：", "  绑定单位：", "  光盘密码：" };
/*     */ 
/*     */ 
/*     */   
/*  48 */   private int COPYID = 611320;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysCDManageUserDialog(Shell parentShell) {
/*  56 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public SysCDManageUserDialog(Shell shell, SysCDManageController scm, CDInfo cd, String sydwid) {
/*  61 */     super(shell);
/*  62 */     this.cdinfo = cd;
/*  63 */     this.scmController = scm;
/*  64 */     this.cduserinfo = this.scmController.getCDUserInfobyID(sydwid);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  74 */     parent.setBackground(Display.getCurrent()
/*  75 */         .getSystemColor(1));
/*  76 */     parent.setBackgroundMode(2);
/*  77 */     Composite container = (Composite)super.createDialogArea(parent);
/*  78 */     container.setLayoutData(new GridData(4, 4, true, true));
/*  79 */     this.shell = container.getShell();
/*  80 */     container.setLayout((Layout)new GridLayout());
/*     */     
/*  82 */     Group group = new Group(container, 0);
/*  83 */     GridData gd_group = new GridData(16777216, 4, true, 
/*  84 */         true);
/*  85 */     gd_group.widthHint = 340;
/*  86 */     group.setLayoutData(gd_group);
/*  87 */     GridLayout gridLayout = new GridLayout();
/*  88 */     gridLayout.numColumns = 2;
/*  89 */     group.setLayout((Layout)gridLayout);
/*  90 */     group.setText("基本信息");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 203 */     this.text = new Text((Composite)group, 10);
/* 204 */     GridData gd_text = new GridData(4, 4, true, 
/* 205 */         true);
/* 206 */     this.text.setLayoutData(gd_text);
/*     */ 
/*     */     
/* 209 */     init();
/* 210 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void init() {
/* 225 */     String temp = "";
/* 226 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[0] + this.cdinfo.getUSER_NAME();
/* 227 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[1] + this.cduserinfo.getLink_man();
/* 228 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[2] + this.cduserinfo.getEmail();
/* 229 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[3] + this.cduserinfo.getLinkphone();
/* 230 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[4] + this.cduserinfo.getCellphone();
/* 231 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[5] + this.cduserinfo.getPostcode();
/* 232 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[6] + this.cduserinfo.getAddress();
/* 233 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[7] + this.cduserinfo.getSYDW_NAME();
/* 234 */     temp = String.valueOf(temp) + "\n" + this.labelinfos[8] + this.cdinfo.getCD_PASSWORD();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 240 */     this.text.setText(temp);
/* 241 */     this.shell.setFocus();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 252 */     createButton(parent, 0, "确定", true);
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 256 */     int ButtonID = buttonId;
/* 257 */     if (buttonId == this.COPYID) {
/* 258 */       Clipboard clipboard = Toolkit.getDefaultToolkit()
/* 259 */         .getSystemClipboard();
/*     */       
/* 261 */       Transferable tText = new StringSelection("内容复制完毕");
/*     */       
/* 263 */       clipboard.setContents(tText, null);
/* 264 */       showInfoBox("");
/*     */     } 
/*     */     
/* 267 */     super.buttonPressed(buttonId);
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 271 */     MessageBox mbox = new MessageBox(this.shell, 34);
/* 272 */     mbox.setMessage("内容复制完毕！");
/* 273 */     mbox.setText("粘贴提示");
/* 274 */     mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 283 */     return new Point(350, 300);
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 287 */     super.configureShell(newShell);
/* 288 */     newShell.setText("用户信息 ");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\cdmanage\SysCDManageUserDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */