/*     */ package cs.sydj.sysmanage.cdmanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.admin.search.PageComposite;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.abolish.AbolishOperation;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CellEditor;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.layout.RowData;
/*     */ import org.eclipse.swt.layout.RowLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.forms.events.ExpansionAdapter;
/*     */ import org.eclipse.ui.forms.events.ExpansionEvent;
/*     */ import org.eclipse.ui.forms.events.IExpansionListener;
/*     */ import org.eclipse.ui.forms.widgets.ExpandableComposite;
/*     */ import org.eclipse.ui.forms.widgets.FormToolkit;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.cd.CDInfo;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysCDManageView
/*     */   extends ViewPart
/*     */ {
/*     */   private Table table;
/*     */   private Text text_3;
/*     */   private Text text_2;
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   public static final String ID = "cs.sydj.sysmanage.cdmanage.SysCDManageView";
/*  58 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  59 */   private SysCDManageController sumController = new SysCDManageController(
/*  60 */       this.user);
/*     */   
/*  62 */   private Shell shell = null;
/*  63 */   private Composite comp = null;
/*  64 */   private Composite composite = null;
/*     */   private TableViewer tableViewer;
/*  66 */   private SysCDManageContentProvide scmContP = new SysCDManageContentProvide(
/*  67 */       this.sumController);
/*  68 */   private SysCDManageLabelProvider scmLabP = new SysCDManageLabelProvider();
/*     */   
/*     */   private boolean searchState = false;
/*     */   private String sdname;
/*     */   private String suname;
/*     */   private String scdkey;
/*     */   private String ssydwcode;
/*     */   private FormToolkit toolkit;
/*     */   private PageComposite pageComposit;
/*  77 */   private int heightall = 520;
/*     */   
/*  79 */   private AbolishOperation oper = new AbolishOperation();
/*     */   
/*     */   private ArrayList items;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  84 */     arg0.setBackgroundMode(1);
/*  85 */     arg0.setLayout((Layout)new FillLayout());
/*  86 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  87 */     this.comp = arg0;
/*  88 */     this.shell = this.comp.getShell();
/*     */     
/*  90 */     final ScrolledComposite scrolledComposite = new ScrolledComposite(arg0, 768);
/*  91 */     scrolledComposite.setBackgroundMode(1);
/*     */     
/*  93 */     scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/*  97 */     scrolledComposite.setExpandVertical(true);
/*  98 */     scrolledComposite.setExpandHorizontal(true);
/*  99 */     scrolledComposite.setMinHeight(this.heightall);
/* 100 */     scrolledComposite.setMinWidth(240);
/*     */     
/* 102 */     Composite composite_2 = new Composite((Composite)scrolledComposite, 0);
/* 103 */     composite_2.setLayoutData(new GridData(4, 128, true, true));
/*     */     
/* 105 */     this.composite = composite_2;
/*     */     
/* 107 */     scrolledComposite.setContent((Control)composite_2);
/*     */     
/* 109 */     GridLayout gridLayout = new GridLayout();
/* 110 */     gridLayout.verticalSpacing = 4;
/* 111 */     gridLayout.marginBottom = 5;
/* 112 */     gridLayout.numColumns = 3;
/* 113 */     gridLayout.horizontalSpacing = 0;
/* 114 */     gridLayout.marginHeight = 20;
/* 115 */     composite_2.setLayout((Layout)gridLayout);
/*     */     
/* 117 */     Label label = new Label(composite_2, 0);
/* 118 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 119 */     label.setText("光盘密码管理 >>");
/*     */ 
/*     */ 
/*     */     
/* 123 */     Label label_1 = new Label(composite_2, 258);
/* 124 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 126 */     this.toolkit = new FormToolkit(composite_2.getDisplay());
/* 127 */     final Composite wholecomp = this.toolkit.createComposite(
/* 128 */         (Composite)composite_2.getShell());
/*     */     
/* 130 */     wholecomp.setLayout((Layout)new FillLayout(512));
/* 131 */     this.toolkit.adapt(composite_2);
/*     */ 
/*     */ 
/*     */     
/* 135 */     ExpandableComposite title = this.toolkit.createExpandableComposite(
/* 136 */         composite_2, 44);
/*     */     
/* 138 */     GridData gd_title = new GridData();
/* 139 */     title.setLayoutData(gd_title);
/* 140 */     title.setExpanded(false);
/* 141 */     title.setBackground(Display.getCurrent().getSystemColor(1));
/* 142 */     title.setForeground(SWTResourceManager.getColor(204, 102, 153));
/* 143 */     title.setText("输入查询条件");
/*     */     
/* 145 */     Composite composite_5 = this.toolkit.createComposite((Composite)title);
/* 146 */     composite_5.setBackground(Display.getCurrent().getSystemColor(1));
/* 147 */     GridLayout gridLayout_composite_5 = new GridLayout();
/* 148 */     gridLayout_composite_5.marginBottom = 8;
/* 149 */     gridLayout_composite_5.marginRight = 20;
/* 150 */     gridLayout_composite_5.marginLeft = 20;
/* 151 */     gridLayout_composite_5.marginWidth = 2;
/* 152 */     gridLayout_composite_5.marginHeight = 2;
/* 153 */     gridLayout_composite_5.verticalSpacing = 2;
/* 154 */     gridLayout_composite_5.numColumns = 4;
/* 155 */     composite_5.setLayout((Layout)gridLayout_composite_5);
/* 156 */     title.setClient((Control)composite_5);
/*     */ 
/*     */     
/* 159 */     Label label_2 = new Label(composite_5, 0);
/* 160 */     label_2
/* 161 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 162 */     label_2.setText("单位名称（第一名称）");
/*     */     
/* 164 */     this.text = new Text(composite_5, 2048);
/* 165 */     this.text.setTextLimit(200);
/* 166 */     GridData gd_text = new GridData(4, 16777216, true, false);
/* 167 */     gd_text.widthHint = 150;
/* 168 */     this.text.setLayoutData(gd_text);
/*     */     
/* 170 */     Label label_3 = new Label(composite_5, 0);
/* 171 */     label_3
/* 172 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 173 */     label_3.setText("事业单位统一社会信用代码");
/*     */     
/* 175 */     this.text_1 = new Text(composite_5, 2048);
/* 176 */     this.text_1.setTextLimit(18);
/* 177 */     GridData gd_text_1 = new GridData(4, 16777216, false, false);
/* 178 */     gd_text_1.widthHint = 150;
/* 179 */     this.text_1.setLayoutData(gd_text_1);
/*     */     
/* 181 */     Label label_4 = new Label(composite_5, 0);
/* 182 */     label_4
/* 183 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 184 */     label_4.setText("用户注册名");
/*     */     
/* 186 */     this.text_2 = new Text(composite_5, 2048);
/* 187 */     this.text_2.setTextLimit(50);
/* 188 */     this.text_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 190 */     Label label_5 = new Label(composite_5, 0);
/* 191 */     GridData gd_label_5 = new GridData(131072, 16777216, false, 
/* 192 */         false);
/* 193 */     label_5.setLayoutData(gd_label_5);
/* 194 */     label_5.setText("光盘密码");
/*     */     
/* 196 */     this.text_3 = new Text(composite_5, 2048);
/* 197 */     this.text_3.setTextLimit(16);
/* 198 */     this.text_3.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 200 */     Composite composite_1 = new Composite(composite_5, 0);
/* 201 */     RowLayout rowLayout_1 = new RowLayout();
/* 202 */     rowLayout_1.spacing = 35;
/* 203 */     rowLayout_1.marginBottom = 0;
/* 204 */     rowLayout_1.marginTop = 0;
/* 205 */     composite_1.setLayout((Layout)rowLayout_1);
/* 206 */     GridData gd_composite_1 = new GridData(16777216, 16777216, false, 
/* 207 */         false, 4, 1);
/* 208 */     gd_composite_1.heightHint = 20;
/* 209 */     composite_1.setLayoutData(gd_composite_1);
/*     */     
/* 211 */     Button button = new Button(composite_1, 8388608);
/* 212 */     RowData rd_button = new RowData();
/* 213 */     rd_button.width = 50;
/* 214 */     rd_button.height = 18;
/* 215 */     button.setLayoutData(rd_button);
/* 216 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 218 */             SysCDManageView.this.searchState = true;
/* 219 */             SysCDManageView.this.pageComposit.page.setCpage(1);
/* 220 */             SysCDManageView.this.sdname = SysCDManageView.this.text.getText();
/* 221 */             SysCDManageView.this.suname = SysCDManageView.this.text_2.getText();
/* 222 */             SysCDManageView.this.ssydwcode = SysCDManageView.this.text_1.getText();
/* 223 */             SysCDManageView.this.scdkey = SysCDManageView.this.text_3.getText();
/* 224 */             SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                 
/* 226 */                 .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/* 227 */             SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/* 230 */     button.setText("搜索");
/*     */     
/* 232 */     Button button_3 = new Button(composite_1, 8388608);
/* 233 */     RowData rd_button_3 = new RowData();
/* 234 */     rd_button_3.width = 50;
/* 235 */     rd_button_3.height = 18;
/* 236 */     button_3.setLayoutData(rd_button_3);
/* 237 */     button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 239 */             SysCDManageView.this.text.setText("");
/* 240 */             SysCDManageView.this.text_3.setText("");
/* 241 */             SysCDManageView.this.text_2.setText("");
/* 242 */             SysCDManageView.this.text_1.setText("");
/* 243 */             SysCDManageView.this.pageComposit.page.setCpage(1);
/* 244 */             SysCDManageView.this.searchState = false;
/* 245 */             SysCDManageView.this.tableViewer
/* 246 */               .setInput(SysCDManageView.this.resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 247 */             SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/* 250 */     button_3.setText("清空");
/*     */     
/* 252 */     title.addExpansionListener((IExpansionListener)new ExpansionAdapter() {
/*     */           public void expansionStateChanged(ExpansionEvent e) {
/* 254 */             if (e.getState()) {
/* 255 */               SysCDManageView.this.heightall = SysCDManageView.this.heightall + 85;
/*     */             } else {
/* 257 */               SysCDManageView.this.heightall = SysCDManageView.this.heightall - 85;
/*     */             } 
/* 259 */             scrolledComposite.setMinHeight(SysCDManageView.this.heightall);
/*     */             
/* 261 */             wholecomp.layout();
/* 262 */             SysCDManageView.this.composite.layout();
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 269 */     Label label_7 = new Label(composite_2, 0);
/* 270 */     label_7.setLayoutData(new GridData(4, 16777216, true, false));
/* 271 */     this.toolkit.adapt((Control)label_7, true, true);
/* 272 */     label_7.setText(" ");
/*     */     
/* 274 */     this.tableViewer = new TableViewer(composite_2, 67584);
/* 275 */     this.table = this.tableViewer.getTable();
/* 276 */     this.table.getHorizontalBar().setVisible(false);
/* 277 */     this.table.getHorizontalBar().setPageIncrement(1);
/* 278 */     this.table.setLinesVisible(true);
/* 279 */     this.table.setHeaderVisible(true);
/* 280 */     GridData gd_table = new GridData(16384, 128, false, false);
/* 281 */     gd_table.heightHint = 345;
/*     */     
/* 283 */     gd_table.widthHint = 570;
/* 284 */     this.table.setLayoutData(gd_table);
/*     */     
/* 286 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 287 */         0);
/* 288 */     newColumnTableColumn.setAlignment(16777216);
/* 289 */     newColumnTableColumn.setWidth(60);
/* 290 */     newColumnTableColumn.setText("序号");
/*     */     
/* 292 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 293 */         0);
/* 294 */     newColumnTableColumn_1.setAlignment(16777216);
/* 295 */     newColumnTableColumn_1.setWidth(100);
/* 296 */     newColumnTableColumn_1.setText("用户注册名");
/*     */     
/* 298 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 299 */         0);
/* 300 */     newColumnTableColumn_2.setAlignment(16384);
/* 301 */     newColumnTableColumn_2.setWidth(285);
/* 302 */     newColumnTableColumn_2.setText("事业单位名称");
/*     */     
/* 304 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 305 */         131072);
/*     */     
/* 307 */     newColumnTableColumn_3.setAlignment(16777216);
/* 308 */     newColumnTableColumn_3.setWidth(70);
/*     */     
/* 310 */     TableColumn newColumnTableColumn_4 = new TableColumn(this.table, 
/* 311 */         0);
/* 312 */     newColumnTableColumn_4.setWidth(70);
/*     */     
/* 314 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 321 */             event.height = 20;
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 326 */     Label label_8 = new Label(composite_2, 0);
/* 327 */     label_8.setLayoutData(new GridData(4, 16777216, true, false));
/* 328 */     this.toolkit.adapt((Control)label_8, true, true);
/* 329 */     label_8.setText(" ");
/*     */ 
/*     */     
/* 332 */     Composite composite_l = new Composite(composite_2, 0);
/* 333 */     GridLayout gridLayout_1 = new GridLayout();
/* 334 */     gridLayout_1.verticalSpacing = 0;
/* 335 */     gridLayout_1.marginWidth = 0;
/* 336 */     gridLayout_1.marginHeight = 0;
/* 337 */     gridLayout_1.horizontalSpacing = 0;
/* 338 */     composite_l.setLayout((Layout)gridLayout_1);
/* 339 */     GridData gd_composite = new GridData(16777216, 16777216, 
/* 340 */         false, false);
/* 341 */     gd_composite.heightHint = 20;
/* 342 */     composite_l.setLayoutData(gd_composite);
/*     */     
/* 344 */     this.pageComposit = new PageComposite(composite_l, 0);
/*     */     
/* 346 */     this.pageComposit.button_first.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 349 */             SysCDManageView.this.pageComposit.page.firstpage();
/* 350 */             if (SysCDManageView.this.searchState) {
/* 351 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 353 */                   .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/*     */             } else {
/* 355 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 357 */                   .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 358 */             }  SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/*     */     
/* 362 */     this.pageComposit.button_up.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 365 */             SysCDManageView.this.pageComposit.page.prepage();
/* 366 */             if (SysCDManageView.this.searchState) {
/* 367 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 369 */                   .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/*     */             } else {
/* 371 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 373 */                   .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 374 */             }  SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 379 */     this.pageComposit.button_down.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 382 */             SysCDManageView.this.pageComposit.page.nextpage();
/*     */             
/* 384 */             if (SysCDManageView.this.searchState) {
/* 385 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 387 */                   .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/*     */             } else {
/* 389 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 391 */                   .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 392 */             }  SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/* 395 */     this.pageComposit.button_last.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 398 */             SysCDManageView.this.pageComposit.page.lastpage();
/*     */             
/* 400 */             if (SysCDManageView.this.searchState) {
/* 401 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 403 */                   .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/*     */             } else {
/* 405 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                   
/* 407 */                   .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 408 */             }  SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/*     */     
/* 412 */     this.pageComposit.button_go.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 415 */             if (SysCDManageView.this.pageComposit.setPageable())
/* 416 */               if (SysCDManageView.this.searchState) {
/* 417 */                 SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                     
/* 419 */                     .resetInfos(SysCDManageView.this.sumController.searchCDInfo(SysCDManageView.this.sdname, SysCDManageView.this.suname, SysCDManageView.this.ssydwcode, SysCDManageView.this.scdkey, SysCDManageView.this.user.getGroupid(), SysCDManageView.this.pageComposit.page)));
/*     */               } else {
/* 421 */                 SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/*     */                     
/* 423 */                     .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 424 */               }   SysCDManageView.this.setFontColor();
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 429 */     initUI();
/* 430 */     initData();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void setFontColor() {
/* 441 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 442 */       this.table.getItem(i).setForeground(1, 
/* 443 */           SWTResourceManager.getColor(37, 26, 181));
/* 444 */       this.table.getItem(i).setFont(
/* 445 */           3, 
/* 446 */           SWTResourceManager.getFont("宋体", 9, 0, false, 
/* 447 */             false));
/* 448 */       this.table.getItem(i).setForeground(3, 
/* 449 */           SWTResourceManager.getColor(37, 26, 181));
/* 450 */       this.table.getItem(i).setFont(
/* 451 */           4, 
/* 452 */           SWTResourceManager.getFont("宋体", 9, 0, false, 
/* 453 */             false));
/* 454 */       this.table.getItem(i).setForeground(4, 
/* 455 */           SWTResourceManager.getColor(37, 26, 181));
/*     */     } 
/*     */   }
/*     */   
/*     */   private void initializeToolBar() {
/* 460 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 461 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */   
/*     */   private ArrayList resetInfos(ArrayList<PageInfo> al) {
/* 466 */     if (!al.isEmpty()) {
/* 467 */       this.pageComposit.page = al.get(0);
/* 468 */       al.remove(0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 474 */       if (al.isEmpty()) {
/* 475 */         this.pageComposit.label.setText("第0页/共0页");
/* 476 */         this.pageComposit.label.update();
/* 477 */         this.pageComposit.button_up.setEnabled(false);
/* 478 */         this.pageComposit.button_down.setEnabled(false);
/* 479 */         this.pageComposit.button_first.setEnabled(false);
/* 480 */         this.pageComposit.button_last.setEnabled(false);
/*     */       }
/*     */       else {
/*     */         
/* 484 */         if (this.pageComposit.page.getCpage() == 1) {
/* 485 */           this.pageComposit.button_up.setEnabled(false);
/* 486 */           this.pageComposit.button_first.setEnabled(false);
/*     */         } else {
/*     */           
/* 489 */           this.pageComposit.button_up.setEnabled(true);
/* 490 */           this.pageComposit.button_first.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 494 */         if (this.pageComposit.page.getCpage() == 
/* 495 */           this.pageComposit.page.getTpage()) {
/* 496 */           this.pageComposit.button_down.setEnabled(false);
/* 497 */           this.pageComposit.button_last.setEnabled(false);
/*     */         } else {
/*     */           
/* 500 */           this.pageComposit.button_down.setEnabled(true);
/* 501 */           this.pageComposit.button_last.setEnabled(true);
/*     */         } 
/*     */ 
/*     */         
/* 505 */         this.pageComposit.label.setText("第" + this.pageComposit.page.getCpage() + 
/* 506 */             "页/共" + this.pageComposit.page.getTpage() + "页   每页" + 
/* 507 */             (int)this.pageComposit.page.getPAGESIZE() + "行 共" + 
/* 508 */             this.pageComposit.page.getTotalnum() + "行");
/* 509 */         this.pageComposit.label.update();
/*     */       }
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 515 */       this.pageComposit.label.setText("第0页/共0页");
/* 516 */       this.pageComposit.label.update();
/* 517 */       this.pageComposit.button_up.setEnabled(false);
/* 518 */       this.pageComposit.button_down.setEnabled(false);
/* 519 */       this.pageComposit.button_first.setEnabled(false);
/* 520 */       this.pageComposit.button_last.setEnabled(false);
/* 521 */       this.pageComposit.page = new PageInfo();
/*     */     } 
/*     */     
/* 524 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initData() {
/* 530 */     this.tableViewer.setContentProvider((IContentProvider)this.scmContP);
/*     */     
/* 532 */     this.tableViewer.setInput(resetInfos(this.sumController.creatInput(this.pageComposit.page)));
/*     */     
/* 534 */     this.tableViewer.setColumnProperties(new String[] { "id", "username", 
/* 535 */           "unitname", "unbinding", "delete" });
/*     */     
/* 537 */     CellEditor[] cellEditor = {
/* 538 */         null, new SysCDManageNoneFunCellEditor(), 
/* 539 */         new SysCDManageNoneFunCellEditor(), 
/* 540 */         new SysCDManageNoneFunCellEditor() };
/* 541 */     this.tableViewer.setCellEditors(cellEditor);
/* 542 */     this.tableViewer
/* 543 */       .setCellModifier(new SysCDManageCellModifier(new Operation()));
/* 544 */     setFontColor();
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 548 */     initializeToolBar();
/*     */     
/* 550 */     PublicUtil.setMouseHands(this.table, "1#3#4");
/* 551 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)this.scmLabP);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 560 */     text.setText(text.getText().trim());
/* 561 */     if (text.getText().trim().length() == 0) {
/* 562 */       text.setText(text.getText().trim());
/*     */       
/* 564 */       return false;
/*     */     } 
/* 566 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private void showErrBox(String info) {
/* 571 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 572 */     mbox.setMessage(info);
/* 573 */     mbox.setText("错误提示");
/* 574 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 579 */     MessageBox mbox = new MessageBox(this.shell, 34);
/* 580 */     mbox.setMessage(info);
/* 581 */     mbox.setText("信息提示");
/* 582 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 587 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 589 */     mbox.setMessage(info);
/* 590 */     mbox.setText("信息提示");
/* 591 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class Operation
/*     */   {
/*     */     private boolean check(ArrayList item, String districtCode) {
/* 628 */       boolean flag = false;
/*     */       try {
/* 630 */         SysCDManageView.this.items = SysCDManageView.this.oper.check(item, districtCode);
/* 631 */         if (SysCDManageView.this.items != null) {
/* 632 */           if (SysCDManageView.this.items.isEmpty()) {
/* 633 */             flag = true;
/*     */           } else {
/* 635 */             flag = false;
/*     */           } 
/*     */         }
/* 638 */       } catch (Exception e) {
/* 639 */         e.printStackTrace();
/* 640 */         flag = false;
/*     */       } 
/* 642 */       return flag;
/*     */     }
/*     */     
/*     */     public void unbingding(String userid, String cdpassword, String sydwId, String districtCode) {
/* 646 */       ArrayList<String> sydw = new ArrayList();
/* 647 */       sydw.add(sydwId);
/* 648 */       boolean flag = check(sydw, districtCode);
/* 649 */       if (flag) {
/* 650 */         int button_id = SysCDManageView.this.showQuestBox("确定要解除该用户和光盘密码光盘的绑定？");
/* 651 */         if (button_id == 64) {
/* 652 */           SysCDManageView.this.sumController.UnbindingCDUserInfo(userid, cdpassword);
/* 653 */           SysCDManageView.this.pageComposit.page.setCpage(1);
/* 654 */           SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/* 655 */               .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 656 */           SysCDManageView.this.setFontColor();
/*     */         } 
/*     */       } else {
/* 659 */         SysCDManagePromptDialog dialog = new SysCDManagePromptDialog(SysCDManageView.this.composite.getShell(), SysCDManageView.this.items, 2);
/* 660 */         if (dialog.open() == 0) {
/* 661 */           String result = SysCDManageView.this.oper.delete(SysCDManageView.this.items, districtCode);
/* 662 */           if (result.equals("true")) {
/* 663 */             SydjMessageDialog.openInformation(null, "提示", "删除成功！");
/* 664 */             int button_id = SysCDManageView.this.showQuestBox("确定要解除该用户和光盘密码光盘的绑定？");
/* 665 */             if (button_id == 64) {
/* 666 */               SysCDManageView.this.sumController.UnbindingCDUserInfo(userid, cdpassword);
/* 667 */               SysCDManageView.this.pageComposit.page.setCpage(1);
/* 668 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this
/* 669 */                   .resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 670 */               SysCDManageView.this.setFontColor();
/*     */             } 
/*     */           } else {
/* 673 */             SydjMessageDialog.openInformation(null, "提示", "删除失败！");
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     }
/*     */     
/*     */     public void delete(String userid, String cdpassword, String sydwId, String districtCode) {
/* 680 */       ArrayList<String> sydw = new ArrayList();
/* 681 */       sydw.add(sydwId);
/* 682 */       boolean flag = check(sydw, districtCode);
/* 683 */       if (flag) {
/* 684 */         int button_id = SysCDManageView.this.showQuestBox("确定要删除该用户的光盘密码？");
/* 685 */         if (button_id == 64) {
/* 686 */           SysCDManageView.this.sumController.deleteCDUserInfo(userid, cdpassword);
/* 687 */           SysCDManageView.this.pageComposit.page.setCpage(1);
/* 688 */           SysCDManageView.this.tableViewer.setInput(SysCDManageView.this.resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 689 */           SysCDManageView.this.setFontColor();
/*     */         } 
/*     */       } else {
/* 692 */         SysCDManagePromptDialog dialog = new SysCDManagePromptDialog(SysCDManageView.this.composite.getShell(), SysCDManageView.this.items, 2);
/* 693 */         if (dialog.open() == 0) {
/* 694 */           String result = SysCDManageView.this.oper.delete(SysCDManageView.this.items, districtCode);
/* 695 */           if (result.equals("true")) {
/* 696 */             SydjMessageDialog.openInformation(null, "提示", "删除成功！");
/* 697 */             int button_id = SysCDManageView.this.showQuestBox("确定要删除该用户的光盘密码？");
/* 698 */             if (button_id == 64) {
/* 699 */               SysCDManageView.this.sumController.deleteCDUserInfo(userid, cdpassword);
/* 700 */               SysCDManageView.this.pageComposit.page.setCpage(1);
/* 701 */               SysCDManageView.this.tableViewer.setInput(SysCDManageView.this.resetInfos(SysCDManageView.this.sumController.creatInput(SysCDManageView.this.pageComposit.page)));
/* 702 */               SysCDManageView.this.setFontColor();
/*     */             } 
/*     */           } else {
/* 705 */             SydjMessageDialog.openInformation(null, "提示", "删除失败！");
/*     */           } 
/*     */         } 
/*     */       } 
/*     */     }
/*     */     
/*     */     public void showUserInfo(CDInfo cd, String sydwid) {
/* 712 */       (new SysCDManageUserDialog(SysCDManageView.this.shell, SysCDManageView.this.sumController, cd, sydwid)).open();
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\cdmanage\SysCDManageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */