/*     */ package cs.sydj.sysmanage.documenttransport.receive;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.cdmanage.SysCDManageNoneFunCellEditor;
/*     */ import cs.sydj.sysmanage.documenttransport.download.DocumentDetailsDialog;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CellEditor;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.TableViewer;
/*     */ import org.eclipse.swt.custom.ScrolledComposite;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Event;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Listener;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Table;
/*     */ import org.eclipse.swt.widgets.TableColumn;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.documenttransport.Document;
/*     */ 
/*     */ 
/*     */ public class ReceiveNewDocumentView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.documenttransport.receive.ReceiveNewDocumentView";
/*     */   private Table table;
/*  38 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  39 */   private ReceiveDocumentController sumController = new ReceiveDocumentController(
/*  40 */       this.user);
/*     */   
/*  42 */   private Shell shell = null;
/*  43 */   private Composite comp = null;
/*     */   private TableViewer tableViewer;
/*  45 */   private ReceiveDocumentContentProvide scmContP = new ReceiveDocumentContentProvide(
/*  46 */       this.sumController);
/*  47 */   private ReceiveDocumentLabelProvider scmLabP = new ReceiveDocumentLabelProvider();
/*     */ 
/*     */   
/*     */   private ScrolledComposite scrolledComposite;
/*     */ 
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  55 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  56 */     arg0.setLayout((Layout)new FillLayout());
/*  57 */     arg0.setBackgroundMode(1);
/*  58 */     this.comp = arg0;
/*  59 */     this.shell = this.comp.getShell();
/*     */     
/*  61 */     this.scrolledComposite = new ScrolledComposite(arg0, 2816);
/*  62 */     this.scrolledComposite.setBackground(Display.getCurrent().getSystemColor(1));
/*  63 */     this.scrolledComposite.setBackgroundMode(1);
/*  64 */     this.scrolledComposite.setCapture(true);
/*     */ 
/*     */ 
/*     */     
/*  68 */     this.scrolledComposite.setExpandVertical(true);
/*  69 */     this.scrolledComposite.setExpandHorizontal(true);
/*  70 */     this.scrolledComposite.setMinHeight(480);
/*  71 */     this.scrolledComposite.setMinWidth(240);
/*     */     
/*  73 */     Composite composite = new Composite((Composite)this.scrolledComposite, 0);
/*     */     
/*  75 */     GridLayout gridLayout = new GridLayout();
/*  76 */     gridLayout.numColumns = 3;
/*  77 */     gridLayout.verticalSpacing = 2;
/*  78 */     gridLayout.marginLeft = 5;
/*  79 */     gridLayout.marginRight = 5;
/*  80 */     gridLayout.marginBottom = 20;
/*  81 */     gridLayout.marginTop = 20;
/*  82 */     composite.setLayout((Layout)gridLayout);
/*     */ 
/*     */ 
/*     */     
/*  86 */     Label label = new Label(composite, 0);
/*  87 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  88 */     label.setText("最新公文");
/*     */ 
/*     */ 
/*     */     
/*  92 */     Label label_1 = new Label(composite, 258);
/*  93 */     label_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */ 
/*     */     
/*  96 */     Label label_2 = new Label(composite, 0);
/*  97 */     label_2.setLayoutData(new GridData(16384, 16777216, true, false));
/*  98 */     label_2.setText(" ");
/*  99 */     this.tableViewer = new TableViewer(composite, 67584);
/* 100 */     this.table = this.tableViewer.getTable();
/* 101 */     GridData gd_table = new GridData(4, 4, false, false);
/* 102 */     gd_table.widthHint = 510;
/* 103 */     gd_table.heightHint = 345;
/* 104 */     this.table.setLayoutData(gd_table);
/* 105 */     this.table.getHorizontalBar().setVisible(false);
/* 106 */     this.table.getHorizontalBar().setPageIncrement(1);
/* 107 */     this.table.setLinesVisible(true);
/* 108 */     this.table.setHeaderVisible(true);
/*     */     
/* 110 */     TableColumn newColumnTableColumn = new TableColumn(this.table, 
/* 111 */         0);
/* 112 */     newColumnTableColumn.setAlignment(16777216);
/* 113 */     newColumnTableColumn.setWidth(40);
/* 114 */     newColumnTableColumn.setText("序号");
/*     */     
/* 116 */     TableColumn newColumnTableColumn_1 = new TableColumn(this.table, 
/* 117 */         0);
/* 118 */     newColumnTableColumn_1.setWidth(300);
/* 119 */     newColumnTableColumn_1.setText("公文题目");
/*     */     
/* 121 */     TableColumn newColumnTableColumn_2 = new TableColumn(this.table, 
/* 122 */         0);
/* 123 */     newColumnTableColumn_2.setAlignment(16777216);
/* 124 */     newColumnTableColumn_2.setWidth(135);
/* 125 */     newColumnTableColumn_2.setText("发文机关");
/*     */     
/* 127 */     TableColumn newColumnTableColumn_3 = new TableColumn(this.table, 
/* 128 */         0);
/* 129 */     newColumnTableColumn_3.setAlignment(16777216);
/* 130 */     newColumnTableColumn_3.setWidth(50);
/* 131 */     newColumnTableColumn_3.setText("查看");
/*     */     
/* 133 */     this.table.addListener(41, new Listener()
/*     */         {
/*     */ 
/*     */           
/*     */           public void handleEvent(Event event)
/*     */           {
/* 139 */             event.height = 20;
/*     */           }
/*     */         });
/*     */     
/* 143 */     Label label_2_1 = new Label(composite, 0);
/* 144 */     label_2_1.setLayoutData(new GridData(16384, 16777216, true, false));
/* 145 */     label_2_1.setText(" ");
/*     */ 
/*     */     
/* 148 */     this.scrolledComposite.setContent((Control)composite);
/*     */     
/* 150 */     initUI();
/* 151 */     initData();
/*     */   }
/*     */   
/*     */   private void setFontColor() {
/* 155 */     for (int i = 0; i < this.table.getItemCount(); i++) {
/* 156 */       this.table.getItem(i).setFont(
/* 157 */           3, 
/* 158 */           SWTResourceManager.getFont("仿宋_gb2312", 10, 0, false, 
/* 159 */             true));
/* 160 */       this.table.getItem(i).setForeground(3, 
/* 161 */           SWTResourceManager.getColor(0, 0, 255));
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 167 */     initializeToolBar();
/*     */     
/* 169 */     PublicUtil.setMouseHands(this.table, "3");
/* 170 */     this.tableViewer.setLabelProvider((IBaseLabelProvider)this.scmLabP);
/*     */   }
/*     */   
/*     */   private void initView() {
/* 174 */     initializeToolBar();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void initData() {
/* 183 */     this.tableViewer.setContentProvider((IContentProvider)this.scmContP);
/*     */     
/* 185 */     this.tableViewer.setInput(this.sumController.getNewDocuments());
/*     */     
/* 187 */     this.tableViewer.setColumnProperties(new String[] { "id", "title", "groupname", "check" });
/*     */ 
/*     */     
/* 190 */     CellEditor[] cellEditor = {
/* 191 */         null, (CellEditor)new SysCDManageNoneFunCellEditor(), 
/* 192 */         (CellEditor)new SysCDManageNoneFunCellEditor(), 
/* 193 */         (CellEditor)new SysCDManageNoneFunCellEditor() };
/* 194 */     this.tableViewer.setCellEditors(cellEditor);
/* 195 */     this.tableViewer.setCellModifier(new ReceiveNewDocumentCellModifier(
/* 196 */           new Operation()));
/*     */     
/* 198 */     setFontColor();
/*     */   }
/*     */   
/*     */   private void initializeToolBar() {
/* 202 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 203 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 207 */     text.setText(text.getText().trim());
/* 208 */     if (text.getText().trim().length() == 0) {
/* 209 */       text.setText(text.getText().trim());
/* 210 */       showInputErr(text, info);
/* 211 */       return false;
/*     */     } 
/* 213 */     return true;
/*     */   }
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 217 */     text.setText(text.getText().trim());
/* 218 */     if (length == -1) {
/* 219 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 220 */         text.setText(text.getText().trim());
/* 221 */         showInputErr(text, info);
/* 222 */         return false;
/*     */       } 
/* 224 */       return true;
/* 225 */     }  if (length == 0) {
/* 226 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 227 */         text.setText(text.getText().trim());
/* 228 */         showInputErr(text, info);
/* 229 */         return false;
/*     */       } 
/* 231 */       return true;
/*     */     } 
/* 233 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 234 */       text.getText().trim().length() != length) {
/* 235 */       text.setText(text.getText().trim());
/* 236 */       showInputErr(text, info);
/* 237 */       return false;
/*     */     } 
/* 239 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 245 */     text.setText(text.getText().trim());
/* 246 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 247 */     mbox.setMessage(info);
/* 248 */     mbox.setText("错误提示");
/* 249 */     mbox.open();
/* 250 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 255 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 256 */     mbox.setMessage(info);
/* 257 */     mbox.setText("错误提示");
/* 258 */     mbox.open();
/*     */   }
/*     */   
/*     */   private int showQuestBox(String info) {
/* 262 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 264 */     mbox.setMessage(info);
/* 265 */     mbox.setText("信息提示");
/* 266 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public class Operation
/*     */   {
/*     */     public void checkInfo(Document document) {
/* 274 */       int r = (new DocumentDetailsDialog(ReceiveNewDocumentView.this.shell, document, 0)).open();
/* 275 */       ReceiveNewDocumentView.this.tableViewer.setInput(ReceiveNewDocumentView.this.sumController.getNewDocuments());
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\receive\ReceiveNewDocumentView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */