/*     */ package cs.sydj.sysmanage.documenttransport.send;
/*     */ 
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.SysUserManageController;
/*     */ import java.util.ArrayList;
/*     */ import server.sydj.documenttransport.Document;
/*     */ import server.sydj.documenttransport.DocumentAttachment;
/*     */ import server.sydj.documenttransport.DocumentManage;
/*     */ import server.sydj.documenttransport.DocumentReceiver;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ public class SendDocumentController
/*     */ {
/*     */   private GljgUserInfo user;
/*  16 */   private DocumentManage dm = new DocumentManage();
/*     */   
/*     */   public SendDocumentController(GljgUserInfo user) {
/*  19 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList creatRoot() {
/*  27 */     String id = this.user.getDistrictcode().equals("100000") ? "1" : 
/*  28 */       this.user.getGroupid();
/*     */     
/*  30 */     ArrayList<InfoEntity> al = (new SysUserManageController(this.user)).getInfoList(id, 1);
/*  31 */     for (int i = 0; i < al.size(); i++) {
/*  32 */       InfoEntity ie = al.get(i);
/*  33 */       if (ie.getId().equals("3478")) {
/*  34 */         al.remove(i);
/*     */         break;
/*     */       } 
/*     */     } 
/*  38 */     return al;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String creatDocument(String title, String number, String date, int num, int proflag, int subproflag, int cityflag, int countyflag, int allflag, Object[] checks) {
/*  53 */     ArrayList<DocumentReceiver> proal = new ArrayList<DocumentReceiver>();
/*  54 */     ArrayList<DocumentReceiver> cityal = new ArrayList<DocumentReceiver>();
/*  55 */     ArrayList<DocumentReceiver> countyal = new ArrayList<DocumentReceiver>();
/*     */     
/*  57 */     String destination = "";
/*  58 */     if (allflag == 1) {
/*  59 */       destination = String.valueOf(this.user.getGroupname()) + "下属所有的事业单位登记管理局";
/*     */     } else {
/*     */       byte b; int i; Object[] arrayOfObject;
/*  62 */       for (i = (arrayOfObject = checks).length, b = 0; b < i; ) { Object object = arrayOfObject[b];
/*  63 */         InfoEntity ie = (InfoEntity)object;
/*  64 */         DocumentReceiver dr = new DocumentReceiver();
/*  65 */         dr.setDEST_GROUP_ID(ie.getId());
/*  66 */         dr.setDEST_GROUP_NAME(ie.getName());
/*  67 */         if (ie.getLevel() == 2) {
/*  68 */           proal.add(dr);
/*  69 */         } else if (ie.getLevel() == 3) {
/*  70 */           cityal.add(dr);
/*  71 */         } else if (ie.getLevel() == 4) {
/*  72 */           countyal.add(dr);
/*     */         }  b++; }
/*     */       
/*  75 */       if (proflag == 1) {
/*  76 */         destination = "所有省级事业单位登记管理局";
/*     */       } else {
/*  78 */         for (int j = 0; j < proal.size(); j++) {
/*  79 */           if (j != 0) {
/*  80 */             destination = String.valueOf(destination) + "、";
/*     */           } else {
/*  82 */             destination = String.valueOf(destination) + " ";
/*  83 */           }  DocumentReceiver ie = proal.get(j);
/*  84 */           destination = String.valueOf(destination) + ie.getDEST_GROUP_NAME();
/*     */         } 
/*  86 */       }  if (cityflag == 1) {
/*  87 */         destination = String.valueOf(destination) + " 所有下属地级事业单位登记管理局";
/*     */       } else {
/*  89 */         for (int j = 0; j < cityal.size(); j++) {
/*  90 */           if (j != 0) {
/*  91 */             destination = String.valueOf(destination) + "、";
/*     */           } else {
/*  93 */             destination = String.valueOf(destination) + " ";
/*  94 */           }  DocumentReceiver ie = cityal.get(j);
/*  95 */           destination = String.valueOf(destination) + ie.getDEST_GROUP_NAME();
/*     */         } 
/*     */       } 
/*  98 */       if (countyflag == 1) {
/*  99 */         destination = String.valueOf(destination) + " 所有下属县级事业单位登记管理局";
/*     */       } else {
/* 101 */         for (int j = 0; j < countyal.size(); j++) {
/* 102 */           if (j != 0) {
/* 103 */             destination = String.valueOf(destination) + "、";
/*     */           } else {
/* 105 */             destination = String.valueOf(destination) + " ";
/* 106 */           }  DocumentReceiver ie = countyal.get(j);
/* 107 */           destination = String.valueOf(destination) + ie.getDEST_GROUP_NAME();
/*     */         } 
/*     */       } 
/* 110 */       if (subproflag == 1) {
/* 111 */         destination = String.valueOf(destination) + " 所有副省级事业单位登记管理局";
/*     */       }
/*     */     } 
/* 114 */     if (destination.length() > 1000) {
/* 115 */       destination = String.valueOf(destination.substring(0, 990)) + "......";
/*     */     }
/* 117 */     Document doc = new Document();
/* 118 */     doc.setDOC_TITLE(title);
/* 119 */     doc.setDOC_NUMBER(number);
/* 120 */     doc.setSOURCE_APPLY_DATE(date);
/*     */     
/* 122 */     doc
/* 123 */       .setSOURCE_GROUP_NAME(this.user.getDistrictcode().equals("100000") ? "国家事业单位登记管理局" : 
/* 124 */         this.user.getGroupname());
/*     */     
/* 126 */     doc.setSOURCE_GROUP_ID(this.user.getGroupid());
/* 127 */     doc.setSOURCE_USER_NAME(this.user.getRealname());
/* 128 */     doc.setDOC_ATTACH_NUM(num);
/* 129 */     doc.setDESTINATION(destination);
/* 130 */     return this.dm.creatDocument(proflag, subproflag, cityflag, countyflag, allflag, proal, 
/* 131 */         cityal, countyal, doc, this.user.getDistrictcode());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int sendFile(String doc_id, String title, String number, String filepath, String filename) {
/* 144 */     DocumentAttachment doca = new DocumentAttachment();
/* 145 */     doca.setDOC_ID(doc_id);
/* 146 */     doca.setDOC_NAME(filename);
/* 147 */     doca.setDOC_NUMBER(number);
/* 148 */     doca.setDOC_TITLE(title);
/*     */     
/* 150 */     return this.dm.sendAttach(doca, filepath);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\send\SendDocumentController.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */