/*     */ package cs.sydj.sysmanage.documenttransport.send;
/*     */ 
/*     */ import cs.sydj.common.CalendarDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import java.io.File;
/*     */ import java.util.Arrays;
/*     */ import java.util.HashSet;
/*     */ import java.util.List;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.CheckStateChangedEvent;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.ICheckStateListener;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.ITreeViewerListener;
/*     */ import org.eclipse.jface.viewers.TreeExpansionEvent;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.dnd.DropTarget;
/*     */ import org.eclipse.swt.dnd.DropTargetEvent;
/*     */ import org.eclipse.swt.dnd.DropTargetListener;
/*     */ import org.eclipse.swt.dnd.FileTransfer;
/*     */ import org.eclipse.swt.dnd.Transfer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.FileDialog;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Item;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.List;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.swt.widgets.TreeItem;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ public class SendDocumentView
/*     */   extends ViewPart
/*     */ {
/*     */   private Text text_2;
/*     */   public static final String ID = "cs.sydj.sysmanage.documenttransport.send.SendDocumentView";
/*     */   private Text text_1;
/*     */   private Text text;
/*     */   private Tree tree;
/*     */   private List list;
/*     */   private String path;
/*     */   private MyCheckTreeViewer checkboxTreeViewer;
/*  59 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*  61 */   private Shell shell = null;
/*     */   private Button button_2;
/*     */   private Button button_subpro;
/*     */   private Button button_3;
/*     */   private Button button_4;
/*     */   private Button button_8;
/*  67 */   private SendDocumentController sumController = new SendDocumentController(
/*  68 */       this.user);
/*  69 */   private HashSet<String> filepaths = new HashSet<String>();
/*     */   
/*  71 */   private int proflag = 0;
/*  72 */   private int subproflag = 0;
/*  73 */   private int cityflag = 0;
/*  74 */   private int countyflag = 0;
/*  75 */   private int allflag = 0;
/*     */   
/*     */   private boolean largeflag = false;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  80 */     this.shell = arg0.getShell();
/*  81 */     arg0.setBackgroundMode(1);
/*  82 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  83 */     GridLayout gridLayout_3 = new GridLayout();
/*  84 */     gridLayout_3.verticalSpacing = 2;
/*  85 */     gridLayout_3.numColumns = 3;
/*  86 */     gridLayout_3.marginBottom = 20;
/*  87 */     gridLayout_3.marginTop = 10;
/*  88 */     gridLayout_3.marginRight = 35;
/*  89 */     gridLayout_3.marginLeft = 35;
/*  90 */     arg0.setLayout((Layout)gridLayout_3);
/*     */ 
/*     */     
/*  93 */     Group group = new Group(arg0, 0);
/*  94 */     group.setText("公文信息");
/*  95 */     GridLayout gridLayout_2 = new GridLayout();
/*  96 */     gridLayout_2.numColumns = 3;
/*  97 */     group.setLayout((Layout)gridLayout_2);
/*  98 */     GridData gd_group = new GridData(4, 16777216, false, false);
/*  99 */     gd_group.widthHint = 450;
/* 100 */     group.setLayoutData(gd_group);
/*     */     
/* 102 */     CLabel label = new CLabel((Composite)group, 0);
/* 103 */     label.setText("发文标题");
/*     */     
/* 105 */     this.text = new Text((Composite)group, 2048);
/* 106 */     this.text.setTextLimit(100);
/* 107 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 108 */         false, 2, 1);
/* 109 */     gd_text.widthHint = 350;
/* 110 */     this.text.setLayoutData(gd_text);
/*     */     
/* 112 */     CLabel label_2 = new CLabel((Composite)group, 0);
/* 113 */     label_2
/* 114 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 115 */     label_2.setText("发文编号");
/*     */     
/* 117 */     this.text_2 = new Text((Composite)group, 2048);
/* 118 */     this.text_2.setTextLimit(50);
/* 119 */     this.text_2.setLayoutData(new GridData(4, 16777216, false, false, 
/* 120 */           2, 1));
/*     */     
/* 122 */     CLabel label_1 = new CLabel((Composite)group, 0);
/* 123 */     label_1
/* 124 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 125 */     label_1.setText("发文时间");
/*     */     
/* 127 */     this.text_1 = new Text((Composite)group, 2056);
/* 128 */     this.text_1.setBackground(Display.getCurrent()
/* 129 */         .getSystemColor(1));
/* 130 */     GridData gd_text_1 = new GridData(4, 16777216, false, 
/* 131 */         false);
/* 132 */     gd_text_1.widthHint = 200;
/* 133 */     this.text_1.setLayoutData(gd_text_1);
/*     */     
/* 135 */     Button button_7 = new Button((Composite)group, 0);
/* 136 */     button_7.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 138 */             Text text = SendDocumentView.this.text_1;
/* 139 */             int width = (text.getLocation()).x;
/* 140 */             int height = (text.getLocation()).y;
/* 141 */             while (text.getParent() != null) {
/* 142 */               Composite composite = text.getParent();
/* 143 */               width += (composite.getLocation()).x;
/* 144 */               height += (composite.getLocation()).y;
/*     */             } 
/* 146 */             (new CalendarDialog(SendDocumentView.this.shell, SendDocumentView.this.text_1, width, 
/* 147 */                 height)).open();
/*     */           }
/*     */         });
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 154 */     button_7.setText("日期");
/*     */ 
/*     */ 
/*     */     
/* 158 */     Group group_1 = new Group(arg0, 0);
/* 159 */     group_1.setText("公文附件");
/* 160 */     GridLayout gridLayout = new GridLayout();
/* 161 */     gridLayout.numColumns = 2;
/* 162 */     group_1.setLayout((Layout)gridLayout);
/* 163 */     group_1.setLayoutData(new GridData(4, 16777216, false, false));
/*     */     
/* 165 */     this.list = new List((Composite)group_1, 2050);
/* 166 */     GridData gd_list = new GridData(4, 16777216, true, false);
/* 167 */     gd_list.heightHint = 40;
/* 168 */     this.list.setLayoutData(gd_list);
/*     */     
/* 170 */     Composite composite = new Composite((Composite)group_1, 0);
/* 171 */     composite.setLayout((Layout)new GridLayout());
/*     */     
/* 173 */     final Button button = new Button(composite, 0);
/* 174 */     button.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */ 
/*     */           
/*     */           public void widgetSelected(SelectionEvent e)
/*     */           {
/* 180 */             FileDialog fileDialog = new FileDialog(SendDocumentView.this.shell, 4098);
/*     */ 
/*     */             
/* 183 */             fileDialog.setFilterPath((SendDocumentView.this.path != null) ? SendDocumentView.this.path.replace("\\", "/") : 
/* 184 */                 SendDocumentView.this.path);
/*     */ 
/*     */ 
/*     */             
/* 188 */             String filename = fileDialog.open();
/* 189 */             String[] fileNames = fileDialog.getFileNames();
/* 190 */             SendDocumentView.this.path = fileDialog.getFilterPath();
/*     */             
/* 192 */             if (fileNames != null && SendDocumentView.this.path != null && SendDocumentView.this.path.length() > 0) {
/* 193 */               if (SendDocumentView.this.path.charAt(SendDocumentView.this.path.length() - 1) != '\\') {
/* 194 */                 SendDocumentView.this.path = String.valueOf(SendDocumentView.this.path) + "\\";
/*     */               }
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 200 */               SendDocumentView.this.largeflag = false;
/* 201 */               for (int i = 0; i < fileNames.length; i++) {
/* 202 */                 SendDocumentView.this.AddFiletoList(SendDocumentView.this.list, String.valueOf(SendDocumentView.this.path) + fileNames[i]);
/*     */               }
/* 204 */               if (SendDocumentView.this.largeflag) {
/* 205 */                 SendDocumentView.this.showInfoBox("不能提交1M以上的公文附件！");
/*     */               }
/*     */             } 
/*     */           }
/*     */         });
/* 210 */     button.setLayoutData(new GridData(-1, 18));
/* 211 */     button.setText("添加");
/*     */     
/* 213 */     Button button_1 = new Button(composite, 0);
/* 214 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 216 */             int[] indexs = SendDocumentView.this.list.getSelectionIndices();
/* 217 */             if (indexs != null && indexs.length > 0)
/* 218 */               SendDocumentView.this.list.remove(indexs); 
/*     */           }
/*     */         });
/* 221 */     button_1.setLayoutData(new GridData(-1, 18));
/* 222 */     button_1.setText("删除");
/*     */ 
/*     */     
/* 225 */     Label label_3 = new Label(arg0, 0);
/* 226 */     label_3.setLayoutData(new GridData(16384, 16777216, true, false));
/* 227 */     label_3.setText(" ");
/*     */     
/* 229 */     Group group_2 = new Group(arg0, 0);
/* 230 */     group_2.setText("送达登记机关");
/* 231 */     GridLayout gridLayout_1 = new GridLayout();
/* 232 */     group_2.setLayout((Layout)gridLayout_1);
/* 233 */     GridData gd_group_2 = new GridData(4, 4, false, true);
/* 234 */     group_2.setLayoutData(gd_group_2);
/*     */     
/* 236 */     Composite composite_1 = new Composite((Composite)group_2, 0);
/* 237 */     composite_1.setBackgroundMode(2);
/* 238 */     GridData gd_composite_1 = new GridData(16384, 128, false, 
/* 239 */         false);
/* 240 */     gd_composite_1.heightHint = 18;
/* 241 */     composite_1.setLayoutData(gd_composite_1);
/* 242 */     composite_1.setLayout((Layout)new FillLayout());
/*     */     
/* 244 */     this.button_2 = new Button(composite_1, 32);
/* 245 */     this.button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 247 */             if (SendDocumentView.this.button_2.getSelection()) {
/* 248 */               SendDocumentView.this.proflag = 1;
/* 249 */               SendDocumentView.this.checkTree();
/*     */             } else {
/* 251 */               SendDocumentView.this.proflag = 0;
/* 252 */               SendDocumentView.this.allflag = 0;
/* 253 */               SendDocumentView.this.button_8.setSelection(false);
/* 254 */               SendDocumentView.this.uncheckTree(1);
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 260 */     this.button_2.setText("省级登记机关");
/*     */ 
/*     */     
/* 263 */     this.button_subpro = new Button(composite_1, 32);
/* 264 */     this.button_subpro.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 266 */             if (SendDocumentView.this.button_subpro.getSelection()) {
/* 267 */               SendDocumentView.this.subproflag = 1;
/* 268 */               SendDocumentView.this.checkTree();
/*     */             } else {
/* 270 */               SendDocumentView.this.subproflag = 0;
/* 271 */               SendDocumentView.this.allflag = 0;
/* 272 */               SendDocumentView.this.button_8.setSelection(false);
/* 273 */               SendDocumentView.this.uncheckTree(2);
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 279 */     this.button_subpro.setText("副省级登记机关");
/*     */     
/* 281 */     this.button_3 = new Button(composite_1, 32);
/* 282 */     this.button_3.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 284 */             if (SendDocumentView.this.button_3.getSelection()) {
/* 285 */               SendDocumentView.this.cityflag = 1;
/* 286 */               SendDocumentView.this.checkTree();
/*     */             } else {
/* 288 */               SendDocumentView.this.cityflag = 0;
/* 289 */               SendDocumentView.this.allflag = 0;
/* 290 */               SendDocumentView.this.button_8.setSelection(false);
/* 291 */               SendDocumentView.this.uncheckTree(1);
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 297 */     this.button_3.setText("地级登记机关");
/*     */     
/* 299 */     this.button_4 = new Button(composite_1, 32);
/* 300 */     this.button_4.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 302 */             if (SendDocumentView.this.button_4.getSelection()) {
/* 303 */               SendDocumentView.this.countyflag = 1;
/* 304 */               SendDocumentView.this.checkTree();
/*     */             } else {
/* 306 */               SendDocumentView.this.countyflag = 0;
/* 307 */               SendDocumentView.this.allflag = 0;
/* 308 */               SendDocumentView.this.button_8.setSelection(false);
/* 309 */               SendDocumentView.this.uncheckTree(1);
/*     */             } 
/*     */           }
/*     */         });
/* 313 */     this.button_4.setText("县级登记机关");
/*     */     
/* 315 */     this.button_8 = new Button(composite_1, 32);
/* 316 */     this.button_8.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 318 */             if (SendDocumentView.this.button_8.getSelection()) {
/* 319 */               SendDocumentView.this.allflag = 1;
/*     */               
/* 321 */               if (SendDocumentView.this.button_2.getVisible()) {
/* 322 */                 SendDocumentView.this.button_2.setSelection(true);
/* 323 */                 SendDocumentView.this.proflag = 1;
/*     */               } 
/* 325 */               if (SendDocumentView.this.button_subpro.getVisible()) {
/* 326 */                 SendDocumentView.this.button_subpro.setSelection(true);
/* 327 */                 SendDocumentView.this.subproflag = 1;
/*     */               } 
/* 329 */               if (SendDocumentView.this.button_3.getVisible()) {
/* 330 */                 SendDocumentView.this.button_3.setSelection(true);
/* 331 */                 SendDocumentView.this.cityflag = 1;
/*     */               } 
/* 333 */               if (SendDocumentView.this.button_4.getVisible()) {
/* 334 */                 SendDocumentView.this.button_4.setSelection(true);
/* 335 */                 SendDocumentView.this.countyflag = 1;
/*     */               } 
/* 337 */               SendDocumentView.this.checkTree();
/*     */             } else {
/* 339 */               SendDocumentView.this.allflag = 0;
/* 340 */               if (SendDocumentView.this.button_2.getVisible()) {
/* 341 */                 SendDocumentView.this.button_2.setSelection(false);
/* 342 */                 SendDocumentView.this.proflag = 0;
/*     */               } 
/* 344 */               if (SendDocumentView.this.button_subpro.getVisible()) {
/* 345 */                 SendDocumentView.this.button_subpro.setSelection(false);
/* 346 */                 SendDocumentView.this.subproflag = 0;
/*     */               } 
/* 348 */               if (SendDocumentView.this.button_3.getVisible()) {
/* 349 */                 SendDocumentView.this.button_3.setSelection(false);
/* 350 */                 SendDocumentView.this.cityflag = 0;
/*     */               } 
/* 352 */               if (SendDocumentView.this.button_4.getVisible()) {
/* 353 */                 SendDocumentView.this.button_4.setSelection(false);
/* 354 */                 SendDocumentView.this.countyflag = 0;
/*     */               } 
/* 356 */               SendDocumentView.this.uncheckTree(0);
/*     */             } 
/*     */           }
/*     */         });
/* 360 */     this.button_8.setText("全部");
/*     */     
/* 362 */     this.checkboxTreeViewer = new MyCheckTreeViewer((Composite)group_2, 2048);
/* 363 */     this.checkboxTreeViewer.addTreeListener(new ITreeViewerListener()
/*     */         {
/*     */           public void treeCollapsed(TreeExpansionEvent arg0) {}
/*     */           
/*     */           public void treeExpanded(TreeExpansionEvent arg0) {
/* 368 */             InfoEntity ie = (InfoEntity)arg0.getElement();
/* 369 */             if (ie.getId().equals("1") || 
/* 370 */               ie.getId().equals(SendDocumentView.this.user.getGroupid())) {
/* 371 */               TreeItem ti = SendDocumentView.this.checkboxTreeViewer.getTree()
/* 372 */                 .getItems()[0];
/* 373 */               ti.setChecked(false);
/* 374 */             } else if (ie.getId().equals("3478") || 
/* 375 */               ie.getGroupid().equals("3478")) {
/* 376 */               if (SendDocumentView.this.user.getDistrictcode().equals("100000")) {
/* 377 */                 SendDocumentView.this.uncheckNations();
/*     */               }
/* 379 */             } else if (SendDocumentView.this.proflag == 1 || SendDocumentView.this.subproflag == 1 || SendDocumentView.this.cityflag == 1 || SendDocumentView.this.countyflag == 1) {
/* 380 */               SendDocumentView.this.checkTree();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 385 */     this.checkboxTreeViewer.addCheckStateListener(new ICheckStateListener()
/*     */         {
/*     */           public void checkStateChanged(CheckStateChangedEvent arg0)
/*     */           {
/* 389 */             InfoEntity ie = (InfoEntity)arg0.getElement();
/* 390 */             if (ie.getId().equals("1") || 
/* 391 */               ie.getId().equals(SendDocumentView.this.user.getGroupid())) {
/* 392 */               TreeItem ti = SendDocumentView.this.checkboxTreeViewer.getTree()
/* 393 */                 .getItems()[0];
/* 394 */               ti.setChecked(false);
/* 395 */             } else if (ie.getId().equals("3478") || 
/* 396 */               ie.getGroupid().equals("3478")) {
/* 397 */               if (SendDocumentView.this.user.getDistrictcode().equals("100000")) {
/* 398 */                 SendDocumentView.this.uncheckNations();
/*     */               }
/* 400 */             } else if (!arg0.getChecked()) {
/* 401 */               switch (ie.getLevel()) {
/*     */                 case 2:
/* 403 */                   SendDocumentView.this.proflag = 0;
/* 404 */                   SendDocumentView.this.button_2.setSelection(false);
/*     */                   break;
/*     */                 case 3:
/* 407 */                   SendDocumentView.this.cityflag = 0;
/* 408 */                   SendDocumentView.this.button_3.setSelection(false);
/* 409 */                   SendDocumentView.this.subproflag = 0;
/* 410 */                   SendDocumentView.this.button_subpro.setSelection(false);
/*     */                   break;
/*     */                 case 4:
/* 413 */                   SendDocumentView.this.countyflag = 0;
/* 414 */                   SendDocumentView.this.button_4.setSelection(false);
/*     */                   break;
/*     */               } 
/*     */ 
/*     */               
/* 419 */               SendDocumentView.this.button_8.setSelection(false);
/* 420 */               SendDocumentView.this.showChecks();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 426 */     this.tree = this.checkboxTreeViewer.getTree();
/* 427 */     this.tree.setLayoutData(new GridData(4, 4, true, true));
/* 428 */     this.checkboxTreeViewer.setUseHashlookup(true);
/*     */     
/* 430 */     Label label_3_1 = new Label(arg0, 0);
/* 431 */     label_3_1.setLayoutData(new GridData(16384, 16777216, true, false));
/* 432 */     label_3_1.setText(" ");
/*     */ 
/*     */     
/* 435 */     Composite composite_2 = new Composite(arg0, 0);
/* 436 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 437 */           false));
/* 438 */     composite_2.setLayout((Layout)new FillLayout());
/*     */     
/* 440 */     Button button_6 = new Button(composite_2, 0);
/* 441 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 443 */             String[] files = SendDocumentView.this.list.getItems();
/* 444 */             if (SendDocumentView.this.isNotNull(SendDocumentView.this.text, "发文标题不能为空") && 
/* 445 */               SendDocumentView.this.isNotNull(SendDocumentView.this.text_2, "发文编号不能为空") && 
/* 446 */               SendDocumentView.this.isNotNull(SendDocumentView.this.text_1, "发文时间不能为空"))
/*     */             {
/* 448 */               if (files == null || files.length == 0) {
/* 449 */                 SendDocumentView.this.showInfoBox("请输入附件！");
/* 450 */                 button.setFocus();
/*     */               } else {
/*     */                 
/* 453 */                 Object[] checks = SendDocumentView.this.checkboxTreeViewer
/* 454 */                   .getCheckedElements();
/*     */                 
/* 456 */                 if (SendDocumentView.this.proflag == 1 || SendDocumentView.this.subproflag == 1 || SendDocumentView.this.cityflag == 1 || SendDocumentView.this.countyflag == 1 || 
/* 457 */                   SendDocumentView.this.allflag == 1 || checks.length > 0) {
/* 458 */                   SendProgressDialog ss = new SendProgressDialog(
/* 459 */                       SendDocumentView.this.shell, "发送公文中...", SendDocumentView.this.text.getText(), 
/* 460 */                       SendDocumentView.this.text_2.getText(), SendDocumentView.this.text_1.getText(), 
/* 461 */                       files, SendDocumentView.this.proflag, SendDocumentView.this.subproflag, SendDocumentView.this.cityflag, SendDocumentView.this.countyflag, 
/* 462 */                       SendDocumentView.this.allflag, checks, SendDocumentView.this.sumController);
/* 463 */                   ss.run(true, false);
/* 464 */                   int r = ss.creatresult;
/* 465 */                   if (r == 0) {
/* 466 */                     SendDocumentView.this.showInfoBox("发送公文出错，请重试！");
/*     */                   }
/*     */                   else {
/*     */                     
/* 470 */                     MessageBox messageBox = new MessageBox(SendDocumentView.this.shell, 
/* 471 */                         34);
/* 472 */                     messageBox.setMessage("发送公文成功！");
/* 473 */                     messageBox.setText("信息提示");
/* 474 */                     messageBox.open();
/* 475 */                     SendDocumentView.this.initInput();
/*     */                   } 
/*     */                 } else {
/* 478 */                   SendDocumentView.this.showInfoBox("请选择公文接受登记机关！");
/*     */                 } 
/*     */               } 
/*     */             }
/*     */           }
/*     */         });
/* 484 */     button_6.setText("发送");
/*     */     
/* 486 */     Button button_5 = new Button(composite_2, 0);
/* 487 */     button_5.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 489 */             SendDocumentView.this.initInput();
/*     */           }
/*     */         });
/* 492 */     button_5.setText("重置");
/*     */ 
/*     */     
/* 495 */     initView();
/* 496 */     initData();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initView() {
/* 502 */     initializeToolBar();
/*     */     
/* 504 */     if (this.user.getDistrictcode().equals("100000")) {
/* 505 */       this.button_2.setVisible(true);
/* 506 */       this.button_subpro.setVisible(true);
/* 507 */       this.button_3.setVisible(false);
/* 508 */       this.button_4.setVisible(false);
/*     */     } else {
/* 510 */       this.button_2.setVisible(false);
/* 511 */       this.button_subpro.setVisible(false);
/* 512 */       if (this.user.getDistrictcode().matches(".*0000$")) {
/* 513 */         this.button_3.setVisible(true);
/* 514 */         this.button_4.setVisible(false);
/*     */       } else {
/* 516 */         this.button_3.setVisible(false);
/* 517 */         if (this.user.getDistrictcode().matches(".*00$")) {
/* 518 */           this.button_4.setVisible(true);
/*     */         } else {
/* 520 */           this.button_4.setVisible(false);
/* 521 */           this.button_8.setVisible(false);
/*     */         } 
/*     */       } 
/*     */     } 
/* 525 */     this.checkboxTreeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */ 
/*     */     
/* 528 */     final Transfer[] types = { (Transfer)FileTransfer.getInstance() };
/*     */ 
/*     */ 
/*     */     
/* 532 */     DropTarget listDropTarget = new DropTarget((Control)this.list, 17);
/*     */     
/* 534 */     listDropTarget.setTransfer(types);
/*     */     
/* 536 */     listDropTarget.addDropListener(new DropTargetListener()
/*     */         {
/*     */           public void dragEnter(DropTargetEvent event) {}
/*     */ 
/*     */           
/*     */           public void dragLeave(DropTargetEvent event) {}
/*     */ 
/*     */           
/*     */           public void dragOperationChanged(DropTargetEvent event) {}
/*     */ 
/*     */           
/*     */           public void dragOver(DropTargetEvent event) {
/* 548 */             event.detail = 1;
/*     */           }
/*     */ 
/*     */           
/*     */           public void drop(DropTargetEvent event) {
/* 553 */             event.detail = 1;
/*     */             
/* 555 */             if (types[0].isSupportedType(event.currentDataType)) {
/* 556 */               String[] files = (String[])event.data;
/* 557 */               if (files != null && files.length > 0) {
/* 558 */                 SendDocumentView.this.largeflag = false; byte b; int i; String[] arrayOfString;
/* 559 */                 for (i = (arrayOfString = files).length, b = 0; b < i; ) { String filename = arrayOfString[b];
/* 560 */                   SendDocumentView.this.AddFiletoList(SendDocumentView.this.list, filename); b++; }
/*     */                 
/* 562 */                 if (SendDocumentView.this.largeflag) {
/* 563 */                   SendDocumentView.this.showInfoBox("不能提交1M以上的公文附件！");
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */ 
/*     */ 
/*     */           
/*     */           public void dropAccept(DropTargetEvent event) {}
/*     */         });
/*     */   }
/*     */ 
/*     */   
/*     */   private void initInput() {
/* 577 */     this.text.setText("");
/* 578 */     this.text_1.setText("");
/* 579 */     this.text_2.setText("");
/* 580 */     this.proflag = 0;
/* 581 */     this.subproflag = 0;
/* 582 */     this.cityflag = 0;
/* 583 */     this.countyflag = 0;
/* 584 */     this.allflag = 0;
/* 585 */     this.button_2.setSelection(false);
/* 586 */     this.button_subpro.setSelection(false);
/* 587 */     this.button_3.setSelection(false);
/* 588 */     this.button_4.setSelection(false);
/*     */     
/* 590 */     this.button_8.setSelection(false);
/*     */     
/* 592 */     this.filepaths.clear();
/* 593 */     this.list.removeAll();
/* 594 */     this.checkboxTreeViewer.setInput(this.sumController.creatRoot());
/* 595 */     this.checkboxTreeViewer.refresh();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initData() {
/* 605 */     this.checkboxTreeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider());
/*     */     
/* 607 */     initInput();
/*     */   }
/*     */   
/*     */   private void initializeToolBar() {
/* 611 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 612 */       .getToolBarManager();
/*     */   }
/*     */ 
/*     */   
/*     */   private void AddFiletoList(List list, String string) {
/* 617 */     if (!this.filepaths.contains(string)) {
/* 618 */       String temp = string.replaceAll("\\\\", "/");
/* 619 */       File fileinfo = new File(temp);
/* 620 */       int len = (int)fileinfo.length() / 1024;
/* 621 */       if (len <= 10240) {
/* 622 */         list.add(string);
/* 623 */         this.filepaths.add(string);
/*     */       } else {
/* 625 */         this.largeflag = true;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 632 */     text.setText(text.getText().trim());
/* 633 */     if (text.getText().trim().length() == 0) {
/* 634 */       text.setText(text.getText().trim());
/* 635 */       showInputErr(text, info);
/* 636 */       return false;
/*     */     } 
/* 638 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 643 */     text.setText(text.getText().trim());
/* 644 */     if (length == -1) {
/* 645 */       if (!text.getText().trim().matches("^[\\d]*$")) {
/* 646 */         text.setText(text.getText().trim());
/* 647 */         showInputErr(text, info);
/* 648 */         return false;
/*     */       } 
/* 650 */       return true;
/* 651 */     }  if (length == 0) {
/* 652 */       if (!text.getText().trim().matches("^[\\d]+$")) {
/* 653 */         text.setText(text.getText().trim());
/* 654 */         showInputErr(text, info);
/* 655 */         return false;
/*     */       } 
/* 657 */       return true;
/*     */     } 
/* 659 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 660 */       text.getText().trim().length() != length) {
/* 661 */       text.setText(text.getText().trim());
/* 662 */       showInputErr(text, info);
/* 663 */       return false;
/*     */     } 
/* 665 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 671 */     text.setText(text.getText().trim());
/* 672 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 673 */     mbox.setMessage(info);
/* 674 */     mbox.setText("错误提示");
/* 675 */     mbox.open();
/* 676 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 681 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 682 */     mbox.setMessage(info);
/* 683 */     mbox.setText("错误提示");
/* 684 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 689 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 691 */     mbox.setMessage(info);
/* 692 */     mbox.setText("信息提示");
/* 693 */     return mbox.open();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void checkTree() {
/* 707 */     Item[] ispro = this.checkboxTreeViewer.getTheTreeItems();
/* 708 */     if (this.allflag == 1)
/* 709 */     { if (ispro != null) {
/* 710 */         byte b; int i; Item[] arrayOfItem; for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 711 */           TreeItem tip = (TreeItem)ip;
/* 712 */           InfoEntity iep = (InfoEntity)tip.getData();
/* 713 */           Item[] iscity = this.checkboxTreeViewer.getTheTreeItems(ip);
/* 714 */           if (!iep.getId().equals("3478"))
/* 715 */             tip.setChecked(true); 
/* 716 */           if (iscity != null) {
/* 717 */             byte b1; int j; Item[] arrayOfItem1; for (j = (arrayOfItem1 = iscity).length, b1 = 0; b1 < j; ) { Item icity = arrayOfItem1[b1];
/* 718 */               TreeItem ticity = (TreeItem)icity;
/* 719 */               InfoEntity iecity = (InfoEntity)ticity.getData();
/*     */               
/* 721 */               if (!iecity.getGroupid().equals("3478"))
/* 722 */                 ticity.setChecked(true); 
/* 723 */               Item[] iscounty = this.checkboxTreeViewer
/* 724 */                 .getTheTreeItems((Item)ticity);
/* 725 */               if (iscounty != null) {
/* 726 */                 byte b2; int k; Item[] arrayOfItem2; for (k = (arrayOfItem2 = iscounty).length, b2 = 0; b2 < k; ) { Item icounty = arrayOfItem2[b2];
/* 727 */                   TreeItem ticounty = (TreeItem)icounty;
/* 728 */                   InfoEntity iecounty = (InfoEntity)ticounty
/* 729 */                     .getData();
/*     */ 
/*     */ 
/*     */                   
/* 733 */                   ticounty.setChecked(true); b2++; }
/*     */               
/*     */               }  b1++; }
/*     */           
/*     */           }  b++; }
/*     */       
/*     */       }  }
/* 740 */     else { if (this.subproflag == 1) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 748 */         String[] subproArray = "661,591,475,1384,832,954,1970,1718,2321,2853,489,1395,968,1192,1995".split(",");
/* 749 */         List<String> subproList = Arrays.asList(subproArray);
/*     */         
/*     */         byte b;
/*     */         
/*     */         int i;
/*     */         Item[] arrayOfItem;
/* 755 */         for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 756 */           Item[] issubpro = this.checkboxTreeViewer.getTheTreeItems(ip);
/* 757 */           if (issubpro != null) {
/* 758 */             byte b1; int j; Item[] arrayOfItem1; for (j = (arrayOfItem1 = issubpro).length, b1 = 0; b1 < j; ) { Item subpro = arrayOfItem1[b1];
/* 759 */               TreeItem obj = (TreeItem)subpro;
/* 760 */               InfoEntity iepro = (InfoEntity)obj.getData();
/* 761 */               if (subproList.contains(iepro.getId()) && !iepro.getId().equals("3478"))
/* 762 */                 obj.setChecked(true);  b1++; }
/*     */           
/*     */           }  b++; }
/*     */       
/*     */       } 
/* 767 */       if ((this.proflag == 1 || this.cityflag == 1 || this.countyflag == 1) && 
/* 768 */         ispro != null) {
/* 769 */         byte b; int i; Item[] arrayOfItem; for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 770 */           TreeItem tip = (TreeItem)ip;
/* 771 */           InfoEntity iep = (InfoEntity)tip.getData();
/* 772 */           if (!iep.getId().equals("3478")) {
/* 773 */             tip.setChecked(true);
/*     */           }
/*     */           b++; }
/*     */       
/*     */       }  }
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void uncheckTree(int l) {
/* 790 */     Item[] ispro = this.checkboxTreeViewer.getTheTreeItems();
/* 791 */     if (l == 0) {
/* 792 */       if (ispro != null) {
/* 793 */         byte b; int i; Item[] arrayOfItem; for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 794 */           TreeItem tip = (TreeItem)ip;
/*     */           
/* 796 */           Item[] iscity = this.checkboxTreeViewer.getTheTreeItems(ip);
/*     */           
/* 798 */           tip.setChecked(false);
/* 799 */           if (iscity != null) {
/* 800 */             byte b1; int j; Item[] arrayOfItem1; for (j = (arrayOfItem1 = iscity).length, b1 = 0; b1 < j; ) { Item icity = arrayOfItem1[b1];
/* 801 */               TreeItem ticity = (TreeItem)icity;
/*     */               
/* 803 */               Item[] iscounty = this.checkboxTreeViewer
/* 804 */                 .getTheTreeItems((Item)ticity);
/*     */               
/* 806 */               ticity.setChecked(false);
/*     */               
/* 808 */               if (iscounty != null)
/* 809 */               { byte b2; int k; Item[] arrayOfItem2; for (k = (arrayOfItem2 = iscounty).length, b2 = 0; b2 < k; ) { Item icounty = arrayOfItem2[b2];
/* 810 */                   TreeItem ticounty = (TreeItem)icounty;
/* 811 */                   InfoEntity iecounty = (InfoEntity)ticounty
/* 812 */                     .getData();
/*     */ 
/*     */ 
/*     */                   
/* 816 */                   ticounty.setChecked(false); b2++; }  }  b1++; } 
/*     */           }  b++; }
/*     */       
/*     */       } 
/* 820 */     } else if (l == 2) {
/* 821 */       String[] subproArray = "661,591,475,1384,832,954,1970,1718,2321,2853,489,1395,968,1192,1995".split(",");
/* 822 */       List<String> subproList = Arrays.asList(subproArray); byte b; int i; Item[] arrayOfItem;
/* 823 */       for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 824 */         Item[] issubpro = this.checkboxTreeViewer.getTheTreeItems(ip);
/* 825 */         if (issubpro != null) {
/* 826 */           byte b1; int j; Item[] arrayOfItem1; for (j = (arrayOfItem1 = issubpro).length, b1 = 0; b1 < j; ) { Item subpro = arrayOfItem1[b1];
/* 827 */             TreeItem obj = (TreeItem)subpro;
/* 828 */             InfoEntity iepro = (InfoEntity)obj.getData();
/* 829 */             if (subproList.contains(iepro.getId()))
/* 830 */               obj.setChecked(false);  b1++; }
/*     */         
/*     */         } 
/*     */         b++; }
/*     */     
/* 835 */     } else if (ispro != null) {
/* 836 */       byte b; int i; Item[] arrayOfItem; for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 837 */         TreeItem tip = (TreeItem)ip;
/*     */         
/* 839 */         Item[] iscity = this.checkboxTreeViewer.getTheTreeItems(ip);
/*     */         
/* 841 */         tip.setChecked(false);
/*     */         b++; }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void uncheckNations() {
/* 850 */     if (this.user.getDistrictcode().equals("100000")) {
/*     */       
/* 852 */       Item[] is = this.checkboxTreeViewer.getTheTreeItems(); byte b; int i; Item[] arrayOfItem1;
/* 853 */       for (i = (arrayOfItem1 = is).length, b = 0; b < i; ) { Item item = arrayOfItem1[b];
/* 854 */         TreeItem ti = (TreeItem)item;
/* 855 */         InfoEntity ie = (InfoEntity)ti.getData();
/* 856 */         if (ie.getId().equals("1")) {
/* 857 */           ti.setChecked(false);
/* 858 */           Item[] ispro = this.checkboxTreeViewer.getTheTreeItems(item);
/* 859 */           if (ispro != null) {
/* 860 */             byte b1; int j; Item[] arrayOfItem; for (j = (arrayOfItem = ispro).length, b1 = 0; b1 < j; ) { Item ip = arrayOfItem[b1];
/* 861 */               TreeItem tip = (TreeItem)ip;
/* 862 */               InfoEntity iep = (InfoEntity)tip.getData();
/*     */               
/* 864 */               if (iep.getId().equals("3478")) {
/* 865 */                 Item[] iscity = this.checkboxTreeViewer
/* 866 */                   .getTheTreeItems(ip);
/* 867 */                 if (iscity != null) {
/* 868 */                   byte b2; int k; Item[] arrayOfItem2; for (k = (arrayOfItem2 = iscity).length, b2 = 0; b2 < k; ) { Item icity = arrayOfItem2[b2];
/* 869 */                     TreeItem ticity = (TreeItem)icity;
/* 870 */                     ticity.setChecked(false);
/*     */                     b2++; }
/*     */                 
/*     */                 } 
/*     */               } 
/*     */               b1++; }
/*     */           
/*     */           } 
/*     */         } 
/*     */         b++; }
/*     */     
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void showChecks() {
/* 890 */     boolean proState = false;
/* 891 */     boolean cityState = false;
/* 892 */     boolean countyState = false;
/* 893 */     Item[] ispro = this.checkboxTreeViewer.getTheTreeItems();
/*     */     
/* 895 */     if (ispro != null) {
/* 896 */       byte b; int i; Item[] arrayOfItem; for (i = (arrayOfItem = ispro).length, b = 0; b < i; ) { Item ip = arrayOfItem[b];
/* 897 */         TreeItem tip = (TreeItem)ip;
/*     */         
/* 899 */         Item[] iscity = this.checkboxTreeViewer.getTheTreeItems(ip);
/* 900 */         proState = !(!proState && !tip.getChecked());
/*     */         
/* 902 */         if (iscity != null) {
/* 903 */           byte b1; int j; Item[] arrayOfItem1; for (j = (arrayOfItem1 = iscity).length, b1 = 0; b1 < j; ) { Item icity = arrayOfItem1[b1];
/* 904 */             TreeItem ticity = (TreeItem)icity;
/*     */             
/* 906 */             Item[] iscounty = this.checkboxTreeViewer
/* 907 */               .getTheTreeItems((Item)ticity);
/* 908 */             cityState = !(!cityState && !ticity.getChecked());
/*     */             
/* 910 */             if (iscounty != null) {
/* 911 */               byte b2; int k; Item[] arrayOfItem2; for (k = (arrayOfItem2 = iscounty).length, b2 = 0; b2 < k; ) { Item icounty = arrayOfItem2[b2];
/* 912 */                 TreeItem ticounty = (TreeItem)icounty;
/* 913 */                 InfoEntity iecounty = (InfoEntity)ticounty
/* 914 */                   .getData();
/*     */ 
/*     */                 
/* 917 */                 countyState = !(!countyState && 
/* 918 */                   !ticounty.getChecked()); b2++; } 
/*     */             }  b1++; }
/*     */         
/*     */         }  b++; }
/*     */     
/* 923 */     }  if (!this.button_2.getVisible()) {
/* 924 */       if (this.button_3.getVisible()) {
/* 925 */         this.button_4.setEnabled(!(this.cityflag != 1 && !proState));
/*     */         
/* 927 */         if (!this.button_4.getEnabled()) {
/* 928 */           this.countyflag = 0;
/* 929 */           this.button_4.setSelection(false);
/*     */         } 
/*     */       } 
/*     */     } else {
/* 933 */       this.button_3.setEnabled(!(!proState && this.proflag != 1));
/* 934 */       if (!this.button_3.getEnabled()) {
/* 935 */         this.cityflag = 0;
/* 936 */         this.button_3.setSelection(false);
/*     */       } 
/*     */       
/* 939 */       this.button_4.setEnabled(!(!cityState && this.cityflag != 1));
/* 940 */       if (!this.button_4.getEnabled()) {
/* 941 */         this.countyflag = 0;
/* 942 */         this.button_4.setSelection(false);
/*     */       } 
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\send\SendDocumentView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */