/*     */ package cs.sydj.sysmanage.documenttransport.send;
/*     */ 
/*     */ import java.lang.reflect.InvocationTargetException;
/*     */ import org.eclipse.core.runtime.IProgressMonitor;
/*     */ import org.eclipse.jface.dialogs.ProgressMonitorDialog;
/*     */ import org.eclipse.jface.operation.IRunnableWithProgress;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ public class SendProgressDialog
/*     */   extends ProgressMonitorDialog
/*     */ {
/*     */   private String[] files;
/*     */   private String label;
/*     */   private String title;
/*     */   private String number;
/*     */   private String date;
/*     */   private int proflag;
/*     */   private int subproflag;
/*     */   private int cityflag;
/*     */   private int countyflag;
/*     */   private int allflag;
/*     */   private Object[] checks;
/*  24 */   public int creatresult = 0;
/*     */   
/*     */   private SendDocumentController sumController;
/*     */   
/*     */   private IRunnableWithProgress runnable;
/*     */   
/*     */   public SendProgressDialog(Shell shell, String label, String title, String number, String date, String[] files, int proflag, int subproflag, int cityflag, int countyflag, int allflag, Object[] checks, SendDocumentController sumController) {
/*  31 */     super(shell);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  64 */     this.runnable = new IRunnableWithProgress()
/*     */       {
/*     */         public void run(IProgressMonitor monitor) throws InvocationTargetException, InterruptedException
/*     */         {
/*  68 */           int length = SendProgressDialog.this.files.length;
/*     */ 
/*     */           
/*  71 */           monitor.beginTask(SendProgressDialog.this.label, length + 1);
/*  72 */           monitor.setTaskName("创建公文内容......");
/*     */           
/*  74 */           String result = SendProgressDialog.this.sumController.creatDocument(SendProgressDialog.this.title, SendProgressDialog.this.number, SendProgressDialog.this.date, 
/*  75 */               length, SendProgressDialog.this.proflag, SendProgressDialog.this.subproflag, SendProgressDialog.this.cityflag, SendProgressDialog.this.countyflag, SendProgressDialog.this.allflag, SendProgressDialog.this.checks);
/*  76 */           if (result == null || result.length() == 0) {
/*  77 */             monitor.setTaskName("创建公文出错！");
/*  78 */             monitor.done();
/*  79 */             SendProgressDialog.this.creatresult = 0;
/*     */             
/*     */             return;
/*     */           } 
/*  83 */           monitor.worked(1);
/*  84 */           for (int i = 0; i < length; i++) {
/*  85 */             String temp = SendProgressDialog.this.files[i];
/*  86 */             temp = temp.replaceAll("\\\\", "/");
/*     */             
/*  88 */             int index = temp.lastIndexOf("/") + 1;
/*     */             
/*  90 */             String file = temp.substring(index, 
/*  91 */                 temp.lastIndexOf("."));
/*  92 */             String type = temp.substring(temp.lastIndexOf("."));
/*     */             
/*  94 */             monitor.setTaskName("正在发送文件：" + file + ".....");
/*  95 */             SendProgressDialog.this.sumController.sendFile(result, SendProgressDialog.this.title, SendProgressDialog.this.number, temp, String.valueOf(file) + type);
/*  96 */             monitor.worked(1);
/*     */           } 
/*     */           
/*  99 */           monitor.setTaskName("创建完毕！");
/* 100 */           monitor.done();
/* 101 */           SendProgressDialog.this.creatresult = 1;
/*     */         }
/*     */       };
/*     */     this.files = files;
/*     */     this.label = label;
/*     */     this.title = title;
/*     */     this.number = number;
/*     */     this.date = date;
/*     */     this.proflag = proflag;
/*     */     this.subproflag = subproflag;
/*     */     this.cityflag = cityflag;
/*     */     this.countyflag = countyflag;
/*     */     this.allflag = allflag;
/*     */     this.checks = checks;
/*     */     this.sumController = sumController;
/*     */     if (this.taskLabel != null)
/*     */       this.taskLabel.setText(label); 
/*     */     if (this.subTaskLabel != null)
/*     */       this.subTaskLabel.setText(label); 
/*     */   }
/*     */   
/*     */   public void run(boolean fork, boolean cancelable) {
/*     */     try {
/*     */       run(fork, cancelable, this.runnable);
/*     */     } catch (InvocationTargetException e) {
/*     */       e.printStackTrace();
/*     */     } catch (InterruptedException e) {
/*     */       e.printStackTrace();
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\documenttransport\send\SendProgressDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */