/*     */ package cs.sydj.sysmanage.hylbmanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.buttongroup.ButtonClick;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerControler;
/*     */ import cs.sydj.sysmanage.hylbmanage.tree.TreeViewerLableProvider;
/*     */ import java.util.ArrayList;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.custom.StackLayout;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FillLayout;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.layout.RowData;
/*     */ import org.eclipse.swt.layout.RowLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Group;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.List;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.hylb.HYLBtreeItem;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysHYLBManageView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.hylbmanage.SysHYLBManageView";
/*  50 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*  51 */   private SysHYLBManageController sumController = new SysHYLBManageController(
/*  52 */       this.user);
/*     */   private TreeViewer treeview;
/*  54 */   private TreeViewerControler tvCon = new TreeViewerControler();
/*     */   
/*  56 */   private TreeViewerLableProvider tvlabelP = new TreeViewerLableProvider();
/*  57 */   private TreeViewerContentProvider tvcontentP = new TreeViewerContentProvider();
/*     */   
/*  59 */   private Shell shell = null;
/*  60 */   private Composite comp = null;
/*  61 */   private StackLayout stackLayout = new StackLayout();
/*     */   
/*     */   private Text text_9;
/*     */   
/*     */   private Text text_8;
/*     */   
/*     */   private Text text_7;
/*     */   
/*     */   private Text text_2;
/*     */   
/*     */   private Text text_1;
/*     */   
/*     */   private Text text;
/*     */   
/*     */   private List list;
/*     */   private Tree tree_1;
/*     */   private Button button_8;
/*     */   private Button button_9;
/*     */   private Button button_10;
/*     */   private Group groupCheck;
/*     */   private Group groupEdit;
/*     */   private Group groupMove;
/*     */   private Group groupAdd;
/*     */   private Label label_9;
/*     */   private Label label_11;
/*     */   private Label label_27;
/*     */   private Label label_36;
/*     */   private Composite composite;
/*     */   private HYLBtreeItem info;
/*     */   private HYLBtreeItem parent;
/*     */   private Composite initInfo;
/*     */   private SysHYLBButtonGroup sysHYLBButtonGroup;
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  95 */     this.comp = arg0;
/*  96 */     this.shell = arg0.getShell();
/*  97 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  98 */     arg0.setBackgroundMode(2);
/*  99 */     GridLayout gridLayout = new GridLayout();
/* 100 */     gridLayout.marginTop = 10;
/* 101 */     gridLayout.marginRight = 35;
/* 102 */     gridLayout.marginLeft = 35;
/* 103 */     gridLayout.numColumns = 2;
/* 104 */     gridLayout.verticalSpacing = 2;
/* 105 */     gridLayout.marginBottom = 10;
/* 106 */     arg0.setLayout((Layout)gridLayout);
/* 107 */     FormData fd_list = new FormData();
/* 108 */     fd_list.bottom = new FormAttachment(0, 65);
/* 109 */     fd_list.left = new FormAttachment(0, 14);
/* 110 */     fd_list.right = new FormAttachment(0, 470);
/* 111 */     fd_list.top = new FormAttachment(0, 5);
/*     */     
/* 113 */     Label label = new Label(arg0, 16777280);
/* 114 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/* 115 */     GridData gd_label = new GridData(16384, 16777216, true, 
/* 116 */         false, 2, 1);
/* 117 */     label.setLayoutData(gd_label);
/* 118 */     label.setText("行业类别管理");
/*     */     
/* 120 */     Label label_1 = new Label(arg0, 258);
/* 121 */     label_1.setLayoutData(new GridData(4, 16777216, false, false, 
/* 122 */           2, 1));
/*     */     
/* 124 */     this.text = new Text(arg0, 2048);
/* 125 */     GridData gd_text = new GridData(4, 16777216, false, 
/* 126 */         false);
/* 127 */     gd_text.widthHint = 280;
/* 128 */     this.text.setLayoutData(gd_text);
/*     */     
/* 130 */     Button button = new Button(arg0, 0);
/* 131 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 133 */             if (SysHYLBManageView.this.text.getText() != null && 
/* 134 */               SysHYLBManageView.this.text.getText().trim().length() > 0) {
/*     */               
/* 136 */               SysHYLBManageView.this
/* 137 */                 .initList(SysHYLBManageView.this.sumController.searchHYLBName(SysHYLBManageView.this.text.getText().trim()));
/*     */             } else {
/* 139 */               SysHYLBManageView.this.text.setText("");
/*     */             }  }
/*     */         });
/* 142 */     button.setLayoutData(new GridData());
/* 143 */     button.setText("查询");
/*     */     
/* 145 */     this.list = new List(arg0, 2560);
/* 146 */     this.list.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 149 */             String[] select = SysHYLBManageView.this.list.getSelection();
/* 150 */             SysHYLBManageView.this.info = (HYLBtreeItem)SysHYLBManageView.this.list.getData(select[0]);
/* 151 */             SysHYLBManageView.this.initGroupCheck();
/*     */           }
/*     */         });
/* 154 */     GridData gd_list = new GridData(4, 4, true, false, 
/* 155 */         2, 1);
/* 156 */     gd_list.widthHint = 100;
/* 157 */     gd_list.heightHint = 40;
/* 158 */     this.list.setLayoutData(gd_list);
/*     */     
/* 160 */     Composite composite_6 = new Composite(arg0, 0);
/* 161 */     composite_6.setLayout((Layout)new FormLayout());
/* 162 */     GridData gd_composite_6 = new GridData(4, 128, true, false, 2, 1);
/* 163 */     gd_composite_6.heightHint = 255;
/* 164 */     composite_6.setLayoutData(gd_composite_6);
/*     */     
/* 166 */     this.treeview = new TreeViewer(composite_6, 2048);
/* 167 */     this.tree_1 = this.treeview.getTree();
/* 168 */     FormData fd_tree_1_1 = new FormData();
/* 169 */     fd_tree_1_1.bottom = new FormAttachment(100, 0);
/* 170 */     fd_tree_1_1.top = new FormAttachment(0, 0);
/* 171 */     fd_tree_1_1.right = new FormAttachment(45, 0);
/* 172 */     fd_tree_1_1.left = new FormAttachment(0, 0);
/* 173 */     this.tree_1.setLayoutData(fd_tree_1_1);
/* 174 */     FormData fd_tree_1 = new FormData();
/* 175 */     fd_tree_1.bottom = new FormAttachment(0, 95);
/* 176 */     fd_tree_1.top = new FormAttachment(0, 0);
/* 177 */     fd_tree_1.right = new FormAttachment(0, 200);
/* 178 */     fd_tree_1.left = new FormAttachment(0, 0);
/* 179 */     this.tree_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 181 */             InfoEntity select = null;
/*     */             
/* 183 */             IStructuredSelection i = (IStructuredSelection)SysHYLBManageView.this.treeview
/* 184 */               .getSelection();
/*     */             
/* 186 */             SysHYLBManageView.this.stackLayout.topControl = (Control)SysHYLBManageView.this.groupCheck;
/*     */             
/* 188 */             if (i != null) {
/* 189 */               SysHYLBManageView.this.info = (HYLBtreeItem)i.getFirstElement();
/*     */               
/* 191 */               SysHYLBManageView.this.initGroupCheck();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 197 */     this.composite = new Composite(composite_6, 0);
/* 198 */     FormData fd_composite = new FormData();
/* 199 */     fd_composite.right = new FormAttachment(100, 0);
/* 200 */     fd_composite.left = new FormAttachment((Control)this.tree_1, 5, 131072);
/* 201 */     fd_composite.bottom = new FormAttachment(0, 180);
/* 202 */     fd_composite.top = new FormAttachment(0, 0);
/* 203 */     this.composite.setLayoutData(fd_composite);
/* 204 */     this.composite.setLayout((Layout)this.stackLayout);
/*     */     
/* 206 */     this.groupCheck = new Group(this.composite, 0);
/* 207 */     GridLayout gridLayout_1 = new GridLayout();
/* 208 */     gridLayout_1.marginWidth = 1;
/* 209 */     gridLayout_1.verticalSpacing = 1;
/* 210 */     gridLayout_1.horizontalSpacing = 1;
/* 211 */     gridLayout_1.numColumns = 2;
/* 212 */     this.groupCheck.setLayout((Layout)gridLayout_1);
/* 213 */     this.groupCheck.setText("查看行业类别");
/* 214 */     this.stackLayout.topControl = (Control)this.groupCheck;
/*     */     
/* 216 */     Composite composite_button = new Composite((Composite)this.groupCheck, 0);
/*     */     
/* 218 */     GridData gd_composite_button = new GridData(16384, 16777216, 
/* 219 */         false, false, 2, 1);
/* 220 */     gd_composite_button.heightHint = 20;
/* 221 */     composite_button.setLayoutData(gd_composite_button);
/*     */     
/* 223 */     this.sysHYLBButtonGroup = new SysHYLBButtonGroup(composite_button, 
/* 224 */         new buttonClick());
/*     */     
/* 226 */     Label label_16 = new Label((Composite)this.groupCheck, 258);
/*     */     
/* 228 */     GridData gd_label_16 = new GridData(4, 1024, false, 
/* 229 */         false, 2, 1);
/* 230 */     gd_label_16.heightHint = 5;
/* 231 */     label_16.setLayoutData(gd_label_16);
/*     */     
/* 233 */     CLabel label_2 = new CLabel((Composite)this.groupCheck, 0);
/* 234 */     GridData gd_label_2 = new GridData(131072, 1024, false, 
/* 235 */         false);
/* 236 */     gd_label_2.widthHint = 90;
/* 237 */     label_2.setLayoutData(gd_label_2);
/* 238 */     label_2.setText("行业类别名称：");
/*     */     
/* 240 */     this.label_9 = new Label((Composite)this.groupCheck, 64);
/* 241 */     this.label_9.setLayoutData(new GridData(4, 16777216, true, false));
/* 242 */     this.label_9.setText("label");
/*     */     
/* 244 */     CLabel label_3 = new CLabel((Composite)this.groupCheck, 0);
/* 245 */     label_3.setText("ID：");
/* 246 */     label_3
/* 247 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/*     */     
/* 249 */     this.label_11 = new Label((Composite)this.groupCheck, 64);
/* 250 */     this.label_11.setLayoutData(new GridData(4, 16777216, true, false));
/* 251 */     this.label_11.setText("label");
/*     */     
/* 253 */     this.groupEdit = new Group(this.composite, 0);
/* 254 */     GridLayout gridLayout_2 = new GridLayout();
/* 255 */     gridLayout_2.numColumns = 2;
/* 256 */     this.groupEdit.setLayout((Layout)gridLayout_2);
/* 257 */     this.groupEdit.setText("修改行业信息");
/*     */     
/* 259 */     CLabel label_18 = new CLabel((Composite)this.groupEdit, 0);
/* 260 */     label_18
/* 261 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 262 */     label_18.setText("行业名称：");
/*     */     
/* 264 */     this.text_1 = new Text((Composite)this.groupEdit, 2048);
/* 265 */     this.text_1.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 267 */     CLabel label_20 = new CLabel((Composite)this.groupEdit, 0);
/* 268 */     label_20
/* 269 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 270 */     label_20.setText("ID：");
/*     */     
/* 272 */     this.text_2 = new Text((Composite)this.groupEdit, 2048);
/* 273 */     this.text_2.setTextLimit(6);
/* 274 */     this.text_2.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 276 */     Composite composite_2 = new Composite((Composite)this.groupEdit, 0);
/* 277 */     composite_2.setLayout((Layout)new RowLayout());
/* 278 */     composite_2.setLayoutData(new GridData(16777216, 16777216, false, 
/* 279 */           false, 2, 1));
/*     */     
/* 281 */     Button button_5 = new Button(composite_2, 0);
/* 282 */     button_5.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 285 */             if (SysHYLBManageView.this.isNotNull(SysHYLBManageView.this.text_1, "行业名称不能为空！") && 
/* 286 */               SysHYLBManageView.this.isNotNull(SysHYLBManageView.this.text_2, "ID不能为空！")) {
/*     */               
/* 288 */               int r = SysHYLBManageView.this.sumController.updateHYLB(SysHYLBManageView.this.info, SysHYLBManageView.this.text_1.getText(), 
/* 289 */                   SysHYLBManageView.this.text_2.getText());
/*     */               
/* 291 */               switch (r) {
/*     */                 case 0:
/* 293 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_1, "该行业已经存在，请输入其他行业名称！");
/*     */                   return;
/*     */                 case -1:
/* 296 */                   SysHYLBManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 299 */                   SysHYLBManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */                 case 1:
/* 302 */                   SysHYLBManageView.this.refreshTree();
/* 303 */                   SysHYLBManageView.this.initInfoCom();
/*     */                   return;
/*     */                 case -3:
/* 306 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_2, "您输入的ID已经存在，请输入其他ID！");
/*     */                   return;
/*     */                 case -4:
/* 309 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_1, "您输入的行业及ID已经存在，请重新输入！");
/*     */                   return;
/*     */               } 
/* 312 */               SysHYLBManageView.this.showInfoBox("未知错误，请与管理员联系！");
/*     */ 
/*     */               
/*     */               return;
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 321 */     button_5.setText("确定");
/*     */     
/* 323 */     Button button_6 = new Button(composite_2, 0);
/* 324 */     button_6.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 326 */             SysHYLBManageView.this.initgroupEdit();
/*     */           }
/*     */         });
/* 329 */     button_6.setText("重填");
/*     */     
/* 331 */     this.groupMove = new Group(this.composite, 0);
/* 332 */     GridLayout gridLayout_3 = new GridLayout();
/* 333 */     gridLayout_3.verticalSpacing = 2;
/* 334 */     gridLayout_3.numColumns = 2;
/* 335 */     this.groupMove.setLayout((Layout)gridLayout_3);
/* 336 */     this.groupMove.setText("移动分支");
/*     */     
/* 338 */     Label label_25 = new Label((Composite)this.groupMove, 0);
/* 339 */     label_25.setText("单位名称：");
/*     */     
/* 341 */     this.label_27 = new Label((Composite)this.groupMove, 64);
/* 342 */     this.label_27.setLayoutData(new GridData(4, 16777216, true, false));
/* 343 */     this.label_27.setText("Label");
/*     */     
/* 345 */     Label label_26 = new Label((Composite)this.groupMove, 0);
/* 346 */     label_26.setText("移动单位为：");
/*     */     
/* 348 */     Composite composite_5 = new Composite((Composite)this.groupMove, 0);
/* 349 */     RowLayout rowLayout = new RowLayout(256);
/* 350 */     rowLayout.marginHeight = 3;
/* 351 */     rowLayout.marginRight = 0;
/* 352 */     rowLayout.marginLeft = 0;
/* 353 */     composite_5.setLayout((Layout)rowLayout);
/* 354 */     composite_5.setLayoutData(new GridData(4, 16777216, false, 
/* 355 */           false));
/*     */     
/* 357 */     this.text_7 = new Text(composite_5, 2056);
/* 358 */     this.text_7.setBackground(SWTResourceManager.getColor(255, 255, 255));
/* 359 */     RowData rd_text_7 = new RowData();
/* 360 */     rd_text_7.width = 90;
/* 361 */     rd_text_7.height = 12;
/* 362 */     this.text_7.setLayoutData(rd_text_7);
/*     */     
/* 364 */     Button button_7 = new Button(composite_5, 0);
/* 365 */     button_7.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e)
/*     */           {
/* 369 */             SysHYLBTreeDialog d = new SysHYLBTreeDialog(SysHYLBManageView.this.shell, 3);
/* 370 */             SysHYLBManageView.this.parent = (HYLBtreeItem)d.open();
/* 371 */             if (SysHYLBManageView.this.parent.getId().equals(SysHYLBManageView.this.info.getId())) {
/* 372 */               SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_7, "目标单位选择有误，不可以选择相同单位！");
/* 373 */               SysHYLBManageView.this.parent = null;
/* 374 */               SysHYLBManageView.this.text_7.setText("");
/* 375 */               SysHYLBManageView.this.text_7.setFocus();
/*     */               return;
/*     */             } 
/* 378 */             SysHYLBManageView.this.text_7.setText(SysHYLBManageView.this.parent.getDescription());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 389 */             SysHYLBManageView.this.composite.layout();
/*     */           }
/*     */         });
/* 392 */     RowData rd_button_7 = new RowData();
/* 393 */     rd_button_7.width = 22;
/* 394 */     rd_button_7.height = 15;
/* 395 */     button_7.setLayoutData(rd_button_7);
/* 396 */     button_7.setText("...");
/*     */     
/* 398 */     Label label_28 = new Label(composite_5, 0);
/* 399 */     label_28.setText("单位的");
/*     */ 
/*     */     
/* 402 */     Composite composite_3 = new Composite((Composite)this.groupMove, 0);
/* 403 */     composite_3.setLayoutData(new GridData());
/* 404 */     composite_3.setLayout((Layout)new RowLayout());
/*     */     
/* 406 */     this.button_8 = new Button(composite_3, 16);
/* 407 */     this.button_8.setText("子单位");
/*     */     
/* 409 */     this.button_9 = new Button(composite_3, 16);
/* 410 */     this.button_9.setText("后一单位");
/*     */ 
/*     */     
/* 413 */     Composite composite_4 = new Composite((Composite)this.groupMove, 0);
/* 414 */     composite_4.setLayout((Layout)new RowLayout());
/* 415 */     composite_4.setLayoutData(new GridData());
/*     */     
/* 417 */     this.button_10 = new Button(composite_4, 0);
/* 418 */     this.button_10.addSelectionListener((SelectionListener)new SelectionAdapter()
/*     */         {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 421 */             if (SysHYLBManageView.this.isNotNull(SysHYLBManageView.this.text_7, "请选择目标单位！")) {
/* 422 */               if (SysHYLBManageView.this.info.getId().equals(SysHYLBManageView.this.parent.getId())) {
/* 423 */                 SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_7, "目标单位选择有误，不可以选择相同单位！");
/*     */                 return;
/*     */               } 
/* 426 */               int type = 0;
/* 427 */               if (SysHYLBManageView.this.button_9.getEnabled() && SysHYLBManageView.this.button_9.getSelection())
/* 428 */                 type = 1; 
/* 429 */               int r = SysHYLBManageView.this.sumController.moveHYLBbyID(SysHYLBManageView.this.info, SysHYLBManageView.this.parent, type);
/* 430 */               switch (r) {
/*     */                 case 0:
/* 432 */                   SysHYLBManageView.this.showInfoBox("不可以向其子节点移动！");
/*     */                   return;
/*     */                 case -1:
/* 435 */                   SysHYLBManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 438 */                   SysHYLBManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */               } 
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 445 */               SysHYLBManageView.this.refreshTree();
/* 446 */               SysHYLBManageView.this.initInfoCom();
/*     */             } 
/*     */           }
/*     */         });
/*     */ 
/*     */     
/* 452 */     this.button_10.setText("确定");
/*     */     
/* 454 */     Button button_11 = new Button(composite_4, 0);
/* 455 */     button_11.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 457 */             SysHYLBManageView.this.initGroupMove();
/*     */           }
/*     */         });
/* 460 */     button_11.setText("重填");
/*     */     
/* 462 */     this.groupAdd = new Group(this.composite, 0);
/* 463 */     GridLayout gridLayout_4 = new GridLayout();
/* 464 */     gridLayout_4.numColumns = 2;
/* 465 */     this.groupAdd.setLayout((Layout)gridLayout_4);
/* 466 */     this.groupAdd.setText("添加子单位");
/*     */     
/* 468 */     CLabel label_29 = new CLabel((Composite)this.groupAdd, 0);
/* 469 */     label_29
/* 470 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 471 */     label_29.setText("上级行业名称：");
/*     */     
/* 473 */     this.label_36 = new Label((Composite)this.groupAdd, 64);
/* 474 */     this.label_36.setLayoutData(new GridData(4, 16777216, true, false));
/* 475 */     this.label_36.setText("Label");
/*     */     
/* 477 */     CLabel label_30 = new CLabel((Composite)this.groupAdd, 0);
/* 478 */     label_30
/* 479 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 480 */     label_30.setText("行业名称：");
/*     */     
/* 482 */     this.text_8 = new Text((Composite)this.groupAdd, 2048);
/* 483 */     this.text_8.setLayoutData(new GridData(4, 16777216, true, false));
/*     */     
/* 485 */     CLabel label_31 = new CLabel((Composite)this.groupAdd, 0);
/* 486 */     label_31
/* 487 */       .setLayoutData(new GridData(131072, 16777216, false, false));
/* 488 */     label_31.setText("ID：");
/*     */     
/* 490 */     this.text_9 = new Text((Composite)this.groupAdd, 2048);
/* 491 */     this.text_9.setTextLimit(6);
/* 492 */     this.text_9.setLayoutData(new GridData(4, 16777216, true, false));
/*     */ 
/*     */     
/* 495 */     Composite composite_1 = new Composite((Composite)this.groupAdd, 0);
/* 496 */     composite_1.setLayout((Layout)new RowLayout());
/*     */     
/* 498 */     Button button_1 = new Button(composite_1, 0);
/* 499 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 501 */             if (SysHYLBManageView.this.isNotNull(SysHYLBManageView.this.text_8, "单位名称不能为空！") && 
/* 502 */               SysHYLBManageView.this.isNotNull(SysHYLBManageView.this.text_9, "ID不能为空！")) {
/* 503 */               int r = SysHYLBManageView.this.sumController.addHYLB(SysHYLBManageView.this.info, SysHYLBManageView.this.text_8.getText(), 
/* 504 */                   SysHYLBManageView.this.text_9.getText());
/*     */               
/* 506 */               switch (r) {
/*     */                 case 0:
/* 508 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_8, "该行业已经存在，请输入其他行业名称！");
/*     */                   return;
/*     */                 case -1:
/* 511 */                   SysHYLBManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 514 */                   SysHYLBManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */                 case 1:
/* 517 */                   SysHYLBManageView.this.refreshTree();
/* 518 */                   SysHYLBManageView.this.initInfoCom();
/*     */                   return;
/*     */                 case -3:
/* 521 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_9, "您输入的ID已经存在，请输入其他ID！");
/*     */                   return;
/*     */                 case -4:
/* 524 */                   SysHYLBManageView.this.showInputErr(SysHYLBManageView.this.text_8, "您输入的行业及ID已经存在，请重新输入！");
/*     */                   return;
/*     */               } 
/* 527 */               SysHYLBManageView.this.showInfoBox("未知错误，请与管理员联系！");
/*     */ 
/*     */               
/*     */               return;
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 535 */     button_1.setText("确定");
/*     */     
/* 537 */     Button button_2 = new Button(composite_1, 0);
/* 538 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 540 */             SysHYLBManageView.this.initGroupAdd();
/*     */           }
/*     */         });
/* 543 */     button_2.setText("重填");
/*     */     
/* 545 */     this.initInfo = new Composite(this.composite, 0);
/* 546 */     this.initInfo.setLayout((Layout)new FillLayout());
/*     */     
/* 548 */     Label label_39 = new Label(this.initInfo, 0);
/* 549 */     label_39.setText("请从左边选择相应的节点进行操作。");
/*     */     
/* 551 */     initUI();
/* 552 */     initData();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void refreshTree() {
/* 558 */     this.treeview.setInput(this.tvCon.creatRoot());
/* 559 */     this.treeview.refresh();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initData() {
/* 564 */     this.treeview.setContentProvider((IContentProvider)this.tvcontentP);
/* 565 */     this.treeview.setInput(this.tvCon.creatRoot());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initUI() {
/* 572 */     initializeToolBar();
/* 573 */     initList(new ArrayList());
/* 574 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.tvlabelP);
/* 575 */     initInfoCom();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initInfoCom() {
/* 581 */     initList(new ArrayList());
/* 582 */     this.stackLayout.topControl = (Control)this.initInfo;
/* 583 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initGroupAdd() {
/* 588 */     this.label_36.setText(this.info.getDescription());
/* 589 */     this.label_36.setToolTipText(this.info.getDescription());
/* 590 */     this.text_8.setText("");
/* 591 */     this.text_9.setText("");
/* 592 */     this.stackLayout.topControl = (Control)this.groupAdd;
/* 593 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void initGroupMove() {
/* 599 */     this.label_27.setText(this.info.getDescription());
/* 600 */     this.label_27.setToolTipText(this.info.getDescription());
/* 601 */     this.text_7.setText("");
/* 602 */     this.button_8.setEnabled(true);
/* 603 */     this.button_9.setEnabled(true);
/* 604 */     this.button_8.setSelection(true);
/* 605 */     this.button_9.setSelection(false);
/* 606 */     this.stackLayout.topControl = (Control)this.groupMove;
/* 607 */     this.composite.layout();
/*     */   }
/*     */   
/*     */   private void initgroupEdit() {
/* 611 */     this.text_1.setText(this.info.getDescription());
/* 612 */     this.text_2.setText(this.info.getName());
/* 613 */     this.stackLayout.topControl = (Control)this.groupEdit;
/* 614 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void initGroupCheck() {
/* 622 */     this.label_9.setText(this.info.getDescription());
/* 623 */     this.label_9.setToolTipText(this.info.getDescription());
/* 624 */     this.label_11.setText(this.info.getName());
/* 625 */     this.stackLayout.topControl = (Control)this.groupCheck;
/* 626 */     this.composite.layout();
/*     */   }
/*     */ 
/*     */   
/*     */   private void initList(ArrayList<HYLBtreeItem> results) {
/* 631 */     this.text.setText("");
/* 632 */     this.list.removeAll();
/* 633 */     for (int i = 0; i < results.size(); i++) {
/*     */       
/* 635 */       HYLBtreeItem g = results.get(i);
/* 636 */       String temp = g.getRoute();
/* 637 */       this.list.add(temp);
/* 638 */       this.list.setData(temp, g);
/*     */     } 
/* 640 */     GridData gdlist = (GridData)this.list.getLayoutData();
/* 641 */     switch (results.size()) {
/*     */       case 0:
/* 643 */         this.list.setVisible(false);
/* 644 */         gdlist.heightHint = 0;
/* 645 */         this.list.setLayoutData(gdlist);
/* 646 */         this.comp.layout();
/*     */         return;
/*     */       
/*     */       case 1:
/* 650 */         gdlist.heightHint = 15;
/*     */         break;
/*     */       
/*     */       case 2:
/* 654 */         gdlist.heightHint = 30;
/*     */         break;
/*     */       
/*     */       case 3:
/* 658 */         gdlist.heightHint = 35;
/*     */         break;
/*     */       default:
/* 661 */         gdlist.heightHint = 35;
/*     */         break;
/*     */     } 
/*     */     
/* 665 */     this.list.setVisible(true);
/* 666 */     this.list.setLayoutData(gdlist);
/* 667 */     this.comp.layout();
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */ 
/*     */   
/*     */   private void initializeToolBar() {
/* 677 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 678 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private boolean isNotNull(Text text, String info) {
/* 682 */     text.setText(text.getText().trim());
/* 683 */     if (text.getText().trim().length() == 0) {
/* 684 */       text.setText(text.getText().trim());
/* 685 */       showInputErr(text, info);
/* 686 */       return false;
/*     */     } 
/* 688 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean isEmail(Text text, String info) {
/* 694 */     text.setText(text.getText().trim());
/*     */     
/* 696 */     if (text.getText().length() > 0 && 
/* 697 */       !text.getText().matches(
/* 698 */         "[\\w\\.\\-]+@([\\w\\-]+\\.)+[\\w\\-]+")) {
/* 699 */       text.setText(text.getText().trim());
/* 700 */       showInputErr(text, info);
/* 701 */       return false;
/*     */     } 
/* 703 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isPhone(Text text, int length, String info) {
/* 708 */     text.setText(text.getText().trim());
/* 709 */     if (length == 0) {
/* 710 */       if (text.getText().length() > 0 && 
/* 711 */         !text.getText().matches("^[\\d-]*$")) {
/* 712 */         text.setText(text.getText().trim());
/* 713 */         showInputErr(text, info);
/* 714 */         return false;
/*     */       } 
/* 716 */       return true;
/* 717 */     }  if (length < 0) {
/* 718 */       if (text.getText().length() > 0 && 
/* 719 */         !text.getText().trim().matches("^[\\d-]+$")) {
/* 720 */         text.setText(text.getText().trim());
/* 721 */         showInputErr(text, info);
/* 722 */         return false;
/*     */       } 
/* 724 */       return true;
/*     */     } 
/* 726 */     if (!text.getText().trim().matches("^[\\d-]+$") || 
/* 727 */       text.getText().trim().length() != length) {
/* 728 */       text.setText(text.getText().trim());
/* 729 */       showInputErr(text, info);
/* 730 */       return false;
/*     */     } 
/* 732 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 737 */     text.setText(text.getText().trim());
/* 738 */     if (length == 0) {
/* 739 */       if (text.getText().length() > 0 && 
/* 740 */         !text.getText().matches("^[\\d]*$")) {
/* 741 */         text.setText(text.getText().trim());
/* 742 */         showInputErr(text, info);
/* 743 */         return false;
/*     */       } 
/* 745 */       return true;
/* 746 */     }  if (length < 0) {
/* 747 */       if (text.getText().length() > 0 && (
/* 748 */         !text.getText().trim().matches("^[\\d]+$") || 
/* 749 */         text.getText().trim().length() != -length)) {
/* 750 */         text.setText(text.getText().trim());
/* 751 */         showInputErr(text, info);
/* 752 */         return false;
/*     */       } 
/* 754 */       return true;
/*     */     } 
/* 756 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 757 */       text.getText().trim().length() != length) {
/* 758 */       text.setText(text.getText().trim());
/* 759 */       showInputErr(text, info);
/* 760 */       return false;
/*     */     } 
/* 762 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void showInputErr(Text text, String info) {
/* 768 */     text.setText(text.getText().trim());
/* 769 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 770 */     mbox.setMessage(info);
/* 771 */     mbox.setText("错误提示");
/* 772 */     mbox.open();
/* 773 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 778 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 779 */     mbox.setMessage(info);
/* 780 */     mbox.setText("错误提示");
/* 781 */     mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   private int showQuestBox(String info) {
/* 786 */     MessageBox mbox = new MessageBox(this.shell, 196);
/*     */     
/* 788 */     mbox.setMessage(info);
/* 789 */     mbox.setText("信息提示");
/* 790 */     return mbox.open();
/*     */   }
/*     */ 
/*     */   
/*     */   public class buttonClick
/*     */     implements ButtonClick
/*     */   {
/*     */     public void click(int state) {
/*     */       int button1_id;
/*     */       int button2_id;
/* 800 */       switch (state) {
/*     */         case 1:
/* 802 */           SysHYLBManageView.this.initgroupEdit();
/*     */           break;
/*     */         case 0:
/* 805 */           SysHYLBManageView.this.initGroupAdd();
/*     */           break;
/*     */         case 2:
/* 808 */           button1_id = SysHYLBManageView.this.showQuestBox("确定移动该单位吗？移动该单位有可能导致以下后果：\n\n  - 将移动该单位的所有成员和组管理员，但不影响用户信息\n  - 该单位的所有子单位的成员和管理员也将作相应移动，但不影响用户信息\n  - 该单位的所有下属事业单位也将作相应移动，但不影响事业单位信息\n\n确定移动吗？");
/*     */ 
/*     */ 
/*     */ 
/*     */           
/* 813 */           if (button1_id == 64) {
/* 814 */             button1_id = SysHYLBManageView.this.showQuestBox("您真的确定移动该单位吗？");
/* 815 */             if (button1_id == 64) {
/* 816 */               SysHYLBManageView.this.initGroupMove();
/*     */             }
/*     */           } 
/*     */           break;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*     */         case 3:
/* 834 */           button2_id = SysHYLBManageView.this.showQuestBox("确定删除该分组吗？删除该分组有可能导致以下后果：\n\n  - 将删除该分组的所有成员和组管理员，但不删除用户信息\n  - 将删除该分组的所有子分组的成员和管理员，但不删除用户信息\n\n确定删除吗？\n");
/*     */ 
/*     */ 
/*     */           
/* 838 */           if (button2_id == 64) {
/* 839 */             button2_id = SysHYLBManageView.this.showQuestBox("您真的确定删除该分组吗？");
/* 840 */             if (button2_id == 64) {
/* 841 */               int r = SysHYLBManageView.this.sumController.deleteHYLBInfo(SysHYLBManageView.this.info.getId());
/*     */               
/* 843 */               switch (r) {
/*     */ 
/*     */                 
/*     */                 case -1:
/* 847 */                   SysHYLBManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                   return;
/*     */                 case -2:
/* 850 */                   SysHYLBManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                   return;
/*     */               } 
/*     */ 
/*     */ 
/*     */ 
/*     */               
/* 857 */               SysHYLBManageView.this.refreshTree();
/* 858 */               SysHYLBManageView.this.initInfoCom();
/*     */             } 
/*     */           } 
/*     */           break;
/*     */       } 
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\hylbmanage\SysHYLBManageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */