/*     */ package cs.sydj.sysmanage.picmanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.LoadDOC.SaveDialog;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import java.io.File;
/*     */ import java.io.FileInputStream;
/*     */ import java.io.FileOutputStream;
/*     */ import java.io.InputStream;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ 
/*     */ 
/*     */ public class SavePicDialog
/*     */   extends Dialog
/*     */ {
/*  24 */   protected String result = "cancel";
/*     */   protected Shell shell;
/*  26 */   protected String name = "";
/*  27 */   protected String type = "";
/*     */ 
/*     */   
/*     */   protected String suffix;
/*     */ 
/*     */   
/*     */   private String filePath;
/*     */ 
/*     */ 
/*     */   
/*     */   public SavePicDialog(Shell parent, int style) {
/*  38 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SavePicDialog(Shell parent) {
/*  47 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SavePicDialog(Shell parent, String name, String type, String filePath) {
/*  63 */     super(parent);
/*  64 */     this.name = name;
/*  65 */     this.type = type;
/*  66 */     this.filePath = filePath;
/*     */   }
/*     */   
/*     */   public SavePicDialog(Shell parent, String filePath) {
/*  70 */     super(parent);
/*  71 */     this.filePath = filePath;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  80 */     createContents();
/*  81 */     PublicUtil.setCenter(this.shell);
/*  82 */     this.shell.open();
/*  83 */     this.shell.layout();
/*  84 */     Display display = getParent().getDisplay();
/*  85 */     while (!this.shell.isDisposed()) {
/*  86 */       if (!display.readAndDispatch())
/*  87 */         display.sleep(); 
/*     */     } 
/*  89 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  96 */     this.shell = new Shell(getParent(), 67680);
/*  97 */     this.shell.setSize(403, 180);
/*  98 */     this.shell.setText("图片下载");
/*     */     
/* 100 */     Label label = new Label((Composite)this.shell, 0);
/* 101 */     label.setFont(SWTResourceManager.getFont("宋体", 9, 1));
/* 102 */     label.setText("确定保存此文件吗？");
/* 103 */     label.setBounds(15, 15, 175, 19);
/*     */     
/* 105 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 106 */     button_1.setBounds(233, 115, 72, 23);
/* 107 */     button_1.setText("保存");
/* 108 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 110 */             SaveDialog save = new SaveDialog(SavePicDialog.this.shell);
/* 111 */             save.setFileName(SavePicDialog.this.name);
/* 112 */             save.setFilterPath(SavePicDialog.this.filePath);
/* 113 */             String[] str = SavePicDialog.this.filePath.split(".");
/* 114 */             String pfix = SavePicDialog.this.type;
/* 115 */             if (str != null && str.length > 2) {
/* 116 */               pfix = str[str.length - 1];
/*     */             }
/* 118 */             save.setFilterExtensions(new String[] { "*." + pfix });
/* 119 */             String fileName = save.open();
/* 120 */             File oldfile = new File(SavePicDialog.this.filePath);
/* 121 */             InputStream inStream = null;
/* 122 */             FileOutputStream fs = null;
/*     */             try {
/* 124 */               int bytesum = 0;
/* 125 */               int byteread = 0;
/*     */               
/* 127 */               if (oldfile.exists()) {
/* 128 */                 inStream = new FileInputStream(SavePicDialog.this.filePath);
/* 129 */                 fs = new FileOutputStream(fileName);
/* 130 */                 byte[] buffer = new byte[1444];
/* 131 */                 while ((byteread = inStream.read(buffer)) != -1) {
/* 132 */                   bytesum += byteread;
/* 133 */                   fs.write(buffer, 0, byteread);
/*     */                 } 
/* 135 */                 inStream.close();
/* 136 */                 fs.close();
/*     */               } 
/* 138 */             } catch (Exception e) {
/* 139 */               e.printStackTrace();
/*     */             } finally {
/* 141 */               SavePicDialog.this.shell.dispose();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 146 */     Button button_2 = new Button((Composite)this.shell, 0);
/* 147 */     button_2.setBounds(311, 115, 72, 23);
/* 148 */     button_2.setText("取消");
/* 149 */     button_2.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent event) {
/* 151 */             SavePicDialog.this.shell.dispose();
/*     */           }
/*     */         });
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\picmanage\SavePicDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */