/*     */ package cs.sydj.sysmanage.presavesydwcetimanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class AddPreSaveCetiDialog
/*     */   extends Dialog
/*     */ {
/*     */   private PreSaveCetiManageController sumController;
/*  26 */   private int ButtonID = 1;
/*     */ 
/*     */   
/*     */   private Text text_1;
/*     */ 
/*     */   
/*     */   private Shell shell;
/*     */ 
/*     */   
/*     */   public AddPreSaveCetiDialog(Shell parentShell) {
/*  36 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public AddPreSaveCetiDialog(Shell parentShell, PreSaveCetiManageController sumController) {
/*  41 */     super(parentShell);
/*     */     
/*  43 */     this.sumController = sumController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  53 */     parent.setBackgroundMode(1);
/*  54 */     parent.setBackground(Display.getCurrent()
/*  55 */         .getSystemColor(1));
/*  56 */     this.shell = parent.getShell();
/*  57 */     Composite container = (Composite)super.createDialogArea(parent);
/*  58 */     container.setBackgroundMode(1);
/*  59 */     container.setLayout((Layout)new FormLayout());
/*     */     
/*  61 */     Label label_1 = new Label(container, 0);
/*  62 */     label_1.setBackground(SWTResourceManager.getColor(197, 228, 255));
/*  63 */     label_1.setFont(SWTResourceManager.getFont("", 11, 1));
/*  64 */     label_1.setForeground(
/*  65 */         Display.getCurrent().getSystemColor(3));
/*  66 */     label_1.setAlignment(16777216);
/*  67 */     FormData fd_label_1 = new FormData();
/*  68 */     fd_label_1.top = new FormAttachment(0, 24);
/*  69 */     fd_label_1.left = new FormAttachment(0, 10);
/*  70 */     fd_label_1.right = new FormAttachment(100, -10);
/*  71 */     label_1.setLayoutData(fd_label_1);
/*  72 */     label_1.setText("添加预留证书号");
/*     */     
/*  74 */     CLabel label_4 = new CLabel(container, 131072);
/*  75 */     label_4.setForeground(SWTResourceManager.getColor(0, 102, 153));
/*  76 */     FormData fd_label_4 = new FormData();
/*  77 */     fd_label_4.left = new FormAttachment((Control)label_1, 5, 16384);
/*  78 */     fd_label_4.right = new FormAttachment((Control)label_1, 180, 16384);
/*  79 */     fd_label_4.top = new FormAttachment((Control)label_1, 40, 1024);
/*  80 */     label_4.setLayoutData(fd_label_4);
/*  81 */     label_4.setText("预留证书号（后5位）：");
/*     */     
/*  83 */     this.text_1 = new Text(container, 2048);
/*  84 */     this.text_1.setTextLimit(5);
/*  85 */     this.text_1.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  86 */     FormData fd_text_1 = new FormData();
/*  87 */     fd_text_1.right = new FormAttachment(0, 285);
/*  88 */     fd_text_1.bottom = new FormAttachment((Control)label_4, 0, 1024);
/*  89 */     fd_text_1.top = new FormAttachment((Control)label_4, 0, 128);
/*  90 */     fd_text_1.left = new FormAttachment((Control)label_4, 0, 131072);
/*  91 */     this.text_1.setLayoutData(fd_text_1);
/*     */     
/*  93 */     initContent();
/*  94 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 104 */     createButton(parent, 0, "确定", true);
/* 105 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 113 */     return new Point(365, 225);
/*     */   }
/*     */   
/*     */   private void initContent() {
/* 117 */     this.text_1.setText("");
/*     */   }
/*     */ 
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 122 */     this.ButtonID = buttonId;
/* 123 */     if (buttonId == 0)
/*     */     {
/* 125 */       if (isNum(this.text_1, 5, "预留证书号必须为5位数字。")) {
/* 126 */         String input = this.text_1.getText();
/*     */         
/* 128 */         int r = this.sumController.addCeti(this.text_1.getText());
/*     */         
/* 130 */         switch (r) {
/*     */           case -3:
/* 132 */             showInfoBox("该证书号已经被预留！");
/*     */             break;
/*     */           case -1:
/* 135 */             showInfoBox(this.text_1, "数据库出错，请与管理员联系！");
/*     */             return;
/*     */           case -2:
/* 138 */             showInfoBox(this.text_1, "网络传输错误，请重试！");
/*     */             return;
/*     */           case -4:
/* 141 */             showInfoBox(this.text_1, "该证书号已被事业单位占用，请重新输入证书号！");
/*     */             return;
/*     */           case -5:
/* 144 */             showInfoBox(this.text_1, "该证书号已被证书补领登记申请占用，请重新输入证书号！");
/*     */             return;
/*     */           case -6:
/* 147 */             showInfoBox(this.text_1, "该证书号已被注销的事业单位占用，请重新输入证书号！");
/*     */             return;
/*     */           case -7:
/* 150 */             showInfoBox(this.text_1, "该证书号已被办结的证书补领登记占用，请重新输入证书号！");
/*     */             return;
/*     */           case 1:
/* 153 */             showInfoBox("证书号预留成功！");
/*     */             break;
/*     */           default:
/* 156 */             showInfoBox(this.text_1, "未知错误，请与管理员联系！");
/*     */             return;
/*     */         } 
/*     */       
/*     */       } else {
/*     */         return;
/*     */       } 
/*     */     }
/* 164 */     super.buttonPressed(buttonId);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int open() {
/* 171 */     super.open();
/* 172 */     return this.ButtonID;
/*     */   }
/*     */   
/*     */   private boolean isNum(Text text, int length, String info) {
/* 176 */     text.setText(text.getText().trim());
/* 177 */     if (length == 0) {
/* 178 */       if (text.getText().length() > 0 && 
/* 179 */         !text.getText().matches("^[\\d]*$")) {
/* 180 */         text.setText(text.getText().trim());
/* 181 */         showInfoBox(text, info);
/* 182 */         return false;
/*     */       } 
/* 184 */       return true;
/* 185 */     }  if (length < 0) {
/* 186 */       if (text.getText().length() > 0 && (
/* 187 */         !text.getText().trim().matches("^[\\d]+$") || 
/* 188 */         text.getText().trim().length() != -length)) {
/* 189 */         text.setText(text.getText().trim());
/* 190 */         showInfoBox(text, info);
/* 191 */         return false;
/*     */       } 
/* 193 */       return true;
/*     */     } 
/* 195 */     if (!text.getText().trim().matches("^[\\d]+$") || 
/* 196 */       text.getText().trim().length() != length) {
/* 197 */       text.setText(text.getText().trim());
/* 198 */       showInfoBox(text, info);
/* 199 */       return false;
/*     */     } 
/* 201 */     return true;
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(Text text, String info) {
/* 206 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 207 */     mbox.setMessage(info);
/* 208 */     mbox.setText("错误提示");
/* 209 */     mbox.open();
/* 210 */     text.setFocus();
/*     */   }
/*     */ 
/*     */   
/*     */   private void showInfoBox(String info) {
/* 215 */     MessageBox mbox = new MessageBox(this.shell, 34);
/* 216 */     mbox.setMessage(info);
/* 217 */     mbox.setText("信息提示");
/* 218 */     mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\presavesydwcetimanage\AddPreSaveCetiDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */