/*     */ package cs.sydj.sysmanage.usermanage;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerGLJGProvider;
/*     */ import cs.sydj.sysmanage.usermanage.treeview.TreeViewerLableProvider;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Dialog;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ 
/*     */ public class SysUserManageAddUserTreeDialog extends Dialog {
/*     */   private TreeViewer treeViewer;
/*  30 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*     */   protected Object result;
/*     */   
/*     */   protected Shell shell;
/*     */   
/*     */   private SysUserManageController sumController;
/*     */   
/*     */   public SysUserManageAddUserTreeDialog(Shell parent, int style) {
/*  39 */     super(parent, style);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysUserManageAddUserTreeDialog(Shell parent) {
/*  48 */     this(parent, 0);
/*     */   }
/*     */ 
/*     */   
/*     */   public SysUserManageAddUserTreeDialog(Shell parent, SysUserManageController sumController) {
/*  53 */     this(parent, 0);
/*  54 */     this.sumController = sumController;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object open() {
/*  62 */     createContents();
/*  63 */     PublicUtil.setCenter(this.shell);
/*  64 */     this.shell.open();
/*  65 */     this.shell.layout();
/*  66 */     Display display = getParent().getDisplay();
/*  67 */     while (!this.shell.isDisposed()) {
/*  68 */       if (!display.readAndDispatch())
/*  69 */         display.sleep(); 
/*     */     } 
/*  71 */     return this.result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createContents() {
/*  79 */     this.shell = new Shell(getParent(), 67680);
/*  80 */     this.shell.setBackgroundMode(1);
/*  81 */     this.shell.setBackground(SWTResourceManager.getColor(255, 255, 255));
/*  82 */     this.shell.setLayout((Layout)new FormLayout());
/*  83 */     this.shell.setSize(432, 371);
/*  84 */     this.shell.setText("选择登记管理机关");
/*     */     
/*  86 */     this.treeViewer = new TreeViewer((Composite)this.shell, 2048);
/*  87 */     Tree tree = this.treeViewer.getTree();
/*  88 */     FormData fd_tree = new FormData();
/*  89 */     fd_tree.right = new FormAttachment(0, 370);
/*  90 */     fd_tree.top = new FormAttachment(0, 0);
/*  91 */     fd_tree.left = new FormAttachment(0, 0);
/*  92 */     tree.setLayoutData(fd_tree);
/*     */ 
/*     */     
/*  95 */     CLabel label = new CLabel((Composite)this.shell, 0);
/*  96 */     fd_tree.bottom = new FormAttachment((Control)label, 0, 128);
/*  97 */     FormData fd_label = new FormData();
/*  98 */     fd_label.top = new FormAttachment(100, -20);
/*  99 */     fd_label.bottom = new FormAttachment(100, -5);
/* 100 */     fd_label.right = new FormAttachment(100, -5);
/* 101 */     fd_label.left = new FormAttachment((Control)tree, 0, 16384);
/* 102 */     label.setLayoutData(fd_label);
/* 103 */     label.setText("提示：选中部门至高亮蓝色，点击确定即可。");
/*     */     
/* 105 */     Button button = new Button((Composite)this.shell, 0);
/* 106 */     button.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 108 */             IStructuredSelection i = (IStructuredSelection)SysUserManageAddUserTreeDialog.this.treeViewer.getSelection();
/* 109 */             SysUserManageAddUserTreeDialog.this.result = i.getFirstElement();
/* 110 */             if (!SysUserManageAddUserTreeDialog.this.shell.isDisposed()) {
/* 111 */               SysUserManageAddUserTreeDialog.this.shell.dispose();
/*     */             }
/*     */           }
/*     */         });
/* 115 */     FormData fd_button = new FormData();
/* 116 */     fd_button.right = new FormAttachment((Control)tree, 50, 131072);
/* 117 */     fd_button.top = new FormAttachment(0, 43);
/* 118 */     fd_button.bottom = new FormAttachment(0, 65);
/* 119 */     fd_button.left = new FormAttachment((Control)tree, 5, 131072);
/* 120 */     button.setLayoutData(fd_button);
/* 121 */     button.setText("确定");
/*     */     
/* 123 */     Button button_1 = new Button((Composite)this.shell, 0);
/* 124 */     button_1.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 126 */             if (!SysUserManageAddUserTreeDialog.this.shell.isDisposed())
/* 127 */               SysUserManageAddUserTreeDialog.this.shell.dispose(); 
/*     */           }
/*     */         });
/* 130 */     FormData fd_button_1 = new FormData();
/* 131 */     fd_button_1.right = new FormAttachment((Control)button, 0, 131072);
/* 132 */     fd_button_1.top = new FormAttachment(0, 88);
/* 133 */     fd_button_1.bottom = new FormAttachment(0, 110);
/* 134 */     fd_button_1.left = new FormAttachment((Control)button, 0, 16384);
/* 135 */     button_1.setLayoutData(fd_button_1);
/* 136 */     button_1.setText("取消");
/*     */ 
/*     */     
/* 139 */     this.treeViewer.setContentProvider((IContentProvider)new TreeViewerGLJGProvider(this.sumController));
/* 140 */     this.treeViewer.setInput(this.sumController.creatRoot());
/*     */     
/* 142 */     this.treeViewer.setLabelProvider((IBaseLabelProvider)new TreeViewerLableProvider());
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanag\\usermanage\SysUserManageAddUserTreeDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */