/*     */ package cs.sydj.sysmanage.zgdwmanage.user;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import org.eclipse.jface.dialogs.Dialog;
/*     */ import org.eclipse.swt.custom.CLabel;
/*     */ import org.eclipse.swt.graphics.Point;
/*     */ import org.eclipse.swt.layout.FormAttachment;
/*     */ import org.eclipse.swt.layout.FormData;
/*     */ import org.eclipse.swt.layout.FormLayout;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Control;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import server.sydj.sysmanage.zgdw.ZgdwUserInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysZgdwCheckUserDialog
/*     */   extends Dialog
/*     */ {
/*  27 */   private int cancelButtonId = 1;
/*     */   
/*     */   private SysZgdwUserManageController sumController;
/*     */   
/*     */   private ZgdwUserInfo user;
/*     */   
/*     */   private Shell shell;
/*     */   
/*     */   private Label label_check_view;
/*     */   
/*     */   private Label label_id_view;
/*     */   private Label label_name_view;
/*     */   private Label label_zgdw_view;
/*     */   
/*     */   public SysZgdwCheckUserDialog(Shell parentShell) {
/*  42 */     super(parentShell);
/*     */   }
/*     */ 
/*     */   
/*     */   public SysZgdwCheckUserDialog(Shell parentShell, SysZgdwUserManageController sumController, ZgdwUserInfo user) {
/*  47 */     super(parentShell);
/*  48 */     this.sumController = sumController;
/*  49 */     this.user = user;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Control createDialogArea(Composite parent) {
/*  59 */     parent.setBackgroundMode(1);
/*  60 */     parent.setBackground(Display.getCurrent().getSystemColor(1));
/*  61 */     this.shell = parent.getShell();
/*  62 */     Composite container = (Composite)super.createDialogArea(parent);
/*  63 */     container.setBackgroundMode(1);
/*  64 */     container.setLayout((Layout)new FormLayout());
/*  65 */     Label label_title = new Label(container, 0);
/*  66 */     label_title.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  67 */     FormData fd_label_title = new FormData();
/*  68 */     fd_label_title.top = new FormAttachment(0, 5);
/*  69 */     fd_label_title.left = new FormAttachment(0, 10);
/*  70 */     label_title.setLayoutData(fd_label_title);
/*  71 */     label_title.setText("用户管理>> 信息查看");
/*     */     
/*  73 */     Label dsLabel = new Label(container, 16779618);
/*     */     
/*  75 */     dsLabel.setForeground(SWTResourceManager.getColor(0, 0, 0));
/*  76 */     dsLabel.setAlignment(16777216);
/*  77 */     FormData fd_dsLabel = new FormData();
/*  78 */     fd_dsLabel.top = new FormAttachment((Control)label_title, 1, 1024);
/*  79 */     fd_dsLabel.bottom = new FormAttachment((Control)label_title, 2, 1024);
/*  80 */     fd_dsLabel.right = new FormAttachment(100, -10);
/*  81 */     fd_dsLabel.left = new FormAttachment((Control)label_title, 0, 16384);
/*  82 */     dsLabel.setLayoutData(fd_dsLabel);
/*     */     
/*  84 */     Label label_user = new Label(container, 0);
/*  85 */     label_user.setBackground(SWTResourceManager.getColor(197, 228, 255));
/*  86 */     label_user.setForeground(SWTResourceManager.getColor(255, 0, 0));
/*  87 */     label_user.setFont(SWTResourceManager.getFont("", 11, 1));
/*  88 */     label_user.setAlignment(16777216);
/*  89 */     FormData fd_label_user = new FormData();
/*  90 */     fd_label_user.left = new FormAttachment((Control)dsLabel, 0, 16384);
/*  91 */     fd_label_user.right = new FormAttachment((Control)dsLabel, 0, 131072);
/*  92 */     fd_label_user.top = new FormAttachment((Control)dsLabel, 5, -1);
/*  93 */     label_user.setLayoutData(fd_label_user);
/*  94 */     label_user.setText("用户信息");
/*     */     
/*  96 */     CLabel label_id = new CLabel(container, 0);
/*  97 */     label_id.setForeground(SWTResourceManager.getColor(0, 102, 153));
/*  98 */     FormData fd_label_id = new FormData();
/*  99 */     fd_label_id.left = new FormAttachment((Control)dsLabel, 60, 16384);
/* 100 */     fd_label_id.top = new FormAttachment((Control)label_user, 3, 1024);
/* 101 */     label_id.setLayoutData(fd_label_id);
/* 102 */     label_id.setText("用户ID：");
/*     */     
/* 104 */     CLabel label_name = new CLabel(container, 0);
/* 105 */     label_name.setForeground(SWTResourceManager.getColor(0, 102, 153));
/* 106 */     FormData fd_label_name = new FormData();
/* 107 */     fd_label_name.right = new FormAttachment((Control)label_id, 0, 131072);
/* 108 */     fd_label_name.top = new FormAttachment((Control)label_id, 2, 1024);
/* 109 */     label_name.setLayoutData(fd_label_name);
/* 110 */     label_name.setText("用户注册名：");
/*     */     
/* 112 */     CLabel label_auth = new CLabel(container, 0);
/* 113 */     label_auth.setForeground(SWTResourceManager.getColor(0, 102, 153));
/* 114 */     FormData fd_label_auth = new FormData();
/* 115 */     fd_label_auth.right = new FormAttachment((Control)label_name, 0, 131072);
/* 116 */     fd_label_auth.top = new FormAttachment((Control)label_name, 5, 1024);
/* 117 */     label_auth.setLayoutData(fd_label_auth);
/* 118 */     label_auth.setText("用户权限设定：");
/*     */     
/* 120 */     this.label_check_view = new Label(container, 0);
/* 121 */     FormData fd_label_check_view = new FormData();
/* 122 */     fd_label_check_view.bottom = new FormAttachment((Control)label_auth, 0, 1024);
/* 123 */     fd_label_check_view.top = new FormAttachment((Control)label_auth, 0, 128);
/* 124 */     fd_label_check_view.left = new FormAttachment((Control)label_auth, 0, 131072);
/* 125 */     this.label_check_view.setLayoutData(fd_label_check_view);
/* 126 */     this.label_check_view.setText("Label");
/*     */     
/* 128 */     this.label_id_view = new Label(container, 0);
/* 129 */     FormData fd_label_id_view = new FormData();
/* 130 */     fd_label_id_view.bottom = new FormAttachment((Control)label_id, 0, 1024);
/* 131 */     fd_label_id_view.top = new FormAttachment((Control)label_id, 0, 128);
/* 132 */     fd_label_id_view.left = new FormAttachment((Control)label_id, 0, 131072);
/* 133 */     this.label_id_view.setLayoutData(fd_label_id_view);
/* 134 */     this.label_id_view.setText("Label");
/*     */     
/* 136 */     this.label_name_view = new Label(container, 0);
/* 137 */     FormData fd_label_name_view = new FormData();
/* 138 */     fd_label_name_view.bottom = new FormAttachment((Control)label_name, 0, 1024);
/* 139 */     fd_label_name_view.top = new FormAttachment((Control)label_name, 0, 128);
/* 140 */     fd_label_name_view.left = new FormAttachment((Control)label_name, 0, 131072);
/* 141 */     this.label_name_view.setLayoutData(fd_label_name_view);
/* 142 */     this.label_name_view.setText("Label");
/*     */     
/* 144 */     CLabel label_zgdw = new CLabel(container, 0);
/* 145 */     label_zgdw.setForeground(SWTResourceManager.getColor(0, 102, 153));
/* 146 */     FormData fd_label_zgdw = new FormData();
/* 147 */     fd_label_zgdw.top = new FormAttachment((Control)label_auth, 2, 1024);
/* 148 */     fd_label_zgdw.right = new FormAttachment((Control)label_auth, 0, 131072);
/* 149 */     label_zgdw.setLayoutData(fd_label_zgdw);
/* 150 */     label_zgdw.setText("所属主管单位：");
/*     */     
/* 152 */     this.label_zgdw_view = new Label(container, 0);
/* 153 */     FormData fd_label_zgdw_view = new FormData();
/* 154 */     fd_label_zgdw_view.left = new FormAttachment((Control)label_zgdw, 0, 131072);
/* 155 */     fd_label_zgdw_view.bottom = new FormAttachment((Control)label_zgdw, 0, 1024);
/* 156 */     fd_label_zgdw_view.top = new FormAttachment((Control)label_zgdw, 0, 128);
/* 157 */     this.label_zgdw_view.setLayoutData(fd_label_zgdw_view);
/* 158 */     this.label_zgdw_view.setText("Label");
/*     */     
/* 160 */     initContent();
/* 161 */     return (Control)container;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void createButtonsForButtonBar(Composite parent) {
/* 171 */     createButton(parent, 0, "删除", true);
/* 172 */     createButton(parent, 1, "取消", false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Point getInitialSize() {
/* 180 */     return new Point(385, 235);
/*     */   }
/*     */ 
/*     */   
/*     */   public int open() {
/* 185 */     super.open();
/* 186 */     return this.cancelButtonId;
/*     */   }
/*     */   
/*     */   private void initContent() {
/* 190 */     this.label_id_view.setText(this.user.getUserId());
/* 191 */     this.label_name_view.setText(this.user.getUserName());
/* 192 */     this.label_check_view.setText((this.user.getCheckType() == 0) ? "没有审核权限" : "具有审核权限");
/* 193 */     this.label_zgdw_view.setText(this.user.getZgdwName());
/*     */   }
/*     */   
/*     */   protected void buttonPressed(int buttonId) {
/* 197 */     this.cancelButtonId = buttonId;
/* 198 */     if (buttonId == 0) {
/* 199 */       MessageBox mbox = new MessageBox(this.shell, 196);
/*     */       
/* 201 */       mbox.setMessage("您真的确定删除该用户吗?");
/* 202 */       mbox.setText("信息提示");
/* 203 */       int button_id = mbox.open();
/* 204 */       if (button_id == 64) {
/* 205 */         int r = this.sumController.deleteUser(this.user.getUserId());
/* 206 */         switch (r) {
/*     */           case 0:
/*     */             break;
/*     */           case -1:
/* 210 */             showInfoBox("数据库出错，请与管理员联系！");
/*     */             return;
/*     */           case -2:
/* 213 */             showInfoBox("网络传输错误，请重试！");
/*     */             return;
/*     */           case 1:
/*     */             break;
/*     */           default:
/* 218 */             showInfoBox("未知错误，请与管理员联系！");
/*     */             return;
/*     */         } 
/*     */       } 
/*     */     } 
/* 223 */     super.buttonPressed(buttonId);
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 227 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 228 */     mbox.setMessage(info);
/* 229 */     mbox.setText("错误提示");
/* 230 */     mbox.open();
/*     */   }
/*     */   
/*     */   protected void configureShell(Shell newShell) {
/* 234 */     super.configureShell(newShell);
/* 235 */     newShell.setText("信息查看");
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\zgdwmanag\\user\SysZgdwCheckUserDialog.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */