/*     */ package cs.sydj.sysmanage.zgdwmanage.user;
/*     */ 
/*     */ import com.swtdesigner.SWTResourceManager;
/*     */ import cs.sydj.common.PublicUtil;
/*     */ import cs.sydj.common.SydjMessageDialog;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sysmanage.zgdwmanage.zgdw.treeview.ZgdwTreeViewerContentProvider;
/*     */ import cs.sydj.sysmanage.zgdwmanage.zgdw.treeview.ZgdwTreeViewerController;
/*     */ import cs.sydj.sysmanage.zgdwmanage.zgdw.treeview.ZgdwTreeViewerLableProvider;
/*     */ import org.eclipse.jface.action.IToolBarManager;
/*     */ import org.eclipse.jface.viewers.IBaseLabelProvider;
/*     */ import org.eclipse.jface.viewers.IContentProvider;
/*     */ import org.eclipse.jface.viewers.IStructuredSelection;
/*     */ import org.eclipse.jface.viewers.TreeViewer;
/*     */ import org.eclipse.swt.events.SelectionAdapter;
/*     */ import org.eclipse.swt.events.SelectionEvent;
/*     */ import org.eclipse.swt.events.SelectionListener;
/*     */ import org.eclipse.swt.layout.GridData;
/*     */ import org.eclipse.swt.layout.GridLayout;
/*     */ import org.eclipse.swt.layout.RowLayout;
/*     */ import org.eclipse.swt.widgets.Button;
/*     */ import org.eclipse.swt.widgets.Composite;
/*     */ import org.eclipse.swt.widgets.Display;
/*     */ import org.eclipse.swt.widgets.Label;
/*     */ import org.eclipse.swt.widgets.Layout;
/*     */ import org.eclipse.swt.widgets.MessageBox;
/*     */ import org.eclipse.swt.widgets.Shell;
/*     */ import org.eclipse.swt.widgets.Text;
/*     */ import org.eclipse.swt.widgets.Tree;
/*     */ import org.eclipse.ui.part.ViewPart;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ import server.sydj.sysmanage.zgdw.ZgdwUserInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SysZgdwUserManageView
/*     */   extends ViewPart
/*     */ {
/*     */   public static final String ID = "cs.sydj.sysmanage.zgdwmanage.user.SysZgdwUserManageView";
/*  46 */   private GljgUserInfo user = GljgUserInfo.getInstance();
/*     */   
/*     */   private TreeViewer treeview;
/*     */   private Text text_search_user;
/*  50 */   private ZgdwTreeViewerController ztvCon = new ZgdwTreeViewerController();
/*  51 */   private ZgdwTreeViewerLableProvider ztvLabelP = new ZgdwTreeViewerLableProvider();
/*  52 */   private ZgdwTreeViewerContentProvider ztvContentP = new ZgdwTreeViewerContentProvider(
/*  53 */       0);
/*  54 */   private SysZgdwUserManageController zgdwUserController = new SysZgdwUserManageController(
/*  55 */       this.user);
/*     */   
/*  57 */   private Shell shell = null;
/*  58 */   private Composite comp = null;
/*     */ 
/*     */   
/*     */   public void createPartControl(Composite arg0) {
/*  62 */     this.comp = arg0;
/*  63 */     this.shell = arg0.getShell();
/*  64 */     arg0.setBackgroundMode(1);
/*  65 */     arg0.setBackground(Display.getCurrent().getSystemColor(1));
/*  66 */     GridLayout gridLayout = new GridLayout();
/*  67 */     gridLayout.marginRight = 35;
/*  68 */     gridLayout.marginLeft = 35;
/*  69 */     gridLayout.marginHeight = 20;
/*  70 */     gridLayout.numColumns = 5;
/*  71 */     arg0.setLayout((Layout)gridLayout);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  77 */     Label label_4 = new Label(arg0, 0);
/*  78 */     label_4.setLayoutData(new GridData(4, 16777216, true, false));
/*  79 */     label_4.setText(" ");
/*     */     
/*  81 */     Label label = new Label(arg0, 0);
/*  82 */     label.setForeground(SWTResourceManager.getColor(0, 51, 153));
/*  83 */     GridData gd_label = new GridData(4, 16777216, false, false, 3, 
/*  84 */         1);
/*  85 */     gd_label.widthHint = 500;
/*  86 */     label.setLayoutData(gd_label);
/*  87 */     label.setText("主管单位用户管理");
/*     */     
/*  89 */     Label label_5 = new Label(arg0, 0);
/*  90 */     label_5.setLayoutData(new GridData(4, 16777216, true, false));
/*  91 */     label_5.setText(" ");
/*     */ 
/*     */     
/*  94 */     Label label_3 = new Label(arg0, 258);
/*  95 */     GridData gd_label_3 = new GridData(4, 16777216, false, 
/*  96 */         false, 3, 1);
/*  97 */     gd_label_3.widthHint = 255;
/*  98 */     label_3.setLayoutData(gd_label_3);
/*     */ 
/*     */ 
/*     */     
/* 102 */     Label label_1 = new Label(arg0, 0);
/* 103 */     label_1.setLayoutData(new GridData());
/* 104 */     label_1.setText("请输入用户名进行查询：");
/*     */     
/* 106 */     this.text_search_user = new Text(arg0, 2048);
/* 107 */     this.text_search_user.setTextLimit(50);
/* 108 */     this.text_search_user.setLayoutData(new GridData(160, -1));
/*     */     
/* 110 */     Button button_search = new Button(arg0, 0);
/* 111 */     button_search.setLayoutData(new GridData());
/*     */ 
/*     */ 
/*     */     
/* 115 */     final Label label_2 = new Label(arg0, 64);
/*     */     
/* 117 */     button_search.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 119 */             if (PublicUtil.isNull(SysZgdwUserManageView.this.text_search_user.getText())) {
/* 120 */               SydjMessageDialog.openInformation(null, "提示", "用户名不能为空!");
/* 121 */               SysZgdwUserManageView.this.text_search_user.setText("");
/* 122 */               SysZgdwUserManageView.this.text_search_user.setFocus();
/* 123 */               label_2.setText("");
/*     */             } else {
/* 125 */               String result = SysZgdwUserManageView.this.zgdwUserController.searchZgdwUserName(SysZgdwUserManageView.this.text_search_user.getText().trim());
/* 126 */               if (PublicUtil.isNull(result)) {
/* 127 */                 label_2.setText("您所查询的用户不存在，或者不属于您所在登记机关管辖。");
/*     */               } else {
/* 129 */                 label_2.setText(result);
/* 130 */               }  SysZgdwUserManageView.this.comp.layout();
/*     */             } 
/*     */           }
/*     */         });
/* 134 */     button_search.setText("查询");
/*     */     
/* 136 */     GridData gd_label_2 = new GridData(16384, 16777216, true, 
/* 137 */         false, 3, 1);
/* 138 */     label_2.setLayoutData(gd_label_2);
/*     */ 
/*     */ 
/*     */     
/* 142 */     this.treeview = new TreeViewer(arg0, 2048);
/* 143 */     Tree tree = this.treeview.getTree();
/* 144 */     GridData gd_tree = new GridData(4, 128, true, false, 3, 1);
/* 145 */     gd_tree.heightHint = 200;
/* 146 */     tree.setLayoutData(gd_tree);
/*     */ 
/*     */ 
/*     */     
/* 150 */     Composite composite = new Composite(arg0, 0);
/* 151 */     composite.setLayout((Layout)new RowLayout());
/* 152 */     composite.setLayoutData(new GridData(16777216, 16777216, false, 
/* 153 */           false, 3, 1));
/* 154 */     Button button_add = new Button(composite, 0);
/* 155 */     button_add.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 157 */             IStructuredSelection is = (IStructuredSelection)SysZgdwUserManageView.this.treeview
/* 158 */               .getSelection();
/* 159 */             Object result = is.getFirstElement();
/* 160 */             InfoEntity ie = (InfoEntity)result;
/* 161 */             if (ie == null) {
/* 162 */               SydjMessageDialog.openInformation(null, "提示", "请选择要添加用户的主管单位!");
/*     */             }
/* 164 */             else if (ie.isDJGLJG()) {
/* 165 */               int checkUser = SysZgdwUserManageView.this.zgdwUserController.checkZgdwUserExist(ie.getId());
/* 166 */               if (checkUser > 0) {
/* 167 */                 MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 40);
/* 168 */                 mbox.setMessage("上级主管单位已存在主管单位用户，不能再添加本级主管单位用户！");
/* 169 */                 mbox.setText("错误提示");
/* 170 */                 mbox.open();
/*     */               } else {
/* 172 */                 SysZgdwAddUserDialog sumAddUserDialog = new SysZgdwAddUserDialog(
/* 173 */                     SysZgdwUserManageView.this.shell, SysZgdwUserManageView.this.zgdwUserController, ie);
/* 174 */                 int i = sumAddUserDialog.open();
/* 175 */                 if (i == 0) {
/* 176 */                   SysZgdwUserManageView.this.treeRefresh();
/* 177 */                   ZgdwUserInfo u = sumAddUserDialog.getResult();
/* 178 */                   MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 
/* 179 */                       34);
/* 180 */                   mbox.setMessage("添加成功！\n用户名称：" + u.getUserName() + 
/* 181 */                       "\n主管单位：" + u.getZgdwName());
/* 182 */                   mbox.setText("信息提示");
/* 183 */                   mbox.open();
/*     */                 } 
/*     */               } 
/*     */             } else {
/* 187 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 40);
/* 188 */               mbox.setMessage("不能再用户上添加主管单位用户！");
/* 189 */               mbox.setText("错误提示");
/* 190 */               mbox.open();
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 195 */     button_add.setText("添加用户");
/*     */     
/* 197 */     Button button_edit = new Button(composite, 0);
/* 198 */     button_edit.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 200 */             InfoEntity select = null;
/*     */             
/* 202 */             IStructuredSelection i = (IStructuredSelection)SysZgdwUserManageView.this.treeview
/* 203 */               .getSelection();
/* 204 */             boolean isUser = false;
/* 205 */             if (i != null) {
/* 206 */               select = (InfoEntity)i.getFirstElement();
/* 207 */               if (select != null && !select.isDJGLJG())
/* 208 */                 isUser = true; 
/*     */             } 
/* 210 */             if (!isUser) {
/* 211 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 40);
/*     */               
/* 213 */               mbox.setMessage("请选择要操作的用户！");
/* 214 */               mbox.setText("错误提示");
/* 215 */               mbox.open();
/*     */             } else {
/* 217 */               ZgdwUserInfo user = SysZgdwUserManageView.this.zgdwUserController.getZgdwUserById(select.getId());
/* 218 */               if (user == null) {
/* 219 */                 SysZgdwUserManageView.this.treeRefresh();
/*     */               } else {
/* 221 */                 SysZgdwUpdateUserInfoDialog sumUpdateUserDialog = new SysZgdwUpdateUserInfoDialog(
/* 222 */                     SysZgdwUserManageView.this.shell, SysZgdwUserManageView.this.zgdwUserController, user);
/* 223 */                 int r = 0;
/* 224 */                 r = sumUpdateUserDialog.open();
/* 225 */                 if (r == 0) {
/* 226 */                   SysZgdwUserManageView.this.treeRefresh();
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/* 232 */     button_edit.setText("信息修改");
/*     */     
/* 234 */     Button button_view = new Button(composite, 0);
/* 235 */     button_view.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 237 */             InfoEntity select = null;
/* 238 */             IStructuredSelection i = (IStructuredSelection)SysZgdwUserManageView.this.treeview
/* 239 */               .getSelection();
/* 240 */             boolean isUser = false;
/* 241 */             if (i != null) {
/* 242 */               select = (InfoEntity)i.getFirstElement();
/* 243 */               if (select != null && !select.isDJGLJG()) {
/* 244 */                 isUser = true;
/*     */               }
/*     */             } 
/* 247 */             if (!isUser) {
/* 248 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 40);
/*     */               
/* 250 */               mbox.setMessage("请选择要操作的用户！");
/* 251 */               mbox.setText("错误提示");
/* 252 */               mbox.open();
/*     */             } else {
/* 254 */               ZgdwUserInfo user = SysZgdwUserManageView.this.zgdwUserController.getZgdwUserById(
/* 255 */                   select.getId());
/* 256 */               if (user == null) {
/* 257 */                 SysZgdwUserManageView.this.treeRefresh();
/*     */               } else {
/* 259 */                 SysZgdwCheckUserDialog sumUpdateUserDialog = new SysZgdwCheckUserDialog(
/* 260 */                     SysZgdwUserManageView.this.shell, SysZgdwUserManageView.this.zgdwUserController, user);
/* 261 */                 int r = 0;
/* 262 */                 r = sumUpdateUserDialog.open();
/* 263 */                 if (r == 0) {
/* 264 */                   SysZgdwUserManageView.this.treeRefresh();
/*     */                 }
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/* 270 */     button_view.setText("信息查看");
/*     */     
/* 272 */     Button button_del = new Button(composite, 0);
/* 273 */     button_del.addSelectionListener((SelectionListener)new SelectionAdapter() {
/*     */           public void widgetSelected(SelectionEvent e) {
/* 275 */             InfoEntity select = null;
/*     */             
/* 277 */             IStructuredSelection i = (IStructuredSelection)SysZgdwUserManageView.this.treeview
/* 278 */               .getSelection();
/* 279 */             boolean isUser = false;
/* 280 */             if (i != null) {
/* 281 */               select = (InfoEntity)i.getFirstElement();
/* 282 */               if (select != null && !select.isDJGLJG())
/* 283 */                 isUser = true; 
/*     */             } 
/* 285 */             if (!isUser) {
/* 286 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 40);
/*     */               
/* 288 */               mbox.setMessage("请选择要操作的用户！");
/* 289 */               mbox.setText("错误提示");
/* 290 */               mbox.open();
/*     */             
/*     */             }
/* 293 */             else if (select.getId().equals(SysZgdwUserManageView.this.user.getUserid())) {
/* 294 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 
/* 295 */                   40);
/* 296 */               mbox.setMessage("不可以删除自己！");
/* 297 */               mbox.setText("错误提示");
/* 298 */               mbox.open();
/*     */             } else {
/*     */               
/* 301 */               MessageBox mbox = new MessageBox(SysZgdwUserManageView.this.shell, 
/* 302 */                   196);
/* 303 */               mbox.setMessage("您真的确定删除该用户吗?");
/* 304 */               mbox.setText("信息提示");
/* 305 */               int button_id = mbox.open();
/* 306 */               if (button_id == 64) {
/* 307 */                 int r = SysZgdwUserManageView.this.zgdwUserController.deleteUser(select.getId());
/* 308 */                 switch (r) {
/*     */                   case 0:
/*     */                     break;
/*     */                   case -1:
/* 312 */                     SysZgdwUserManageView.this.showInfoBox("数据库出错，请与管理员联系！");
/*     */                     return;
/*     */                   case -2:
/* 315 */                     SysZgdwUserManageView.this.showInfoBox("网络传输错误，请重试！");
/*     */                     return;
/*     */                   case -3:
/* 318 */                     SysZgdwUserManageView.this.showInfoBox("存在新设立预登记信息，禁止删除！");
/*     */                     return;
/*     */                   case 1:
/*     */                     break;
/*     */                   default:
/* 323 */                     SysZgdwUserManageView.this.showInfoBox("未知错误，请与管理员联系！");
/*     */                     return;
/*     */                 } 
/* 326 */                 SysZgdwUserManageView.this.treeRefresh();
/*     */               } 
/*     */             } 
/*     */           }
/*     */         });
/*     */     
/* 332 */     button_del.setText("删除用户");
/*     */ 
/*     */     
/* 335 */     initUI();
/* 336 */     initData();
/*     */   }
/*     */   
/*     */   private void initData() {
/* 340 */     this.treeview.setContentProvider((IContentProvider)this.ztvContentP);
/* 341 */     treeRefresh();
/*     */   }
/*     */   
/*     */   private void initUI() {
/* 345 */     initializeToolBar();
/* 346 */     this.treeview.setLabelProvider((IBaseLabelProvider)this.ztvLabelP);
/*     */   }
/*     */ 
/*     */   
/*     */   public void setFocus() {}
/*     */ 
/*     */   
/*     */   private void treeRefresh() {
/* 354 */     this.treeview.setInput(this.ztvCon.creatRoot(this.user.getGroupid()));
/* 355 */     this.treeview.expandToLevel(2);
/* 356 */     this.treeview.refresh();
/*     */   }
/*     */   
/*     */   private void initializeToolBar() {
/* 360 */     IToolBarManager toolBarManager = getViewSite().getActionBars()
/* 361 */       .getToolBarManager();
/*     */   }
/*     */   
/*     */   private void showInfoBox(String info) {
/* 365 */     MessageBox mbox = new MessageBox(this.shell, 40);
/* 366 */     mbox.setMessage(info);
/* 367 */     mbox.setText("错误提示");
/* 368 */     mbox.open();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\cs\sydj\sysmanage\zgdwmanag\\user\SysZgdwUserManageView.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */