/*     */ package jpdf.gui.component;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.KeyboardFocusManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.FocusEvent;
/*     */ import java.awt.event.FocusListener;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.border.Border;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.d.j;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintParameterMarkerToolBarPanel
/*     */   extends JPanel
/*     */ {
/*     */   public static interface NoteTextComponent {}
/*     */   
/*     */   static abstract class a
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     protected a(String param1String1, String param1String2) {
/*  75 */       super(param1String1, param1String2);
/*     */       
/*  77 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected static void a(String param1String) {
/*     */       Component component;
/*     */       KeyboardFocusManager keyboardFocusManager;
/*  88 */       if (!(component = (keyboardFocusManager = KeyboardFocusManager.getCurrentKeyboardFocusManager()).getFocusOwner() instanceof PrintParameterMarkerToolBarPanel.NoteTextComponent) || !(component instanceof javax.swing.text.JTextComponent)) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  94 */         BasicResourceManager.beep();
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 100 */       if ((component = component).isEnabled() && component.isEditable()) {
/*     */         
/* 102 */         component.replaceSelection(param1String);
/*     */         
/*     */         return;
/*     */       } 
/* 106 */       BasicResourceManager.beep();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class b
/*     */     extends a
/*     */   {
/*     */     private b() {
/* 119 */       super("marker/date.png", "Date");
/*     */     }
/*     */ 
/*     */     
/*     */     private b(byte param1Byte) {
/* 124 */       super("marker/date.png", ResourceAdministrator.getLocalizedString("date"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 129 */       a("[-d-]");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class g
/*     */     extends a
/*     */   {
/*     */     private g() {
/* 141 */       super("marker/time.png", "Time");
/*     */     }
/*     */ 
/*     */     
/*     */     private g(byte param1Byte) {
/* 146 */       super("marker/time.png", ResourceAdministrator.getLocalizedString("time"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 151 */       a("[-t-]");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class e
/*     */     extends a
/*     */   {
/*     */     private e() {
/* 163 */       super("marker/pageNumber.png", "Page Number");
/*     */     }
/*     */ 
/*     */     
/*     */     private e(byte param1Byte) {
/* 168 */       super("marker/pageNumber.png", ResourceAdministrator.getLocalizedString("pageNumber"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 173 */       a("[-p-]");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class d
/*     */     extends a
/*     */   {
/*     */     private d() {
/* 185 */       super("marker/pageCount.png", "Page Count");
/*     */     }
/*     */ 
/*     */     
/*     */     private d(byte param1Byte) {
/* 190 */       super("marker/pageCount.png", ResourceAdministrator.getLocalizedString("pageCount"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 195 */       a("[-n-]");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class f
/*     */     extends a
/*     */   {
/*     */     private f() {
/* 207 */       super("marker/scaleFactor.png", "Scale Percentage");
/*     */     }
/*     */ 
/*     */     
/*     */     private f(byte param1Byte) {
/* 212 */       super("marker/scaleFactor.png", ResourceAdministrator.getLocalizedString("scalePercentage"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 217 */       a("[-s-]");
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class h
/*     */     extends a
/*     */   {
/*     */     private h() {
/* 229 */       super("marker/title.png", "Title");
/*     */     }
/*     */ 
/*     */     
/*     */     private h(byte param1Byte) {
/* 234 */       super("marker/title.png", ResourceAdministrator.getLocalizedString("title"));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 239 */       a("[-T-]");
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   class c
/*     */     implements FocusListener
/*     */   {
/*     */     private c(PrintParameterMarkerToolBarPanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void focusGained(FocusEvent param1FocusEvent) {
/* 251 */       this.a.setEnabled(true);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void focusLost(FocusEvent param1FocusEvent) {
/* 256 */       this.a.setEnabled(false);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 264 */   private final FocusListener NOTE_FOCUS_LISTENER = new c((byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintParameterMarkerToolBarPanel() {
/* 276 */     super(new FlowLayout(0, 2, 2));
/*     */     
/* 278 */     j.i().a(this);
/* 279 */     setBorder(a());
/*     */     
/* 281 */     add((Component)new b(false));
/* 282 */     add((Component)new g(false));
/* 283 */     add((Component)new e(false));
/* 284 */     add((Component)new d(false));
/* 285 */     add((Component)new f(false));
/* 286 */     add((Component)new h(false));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintParameterMarkerToolBarPanel(Locale paramLocale) {
/* 294 */     super(new FlowLayout(0, 2, 2));
/*     */     
/* 296 */     setBorder(a());
/*     */     
/* 298 */     j.i().a(this);
/* 299 */     add((Component)new b(paramLocale));
/* 300 */     add((Component)new g(paramLocale));
/* 301 */     add((Component)new e(paramLocale));
/* 302 */     add((Component)new d(paramLocale));
/* 303 */     add((Component)new f(paramLocale));
/* 304 */     add((Component)new h(paramLocale));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FocusListener getNoteComponentFocusListener() {
/* 319 */     return this.NOTE_FOCUS_LISTENER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setEnabled(boolean paramBoolean) {
/* 328 */     Component[] arrayOfComponent = getComponents();
/*     */     
/* 330 */     for (byte b = 0; b < arrayOfComponent.length; b++)
/*     */     {
/* 332 */       arrayOfComponent[b].setEnabled(paramBoolean);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static Border a() {
/* 346 */     Border border = BorderFactory.createEtchedBorder(0);
/*     */     
/* 348 */     return BorderFactory.createCompoundBorder(jpdf_common.gui.component.m.c.a, border);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\component\PrintParameterMarkerToolBarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */