/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.MouseAdapter;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FitFixedOrScalePanel
/*     */   extends AbstractRadioButtonPanel
/*     */ {
/*     */   protected final boolean UPDATED_IMMEDIATELY;
/*     */   
/*     */   public static class TwoRowLayout
/*     */     extends FitFixedOrScalePanel
/*     */   {
/*     */     public TwoRowLayout(String param1String, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  69 */       this("Size", param1String, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(Locale param1Locale, String param1String, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  75 */       this(ResourceAdministrator.getLocalizedString("size"), param1String, param1ScaleFactorPanel, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public TwoRowLayout(String param1String1, String param1String2, ScaleFactorPanel param1ScaleFactorPanel, boolean param1Boolean) {
/*  82 */       super(param1String1, param1ScaleFactorPanel, param1Boolean, (byte)0);
/*     */       
/*  84 */       setScalePanel(param1ScaleFactorPanel);
/*  85 */       ScaleFactorPanel scaleFactorPanel = param1ScaleFactorPanel; String str = param1String2; TwoRowLayout twoRowLayout; JRadioButton[] arrayOfJRadioButton = (twoRowLayout = this).createFitOrScaleRadioButtons(str); JPanel jPanel = new JPanel(new GridLayout(2, 1, 0, 7)); twoRowLayout.setButtonList(arrayOfJRadioButton); jPanel.add(twoRowLayout.createScalePanel(arrayOfJRadioButton[1], (JPanel)scaleFactorPanel)); jPanel.add(arrayOfJRadioButton[0]); initializeBorderLayoutContents(jPanel, param1String1);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     implements ActionListener
/*     */   {
/*     */     private a(FitFixedOrScalePanel this$0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 118 */       JRadioButton jRadioButton = (JRadioButton)param1ActionEvent.getSource();
/*     */       
/* 120 */       FitFixedOrScalePanel.a(this.a, (jRadioButton == this.a.getButtonList()[0]));
/* 121 */       if (this.a.UPDATED_IMMEDIATELY) this.a.updatePrintOptions(this.a.getPrintInfoHolder());
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   class b
/*     */     extends MouseAdapter
/*     */   {
/*     */     private b(FitFixedOrScalePanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void mouseClicked(MouseEvent param1MouseEvent) {
/* 134 */       this.a.getButtonList()[1].doClick();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   private PrintInfoHolder printInfoHolder = null;
/* 152 */   private ScaleFactorPanel scalePanel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private FitFixedOrScalePanel(String paramString, ScaleFactorPanel paramScaleFactorPanel, boolean paramBoolean) {
/* 166 */     super(paramString);
/*     */     
/* 168 */     this.UPDATED_IMMEDIATELY = paramBoolean;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 174 */     paramScaleFactorPanel.getSpinnerLabel().addMouseListener(new b((byte)0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 188 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 189 */     boolean bool = false;
/*     */     
/*     */     FitFixedOrScalePanel fitFixedOrScalePanel;
/*     */     
/* 193 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder;
/*     */ 
/*     */ 
/*     */     
/*     */     FitToPagesSelected fitToPagesSelected;
/*     */ 
/*     */     
/* 200 */     if ((fitToPagesSelected = (FitToPagesSelected)printRequestAttributeSet.get(FitToPagesSelected.class)) != null) {
/*     */       
/* 202 */       bool = fitToPagesSelected.getValue();
/* 203 */       getButtonList()[bool ? 0 : 1].setSelected(true);
/*     */     } 
/*     */ 
/*     */     
/* 207 */     a(bool);
/*     */ 
/*     */     
/* 210 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 219 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 220 */     boolean bool = getButtonList()[0].isSelected();
/*     */ 
/*     */     
/* 223 */     printRequestAttributeSet.add(bool ? (Attribute)FitToPagesSelected.TRUE : (Attribute)FitToPagesSelected.FALSE);
/*     */ 
/*     */ 
/*     */     
/* 227 */     updateUpdatableContainer(paramPrintInfoHolder);
/*     */     
/* 229 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JPanel createScalePanel(JRadioButton paramJRadioButton, JPanel paramJPanel) {
/*     */     JPanel jPanel;
/* 245 */     (jPanel = new JPanel(new BorderLayout())).add(paramJRadioButton, "West");
/* 246 */     jPanel.add(paramJPanel, "Center");
/*     */     
/* 248 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JRadioButton[] createFitOrScaleRadioButtons(String paramString) {
/* 256 */     a a = new a((byte)0);
/* 257 */     JRadioButton[] arrayOfJRadioButton = new JRadioButton[2];
/* 258 */     ButtonGroup buttonGroup = getButtonGroup();
/* 259 */     boolean bool = FitToPagesSelected.getDefaultValue();
/*     */ 
/*     */     
/* 262 */     arrayOfJRadioButton[0] = new JRadioButton(paramString, bool);
/* 263 */     arrayOfJRadioButton[1] = new JRadioButton("", !bool);
/* 264 */     arrayOfJRadioButton[1].setFocusable(false);
/*     */ 
/*     */     
/* 267 */     for (byte b = 0; b < arrayOfJRadioButton.length; b++) {
/*     */       
/* 269 */       arrayOfJRadioButton[b].addActionListener(a);
/* 270 */       buttonGroup.add(arrayOfJRadioButton[b]);
/*     */     } 
/*     */     
/* 273 */     return arrayOfJRadioButton;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 282 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setScalePanel(ScaleFactorPanel paramScaleFactorPanel) {
/* 290 */     this.scalePanel = paramScaleFactorPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(boolean paramBoolean) {
/*     */     FitFixedOrScalePanel fitFixedOrScalePanel;
/* 303 */     jpdf_common.gui.component.k.b b = (fitFixedOrScalePanel = this).scalePanel.getNumericSpinner();
/*     */     
/* 305 */     if (paramBoolean) {
/*     */       
/* 307 */       b.setEnabled(false);
/*     */       
/*     */       return;
/*     */     } 
/* 311 */     b.setEnabled(true);
/* 312 */     b.requestFocus();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\FitFixedOrScalePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */