/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Graphics2D;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.print.PageFormat;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.NumberUp;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import jpdf.attribute.NumberUpPrintPageEdges;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.UpdatableDisplay;
/*     */ import jpdf.gui.preview.AbstractPageImageDisplayPanel;
/*     */ import jpdf.gui.preview.PageSetupPreviewPanel;
/*     */ import jpdf.gui.preview.PreviewPageSetupControlPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf.wrap.printable.PageUpPrintableWrapper;
/*     */ import jpdf_common.gui.d.j;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NumberUpPanel
/*     */   extends AbstractRadioButtonPanel
/*     */   implements UpdatableDisplay
/*     */ {
/*     */   private final b PREVIEW_NUMBER_UP_DRAWER;
/*     */   private final PageFormat LOGICAL_PAGE_FORMAT;
/*     */   private final Rectangle LOGICAL_PRINTABLE_RECTANGLE;
/*     */   private PrintInfoHolder physicalInfoHolder;
/*     */   private a previewControlPanel;
/*     */   private JCheckBox printEdgesCheckBox;
/*     */   private SelectionObserver selectionObserver;
/*     */   
/*     */   class b
/*     */     extends PageSetupPreviewPanel.PreviewPageContentDrawer
/*     */   {
/*  75 */     private PageUpPrintableWrapper.PageUpParamHolder a = null;
/*     */     private boolean b = true;
/*  77 */     private int c = 1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static void a(Graphics2D param1Graphics2D, Rectangle param1Rectangle, float param1Float, int param1Int) {
/*  86 */       int k = (int)(param1Rectangle.x * param1Float) + 1;
/*  87 */       int m = (int)(param1Rectangle.y * param1Float) + 1;
/*  88 */       int n = (int)(param1Rectangle.width * param1Float);
/*  89 */       int i = (int)(param1Rectangle.height * param1Float);
/*  90 */       int j = k + n - 1;
/*  91 */       i = m + i - 1;
/*     */ 
/*     */       
/*  94 */       param1Graphics2D.setColor(Color.BLACK);
/*  95 */       while (m < i) {
/*     */         
/*  97 */         param1Graphics2D.drawLine(k, m, j, m);
/*  98 */         m += param1Int;
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void drawPageContents(Graphics2D param1Graphics2D, PageFormat param1PageFormat, Rectangle param1Rectangle, float param1Float, boolean param1Boolean) {
/* 117 */       byte b2 = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 124 */       int i2 = 0;
/*     */ 
/*     */ 
/*     */       
/* 128 */       int i3 = 0;
/* 129 */       int j = 0;
/*     */ 
/*     */       
/* 132 */       if (this.c == 1) {
/*     */         
/* 134 */         NumberUpPanel.a(this.d); a(param1Graphics2D, NumberUpPanel.b(this.d), param1Float, 6);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 140 */       Dimension dimension = this.a.logicalPageGrid;
/*     */       
/* 142 */       float f1, f2 = (f1 = this.a.scaleFactor) * param1Float;
/*     */ 
/*     */       
/* 145 */       int k = (int)(NumberUpPanel.a(this.d).getWidth() * f2);
/* 146 */       int m = (int)(NumberUpPanel.a(this.d).getHeight() * f2);
/*     */ 
/*     */       
/* 149 */       int n = (k - 17) / 2;
/* 150 */       int i1 = (m - 15) / 2;
/*     */ 
/*     */       
/* 153 */       j = (int)(36.0F * param1Float + 0.5F);
/* 154 */       param1Graphics2D.translate(j, j);
/*     */ 
/*     */       
/* 157 */       if (this.a.alignmentOffsets.width > 0)
/*     */       {
/* 159 */         i2 = (int)(this.a.alignmentOffsets.width * param1Float + 0.5F);
/*     */       }
/* 161 */       if (this.a.alignmentOffsets.height > 0)
/*     */       {
/* 163 */         i3 = (int)(this.a.alignmentOffsets.height * param1Float + 0.5F);
/*     */       }
/* 165 */       param1Graphics2D.translate(i2, i3);
/*     */ 
/*     */       
/* 168 */       param1Graphics2D.setClip(null);
/*     */       
/*     */       int i;
/*     */       
/* 172 */       if ((i = (int)(6.0F * f1 + 0.5F)) < 2) i = 2;
/*     */ 
/*     */       
/* 175 */       for (byte b1 = 0; b1 < dimension.height; b1++) {
/*     */         
/* 177 */         for (i2 = 0; i2 < dimension.width; i2++) {
/*     */ 
/*     */           
/* 180 */           a(param1Graphics2D, NumberUpPanel.b(this.d), f2, i);
/*     */ 
/*     */ 
/*     */           
/* 184 */           if (this.b) {
/*     */             
/* 186 */             param1Graphics2D.setColor(Color.BLUE);
/* 187 */             param1Graphics2D.drawRect(0, 0, k, m);
/*     */           } 
/*     */ 
/*     */           
/* 191 */           param1Graphics2D.setFont(jpdf_common.gui.a.c.f);
/* 192 */           param1Graphics2D.setColor(Color.WHITE);
/* 193 */           param1Graphics2D.fillRect(n, i1, 17, 15);
/* 194 */           param1Graphics2D.setColor(Color.BLACK);
/* 195 */           param1Graphics2D.drawRect(n, i1, 17, 15);
/* 196 */           param1Graphics2D.setColor(Color.RED);
/* 197 */           b2++;
/* 198 */           j = (b2 < 10) ? 5 : 1;
/* 199 */           param1Graphics2D.drawString(Integer.toString(b2), n + j, i1 + 12);
/*     */ 
/*     */ 
/*     */           
/* 203 */           param1Graphics2D.translate(k, 0);
/*     */         } 
/*     */ 
/*     */         
/* 207 */         param1Graphics2D.translate(-(k * dimension.width), m);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private b(NumberUpPanel this$0) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends PreviewPageSetupControlPanel
/*     */   {
/*     */     public a(Locale param1Locale, Dimension param1Dimension) {
/* 258 */       super(param1Locale, param1Dimension);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected final PageSetupPreviewPanel createDisplayPanel() {
/* 267 */       return new PageSetupPreviewPanel(NumberUpPanel.e(NumberUpPanel.this));
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     implements ActionListener
/*     */   {
/*     */     private c(NumberUpPanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 282 */       NumberUpPanel.SelectionObserver selectionObserver = this.a.getSelectionObserver();
/*     */       JRadioButton jRadioButton;
/* 284 */       int i = Integer.parseInt((jRadioButton = (JRadioButton)param1ActionEvent.getSource()).getText());
/*     */       
/* 286 */       NumberUpPanel.b.a(NumberUpPanel.e(this.a), i);
/*     */       
/* 288 */       this.a.updateDisplay();
/* 289 */       if (selectionObserver != null)
/*     */       {
/* 291 */         selectionObserver.selectedNumberUp(i);
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NumberUpPanel() {
/* 333 */     this((Locale)null, "Layout");
/*     */   }
/*     */ 
/*     */   
/*     */   public NumberUpPanel(Locale paramLocale) {
/* 338 */     this(paramLocale, ResourceAdministrator.getLocalizedString("layout"));
/*     */   }
/*     */ 
/*     */   
/*     */   public NumberUpPanel(Locale paramLocale, String paramString) {
/* 343 */     super(paramString); String str1, str2; this.PREVIEW_NUMBER_UP_DRAWER = new b((byte)0); this.LOGICAL_PAGE_FORMAT = new PageFormat(); this.LOGICAL_PRINTABLE_RECTANGLE = new Rectangle(); this.physicalInfoHolder = null; this.previewControlPanel = null; this.printEdgesCheckBox = null;
/*     */     this.selectionObserver = null;
/* 345 */     Locale locale1 = paramLocale; NumberUpPanel numberUpPanel1; (numberUpPanel1 = this).setLayout(new BorderLayout()); numberUpPanel1.setBorder(EMPTY_BORDER); Locale locale2 = locale1; NumberUpPanel numberUpPanel2 = numberUpPanel1; Locale locale4 = locale2; NumberUpPanel numberUpPanel4; JRadioButton[] arrayOfJRadioButton = (numberUpPanel4 = numberUpPanel2).a(); JPanel jPanel2 = numberUpPanel4.createGridRadioButtonsPanel(arrayOfJRadioButton, 4); if (locale4 == null) { str1 = "Pages per Sheet"; } else { str1 = ResourceAdministrator.getLocalizedString("pagesPerSheet"); }  jPanel2.setBorder(BorderFactory.createTitledBorder(str1)); JPanel jPanel1; (jPanel1 = new JPanel((LayoutManager)new ColLayout(1, 7))).add(jPanel2); Locale locale3 = locale2; NumberUpPanel numberUpPanel3 = numberUpPanel2; if (locale3 == null) { str2 = "Print Edges"; } else { str2 = ResourceAdministrator.getLocalizedString("printEdges"); }  numberUpPanel3.printEdgesCheckBox = new JCheckBox(str2); numberUpPanel3.printEdgesCheckBox.setSelected(true); numberUpPanel3.printEdgesCheckBox.addActionListener(new b(numberUpPanel3)); jPanel1.add(numberUpPanel3.printEdgesCheckBox); numberUpPanel1.add(jPanel1, "Center"); locale2 = locale1; numberUpPanel2 = numberUpPanel1; Dimension dimension = new Dimension(260, 260); numberUpPanel2.previewControlPanel = new a(locale2, dimension); numberUpPanel2.previewControlPanel.setBackground((j.i()).f.b); numberUpPanel2.previewControlPanel.setBorder(BorderFactory.createLoweredBevelBorder()); numberUpPanel2.previewControlPanel.setMediaLabelVisible(false); numberUpPanel1.add((Component)numberUpPanel2.previewControlPanel, "West");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SelectionObserver getSelectionObserver() {
/* 360 */     return this.selectionObserver;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getSelectedPageCount() {
/*     */     int i;
/* 372 */     if ((i = getSelectedButtonIndex()) == 0) return 1;
/*     */     
/* 374 */     return PageUpPrintableWrapper.getSupportedPageCounts()[i - 1];
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 383 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 384 */     NumberUp numberUp = null;
/* 385 */     NumberUpPanel numberUpPanel = null;
/*     */ 
/*     */     
/* 388 */     int i = 1;
/*     */ 
/*     */     
/* 391 */     numberUp = (NumberUp)printRequestAttributeSet.get(NumberUp.class);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 396 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder; numberUpPanel = this; HashPrintRequestAttributeSet hashPrintRequestAttributeSet; (hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet()).addAll(printInfoHolder.getAttributeSet()); PrintUtility.updateAttributeSet(false, 0.5F, hashPrintRequestAttributeSet, false); numberUpPanel.physicalInfoHolder = new PrintInfoHolder(hashPrintRequestAttributeSet, printInfoHolder.getDocFlavor(), printInfoHolder.getPrintServiceSetter(), printInfoHolder.getSelectedPrintService(), printInfoHolder.getAdditionalInfoObject()); (numberUpPanel = this).previewControlPanel.initializePrintOptions(numberUpPanel.physicalInfoHolder);
/*     */ 
/*     */     
/* 399 */     if (numberUp != null) {
/*     */ 
/*     */       
/* 402 */       i = numberUp.getValue();
/* 403 */       JRadioButton[] arrayOfJRadioButton = getButtonList();
/* 404 */       int[] arrayOfInt = PageUpPrintableWrapper.getSupportedPageCounts();
/* 405 */       for (byte b1 = 0; b1 < arrayOfInt.length; b1++) {
/*     */         
/* 407 */         if (arrayOfInt[b1] == i) {
/*     */           
/* 409 */           arrayOfJRadioButton[b1 + 1].setSelected(true);
/*     */           
/*     */           break;
/*     */         } 
/*     */       } 
/*     */     } 
/*     */     
/* 416 */     boolean bool = NumberUpPrintPageEdges.isToPrintPageEdges(printRequestAttributeSet);
/* 417 */     (numberUpPanel = this).printEdgesCheckBox.setSelected(bool);
/*     */ 
/*     */     
/* 420 */     b.a(this.PREVIEW_NUMBER_UP_DRAWER, i);
/* 421 */     b.a(this.PREVIEW_NUMBER_UP_DRAWER, bool);
/*     */ 
/*     */     
/* 424 */     PrintUtility.updatePageFormat(printRequestAttributeSet, this.LOGICAL_PAGE_FORMAT);
/* 425 */     AbstractPageImageDisplayPanel.updatePrintableRectangle(this.LOGICAL_PAGE_FORMAT, this.LOGICAL_PRINTABLE_RECTANGLE);
/*     */ 
/*     */     
/* 428 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean squarePreviewToHeight() {
/*     */     NumberUpPanel numberUpPanel;
/* 442 */     a a1 = (numberUpPanel = this).previewControlPanel;
/* 443 */     boolean bool = false;
/*     */     
/*     */     int i;
/* 446 */     if ((i = a1.getHeight()) != a1.getWidth()) {
/*     */       
/* 448 */       setPreviewPreferredSize(i);
/* 449 */       bool = true;
/*     */     } 
/*     */     
/* 452 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPreviewPreferredSize(int paramInt) {
/* 465 */     if (paramInt < 250) paramInt = 250; 
/*     */     NumberUpPanel numberUpPanel;
/* 467 */     (numberUpPanel = this).previewControlPanel.setPreferredSize(new Dimension(paramInt, paramInt));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSelectionObserver(SelectionObserver paramSelectionObserver) {
/* 477 */     this.selectionObserver = paramSelectionObserver;
/* 478 */     if (paramSelectionObserver != null)
/*     */     {
/* 480 */       paramSelectionObserver.selectedNumberUp(getSelectedPageCount());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updateDisplay() {
/*     */     NumberUpPanel numberUpPanel;
/* 492 */     (numberUpPanel = this).previewControlPanel.updateDisplay();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 501 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 506 */     if ((i = getSelectedPageCount()) == 1) {
/*     */       
/* 508 */       printRequestAttributeSet.remove(NumberUp.class);
/*     */     }
/*     */     else {
/*     */       
/* 512 */       printRequestAttributeSet.add(new NumberUp(i));
/*     */     } 
/*     */     
/*     */     NumberUpPanel numberUpPanel;
/* 516 */     printRequestAttributeSet.add((numberUpPanel = this).printEdgesCheckBox.isSelected() ? (Attribute)NumberUpPrintPageEdges.TRUE : (Attribute)NumberUpPrintPageEdges.FALSE);
/*     */ 
/*     */     
/* 519 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JRadioButton[] a() {
/* 547 */     c c = new c((byte)0);
/*     */     
/* 549 */     ButtonGroup buttonGroup = getButtonGroup();
/* 550 */     int[] arrayOfInt = PageUpPrintableWrapper.getSupportedPageCounts();
/* 551 */     int i = 0;
/*     */     
/*     */     JRadioButton[] arrayOfJRadioButton;
/*     */     
/* 555 */     (arrayOfJRadioButton = new JRadioButton[arrayOfInt.length + 1])[0] = new JRadioButton("1");
/* 556 */     arrayOfJRadioButton[0].addActionListener(c);
/* 557 */     buttonGroup.add(arrayOfJRadioButton[0]);
/* 558 */     for (byte b1 = 0; b1 < arrayOfInt.length; b1++) {
/*     */       
/* 560 */       i = b1 + 1;
/* 561 */       arrayOfJRadioButton[i] = new JRadioButton(Integer.toString(arrayOfInt[b1]));
/*     */ 
/*     */       
/* 564 */       arrayOfJRadioButton[i].addActionListener(c);
/* 565 */       buttonGroup.add(arrayOfJRadioButton[i]);
/*     */     } 
/*     */ 
/*     */     
/* 569 */     arrayOfJRadioButton[0].setSelected(true);
/*     */     
/* 571 */     return arrayOfJRadioButton;
/*     */   }
/*     */   
/*     */   public static interface SelectionObserver {
/*     */     void selectedNumberUp(int param1Int);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\NumberUpPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */