/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Locale;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Media;
/*     */ import javax.print.attribute.standard.MediaPrintableArea;
/*     */ import javax.print.attribute.standard.MediaSize;
/*     */ import javax.print.attribute.standard.MediaSizeName;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.attribute.RequestMediaSizeName;
/*     */ import jpdf.diagnostics.JpdfInvalidMinimumMarginsException;
/*     */ import jpdf.diagnostics.MinimumMarginFixer;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintServiceSelectionObserver;
/*     */ import jpdf.gui.PrintableAreaUpdateObserver;
/*     */ import jpdf.gui.component.MeasurementSpinner;
/*     */ import jpdf.gui.component.PrintComponentFactory;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageMarginsPanel
/*     */   extends AbstractPrintOptionsControllerPanel
/*     */   implements PrintServiceSelectionObserver, PrintableAreaUpdateObserver
/*     */ {
/*     */   class a
/*     */     extends MeasurementSpinner
/*     */   {
/*     */     private a(int param1Int1, int param1Int2, int param1Int3, int param1Int4) {
/*  81 */       super(param1Int1, param1Int2, param1Int3, param1Int4);
/*     */     }
/*     */ 
/*     */     
/*     */     private a(float param1Float1, float param1Float2, float param1Float3, float param1Float4) {
/*  86 */       super(param1Float1, param1Float2, param1Float3, param1Float4);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void setValue(Object param1Object) {
/*  95 */       Number number1 = (Number)getValue();
/*  96 */       param1Object = param1Object;
/*     */ 
/*     */       
/*  99 */       Object object = param1Object; Number number2 = number1; a a1 = this; if (!a(number2.floatValue(), object.floatValue())) {
/*     */         float f1; float f2;
/* 101 */         if (PageMarginsPanel.a(PageMarginsPanel.this))
/*     */         
/* 103 */         { object = param1Object; number2 = number1; a1 = this; f1 = ((Number)object).floatValue(); f2 = number2.floatValue(); float f3 = PageMarginsPanel.c(PageMarginsPanel.this); float f4; if ((f4 = a1.getFloatStepSize()) < 1.0F && a(f2, f3) && a(f1, f3 + f4)) { f1 = b(f3, f4); object = new Float(f1); }  if (f1 < PageMarginsPanel.c(PageMarginsPanel.this)) { BasicResourceManager.beep(); } else { PageMarginsPanel.a(PageMarginsPanel.this, (Number)object); if (!PageMarginsPanel.d(PageMarginsPanel.this)) { PageMarginsPanel.a(PageMarginsPanel.this, number2); } else { try { PageMarginsPanel.this.updatePrintableArea(PageMarginsPanel.this.getPrintInfoHolder(), PageMarginsPanel.b(PageMarginsPanel.this), false, false); } catch (IllegalArgumentException illegalArgumentException) { BasicResourceManager.beep(); PageMarginsPanel.a(PageMarginsPanel.this, number2); return; }
/*     */                }
/*     */              }
/*     */            }
/* 107 */         else { Float float_; float f4 = f1, f3 = f2; a1 = this; f1 = ((Number)f4).floatValue(); f2 = ((Number)f3).floatValue(); float f5 = a1.getMinimum(); float f6; if ((f6 = a1.getFloatStepSize()) < 1.0F && a(f2, f5) && a(f1, f5 + f6)) { f1 = b(f5, f6); float_ = new Float(f1); }  a1.setValue(float_); try { PageMarginsPanel.this.updatePrintableArea(PageMarginsPanel.this.getPrintInfoHolder(), PageMarginsPanel.b(PageMarginsPanel.this), false, false); return; } catch (IllegalArgumentException illegalArgumentException) { BasicResourceManager.beep(); a1.setValue(f3); a1.getEditorField().setText(a1.getFormattedValueString()); }
/*     */            }
/*     */       
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static boolean a(float param1Float1, float param1Float2) {
/* 120 */       return ((param1Float1 = Math.abs(param1Float2 - param1Float1)) < 0.01D);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static float b(float param1Float1, float param1Float2) {
/* 147 */       float f = 0.0F;
/*     */       
/* 149 */       while (f <= param1Float1)
/*     */       {
/* 151 */         f += param1Float2;
/*     */       }
/*     */       
/* 154 */       return f;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends JCheckBox
/*     */     implements ActionListener
/*     */   {
/*     */     private b(String param1String) {
/* 261 */       super(param1String);
/*     */       
/* 263 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 271 */       PageMarginsPanel.a[] arrayOfA = PageMarginsPanel.e(PageMarginsPanel.this);
/* 272 */       boolean bool = isSelected();
/*     */ 
/*     */       
/* 275 */       PageMarginsPanel.a(PageMarginsPanel.this, bool);
/*     */ 
/*     */       
/* 278 */       for (byte b1 = 0; b1 < arrayOfA.length; b1++)
/*     */       {
/* 280 */         arrayOfA[b1].setEnabled(!bool);
/*     */       }
/*     */ 
/*     */       
/* 284 */       if (bool) {
/*     */         
/* 286 */         PageMarginsPanel.f(PageMarginsPanel.this);
/* 287 */         PageMarginsPanel.this.updatePrintableArea(PageMarginsPanel.this.getPrintInfoHolder(), PageMarginsPanel.b(PageMarginsPanel.this), false, false);
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends JCheckBox
/*     */     implements ActionListener
/*     */   {
/*     */     private c(String param1String) {
/* 301 */       super(param1String);
/*     */       
/* 303 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 311 */       boolean bool = isSelected();
/*     */ 
/*     */       
/* 314 */       PageMarginsPanel.b(PageMarginsPanel.this, bool);
/*     */       
/* 316 */       if (bool) {
/*     */         
/* 318 */         PageMarginsPanel.g(PageMarginsPanel.this);
/* 319 */         PageMarginsPanel.this.updatePrintableArea(PageMarginsPanel.this.getPrintInfoHolder(), PageMarginsPanel.b(PageMarginsPanel.this), false, false);
/*     */         
/*     */         return;
/*     */       } 
/* 323 */       if (PageMarginsPanel.h(PageMarginsPanel.this)) PageMarginsPanel.f(PageMarginsPanel.this);
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a = true;
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b = true;
/*     */ 
/*     */ 
/*     */   
/* 339 */   private static float c = 0.1F;
/* 340 */   private static int d = 5;
/*     */ 
/*     */   
/*     */   private final AbstractPrintOptionsControllerPanel.MarginValuesHolder MARGIN_HOLDER;
/*     */ 
/*     */   
/*     */   private b minimumMarginsCheckBox;
/*     */ 
/*     */   
/*     */   private c uniformMarginsCheckBox;
/*     */ 
/*     */   
/*     */   private PrintInfoHolder printInfoHolder;
/*     */   
/*     */   private a[] marginSpinnerList;
/*     */   
/*     */   private boolean toDisplayMinimumMargins;
/*     */   
/*     */   private boolean toDisplayUniformMargins;
/*     */ 
/*     */   
/*     */   public PageMarginsPanel() {
/* 362 */     this((Locale)null, "Margins");
/*     */   }
/*     */ 
/*     */   
/*     */   public PageMarginsPanel(Locale paramLocale) {
/* 367 */     this(paramLocale, ResourceAdministrator.getLocalizedString("margins"));
/*     */   }
/*     */ 
/*     */   
/*     */   public PageMarginsPanel(String paramString) {
/* 372 */     this((Locale)null, paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public PageMarginsPanel(Locale paramLocale, String paramString) {
/* 377 */     super(paramString); String str1, str4; this.MARGIN_HOLDER = new AbstractPrintOptionsControllerPanel.MarginValuesHolder(); this.minimumMarginsCheckBox = null; this.uniformMarginsCheckBox = null; this.printInfoHolder = null; this.marginSpinnerList = new a[4]; this.toDisplayMinimumMargins = false;
/*     */     this.toDisplayUniformMargins = false;
/* 379 */     Locale locale = paramLocale; PageMarginsPanel pageMarginsPanel1 = this; JPanel jPanel1 = new JPanel(new BorderLayout(0, 7)), jPanel2 = new JPanel(new GridLayout(3, 1, 0, 0)), jPanel3 = new JPanel(new FlowLayout(0, 7, 0)); boolean bool1 = (ResourceAdministrator.getMediaSizeUnits() == 25400) ? true : false, bool2 = false; boolean bool3; if (bool3 = (locale != null) ? true : false) { str1 = ResourceAdministrator.getLocalizedString("marginTop"); str2 = ResourceAdministrator.getLocalizedString("marginLeft"); str3 = ResourceAdministrator.getLocalizedString("marginRight"); str4 = ResourceAdministrator.getLocalizedString("marginBottom"); } else { str1 = "Top"; str2 = "Left"; str3 = "Right"; str4 = "Bottom"; }  jPanel2.add(pageMarginsPanel1.a(0, str1, bool1)); boolean bool4 = bool1; String str3 = str3, str2 = str2; PageMarginsPanel pageMarginsPanel2 = pageMarginsPanel1; JPanel jPanel4; (jPanel4 = new JPanel(new GridLayout(1, 2, 0, 0))).add(pageMarginsPanel2.a(1, str2, bool4)); jPanel4.add(pageMarginsPanel2.a(2, str3, bool4)); jPanel2.add(jPanel4); jPanel2.add(pageMarginsPanel1.a(3, str4, bool1)); if (isToAllowMinimumMargins()) { boolean bool = bool3; pageMarginsPanel2 = pageMarginsPanel1; str3 = bool ? ResourceAdministrator.getLocalizedString("minimum") : "Minimum"; pageMarginsPanel2.minimumMarginsCheckBox = new b(str3, (byte)0); jPanel3.add(pageMarginsPanel2.minimumMarginsCheckBox); bool2 = true; }  if (isToAllowUniformMargins()) { boolean bool = bool3; pageMarginsPanel2 = pageMarginsPanel1; str3 = bool ? ResourceAdministrator.getLocalizedString("uniform") : "Uniform"; pageMarginsPanel2.uniformMarginsCheckBox = new c(str3, (byte)0); jPanel3.add(pageMarginsPanel2.uniformMarginsCheckBox); bool2 = true; }  jPanel1.add(jPanel2, "Center"); if (bool2) jPanel1.add(jPanel3, "South");  initializeBorderLayoutContents(jPanel1, paramString + " (" + ResourceAdministrator.getMediaSizeUnitsString() + ")");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static float getSpinnerIncrementInch() {
/* 393 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static int getSpinnerIncrementMillimeter() {
/* 401 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 410 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet(); PageMarginsPanel pageMarginsPanel2;
/* 411 */     PrintInfoHolder printInfoHolder = paramPrintInfoHolder;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 419 */     AbstractPrintOptionsControllerPanel.MarginValuesHolder marginValuesHolder = computeMarginValues(printRequestAttributeSet, null);
/*     */ 
/*     */     
/*     */     b b1;
/*     */ 
/*     */     
/* 425 */     if ((b1 = (pageMarginsPanel2 = this).minimumMarginsCheckBox) != null)
/*     */     {
/* 427 */       if (b1.isSelected()) {
/*     */         
/* 429 */         b1.setSelected(false);
/* 430 */         b1.actionPerformed(null);
/*     */       }  } 
/*     */     PageMarginsPanel pageMarginsPanel1;
/*     */     c c1;
/* 434 */     if ((c1 = (pageMarginsPanel1 = this).uniformMarginsCheckBox) != null)
/*     */     {
/* 436 */       if (c1.isSelected() && !marginValuesHolder.areAllMarginsSame()) {
/*     */         
/* 438 */         c1.setSelected(false);
/* 439 */         c1.actionPerformed(null);
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 444 */     setMarginValues(marginValuesHolder);
/*     */ 
/*     */     
/* 447 */     initializeUpdatableContainer(paramPrintInfoHolder);
/*     */ 
/*     */     
/* 450 */     initializePrintableArea(printRequestAttributeSet, paramPrintInfoHolder.getSelectedPrintService());
/*     */ 
/*     */     
/* 453 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToAllowMinimumMargins() {
/* 462 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToAllowUniformMargins() {
/* 471 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isUniformMarginsSelected() {
/*     */     PageMarginsPanel pageMarginsPanel;
/* 480 */     return (pageMarginsPanel = this).uniformMarginsCheckBox.isSelected();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/* 489 */     updatePrintOptions(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setSpinnerIncrementInch(float paramFloat) {
/*     */     String str;
/* 498 */     if (paramFloat < 0.01F || paramFloat > 0.25F) {
/*     */       
/* 500 */       str = "Invalid Margin Spinner increment: " + paramFloat + "\nMust be between 0.01 and 0.25 inches.";
/*     */       
/* 502 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 505 */     c = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setSpinnerIncrementMillimeter(int paramInt) {
/*     */     String str;
/* 514 */     if (paramInt <= 0 || paramInt > 10) {
/*     */       
/* 516 */       str = "Invalid Margin Spinner increment: " + paramInt + "\nMust be between 1 and 10 millimeters.";
/*     */       
/* 518 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 521 */     d = str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToAllowMinimumMargins(boolean paramBoolean) {
/* 530 */     a = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToAllowUniformMargins(boolean paramBoolean) {
/* 539 */     b = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void updatedPrintableArea(PrintInfoHolder paramPrintInfoHolder) {
/* 551 */     updatePrintOptions(paramPrintInfoHolder);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 566 */     PrintRequestAttributeSet printRequestAttributeSet1 = paramPrintInfoHolder.getAttributeSet();
/* 567 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService();
/* 568 */     paramPrintInfoHolder.getDocFlavor();
/*     */ 
/*     */ 
/*     */     
/* 572 */     PrintRequestAttributeSet printRequestAttributeSet2 = printRequestAttributeSet1; printService = printService; PageMarginsPanel pageMarginsPanel = this; MediaSizeName mediaSizeName = null; Media media; if (media = (Media)printRequestAttributeSet2.get(Media.class) instanceof MediaSizeName) { mediaSizeName = (MediaSizeName)media; } else { mediaSizeName = PrintUtility.getMediaSizeName(printRequestAttributeSet2); (printRequestAttributeSet2 = new HashPrintRequestAttributeSet(printRequestAttributeSet2)).add(mediaSizeName); }  MediaPrintableArea mediaPrintableArea; if ((mediaPrintableArea = MinimumMarginFixer.getFixedPrintableArea(printService, mediaSizeName)) == null) mediaPrintableArea = PrintUtility.getSupportedPrintableArea(printService, printRequestAttributeSet2, null);  if (mediaPrintableArea != null) { MediaSize mediaSize2 = RequestMediaSizeName.getMediaSize(mediaSizeName); boolean bool2 = PageOrientationPanel.isReverse(printRequestAttributeSet2), bool1 = PageOrientationPanel.isLandscape(printRequestAttributeSet2); mediaPrintableArea = mediaPrintableArea; MediaSize mediaSize1 = mediaSize2; printService = printService; a[] arrayOfA = (pageMarginsPanel = pageMarginsPanel = pageMarginsPanel).marginSpinnerList; String str = ""; float f = 0.0F; int i = 0; AbstractPrintOptionsControllerPanel.MarginValuesHolder marginValuesHolder; if ((marginValuesHolder = computeMarginValues(mediaSize1, mediaPrintableArea, bool1, bool2, null)).topMargin < 0.0F) str = str + " top: " + marginValuesHolder.topMargin;  if (marginValuesHolder.leftMargin < 0.0F) str = str + " left: " + marginValuesHolder.leftMargin;  if (marginValuesHolder.rightMargin < 0.0F) str = str + " right: " + marginValuesHolder.rightMargin;  if (marginValuesHolder.bottomMargin < 0.0F) str = str + " bottom: " + marginValuesHolder.bottomMargin;  if (str.length() > 0) { float f1 = ((i = ResourceAdministrator.getMediaSizeUnits()) == 25400) ? 0.25F : 7.0F; marginValuesHolder.leftMargin = f1; marginValuesHolder.bottomMargin = f1; marginValuesHolder.rightMargin = f1; str = "Invalid negative margin minimums converted to " + f1 + ":\n   " + str; JpdfInvalidMinimumMarginsException jpdfInvalidMinimumMarginsException; PrintManager.handleException((Throwable)(jpdfInvalidMinimumMarginsException = new JpdfInvalidMinimumMarginsException(printService, str, false, f1))); }  arrayOfA[0].setMinimum(marginValuesHolder.topMargin); arrayOfA[1].setMinimum(marginValuesHolder.leftMargin); arrayOfA[2].setMinimum(marginValuesHolder.rightMargin); arrayOfA[3].setMinimum(marginValuesHolder.bottomMargin); }
/*     */ 
/*     */     
/* 575 */     if ((pageMarginsPanel = this).toDisplayMinimumMargins) a();
/*     */ 
/*     */ 
/*     */     
/* 579 */     if ((pageMarginsPanel = this).toDisplayUniformMargins)
/*     */     {
/* 581 */       if (!e()) b();
/*     */     
/*     */     }
/*     */ 
/*     */ 
/*     */     
/* 587 */     updatePrintableArea(paramPrintInfoHolder, c(), true, false);
/*     */     
/* 589 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected PrintInfoHolder getPrintInfoHolder() {
/* 603 */     return this.printInfoHolder;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void setMarginValues(AbstractPrintOptionsControllerPanel.MarginValuesHolder paramMarginValuesHolder) {
/*     */     a[] arrayOfA;
/*     */     PageMarginsPanel pageMarginsPanel;
/* 614 */     (arrayOfA = (pageMarginsPanel = this).marginSpinnerList)[0].setValue(paramMarginValuesHolder.topMargin);
/* 615 */     arrayOfA[1].setValue(paramMarginValuesHolder.leftMargin);
/* 616 */     arrayOfA[2].setValue(paramMarginValuesHolder.rightMargin);
/* 617 */     arrayOfA[3].setValue(paramMarginValuesHolder.bottomMargin);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(int paramInt, String paramString, boolean paramBoolean) {
/* 689 */     this.marginSpinnerList[paramInt] = paramBoolean ? new a(0.0F, 0.0F, 100.0F, getSpinnerIncrementInch(), (byte)0) : new a(0, 0, 10000, getSpinnerIncrementMillimeter(), (byte)0);
/*     */ 
/*     */     
/* 692 */     this.marginSpinnerList[paramInt].setName(paramString);
/*     */     
/* 694 */     return PrintComponentFactory.buildTopLabeledComponentPanel(paramString, (JComponent)this.marginSpinnerList[paramInt], true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a() {
/* 741 */     PageMarginsPanel pageMarginsPanel = null;
/*     */     
/* 743 */     if ((pageMarginsPanel = this).toDisplayUniformMargins) {
/*     */       
/* 745 */       a(new Float(d()));
/*     */       
/*     */       return;
/*     */     } 
/* 749 */     a[] arrayOfA = (pageMarginsPanel = this).marginSpinnerList;
/* 750 */     for (byte b1 = 0; b1 < arrayOfA.length; b1++)
/*     */     {
/* 752 */       arrayOfA[b1].setValueToMinimum();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private void b() {
/*     */     a[] arrayOfA;
/*     */     PageMarginsPanel pageMarginsPanel;
/*     */     float f2, f3;
/*     */     byte b1;
/* 763 */     for (arrayOfA = (pageMarginsPanel = pageMarginsPanel = this).marginSpinnerList, f2 = 9999.0F, f3 = 0.0F, b1 = 0; b1 < arrayOfA.length; ) { if ((f3 = arrayOfA[b1].getFloatValue()) < f2) f2 = f3;  b1++; }  float f1 = f2;
/*     */ 
/*     */ 
/*     */     
/* 767 */     f2 = d();
/* 768 */     if (f1 < f2)
/*     */     {
/* 770 */       f1 = f2;
/*     */     }
/* 772 */     a(new Float(f1));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private AbstractPrintOptionsControllerPanel.MarginValuesHolder c() {
/*     */     PageMarginsPanel pageMarginsPanel;
/* 780 */     a[] arrayOfA = (pageMarginsPanel = this).marginSpinnerList;
/*     */     
/* 782 */     this.MARGIN_HOLDER.topMargin = arrayOfA[0].getFloatValue();
/* 783 */     this.MARGIN_HOLDER.leftMargin = arrayOfA[1].getFloatValue();
/* 784 */     this.MARGIN_HOLDER.rightMargin = arrayOfA[2].getFloatValue();
/* 785 */     this.MARGIN_HOLDER.bottomMargin = arrayOfA[3].getFloatValue();
/*     */     
/* 787 */     return this.MARGIN_HOLDER;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private float d() {
/*     */     PageMarginsPanel pageMarginsPanel;
/* 812 */     a[] arrayOfA = (pageMarginsPanel = this).marginSpinnerList;
/* 813 */     float f1 = 0.0F;
/* 814 */     float f2 = 0.0F;
/*     */     
/* 816 */     for (byte b1 = 0; b1 < arrayOfA.length; b1++) {
/*     */ 
/*     */       
/* 819 */       if ((f2 = arrayOfA[b1].getMinimum()) > f1) f1 = f2;
/*     */     
/*     */     } 
/* 822 */     return f1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean e() {
/*     */     a[] arrayOfA;
/*     */     PageMarginsPanel pageMarginsPanel;
/* 866 */     if ((arrayOfA = (pageMarginsPanel = this).marginSpinnerList)[0].getFloatValue() == arrayOfA[3].getFloatValue() && arrayOfA[1].getFloatValue() == arrayOfA[2].getFloatValue() && arrayOfA[0].getFloatValue() == arrayOfA[1].getFloatValue()) return true;  return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(Number paramNumber) {
/*     */     PageMarginsPanel pageMarginsPanel;
/*     */     a[] arrayOfA;
/* 965 */     if (!(arrayOfA = (pageMarginsPanel = this).marginSpinnerList)[0].getValue().equals(paramNumber))
/*     */     {
/* 967 */       a.a(arrayOfA[0], paramNumber);
/*     */     }
/* 969 */     if (!arrayOfA[1].getValue().equals(paramNumber))
/*     */     {
/* 971 */       a.a(arrayOfA[1], paramNumber);
/*     */     }
/* 973 */     if (!arrayOfA[2].getValue().equals(paramNumber))
/*     */     {
/* 975 */       a.a(arrayOfA[2], paramNumber);
/*     */     }
/* 977 */     if (!arrayOfA[3].getValue().equals(paramNumber))
/*     */     {
/* 979 */       a.a(arrayOfA[3], paramNumber);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PageMarginsPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */