/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.MouseAdapter;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.PageRanges;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.UIManager;
/*     */ import javax.swing.border.Border;
/*     */ import jpdf.gui.InputDataException;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintServiceSelectionObserver;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.gui.d.j;
/*     */ import jpdf_common.gui.layout.ColLayout;
/*     */ import jpdf_common.gui.layout.TripletLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintPageMultiRangePanel
/*     */   extends AbstractRadioButtonPanel
/*     */   implements PrintServiceSelectionObserver
/*     */ {
/*     */   static class b
/*     */     extends JTextArea
/*     */   {
/*     */     b(String param1String, int param1Int, Color param1Color, Border param1Border) {
/*  80 */       super(param1String, 5, 22);
/*     */       
/*  82 */       setLineWrap(true);
/*  83 */       setWrapStyleWord(true);
/*  84 */       setEditable(false);
/*  85 */       setEnabled(false);
/*  86 */       setBorder(param1Border);
/*  87 */       setOpaque(true);
/*  88 */       setBackground(param1Color);
/*  89 */       setDisabledTextColor(Color.BLACK);
/*  90 */       setFont(UIManager.getFont("Label.font"));
/*  91 */       setRows(getLineCount());
/*     */     }
/*     */ 
/*     */     
/*     */     public final void setBackground(Color param1Color) {
/*  96 */       j.i().a(this, param1Color);
/*  97 */       super.setBackground(param1Color);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     implements ActionListener
/*     */   {
/*     */     private a(PrintPageMultiRangePanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 112 */       JRadioButton jRadioButton = (JRadioButton)param1ActionEvent.getSource();
/* 113 */       JTextField jTextField = PrintPageMultiRangePanel.a(this.a);
/*     */       
/* 115 */       int i = ((i = this.a.getButtonIndex(jRadioButton)) == 1) ? 1 : 0;
/*     */ 
/*     */       
/* 118 */       jTextField.setEnabled(i);
/*     */ 
/*     */       
/* 121 */       if (i != 0) jTextField.requestFocus();
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends MouseAdapter
/*     */   {
/*     */     private c(PrintPageMultiRangePanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void mousePressed(MouseEvent param1MouseEvent) {
/*     */       JTextField jTextField;
/* 136 */       (jTextField = PrintPageMultiRangePanel.a(this.a)).setEnabled(true);
/* 137 */       this.a.getButtonList()[1].setSelected(true);
/* 138 */       jTextField.requestFocus();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 153 */   private JTextField rangeTextField = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintPageMultiRangePanel() {
/* 162 */     this((Locale)null, "Page Range");
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageMultiRangePanel(Locale paramLocale) {
/* 167 */     this(paramLocale, ResourceAdministrator.getLocalizedString("printrange.title"));
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageMultiRangePanel(String paramString) {
/* 172 */     this((Locale)null, paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageMultiRangePanel(Locale paramLocale, String paramString) {
/* 177 */     super(paramString);
/*     */     
/* 179 */     Locale locale1 = paramLocale, locale2 = locale1; PrintPageMultiRangePanel printPageMultiRangePanel1 = this, printPageMultiRangePanel3 = printPageMultiRangePanel1; a a = new a((byte)0); JRadioButton[] arrayOfJRadioButton2 = new JRadioButton[2]; ButtonGroup buttonGroup = printPageMultiRangePanel3.getButtonGroup(); String str1 = null; if (locale2 == null) { arrayOfJRadioButton2[0] = new JRadioButton("All"); arrayOfJRadioButton2[1] = new JRadioButton("Pages"); } else { str1 = ResourceAdministrator.getLocalizedString("printrange.rangeall"); arrayOfJRadioButton2[0] = new JRadioButton(str1); str1 = ResourceAdministrator.getLocalizedString("printrange.rangepages"); arrayOfJRadioButton2[1] = new JRadioButton(str1); }  for (byte b = 0; b < arrayOfJRadioButton2.length; ) { arrayOfJRadioButton2[b].addActionListener(a); arrayOfJRadioButton2[b].setEnabled(false); buttonGroup.add(arrayOfJRadioButton2[b]); b++; }  JRadioButton[] arrayOfJRadioButton1 = arrayOfJRadioButton2; JPanel jPanel1 = new JPanel(new BorderLayout()), jPanel2 = new JPanel((LayoutManager)new ColLayout(1)); JRadioButton jRadioButton = arrayOfJRadioButton1[1]; printPageMultiRangePanel3 = printPageMultiRangePanel1; JPanel jPanel4; (jPanel4 = new JPanel((LayoutManager)new TripletLayout())).add(jRadioButton, "Left"); jPanel4.add(printPageMultiRangePanel3.a(), "Center"); JPanel jPanel3 = jPanel4; jPanel1.setBorder(BorderFactory.createEmptyBorder(0, 3, 0, 7)); setPreferredWidth(jPanel3, 0); jPanel2.add(arrayOfJRadioButton1[0]); jPanel2.add(jPanel3); jPanel1.add(jPanel2, "North"); PrintPageMultiRangePanel printPageMultiRangePanel2 = printPageMultiRangePanel1; String str2 = ResourceAdministrator.getLocalizedString("msg.multiRangeExample"); jPanel1.add(new b(str2, 22, printPageMultiRangePanel2.getBackground(), BorderFactory.createEmptyBorder(2, 20, 2, 0)), "Center"); printPageMultiRangePanel1.setButtonList(arrayOfJRadioButton1); initializeBorderLayoutContents(jPanel1, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addComponentBelow(JComponent paramJComponent) {
/*     */     Container container;
/* 196 */     (container = (Container)getComponent(0)).add(paramJComponent, "South");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 206 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 207 */     JTextField jTextField = null;
/*     */ 
/*     */ 
/*     */     
/*     */     PageRanges pageRanges;
/*     */ 
/*     */ 
/*     */     
/* 215 */     if ((pageRanges = (PageRanges)printRequestAttributeSet.get(PageRanges.class)) != null) {
/*     */ 
/*     */       
/* 218 */       (jTextField = a()).setText(pageRanges.toString());
/* 219 */       jTextField.setCaretPosition(0);
/* 220 */       getButtonList()[1].setSelected(true);
/*     */     }
/*     */     else {
/*     */       
/* 224 */       getButtonList()[0].setSelected(true);
/*     */     } 
/*     */ 
/*     */     
/* 228 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/* 238 */     JRadioButton[] arrayOfJRadioButton = getButtonList();
/* 239 */     PrintService printService = paramPrintInfoHolder.getSelectedPrintService();
/* 240 */     boolean bool2 = arrayOfJRadioButton[1].isSelected();
/* 241 */     boolean bool1 = printService.isAttributeCategorySupported((Class)PageRanges.class);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 247 */     arrayOfJRadioButton[0].setEnabled(bool1);
/* 248 */     arrayOfJRadioButton[1].setEnabled(bool1);
/* 249 */     a().setEnabled((bool1 && bool2));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 259 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 260 */     Object object = null;
/* 261 */     JTextField jTextField = null;
/*     */     
/*     */     boolean bool;
/*     */     
/* 265 */     if (bool = getButtonList()[0].isSelected()) {
/*     */       
/* 267 */       printRequestAttributeSet.remove(PageRanges.class);
/*     */ 
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 274 */       jTextField = a();
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 279 */         PageRanges pageRanges = new PageRanges(jTextField.getText());
/* 280 */         printRequestAttributeSet.add(pageRanges);
/*     */       }
/* 282 */       catch (IllegalArgumentException illegalArgumentException) {
/*     */         
/* 284 */         throw new InputDataException(ResourceAdministrator.getLocalizedString("error.pagerange"), jTextField);
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 289 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JTextField a() {
/* 398 */     if (this.rangeTextField == null) {
/*     */       
/* 400 */       this.rangeTextField = (JTextField)new jpdf_common.gui.component.c.b();
/* 401 */       this.rangeTextField.setEnabled(false);
/* 402 */       this.rangeTextField.setText("1");
/* 403 */       this.rangeTextField.addMouseListener(new c((byte)0));
/*     */     } 
/*     */     
/* 406 */     return this.rangeTextField;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PrintPageMultiRangePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */