/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.Container;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.GridLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.FocusAdapter;
/*     */ import java.awt.event.FocusEvent;
/*     */ import java.awt.event.MouseAdapter;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.PageRanges;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import javax.swing.JTextField;
/*     */ import jpdf.gui.InputDataException;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.PrintServiceSelectionObserver;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintPageRangePanel
/*     */   extends AbstractRadioButtonPanel
/*     */   implements PrintServiceSelectionObserver
/*     */ {
/*     */   private final b FOCUS_LISTENER;
/*     */   private JTextField fromTextField;
/*     */   private JTextField toTextField;
/*     */   
/*     */   class a
/*     */     implements ActionListener
/*     */   {
/*     */     private a(PrintPageRangePanel this$0) {}
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  66 */       JRadioButton jRadioButton = (JRadioButton)param1ActionEvent.getSource();
/*  67 */       JTextField jTextField = PrintPageRangePanel.a(this.a);
/*     */       
/*  69 */       int i = ((i = this.a.getButtonIndex(jRadioButton)) == 1) ? 1 : 0;
/*     */ 
/*     */       
/*  72 */       jTextField.setEnabled(i);
/*  73 */       PrintPageRangePanel.b(this.a).setEnabled(i);
/*     */ 
/*     */       
/*  76 */       if (i != 0) jTextField.requestFocus();
/*     */     
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   class c
/*     */     extends MouseAdapter
/*     */   {
/*     */     private c(PrintPageRangePanel this$0) {}
/*     */ 
/*     */     
/*     */     public final void mousePressed(MouseEvent param1MouseEvent) {
/*  89 */       JTextField jTextField = (JTextField)param1MouseEvent.getSource();
/*     */       
/*  91 */       PrintPageRangePanel.a(this.a).setEnabled(true);
/*  92 */       PrintPageRangePanel.b(this.a).setEnabled(true);
/*  93 */       this.a.getButtonList()[1].setSelected(true);
/*  94 */       jTextField.requestFocus();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends FocusAdapter
/*     */   {
/*     */     private b(PrintPageRangePanel this$0) {}
/*     */ 
/*     */ 
/*     */     
/*     */     public final void focusLost(FocusEvent param1FocusEvent) {
/*     */       int j;
/* 110 */       JTextField jTextField1 = PrintPageRangePanel.a(this.a);
/* 111 */       JTextField jTextField2 = PrintPageRangePanel.b(this.a);
/* 112 */       int i = 1;
/* 113 */       boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 119 */         i = Integer.parseInt(jTextField1.getText());
/*     */       }
/* 121 */       catch (NumberFormatException numberFormatException) {
/*     */         
/* 123 */         bool = true;
/*     */       } 
/*     */       
/*     */       try {
/* 127 */         j = Integer.parseInt(jTextField2.getText());
/*     */       }
/* 129 */       catch (NumberFormatException numberFormatException) {
/*     */         
/* 131 */         j = i;
/* 132 */         bool = true;
/*     */       } 
/* 134 */       if (i <= 0) {
/*     */         
/* 136 */         i = 1;
/* 137 */         bool = true;
/*     */       } 
/* 139 */       if (j < i) {
/*     */         
/* 141 */         j = i;
/* 142 */         bool = true;
/*     */       } 
/*     */ 
/*     */       
/* 146 */       if (bool) {
/*     */         
/* 148 */         jTextField1.setText(Integer.toString(i));
/* 149 */         jTextField2.setText(Integer.toString(j));
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintPageRangePanel() {
/* 179 */     this((Locale)null, "Page Range");
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageRangePanel(Locale paramLocale) {
/* 184 */     this(paramLocale, ResourceAdministrator.getLocalizedString("printrange.title"));
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageRangePanel(String paramString) {
/* 189 */     this((Locale)null, paramString);
/*     */   }
/*     */ 
/*     */   
/*     */   public PrintPageRangePanel(Locale paramLocale, String paramString) {
/* 194 */     super(paramString); JLabel jLabel; this.FOCUS_LISTENER = new b((byte)0); this.fromTextField = null;
/*     */     this.toTextField = null;
/* 196 */     Locale locale1 = paramLocale, locale3 = locale1; PrintPageRangePanel printPageRangePanel1 = this, printPageRangePanel4 = printPageRangePanel1; a a = new a((byte)0); JRadioButton[] arrayOfJRadioButton2 = new JRadioButton[2]; ButtonGroup buttonGroup = printPageRangePanel4.getButtonGroup(); printPageRangePanel4 = null; if (locale3 == null) { arrayOfJRadioButton2[0] = new JRadioButton("All"); arrayOfJRadioButton2[1] = new JRadioButton("Pages"); } else { String str = ResourceAdministrator.getLocalizedString("printrange.rangeall"); arrayOfJRadioButton2[0] = new JRadioButton(str); str = ResourceAdministrator.getLocalizedString("printrange.rangepages"); arrayOfJRadioButton2[1] = new JRadioButton(str); }  for (byte b1 = 0; b1 < arrayOfJRadioButton2.length; ) { arrayOfJRadioButton2[b1].addActionListener(a); arrayOfJRadioButton2[b1].setEnabled(false); buttonGroup.add(arrayOfJRadioButton2[b1]); b1++; }  JRadioButton arrayOfJRadioButton1[] = arrayOfJRadioButton2, jRadioButton1 = arrayOfJRadioButton1[0]; JPanel jPanel3; (jPanel3 = new JPanel(new FlowLayout(0, 3, 0))).add(jRadioButton1); JPanel jPanel2; (jPanel2 = new JPanel(new GridLayout(2, 1, 0, 0))).add(jPanel3); JRadioButton jRadioButton2 = arrayOfJRadioButton1[1]; Locale locale2 = locale1; PrintPageRangePanel printPageRangePanel3 = printPageRangePanel1; c c1 = new c((byte)0), c2 = c1; PrintPageRangePanel printPageRangePanel2; (printPageRangePanel2 = printPageRangePanel3).fromTextField = printPageRangePanel2.a(); printPageRangePanel2.fromTextField.addMouseListener(c2); JTextField jTextField2 = printPageRangePanel2.fromTextField; c2 = c1; (printPageRangePanel2 = printPageRangePanel3).toTextField = printPageRangePanel2.a(); printPageRangePanel2.toTextField.addMouseListener(c2); JTextField jTextField1 = printPageRangePanel2.toTextField; JPanel jPanel1 = new JPanel(new FlowLayout(0, -2, 0)), jPanel4 = new JPanel(new FlowLayout(0, 5, 0)); if (locale2 == null) { jLabel = new JLabel("To"); } else { jLabel = new JLabel(ResourceAdministrator.getLocalizedString("printrange.rangeto")); }  jLabel.setLabelFor(jTextField1); jPanel4.add(jRadioButton2); jPanel4.add(jTextField2); jPanel4.add(jLabel); jPanel4.add(jTextField1); jPanel1.add(jPanel4); jPanel2.add(jPanel1); printPageRangePanel1.setButtonList(arrayOfJRadioButton1); initializeBorderLayoutContents(jPanel2, paramString);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addComponentBelow(JComponent paramJComponent) {
/*     */     Container container;
/* 211 */     GridLayout gridLayout = (GridLayout)(container = (Container)getComponent(0)).getLayout();
/*     */ 
/*     */     
/* 214 */     container.add(paramJComponent);
/*     */ 
/*     */     
/* 217 */     gridLayout.setRows(gridLayout.getRows() + 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initializePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 231 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 232 */     boolean bool = true;
/*     */     
/* 234 */     int[][] arrayOfInt = null;
/* 235 */     int i = 1;
/* 236 */     int j = 1;
/* 237 */     int k = 0;
/*     */ 
/*     */     
/*     */     PageRanges pageRanges;
/*     */ 
/*     */     
/* 243 */     if ((pageRanges = (PageRanges)printRequestAttributeSet.get(PageRanges.class)) != null)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 248 */       if ((arrayOfInt = pageRanges.getMembers()).length > 0) {
/*     */         
/* 250 */         k = arrayOfInt.length - 1;
/* 251 */         if (arrayOfInt[k][1] <= 9999) {
/*     */           
/* 253 */           i = arrayOfInt[0][0];
/* 254 */           j = arrayOfInt[k][1];
/* 255 */           bool = false;
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */     
/* 261 */     getButtonList()[bool ? 0 : 1].setSelected(true);
/*     */     
/*     */     PrintPageRangePanel printPageRangePanel;
/* 264 */     (printPageRangePanel = this).fromTextField.setText(Integer.toString(i));
/* 265 */     (printPageRangePanel = this).toTextField.setText(Integer.toString(j));
/*     */ 
/*     */     
/* 268 */     paramPrintInfoHolder.getPrintServiceSetter().addSelectionObserver(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void selectedPrintService(PrintInfoHolder paramPrintInfoHolder) {
/*     */     PrintService printService;
/* 280 */     boolean bool2 = (printService = paramPrintInfoHolder.getSelectedPrintService()).isAttributeCategorySupported((Class)PageRanges.class);
/*     */ 
/*     */ 
/*     */     
/*     */     JRadioButton[] arrayOfJRadioButton;
/*     */ 
/*     */ 
/*     */     
/* 288 */     (arrayOfJRadioButton = getButtonList())[0].setEnabled(bool2);
/* 289 */     arrayOfJRadioButton[1].setEnabled(bool2);
/* 290 */     boolean bool1 = arrayOfJRadioButton[1].isSelected(); PrintPageRangePanel printPageRangePanel;
/* 291 */     (printPageRangePanel = this).fromTextField.setEnabled((bool2 && bool1));
/* 292 */     (printPageRangePanel = this).toTextField.setEnabled((bool2 && bool1));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean updatePrintOptions(PrintInfoHolder paramPrintInfoHolder) {
/* 302 */     PrintRequestAttributeSet printRequestAttributeSet = paramPrintInfoHolder.getAttributeSet();
/* 303 */     Object object1 = null;
/* 304 */     object1 = null;
/* 305 */     Object object2 = null;
/* 306 */     boolean bool = getButtonList()[0].isSelected();
/*     */     
/* 308 */     int i = 0;
/* 309 */     boolean bool1 = false;
/*     */ 
/*     */     
/* 312 */     if (bool) {
/*     */       
/* 314 */       printRequestAttributeSet.remove(PageRanges.class);
/*     */     } else {
/*     */       String str;
/*     */       
/*     */       int j;
/*     */       
/*     */       PrintPageRangePanel printPageRangePanel;
/* 321 */       JTextField jTextField1 = (printPageRangePanel = this).fromTextField;
/* 322 */       JTextField jTextField2 = (printPageRangePanel = this).toTextField;
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 327 */         i = Integer.parseInt(jTextField1.getText());
/*     */       }
/* 329 */       catch (NumberFormatException numberFormatException) {
/*     */         
/* 331 */         if (jTextField1.getText().trim().length() == 0) {
/*     */           
/* 333 */           str = ResourceAdministrator.getLocalizedString("msg.missingFromPage");
/*     */         }
/*     */         else {
/*     */           
/* 337 */           str = ResourceAdministrator.getLocalizedString("msg.nonNumericFromPage");
/*     */         } 
/* 339 */         throw new InputDataException(str, jTextField1);
/*     */       } 
/*     */       
/*     */       try {
/* 343 */         j = Integer.parseInt(jTextField2.getText());
/*     */       }
/* 345 */       catch (NumberFormatException numberFormatException) {
/*     */         
/* 347 */         if (jTextField1.getText().trim().length() == 0) {
/*     */           
/* 349 */           str = ResourceAdministrator.getLocalizedString("msg.missingToPage");
/*     */         }
/*     */         else {
/*     */           
/* 353 */           str = ResourceAdministrator.getLocalizedString("msg.nonNumericToPage");
/*     */         } 
/* 355 */         throw new InputDataException(str, jTextField1);
/*     */       } 
/*     */ 
/*     */       
/* 359 */       if (i <= 0) i = 1; 
/* 360 */       if (j < i) j = i;
/*     */       
/* 362 */       PageRanges pageRanges = new PageRanges(i, j);
/* 363 */       str.add(pageRanges);
/*     */     } 
/*     */     
/* 366 */     return true;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JTextField a() {
/*     */     jpdf_common.gui.component.c.a a;
/* 422 */     (a = new jpdf_common.gui.component.c.a(4, true, false)).setEnabled(false);
/* 423 */     a.addFocusListener(this.FOCUS_LISTENER);
/*     */     
/* 425 */     return (JTextField)a;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PrintPageRangePanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */