/*     */ package jpdf.gui.controller;
/*     */ 
/*     */ import java.awt.Graphics;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Locale;
/*     */ import java.util.regex.PatternSyntaxException;
/*     */ import javax.print.PrintService;
/*     */ import javax.swing.ImageIcon;
/*     */ import jpdf_common.system.manage.IconRetriever;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrinterIconSelectionPanel
/*     */   extends AbstractPrinterIconSelectionPanel
/*     */ {
/*     */   static class a
/*     */     extends AbstractPrinterIconSelectionPanel.AbstractPrinterIconLabel
/*     */   {
/*     */     private a(PrinterIconSelectionPanel param1PrinterIconSelectionPanel, PrintService param1PrintService, ImageIcon param1ImageIcon) {
/*  54 */       super(param1PrinterIconSelectionPanel, param1PrintService, param1ImageIcon, a(param1PrintService));
/*     */ 
/*     */       
/*  57 */       setVerticalTextPosition(3);
/*  58 */       setHorizontalTextPosition(0);
/*  59 */       setHorizontalAlignment(0);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void paint(Graphics param1Graphics) {
/*  69 */       int i = getWidth() / 2 + 8;
/*     */ 
/*     */       
/*  72 */       super.paint(param1Graphics);
/*     */ 
/*     */ 
/*     */       
/*  76 */       if (this.DEFAULT) paintCheckCircle(param1Graphics, 13, i, 1);
/*     */     
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static void a(String param1String, int param1Int, ArrayList<String> param1ArrayList) {
/*     */       String str1, arrayOfString[], str2;
/*  87 */       int j = 0;
/*     */ 
/*     */ 
/*     */       
/*  91 */       if (param1String.length() <= param1Int) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  97 */         param1ArrayList.add(param1String);
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */ 
/*     */       
/* 104 */       if (param1String.indexOf(" ") >= 0) {
/*     */         
/* 106 */         str1 = str2 = " ";
/*     */       }
/* 108 */       else if (param1String.indexOf("_") >= 0) {
/*     */         
/* 110 */         str1 = str2 = "_";
/*     */       }
/* 112 */       else if (param1String.indexOf("-") >= 0) {
/*     */         
/* 114 */         str1 = str2 = "-";
/*     */       }
/* 116 */       else if (param1String.indexOf("\\") >= 0) {
/*     */         
/* 118 */         str1 = "\\\\";
/* 119 */         str2 = "\\";
/*     */       }
/* 121 */       else if (param1String.indexOf("/") >= 0) {
/*     */         
/* 123 */         str1 = str2 = "/";
/*     */ 
/*     */       
/*     */       }
/*     */       else {
/*     */ 
/*     */         
/* 130 */         param1ArrayList.add(param1String.substring(0, param1Int));
/* 131 */         param1ArrayList.add(param1String.substring(param1Int));
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/*     */       try {
/* 138 */         arrayOfString = param1String.split(str1);
/*     */       }
/* 140 */       catch (PatternSyntaxException patternSyntaxException) {
/*     */         
/* 142 */         param1ArrayList.add(param1String);
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 147 */       int i = arrayOfString.length - 1;
/* 148 */       for (byte b = 0; b <= i; b++) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 153 */         if ((j = arrayOfString[b].length()) > param1Int) {
/*     */ 
/*     */           
/* 156 */           a(arrayOfString[b], param1Int, param1ArrayList);
/*     */         
/*     */         }
/*     */         else {
/*     */ 
/*     */           
/* 162 */           param1ArrayList.add(arrayOfString[b]);
/*     */         } 
/*     */ 
/*     */         
/* 166 */         if (b < i) param1ArrayList.add(str2);
/*     */       
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static String a(PrintService param1PrintService) {
/* 178 */       ArrayList<String> arrayList = new ArrayList(7);
/* 179 */       StringBuilder stringBuilder = new StringBuilder(45);
/* 180 */       String str1 = AbstractPrintServiceSelectorPanel.a(param1PrintService);
/* 181 */       String str2 = null;
/* 182 */       byte b1 = 1;
/* 183 */       int j = 0;
/* 184 */       int k = 0;
/* 185 */       a(str1, 14, arrayList);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 191 */       int i = arrayList.size();
/* 192 */       for (byte b2 = 0; b2 < i; b2++) {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 198 */         if ((k = (str2 = arrayList.get(b2)).length()) > 14) {
/*     */           
/* 200 */           if (j) stringBuilder.append("<BR>"); 
/* 201 */           stringBuilder.append(str2.substring(0, 11) + "...");
/*     */ 
/*     */           
/*     */           break;
/*     */         } 
/*     */         
/* 207 */         if (j + k > 14) {
/*     */           
/* 209 */           stringBuilder.append("<BR>");
/* 210 */           j = 0;
/* 211 */           b1++;
/* 212 */           if (b1 > 3) {
/*     */             
/* 214 */             stringBuilder.append("...");
/*     */             
/*     */             break;
/*     */           } 
/*     */         } 
/*     */         
/* 220 */         stringBuilder.append(str2);
/* 221 */         j += k;
/*     */       } 
/*     */       
/* 224 */       return "<HTML><B><CENTER>" + stringBuilder.toString() + "</CENTER></B></HTML>";
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrinterIconSelectionPanel(String paramString, PrintService paramPrintService) {
/* 243 */     super((Locale)null, paramString, paramPrintService, 5, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public PrinterIconSelectionPanel(String paramString, PrintService paramPrintService, int paramInt1, int paramInt2) {
/* 249 */     super((Locale)null, paramString, paramPrintService, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public PrinterIconSelectionPanel(Locale paramLocale, String paramString, PrintService paramPrintService) {
/* 255 */     super(paramLocale, paramString, paramPrintService, 5, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrinterIconSelectionPanel(Locale paramLocale, String paramString, PrintService paramPrintService, int paramInt) {
/* 262 */     super(paramLocale, paramString, paramPrintService, paramInt, 1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrinterIconSelectionPanel(Locale paramLocale, String paramString, PrintService paramPrintService, int paramInt1, int paramInt2) {
/* 269 */     super(paramLocale, paramString, paramPrintService, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected int loadPrinterIcons(PrintService[] paramArrayOfPrintService, PrintService paramPrintService) {
/* 285 */     paramPrintService = null;
/* 286 */     ImageIcon imageIcon = IconRetriever.getPrinterIcon();
/* 287 */     byte b = -1;
/*     */ 
/*     */ 
/*     */     
/* 291 */     for (byte b1 = 0; b1 < paramArrayOfPrintService.length; b1++) {
/*     */       
/* 293 */       a a = new a(this, paramArrayOfPrintService[b1], imageIcon, (byte)0);
/* 294 */       add(new AbstractPrinterIconSelectionPanel.PrinterIconPanel(a, true));
/* 295 */       if (a.isDefault()) b = b1;
/*     */     
/*     */     } 
/* 298 */     return b;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\controller\PrinterIconSelectionPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */