/*      */ package jpdf.gui.preview;
/*      */ 
/*      */ import java.awt.BasicStroke;
/*      */ import java.awt.Color;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Image;
/*      */ import java.awt.Point;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.Stroke;
/*      */ import java.awt.event.MouseAdapter;
/*      */ import java.awt.event.MouseEvent;
/*      */ import java.awt.geom.AffineTransform;
/*      */ import java.awt.print.PageFormat;
/*      */ import java.awt.print.Pageable;
/*      */ import java.awt.print.Paper;
/*      */ import java.awt.print.Printable;
/*      */ import java.util.Locale;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import jpdf.printable.AttributeSetPrintable;
/*      */ import jpdf.utility.PrintUtility;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class PageableOverviewPanel
/*      */   extends AbstractOverviewPanel
/*      */ {
/*      */   class a
/*      */     extends MouseAdapter
/*      */   {
/*      */     private a(PageableOverviewPanel this$0) {}
/*      */     
/*      */     public final void mousePressed(MouseEvent param1MouseEvent) {
/*   68 */       Point point = param1MouseEvent.getPoint();
/*      */ 
/*      */       
/*   71 */       float f1 = this.a.getZoomFactor();
/*   72 */       int m = 0;
/*      */ 
/*      */ 
/*      */       
/*   76 */       int n = 0;
/*   77 */       if (point.x <= 7) {
/*      */         return;
/*      */       }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*   88 */       if (point.y <= 7) {
/*      */         return;
/*      */       }
/*      */       
/*   92 */       float f2 = (PageableOverviewPanel.a(this.a)).width * f1 + 9.0F;
/*   93 */       float f3 = (PageableOverviewPanel.a(this.a)).height * f1 + 9.0F;
/*      */ 
/*      */       
/*   96 */       int i1 = (int)((point.x - 5) / f2);
/*   97 */       int i2 = (int)((point.y - 5) / f3);
/*      */ 
/*      */       
/*  100 */       Dimension dimension = this.a.computeLayoutSize();
/*  101 */       if (i1 >= dimension.width || i2 >= dimension.height) {
/*      */         return;
/*      */       }
/*      */ 
/*      */ 
/*      */       
/*  107 */       int i3 = this.a.getFirstPageIndex();
/*  108 */       n = this.a.getLastPageIndex();
/*      */ 
/*      */       
/*  111 */       int k = i2 * dimension.width + i1;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  116 */       if (dimension.height > 1) {
/*      */         
/*  118 */         m = i3 % dimension.width;
/*  119 */         if (k < m)
/*  120 */           return;  n %= dimension.width;
/*  121 */         if (k > dimension.width * (dimension.height - 1) + n) {
/*      */           return;
/*      */         }
/*      */       } 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  129 */       k = i3 + k - m;
/*      */ 
/*      */       
/*  132 */       int j = point.x - (int)(i1 * f2) + 5;
/*      */       
/*  134 */       int i = point.y - (int)(i2 * f3) + 5;
/*      */ 
/*      */ 
/*      */       
/*  138 */       PageFormat pageFormat = this.a.getOverviewPageable().getPageFormat(k);
/*  139 */       if (j < pageFormat.getWidth() * f1 && i < pageFormat.getHeight() * f1)
/*      */       {
/*      */         
/*  142 */         PageableOverviewPanel.a(this.a, k, i2, i1);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  151 */   private final Dimension FULL_LAYOUT_SIZE = new Dimension();
/*  152 */   private final Dimension MAX_PAGE_SIZE = new Dimension();
/*  153 */   private final Color HILITE_COLOR = Color.BLUE;
/*  154 */   private final Stroke HILITE_STROKE = new BasicStroke(3.0F);
/*      */   
/*  156 */   private PageSelectionObserver pageSelectionObserver = null;
/*  157 */   private Pageable overviewPageable = null;
/*  158 */   private int selectedPageIndex = 0;
/*  159 */   private int selectedCellRowIndex = 0;
/*  160 */   private int selectedCellColIndex = 0;
/*  161 */   private int fixedColumnCount = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PageableOverviewPanel(Locale paramLocale, Pageable paramPageable) {
/*  174 */     this(paramLocale, paramPageable, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PageableOverviewPanel(Locale paramLocale, Pageable paramPageable, int paramInt) {
/*  184 */     super(paramLocale);
/*      */     
/*  186 */     paramInt = paramInt; paramPageable = paramPageable; PageableOverviewPanel pageableOverviewPanel1 = this; int i, j = (i = paramPageable.getNumberOfPages()) - 1; Pageable pageable = paramPageable; PageableOverviewPanel pageableOverviewPanel2; (pageableOverviewPanel2 = pageableOverviewPanel1).displayWaitCursor(); pageableOverviewPanel2.overviewPageable = pageable; pageableOverviewPanel1.requestFixedColumnCount(paramInt); if (paramInt <= 0) { pageableOverviewPanel1.a(1, i); } else { pageableOverviewPanel1.a(paramInt, (int)((i - 1.0F) / paramInt) + 1); }  pageableOverviewPanel1.setPageIndexRange(0, j); pageableOverviewPanel1.a(paramPageable, 0, j); pageableOverviewPanel1.addMouseListener(new a((byte)0));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getFixedColumnCount() {
/*  201 */     return this.fixedColumnCount;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public PageSelectionObserver getPageSelectionObserver() {
/*  209 */     return this.pageSelectionObserver;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void paint(Graphics paramGraphics) {
/*  219 */     if (!a()) {
/*      */       return;
/*      */     }
/*  222 */     super.paint(paramGraphics);
/*      */ 
/*      */     
/*  225 */     if (!isPleaseWaitMessageDisplayed() && isToPaintImage()) {
/*      */       
/*  227 */       Graphics2D graphics2D = (Graphics2D)paramGraphics; PageableOverviewPanel pageableOverviewPanel1; PageFormat pageFormat = (pageableOverviewPanel1 = this).getOverviewPageable().getPageFormat(pageableOverviewPanel1.getSelectedPageIndex()); float f = pageableOverviewPanel1.getZoomFactor(); PageableOverviewPanel pageableOverviewPanel2; int k = (pageableOverviewPanel2 = pageableOverviewPanel1).selectedCellRowIndex, m = (pageableOverviewPanel2 = pageableOverviewPanel1).selectedCellColIndex; graphics2D.setColor(pageableOverviewPanel1.HILITE_COLOR); graphics2D.setStroke(pageableOverviewPanel1.HILITE_STROKE); m = (int)((m * pageableOverviewPanel1.MAX_PAGE_SIZE.width) * f) + 3 + m * 9; k = (int)((k * pageableOverviewPanel1.MAX_PAGE_SIZE.height) * f) + 3 + k * 9; int i = (int)(pageFormat.getWidth() * f) + 8, j = (int)(pageFormat.getHeight() * f) + 8; graphics2D.drawRect(m, k, i, j);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public boolean requestFixedColumnCount(int paramInt) {
/*  241 */     setRequestedFixedColumnCount(paramInt);
/*      */ 
/*      */     
/*  244 */     e();
/*      */ 
/*      */     
/*  247 */     refreshDisplay();
/*      */     
/*  249 */     return true;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void selectPage(int paramInt) {
/*      */     int i;
/*  257 */     Dimension dimension = computeLayoutSize();
/*  258 */     int j = 0;
/*  259 */     int k = 0;
/*  260 */     k = getFirstPageIndex();
/*      */ 
/*      */     
/*  263 */     int m = getLastPageIndex();
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  268 */     if (dimension.height > 1)
/*      */     {
/*  270 */       j = k % dimension.width;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  275 */     if (paramInt < k || paramInt > m) {
/*      */       
/*  277 */       m = 0;
/*  278 */       i = j;
/*  279 */       paramInt = k;
/*      */     
/*      */     }
/*      */     else {
/*      */       
/*  284 */       m = (int)((k = j + paramInt - k) / i.width);
/*  285 */       i = k % i.width;
/*      */     } 
/*      */ 
/*      */     
/*  289 */     a(paramInt, m, i);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setPageSelectionObserver(PageSelectionObserver paramPageSelectionObserver) {
/*  298 */     Pageable pageable = null;
/*  299 */     int i = 0;
/*      */     
/*  301 */     this.pageSelectionObserver = paramPageSelectionObserver;
/*  302 */     if (paramPageSelectionObserver != null) {
/*      */       
/*  304 */       i = getSelectedPageIndex();
/*  305 */       pageable = getOverviewPageable();
/*  306 */       paramPageSelectionObserver.selectedPage(i, pageable.getPageFormat(i), pageable.getPrintable(i));
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRequestedFixedColumnCount(int paramInt) {
/*  318 */     this.fixedColumnCount = paramInt;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Dimension computeFullLayoutSize() {
/*  333 */     return this.FULL_LAYOUT_SIZE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Dimension computeOverviewPagesSize(Dimension paramDimension) {
/*  350 */     Dimension dimension = new Dimension();
/*  351 */     Pageable pageable = getOverviewPageable();
/*  352 */     int i = getLastPageIndex();
/*  353 */     int j = 0;
/*  354 */     j = 0;
/*  355 */     int k = 0;
/*  356 */     int m = (int)this.PAGE_FORMAT.getWidth();
/*  357 */     int n = (int)this.PAGE_FORMAT.getHeight();
/*  358 */     int i1 = 0;
/*  359 */     int i2 = 0;
/*  360 */     int i3 = 0;
/*  361 */     k = 0;
/*      */ 
/*      */ 
/*      */     
/*  365 */     dimension.width = m * paramDimension.width;
/*  366 */     dimension.height = n * paramDimension.height;
/*  367 */     if (paramDimension.height == 1 && paramDimension.width == 1)
/*      */     {
/*  369 */       return dimension;
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  374 */     if (paramDimension.height == 1) {
/*      */       
/*  376 */       i3 = (int)pageable.getPageFormat(i).getWidth();
/*  377 */       dimension.width -= m - i3;
/*      */ 
/*      */ 
/*      */     
/*      */     }
/*  382 */     else if (paramDimension.width == 1) {
/*      */       
/*  384 */       k = (int)pageable.getPageFormat(i).getHeight();
/*  385 */       dimension.height -= n - k;
/*      */ 
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  392 */       j = getFirstPageIndex() / this.FULL_LAYOUT_SIZE.width;
/*  393 */       k = i / this.FULL_LAYOUT_SIZE.width;
/*      */ 
/*      */ 
/*      */       
/*  397 */       j = paramDimension.width * (j + 1) - 1;
/*  398 */       while (j <= i) {
/*      */ 
/*      */         
/*  401 */         if ((i3 = (int)pageable.getPageFormat(j).getWidth()) > i1) i1 = i3; 
/*  402 */         j += paramDimension.width;
/*      */       } 
/*  404 */       dimension.width -= m - i1;
/*      */ 
/*      */ 
/*      */       
/*  408 */       j = paramDimension.width * k;
/*  409 */       while (j <= i) {
/*      */ 
/*      */         
/*  412 */         if ((k = (int)pageable.getPageFormat(j).getHeight()) > i2) i2 = k; 
/*  413 */         j++;
/*      */       } 
/*  415 */       dimension.height -= n - i2;
/*      */     } 
/*      */     
/*  418 */     return dimension;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Image createOverviewImage(Graphics2D paramGraphics2D) {
/*  427 */     Image image = super.createOverviewImage(paramGraphics2D);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  433 */     d();
/*      */     
/*  435 */     return image;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Dimension getFullLayoutSize() {
/*  445 */     return this.FULL_LAYOUT_SIZE;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getFullPageCount() {
/*  454 */     return getOverviewPageable().getNumberOfPages();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected int getSelectedPageIndex() {
/*  462 */     return this.selectedPageIndex;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected Pageable getOverviewPageable() {
/*  470 */     return this.overviewPageable;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean handleContainerResize() {
/*  482 */     boolean bool = false;
/*      */     
/*  484 */     if (getFixedColumnCount() <= 0) bool = c(); 
/*  485 */     if (bool) refreshDisplay();
/*      */     
/*  487 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3) {
/*      */     Pageable pageable;
/*  498 */     Printable printable = (pageable = getOverviewPageable()).getPrintable(paramInt3);
/*      */ 
/*      */     
/*  501 */     setPageFormat(pageable.getPageFormat(paramInt3));
/*      */ 
/*      */     
/*  504 */     paramGraphics2D = prepareImageGraphics(paramGraphics2D, printable, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */     
/*  508 */     a(paramGraphics2D, printable, getZoomFactor(), 7, 7, paramInt3);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageRangeImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*      */     int n;
/*  520 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/*  521 */     Graphics2D graphics2D = null;
/*  522 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/*  523 */     Pageable pageable = getOverviewPageable();
/*  524 */     Printable printable = null;
/*  525 */     Stroke stroke = paramGraphics2D.getStroke();
/*  526 */     float f = getZoomFactor();
/*  527 */     int k = 0;
/*      */ 
/*      */ 
/*      */     
/*  531 */     int m = 7;
/*  532 */     int i = (int)(f * this.MAX_PAGE_SIZE.width);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  537 */     int j = (int)(f * this.MAX_PAGE_SIZE.height);
/*      */ 
/*      */     
/*  540 */     paramGraphics2D.setColor(getBackground());
/*  541 */     paramGraphics2D.fillRect(0, 0, paramInt1, paramInt2);
/*      */ 
/*      */     
/*  544 */     paramInt2 = paramInt3 / this.FULL_LAYOUT_SIZE.width;
/*  545 */     if (paramInt4 == 9999) {
/*      */       
/*  547 */       n = this.FULL_LAYOUT_SIZE.height - 1;
/*      */     }
/*      */     else {
/*      */       
/*  551 */       n = paramInt4 / this.FULL_LAYOUT_SIZE.width;
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  556 */     paramInt1 = paramInt2 * this.FULL_LAYOUT_SIZE.width;
/*      */ 
/*      */     
/*  559 */     for (paramInt2 = paramInt2; paramInt2 <= n; paramInt2++) {
/*      */ 
/*      */       
/*  562 */       k = 7;
/*  563 */       for (byte b = 0; b < this.FULL_LAYOUT_SIZE.width; b++) {
/*      */ 
/*      */         
/*  566 */         if (paramInt1 >= paramInt3 && paramInt1 <= paramInt4) {
/*      */ 
/*      */           
/*  569 */           paramGraphics2D.setStroke(stroke);
/*  570 */           paramGraphics2D.setClip(rectangle);
/*  571 */           paramGraphics2D.setTransform(affineTransform);
/*      */ 
/*      */ 
/*      */           
/*  575 */           if (printable = pageable.getPrintable(paramInt1) instanceof PreviewGraphicsCustomizer) {
/*      */             
/*  577 */             graphics2D = ((PreviewGraphicsCustomizer)printable).customizePreviewGraphics(paramGraphics2D);
/*      */           
/*      */           }
/*      */           else {
/*      */             
/*  582 */             graphics2D = paramGraphics2D;
/*      */           } 
/*      */ 
/*      */           
/*  586 */           setPageFormat(pageable.getPageFormat(paramInt1));
/*  587 */           a(graphics2D, printable, f, k, m, paramInt1);
/*      */         } 
/*      */ 
/*      */ 
/*      */         
/*  592 */         paramInt1++;
/*      */ 
/*      */         
/*  595 */         k += i + 9;
/*      */       } 
/*      */ 
/*      */       
/*  599 */       m += j + 9;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintOverviewPageRowImage(Graphics2D paramGraphics2D, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
/*  611 */     AffineTransform affineTransform = paramGraphics2D.getTransform();
/*  612 */     Graphics2D graphics2D = null;
/*  613 */     Rectangle rectangle = paramGraphics2D.getClipBounds();
/*  614 */     Pageable pageable = getOverviewPageable();
/*  615 */     Printable printable = null;
/*  616 */     Stroke stroke = paramGraphics2D.getStroke();
/*  617 */     float f = getZoomFactor();
/*  618 */     int j = 7;
/*      */ 
/*      */ 
/*      */     
/*  622 */     int i = (int)(f * this.MAX_PAGE_SIZE.width);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  629 */     paramGraphics2D.setColor(getBackground());
/*  630 */     paramGraphics2D.fillRect(0, 0, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  637 */     paramInt1 = (paramInt1 = paramInt3 / this.FULL_LAYOUT_SIZE.width) * this.FULL_LAYOUT_SIZE.width;
/*      */ 
/*      */     
/*  640 */     for (paramInt2 = 0; paramInt2 < this.FULL_LAYOUT_SIZE.width; paramInt2++) {
/*      */ 
/*      */       
/*  643 */       if (paramInt1 >= paramInt3 && paramInt1 <= paramInt4) {
/*      */ 
/*      */         
/*  646 */         paramGraphics2D.setStroke(stroke);
/*  647 */         paramGraphics2D.setClip(rectangle);
/*  648 */         paramGraphics2D.setTransform(affineTransform);
/*      */ 
/*      */ 
/*      */         
/*  652 */         if (printable = pageable.getPrintable(paramInt1) instanceof PreviewGraphicsCustomizer) {
/*      */           
/*  654 */           graphics2D = ((PreviewGraphicsCustomizer)printable).customizePreviewGraphics(paramGraphics2D);
/*      */         
/*      */         }
/*      */         else {
/*      */           
/*  659 */           graphics2D = paramGraphics2D;
/*      */         } 
/*      */ 
/*      */         
/*  663 */         setPageFormat(pageable.getPageFormat(paramInt1));
/*  664 */         a(graphics2D, printable, f, j, 7, paramInt1);
/*      */ 
/*      */ 
/*      */         
/*  668 */         j += i + 9;
/*      */       } 
/*      */ 
/*      */       
/*  672 */       paramInt1++;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean setPageIndexRange(int paramInt1, int paramInt2, float paramFloat) {
/*  684 */     Pageable pageable = getOverviewPageable();
/*  685 */     setZoomFactor(paramFloat);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  692 */     if (getFixedColumnCount() <= 0) {
/*      */       
/*  694 */       b(pageable, paramInt1, paramInt2);
/*      */     }
/*      */     else {
/*      */       
/*  698 */       a(pageable, paramInt1, paramInt2);
/*      */     } 
/*      */ 
/*      */     
/*  702 */     boolean bool = super.setPageIndexRange(paramInt1, paramInt2, paramFloat);
/*      */ 
/*      */     
/*  705 */     selectPage(getSelectedPageIndex());
/*      */     
/*  707 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean setPageIndexRange(int paramInt1, int paramInt2, float paramFloat1, float paramFloat2) {
/*  720 */     a(getOverviewPageable(), paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  726 */     boolean bool = super.setPageIndexRange(paramInt1, paramInt2, paramFloat1, paramFloat2);
/*      */ 
/*      */ 
/*      */     
/*  730 */     selectPage(getSelectedPageIndex());
/*      */     
/*  732 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected PageFormat updatePageFormat(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*  742 */     Pageable pageable1 = getOverviewPageable();
/*  743 */     Pageable pageable2 = pageable1; PageableOverviewPanel pageableOverviewPanel = this; int j = 0, i = pageable2.getNumberOfPages(); j = pageableOverviewPanel.getFirstPageIndex(); int k = pageableOverviewPanel.getLastPageIndex(), m = pageableOverviewPanel.getSelectedPageIndex(), n = 0; n = 0; if (k >= i) { n = k - i + 1; if ((j -= n) < 0) j = 0;  k -= n; pageableOverviewPanel.setPageIndexRange(j, k); pageableOverviewPanel.e(); if (m >= i) { m = i - 1; pageableOverviewPanel.selectPage(m); }  j = 1; } else { n = pageableOverviewPanel.FULL_LAYOUT_SIZE.width * pageableOverviewPanel.FULL_LAYOUT_SIZE.height; if (i > n || i <= n - pageableOverviewPanel.FULL_LAYOUT_SIZE.width) { pageableOverviewPanel.e(); j = 1; }
/*      */        }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  752 */     i = getSelectedPageIndex();
/*  753 */     PageFormat pageFormat = pageable1.getPageFormat(i);
/*  754 */     PrintUtility.updatePageFormat(paramPrintRequestAttributeSet, pageFormat);
/*      */ 
/*      */     
/*  757 */     if (getFixedColumnCount() <= 0) {
/*      */       
/*  759 */       b(pageable1, getFirstPageIndex(), getLastPageIndex());
/*      */     }
/*      */     else {
/*      */       
/*  763 */       a(pageable1, getFirstPageIndex(), getLastPageIndex());
/*      */     } 
/*      */     
/*      */     Printable printable;
/*      */     
/*  768 */     if (printable = pageable1.getPrintable(i) instanceof AttributeSetPrintable)
/*      */     {
/*  770 */       ((AttributeSetPrintable)printable).setAttributeSet(paramPrintRequestAttributeSet);
/*      */     }
/*      */ 
/*      */     
/*  774 */     refreshDisplay();
/*      */     
/*  776 */     return pageFormat;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private boolean c() {
/*  791 */     boolean bool = false;
/*  792 */     double d = getVisibleRect().getWidth();
/*  793 */     float f1 = getZoomFactor();
/*  794 */     float f2 = this.MAX_PAGE_SIZE.width * f1 + 9.0F;
/*  795 */     int j = 0;
/*      */ 
/*      */     
/*      */     int i;
/*      */     
/*  800 */     if ((i = (int)(d / f2)) <= 0) i = 1;
/*      */ 
/*      */     
/*  803 */     if (i != this.FULL_LAYOUT_SIZE.width) {
/*      */ 
/*      */       
/*  806 */       j = getOverviewPageable().getNumberOfPages();
/*  807 */       a(i, (int)((j - 1.0F) / i) + 1);
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  812 */       setZoomFactorResize(f1, true);
/*      */ 
/*      */ 
/*      */       
/*  816 */       selectPage(getSelectedPageIndex());
/*      */ 
/*      */       
/*  819 */       bool = true;
/*      */     } 
/*      */     
/*  822 */     return bool;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Graphics2D paramGraphics2D, Printable paramPrintable, float paramFloat, int paramInt1, int paramInt2, int paramInt3) {
/*  970 */     paintScaledPage(paramGraphics2D, paramInt1, paramInt2);
/*      */ 
/*      */ 
/*      */     
/*      */     try {
/*  975 */       paramGraphics2D.setColor(Color.BLACK);
/*  976 */       paramGraphics2D.scale(paramFloat, paramFloat);
/*  977 */       paramPrintable.print(paramGraphics2D, this.PAGE_FORMAT, paramInt3);
/*      */       return;
/*  979 */     } catch (Throwable throwable) {
/*      */ 
/*      */       
/*  982 */       handlePreviewException(throwable);
/*      */       return;
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt1, int paramInt2) {
/*  991 */     this.FULL_LAYOUT_SIZE.width = paramInt1;
/*  992 */     this.FULL_LAYOUT_SIZE.height = paramInt2;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt1, int paramInt2, int paramInt3) {
/* 1001 */     PageSelectionObserver pageSelectionObserver = getPageSelectionObserver();
/* 1002 */     null = null;
/*      */ 
/*      */     
/* 1005 */     synchronized (this) {
/*      */       
/* 1007 */       this.selectedPageIndex = paramInt1;
/* 1008 */       this.selectedCellRowIndex = paramInt2;
/* 1009 */       this.selectedCellColIndex = paramInt3;
/*      */     } 
/*      */ 
/*      */     
/* 1013 */     if (pageSelectionObserver != null) {
/*      */       
/* 1015 */       Pageable pageable = getOverviewPageable();
/* 1016 */       pageSelectionObserver.selectedPage(paramInt1, pageable.getPageFormat(paramInt1), pageable.getPrintable(paramInt1));
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1021 */     repaint();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void d() {
/*      */     Paper paper;
/* 1049 */     (paper = new Paper()).setSize(this.MAX_PAGE_SIZE.width, this.MAX_PAGE_SIZE.height);
/* 1050 */     this.PAGE_FORMAT.setPaper(paper);
/* 1051 */     this.PAGE_FORMAT.setOrientation(1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void e() {
/*      */     int i;
/* 1062 */     if ((i = getFixedColumnCount()) > 0) {
/*      */       
/* 1064 */       a(i, (int)((getFullPageCount() - 1.0F) / i) + 1);
/*      */ 
/*      */ 
/*      */       
/* 1068 */       selectPage(getSelectedPageIndex());
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1073 */     c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(Pageable paramPageable, int paramInt1, int paramInt2) {
/* 1083 */     Object object = null;
/* 1084 */     int j = this.MAX_PAGE_SIZE.width;
/* 1085 */     int i = paramPageable.getNumberOfPages();
/* 1086 */     int k = 0;
/* 1087 */     int m = 0;
/*      */ 
/*      */     
/* 1090 */     this.MAX_PAGE_SIZE.width = 0;
/* 1091 */     this.MAX_PAGE_SIZE.height = 0;
/* 1092 */     if (paramInt2 >= i) paramInt2 = i - 1; 
/* 1093 */     for (paramInt1 = paramInt1; paramInt1 <= paramInt2; paramInt1++) {
/*      */       PageFormat pageFormat;
/*      */       
/* 1096 */       k = (int)(pageFormat = paramPageable.getPageFormat(paramInt1)).getWidth();
/* 1097 */       m = (int)pageFormat.getHeight();
/* 1098 */       if (k > this.MAX_PAGE_SIZE.width) this.MAX_PAGE_SIZE.width = k; 
/* 1099 */       if (m > this.MAX_PAGE_SIZE.height) this.MAX_PAGE_SIZE.height = m;
/*      */     
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/* 1105 */     d();
/*      */ 
/*      */ 
/*      */     
/* 1109 */     if (getFixedColumnCount() <= 0 && this.MAX_PAGE_SIZE.width != j)
/*      */     {
/* 1111 */       c();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void b(Pageable paramPageable, int paramInt1, int paramInt2) {
/* 1135 */     if (paramInt1 == paramInt2) {
/*      */       
/* 1137 */       a(paramPageable, paramInt1, paramInt2);
/*      */ 
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/* 1143 */     if (isSinglePageDisplay())
/*      */     {
/* 1145 */       a(paramPageable, 0, paramPageable.getNumberOfPages() - 1);
/*      */     }
/*      */   }
/*      */   
/*      */   public static interface PageSelectionObserver {
/*      */     void selectedPage(int param1Int, PageFormat param1PageFormat, Printable param1Printable);
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview\PageableOverviewPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */