/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.ItemEvent;
/*     */ import java.awt.event.ItemListener;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import javax.swing.AbstractAction;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JCheckBoxMenuItem;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JMenuItem;
/*     */ import javax.swing.KeyStroke;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.border.MatteBorder;
/*     */ import javax.swing.event.PopupMenuEvent;
/*     */ import javax.swing.event.PopupMenuListener;
/*     */ import jpdf.gui.preview2.MenuItemFactory;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.gui.preview2.PreviewWindowHelper;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractPreviewToolbarPanel
/*     */   extends a
/*     */   implements MenuItemFactory
/*     */ {
/*     */   abstract class a
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*  56 */     private AbstractAction buttonKeyAction = null;
/*     */ 
/*     */     
/*     */     protected a(ImageIcon param1ImageIcon, String param1String) {
/*  60 */       super(param1ImageIcon, param1String);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void a(KeyStroke param1KeyStroke, String param1String, AbstractAction param1AbstractAction) {
/*  70 */       AbstractPreviewToolbarPanel.this.PREVIEW_CONTROL_PANEL.addKeyAction(param1KeyStroke, param1String, param1AbstractAction);
/*     */ 
/*     */       
/*  73 */       putClientProperty(AbstractPreviewToolbarPanel.a, param1KeyStroke);
/*     */ 
/*     */       
/*  76 */       setToolTipText(getToolTipText());
/*     */ 
/*     */       
/*  79 */       this.buttonKeyAction = param1AbstractAction;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setEnabled(boolean param1Boolean) {
/*  88 */       super.setEnabled(param1Boolean);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*  93 */       if (this.buttonKeyAction != null)
/*     */       {
/*  95 */         this.buttonKeyAction.setEnabled(param1Boolean);
/*     */       }
/*     */       
/*     */       AbstractPreviewToolbarPanel.c c;
/*     */       
/* 100 */       if ((c = (AbstractPreviewToolbarPanel.c)getClientProperty(AbstractPreviewToolbarPanel.a())) != null)
/*     */       {
/* 102 */         c.setEnabled(param1Boolean);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public void setToolTipText(String param1String) {
/*     */       Object object;
/* 115 */       if (object = getClientProperty(AbstractPreviewToolbarPanel.a) instanceof KeyStroke)
/*     */       {
/* 117 */         if (param1String != null && param1String.trim().length() > 0)
/*     */         {
/* 119 */           param1String = AbstractPreviewToolbarPanel.buildToolTipText(param1String, (KeyStroke)object);
/*     */         }
/*     */       }
/* 122 */       super.setToolTipText(param1String);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class c
/*     */     extends JMenuItem
/*     */   {
/*     */     private c(jpdf_common.gui.component.m.a param1a) {
/* 138 */       super(str, param1a.d());
/*     */       
/* 140 */       addActionListener((ActionListener)param1a);
/*     */ 
/*     */       
/* 143 */       param1a.putClientProperty(AbstractPreviewToolbarPanel.a(), this);
/*     */ 
/*     */       
/* 146 */       setEnabled(param1a.isEnabled());
/*     */       
/*     */       Object object;
/*     */       
/* 150 */       if (object = param1a.getClientProperty(AbstractPreviewToolbarPanel.a) instanceof KeyStroke)
/*     */       {
/* 152 */         setAccelerator((KeyStroke)object);
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class d
/*     */     extends JCheckBoxMenuItem
/*     */     implements ItemListener
/*     */   {
/*     */     private final boolean IN_BUTTON_GROUP;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private d(jpdf_common.gui.component.m.b param1b, ButtonGroup param1ButtonGroup) {
/* 192 */       super(param1b.getToolTipText(), param1b.a(), param1b.isSelected());
/*     */       
/* 194 */       this.IN_BUTTON_GROUP = (param1ButtonGroup != null);
/*     */ 
/*     */       
/* 197 */       if (this.IN_BUTTON_GROUP) param1ButtonGroup.add(this);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 202 */       addActionListener((ActionListener)param1b);
/*     */ 
/*     */ 
/*     */       
/* 206 */       param1b.addItemListener(this);
/*     */ 
/*     */       
/* 209 */       param1b.putClientProperty(AbstractPreviewToolbarPanel.a(), this);
/*     */ 
/*     */       
/* 212 */       setEnabled(param1b.isEnabled());
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void itemStateChanged(ItemEvent param1ItemEvent) {
/*     */       int i;
/* 225 */       if ((i = param1ItemEvent.getStateChange()) == 1) {
/*     */         
/* 227 */         setSelected(true);
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 232 */       if (!this.IN_BUTTON_GROUP && i == 2)
/*     */       {
/* 234 */         setSelected(false);
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static class b
/*     */     implements PopupMenuListener
/*     */   {
/*     */     private final Component a;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public b(Component param1Component) {
/* 252 */       this.a = param1Component;
/*     */     }
/*     */ 
/*     */     
/*     */     public final void popupMenuCanceled(PopupMenuEvent param1PopupMenuEvent) {}
/*     */     
/*     */     public final void popupMenuWillBecomeInvisible(PopupMenuEvent param1PopupMenuEvent) {
/* 259 */       this.a.setVisible(false);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void popupMenuWillBecomeVisible(PopupMenuEvent param1PopupMenuEvent) {
/* 264 */       this.a.setVisible(true);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 277 */   public static final Color DEFAULT_BORDER_COLOR = new Color(0, 99, 99);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static final Border DEFAULT_BORDER;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 288 */   private static String b = "tbMenuItem";
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 293 */   static String a = "tbMenuItemAccelKey";
/*     */ 
/*     */   
/*     */   final PreviewPrintableControlPanel PREVIEW_CONTROL_PANEL;
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/* 301 */     MatteBorder matteBorder = BorderFactory.createMatteBorder(0, 1, 0, 1, DEFAULT_BORDER_COLOR);
/* 302 */     Border border = BorderFactory.createEmptyBorder(1, 4, 1, 3);
/*     */     
/* 304 */     DEFAULT_BORDER = BorderFactory.createCompoundBorder(matteBorder, border);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPreviewToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 324 */     this(paramPreviewPrintableControlPanel, (LayoutManager)new RowLayout(2));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractPreviewToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, LayoutManager paramLayoutManager) {
/* 333 */     super(paramLayoutManager);
/*     */     
/* 335 */     this.PREVIEW_CONTROL_PANEL = paramPreviewPrintableControlPanel;
/*     */     
/* 337 */     setBorder(DEFAULT_BORDER);
/* 338 */     setOpaque(false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public JMenuItem[] buildMenuItemList() {
/* 354 */     return (JMenuItem[])buildMenuItemListForButtons((jpdf_common.gui.component.m.b)null).toArray((Object[])new JMenuItem[0]);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String buildToolTipText(String paramString, KeyStroke paramKeyStroke) {
/* 367 */     return paramString + " (" + PreviewWindowHelper.computeKeystrokeDisplayText(paramKeyStroke) + ")";
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PreviewPrintableControlPanel getPreviewControlPanel() {
/* 377 */     return this.PREVIEW_CONTROL_PANEL;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getToolBarButtons() {
/* 392 */     ArrayList<jpdf_common.gui.component.m.a> arrayList = new ArrayList(5);
/* 393 */     Component[] arrayOfComponent = getComponents();
/*     */     
/* 395 */     for (byte b = 0; b < arrayOfComponent.length; b++) {
/*     */       
/* 397 */       if (arrayOfComponent[b] instanceof jpdf_common.gui.component.m.a) {
/*     */         
/* 399 */         arrayList.add((jpdf_common.gui.component.m.a)arrayOfComponent[b]);
/*     */       }
/* 401 */       else if (arrayOfComponent[b] instanceof jpdf_common.gui.component.m.b) {
/*     */         
/* 403 */         arrayList.add(arrayOfComponent[b]);
/*     */       } 
/*     */     } 
/*     */     
/* 407 */     return arrayList;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getToolBarMenuItems() {
/* 422 */     ArrayList arrayList = getToolBarButtons();
/* 423 */     AbstractButton abstractButton = null;
/*     */ 
/*     */ 
/*     */     
/* 427 */     ArrayList<c> arrayList1 = new ArrayList(arrayList.size());
/*     */ 
/*     */     
/* 430 */     for (Iterator<AbstractButton> iterator = arrayList.iterator(); iterator.hasNext(); ) {
/*     */       Object object;
/*     */ 
/*     */       
/* 434 */       if (object = (abstractButton = iterator.next()).getClientProperty(b) instanceof c) {
/*     */         
/* 436 */         arrayList1.add((c)object); continue;
/*     */       } 
/* 438 */       if (object instanceof d)
/*     */       {
/* 440 */         arrayList1.add(object);
/*     */       }
/*     */     } 
/*     */     
/* 444 */     return arrayList1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected ArrayList buildMenuItemListForButtons(jpdf_common.gui.component.m.b paramb) {
/* 466 */     ArrayList<AbstractButton> arrayList = null;
/* 467 */     arrayList = null;
/* 468 */     arrayList = getToolBarButtons();
/* 469 */     ArrayList<c> arrayList1 = new ArrayList(5);
/* 470 */     ButtonGroup buttonGroup = null;
/* 471 */     byte b1 = 0;
/*     */     
/*     */     Iterator<AbstractButton> iterator;
/* 474 */     for (iterator = arrayList.iterator(); iterator.hasNext();) {
/*     */       
/* 476 */       if (abstractButton = iterator.next() instanceof jpdf_common.gui.component.m.b)
/*     */       {
/* 478 */         b1++;
/*     */       }
/*     */     } 
/* 481 */     if (paramb != null) b1++;
/*     */ 
/*     */     
/* 484 */     if (b1 > 1) buttonGroup = new ButtonGroup();
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 489 */     for (iterator = arrayList.iterator(); iterator.hasNext(); ) {
/*     */       AbstractButton abstractButton;
/* 491 */       if (abstractButton = iterator.next() instanceof jpdf_common.gui.component.m.a) {
/*     */         
/* 493 */         jpdf_common.gui.component.m.a a1 = (jpdf_common.gui.component.m.a)abstractButton;
/* 494 */         arrayList1.add(new c(a1, (byte)0)); continue;
/*     */       } 
/* 496 */       if (abstractButton instanceof jpdf_common.gui.component.m.b) {
/*     */         
/* 498 */         jpdf_common.gui.component.m.b b2 = (jpdf_common.gui.component.m.b)abstractButton;
/* 499 */         arrayList1.add(new d(b2, buttonGroup, (byte)0));
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/* 504 */     if (paramb != null);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 509 */     return arrayList1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static Component a(JComponent paramJComponent) {
/* 523 */     Container container = paramJComponent.getTopLevelAncestor();
/* 524 */     Component component = null;
/*     */     
/* 526 */     if (container instanceof JDialog) {
/*     */       
/* 528 */       component = ((JDialog)container).getGlassPane();
/*     */     }
/* 530 */     else if (container instanceof JFrame) {
/*     */       
/* 532 */       component = ((JFrame)container).getGlassPane();
/*     */     } 
/*     */     
/* 535 */     return component;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\AbstractPreviewToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */