/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.AbstractAction;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.KeyStroke;
/*     */ import jpdf.gui.preview2.AttributeSetChangeObserver;
/*     */ import jpdf.gui.preview2.PreviewPrintableWindow;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DialogFactoryToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */   implements AttributeSetChangeObserver
/*     */ {
/*     */   class b
/*     */     extends AbstractAction
/*     */   {
/*     */     private b() {}
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  67 */       DialogFactoryToolbarPanel.this.performPrintAction();
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   class d
/*     */     extends AbstractAction
/*     */   {
/*     */     private d() {}
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  79 */       DialogFactoryToolbarPanel.this.performPageSetupAction();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends AbstractPreviewToolbarPanel.a
/*     */   {
/*     */     public a() {
/*  91 */       super(DialogFactoryToolbarPanel.getPageSetupButtonIcon(), "Page Setup...");
/*     */       
/*  93 */       a(DialogFactoryToolbarPanel.this.getPageSetupActionKeyStroke(), "previewPageSetup", new DialogFactoryToolbarPanel.d((byte)0));
/*     */     }
/*     */ 
/*     */     
/*     */     public a(byte param1Byte) {
/*  98 */       super(DialogFactoryToolbarPanel.getPageSetupButtonIcon(), ResourceAdministrator.getLocalizedString("pageSetup") + "...");
/*     */       
/* 100 */       a(DialogFactoryToolbarPanel.this.getPageSetupActionKeyStroke(), "previewPageSetup", new DialogFactoryToolbarPanel.d((byte)0));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 105 */       DialogFactoryToolbarPanel.this.performPageSetupAction();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends AbstractPreviewToolbarPanel.a
/*     */   {
/*     */     public c() {
/* 117 */       super(DialogFactoryToolbarPanel.getPrintButtonIcon(), "Print...");
/*     */       
/* 119 */       a(DialogFactoryToolbarPanel.this.getPrintActionKeyStroke(), "previewPrint", new DialogFactoryToolbarPanel.b((byte)0));
/*     */     }
/*     */ 
/*     */     
/*     */     public c(byte param1Byte) {
/* 124 */       super(DialogFactoryToolbarPanel.getPrintButtonIcon(), ResourceAdministrator.getLocalizedString("print") + "...");
/*     */       
/* 126 */       a(DialogFactoryToolbarPanel.this.getPrintActionKeyStroke(), "previewPrint", new DialogFactoryToolbarPanel.b((byte)0));
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 131 */       DialogFactoryToolbarPanel.this.performPrintAction();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 140 */   private static ImageIcon b = BasicResourceManager.getIconResource("preview/print.png");
/* 141 */   private static ImageIcon c = BasicResourceManager.getIconResource("preview/pageSetup.png");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a SETUP_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a PRINT_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final PreviewPrintableWindow PREVIEW_WINDOW;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DialogFactoryToolbarPanel(PreviewPrintableWindow paramPreviewPrintableWindow, boolean paramBoolean1, boolean paramBoolean2) {
/* 178 */     this(paramPreviewPrintableWindow, (Locale)null, paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DialogFactoryToolbarPanel(PreviewPrintableWindow paramPreviewPrintableWindow, Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 190 */     super(paramPreviewPrintableWindow.getPreviewControlPanel());
/*     */     
/*     */     String str;
/* 193 */     if (!paramBoolean1 && !paramBoolean2) {
/*     */       
/* 195 */       str = "Either the Page Setup or Print button must be included.";
/* 196 */       throw new IllegalArgumentException(str);
/*     */     } 
/*     */     
/* 199 */     this.PREVIEW_WINDOW = (PreviewPrintableWindow)str;
/* 200 */     if (paramLocale == null) {
/*     */       
/* 202 */       this.SETUP_BUTTON = paramBoolean1 ? new a() : null;
/* 203 */       this.PRINT_BUTTON = paramBoolean2 ? new c() : null;
/*     */     }
/*     */     else {
/*     */       
/* 207 */       this.SETUP_BUTTON = paramBoolean1 ? new a((byte)0) : null;
/* 208 */       this.PRINT_BUTTON = paramBoolean2 ? new c((byte)0) : null;
/*     */     } 
/*     */ 
/*     */     
/* 212 */     addControls();
/*     */ 
/*     */     
/* 215 */     handleAttributeSetChange(this.PREVIEW_CONTROL_PANEL.getPrintAttributeSet(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getPageSetupButtonIcon() {
/* 229 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final PreviewPrintableWindow getPreviewWindow() {
/* 238 */     return this.PREVIEW_WINDOW;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getPrintButtonIcon() {
/* 247 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void handleAttributeSetChange(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/* 259 */     setEnabled((this.PREVIEW_CONTROL_PANEL.getPageCount() > 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isPageSetupButtonPresent() {
/* 268 */     return (this.SETUP_BUTTON != null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isPrintButtonPresent() {
/* 277 */     return (this.PRINT_BUTTON != null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPageSetupButtonIcon(ImageIcon paramImageIcon) {
/* 286 */     c = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPrintButtonIcon(ImageIcon paramImageIcon) {
/* 295 */     b = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPrintButtonToolTipText(String paramString) {
/* 304 */     if (this.PRINT_BUTTON != null) this.PRINT_BUTTON.setToolTipText(paramString);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls() {
/* 318 */     if (this.SETUP_BUTTON != null) add((Component)this.SETUP_BUTTON); 
/* 319 */     if (this.PRINT_BUTTON != null) add((Component)this.PRINT_BUTTON);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected KeyStroke getPageSetupActionKeyStroke() {
/* 329 */     return KeyStroke.getKeyStroke(83, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected KeyStroke getPrintActionKeyStroke() {
/* 339 */     return KeyStroke.getKeyStroke(80, 2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void performPageSetupAction() {
/* 350 */     getPreviewWindow().displayPageSetupDialog();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void performPrintAction() {
/* 361 */     getPreviewWindow().performPrintAction();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\DialogFactoryToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */