/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.Locale;
/*     */ import javax.swing.ImageIcon;
/*     */ import jpdf.gui.preview2.PreviewPrintableFrame;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.BasicResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FrameControlToolbarPanel
/*     */   extends AbstractPreviewToolbarPanel
/*     */ {
/*     */   class b
/*     */     extends jpdf_common.gui.component.m.b
/*     */   {
/*     */     public b(boolean param1Boolean) {
/*  61 */       super(FrameControlToolbarPanel.getFullScreenModeButtonIcon(), "Full Screen Mode", false, param1Boolean);
/*     */     }
/*     */ 
/*     */     
/*     */     public b(boolean param1Boolean, byte param1Byte) {
/*  66 */       super(FrameControlToolbarPanel.getFullScreenModeButtonIcon(), ResourceAdministrator.getLocalizedString("fullScreenMode"), false, param1Boolean);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  77 */       if (param1ActionEvent.getSource() != this) setSelected(!isSelected());
/*     */ 
/*     */       
/*  80 */       if (isSelected()) {
/*     */         
/*  82 */         FrameControlToolbarPanel.a(FrameControlToolbarPanel.this).displayInFullScreenMode();
/*     */         
/*     */         return;
/*     */       } 
/*  86 */       FrameControlToolbarPanel.a(FrameControlToolbarPanel.this).displayInWindowedMode();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public a() {
/*  99 */       super(WindowControlToolbarPanel.getCloseButtonIcon(), "Close");
/*     */     }
/*     */ 
/*     */     
/*     */     public a(byte param1Byte) {
/* 104 */       super(WindowControlToolbarPanel.getCloseButtonIcon(), ResourceAdministrator.getLocalizedString("close"));
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 111 */       FrameControlToolbarPanel.a(FrameControlToolbarPanel.this).dispose();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public c() {
/* 123 */       super(WindowControlToolbarPanel.getSizeToFitButtonIcon(), "Size To Fit");
/*     */     }
/*     */ 
/*     */     
/*     */     public c(byte param1Byte) {
/* 128 */       super(WindowControlToolbarPanel.getSizeToFitButtonIcon(), ResourceAdministrator.getLocalizedString("sizeToFit"));
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 134 */       FrameControlToolbarPanel.a(FrameControlToolbarPanel.this).sizeToFit();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   private static ImageIcon b = BasicResourceManager.getIconResource("preview/fullScreenMode.png");
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.b SCREEN_MODE_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a SIZE_TO_FIT_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a CLOSE_BUTTON;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final PreviewPrintableFrame PREVIEW_FRAME;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FrameControlToolbarPanel(PreviewPrintableFrame paramPreviewPrintableFrame, boolean paramBoolean1, boolean paramBoolean2) {
/* 169 */     this(paramPreviewPrintableFrame, null, paramBoolean1, paramBoolean2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public FrameControlToolbarPanel(PreviewPrintableFrame paramPreviewPrintableFrame, Locale paramLocale, boolean paramBoolean1, boolean paramBoolean2) {
/* 181 */     super(paramPreviewPrintableFrame.getPreviewControlPanel());
/*     */     
/* 183 */     this.PREVIEW_FRAME = paramPreviewPrintableFrame;
/*     */     
/* 185 */     if (paramLocale == null) {
/*     */       
/* 187 */       this.SIZE_TO_FIT_BUTTON = new c();
/* 188 */       this.SCREEN_MODE_BUTTON = new b(paramBoolean1);
/* 189 */       this.CLOSE_BUTTON = paramBoolean2 ? new a() : null;
/*     */     }
/*     */     else {
/*     */       
/* 193 */       this.SIZE_TO_FIT_BUTTON = new c((byte)0);
/* 194 */       this.SCREEN_MODE_BUTTON = new b(paramBoolean1, (byte)0);
/* 195 */       this.CLOSE_BUTTON = paramBoolean2 ? new a((byte)0) : null;
/*     */     } 
/*     */ 
/*     */     
/* 199 */     if (paramBoolean1)
/*     */     {
/* 201 */       this.SIZE_TO_FIT_BUTTON.setEnabled(false);
/*     */     }
/*     */ 
/*     */     
/* 205 */     addControls();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getFullScreenModeButtonIcon() {
/* 218 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isCloseButtonIncluded() {
/* 226 */     return (this.CLOSE_BUTTON != null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setFullScreenModeButtonIcon(ImageIcon paramImageIcon) {
/* 238 */     b = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls() {
/* 251 */     add((Component)this.SIZE_TO_FIT_BUTTON);
/* 252 */     add((Component)this.SCREEN_MODE_BUTTON);
/* 253 */     if (this.CLOSE_BUTTON != null) add((Component)this.CLOSE_BUTTON); 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\FrameControlToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */