/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.ComponentOrientation;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.Locale;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JPanel;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.manage.ResourceAdministrator;
/*     */ import jpdf_common.system.manage.IconRetriever;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageNavigationToolbarPanel
/*     */   extends AbstractPageNavigationToolbarPanel
/*     */ {
/*     */   class c
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public c() {
/*  57 */       super(PageNavigationToolbarPanel.getNextButtonIcon(), "Next");
/*     */       
/*  59 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */     
/*     */     public c(byte param1Byte) {
/*  64 */       super(PageNavigationToolbarPanel.getNextButtonIcon(), ResourceAdministrator.getLocalizedString("navitageToPage.next"));
/*     */ 
/*     */       
/*  67 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*  73 */       PageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.requestFocus();
/*     */ 
/*     */       
/*  76 */       PageNavigationToolbarPanel.this.navigateToPageNext();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class d
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public d() {
/*  88 */       super(PageNavigationToolbarPanel.getPreviousButtonIcon(), "Previous");
/*     */       
/*  90 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */     
/*     */     public d(byte param1Byte) {
/*  95 */       super(PageNavigationToolbarPanel.getPreviousButtonIcon(), ResourceAdministrator.getLocalizedString("navitageToPage.previous"));
/*     */ 
/*     */       
/*  98 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 104 */       PageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.requestFocus();
/*     */ 
/*     */       
/* 107 */       PageNavigationToolbarPanel.this.navigateToPagePrevious();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public a() {
/* 119 */       super(PageNavigationToolbarPanel.getFirstButtonIcon(), "First");
/*     */       
/* 121 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */     
/*     */     public a(byte param1Byte) {
/* 126 */       super(PageNavigationToolbarPanel.getFirstButtonIcon(), ResourceAdministrator.getLocalizedString("navitageToPage.first"));
/*     */ 
/*     */       
/* 129 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 135 */       PageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.requestFocus();
/*     */ 
/*     */       
/* 138 */       PageNavigationToolbarPanel.this.navigateToPage(0);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends jpdf_common.gui.component.m.a
/*     */   {
/*     */     public b() {
/* 150 */       super(PageNavigationToolbarPanel.getLastButtonIcon(), "Last");
/*     */       
/* 152 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */     
/*     */     public b(byte param1Byte) {
/* 157 */       super(PageNavigationToolbarPanel.getLastButtonIcon(), ResourceAdministrator.getLocalizedString("navitageToPage.last"));
/*     */ 
/*     */       
/* 160 */       setEnabled(false);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 166 */       PageNavigationToolbarPanel.this.PAGE_NUMBER_INPUT_FIELD.requestFocus();
/*     */ 
/*     */       
/* 169 */       PageNavigationToolbarPanel.this.navigateToPageLast();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   private static ImageIcon b = null;
/* 178 */   private static ImageIcon c = null;
/* 179 */   private static ImageIcon d = null;
/* 180 */   private static ImageIcon e = null;
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a NEXT_BUTTON;
/*     */   
/*     */   protected final jpdf_common.gui.component.m.a PREV_BUTTON;
/*     */   protected final jpdf_common.gui.component.m.a FIRST_BUTTON;
/*     */   protected final jpdf_common.gui.component.m.a LAST_BUTTON;
/*     */   
/*     */   static {
/* 189 */     setButtonIconsForLocale(Locale.getDefault());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageNavigationToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, boolean paramBoolean) {
/* 213 */     this(paramPreviewPrintableControlPanel, (Locale)null, paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageNavigationToolbarPanel(PreviewPrintableControlPanel paramPreviewPrintableControlPanel, Locale paramLocale, boolean paramBoolean) {
/* 223 */     super(paramPreviewPrintableControlPanel, paramLocale, paramBoolean);
/*     */     
/* 225 */     if (paramLocale == null) {
/*     */       
/* 227 */       this.NEXT_BUTTON = new c();
/* 228 */       this.PREV_BUTTON = new d();
/* 229 */       this.FIRST_BUTTON = new a();
/* 230 */       this.LAST_BUTTON = new b();
/*     */     }
/*     */     else {
/*     */       
/* 234 */       this.NEXT_BUTTON = new c((byte)0);
/* 235 */       this.PREV_BUTTON = new d((byte)0);
/* 236 */       this.FIRST_BUTTON = new a((byte)0);
/* 237 */       this.LAST_BUTTON = new b((byte)0);
/*     */     } 
/*     */ 
/*     */     
/* 241 */     addControls();
/* 242 */     handlePageNavigation(0, paramPreviewPrintableControlPanel.getPageCount());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getFirstButtonIcon() {
/* 256 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getLastButtonIcon() {
/* 265 */     return e;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getNextButtonIcon() {
/* 274 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ImageIcon getPreviousButtonIcon() {
/* 283 */     return c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void handlePageNavigation(int paramInt1, int paramInt2) {
/* 293 */     boolean bool1 = this.PREVIEW_CONTROL_PANEL.isScrolledToBottom();
/* 294 */     boolean bool2 = this.PREVIEW_CONTROL_PANEL.isScrolledToTop();
/*     */ 
/*     */     
/* 297 */     this.PAGE_NUMBER_INPUT_FIELD.setText(Integer.toString(paramInt1 + 1));
/*     */ 
/*     */     
/* 300 */     this.PAGE_COUNT_LABEL.setText(b(paramInt2));
/*     */ 
/*     */     
/* 303 */     a(bool2, bool1, paramInt1, paramInt2);
/*     */ 
/*     */     
/* 306 */     this.PAGE_NUMBER_INPUT_FIELD.a(a(paramInt2));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void handleScrollAtTopBottom(boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/* 317 */     a(paramBoolean1, paramBoolean2, paramInt1, paramInt2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setButtonIconsForLocale(Locale paramLocale) {
/*     */     ComponentOrientation componentOrientation;
/* 333 */     if ((componentOrientation = ComponentOrientation.getOrientation(paramLocale)).isLeftToRight()) {
/*     */       
/* 335 */       b = IconRetriever.getArrowRightIcon();
/* 336 */       c = IconRetriever.getArrowLeftIcon();
/* 337 */       d = IconRetriever.getArrowLeftStopIcon();
/* 338 */       e = IconRetriever.getArrowRightStopIcon();
/*     */       
/*     */       return;
/*     */     } 
/* 342 */     b = IconRetriever.getArrowLeftIcon();
/* 343 */     c = IconRetriever.getArrowRightIcon();
/* 344 */     d = IconRetriever.getArrowRightStopIcon();
/* 345 */     e = IconRetriever.getArrowLeftStopIcon();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setFirstButtonIcon(ImageIcon paramImageIcon) {
/* 355 */     d = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setLastButtonIcon(ImageIcon paramImageIcon) {
/* 364 */     e = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setNextButtonIcon(ImageIcon paramImageIcon) {
/* 373 */     b = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPageNavigationControlsVisible(boolean paramBoolean) {
/* 384 */     this.NEXT_BUTTON.setVisible(paramBoolean);
/* 385 */     this.LAST_BUTTON.setVisible(paramBoolean);
/* 386 */     this.PREV_BUTTON.setVisible(paramBoolean);
/* 387 */     this.FIRST_BUTTON.setVisible(paramBoolean);
/* 388 */     this.PAGE_NUMBER_INPUT_FIELD.setVisible(paramBoolean);
/* 389 */     this.PAGE_COUNT_LABEL.setVisible(paramBoolean);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPreviousButtonIcon(ImageIcon paramImageIcon) {
/* 398 */     c = paramImageIcon;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addControls() {
/*     */     JPanel jPanel;
/* 415 */     (jPanel = new JPanel(new FlowLayout(3, 0, 0))).setOpaque(false);
/* 416 */     jPanel.setBorder(BorderFactory.createEmptyBorder(0, 4, 0, 0));
/* 417 */     jPanel.add((Component)this.PAGE_NUMBER_INPUT_FIELD);
/* 418 */     jPanel.add(this.PAGE_COUNT_LABEL);
/*     */ 
/*     */     
/* 421 */     add((Component)this.FIRST_BUTTON);
/* 422 */     add((Component)this.PREV_BUTTON);
/* 423 */     add(jPanel);
/* 424 */     add((Component)this.NEXT_BUTTON);
/* 425 */     add((Component)this.LAST_BUTTON);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(boolean paramBoolean1, boolean paramBoolean2, int paramInt1, int paramInt2) {
/* 442 */     paramBoolean2 = a(paramInt1, paramInt2, paramBoolean2);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 447 */     paramBoolean1 = a(paramInt1, paramBoolean1);
/* 448 */     this.NEXT_BUTTON.setEnabled(paramBoolean2);
/* 449 */     this.LAST_BUTTON.setEnabled(paramBoolean2);
/* 450 */     this.PREV_BUTTON.setEnabled(paramBoolean1);
/* 451 */     this.FIRST_BUTTON.setEnabled(paramBoolean1);
/*     */ 
/*     */     
/* 454 */     this.PAGE_NUMBER_INPUT_FIELD.setEnabled((paramInt2 > 0));
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\PageNavigationToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */