/*     */ package jpdf.gui.preview2.toolbar;
/*     */ 
/*     */ import java.awt.Component;
/*     */ import java.awt.FlowLayout;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.OrientationRequested;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import jpdf.gui.PrintInfoHolder;
/*     */ import jpdf.gui.controller.AbstractPrintOptionsControllerPanel;
/*     */ import jpdf.gui.controller.PageMarginsPanel;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PageSetupToolbarPanel
/*     */   extends PageOrientationToolbarPanel
/*     */ {
/*     */   private final b MARGINS_CONTROLLER;
/*     */   private final PrintInfoHolder INFO_HOLDER;
/*     */   
/*     */   class a
/*     */     extends jpdf_common.gui.component.g.a
/*     */   {
/*     */     public a() {
/*  51 */       super(PageMarginsToolbarPanel.a(PageSetupToolbarPanel.a(PageSetupToolbarPanel.this).getName()), (JComponent)PageSetupToolbarPanel.a(PageSetupToolbarPanel.this));
/*     */ 
/*     */       
/*  54 */       setFocusable(true);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void a() {
/*  60 */       super.a();
/*  61 */       PageSetupToolbarPanel.this.PREVIEW_CONTROL_PANEL.setHighlightingMargins(false);
/*  62 */       if (PageSetupToolbarPanel.b.a(PageSetupToolbarPanel.a(PageSetupToolbarPanel.this)) != null)
/*     */       {
/*  64 */         PageSetupToolbarPanel.b.a(PageSetupToolbarPanel.a(PageSetupToolbarPanel.this)).setVisible(false);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     public final void b() {
/*  71 */       super.b();
/*  72 */       PageSetupToolbarPanel.this.PREVIEW_CONTROL_PANEL.setHighlightingMargins(true);
/*  73 */       if (PageSetupToolbarPanel.b.a(PageSetupToolbarPanel.a(PageSetupToolbarPanel.this)) != null)
/*     */       {
/*  75 */         PageSetupToolbarPanel.b.a(PageSetupToolbarPanel.a(PageSetupToolbarPanel.this)).setVisible(true);
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void a(jpdf_common.gui.component.g.a.g param1g) {}
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void c() {}
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void d() {}
/*     */   }
/*     */ 
/*     */   
/*     */   class b
/*     */     extends PageMarginsPanel
/*     */   {
/*     */     private boolean externalUpdate = false;
/*     */     
/*     */     private final Component GLASS_PANE;
/*     */ 
/*     */     
/*     */     private b() {
/* 102 */       a();
/*     */ 
/*     */ 
/*     */       
/* 106 */       if (jpdf_common.system.a.a.g) {
/*     */         
/* 108 */         this.GLASS_PANE = AbstractPreviewToolbarPanel.a((JComponent)PageSetupToolbarPanel.this.PREVIEW_CONTROL_PANEL);
/*     */         
/*     */         return;
/*     */       } 
/* 112 */       this.GLASS_PANE = null;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     private b(Locale param1Locale) {
/* 118 */       super(param1Locale);
/*     */ 
/*     */       
/* 121 */       a();
/*     */ 
/*     */ 
/*     */       
/* 125 */       if (jpdf_common.system.a.a.g) {
/*     */         
/* 127 */         this.GLASS_PANE = AbstractPreviewToolbarPanel.a((JComponent)PageSetupToolbarPanel.this.PREVIEW_CONTROL_PANEL);
/*     */         
/*     */         return;
/*     */       } 
/* 131 */       this.GLASS_PANE = null;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected final void updatePrintableArea(PrintInfoHolder param1PrintInfoHolder, AbstractPrintOptionsControllerPanel.MarginValuesHolder param1MarginValuesHolder, boolean param1Boolean1, boolean param1Boolean2) {
/*     */       // Byte code:
/*     */       //   0: aload_0
/*     */       //   1: aload_1
/*     */       //   2: aload_2
/*     */       //   3: iload_3
/*     */       //   4: iconst_0
/*     */       //   5: invokespecial updatePrintableArea : (Ljpdf/gui/PrintInfoHolder;Ljpdf/gui/controller/AbstractPrintOptionsControllerPanel$MarginValuesHolder;ZZ)V
/*     */       //   8: aload_0
/*     */       //   9: getfield externalUpdate : Z
/*     */       //   12: ifeq -> 16
/*     */       //   15: return
/*     */       //   16: aload_0
/*     */       //   17: invokevirtual isUniformMarginsSelected : ()Z
/*     */       //   20: ifeq -> 30
/*     */       //   23: aload_2
/*     */       //   24: invokevirtual areAllMarginsSame : ()Z
/*     */       //   27: ifeq -> 45
/*     */       //   30: aload_0
/*     */       //   31: getfield this$0 : Ljpdf/gui/preview2/toolbar/PageSetupToolbarPanel;
/*     */       //   34: getfield PREVIEW_CONTROL_PANEL : Ljpdf/gui/preview2/PreviewPrintableControlPanel;
/*     */       //   37: aload_0
/*     */       //   38: getfield this$0 : Ljpdf/gui/preview2/toolbar/PageSetupToolbarPanel;
/*     */       //   41: iconst_0
/*     */       //   42: invokevirtual handleAttributeSetUpdate : (Ljava/lang/Object;Z)V
/*     */       //   45: aload_0
/*     */       //   46: getfield GLASS_PANE : Ljava/awt/Component;
/*     */       //   49: ifnull -> 60
/*     */       //   52: aload_0
/*     */       //   53: getfield GLASS_PANE : Ljava/awt/Component;
/*     */       //   56: iconst_1
/*     */       //   57: invokevirtual setVisible : (Z)V
/*     */       //   60: return
/*     */       // Line number table:
/*     */       //   Java source line number -> byte code offset
/*     */       //   #140	-> 0
/*     */       //   #144	-> 8
/*     */       //   #150	-> 16
/*     */       //   #152	-> 23
/*     */       //   #154	-> 30
/*     */       //   #161	-> 45
/*     */       //   #162	-> 60
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private void a() {
/* 188 */       this.externalUpdate = true;
/*     */ 
/*     */       
/* 191 */       initializePrintOptions(PageSetupToolbarPanel.b(PageSetupToolbarPanel.this));
/*     */ 
/*     */       
/* 194 */       setBorder(null);
/*     */ 
/*     */ 
/*     */       
/* 198 */       updatePrintOptions(PageSetupToolbarPanel.b(PageSetupToolbarPanel.this));
/*     */       
/* 200 */       this.externalUpdate = false;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageSetupToolbarPanel(PrintInfoHolder paramPrintInfoHolder, PreviewPrintableControlPanel paramPreviewPrintableControlPanel) {
/* 219 */     this(paramPrintInfoHolder, paramPreviewPrintableControlPanel, (Locale)null);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PageSetupToolbarPanel(PrintInfoHolder paramPrintInfoHolder, PreviewPrintableControlPanel paramPreviewPrintableControlPanel, Locale paramLocale) {
/* 226 */     super(paramPreviewPrintableControlPanel, paramLocale);
/*     */     
/* 228 */     this.INFO_HOLDER = paramPrintInfoHolder;
/* 229 */     if (paramLocale == null) {
/*     */       
/* 231 */       this.MARGINS_CONTROLLER = new b((byte)0);
/*     */     }
/*     */     else {
/*     */       
/* 235 */       this.MARGINS_CONTROLLER = new b(paramLocale, (byte)0);
/*     */     } 
/*     */ 
/*     */     
/* 239 */     addMarginControls();
/*     */ 
/*     */     
/* 242 */     handleAttributeSetChange(paramPreviewPrintableControlPanel.getPrintAttributeSet(), false);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void handleAttributeSetChange(PrintRequestAttributeSet paramPrintRequestAttributeSet, boolean paramBoolean) {
/* 259 */     super.handleAttributeSetChange(paramPrintRequestAttributeSet, paramBoolean);
/*     */ 
/*     */ 
/*     */     
/* 263 */     if (this.MARGINS_CONTROLLER != null)
/*     */     {
/* 265 */       b.b(this.MARGINS_CONTROLLER);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addMarginControls() {
/*     */     a a;
/* 287 */     (a = new a(new FlowLayout(0, 0, 0))).setBorder(BorderFactory.createEmptyBorder(0, 2, 0, 2));
/* 288 */     a.add((Component)new a());
/*     */ 
/*     */     
/* 291 */     add(a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void addOrientationAttribute(OrientationRequested paramOrientationRequested) {
/* 304 */     b.a(this.MARGINS_CONTROLLER, paramOrientationRequested);
/* 305 */     super.addOrientationAttribute(paramOrientationRequested);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\gui\preview2\toolbar\PageSetupToolbarPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */