/*     */ package jpdf.manage;
/*     */ 
/*     */ import javax.print.Doc;
/*     */ import javax.print.PrintService;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.Destination;
/*     */ import jpdf.attribute.FileDestinationType;
/*     */ import jpdf_common.system.c.g;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class PrintJobAdministrator
/*     */ {
/*     */   static class a
/*     */     extends AbstractPrintJobThread
/*     */   {
/*     */     public a(String param1String, Object param1Object, PrintService param1PrintService, PrintRequestAttributeSet param1PrintRequestAttributeSet, Doc param1Doc, PrintManager.PrintJobOptions param1PrintJobOptions) {
/*  65 */       super(param1String, param1Object, param1PrintService, param1PrintRequestAttributeSet, param1Doc, param1PrintJobOptions);
/*     */ 
/*     */       
/*  68 */       start();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     final synchronized void g() {
/*  78 */       k();
/*     */ 
/*     */       
/*  81 */       d();
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void run() {
/*  91 */       String str = PrintJobMessenger.getPrintingPageMsg();
/*  92 */       boolean bool = false;
/*  93 */       a(true);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 100 */       h();
/*     */       
/* 102 */       b(PrintJobMessenger.getStartingJobMsg());
/* 103 */       g.a(3);
/*     */       
/* 105 */       for (byte b = 0; b < 3; b++) {
/*     */         
/* 107 */         if (isPrintJobCancelled()) {
/*     */           
/* 109 */           bool = true;
/*     */           break;
/*     */         } 
/* 112 */         b(str + (b + 1));
/* 113 */         g.a(3);
/*     */       } 
/*     */ 
/*     */       
/* 117 */       d();
/*     */ 
/*     */       
/* 120 */       if (bool) {
/*     */         
/* 122 */         a(PrintJobMessenger.getCanceledJobMsg());
/*     */         
/*     */         return;
/*     */       } 
/* 126 */       a(true, PrintJobMessenger.getCompletedJobMsg());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean a = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static boolean b = true;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getPrintJobTitle() {
/* 158 */     Thread thread = Thread.currentThread();
/* 159 */     String str = null;
/*     */ 
/*     */     
/* 162 */     if (thread instanceof AbstractPrintJobThread)
/*     */     {
/* 164 */       str = ((AbstractPrintJobThread)thread).a;
/*     */     }
/*     */     
/* 167 */     return str;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isPrintJobCancellationSupported() {
/* 190 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static boolean isToSubmitTestJob() {
/* 198 */     return a;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setPrintJobCancellationSupported(boolean paramBoolean) {
/* 231 */     b = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setToSubmitTestJob(boolean paramBoolean) {
/* 239 */     a = paramBoolean;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void updatePrintJobStatus(String paramString) {
/*     */     Thread thread;
/* 253 */     if (thread = Thread.currentThread() instanceof AbstractPrintJobThread)
/*     */     {
/* 255 */       ((AbstractPrintJobThread)thread).b(paramString);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a() {
/*     */     Thread thread;
/* 273 */     if (thread = Thread.currentThread() instanceof AbstractPrintJobThread)
/*     */     {
/* 275 */       ((AbstractPrintJobThread)thread).g();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void b() {
/*     */     Thread thread;
/* 287 */     if (thread = Thread.currentThread() instanceof AbstractPrintJobThread)
/*     */     {
/* 289 */       ((AbstractPrintJobThread)thread).d();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static boolean c() {
/* 300 */     Thread thread = Thread.currentThread();
/* 301 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */     
/* 305 */     if (thread instanceof AbstractPrintJobThread)
/*     */     {
/* 307 */       bool = ((AbstractPrintJobThread)thread).isPrintJobCancelled();
/*     */     }
/*     */     
/* 310 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static void a(String paramString, Object paramObject, PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, Doc paramDoc, PrintManager.PrintJobOptions paramPrintJobOptions) {
/* 324 */     FileDestinationType fileDestinationType = null;
/* 325 */     Destination destination = null;
/* 326 */     boolean bool = false;
/*     */ 
/*     */     
/* 329 */     if (isToSubmitTestJob()) {
/*     */       
/* 331 */       b(paramString, paramObject, paramPrintService, paramPrintRequestAttributeSet, paramDoc, paramPrintJobOptions);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       return;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 343 */     if ((destination = (Destination)paramPrintRequestAttributeSet.get(Destination.class)) != null)
/*     */     {
/*     */       
/* 346 */       bool = d.a(fileDestinationType = (FileDestinationType)paramPrintRequestAttributeSet.get(FileDestinationType.class));
/*     */     }
/*     */ 
/*     */     
/* 350 */     if (bool) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 355 */     if (fileDestinationType == FileDestinationType.PDF_FILE) {
/*     */       return;
/*     */     }
/*     */ 
/*     */     
/* 360 */     if (fileDestinationType == FileDestinationType.TIFF_FILE)
/*     */       return; 
/*     */   }
/*     */   
/*     */   static void b(String paramString, Object paramObject, PrintService paramPrintService, PrintRequestAttributeSet paramPrintRequestAttributeSet, Doc paramDoc, PrintManager.PrintJobOptions paramPrintJobOptions) {}
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\manage\PrintJobAdministrator.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */