/*     */ package jpdf.printer.text;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Font;
/*     */ import java.awt.FontMetrics;
/*     */ import java.awt.Graphics;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.Shape;
/*     */ import java.awt.font.GlyphVector;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.text.BadLocationException;
/*     */ import javax.swing.text.BoxView;
/*     */ import javax.swing.text.Caret;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.text.Highlighter;
/*     */ import javax.swing.text.JTextComponent;
/*     */ import javax.swing.text.LayeredHighlighter;
/*     */ import javax.swing.text.Position;
/*     */ import javax.swing.text.Segment;
/*     */ import javax.swing.text.TabExpander;
/*     */ import javax.swing.text.View;
/*     */ import javax.swing.text.ViewFactory;
/*     */ import jpdf.utility.PrintUtility;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PrintWrappedPlainView
/*     */   extends BoxView
/*     */   implements TabExpander
/*     */ {
/*     */   class a
/*     */     extends View
/*     */   {
/*  60 */     private int a = 0;
/*     */ 
/*     */     
/*     */     a(PrintWrappedPlainView this$0, Element param1Element) {
/*  64 */       super(param1Element);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final float getPreferredSpan(int param1Int) {
/*  74 */       float f1, f2 = 0.0F;
/*  75 */       if (param1Int == 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  80 */         f1 = ((f2 = this.b.getWidth()) == 2.1474836E9F) ? 100.0F : f2;
/*     */       }
/*  82 */       else if (f1 == 1) {
/*     */         
/*  84 */         this.a = a();
/*  85 */         f1 = (this.a * PrintWrappedPlainView.a(this.b).getHeight());
/*     */       }
/*     */       else {
/*     */         
/*  89 */         throw new IllegalArgumentException("Invalid axis: " + f1);
/*     */       } 
/*     */       
/*  92 */       return f1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void insertUpdate(DocumentEvent param1DocumentEvent, Shape param1Shape, ViewFactory param1ViewFactory) {
/*     */       int i;
/* 107 */       if ((i = a()) != this.a) {
/*     */         
/* 109 */         this.a = i;
/* 110 */         this.b.preferenceChanged(this, false, true);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final Shape modelToView(int param1Int, Shape param1Shape, Position.Bias param1Bias) {
/* 126 */       param1Shape = param1Shape.getBounds();
/* 127 */       int j = getStartOffset();
/* 128 */       int k = getEndOffset();
/* 129 */       int m = 0;
/* 130 */       int n = ((Rectangle)param1Shape).x;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 135 */       int i = (param1Bias == Position.Bias.Forward) ? param1Int : Math.max(j, param1Int - 1);
/*     */ 
/*     */ 
/*     */       
/* 139 */       ((Rectangle)param1Shape).height = PrintWrappedPlainView.a(this.b).getHeight();
/* 140 */       ((Rectangle)param1Shape).width = 1;
/*     */ 
/*     */       
/* 143 */       while (j < k) {
/*     */         
/* 145 */         m = a(j, k);
/*     */ 
/*     */         
/* 148 */         if (param1Int >= j && i < m) {
/*     */           
/* 150 */           PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.c(this.b), j, param1Int, PrintWrappedPlainView.d(this.b), n, PrintWrappedPlainView.e(this.b), false));
/*     */           
/* 152 */           ((Rectangle)param1Shape).x += PrintTextUtility.getLastGlyphEndX(PrintWrappedPlainView.e(this.b));
/*     */           
/* 154 */           return param1Shape;
/*     */         } 
/*     */ 
/*     */         
/* 158 */         if (m == k && param1Int == k) {
/*     */           
/* 160 */           if (param1Int > j) {
/*     */             
/* 162 */             PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.c(this.b), j, param1Int, PrintWrappedPlainView.d(this.b), n, PrintWrappedPlainView.e(this.b), false));
/*     */             
/* 164 */             ((Rectangle)param1Shape).x += PrintTextUtility.getLastGlyphEndX(PrintWrappedPlainView.e(this.b));
/*     */           } 
/*     */           
/* 167 */           return param1Shape;
/*     */         } 
/*     */ 
/*     */         
/* 171 */         j = (m == j) ? k : m;
/* 172 */         ((Rectangle)param1Shape).y += ((Rectangle)param1Shape).height;
/*     */       } 
/*     */ 
/*     */       
/* 176 */       throw new BadLocationException("The given offset does not exist in this View.", param1Int);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void paint(Graphics param1Graphics, Shape param1Shape) {
/* 185 */       LayeredHighlighter layeredHighlighter = null;
/* 186 */       JTextComponent jTextComponent = (JTextComponent)getContainer();
/* 187 */       Rectangle rectangle = null;
/* 188 */       rectangle = (Rectangle)param1Shape;
/* 189 */       int j = PrintWrappedPlainView.a(this.b).getHeight();
/* 190 */       int k = rectangle.x;
/* 191 */       int m = rectangle.y + PrintWrappedPlainView.a(this.b).getAscent();
/* 192 */       int n = getStartOffset();
/* 193 */       int i1 = getEndOffset();
/* 194 */       int i = 0;
/*     */ 
/*     */       
/* 197 */       if (PrintWrappedPlainView.f(this.b) != PrintWrappedPlainView.g(this.b)) {
/*     */         Highlighter highlighter;
/*     */         
/* 200 */         if (highlighter = jTextComponent.getHighlighter() instanceof LayeredHighlighter)
/*     */         {
/* 202 */           layeredHighlighter = (LayeredHighlighter)highlighter;
/*     */         }
/*     */       } 
/*     */ 
/*     */       
/* 207 */       if (layeredHighlighter != null) {
/*     */         
/* 209 */         while (n < i1)
/*     */         {
/*     */           
/* 212 */           if ((i = a(n, i1)) == i1) {
/*     */             
/* 214 */             layeredHighlighter.paintLayeredHighlights(param1Graphics, n, i - 1, param1Shape, jTextComponent, this);
/*     */           
/*     */           }
/*     */           else {
/*     */             
/* 219 */             layeredHighlighter.paintLayeredHighlights(param1Graphics, n, i, param1Shape, jTextComponent, this);
/*     */           } 
/*     */           
/* 222 */           int i5 = m, i4 = k; Graphics graphics = param1Graphics; int i3 = i, i2 = n; a a1 = this; try { i3 = Math.min(PrintWrappedPlainView.h(a1.b), i3); if (PrintWrappedPlainView.f(a1.b) == PrintWrappedPlainView.g(a1.b)) { PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, i2, i3); i4 = 0; } else if (i2 >= PrintWrappedPlainView.f(a1.b) && i2 <= PrintWrappedPlainView.g(a1.b) && i3 >= PrintWrappedPlainView.f(a1.b) && i3 <= PrintWrappedPlainView.g(a1.b)) { PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.j(a1.b), i4, i5, i2, i3); i4 = 0; } else if (PrintWrappedPlainView.f(a1.b) >= i2 && PrintWrappedPlainView.f(a1.b) <= i3) { if (PrintWrappedPlainView.g(a1.b) >= i2 && PrintWrappedPlainView.g(a1.b) <= i3) { i4 = PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, i2, PrintWrappedPlainView.f(a1.b)); i4 = PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.j(a1.b), i4, i5, PrintWrappedPlainView.f(a1.b), PrintWrappedPlainView.g(a1.b)); PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, PrintWrappedPlainView.g(a1.b), i3); } else { i4 = PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, i2, PrintWrappedPlainView.f(a1.b)); PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.j(a1.b), i4, i5, PrintWrappedPlainView.f(a1.b), i3); }  } else if (PrintWrappedPlainView.g(a1.b) >= i2 && PrintWrappedPlainView.g(a1.b) <= i3) { i4 = PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.j(a1.b), i4, i5, i2, PrintWrappedPlainView.g(a1.b)); PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, PrintWrappedPlainView.g(a1.b), i3); } else { PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, i2, i3); i4 = 0; }  } catch (BadLocationException badLocationException) { throw new BadRangeError("Can't render line.", i2, i3); }
/*     */           
/* 224 */           n = (i == n) ? i1 : i;
/* 225 */           m += j;
/*     */         }
/*     */       
/*     */       } else {
/*     */         
/* 230 */         while (n < i1) {
/*     */           
/* 232 */           i = a(n, i1);
/* 233 */           int i5 = m, i4 = k; Graphics graphics = param1Graphics; int i3 = i, i2 = n; a a1 = this; try { i3 = Math.min(PrintWrappedPlainView.h(a1.b), i3); PrintWrappedPlainView.a(a1.b, graphics, PrintWrappedPlainView.i(a1.b), i4, i5, i2, i3); } catch (BadLocationException badLocationException) { throw new BadRangeError("Can't render line.", i2, i3); }
/*     */           
/* 235 */           n = (i == n) ? i1 : i;
/* 236 */           m += j;
/*     */         } 
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void removeUpdate(DocumentEvent param1DocumentEvent, Shape param1Shape, ViewFactory param1ViewFactory) {
/* 251 */       int i = a();
/*     */       
/* 253 */       if (this.a != i) {
/*     */         
/* 255 */         this.a = i;
/* 256 */         this.b.preferenceChanged(this, false, true);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final int viewToModel(float param1Float1, float param1Float2, Shape param1Shape, Position.Bias[] param1ArrayOfBias) {
/* 268 */       param1Shape = param1Shape;
/* 269 */       int k = getStartOffset();
/* 270 */       int m = getEndOffset();
/* 271 */       int n = 0;
/* 272 */       int i = (int)param1Float1;
/*     */ 
/*     */       
/*     */       int j;
/*     */       
/* 277 */       if ((j = (int)param1Float2) < ((Rectangle)param1Shape).y)
/*     */       {
/* 279 */         return k;
/*     */       }
/*     */ 
/*     */       
/* 283 */       if (j > ((Rectangle)param1Shape).y + ((Rectangle)param1Shape).height)
/*     */       {
/* 285 */         return m - 1;
/*     */       }
/*     */ 
/*     */ 
/*     */       
/* 290 */       ((Rectangle)param1Shape).height = PrintWrappedPlainView.a(this.b).getHeight();
/* 291 */       while (k < m) {
/*     */         
/* 293 */         n = a(k, m);
/*     */ 
/*     */         
/* 296 */         if (j >= ((Rectangle)param1Shape).y && j < ((Rectangle)param1Shape).y + ((Rectangle)param1Shape).height) {
/*     */ 
/*     */ 
/*     */           
/* 300 */           if (i < ((Rectangle)param1Shape).x)
/*     */           {
/* 302 */             return k;
/*     */           }
/*     */           
/* 305 */           if (i > ((Rectangle)param1Shape).x + ((Rectangle)param1Shape).width)
/*     */           {
/* 307 */             return n;
/*     */           }
/*     */ 
/*     */ 
/*     */           
/* 312 */           PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.c(this.b), k, m, PrintWrappedPlainView.d(this.b), 0, PrintWrappedPlainView.e(this.b), false));
/*     */           
/* 314 */           i = PrintTextUtility.calculateTextOffsetAtX(PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.e(this.b), i - ((Rectangle)param1Shape).x, true);
/*     */ 
/*     */           
/* 317 */           return Math.min(k + i, m - 1);
/*     */         } 
/*     */ 
/*     */ 
/*     */         
/* 322 */         k = (n == k) ? m : n;
/* 323 */         ((Rectangle)param1Shape).y += ((Rectangle)param1Shape).height;
/*     */       } 
/*     */       
/* 326 */       return getEndOffset() - 1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private int a(int param1Int1, int param1Int2) {
/* 336 */       int i = param1Int2 - param1Int1;
/* 337 */       int j = this.b.getWidth();
/* 338 */       if (i <= 0) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 343 */         param1Int2 = param1Int2;
/*     */       
/*     */       }
/*     */       else {
/*     */         
/* 348 */         PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.a(this.b, PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.c(this.b), param1Int1, param1Int2, PrintWrappedPlainView.d(this.b), 0, PrintWrappedPlainView.e(this.b), false));
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 353 */         param1Int2 = PrintTextUtility.findBreakIndex(PrintWrappedPlainView.b(this.b), PrintWrappedPlainView.e(this.b), j);
/*     */       } 
/*     */ 
/*     */       
/* 357 */       if (param1Int2 >= PrintWrappedPlainView.h(this.b)) param1Int2 = PrintWrappedPlainView.h(this.b) + 1;
/*     */       
/* 359 */       return param1Int1 + param1Int2 + 1;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private int a() {
/* 367 */       int i = getStartOffset();
/* 368 */       int j = getEndOffset();
/* 369 */       int k = 0;
/* 370 */       byte b = 0;
/*     */       
/* 372 */       while (i < j) {
/*     */         
/* 374 */         b++;
/*     */         
/* 376 */         i = ((k = a(i, j)) == i) ? j : k;
/*     */       } 
/*     */       
/* 379 */       return b;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 464 */   private final Segment a = new Segment();
/*     */   
/*     */   private final Document b;
/*     */   private final boolean c;
/*     */   private final boolean d;
/*     */   private final int e;
/* 470 */   private GlyphVector f = null;
/* 471 */   private Font g = null;
/* 472 */   private FontMetrics h = null;
/* 473 */   private Color i = null;
/* 474 */   private Color j = null;
/*     */   private boolean k = false;
/* 476 */   private float l = 0.0F;
/* 477 */   private int m = 0;
/* 478 */   private int n = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private int o;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PrintWrappedPlainView(Element paramElement, boolean paramBoolean1, boolean paramBoolean2) {
/* 492 */     super(paramElement, 1);
/*     */     
/* 494 */     this.b = getDocument();
/* 495 */     this.o = this.b.getLength(); Integer integer; Document document;
/* 496 */     this.e = ((integer = (Integer)(document = this.b).getProperty("tabSize")) != null) ? integer.intValue() : 8;
/* 497 */     this.c = paramBoolean1;
/* 498 */     this.d = paramBoolean2;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void changedUpdate(DocumentEvent paramDocumentEvent, Shape paramShape, ViewFactory paramViewFactory) {
/* 515 */     String str = "The changedUpdate() method should not be called when printing.";
/* 516 */     throw new IllegalPrintOperationError(str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void insertUpdate(DocumentEvent paramDocumentEvent, Shape paramShape, ViewFactory paramViewFactory) {
/* 531 */     loadChildren((ViewFactory)null);
/* 532 */     this.o = paramDocumentEvent.getDocument().getLength();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void removeUpdate(DocumentEvent paramDocumentEvent, Shape paramShape, ViewFactory paramViewFactory) {
/* 546 */     removeAll();
/* 547 */     this.o = 0;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public float nextTabStop(float paramFloat, int paramInt) {
/* 563 */     if (this.l == 0.0F) return paramFloat;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     int i;
/*     */ 
/*     */ 
/*     */     
/* 572 */     return (i = (int)(paramFloat / this.l) + 1) * this.l;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void paint(Graphics paramGraphics, Shape paramShape) {
/*     */     PrintWrappedPlainView printWrappedPlainView;
/*     */     JTextComponent jTextComponent;
/*     */     Caret caret;
/* 582 */     if ((caret = (jTextComponent = (JTextComponent)(printWrappedPlainView = this).getContainer()).getCaret()).isSelectionVisible()) { printWrappedPlainView.m = jTextComponent.getSelectionStart(); printWrappedPlainView.n = jTextComponent.getSelectionEnd(); printWrappedPlainView.j = jTextComponent.getSelectedTextColor(); } else { printWrappedPlainView.m = printWrappedPlainView.n = 0; }  printWrappedPlainView.i = jTextComponent.isEnabled() ? jTextComponent.getForeground() : jTextComponent.getDisabledTextColor();
/*     */ 
/*     */     
/* 585 */     paramGraphics.setFont(this.g);
/* 586 */     super.paint(paramGraphics, paramShape);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setParent(View paramView) {
/* 595 */     super.setParent(paramView);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 601 */     if (!this.k) {
/*     */       
/* 603 */       Container container = (paramView = this).getContainer(); ((PrintWrappedPlainView)paramView).g = container.getFont(); ((PrintWrappedPlainView)paramView).h = container.getFontMetrics(((PrintWrappedPlainView)paramView).g); ((PrintWrappedPlainView)paramView).l = (float)(((PrintWrappedPlainView)paramView).e * ((PrintWrappedPlainView)paramView).g.getStringBounds("m", PrintTextUtility.a()).getWidth());
/* 604 */       this.k = true;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setSize(float paramFloat1, float paramFloat2) {
/* 615 */     if ((int)paramFloat1 != getWidth())
/*     */     {
/*     */ 
/*     */       
/* 619 */       preferenceChanged((View)null, true, true);
/*     */     }
/*     */     
/* 622 */     super.setSize(paramFloat1, paramFloat2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void loadChildren(ViewFactory paramViewFactory) {
/* 639 */     paramViewFactory = null;
/*     */     
/*     */     Element element;
/*     */     int i;
/* 643 */     if ((i = (element = getElement()).getElementCount()) > 0) {
/*     */       
/* 645 */       a[] arrayOfA = new a[i];
/* 646 */       for (byte b = 0; b < i; b++)
/*     */       {
/* 648 */         arrayOfA[b] = new a(this, element.getElement(b));
/*     */       }
/* 650 */       replace(0, 0, (View[])arrayOfA);
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private GlyphVector a(Segment paramSegment, Document paramDocument, int paramInt1, int paramInt2, Font paramFont, int paramInt3, GlyphVector paramGlyphVector, boolean paramBoolean) {
/*     */     GlyphVectorFactory glyphVectorFactory;
/* 715 */     return (glyphVectorFactory = paramBoolean ? PrintTextUtility.getPreviewGlyphVectorFactory() : PrintTextUtility.getDefaultGlyphVectorFactory()).loadText(paramSegment, paramDocument, paramInt1, paramInt2, paramFont, this, paramInt3, paramGlyphVector, this.d);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\printer\text\PrintWrappedPlainView.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */