/*      */ package jpdf.report.form;
/*      */ 
/*      */ import java.awt.BasicStroke;
/*      */ import java.awt.Color;
/*      */ import java.awt.Component;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Font;
/*      */ import java.awt.Graphics;
/*      */ import java.awt.Graphics2D;
/*      */ import java.awt.Insets;
/*      */ import java.awt.Rectangle;
/*      */ import java.awt.Stroke;
/*      */ import java.awt.geom.Line2D;
/*      */ import java.awt.geom.Rectangle2D;
/*      */ import java.util.ArrayList;
/*      */ import javax.swing.JComponent;
/*      */ import javax.swing.border.Border;
/*      */ import jpdf.report.ReportStandardizer;
/*      */ import jpdf.report.form.label.FormLabel;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public abstract class AbstractMultiRowPanel
/*      */   extends FixedFormPanel
/*      */ {
/*      */   static class a
/*      */   {
/*   71 */     private final ArrayList b = new ArrayList(8);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     final int a;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private int c;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   87 */     private int d = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*   93 */     private int e = 0;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private boolean f = false;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  104 */     private Color g = null;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private a(int param1Int1, int param1Int2, int param1Int3) {
/*  110 */       this.a = param1Int2;
/*  111 */       this.d = param1Int1;
/*  112 */       this.c = param1Int3;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int a() {
/*  128 */       return this.c;
/*      */     }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final int b() {
/*  137 */       return this.d;
/*      */     }
/*      */ 
/*      */     
/*      */     public final String toString() {
/*  142 */       return "RowInfo [Y=" + this.a + ", height=" + this.c + "]";
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  191 */   final ArrayList ROW_INFO_LIST = new ArrayList(10);
/*  192 */   final Rectangle2D.Float WORK_RECT = new Rectangle2D.Float();
/*  193 */   final Line2D.Float WORK_LINE = new Line2D.Float();
/*      */   
/*      */   final BasicStroke GRID_STROKE;
/*      */   final BasicStroke OUTLINE_STROKE;
/*      */   final boolean INCLUDE_OUTLINE;
/*      */   final float GRID_STROKE_WIDTH;
/*      */   final float HALF_STROKE_WIDTH;
/*      */   final float OUTLINE_STROKE_WIDTH;
/*      */   final float HALF_OUTLINE_WIDTH;
/*  202 */   private a currentRowInfo = null;
/*  203 */   private Color gridColor = null;
/*  204 */   private Color outlineColor = null;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public AbstractMultiRowPanel(int paramInt, BasicStroke paramBasicStroke1, BasicStroke paramBasicStroke2, Color paramColor, Border paramBorder) {
/*  228 */     this.GRID_STROKE = paramBasicStroke1;
/*  229 */     this.OUTLINE_STROKE = paramBasicStroke2;
/*      */ 
/*      */     
/*  232 */     setGridColor(paramColor);
/*  233 */     setOutlineColor(paramColor);
/*      */ 
/*      */     
/*  236 */     if (this.GRID_STROKE != null) {
/*      */       
/*  238 */       this.GRID_STROKE_WIDTH = this.GRID_STROKE.getLineWidth();
/*      */     }
/*      */     else {
/*      */       
/*  242 */       this.GRID_STROKE_WIDTH = 0.0F;
/*      */     } 
/*  244 */     this.HALF_STROKE_WIDTH = this.GRID_STROKE_WIDTH / 2.0F;
/*      */ 
/*      */     
/*  247 */     if (this.OUTLINE_STROKE != null) {
/*      */       
/*  249 */       this.OUTLINE_STROKE_WIDTH = this.OUTLINE_STROKE.getLineWidth();
/*  250 */       this.INCLUDE_OUTLINE = true;
/*      */     }
/*      */     else {
/*      */       
/*  254 */       this.OUTLINE_STROKE_WIDTH = 0.0F;
/*  255 */       this.INCLUDE_OUTLINE = false;
/*      */     } 
/*  257 */     this.HALF_OUTLINE_WIDTH = this.OUTLINE_STROKE_WIDTH / 2.0F;
/*      */ 
/*      */     
/*  260 */     if (paramBorder != null) super.setBorder(paramBorder);
/*      */ 
/*      */     
/*  263 */     addRow(paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addRow(int paramInt) {
/*      */     int i;
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  280 */     a a1 = (abstractMultiRowPanel = this).currentRowInfo;
/*      */     Insets insets;
/*  282 */     int j = (insets = getInsets()).left;
/*  283 */     if (paramInt <= 0)
/*      */     {
/*      */ 
/*      */ 
/*      */       
/*  288 */       throw new FormBuildException("The Row Height must be greater than zero.  Invalid: " + paramInt);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  293 */     if (a1 == null) {
/*      */ 
/*      */       
/*  296 */       i = insets.top;
/*      */     
/*      */     }
/*      */     else {
/*      */ 
/*      */       
/*  302 */       i = this.currentRowInfo.a + this.currentRowInfo.a();
/*      */     } 
/*      */ 
/*      */     
/*  306 */     i += a(a1);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  312 */     this.currentRowInfo = new a(j, i, paramInt, (byte)0);
/*  313 */     this.ROW_INFO_LIST.add(this.currentRowInfo);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToRow(Color paramColor1, Color paramColor2, Font paramFont, Border paramBorder, String paramString) {
/*  328 */     addToRow(paramColor1, paramColor2, paramFont, paramBorder, paramString, 2, 1);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToRow(Color paramColor1, Color paramColor2, Font paramFont, Border paramBorder, String paramString, int paramInt1, int paramInt2) {
/*  351 */     if (paramColor2 != null) setRowBackground(paramColor2);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  357 */     if (paramFont == null)
/*      */     {
/*  359 */       paramFont = ReportStandardizer.getSubsectionHeaderTitleOptions().getFont();
/*      */     }
/*      */     
/*      */     FormLabel formLabel;
/*      */     
/*  364 */     (formLabel = new FormLabel(paramString, paramBorder, paramFont)).setForeground(paramColor1);
/*  365 */     formLabel.setHorizontalAlignment(paramInt1);
/*  366 */     formLabel.setVerticalAlignment(paramInt2);
/*      */ 
/*      */     
/*  369 */     addToRow((JComponent)formLabel);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public abstract int addToRow();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToRow(int paramInt) {
/*  388 */     a(paramInt);
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  390 */     a.a((abstractMultiRowPanel = this).currentRowInfo, paramInt, false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public abstract int addToRow(JComponent paramJComponent);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void addToRow(JComponent paramJComponent, int paramInt) {
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*      */     a a1;
/*  413 */     int i = (a1 = (abstractMultiRowPanel = this).currentRowInfo).b();
/*  414 */     a(paramInt);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  420 */     int j = a(a1);
/*  421 */     Rectangle rectangle = new Rectangle(i + j, a1.a, paramInt, a1.a());
/*      */     
/*  423 */     add(paramJComponent, rectangle);
/*      */ 
/*      */     
/*  426 */     a.a(a1, paramInt + j, true);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static BasicStroke buildGridStroke(float paramFloat) {
/*  435 */     if (paramFloat <= 0.0F) return null;
/*      */     
/*  437 */     return new BasicStroke(paramFloat, 0, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static BasicStroke buildGridStroke(Float paramFloat) {
/*  448 */     if (paramFloat == null) return null;
/*      */     
/*  450 */     return buildGridStroke(paramFloat.floatValue());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void changeRowHeight(int paramInt) {
/*  463 */     FixedBoundsLayout fixedBoundsLayout = (FixedBoundsLayout)getLayout();
/*  464 */     AbstractMultiRowPanel abstractMultiRowPanel = null;
/*  465 */     a a1 = (abstractMultiRowPanel = this).currentRowInfo;
/*  466 */     abstractMultiRowPanel = null;
/*  467 */     int j = getComponentCount();
/*  468 */     if (paramInt <= 0) {
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  473 */       String str = "The Row Height must be greater than zero.  Invalid: " + paramInt;
/*      */       
/*  475 */       throw new FormBuildException(str);
/*      */     } 
/*      */ 
/*      */ 
/*      */     
/*  480 */     for (int i = j - a.a(a1), k = i; k < j; k++) {
/*      */       Component component;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  486 */       if (component = getComponent(k) instanceof RowPanel)
/*      */       {
/*  488 */         ((RowPanel)component).changeRowHeight(paramInt);
/*      */       }
/*      */       
/*      */       Rectangle rectangle;
/*      */       
/*  493 */       if ((rectangle = fixedBoundsLayout.getConstraints(component)) != null)
/*      */       {
/*  495 */         rectangle.height = paramInt;
/*      */       }
/*      */     } 
/*      */ 
/*      */     
/*  500 */     a.a(a1, paramInt);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int computePreferredRowHeight() {
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  509 */     a a1 = (abstractMultiRowPanel = this).currentRowInfo;
/*  510 */     Object object = null;
/*  511 */     int j = getComponentCount();
/*  512 */     int k = 0;
/*      */     
/*  514 */     boolean bool = false;
/*      */ 
/*      */ 
/*      */     
/*  518 */     for (int i = j - a.a(a1); i < j; i++) {
/*      */       int m;
/*      */       
/*      */       Component component;
/*      */       
/*  523 */       if (component = getComponent(i) instanceof RowPanel) {
/*      */         
/*  525 */         m = ((RowPanel)component).computePreferredRowHeight();
/*      */       
/*      */       }
/*      */       else {
/*      */         
/*  530 */         m = (m.getPreferredSize()).height;
/*      */       } 
/*      */ 
/*      */       
/*  534 */       if (m > k)
/*      */       {
/*  536 */         k = m;
/*      */       }
/*      */     } 
/*      */     
/*  540 */     return k + (int)(this.GRID_STROKE_WIDTH + 1.0F);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void expandLastToUseFullRowWidth() {
/*  550 */     a a1 = null;
/*  551 */     int j = getRowCount();
/*      */     
/*  553 */     int k = -1;
/*      */ 
/*      */     
/*  556 */     int i = getRequiredWidth() - a();
/*      */ 
/*      */     
/*  559 */     for (byte b = 0; b < j; b++) {
/*      */ 
/*      */       
/*  562 */       a1 = this.ROW_INFO_LIST.get(b);
/*  563 */       k += a.b(a1);
/*      */ 
/*      */       
/*  566 */       a(a1, i, k);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void expandLastToUseFullRowWidth(int paramInt) {
/*  578 */     a a1 = null;
/*  579 */     int j = -1;
/*      */ 
/*      */ 
/*      */     
/*  583 */     int i = getRequiredWidth() - a();
/*      */ 
/*      */     
/*  586 */     for (byte b = 0; b <= paramInt; b++) {
/*      */       
/*  588 */       a1 = this.ROW_INFO_LIST.get(b);
/*  589 */       j += a.b(a1);
/*      */     } 
/*      */ 
/*      */     
/*  593 */     a(a1, i, j);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Color getGridColor() {
/*  602 */     return this.gridColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Color getOutlineColor() {
/*  610 */     return this.outlineColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public Dimension getPreferredSize() {
/*  621 */     if (isPreferredSizeSet()) return super.getPreferredSize();
/*      */     
/*  623 */     return new Dimension(getRequiredWidth(), getRequiredHeight());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public abstract int getRemainingWidthInRow();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRequiredHeight() {
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  639 */     a a1 = (abstractMultiRowPanel = this).currentRowInfo;
/*  640 */     Insets insets = getInsets();
/*  641 */     int i = a1.a + a1.a() + insets.bottom;
/*      */ 
/*      */ 
/*      */     
/*  645 */     if (this.INCLUDE_OUTLINE) i += (int)(this.OUTLINE_STROKE_WIDTH + 0.9F);
/*      */     
/*  647 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public abstract int getRequiredWidth();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRowCount() {
/*  661 */     return this.ROW_INFO_LIST.size();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public int getRowHeight() {
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  669 */     return (abstractMultiRowPanel = this).currentRowInfo.a();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public abstract boolean isRowWidthLimited();
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void paint(Graphics paramGraphics) {
/*  685 */     super.paint(paramGraphics);
/*  686 */     if (this.GRID_STROKE != null || this.INCLUDE_OUTLINE) {
/*      */       
/*  688 */       Graphics2D graphics2D = (Graphics2D)paramGraphics; AbstractMultiRowPanel abstractMultiRowPanel = this; a a1 = null; Stroke stroke = graphics2D.getStroke(); Insets insets = abstractMultiRowPanel.getInsets(); Color color = graphics2D.getColor(); int i = abstractMultiRowPanel.getWidth(), j = abstractMultiRowPanel.getHeight(), k = 0, m = 0, n = 0; float f2 = insets.left, f1 = (i - insets.left + insets.right); if (abstractMultiRowPanel.INCLUDE_OUTLINE) { f2 += abstractMultiRowPanel.HALF_OUTLINE_WIDTH; f1 -= abstractMultiRowPanel.HALF_OUTLINE_WIDTH; }  if (abstractMultiRowPanel.GRID_STROKE != null) { graphics2D.setColor(abstractMultiRowPanel.getGridColor()); graphics2D.setStroke(abstractMultiRowPanel.GRID_STROKE); byte b; for (m = abstractMultiRowPanel.ROW_INFO_LIST.size(), b = 0; b < m; ) { (a1 = abstractMultiRowPanel.ROW_INFO_LIST.get(b)).a(); abstractMultiRowPanel.WORK_LINE.x1 = f2; abstractMultiRowPanel.WORK_LINE.y1 = a1.a - abstractMultiRowPanel.HALF_STROKE_WIDTH; abstractMultiRowPanel.WORK_LINE.x2 = f1 + insets.left; abstractMultiRowPanel.WORK_LINE.y2 = abstractMultiRowPanel.WORK_LINE.y1; if (b > 0) graphics2D.draw(abstractMultiRowPanel.WORK_LINE);  byte b1; for (k = a.e(a1).size() - 1, n = insets.left, abstractMultiRowPanel.WORK_LINE.y1 -= abstractMultiRowPanel.HALF_STROKE_WIDTH, abstractMultiRowPanel.WORK_LINE.y2 = abstractMultiRowPanel.WORK_LINE.y1 + a.f(a1) + abstractMultiRowPanel.GRID_STROKE_WIDTH + 0.1F, b1 = 0; b1 < k; ) { n += ((Integer)a.e(a1).get(b1)).intValue(); abstractMultiRowPanel.WORK_LINE.x1 = abstractMultiRowPanel.WORK_LINE.x2 = n + abstractMultiRowPanel.HALF_STROKE_WIDTH; graphics2D.draw(abstractMultiRowPanel.WORK_LINE); b1++; }  b++; }  }  if (abstractMultiRowPanel.INCLUDE_OUTLINE) { f2 = insets.left; f1 = (i - insets.left + insets.right) - abstractMultiRowPanel.OUTLINE_STROKE_WIDTH; abstractMultiRowPanel.WORK_RECT.x = abstractMultiRowPanel.HALF_OUTLINE_WIDTH + f2 - 0.3F; abstractMultiRowPanel.WORK_RECT.y = abstractMultiRowPanel.HALF_OUTLINE_WIDTH + insets.top - 0.3F; abstractMultiRowPanel.WORK_RECT.width = f1 + 0.4F; abstractMultiRowPanel.WORK_RECT.height = j - abstractMultiRowPanel.OUTLINE_STROKE_WIDTH - abstractMultiRowPanel.OUTLINE_STROKE_WIDTH - (insets.top + insets.bottom); graphics2D.setColor(abstractMultiRowPanel.getOutlineColor()); graphics2D.setStroke(abstractMultiRowPanel.OUTLINE_STROKE); graphics2D.draw(abstractMultiRowPanel.WORK_RECT); }  graphics2D.setColor(color); graphics2D.setStroke(stroke);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setAllRowBackground(Color paramColor) {
/*  698 */     setAllRowBackground(paramColor, 0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setAllRowBackground(Color paramColor, int paramInt) {
/*  708 */     int i = this.ROW_INFO_LIST.size();
/*      */     
/*  710 */     for (paramInt = paramInt; paramInt < i; paramInt++)
/*      */     {
/*  712 */       a.a(this.ROW_INFO_LIST.get(paramInt), paramColor);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setBorder(Border paramBorder) {
/*  729 */     int i = 0;
/*      */ 
/*      */     
/*  732 */     super.setBorder(paramBorder);
/*      */ 
/*      */     
/*  735 */     if (this.ROW_INFO_LIST == null) {
/*      */       return;
/*      */     }
/*  738 */     if (getRowCount() == 1 && getComponentCount() == 0) {
/*      */       AbstractMultiRowPanel abstractMultiRowPanel;
/*      */       
/*  741 */       i = (abstractMultiRowPanel = this).currentRowInfo.a();
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*      */       try {
/*  747 */         this.currentRowInfo = null;
/*  748 */         this.ROW_INFO_LIST.remove(0);
/*  749 */         addRow(i);
/*      */         return;
/*  751 */       } catch (FormBuildException formBuildException) {}
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setGridColor(Color paramColor) {
/*  760 */     if (paramColor == null) paramColor = Color.BLACK;
/*      */     
/*  762 */     this.gridColor = paramColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setOutlineColor(Color paramColor) {
/*  770 */     if (paramColor == null) paramColor = Color.BLACK;
/*      */     
/*  772 */     this.outlineColor = paramColor;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setRowBackground(Color paramColor) {
/*      */     AbstractMultiRowPanel abstractMultiRowPanel;
/*  780 */     a.a((abstractMultiRowPanel = this).currentRowInfo, paramColor);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void paintComponent(Graphics paramGraphics) {
/*  794 */     Graphics2D graphics2D = (Graphics2D)paramGraphics;
/*  795 */     Object object = null;
/*  796 */     Color color = null;
/*  797 */     int j = this.ROW_INFO_LIST.size() - 1;
/*  798 */     int i = getWidth();
/*      */ 
/*      */     
/*  801 */     super.paintComponent(paramGraphics);
/*      */ 
/*      */     
/*  804 */     this.WORK_RECT.x = 0.0F;
/*  805 */     this.WORK_RECT.width = i;
/*      */ 
/*      */     
/*  808 */     for (byte b = 0; b <= j; b++) {
/*      */       a a1;
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  814 */       if ((color = a.c(a1 = this.ROW_INFO_LIST.get(b))) != null) {
/*      */ 
/*      */         
/*  817 */         this.WORK_RECT.y = a1.a;
/*  818 */         this.WORK_RECT.height = a1.a();
/*      */ 
/*      */         
/*  821 */         graphics2D.setColor(color);
/*  822 */         graphics2D.fill(this.WORK_RECT);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int a() {
/*  838 */     int i = (getInsets()).right;
/*      */     
/*  840 */     if (this.INCLUDE_OUTLINE) i += (int)(this.OUTLINE_STROKE_WIDTH + 0.9F);
/*      */     
/*  842 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final a b() {
/*  850 */     return this.currentRowInfo;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   final int a(a parama) {
/*  861 */     int i = 0;
/*      */     
/*  863 */     if (parama == null || a.d(parama) == 0) {
/*      */       
/*  865 */       if (this.INCLUDE_OUTLINE) i = (int)(this.OUTLINE_STROKE_WIDTH + 0.0F);
/*      */     
/*      */     } else {
/*      */       
/*  869 */       i = (int)(this.GRID_STROKE_WIDTH + 0.0F);
/*      */     } 
/*      */     
/*  872 */     return i;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(a parama, int paramInt1, int paramInt2) {
/*  975 */     FixedBoundsLayout fixedBoundsLayout = (FixedBoundsLayout)getLayout();
/*  976 */     Component component = null;
/*  977 */     component = null;
/*  978 */     int i = 0;
/*      */ 
/*      */     
/*  981 */     if (a.g(parama)) {
/*      */ 
/*      */       
/*  984 */       component = getComponent(paramInt2);
/*      */ 
/*      */       
/*      */       Rectangle rectangle;
/*      */       
/*  989 */       if ((i = (rectangle = fixedBoundsLayout.getConstraints(component)).x + rectangle.width - 1) < paramInt1)
/*      */       {
/*  991 */         rectangle.width += paramInt1 - i;
/*      */       }
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(int paramInt) {
/* 1003 */     if (paramInt < 0)
/*      */     {
/* 1005 */       throw new FormBuildException("The width cannot be negative.  Invalid: " + paramInt);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/* 1010 */     if (isRowWidthLimited()) {
/*      */       String str;
/*      */       int i;
/* 1013 */       if ((i = getRemainingWidthInRow()) <= 0) {
/*      */         
/* 1015 */         str = "The current row is full.  Cannot add more material.";
/* 1016 */         throw new FormBuildException(str);
/*      */       } 
/*      */ 
/*      */       
/* 1020 */       if (i < str) {
/*      */         
/* 1022 */         str = "The remaining row width (" + i + ") is less than the required width: " + str;
/*      */         
/* 1024 */         throw new FormBuildException(str);
/*      */       } 
/*      */     } 
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf\report\form\AbstractMultiRowPanel.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */