/*     */ package jpdf_common.gui.b.a;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Cursor;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Frame;
/*     */ import java.awt.Toolkit;
/*     */ import java.awt.Window;
/*     */ import java.awt.datatransfer.Clipboard;
/*     */ import java.awt.datatransfer.StringSelection;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.text.DateFormat;
/*     */ import java.util.Date;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.Icon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.SwingUtilities;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printer.ExceptionTracePrinter;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ import jpdf_common.gui.b.b;
/*     */ import jpdf_common.gui.utility.WindowUtility;
/*     */ import jpdf_common.system.c.f;
/*     */ import jpdf_common.system.c.g;
/*     */ import jpdf_common.system.manage.ApplicationException;
/*     */ import jpdf_common.system.manage.BasicApplicationManager;
/*     */ import jpdf_common.system.manage.BasicLocalizationManager;
/*     */ import jpdf_common.system.manage.Diagnostic;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class a
/*     */   extends b
/*     */ {
/*     */   class c
/*     */     extends JButton
/*     */     implements ActionListener
/*     */   {
/*     */     private c() {
/*  88 */       super("<HTML><CENTER>" + a.this.COPY + "</CENTER></HTML>");
/*     */       
/*  90 */       setToolTipText(a.a(a.this));
/*  91 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       String str;
/*  99 */       if (a(a.b(a.this))) {
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 104 */         str = BasicLocalizationManager.getLocalizedString("exDialog.copyError.msgOk");
/*     */       }
/*     */       else {
/*     */         
/* 108 */         str = BasicLocalizationManager.getLocalizedString("exDialog.copyError.msgFail");
/*     */       } 
/* 110 */       a.this.b(str);
/*     */     }
/*     */ 
/*     */     
/*     */     private static boolean a(String param1String) {
/* 115 */       Clipboard clipboard = null;
/* 116 */       boolean bool = false;
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 121 */         (clipboard = Toolkit.getDefaultToolkit().getSystemClipboard()).setContents(new StringSelection(param1String), null);
/* 122 */         bool = true;
/*     */       }
/* 124 */       catch (Throwable throwable) {}
/*     */       
/* 126 */       return bool;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class e
/*     */     extends JButton
/*     */     implements ActionListener
/*     */   {
/*     */     private e() {
/* 139 */       super("<HTML><CENTER>" + a.this.PRINT + "</CENTER></HTML>");
/*     */       
/* 141 */       setToolTipText(a.c(a.this));
/* 142 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 150 */       setCursor(Cursor.getPredefinedCursor(3));
/*     */ 
/*     */ 
/*     */       
/* 154 */       ExceptionTracePrinter.printTrace(a.this.b(), a.this.getTitle());
/* 155 */       setCursor(Cursor.getPredefinedCursor(0));
/* 156 */       String str = BasicLocalizationManager.getLocalizedString("exDialog.printError.msg");
/* 157 */       a.this.b(str + " " + PrintManager.getDefaultPrintService().getName());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends JButton
/*     */     implements ActionListener
/*     */   {
/*     */     private a() {
/* 172 */       super("<HTML><CENTER>" + a.this.ABORT + "</CENTER></HTML>");
/*     */       
/* 174 */       setToolTipText(a.d(a.this));
/* 175 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 184 */       a.this.remove();
/* 185 */       BasicApplicationManager.abort("AbstractExceptionDialog", a.e(a.this), "User Requested Abort", true);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends JButton
/*     */     implements ActionListener
/*     */   {
/*     */     private b() {
/* 199 */       super("<HTML><CENTER>" + a.this.CLOSE + "</CENTER></HTML>");
/*     */       
/* 201 */       setToolTipText(a.f(a.this));
/* 202 */       addActionListener(this);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 211 */       a.this.remove();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class d
/*     */     implements ActionListener
/*     */   {
/*     */     private d(a this$0) {}
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       JComboBox<?> jComboBox;
/* 228 */       Throwable throwable = (Throwable)(jComboBox = (JComboBox)param1ActionEvent.getSource()).getSelectedItem();
/*     */ 
/*     */       
/* 231 */       this.a.d(throwable);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 240 */   private static String a = null;
/*     */ 
/*     */   
/*     */   protected final String PRINT;
/*     */ 
/*     */   
/*     */   protected final String COPY;
/*     */ 
/*     */   
/*     */   protected final String ABORT;
/*     */ 
/*     */   
/*     */   protected final String CLOSE;
/*     */   
/*     */   private final String PRINT_TOOLTIP;
/*     */   
/*     */   private final String COPY_TOOLTIP;
/*     */   
/*     */   private final String ABORT_TOOLTIP;
/*     */   
/*     */   private final String CLOSE_TOOLTIP;
/*     */   
/*     */   private final String CAUSAL_CHAIN;
/*     */   
/*     */   private final Throwable DISPLAY_THROWABLE;
/*     */   
/*     */   private JTextArea traceTextArea;
/*     */   
/*     */   private JLabel statusLabel;
/*     */ 
/*     */   
/*     */   public a(Frame paramFrame, Throwable paramThrowable) {
/* 272 */     this(paramFrame, paramThrowable, str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public a(Frame paramFrame, Throwable paramThrowable, String paramString) {
/* 282 */     super(paramFrame, paramString, null, true, 2); String str1, str2, str8; this.traceTextArea = null;
/*     */     this.statusLabel = null;
/* 284 */     this.DISPLAY_THROWABLE = paramThrowable;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 289 */     paramFrame = null;
/* 290 */     paramThrowable = null;
/* 291 */     paramString = null;
/* 292 */     String str3 = null;
/* 293 */     String str4 = null;
/* 294 */     String str5 = null;
/* 295 */     String str6 = null;
/* 296 */     String str7 = null; try {
/* 297 */       str1 = BasicLocalizationManager.getLocalizedString("exDialog.printError");
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 304 */       str2 = BasicLocalizationManager.getLocalizedString("exDialog.printError.tooltip");
/* 305 */       paramString = BasicLocalizationManager.getLocalizedString("exDialog.copyError");
/* 306 */       str3 = BasicLocalizationManager.getLocalizedString("exDialog.copyError.tooltip");
/* 307 */       str4 = BasicLocalizationManager.getLocalizedString("exDialog.abort");
/* 308 */       str5 = BasicLocalizationManager.getLocalizedString("exDialog.abort.tooltip");
/* 309 */       str6 = BasicLocalizationManager.getLocalizedString("exDialog.close");
/* 310 */       str7 = BasicLocalizationManager.getLocalizedString("exDialog.close.tooltip");
/* 311 */       str8 = BasicLocalizationManager.getLocalizedString("exDialog.msg.causalChain");
/*     */     }
/* 313 */     catch (Throwable throwable) {
/*     */       
/* 315 */       str1 = "Print Error";
/* 316 */       str2 = "Prints the error information to the default printer.";
/* 317 */       paramString = "Copy Error";
/* 318 */       str3 = "Copies the error information to the clipboard.";
/* 319 */       str4 = "Abort";
/* 320 */       str5 = "Aborts the application.";
/* 321 */       str6 = "Close";
/* 322 */       str7 = "Closes this dialog.";
/* 323 */       str8 = "Causal Chain";
/*     */     } 
/*     */ 
/*     */     
/* 327 */     this.PRINT = str1;
/* 328 */     this.PRINT_TOOLTIP = str2;
/* 329 */     this.COPY = paramString;
/* 330 */     this.COPY_TOOLTIP = str3;
/* 331 */     this.ABORT = str4;
/* 332 */     this.ABORT_TOOLTIP = str5;
/* 333 */     this.CLOSE = str6;
/* 334 */     this.CLOSE_TOOLTIP = str7;
/* 335 */     this.CAUSAL_CHAIN = str8;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void pack() {
/* 394 */     boolean bool = isVisible();
/*     */     
/*     */     Dimension dimension;
/* 397 */     int j = (int)((dimension = Toolkit.getDefaultToolkit().getScreenSize()).width * 0.85D);
/* 398 */     int k = (int)(dimension.height * 0.85D);
/* 399 */     boolean bool1 = false;
/*     */ 
/*     */     
/* 402 */     boolean bool2 = false;
/*     */ 
/*     */     
/* 405 */     if (bool) setVisible(false);
/*     */ 
/*     */     
/* 408 */     super.pack();
/*     */ 
/*     */ 
/*     */     
/* 412 */     int m = (dimension = getSize()).width;
/* 413 */     int i = dimension.height;
/* 414 */     if (m > j) {
/*     */       
/* 416 */       m = j;
/* 417 */       bool1 = true;
/*     */     } 
/* 419 */     if (i > k) {
/*     */       
/* 421 */       i = k;
/* 422 */       bool2 = true;
/*     */     } 
/* 424 */     if (bool1 || bool2) {
/*     */       
/* 426 */       if (bool1) i += 20; 
/* 427 */       if (bool2) m += 20; 
/* 428 */       setSize(m, i);
/*     */     } 
/*     */ 
/*     */     
/* 432 */     WindowUtility.setNewWindowLocation((Window)this);
/*     */ 
/*     */     
/* 435 */     if (bool) setVisible(true);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void a(String paramString) {
/* 445 */     a = paramString;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final String a(Throwable paramThrowable) {
/* 459 */     StringBuilder stringBuilder = new StringBuilder(128);
/* 460 */     String str = null;
/*     */ 
/*     */     
/* 463 */     if (paramThrowable instanceof Diagnostic) {
/*     */ 
/*     */       
/* 466 */       if ((str = ((Diagnostic)paramThrowable).getDetailedExplanation()) == null)
/*     */       {
/* 468 */         stringBuilder.append(paramThrowable.getMessage());
/*     */       }
/*     */       else
/*     */       {
/* 472 */         stringBuilder.append(str);
/*     */       }
/*     */     
/*     */     } else {
/*     */       
/* 477 */       stringBuilder = stringBuilder.append(paramThrowable.getMessage());
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 483 */     if ((paramThrowable = paramThrowable.getCause()) != null)
/*     */     {
/* 485 */       stringBuilder.append("<BR><B> ==> " + Diagnostic.CAUSED_BY + "</B>: " + a(paramThrowable));
/*     */     }
/*     */ 
/*     */     
/* 489 */     return stringBuilder.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static JLabel a(Icon paramIcon, int paramInt) {
/* 498 */     JLabel jLabel = new JLabel(paramIcon);
/*     */     
/* 500 */     if (paramInt > 0)
/*     */     {
/* 502 */       jLabel.setBorder(BorderFactory.createEmptyBorder(paramInt = paramInt, paramInt, paramInt, paramInt));
/*     */     }
/*     */     
/* 505 */     return jLabel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JPanel a(boolean paramBoolean) {
/*     */     Dimension dimension;
/*     */     JButton[] arrayOfJButton;
/* 523 */     int i = jpdf_common.gui.component.a.b.a.width + 10;
/*     */     
/* 525 */     JPanel jPanel = new JPanel(new FlowLayout(1, 8, 8));
/* 526 */     int j = 0;
/*     */ 
/*     */     
/* 529 */     int k = 0;
/*     */ 
/*     */     
/* 532 */     if (paramBoolean) {
/*     */ 
/*     */       
/* 535 */       (arrayOfJButton = new JButton[4])[0] = new c((byte)0);
/* 536 */       arrayOfJButton[1] = new e((byte)0);
/* 537 */       arrayOfJButton[2] = new a((byte)0);
/* 538 */       arrayOfJButton[3] = new b((byte)0);
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 543 */       (arrayOfJButton = new JButton[3])[0] = new c((byte)0);
/* 544 */       arrayOfJButton[1] = new e((byte)0);
/* 545 */       arrayOfJButton[2] = new b((byte)0);
/*     */     } 
/*     */     
/*     */     byte b1;
/* 549 */     for (b1 = 0; b1 < arrayOfJButton.length; b1++) {
/*     */ 
/*     */       
/* 552 */       if ((k = (arrayOfJButton[b1].getPreferredSize()).width) > j)
/*     */       {
/* 554 */         j = k;
/*     */       }
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 563 */     if (j > i) {
/*     */       
/* 565 */       dimension = new Dimension(i, jpdf_common.gui.component.a.b.a.height + 12);
/*     */     }
/*     */     else {
/*     */       
/* 569 */       dimension = new Dimension(i, jpdf_common.gui.component.a.b.a.height);
/*     */     } 
/*     */ 
/*     */     
/* 573 */     for (b1 = 0; b1 < arrayOfJButton.length; b1++) {
/*     */       
/* 575 */       arrayOfJButton[b1].setPreferredSize(dimension);
/* 576 */       jPanel.add(arrayOfJButton[b1]);
/*     */     } 
/*     */     
/* 579 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JPanel b(Throwable paramThrowable) {
/* 588 */     String str = ApplicationException.getThrowableType(paramThrowable) + " ";
/*     */ 
/*     */ 
/*     */     
/* 592 */     return a(str, a(paramThrowable));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JPanel a(String paramString1, String paramString2) {
/* 601 */     JPanel jPanel1 = new JPanel();
/* 602 */     JPanel jPanel2 = new JPanel();
/* 603 */     JPanel jPanel3 = new JPanel();
/* 604 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 609 */     jPanel1.setLayout(new BorderLayout(7, 7));
/* 610 */     jPanel2.setLayout(new BorderLayout(7, 7));
/* 611 */     jPanel3.setLayout(new BorderLayout());
/*     */ 
/*     */     
/* 614 */     paramString1 = BasicLocalizationManager.getLocalizedString("type", "Type") + ": " + paramString1;
/*     */     
/*     */     JLabel jLabel2;
/* 617 */     (jLabel2 = new JLabel(paramString1)).setFont(jpdf_common.gui.a.c.d);
/* 618 */     jPanel2.add(jLabel2, "West");
/*     */ 
/*     */     
/* 621 */     String str = BasicLocalizationManager.getLocalizedString("time", "Time") + ": " + DateFormat.getTimeInstance(2).format(new Date());
/*     */     
/*     */     JLabel jLabel1;
/* 624 */     (jLabel1 = new JLabel(str)).setFont(jpdf_common.gui.a.c.d);
/* 625 */     jPanel2.add(jLabel1, "East");
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 630 */     if (paramString2 != null)
/*     */     {
/* 632 */       bool = (paramString2.indexOf('<') >= 0 && paramString2.indexOf('>') >= 0) ? true : false;
/*     */     }
/*     */     
/* 635 */     if (bool) {
/*     */       
/* 637 */       jPanel3.add(new JLabel("<HTML>" + paramString2 + "</HTML>"), "West");
/*     */     
/*     */     }
/*     */     else {
/*     */       
/* 642 */       String str1 = (str1 = paramString2).replace('\t', ' '); JTextArea jTextArea; (jTextArea = new JTextArea(f.a(str1, 120))).setFont(jpdf_common.gui.a.c.b); jTextArea.setEditable(false); jTextArea.setOpaque(false); jPanel3.add(jTextArea, "West");
/*     */     } 
/*     */ 
/*     */     
/* 646 */     jPanel1.add(jPanel2, "North");
/* 647 */     jPanel1.add(jPanel3, "Center");
/*     */     
/* 649 */     return jPanel1;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JPanel c(Throwable paramThrowable) {
/* 659 */     JComboBox<Throwable> jComboBox = new JComboBox();
/* 660 */     JPanel jPanel = new JPanel(new BorderLayout());
/* 661 */     while (paramThrowable != null) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 666 */       jComboBox.insertItemAt(paramThrowable, 0);
/* 667 */       paramThrowable = paramThrowable.getCause();
/*     */     } 
/*     */     
/*     */     int i;
/*     */     
/* 672 */     if ((i = jComboBox.getItemCount()) <= 1) {
/*     */       
/* 674 */       jPanel.setVisible(false);
/*     */     
/*     */     }
/*     */     else {
/*     */ 
/*     */       
/* 680 */       jPanel.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
/* 681 */       jPanel.add(new JLabel(this.CAUSAL_CHAIN + ": "), "West");
/* 682 */       jPanel.add(jComboBox, "Center");
/* 683 */       jComboBox.setSelectedIndex(i - 1);
/* 684 */       jComboBox.addActionListener(new d((byte)0));
/*     */     } 
/*     */     
/* 687 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JLabel a() {
/* 696 */     String str = BasicLocalizationManager.getLocalizedString("exDialog.msg.errorOccurred", "An error has occurred.");
/*     */ 
/*     */ 
/*     */     
/* 700 */     this.statusLabel = new JLabel(str);
/* 701 */     this.statusLabel.setForeground(Color.BLUE);
/* 702 */     this.statusLabel.setFont(this.statusLabel.getFont().deriveFont(1));
/* 703 */     this.statusLabel.setBorder(BorderFactory.createEmptyBorder(0, 5, 0, 0));
/*     */     
/* 705 */     return this.statusLabel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final Throwable b() {
/* 714 */     return this.DISPLAY_THROWABLE;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final JTextArea c() {
/* 731 */     if (this.traceTextArea == null) {
/*     */       
/* 733 */       this.traceTextArea = new JTextArea();
/* 734 */       this.traceTextArea.setFont(jpdf_common.gui.a.c.e);
/* 735 */       this.traceTextArea.setForeground(Color.black);
/* 736 */       this.traceTextArea.setBackground(new Color(244, 233, 233));
/* 737 */       this.traceTextArea.setEditable(false);
/* 738 */       this.traceTextArea.setOpaque(true);
/*     */     } 
/*     */     
/* 741 */     return this.traceTextArea;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void b(String paramString) {
/*     */     JLabel jLabel;
/*     */     a a1;
/* 752 */     if ((jLabel = (a1 = this).statusLabel) != null) jLabel.setText(paramString);
/*     */   
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void d(Throwable paramThrowable) {
/* 760 */     JTextArea jTextArea = c();
/*     */     String str;
/* 762 */     if ((str = g.a(paramThrowable)) == null || str.trim().length() == 0)
/*     */     {
/*     */ 
/*     */ 
/*     */       
/* 767 */       if (paramThrowable.getCause() != null) {
/*     */         
/* 769 */         str = "*** Exception trace not recorded.  See the causal execption.";
/*     */       }
/*     */       else {
/*     */         
/* 773 */         str = "*** Exception trace not recorded.";
/*     */       } 
/*     */     }
/* 776 */     jTextArea.setText(str);
/*     */ 
/*     */     
/*     */     int i;
/*     */     
/* 781 */     if ((i = jTextArea.getLineCount()) < 15) {
/*     */       
/* 783 */       jTextArea.setRows(15);
/*     */       
/*     */       return;
/*     */     } 
/* 787 */     jTextArea.setRows(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void e(Throwable paramThrowable) {
/*     */     JTextArea jTextArea;
/* 799 */     (jTextArea = c()).setText(paramThrowable + "\n---------------------------------------------------------------\n" + g.a(paramThrowable));
/*     */ 
/*     */ 
/*     */     
/* 803 */     paramThrowable = paramThrowable.getCause();
/* 804 */     while (paramThrowable != null) {
/*     */       
/* 806 */       jTextArea.append("\n " + Diagnostic.CAUSED_BY + ": " + paramThrowable + "\n---------------------------------------------------------------\n" + g.a(paramThrowable));
/*     */ 
/*     */       
/* 809 */       paramThrowable = paramThrowable.getCause();
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   final void a(Frame paramFrame) {
/* 824 */     jpdf_common.gui.manage.a.a();
/*     */ 
/*     */     
/* 827 */     if (paramFrame != null) {
/*     */ 
/*     */       
/* 830 */       if (paramFrame instanceof WaitCursorable) ((WaitCursorable)paramFrame).setDefaultCursor();
/*     */ 
/*     */ 
/*     */       
/* 834 */       if (SwingUtilities.isEventDispatchThread()) paramFrame.repaint();
/*     */     
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 842 */     setVisible(true);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_common\gui\b\a\a.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */