/*     */ package jpdf_demo.d.a;
/*     */ 
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.print.Printable;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.border.Border;
/*     */ import javax.swing.table.TableCellRenderer;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import jpdf.gui.preview2.PreviewPrintableControlPanel;
/*     */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*     */ import jpdf.gui.preview2.toolbar.AbstractPreviewToolbarPanel;
/*     */ import jpdf.gui.preview2.toolbar.PageLayoutToolbarPanel;
/*     */ import jpdf.gui.preview2.toolbar.PageNavigationToolbarPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf.report.AbstractSectionOptions;
/*     */ import jpdf.report.ReportException;
/*     */ import jpdf.report.ReportFactory;
/*     */ import jpdf.report.ReportPrinter;
/*     */ import jpdf.report.ReportStandardizer;
/*     */ import jpdf.report.decoration.AbstractStatisticsTableBuilder;
/*     */ import jpdf.report.decoration.ReportDecorationBuilder;
/*     */ import jpdf.report.decoration.TitleOptions;
/*     */ import jpdf.report.table.TableCustomizer;
/*     */ import jpdf.report.table.TableSectionOptions;
/*     */ import jpdf.report.table.data.TableData;
/*     */ import jpdf.report.table.renderer.EmptyCellRenderer;
/*     */ import jpdf.report.table.renderer.FormattedCellRenderer;
/*     */ import jpdf.report.table.renderer.TableCellCustomizer;
/*     */ import jpdf_demo.gui.DemoDriverFrame;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class e
/*     */   extends a
/*     */ {
/*     */   private final FormattedCellRenderer j;
/*     */   
/*     */   public static class c
/*     */     implements TableCustomizer
/*     */   {
/*     */     public final void customizeTable(JTable param1JTable) {
/*     */       TableColumnModel tableColumnModel;
/*  69 */       TableColumn tableColumn = (tableColumnModel = param1JTable.getColumnModel()).getColumn(0);
/*     */ 
/*     */       
/*     */       Dimension dimension;
/*     */       
/*  74 */       (dimension = param1JTable.getTableHeader().getPreferredSize()).width = 1;
/*  75 */       tableColumn.setHeaderRenderer((TableCellRenderer)new EmptyCellRenderer(dimension));
/*     */ 
/*     */       
/*  78 */       param1JTable.setRowHeight(1, 25);
/*  79 */       param1JTable.setRowHeight(2, 25);
/*  80 */       param1JTable.setRowHeight(4, 25);
/*  81 */       param1JTable.setRowHeight(5, 25);
/*  82 */       param1JTable.setRowHeight(7, 25);
/*  83 */       param1JTable.setRowHeight(9, 25);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class b
/*     */     implements TableCellCustomizer
/*     */   {
/*  94 */     private final Font a = ReportStandardizer.getGlobalTableCustomizer().getTableFont();
/*  95 */     private final Font b = this.a;
/*  96 */     private final Font c = this.a.deriveFont(1);
/*     */ 
/*     */ 
/*     */     
/*     */     public final void customizeTableCell(JTable param1JTable, int param1Int1, int param1Int2, JComponent param1JComponent) {
/* 101 */       if (param1Int1 == 2 || param1Int1 == 5 || param1Int1 == 8 || param1Int1 == 10) {
/*     */ 
/*     */         
/* 104 */         param1JComponent.setFont(this.c);
/* 105 */         if (param1Int1 == 10 && param1Int2 > 0) {
/*     */           
/* 107 */           param1JComponent.setBackground(jpdf_demo.d.a.e);
/*     */           
/*     */           return;
/*     */         } 
/* 111 */         param1JComponent.setBackground(param1JTable.getBackground());
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 116 */       param1JComponent.setFont(this.b);
/* 117 */       param1JComponent.setBackground(param1JTable.getBackground());
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends JPanel
/*     */     implements ActionListener
/*     */   {
/*     */     private a() {
/* 135 */       a a1 = this; Integer[] arrayOfInteger = { new Integer(2010), new Integer(2011), new Integer(2012) }; JComboBox<Integer> jComboBox; (jComboBox = new JComboBox<Integer>(arrayOfInteger)).setSelectedIndex(2); jComboBox.addActionListener(a1); jComboBox.setOpaque(false); a1.setBorder(AbstractPreviewToolbarPanel.DEFAULT_BORDER); a1.setOpaque(false); a1.add(jpdf_demo.d.a.a("Fiscal Year:")); a1.add(jComboBox);
/*     */     }
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/* 140 */       e.d d = e.a(e.this);
/* 141 */       ReportPrinter reportPrinter = null;
/*     */       JComboBox<?> jComboBox;
/* 143 */       null = (Integer)(jComboBox = (JComboBox)param1ActionEvent.getSource()).getSelectedItem();
/*     */       
/* 145 */       d.setWaitCursor();
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 150 */         reportPrinter = e.a(e.this, null.intValue());
/* 151 */         d.getPreviewControlPanel().setPrintable((Printable)reportPrinter);
/*     */         return;
/* 153 */       } catch (ReportException reportException) {
/*     */         
/* 155 */         PrintManager.handleException((Throwable)(null = null), true);
/*     */         
/*     */         return;
/*     */       } finally {
/* 159 */         d.setDefaultCursor();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class d
/*     */     extends PreviewPrintableDialog
/*     */   {
/*     */     private d(DemoDriverFrame param1DemoDriverFrame, ReportPrinter param1ReportPrinter) {
/* 198 */       super((JFrame)param1DemoDriverFrame, (FullyNavigableAttributeSetPrintable)param1ReportPrinter, false, true);
/*     */       
/* 200 */       getPreviewControlPanel().addToolBarComponent(new e.a((byte)0), false, 0);
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected final PageNavigationToolbarPanel createPageNavigationToolBar(PreviewPrintableControlPanel param1PreviewPrintableControlPanel) {
/* 206 */       return null;
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*     */     protected final PageLayoutToolbarPanel createPageLayoutToolBar(PreviewPrintableControlPanel param1PreviewPrintableControlPanel) {
/* 212 */       return null;
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 228 */   private d k = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public e() {
/* 237 */     super("Consolidated Income Statement");
/*     */ 
/*     */ 
/*     */     
/* 241 */     this.j = a(d, (Border)null, 22, 20);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final ReportPrinter a() {
/* 255 */     return a(2012);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final PreviewPrintableDialog c() {
/* 269 */     ReportPrinter reportPrinter = a();
/*     */     
/*     */     DemoDriverFrame demoDriverFrame;
/* 272 */     (demoDriverFrame = DemoDriverFrame.getInstance()).setWaitCursor();
/* 273 */     this.k = new d(demoDriverFrame, reportPrinter, (byte)0);
/* 274 */     this.k.getDialogFactory().setToIncludePrintLayoutTab(false);
/*     */     
/* 276 */     return this.k;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected final void a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     ReportStandardizer.PageOptionsInches pageOptionsInches;
/* 292 */     (pageOptionsInches = new ReportStandardizer.PageOptionsInches(false, 0.5F)).topMarginInInches = 0.3F;
/* 293 */     pageOptionsInches.topOffsetInInches = 0.4F;
/* 294 */     pageOptionsInches.centerAlignedContent = true;
/* 295 */     pageOptionsInches.pageContentFrame = false;
/* 296 */     ReportStandardizer.addReportAttributes(paramPrintRequestAttributeSet, this.h, pageOptionsInches);
/*     */     ReportStandardizer.TableOptions tableOptions;
/* 298 */     (tableOptions = new ReportStandardizer.TableOptions()).colHeaders = true;
/* 299 */     tableOptions.rowNumbers = false;
/* 300 */     tableOptions.verticalGridLines = false;
/* 301 */     tableOptions.horizontalGridLines = false;
/* 302 */     ReportStandardizer.addReportTableAttributes(paramPrintRequestAttributeSet, tableOptions);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private ReportPrinter a(int paramInt) {
/* 352 */     String str1 = "Fiscal Year " + paramInt;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 358 */     this.i.add((Attribute)a(this.h, str1));
/*     */ 
/*     */     
/* 361 */     Object[][] arrayOfObject1 = jpdf_common.gui.d.a.b(paramInt);
/*     */ 
/*     */     
/* 364 */     int i = paramInt; Object[][] arrayOfObject2 = arrayOfObject1; PrintRequestAttributeSet printRequestAttributeSet = this.i; e e1 = this; TableSectionOptions[] arrayOfTableSectionOptions2 = new TableSectionOptions[1]; String[] arrayOfString = { "Category", "Qtr1", "Qtr2", "Qtr3", "Qtr4", "Year" }; TableData tableData = new TableData(arrayOfString, arrayOfObject2); TitleOptions titleOptions = new TitleOptions(new Font("SansSerif", 2, 10), 15, 0); String str2 = "* All values in millions of dollars."; AbstractStatisticsTableBuilder.TitleBuilder titleBuilder = new AbstractStatisticsTableBuilder.TitleBuilder(false, str2, titleOptions, 3); arrayOfTableSectionOptions2[0] = new TableSectionOptions(printRequestAttributeSet, tableData, (ReportDecorationBuilder)titleBuilder); arrayOfTableSectionOptions2[0].setTableBottomMargin(1); arrayOfTableSectionOptions2[0].setContentName(i + " Income Statement"); arrayOfTableSectionOptions2[0].addTableCustomizer(new c()); arrayOfTableSectionOptions2[0].setTableCellCustomizer(new b()); e1.a(arrayOfTableSectionOptions2[0]); TableSectionOptions[] arrayOfTableSectionOptions1 = arrayOfTableSectionOptions2;
/*     */ 
/*     */     
/* 367 */     return ReportFactory.createReportPrinter(this.h, (AbstractSectionOptions[])arrayOfTableSectionOptions1, 0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void a(TableSectionOptions paramTableSectionOptions) {
/* 376 */     for (byte b = 1; b < 6; b++)
/*     */     {
/* 378 */       paramTableSectionOptions.setColumnRenderer(b, (TableCellRenderer)this.j);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\d\a\e.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */