/*     */ package jpdf_demo.d.f;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import java.awt.LayoutManager;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.print.Printable;
/*     */ import java.util.Arrays;
/*     */ import java.util.Comparator;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*     */ import jpdf.gui.preview2.toolbar.AbstractPreviewToolbarPanel;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.report.ReportException;
/*     */ import jpdf.report.ReportPrinter;
/*     */ import jpdf.report.table.data.FilteredTableData;
/*     */ import jpdf.report.table.data.TableData;
/*     */ import jpdf.report.table.data.TableDataFilter;
/*     */ import jpdf_common.gui.component.m.c;
/*     */ import jpdf_common.gui.layout.RowLayout;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ final class b
/*     */   extends c
/*     */ {
/*     */   class d
/*     */     extends JPanel
/*     */   {
/*     */     private d() {
/*  53 */       super((LayoutManager)new RowLayout());
/*     */       
/*  55 */       setBorder(AbstractPreviewToolbarPanel.DEFAULT_BORDER);
/*  56 */       setOpaque(false);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class c
/*     */     extends d
/*     */     implements TableDataFilter
/*     */   {
/*  69 */     private final JCheckBox[] REGION_CHECKBOX_LIST = new JCheckBox[] { new JCheckBox("Boston", true), new JCheckBox("Central", true), new JCheckBox("Metrowest", true), new JCheckBox("Northeast", true), new JCheckBox("Southeastern", true), new JCheckBox("Western", true) };
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  74 */     private String[] selectedRegionsArray = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final boolean isRowAccepted(Object[][] param1ArrayOfObject, int param1Int) {
/*     */       c c1;
/* 113 */       String[] arrayOfString = (c1 = this).selectedRegionsArray;
/*     */       
/* 115 */       for (byte b1 = 0; b1 < arrayOfString.length; b1++) {
/*     */         
/* 117 */         if (param1ArrayOfObject[param1Int][0].equals(arrayOfString[b1])) return true;
/*     */       
/*     */       } 
/* 120 */       return false;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private void a() {
/* 171 */       add(jpdf_demo.d.a.a(" Regions: "));
/* 172 */       for (byte b1 = 0; b1 < this.REGION_CHECKBOX_LIST.length; b1++) {
/*     */         
/* 174 */         this.REGION_CHECKBOX_LIST[b1].setOpaque(false);
/* 175 */         add(this.REGION_CHECKBOX_LIST[b1]);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private c() {
/*     */       super((byte)0);
/*     */       a();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class e
/*     */     extends d
/*     */   {
/*     */     private e() {
/* 246 */       super((byte)0);
/*     */       
/* 248 */       this.MUNICIPALITY_RADIO_BUTTON.setOpaque(false);
/* 249 */       this.LIBRARY_RADIO_BUTTON.setOpaque(false);
/* 250 */       e e1 = this; ButtonGroup buttonGroup = new ButtonGroup(); e1.add(jpdf_demo.d.a.a(" Sort Order: ")); e1.add(e1.MUNICIPALITY_RADIO_BUTTON); buttonGroup.add(e1.MUNICIPALITY_RADIO_BUTTON); e1.add(e1.LIBRARY_RADIO_BUTTON); buttonGroup.add(e1.LIBRARY_RADIO_BUTTON);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     class a
/*     */       implements Comparator
/*     */     {
/*     */       final int a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       private a(b.e this$0, int param2Int) {
/*     */         this.a = param2Int;
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       public int compare(Object param2Object1, Object param2Object2) {
/*     */         param2Object1 = a((Object[])param2Object1);
/*     */         param2Object2 = a((Object[])param2Object2);
/*     */         return param2Object1.compareToIgnoreCase((String)param2Object2);
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       protected String a(Object[] param2ArrayOfObject) {
/*     */         return param2ArrayOfObject[this.a].toString();
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     class b
/*     */       extends a
/*     */     {
/*     */       private b(b.e this$0, int param2Int) {
/*     */         super(param2Int, (byte)0);
/*     */       }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       protected final String a(Object[] param2ArrayOfObject) {
/*     */         return param2ArrayOfObject[0].toString() + param2ArrayOfObject[this.a].toString();
/*     */       }
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final JRadioButton MUNICIPALITY_RADIO_BUTTON = new JRadioButton("Municipality", true);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final JRadioButton LIBRARY_RADIO_BUTTON = new JRadioButton("Library", false);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final Comparator MUNICIPALITY_SEG_COMPARATOR = new b(1, (byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final Comparator LIBRARY_SEG_COMPARATOR = new b(2, (byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final Comparator MUNICIPALITY_NOSEG_COMPARATOR = new a(1, (byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final Comparator LIBRARY_NOSEG_COMPARATOR = new a(2, (byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private Comparator currentComparator = this.MUNICIPALITY_SEG_COMPARATOR;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class b
/*     */     extends d
/*     */   {
/*     */     private b() {
/* 355 */       super((byte)0);
/*     */       
/* 357 */       this.SEGMENT_CHECK_BOX.setOpaque(false);
/*     */       b b1;
/* 359 */       (b1 = this).add(jpdf_demo.d.a.a(" Options: ")); b1.add(b1.SEGMENT_CHECK_BOX);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final JCheckBox SEGMENT_CHECK_BOX = new JCheckBox("Segment by region", true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   class a
/*     */     extends d
/*     */     implements ActionListener
/*     */   {
/*     */     private a() {
/* 391 */       super((byte)0);
/*     */       
/* 393 */       a a1 = this; JButton jButton; (jButton = new JButton("Apply")).addActionListener(a1); a1.add(jButton);
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public final void actionPerformed(ActionEvent param1ActionEvent) {
/*     */       FilteredTableData filteredTableData;
/* 402 */       PreviewPrintableDialog previewPrintableDialog = b.c(b.this).f();
/* 403 */       a a1 = null;
/* 404 */       previewPrintableDialog.setWaitCursor();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 410 */       b.e.a(b.d(b.this));
/*     */       
/*     */       String[] arrayOfString;
/* 413 */       if ((arrayOfString = b.c.b(b.e(b.this))) != null) { String str1; if (arrayOfString.length == 0) { str1 = "Invalid Region Selection"; String str2 = "You must select at least one Region."; jpdf_common.gui.manage.a.a(str1, str2); } else { filteredTableData = new FilteredTableData(b.f(b.this), b.a(b.this), b.e(b.this)); }  } else { TableData tableData = new TableData(b.f(b.this), b.a(b.this)); }
/* 414 */        if ((null = tableData) == null) {
/*     */         
/* 416 */         previewPrintableDialog.setDefaultCursor();
/*     */         
/*     */         return;
/*     */       } 
/*     */       
/* 421 */       String str = b.c.a(b.e(b.this));
/*     */ 
/*     */ 
/*     */       
/*     */       try {
/* 426 */         ReportPrinter reportPrinter = b.c(b.this).a(null, str, b.b.a(b.b(b.this)));
/*     */         
/* 428 */         previewPrintableDialog.getPreviewControlPanel().setPrintable((Printable)reportPrinter);
/*     */         return;
/* 430 */       } catch (ReportException reportException) {
/*     */         
/* 432 */         PrintManager.handleException((Throwable)(null = null), true);
/*     */         
/*     */         return;
/*     */       } finally {
/* 436 */         previewPrintableDialog.setDefaultCursor();
/*     */       } 
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 488 */   private static final Color b = new Color(188, 222, 244);
/*     */ 
/*     */ 
/*     */   
/*     */   private final a REP_BUILDER;
/*     */ 
/*     */ 
/*     */   
/* 496 */   private final Object[][] TABLE_VALUES = jpdf_common.gui.d.a.g();
/* 497 */   private final String[] TABLE_COL_NAMES = jpdf_common.gui.d.a.f();
/* 498 */   private final c REGION_SELECTION_PANEL = new c((byte)0);
/* 499 */   private final e SORT_ORDER_PANEL = new e((byte)0);
/* 500 */   private final b OPTIONS_PANEL = new b((byte)0);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public b(a parama) {
/* 509 */     super(BorderFactory.createMatteBorder(3, 0, 0, 0, AbstractPreviewToolbarPanel.DEFAULT_BORDER_COLOR), false);
/*     */ 
/*     */ 
/*     */     
/* 513 */     this.REP_BUILDER = parama;
/*     */     
/* 515 */     setBackground(b);
/*     */ 
/*     */     
/* 518 */     add(this.REGION_SELECTION_PANEL);
/*     */ 
/*     */     
/* 521 */     add(this.SORT_ORDER_PANEL);
/*     */ 
/*     */     
/* 524 */     add(this.OPTIONS_PANEL);
/*     */ 
/*     */     
/* 527 */     add(new a((byte)0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final String a() {
/* 540 */     return e.b(this.SORT_ORDER_PANEL);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean b() {
/* 548 */     return b.a(this.OPTIONS_PANEL);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\d\f\b.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */