/*      */ package jpdf_demo.gui;
/*      */ 
/*      */ import java.awt.BorderLayout;
/*      */ import java.awt.Color;
/*      */ import java.awt.Component;
/*      */ import java.awt.Container;
/*      */ import java.awt.Cursor;
/*      */ import java.awt.Dimension;
/*      */ import java.awt.Font;
/*      */ import java.awt.IllegalComponentStateException;
/*      */ import java.awt.KeyboardFocusManager;
/*      */ import java.awt.Window;
/*      */ import java.awt.event.WindowAdapter;
/*      */ import java.awt.event.WindowEvent;
/*      */ import java.io.File;
/*      */ import java.io.FileInputStream;
/*      */ import java.io.FileNotFoundException;
/*      */ import java.io.FileOutputStream;
/*      */ import java.io.InvalidClassException;
/*      */ import java.io.ObjectInputStream;
/*      */ import java.io.ObjectOutputStream;
/*      */ import java.io.Serializable;
/*      */ import java.net.URI;
/*      */ import java.text.DateFormat;
/*      */ import java.util.Date;
/*      */ import java.util.Locale;
/*      */ import javax.print.PrintService;
/*      */ import javax.print.attribute.Attribute;
/*      */ import javax.print.attribute.PrintRequestAttributeSet;
/*      */ import javax.swing.BorderFactory;
/*      */ import javax.swing.InputMap;
/*      */ import javax.swing.JFrame;
/*      */ import javax.swing.JLabel;
/*      */ import javax.swing.JOptionPane;
/*      */ import javax.swing.JPanel;
/*      */ import javax.swing.JRootPane;
/*      */ import javax.swing.JTabbedPane;
/*      */ import javax.swing.SwingUtilities;
/*      */ import javax.swing.UIManager;
/*      */ import javax.swing.border.Border;
/*      */ import javax.swing.border.CompoundBorder;
/*      */ import javax.swing.event.ChangeEvent;
/*      */ import javax.swing.event.ChangeListener;
/*      */ import jpdf.diagnostics.LogPanel;
/*      */ import jpdf.gui.GuiCustomizationFacade;
/*      */ import jpdf.gui.dialog.AbstractPrintDialog;
/*      */ import jpdf.gui.dialog.PrintDialogPreferences;
/*      */ import jpdf.gui.dialog.SelectPrintServiceDialog;
/*      */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*      */ import jpdf.gui.dialog.factory.SetupContentPrintDialogFactory;
/*      */ import jpdf.gui.preview2.PageLayout;
/*      */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*      */ import jpdf.gui.preview2.PreviewWindowHelper;
/*      */ import jpdf.manage.PrintCustomizationFacade;
/*      */ import jpdf.manage.PrintInfoStateObserver;
/*      */ import jpdf.manage.PrintJobAdministrator;
/*      */ import jpdf.manage.PrintJobMessenger;
/*      */ import jpdf.manage.PrintJobObserver;
/*      */ import jpdf.manage.PrintJobStatusObserver;
/*      */ import jpdf.manage.PrintManager;
/*      */ import jpdf.manage.PrintServiceRegistry;
/*      */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*      */ import jpdf.printer.GenericComponentPrinter;
/*      */ import jpdf.wrap.printable.PageLabelPrintableWrapper;
/*      */ import jpdf.wrap.printable.PageStatusPrintableWrapper;
/*      */ import jpdf_common.gui.ability.WaitCursorable;
/*      */ import jpdf_common.gui.d.j;
/*      */ import jpdf_common.gui.d.k;
/*      */ import jpdf_common.gui.manage.BasicOptionPaneManager;
/*      */ import jpdf_common.gui.utility.WindowUtility;
/*      */ import jpdf_common.system.log.DebugMessageConstructor;
/*      */ import jpdf_common.system.manage.BasicApplicationManager;
/*      */ import jpdf_common.system.manage.BasicLocalizationManager;
/*      */ import jpdf_common.system.manage.BasicResourceManager;
/*      */ import jpdf_common.system.manage.ErrorHandler;
/*      */ import jpdf_demo.DemoApplication;
/*      */ import jpdf_demo.gui.about.HeraldWindow;
/*      */ import jpdf_demo.gui.b.g;
/*      */ import jpdf_demo.gui.d.a;
/*      */ import jpdf_demo.gui.d.j;
/*      */ import jpdf_demo.gui.d.r;
/*      */ import jpdf_demo.gui.d.t;
/*      */ import jpdf_demo.gui.d.u;
/*      */ import jpdf_demo.gui.d.v;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class DemoDriverFrame
/*      */   extends JFrame
/*      */   implements PrintInfoStateObserver, PrintJobObserver, PrintJobStatusObserver, WaitCursorable
/*      */ {
/*      */   static class b
/*      */     extends Thread
/*      */   {
/*      */     private final DemoDriverFrame a;
/*      */     private final String b;
/*      */     private final String c;
/*      */     
/*      */     private b(DemoDriverFrame param1DemoDriverFrame, String param1String1, String param1String2) {
/*  129 */       this.a = param1DemoDriverFrame;
/*  130 */       this.b = param1String1;
/*  131 */       this.c = param1String2;
/*      */     }
/*      */ 
/*      */     
/*      */     public final void run() {
/*  136 */       BasicResourceManager.beep();
/*  137 */       JOptionPane.showMessageDialog(this.a, this.c, this.b, 2);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class a
/*      */     extends Thread
/*      */   {
/*      */     private final Runnable a;
/*      */ 
/*      */     
/*      */     private final int b;
/*      */ 
/*      */ 
/*      */     
/*      */     private a(Runnable param1Runnable, int param1Int) {
/*  155 */       this.a = param1Runnable;
/*  156 */       this.b = param1Int * 1000;
/*  157 */       setPriority(1);
/*  158 */       start();
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*      */     public final void run() {
/*      */       try {
/*  165 */         sleep(this.b);
/*      */       }
/*  167 */       catch (InterruptedException interruptedException) {}
/*  168 */       SwingUtilities.invokeLater(this.a);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   public static class c
/*      */     implements Serializable
/*      */   {
/*      */     private static final long serialVersionUID = 120L;
/*      */ 
/*      */     
/*  180 */     public PrintRequestAttributeSet defaultAttributeSet = null;
/*  181 */     public String defaultPrintServiceName = null;
/*  182 */     public Attribute[][] headerFooterShuffleAttributes = null;
/*  183 */     public Color sampleComponentBackgroundColor = null;
/*  184 */     public Locale languageLocale = null;
/*  185 */     public String unitsString = null;
/*      */     public boolean usingAudibleLinks = true;
/*      */     public boolean toDisplayPrintStatusDialog = false;
/*      */     public boolean toDisplayPrintDoneDialog = false;
/*  189 */     public boolean toDisplayHelpButtons = AbstractPrintDialog.isToDisplayHelpButton();
/*      */     
/*      */     public boolean toSubmitPrintJob = true;
/*      */     
/*      */     public boolean toSubmitTestPrintJob = false;
/*      */     public boolean audiblePreviewNavigation = true;
/*      */     public boolean toConfirmLargePrintJobs = true;
/*      */   }
/*      */   
/*      */   class e
/*      */     extends WindowAdapter
/*      */   {
/*      */     private e(DemoDriverFrame this$0) {}
/*      */     
/*      */     public final void windowClosing(WindowEvent param1WindowEvent) {
/*  204 */       a();
/*      */     }
/*      */ 
/*      */     
/*      */     public final void windowClosed(WindowEvent param1WindowEvent) {
/*  209 */       a();
/*      */     }
/*      */ 
/*      */     
/*      */     private void a() {
/*  214 */       if (DemoDriverFrame.isToPersistState()) DemoDriverFrame.a(this.a); 
/*  215 */       DemoApplication.exitDemo();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class f
/*      */     extends WindowAdapter
/*      */   {
/*      */     private final boolean a;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     private f(boolean param1Boolean) {
/*  231 */       this.a = param1Boolean;
/*      */     } public final void windowOpened(WindowEvent param1WindowEvent) {
/*      */       DemoDriverFrame demoDriverFrame1, demoDriverFrame2;
/*      */       Window[] arrayOfWindow;
/*      */       HeraldWindow heraldWindow2;
/*      */       byte b;
/*  237 */       for (demoDriverFrame2 = demoDriverFrame1 = (DemoDriverFrame)param1WindowEvent.getSource(), heraldWindow2 = null, arrayOfWindow = demoDriverFrame2.getOwnedWindows(), b = 0; b < arrayOfWindow.length; ) { if (arrayOfWindow[b] instanceof HeraldWindow) { heraldWindow2 = (HeraldWindow)arrayOfWindow[b]; break; }  b++; }  HeraldWindow heraldWindow1 = heraldWindow2;
/*      */ 
/*      */       
/*  240 */       demoDriverFrame1.removeWindowListener(this);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/*  248 */       if (this.a) demoDriverFrame1.setExtendedState(6);
/*      */ 
/*      */       
/*  251 */       demoDriverFrame1.getJpdfInfoPanel().a();
/*  252 */       demoDriverFrame1.getSampleDialogPanel().a();
/*  253 */       demoDriverFrame1.getSampleComponentPanel().f();
/*      */ 
/*      */       
/*  256 */       if (heraldWindow1 != null) DemoApplication.removeWindow((Window)heraldWindow1, 3);
/*      */ 
/*      */       
/*  259 */       if (!DemoApplication.isInTestMode()) DemoDriverFrame.a();
/*      */ 
/*      */       
/*  262 */       demoDriverFrame1.toFront();
/*      */ 
/*      */       
/*  265 */       if (jpdf_common.system.a.a.g) {
/*      */         
/*  267 */         String str = "The JPDF has not been validated to work under Mac OS X.\nCertain operations may not work properly.  Operations which\nare know not to work have been disabled.";
/*      */ 
/*      */         
/*  270 */         DemoDriverFrame.b b1 = new DemoDriverFrame.b(demoDriverFrame1, "Mac OS X Warning", str, (byte)0);
/*      */       } 
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   static class d
/*      */     implements ChangeListener
/*      */   {
/*      */     private d() {}
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     public final void stateChanged(ChangeEvent param1ChangeEvent) {
/*      */       JTabbedPane jTabbedPane;
/*  312 */       (jTabbedPane = (JTabbedPane)param1ChangeEvent.getSource()).getSelectedComponent().requestFocus();
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*  320 */   public static final Dimension a = new Dimension(1000, 700);
/*  321 */   private static final DateFormat b = DateFormat.getTimeInstance(2);
/*      */ 
/*      */   
/*  324 */   private static DemoDriverFrame c = null; private static boolean d = false;
/*      */   private static boolean e = false;
/*      */   private final LogPanel LOG_PANEL;
/*      */   public final h DIALOG_OPTIONS_PANEL;
/*      */   protected final r SAMPLE_COMPONENT_PANEL;
/*      */   private final JLabel PRINT_TEST_JOB_TEST_LABEL;
/*      */   private final JLabel PRINT_SERVICE_LABEL;
/*      */   private JTabbedPane tabbedPane;
/*      */   
/*      */   static {
/*      */     Font font;
/*  335 */     float f = (font = UIManager.getFont("Label.font")).getSize2D();
/*      */ 
/*      */ 
/*      */     
/*  339 */     if (jpdf_common.system.a.a.g) {
/*      */       
/*  341 */       jpdf_common.gui.component.f.a.a(font);
/*  342 */       jpdf_common.gui.component.f.c.c(3);
/*      */       
/*  344 */       a.a(font = font.deriveFont(1, f + 2.0F));
/*      */       
/*      */       return;
/*      */     } 
/*      */     
/*  349 */     jpdf_common.gui.component.f.a.a(font = font.deriveFont(0, f + 2.0F));
/*  350 */     jpdf_common.gui.component.f.c.c(4);
/*      */     
/*  352 */     a.a(font = font.deriveFont(1, f + 3.0F));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private DemoDriverFrame() {
/*  375 */     this(false, false, false, (Dimension)null);
/*      */   }
/*      */ 
/*      */ 
/*      */   
/*      */   private DemoDriverFrame(boolean paramBoolean1, boolean paramBoolean2, boolean paramBoolean3, Dimension paramDimension) {
/*  381 */     super("JPDF Demo"); String str1; JPanel[] arrayOfJPanel; JLabel jLabel = new JLabel("Selected Printer"); j.i(); Font font = j.g(); Border border1 = BorderFactory.createEmptyBorder(0, 5, 0, 5); Border border2; CompoundBorder compoundBorder = BorderFactory.createCompoundBorder(border2 = BorderFactory.createLineBorder(Color.DARK_GRAY, 1), border1); if (!font.isBold())
/*      */       font = font.deriveFont(1);  jLabel.setFont(font); jLabel.setForeground(new Color(0, 0, 128)); jLabel.setBorder(compoundBorder); jLabel.setOpaque(true); jLabel.setBackground(new Color(204, 212, 226)); this.PRINT_SERVICE_LABEL = jLabel; this.tabbedPane = null;
/*  383 */     this.SAMPLE_COMPONENT_PANEL = new r();
/*      */ 
/*      */ 
/*      */     
/*  387 */     c = this;
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  392 */     if (paramBoolean1);
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  397 */     jpdf_common.gui.component.g.a.a(true);
/*      */ 
/*      */     
/*  400 */     if (DemoApplication.isToDisplayLogPanel()) {
/*      */       
/*  402 */       this.PRINT_TEST_JOB_TEST_LABEL = LogPanel.createStatusLabel(" Test Print Job ", true);
/*  403 */       DemoDriverFrame demoDriverFrame = this; LogPanel logPanel; (logPanel = new LogPanel()).addLogOperationMenuSeparator(); logPanel.addControl(demoDriverFrame.PRINT_TEST_JOB_TEST_LABEL); this.LOG_PANEL = logPanel;
/*      */     }
/*      */     else {
/*      */       
/*  407 */       this.PRINT_TEST_JOB_TEST_LABEL = null;
/*  408 */       this.LOG_PANEL = null;
/*      */     } 
/*      */ 
/*      */     
/*  412 */     c c = isToPersistState() ? b() : new c();
/*      */ 
/*      */     
/*  415 */     this.DIALOG_OPTIONS_PANEL = new h(c);
/*      */ 
/*      */     
/*  418 */     if (!BasicApplicationManager.isInitialized()) {
/*      */       
/*  420 */       str1 = "The application environment has not been initilized.\nYou must invoke DemoDriverFrame.initilizeEnvironment() before constructing the Demo Driver Frame.";
/*      */ 
/*      */       
/*  423 */       throw new IllegalComponentStateException(str1);
/*      */     } 
/*      */ 
/*      */     
/*  427 */     jpdf_demo.a.b.a();
/*  428 */     jpdf_demo.a.a.d();
/*      */ 
/*      */     
/*  431 */     Dimension dimension = paramDimension; boolean bool3 = paramBoolean2; String str4 = str1; DemoDriverFrame demoDriverFrame3; Container container = (demoDriverFrame3 = this).getContentPane(); JPanel jPanel = null; container.setLayout(new BorderLayout(5, 8)); demoDriverFrame3.setSize((dimension == null) ? a : dimension); if (bool3) demoDriverFrame3.setExtendedState(6);  WindowUtility.setNewWindowLocation(demoDriverFrame3); demoDriverFrame3.setDefaultCloseOperation(1); demoDriverFrame3.setIconImage(BasicResourceManager.getApplicationIconImage()); if (jpdf_common.system.a.a.g) { demoDriverFrame3.setJMenuBar(new b()); } else { (jPanel = new JPanel(new BorderLayout())).add(new b(), "Center"); jPanel.add(demoDriverFrame3.PRINT_SERVICE_LABEL, "East"); container.add(jPanel, "North"); }  str4 = str4 = str4; DemoDriverFrame demoDriverFrame2 = demoDriverFrame3, demoDriverFrame1 = demoDriverFrame2; c c1 = new c(demoDriverFrame1, (c)str4, false); if (DemoApplication.isInTestMode()) { arrayOfJPanel = new JPanel[] { demoDriverFrame1.DIALOG_OPTIONS_PANEL, c1, new c(false) }; } else { arrayOfJPanel = new JPanel[] { ((DemoDriverFrame)arrayOfJPanel).DIALOG_OPTIONS_PANEL, c1 }; }  m m = new m(arrayOfJPanel); boolean bool1 = DemoApplication.isInTestMode(); demoDriverFrame2.tabbedPane = new JTabbedPane(); demoDriverFrame2.tabbedPane.add("JPDF Information", (Component)new j(m)); demoDriverFrame2.tabbedPane.add("Sample: Swing", (Component)demoDriverFrame2.SAMPLE_COMPONENT_PANEL); demoDriverFrame2.tabbedPane.add("Sample: Report", (Component)new v()); demoDriverFrame2.tabbedPane.add("Sample: Form", (Component)new u()); demoDriverFrame2.tabbedPane.add("Sample: Dialog", (Component)new t(bool1)); if (demoDriverFrame2.LOG_PANEL != null) demoDriverFrame2.tabbedPane.add("Log", (Component)demoDriverFrame2.LOG_PANEL);  demoDriverFrame2.tabbedPane.addChangeListener(new d((byte)0)); container.add(demoDriverFrame2.tabbedPane, "Center"); demoDriverFrame3.addWindowListener(new f(bool3, (byte)0));
/*      */ 
/*      */     
/*  434 */     boolean bool2 = paramBoolean3; demoDriverFrame3 = this; j j; jpdf_common.gui.d.a.a a = (j = j.i()).j(); Class<?> clazz = j.getClass(); PrintCustomizationFacade.setStatusDialogParentFrame(demoDriverFrame3); PrintCustomizationFacade.addPrintJobObserver(demoDriverFrame3); PrintCustomizationFacade.addPrintJobStatusObserver(demoDriverFrame3); PageStatusPrintableWrapper.Encloser encloser; PrintManager.addPrintableEncloser((PrintManager.PrintableEncloser)(encloser = new PageStatusPrintableWrapper.Encloser())); if (bool2) configureToPrintSystemInfoLabel();  GuiCustomizationFacade.setDialogToAllowReverseOrientations(true); GuiCustomizationFacade.setToUseReverseForLandscape(false); GuiCustomizationFacade.setDialogHelpUrlPrefix(DemoApplication.a + "help/"); PreviewPrintableDialog.setInitialZoomFactor(1.0F); PreviewPrintableDialog.setInitialPageLayout(PageLayout.SINGLE_COL); PreviewPrintableDialog.setToUsePreviousSizeLocation(true); PrintDialogPreferences.setToIncludeBannerPageController(false); String str2; int i; if ((i = (str2 = PrintServiceRegistry.getLongestPrintServiceName()).length()) > 45) { PrintDialogPreferences.setSmallIconPrintServiceCount(1); PrintDialogPreferences.setSmallIconColCount(1); SelectPrintServiceDialog.setDefaultSmallIconColCount(1); SelectPrintServiceDialog.setDefaultSmallIconRowCount(5); } else if (i > 30) { PrintDialogPreferences.setSmallIconPrintServiceCount(1); SelectPrintServiceDialog.setDefaultSmallIconColCount(2); SelectPrintServiceDialog.setDefaultSmallIconRowCount(5); }  GenericComponentPrinter.setToUseNativeWindowDecorations(true); if ((i = (jpdf_common.system.a.a.e && !jpdf_common.system.a.a.f && clazz == k.class) ? 1 : 0) != 0 || clazz == jpdf_common.gui.d.f.class) { j.j().a(8); if (DemoApplication.isInTestMode()) System.out.println("  >>> PrintSwingUtility.setListWidthIncrement(8)");  }  a.a(-0.8D); a.b(-0.8D); if (DemoApplication.isInTestMode()) System.out.println("  >>> thePrintConfigurator.setTableCellX/YShift(-0.8)");
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  439 */     String str3 = str1; demoDriverFrame3 = this; encloser = null; if (isToPersistPrinterAndAttributes()) { if (((c)str3).defaultAttributeSet != null) { jpdf_demo.a.b.b(((c)str3).defaultAttributeSet); PrintManager.loadDefaultPrintAttributes(((c)str3).defaultAttributeSet, true); }  PrintService printService; if (((c)str3).defaultPrintServiceName != null && (printService = PrintServiceRegistry.lookupPrintService(((c)str3).defaultPrintServiceName)) != null) PrintManager.setDefaultPrintService(printService);  if (((c)str3).headerFooterShuffleAttributes != null) g.a(((c)str3).headerFooterShuffleAttributes);  }  if (((c)str3).languageLocale != null) demoDriverFrame3.DIALOG_OPTIONS_PANEL.a(((c)str3).languageLocale);  if (((c)str3).unitsString != null) demoDriverFrame3.DIALOG_OPTIONS_PANEL.a(((c)str3).unitsString);  demoDriverFrame3.setLinksAudible(((c)str3).usingAudibleLinks); PrintCustomizationFacade.setStatusDisplayedByDefault(((c)str3).toDisplayPrintStatusDialog); DemoApplication.setToDisplayPrintCompletionDialog(((c)str3).toDisplayPrintDoneDialog); DemoApplication.setToPrintFromDialogs(((c)str3).toSubmitPrintJob); DemoApplication.setToSubmitTestJob(((c)str3).toSubmitTestPrintJob); DemoApplication.setToConfirmLargePrintJobs(((c)str3).toConfirmLargePrintJobs); AbstractPrintDialog.setToDisplayHelpButton(((c)str3).toDisplayHelpButtons); PreviewWindowHelper.setPageNavigationAudible(((c)str3).audiblePreviewNavigation); if (((c)str3).sampleComponentBackgroundColor != null) demoDriverFrame3.SAMPLE_COMPONENT_PANEL.a(((c)str3).sampleComponentBackgroundColor);
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  445 */     g.c();
/*      */ 
/*      */     
/*  448 */     if (this.LOG_PANEL != null) {
/*      */       
/*  450 */       BasicApplicationManager.setErrorHandler((ErrorHandler)this.LOG_PANEL);
/*  451 */       this.LOG_PANEL.setToDisplayAllErrors(true);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  457 */     PrintManager.preloadPrintServiceMediaOnThread(PrintManager.getDefaultPrintService());
/*      */ 
/*      */ 
/*      */     
/*  461 */     PrintCustomizationFacade.setPrintInfoStateObserver(this);
/*      */ 
/*      */     
/*  464 */     defaultedPrintService(PrintManager.getDefaultPrintService());
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void abortededPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, String paramString2, Throwable paramThrowable) {
/*  482 */     a(paramPrintService, paramURI, paramString1, false, false, paramString2);
/*      */ 
/*      */ 
/*      */     
/*  486 */     if (this.LOG_PANEL != null)
/*      */     {
/*  488 */       this.LOG_PANEL.displayException(paramThrowable, "Print Job Error");
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void canceledPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, String paramString2) {
/*  500 */     a(paramPrintService, paramURI, paramString1, false, true, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void configureToPrintSystemInfoLabel() {
/*  509 */     Font font = new Font("arial", 0, 10);
/*      */     
/*  511 */     j j = j.i();
/*  512 */     String str = "OS: " + System.getProperty("os.name") + " / L&F: " + j.b() + " / Java: " + System.getProperty("java.version") + " / JPDF: " + "3.0.0 / " + "Date: " + BasicLocalizationManager.formatAsDate(new Date());
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*      */     PageLabelPrintableWrapper.Encloser encloser;
/*      */ 
/*      */ 
/*      */     
/*  521 */     PrintManager.addPrintableEncloser((PrintManager.PrintableEncloser)(encloser = new PageLabelPrintableWrapper.Encloser(str, font, 20, -20, Color.WHITE, Color.BLACK)));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void configureToTerminateOnClose() {
/*  529 */     addWindowListener(new e((byte)0));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void defaultedPrintService(PrintService paramPrintService) {
/*      */     String str;
/*  543 */     if ((str = paramPrintService.getName()).length() > 30)
/*      */     {
/*  545 */       str = str.substring(0, 27) + "...";
/*      */     }
/*  547 */     this.PRINT_SERVICE_LABEL.setText(str);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayPrintablePreviewDialog(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, PrintService paramPrintService) {
/*  561 */     displayPrintablePreviewDialog(paramFullyNavigableAttributeSetPrintable, paramPrintService, true, true, (AbstractSetupPrintDialogFactory)new SetupContentPrintDialogFactory(), false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void displayPrintablePreviewDialog(FullyNavigableAttributeSetPrintable paramFullyNavigableAttributeSetPrintable, PrintService paramPrintService, boolean paramBoolean1, boolean paramBoolean2, AbstractSetupPrintDialogFactory paramAbstractSetupPrintDialogFactory, boolean paramBoolean3) {
/*  575 */     PrintRequestAttributeSet printRequestAttributeSet = paramFullyNavigableAttributeSetPrintable.getAttributeSet();
/*  576 */     setWaitCursor();
/*      */ 
/*      */ 
/*      */     
/*  580 */     a.a(printRequestAttributeSet, paramFullyNavigableAttributeSetPrintable);
/*      */     
/*      */     PreviewPrintableDialog previewPrintableDialog;
/*      */     
/*  584 */     (previewPrintableDialog = new PreviewPrintableDialog(this, paramFullyNavigableAttributeSetPrintable, paramPrintService, paramBoolean1, paramBoolean2)).setSavingPrintDefaults(paramBoolean3);
/*  585 */     previewPrintableDialog.setDialogFactory(paramAbstractSetupPrintDialogFactory);
/*  586 */     a.a(this, previewPrintableDialog);
/*  587 */     setDefaultCursor();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void eraseLog() {
/*      */     LogPanel logPanel;
/*  597 */     if ((logPanel = (getInstance()).LOG_PANEL) != null) logPanel.eraseLog();
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void finishedPrintJob(PrintService paramPrintService, URI paramURI, String paramString1, boolean paramBoolean, String paramString2) {
/*  608 */     a(paramPrintService, paramURI, paramString1, paramBoolean, false, paramString2);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static String getHelpInfoDefinedKeystrokes() {
/*      */     InputMap inputMap;
/*      */     JRootPane jRootPane;
/*  620 */     return DebugMessageConstructor.buildInputMapMessage(inputMap = (jRootPane = getInstance().getRootPane()).getInputMap(1), false, "\nDefined Keystrokes (Key Combination -> Resulting Action)\n----------------------------------------------------------");
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DemoDriverFrame getInstance() {
/*      */     DemoDriverFrame demoDriverFrame;
/*  632 */     if ((demoDriverFrame = c) == null)
/*      */     {
/*  634 */       demoDriverFrame = new DemoDriverFrame();
/*      */     }
/*      */     
/*  637 */     return demoDriverFrame;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DemoDriverFrame getInstance(boolean paramBoolean1, boolean paramBoolean2, Dimension paramDimension) {
/*      */     DemoDriverFrame demoDriverFrame;
/*  649 */     if ((demoDriverFrame = c) == null)
/*      */     {
/*  651 */       demoDriverFrame = new DemoDriverFrame(paramBoolean1, paramBoolean2, false, paramDimension);
/*      */     }
/*      */     
/*  654 */     return demoDriverFrame;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static DemoDriverFrame getInstance(boolean paramBoolean, DemoApplication.CommandLineParamInfo paramCommandLineParamInfo) {
/*      */     DemoDriverFrame demoDriverFrame;
/*  666 */     if ((demoDriverFrame = c) == null)
/*      */     {
/*  668 */       demoDriverFrame = new DemoDriverFrame(paramBoolean, paramCommandLineParamInfo.f, paramCommandLineParamInfo.k, paramCommandLineParamInfo.a);
/*      */     }
/*      */ 
/*      */ 
/*      */     
/*  673 */     return demoDriverFrame;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public j getJpdfInfoPanel() {
/*      */     DemoDriverFrame demoDriverFrame;
/*  681 */     return (j)(demoDriverFrame = this).tabbedPane.getComponentAt(0);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public LogPanel getLogPanel() {
/*  689 */     return this.LOG_PANEL;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public t getSampleDialogPanel() {
/*      */     DemoDriverFrame demoDriverFrame;
/*  697 */     return (t)(demoDriverFrame = this).tabbedPane.getComponentAt(4);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public r getSampleComponentPanel() {
/*  705 */     return this.SAMPLE_COMPONENT_PANEL;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToPersistPrinterAndAttributes() {
/*  714 */     return e;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static boolean isToPersistState() {
/*  722 */     return d;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void logMessage(String paramString) {
/*      */     LogPanel logPanel;
/*  732 */     if ((logPanel = (getInstance()).LOG_PANEL) != null) logPanel.logMessage(paramString);
/*      */   
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setDefaultCursor() {
/*  741 */     setCursor(Cursor.getPredefinedCursor(0));
/*  742 */     getGlassPane().setVisible(false);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToPersistPrinterAndAttributes(boolean paramBoolean) {
/*  752 */     e = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public static void setToPersistState(boolean paramBoolean) {
/*  761 */     d = paramBoolean;
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setToSubmitTestJob(boolean paramBoolean) {
/*  770 */     String str = null;
/*      */     
/*  772 */     if (this.LOG_PANEL != null) {
/*      */       
/*  774 */       this.PRINT_TEST_JOB_TEST_LABEL.setVisible(paramBoolean);
/*  775 */       str = paramBoolean ? "Yes (no printing from Demo nor JPDF dialogs)." : "No.";
/*  776 */       this.LOG_PANEL.logMessage("\n Use Test Print Jobs: " + str);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void setWaitCursor() {
/*  786 */     getGlassPane().setVisible(true);
/*  787 */     setCursor(Cursor.getPredefinedCursor(3));
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void statussedPrintJob(String paramString1, String paramString2) {
/*  796 */     if (this.LOG_PANEL != null)
/*      */     {
/*  798 */       this.LOG_PANEL.logMessage("           >>" + paramString1 + " -- Print Job Status: " + paramString2);
/*      */     }
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   public void submittedPrintJob(PrintService paramPrintService, URI paramURI, String paramString, boolean paramBoolean) {
/*  809 */     String str = null;
/*      */ 
/*      */     
/*  812 */     if (this.LOG_PANEL != null) {
/*      */       
/*  814 */       str = paramBoolean ? "\n >>THIS IS A TEST -- nothing will be printed." : "";
/*  815 */       URI uRI = paramURI; String str1 = "  ", str2 = ""; if (uRI != null) if (uRI.getScheme().equalsIgnoreCase("file")) { str2 = str1 + PrintJobMessenger.getDestinationMsg() + new File(uRI); } else { str2 = str1 + PrintJobMessenger.getDestinationMsg() + uRI; }   this.LOG_PANEL.logMessage("===========================\n " + b.format(new Date()) + ">> " + PrintJobMessenger.getStartingJobMsg() + ": " + paramString + ".  " + PrintJobMessenger.getPrinterMsg() + paramPrintService.getName() + "." + str2 + str);
/*      */     } 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */     
/*  825 */     PrintManager.setDefaultPrintService(paramPrintService);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected boolean isUsingAudibleLinks() {
/*  838 */     return jpdf_common.gui.component.f.c.c();
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   protected void setLinksAudible(boolean paramBoolean) {
/*  846 */     jpdf_common.gui.component.f.c.a(paramBoolean);
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private void a(PrintService paramPrintService, URI paramURI, String paramString1, boolean paramBoolean1, boolean paramBoolean2, String paramString2) {
/* 1116 */     Window window = null;
/* 1117 */     String str = null;
/* 1118 */     boolean bool = false;
/*      */ 
/*      */     
/* 1121 */     if (this.LOG_PANEL != null) {
/*      */       
/* 1123 */       str = " " + b.format(new Date()) + ">> " + paramString2 + ": " + paramString1 + "\n===========================";
/*      */       
/* 1125 */       this.LOG_PANEL.logMessage(str);
/*      */     } 
/*      */ 
/*      */     
/* 1129 */     if (DemoApplication.isToDisplayPrintCompletionDialog()) {
/*      */       String str1;
/*      */       
/* 1132 */       PrintManager.closeStatusDialog();
/*      */ 
/*      */ 
/*      */       
/* 1136 */       if ((window = KeyboardFocusManager.getCurrentKeyboardFocusManager().getActiveWindow()) == null || !window.isShowing())
/*      */       {
/* 1138 */         window = this;
/*      */       }
/*      */ 
/*      */       
/* 1142 */       if (uRI.getScheme().equalsIgnoreCase("file")) { str1 = (new File(uRI)).toString(); } else { str1 = str1.toString(); }  URI uRI; str = "<HTML><TABLE><TR><TD align='right'><B>" + paramString2 + ":</B></TD><TD><TT>" + paramString1 + "</TT></TD></TR>" + "<TR><TD align='right'><B>" + PrintJobMessenger.getPrinterMsg().trim() + "</B></TD><TD><TT>" + paramPrintService.getName() + "</TT></TD></TR>" + (((uRI = paramURI) == null) ? "" : ("<TR><TD align='right'><B>" + PrintJobMessenger.getDestinationMsg().trim() + "</B></TD><TD><TT>" + str1 + "</TT></TD></TR>")) + "</TABLE><BR></HTML>";
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */       
/* 1162 */       bool = paramBoolean1 ? true : (paramBoolean2 ? true : false);
/*      */       
/* 1164 */       BasicOptionPaneManager.displayMessageDialog(window, paramString2, str, bool, true);
/*      */     } 
/*      */   }
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   
/*      */   private static c b() {
/* 1215 */     FileInputStream fileInputStream = null;
/* 1216 */     fileInputStream = null;
/* 1217 */     c c = null;
/*      */ 
/*      */     
/*      */     try {
/* 1221 */       fileInputStream = new FileInputStream(DemoApplication.createDemoFile("jpdf_demo.state"));
/*      */       ObjectInputStream objectInputStream;
/* 1223 */       c = (c)(objectInputStream = new ObjectInputStream(fileInputStream)).readObject();
/* 1224 */       objectInputStream.close();
/*      */ 
/*      */     
/*      */     }
/* 1228 */     catch (FileNotFoundException fileNotFoundException) {
/*      */       
/* 1230 */       c = new c();
/*      */     }
/* 1232 */     catch (InvalidClassException invalidClassException) {
/*      */       
/* 1234 */       c = new c();
/* 1235 */       System.out.println("\n*** Error attempting to restore the Demo State. ");
/* 1236 */       if (DemoApplication.isInTestMode())
/*      */       {
/* 1238 */         invalidClassException.printStackTrace(System.out);
/*      */       }
/*      */       else
/*      */       {
/* 1242 */         System.out.println("    InvalidClassException [" + invalidClassException.classname + "]: " + invalidClassException.getMessage());
/* 1243 */         System.out.println("    The Demo State class definition has changed.");
/* 1244 */         System.out.println("    The default Demo State will be used.\n");
/*      */       }
/*      */     
/* 1247 */     } catch (Exception exception) {
/*      */       
/* 1249 */       c = new c();
/* 1250 */       System.out.println("\n*** Error attempting to restore the Demo State.");
/* 1251 */       if (DemoApplication.isInTestMode()) {
/*      */         
/* 1253 */         exception.printStackTrace(System.out);
/*      */       }
/*      */       else {
/*      */         
/* 1257 */         System.out.println("    " + exception);
/* 1258 */         System.out.println("    The default Demo State will be used.\n");
/*      */       } 
/*      */     } 
/*      */     
/* 1262 */     return c;
/*      */   }
/*      */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\gui\DemoDriverFrame.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */