/*     */ package jpdf_demo.gui.d;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Insets;
/*     */ import java.net.URL;
/*     */ import java.util.Locale;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.event.HyperlinkListener;
/*     */ import jpdf.attribute.PageFootNotes;
/*     */ import jpdf.attribute.ScaleFactor;
/*     */ import jpdf.attribute.UseBackgroundColor;
/*     */ import jpdf.gui.component.CloneableHtmlViewer;
/*     */ import jpdf.gui.dialog.factory.AbstractSetupPrintDialogFactory;
/*     */ import jpdf.gui.dialog.factory.SetupContentPrintDialogFactory;
/*     */ import jpdf.gui.dialog.factory.SetupNoPrintDialogFactory;
/*     */ import jpdf.gui.preview2.PreviewPrintableDialog;
/*     */ import jpdf.help.PrintableHelpDisplayDialog;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf.printer.AbstractComponentPrinter;
/*     */ import jpdf.printer.EditorPanePrinter;
/*     */ import jpdf.printer.UnscalableEditorPanePrinter;
/*     */ import jpdf.utility.PrintUtility;
/*     */ import jpdf_common.gui.ability.WaitCursorable;
/*     */ import jpdf_common.gui.component.e.e;
/*     */ import jpdf_demo.DemoApplication;
/*     */ import jpdf_demo.gui.DemoDriverFrame;
/*     */ import jpdf_demo.gui.c.b;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class f
/*     */   extends JPanel
/*     */   implements e.b
/*     */ {
/*     */   class a
/*     */     extends jpdf_common.gui.component.e.a
/*     */   {
/*     */     private a(f this$0) {}
/*     */     
/*     */     protected final void a(URL param1URL) {
/*     */       e e;
/*  95 */       String str1 = param1URL.getProtocol();
/*     */       
/*  97 */       String str2 = param1URL.getHost();
/*  98 */       String str3 = param1URL.getFile();
/*  99 */       boolean bool = false;
/*     */ 
/*     */ 
/*     */       
/* 103 */       if (!str1.equalsIgnoreCase("file")) {
/*     */         
/* 105 */         a(param1URL, "Invalid Protocol: " + str1);
/*     */ 
/*     */ 
/*     */         
/*     */         return;
/*     */       } 
/*     */ 
/*     */       
/* 113 */       if (str2.length() < 9 || !str2.substring(0, 9).equalsIgnoreCase("demolink.")) {
/*     */         
/*     */         try {
/*     */           
/* 117 */           f.a(this.a).loadUrl(param1URL);
/*     */           return;
/* 119 */         } catch (Exception exception) {
/*     */           
/* 121 */           DemoApplication.handleException((Throwable)(param1URL = null));
/*     */ 
/*     */           
/*     */           return;
/*     */         } 
/*     */       }
/*     */       
/* 128 */       str2 = str2.substring(9);
/*     */ 
/*     */       
/* 131 */       if (str3.charAt(0) == '/') str3 = str3.substring(1);
/*     */ 
/*     */       
/* 134 */       if (str2.equalsIgnoreCase("helpTopic")) {
/*     */         
/* 136 */         e = b.a();
/*     */       }
/*     */       else {
/*     */         
/* 140 */         e = f.a(this.a, str2);
/*     */       } 
/*     */ 
/*     */       
/* 144 */       if (e != null) {
/*     */ 
/*     */         
/* 147 */         if (!(bool = e.a(str3))) {
/*     */ 
/*     */           
/* 150 */           a(param1URL, "Invalid Info File: " + str3);
/*     */           
/*     */           return;
/*     */         } 
/*     */       } else {
/* 155 */         a(param1URL, "Invalid Link Panel Name: " + str2);
/*     */       } 
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private static void a(URL param1URL, String param1String) {
/* 164 */       param1String = "Invalid link URL: " + param1URL + "\n  " + param1String;
/*     */       
/* 166 */       jpdf_common.gui.manage.a.a("Invalid Link URL", param1String);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private static final PrintRequestAttributeSet b;
/*     */   
/* 174 */   private static Color a = new Color(255, 255, 210); static {
/* 175 */     HashPrintRequestAttributeSet hashPrintRequestAttributeSet = new HashPrintRequestAttributeSet(); PrintUtility.updateAttributeSet(false, 0.5F, 0.4F, 0.3F, 0.3F, hashPrintRequestAttributeSet, false); hashPrintRequestAttributeSet.add(new JobName("JPDF Demo", Locale.getDefault())); if (DemoApplication.isInTestMode()) { hashPrintRequestAttributeSet.add((Attribute)new ScaleFactor(1.0F)); hashPrintRequestAttributeSet.add((Attribute)UseBackgroundColor.TRUE); hashPrintRequestAttributeSet.add((Attribute)new PageFootNotes("Copyright © 2003-2012 Soft Frame Works.  All rights reserved.", "", "[-s-]", Color.RED)); } else { hashPrintRequestAttributeSet.add((Attribute)new ScaleFactor(0.85F)); hashPrintRequestAttributeSet.add((Attribute)UseBackgroundColor.FALSE); hashPrintRequestAttributeSet.add((Attribute)new PageFootNotes("Copyright © 2003-2012 Soft Frame Works.  All rights reserved.", "", "www.softframeworks.com", Color.GRAY)); }  b = hashPrintRequestAttributeSet;
/* 176 */   } private static final Insets c = new Insets(0, 0, 0, 0);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private final CloneableHtmlViewer HTML_VIEWER;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   static {
/* 187 */     PrintableHelpDisplayDialog.setPrintAttributeSet(b);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean linkSelectionAudible = true;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean toUseScalablePrinter = true;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public f() {
/* 205 */     this(a, Color.RED, -1);
/*     */   }
/*     */ 
/*     */   
/*     */   public f(Color paramColor) {
/* 210 */     this(a, (Color)null, -1);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public f(Color paramColor1, Color paramColor2, int paramInt) {
/* 222 */     this.HTML_VIEWER = new CloneableHtmlViewer(true, this);
/* 223 */     this.HTML_VIEWER.addHyperlinkListener((HyperlinkListener)new a((byte)0));
/*     */     
/* 225 */     Color color = paramColor2; paramColor2 = paramColor1; f f1; (f1 = this).setLayout(new BorderLayout()); if (color != null) f1.setBorder(BorderFactory.createLineBorder(color, 2));  f1.add(f1.HTML_VIEWER.createContainingDisplayPanel(), "Center"); f1.HTML_VIEWER.setBackground(paramColor2);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean a() {
/* 249 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     try {
/* 253 */       bool = this.HTML_VIEWER.decrementBaseFontSizeIndex();
/*     */     }
/* 255 */     catch (Exception exception2) {
/*     */       Exception exception1;
/* 257 */       DemoApplication.handleException(exception1 = null);
/*     */     } 
/*     */     
/* 260 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void b(String paramString, Color paramColor) {
/* 291 */     h();
/* 292 */     this.HTML_VIEWER.setBackground(paramColor);
/* 293 */     this.HTML_VIEWER.loadHtml(paramString);
/* 294 */     g();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean a(String paramString) {
/* 316 */     return c(DemoApplication.a + paramString + ".html", a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean a(String paramString, Color paramColor) {
/* 329 */     return c(DemoApplication.a + paramString + ".html", paramColor);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void b(String paramString) {
/* 356 */     paramString = "<HTML><HEAD><TITLE>" + paramString + "</TITLE></HEAD>" + "<BODY> <FONT Size=+0>" + "<CENTER><FONT Size=+2> " + paramString + " </FONT> </CENTER>" + "<BR> The narrative goes here... </FONT> " + "</BODY></HTML>";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 371 */     b(paramString, a);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final boolean b() {
/* 387 */     boolean bool = false;
/*     */ 
/*     */     
/*     */     try {
/* 391 */       bool = this.HTML_VIEWER.incrementBaseFontSizeIndex();
/*     */     }
/* 393 */     catch (Exception exception2) {
/*     */       Exception exception1;
/* 395 */       DemoApplication.handleException(exception1 = null);
/*     */     } 
/*     */     
/* 398 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void loadedHtmlPage(URL paramURL) {
/* 407 */     g();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void c() {
/* 432 */     g g = new g(this);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 482 */     (new Thread(g)).start();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void d() {
/* 490 */     AbstractComponentPrinter abstractComponentPrinter = a(b);
/*     */ 
/*     */ 
/*     */     
/* 494 */     h();
/* 495 */     PreviewPrintableDialog previewPrintableDialog = new PreviewPrintableDialog((JFrame)DemoDriverFrame.getInstance(), (FullyNavigableAttributeSetPrintable)abstractComponentPrinter);
/* 496 */     if (DemoApplication.isInTestMode()) {
/*     */       
/* 498 */       previewPrintableDialog.setDialogFactory((AbstractSetupPrintDialogFactory)new SetupContentPrintDialogFactory());
/*     */     }
/*     */     else {
/*     */       
/* 502 */       previewPrintableDialog.setDialogFactory((AbstractSetupPrintDialogFactory)new SetupNoPrintDialogFactory());
/*     */     } 
/* 504 */     previewPrintableDialog.setSavingPrintDefaults(false);
/* 505 */     g();
/* 506 */     previewPrintableDialog.setVisible(true);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final void e() {
/*     */     try {
/* 516 */       this.HTML_VIEWER.refreshContents();
/*     */       return;
/* 518 */     } catch (Exception exception2) {
/*     */       Exception exception1;
/* 520 */       DemoApplication.handleException(exception1 = null);
/*     */       return;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private AbstractComponentPrinter a(PrintRequestAttributeSet paramPrintRequestAttributeSet) {
/*     */     UnscalableEditorPanePrinter unscalableEditorPanePrinter;
/*     */     f f1;
/* 580 */     if ((f1 = this).toUseScalablePrinter) {
/*     */ 
/*     */ 
/*     */       
/* 584 */       EditorPanePrinter editorPanePrinter = new EditorPanePrinter((JEditorPane)this.HTML_VIEWER, "Info Panel");
/*     */     }
/*     */     else {
/*     */       
/* 588 */       unscalableEditorPanePrinter = new UnscalableEditorPanePrinter((JEditorPane)this.HTML_VIEWER, "Info Panel");
/*     */     } 
/* 590 */     unscalableEditorPanePrinter.setAttributeSet(paramPrintRequestAttributeSet);
/* 591 */     unscalableEditorPanePrinter.setMargin(c);
/* 592 */     unscalableEditorPanePrinter.setToAdjustPageBreaks();
/*     */     
/* 594 */     return (AbstractComponentPrinter)unscalableEditorPanePrinter;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private boolean c(String paramString, Color paramColor) {
/* 636 */     URL uRL = this.HTML_VIEWER.getPage();
/* 637 */     boolean bool = false;
/*     */ 
/*     */     
/* 640 */     if (uRL != null)
/*     */     {
/* 642 */       if (uRL.toString().equals(paramString))
/*     */       {
/* 644 */         return true;
/*     */       }
/*     */     }
/*     */ 
/*     */     
/* 649 */     this.HTML_VIEWER.setBackground(paramColor);
/*     */ 
/*     */ 
/*     */     
/* 653 */     h();
/*     */     
/*     */     try {
/* 656 */       this.HTML_VIEWER.loadUrl(new URL(paramString));
/* 657 */       bool = true;
/*     */     }
/* 659 */     catch (Exception exception) {
/*     */       
/* 661 */       Color color = Color.RED; String str = exception.toString(); f f1 = this; str = "<HTML><HEAD><TITLE> Info Message </TITLE></HEAD><BODY TEXT=\"" + jpdf_common.gui.d.a.a(color) + "\"><P><FONT Size=+1> " + str + " </FONT></P> </BODY>" + "</HTML>"; f1.b(str, a);
/* 662 */       DemoApplication.handleException(exception);
/*     */     } 
/*     */     
/* 665 */     return bool;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void g() {
/* 723 */     DemoDriverFrame demoDriverFrame = DemoDriverFrame.getInstance();
/*     */ 
/*     */     
/*     */     Container container;
/*     */     
/* 728 */     if (container = getTopLevelAncestor() instanceof WaitCursorable)
/*     */     {
/* 730 */       ((WaitCursorable)container).setDefaultCursor();
/*     */     }
/* 732 */     if (container != demoDriverFrame)
/*     */     {
/* 734 */       demoDriverFrame.setDefaultCursor();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private void h() {
/* 744 */     DemoDriverFrame demoDriverFrame = DemoDriverFrame.getInstance();
/*     */ 
/*     */     
/*     */     Container container;
/*     */     
/* 749 */     if (container = getTopLevelAncestor() instanceof WaitCursorable)
/*     */     {
/* 751 */       ((WaitCursorable)container).setWaitCursor();
/*     */     }
/* 753 */     if (container != demoDriverFrame)
/*     */     {
/* 755 */       demoDriverFrame.setWaitCursor();
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\gui\d\f.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */