/*     */ package jpdf_demo.gui.e.d;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Color;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.Font;
/*     */ import javax.print.attribute.Attribute;
/*     */ import javax.print.attribute.HashPrintRequestAttributeSet;
/*     */ import javax.print.attribute.PrintRequestAttributeSet;
/*     */ import javax.print.attribute.standard.JobName;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.UIManager;
/*     */ import jpdf.attribute.AlignmentFactorHorizontal;
/*     */ import jpdf.attribute.BackgroundColorOnPage;
/*     */ import jpdf.attribute.ContentHeadersOnEveryPage;
/*     */ import jpdf.attribute.FitToPagesSelected;
/*     */ import jpdf.attribute.HighlightSelections;
/*     */ import jpdf.attribute.OffsetTop;
/*     */ import jpdf.attribute.PageContentFrame;
/*     */ import jpdf.attribute.PageFootNotes;
/*     */ import jpdf.attribute.PageFrame;
/*     */ import jpdf.attribute.PageHeadFirst2Last;
/*     */ import jpdf.attribute.PageHeadHtml;
/*     */ import jpdf.attribute.PageHeaderAttribute;
/*     */ import jpdf.attribute.RowHeaders;
/*     */ import jpdf.attribute.SizeToFitPageWidth;
/*     */ import jpdf.attribute.UseBackgroundColor;
/*     */ import jpdf.manage.PrintManager;
/*     */ import jpdf.printable.FullyNavigableAttributeSetPrintable;
/*     */ import jpdf.printer.ComponentListPrinter;
/*     */ import jpdf.printer.TableComponentPrinter;
/*     */ import jpdf_demo.DemoApplication;
/*     */ import jpdf_demo.a.a;
/*     */ import jpdf_demo.gui.e.b;
/*     */ 
/*     */ public final class c extends JPanel implements b {
/*     */   private static final PrintRequestAttributeSet a;
/*     */   
/*     */   static {
/*  45 */     Font font = UIManager.getFont("Label.font").deriveFont(12.0F); PrintRequestAttributeSet printRequestAttributeSet = a.a(true, 0.5F); String str1 = "[-d-] [-t-]", str2 = "Page [-p-] of [-n-]"; printRequestAttributeSet.add(new JobName("Financial Tables", null)); String str3 = DemoApplication.getResourceUrl("sample/OMG-HeaderImage.jpg").toString(); printRequestAttributeSet.add((Attribute)new PageHeadFirst2Last((PageHeaderAttribute)new PageHeadHtml(str3 = "<BODY bgcolor='#000000'> <IMG height=96 width=702 alt='Office of Management and Budget' src='" + str3 + "' border=0> </BODY>"), (PageHeaderAttribute)new PageHeadHtml("<BODY style='MARGIN-LEFT: 10px; '><FONT size='-2' color='#000099'><B>OFFICE OF</B></FONT><BR><FONT size='+2' color='#000099'><B>MANAGEMENT AND BUDGET</B></FONT></BODY>"))); printRequestAttributeSet.add((Attribute)new PageFootNotes(str1, "", str2, Color.BLUE, font)); printRequestAttributeSet.add((Attribute)new AlignmentFactorHorizontal(0.5F)); printRequestAttributeSet.add((Attribute)new OffsetTop(0.1F, true)); printRequestAttributeSet.add((Attribute)PageFrame.FALSE); printRequestAttributeSet.add((Attribute)PageContentFrame.TRUE); printRequestAttributeSet.add((Attribute)UseBackgroundColor.TRUE); printRequestAttributeSet.add((Attribute)BackgroundColorOnPage.FALSE); printRequestAttributeSet.add((Attribute)ContentHeadersOnEveryPage.TRUE); printRequestAttributeSet.add((Attribute)HighlightSelections.TRUE); printRequestAttributeSet.add((Attribute)RowHeaders.FALSE); printRequestAttributeSet.add((Attribute)FitToPagesSelected.TRUE); a = printRequestAttributeSet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  52 */   private final a SAMPLE_TABLE_1 = new a();
/*  53 */   private final b SAMPLE_TABLE_2 = new b();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public c() {
/*  62 */     super(new BorderLayout());
/*     */     c c1;
/*  64 */     (c1 = this).add(c1.a((JTable)c1.SAMPLE_TABLE_1, "Table 1.1 - SUMMARY OF CASH FLOWS (millions): 1940-1960"), "North"); c1.add(c1.a((JTable)c1.SAMPLE_TABLE_2, "Table 1.2 - FEDERAL DEBT AT THE END OF YEAR: 1940-1976"), "Center");
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public final FullyNavigableAttributeSetPrintable a() {
/*  85 */     PrintRequestAttributeSet[] arrayOfPrintRequestAttributeSet = new PrintRequestAttributeSet[4];
/*  86 */     JComponent[] arrayOfJComponent = new JComponent[4];
/*  87 */     JPanel jPanel = null;
/*  88 */     jPanel = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/*  97 */       (jPanel = a("Table 1.1 - SUMMARY OF CASH FLOWS (millions): 1940-1960")).setOpaque(false);
/*  98 */       arrayOfJComponent[0] = jPanel;
/*  99 */       arrayOfJComponent[1] = TableComponentPrinter.cloneTableView((JTable)this.SAMPLE_TABLE_1, false);
/*     */       
/* 101 */       (jPanel = a("Table 1.2 - FEDERAL DEBT AT THE END OF YEAR: 1940-1976")).setOpaque(false);
/* 102 */       arrayOfJComponent[2] = jPanel;
/* 103 */       arrayOfJComponent[3] = TableComponentPrinter.cloneTableView((JTable)this.SAMPLE_TABLE_2, false);
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 108 */       arrayOfPrintRequestAttributeSet[0] = new HashPrintRequestAttributeSet(a);
/* 109 */       arrayOfPrintRequestAttributeSet[0].add((Attribute)FitToPagesSelected.FALSE);
/* 110 */       arrayOfPrintRequestAttributeSet[0].add((Attribute)SizeToFitPageWidth.TRUE);
/* 111 */       arrayOfPrintRequestAttributeSet[1] = a;
/* 112 */       arrayOfPrintRequestAttributeSet[2] = arrayOfPrintRequestAttributeSet[0];
/* 113 */       arrayOfPrintRequestAttributeSet[3] = a;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       ComponentListPrinter componentListPrinter;
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 124 */       (componentListPrinter = new ComponentListPrinter(arrayOfJComponent, 1, "Financial Tables", arrayOfPrintRequestAttributeSet, 0)).setStartNewPageHeight(144);
/* 125 */       componentListPrinter.setStartNewPageHeight(1, 0);
/* 126 */       componentListPrinter.setStartNewPageHeight(3, 0);
/*     */     }
/* 128 */     catch (Exception exception) {
/*     */       
/* 130 */       PrintManager.handleException((Throwable)(arrayOfPrintRequestAttributeSet = null));
/* 131 */       jPanel = null;
/*     */     } 
/*     */     
/* 134 */     return (FullyNavigableAttributeSetPrintable)jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private JPanel a(JTable paramJTable, String paramString) {
/*     */     JPanel jPanel;
/* 223 */     (jPanel = new JPanel(new BorderLayout())).add(a(paramString), "North");
/* 224 */     jPanel.add(new JScrollPane(paramJTable), "Center");
/*     */     
/* 226 */     return jPanel;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private static JPanel a(String paramString) {
/* 234 */     JPanel jPanel = new JPanel(new FlowLayout(0, 0, 0));
/* 235 */     JLabel jLabel = new JLabel(paramString);
/* 236 */     Font font = new Font("SansSerif", 1, 16);
/*     */     
/* 238 */     jLabel.setFont(font);
/* 239 */     jPanel.add(jLabel);
/* 240 */     jPanel.setBorder(BorderFactory.createEmptyBorder(8, 1, 0, 0));
/*     */     
/* 242 */     return jPanel;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jpdf_demo.jar!\jpdf_demo\gui\e\d\c.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       1.1.3
 */