/*     */ package jxl.biff;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public final class Type
/*     */ {
/*     */   public final int value;
/*  34 */   private static Type[] types = new Type[0];
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private Type(int v) {
/*  44 */     this.value = v;
/*     */ 
/*     */     
/*  47 */     Type[] newTypes = new Type[types.length + 1];
/*  48 */     System.arraycopy(types, 0, newTypes, 0, types.length);
/*  49 */     newTypes[types.length] = this;
/*  50 */     types = newTypes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int hashCode() {
/*  59 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object o) {
/*  69 */     if (o == this)
/*     */     {
/*  71 */       return true;
/*     */     }
/*     */     
/*  74 */     if (!(o instanceof Type))
/*     */     {
/*  76 */       return false;
/*     */     }
/*     */     
/*  79 */     Type t = (Type)o;
/*     */     
/*  81 */     return (this.value == t.value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static Type getType(int v) {
/*  91 */     for (int i = 0; i < types.length; i++) {
/*     */       
/*  93 */       if ((types[i]).value == v)
/*     */       {
/*  95 */         return types[i];
/*     */       }
/*     */     } 
/*     */     
/*  99 */     return UNKNOWN;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 104 */   public static final Type BOF = new Type(2057);
/*     */ 
/*     */   
/* 107 */   public static final Type EOF = new Type(10);
/*     */ 
/*     */   
/* 110 */   public static final Type BOUNDSHEET = new Type(133);
/*     */ 
/*     */   
/* 113 */   public static final Type SUPBOOK = new Type(430);
/*     */ 
/*     */   
/* 116 */   public static final Type EXTERNSHEET = new Type(23);
/*     */ 
/*     */   
/* 119 */   public static final Type DIMENSION = new Type(512);
/*     */ 
/*     */   
/* 122 */   public static final Type BLANK = new Type(513);
/*     */ 
/*     */   
/* 125 */   public static final Type MULBLANK = new Type(190);
/*     */ 
/*     */   
/* 128 */   public static final Type ROW = new Type(520);
/*     */ 
/*     */   
/* 131 */   public static final Type NOTE = new Type(28);
/*     */ 
/*     */   
/* 134 */   public static final Type TXO = new Type(438);
/*     */ 
/*     */   
/* 137 */   public static final Type RK = new Type(126);
/*     */ 
/*     */   
/* 140 */   public static final Type RK2 = new Type(638);
/*     */ 
/*     */   
/* 143 */   public static final Type MULRK = new Type(189);
/*     */ 
/*     */   
/* 146 */   public static final Type INDEX = new Type(523);
/*     */ 
/*     */   
/* 149 */   public static final Type DBCELL = new Type(215);
/*     */ 
/*     */   
/* 152 */   public static final Type SST = new Type(252);
/*     */ 
/*     */   
/* 155 */   public static final Type COLINFO = new Type(125);
/*     */ 
/*     */   
/* 158 */   public static final Type EXTSST = new Type(255);
/*     */ 
/*     */   
/* 161 */   public static final Type CONTINUE = new Type(60);
/*     */ 
/*     */   
/* 164 */   public static final Type LABEL = new Type(516);
/*     */ 
/*     */   
/* 167 */   public static final Type RSTRING = new Type(214);
/*     */ 
/*     */   
/* 170 */   public static final Type LABELSST = new Type(253);
/*     */ 
/*     */   
/* 173 */   public static final Type NUMBER = new Type(515);
/*     */ 
/*     */   
/* 176 */   public static final Type NAME = new Type(24);
/*     */ 
/*     */   
/* 179 */   public static final Type TABID = new Type(317);
/*     */ 
/*     */   
/* 182 */   public static final Type ARRAY = new Type(545);
/*     */ 
/*     */   
/* 185 */   public static final Type STRING = new Type(519);
/*     */ 
/*     */   
/* 188 */   public static final Type FORMULA = new Type(1030);
/*     */ 
/*     */   
/* 191 */   public static final Type FORMULA2 = new Type(6);
/*     */ 
/*     */   
/* 194 */   public static final Type SHAREDFORMULA = new Type(1212);
/*     */ 
/*     */   
/* 197 */   public static final Type FORMAT = new Type(1054);
/*     */ 
/*     */   
/* 200 */   public static final Type XF = new Type(224);
/*     */ 
/*     */   
/* 203 */   public static final Type BOOLERR = new Type(517);
/*     */ 
/*     */   
/* 206 */   public static final Type INTERFACEHDR = new Type(225);
/*     */ 
/*     */   
/* 209 */   public static final Type SAVERECALC = new Type(95);
/*     */ 
/*     */   
/* 212 */   public static final Type INTERFACEEND = new Type(226);
/*     */ 
/*     */   
/* 215 */   public static final Type XCT = new Type(89);
/*     */ 
/*     */   
/* 218 */   public static final Type CRN = new Type(90);
/*     */ 
/*     */   
/* 221 */   public static final Type DEFCOLWIDTH = new Type(85);
/*     */ 
/*     */   
/* 224 */   public static final Type DEFAULTROWHEIGHT = new Type(549);
/*     */ 
/*     */   
/* 227 */   public static final Type WRITEACCESS = new Type(92);
/*     */ 
/*     */   
/* 230 */   public static final Type WSBOOL = new Type(129);
/*     */ 
/*     */   
/* 233 */   public static final Type CODEPAGE = new Type(66);
/*     */ 
/*     */   
/* 236 */   public static final Type DSF = new Type(353);
/*     */ 
/*     */   
/* 239 */   public static final Type FNGROUPCOUNT = new Type(156);
/*     */ 
/*     */   
/* 242 */   public static final Type COUNTRY = new Type(140);
/*     */ 
/*     */   
/* 245 */   public static final Type PROTECT = new Type(18);
/*     */ 
/*     */   
/* 248 */   public static final Type SCENPROTECT = new Type(221);
/*     */ 
/*     */   
/* 251 */   public static final Type OBJPROTECT = new Type(99);
/*     */ 
/*     */   
/* 254 */   public static final Type PRINTHEADERS = new Type(42);
/*     */ 
/*     */   
/* 257 */   public static final Type HEADER = new Type(20);
/*     */ 
/*     */   
/* 260 */   public static final Type FOOTER = new Type(21);
/*     */ 
/*     */   
/* 263 */   public static final Type HCENTER = new Type(131);
/*     */ 
/*     */   
/* 266 */   public static final Type VCENTER = new Type(132);
/*     */ 
/*     */   
/* 269 */   public static final Type FILEPASS = new Type(47);
/*     */ 
/*     */   
/* 272 */   public static final Type SETUP = new Type(161);
/*     */ 
/*     */   
/* 275 */   public static final Type PRINTGRIDLINES = new Type(43);
/*     */ 
/*     */   
/* 278 */   public static final Type GRIDSET = new Type(130);
/*     */ 
/*     */   
/* 281 */   public static final Type GUTS = new Type(128);
/*     */ 
/*     */   
/* 284 */   public static final Type WINDOWPROTECT = new Type(25);
/*     */ 
/*     */   
/* 287 */   public static final Type PROT4REV = new Type(431);
/*     */ 
/*     */   
/* 290 */   public static final Type PROT4REVPASS = new Type(444);
/*     */ 
/*     */   
/* 293 */   public static final Type PASSWORD = new Type(19);
/*     */ 
/*     */   
/* 296 */   public static final Type REFRESHALL = new Type(439);
/*     */ 
/*     */   
/* 299 */   public static final Type WINDOW1 = new Type(61);
/*     */ 
/*     */   
/* 302 */   public static final Type WINDOW2 = new Type(574);
/*     */ 
/*     */   
/* 305 */   public static final Type BACKUP = new Type(64);
/*     */ 
/*     */   
/* 308 */   public static final Type HIDEOBJ = new Type(141);
/*     */ 
/*     */   
/* 311 */   public static final Type NINETEENFOUR = new Type(34);
/*     */ 
/*     */   
/* 314 */   public static final Type PRECISION = new Type(14);
/*     */ 
/*     */   
/* 317 */   public static final Type BOOKBOOL = new Type(218);
/*     */ 
/*     */   
/* 320 */   public static final Type FONT = new Type(49);
/*     */ 
/*     */   
/* 323 */   public static final Type MMS = new Type(193);
/*     */ 
/*     */   
/* 326 */   public static final Type CALCMODE = new Type(13);
/*     */ 
/*     */   
/* 329 */   public static final Type CALCCOUNT = new Type(12);
/*     */ 
/*     */   
/* 332 */   public static final Type REFMODE = new Type(15);
/*     */ 
/*     */   
/* 335 */   public static final Type TEMPLATE = new Type(96);
/*     */ 
/*     */   
/* 338 */   public static final Type OBJPROJ = new Type(211);
/*     */ 
/*     */   
/* 341 */   public static final Type DELTA = new Type(16);
/*     */ 
/*     */   
/* 344 */   public static final Type MERGEDCELLS = new Type(229);
/*     */ 
/*     */   
/* 347 */   public static final Type ITERATION = new Type(17);
/*     */ 
/*     */   
/* 350 */   public static final Type STYLE = new Type(659);
/*     */ 
/*     */   
/* 353 */   public static final Type USESELFS = new Type(352);
/*     */ 
/*     */   
/* 356 */   public static final Type HORIZONTALPAGEBREAKS = new Type(27);
/*     */ 
/*     */   
/* 359 */   public static final Type SELECTION = new Type(29);
/*     */ 
/*     */   
/* 362 */   public static final Type HLINK = new Type(440);
/*     */ 
/*     */   
/* 365 */   public static final Type OBJ = new Type(93);
/*     */ 
/*     */   
/* 368 */   public static final Type MSODRAWING = new Type(236);
/*     */ 
/*     */   
/* 371 */   public static final Type MSODRAWINGGROUP = new Type(235);
/*     */ 
/*     */   
/* 374 */   public static final Type LEFTMARGIN = new Type(38);
/*     */ 
/*     */   
/* 377 */   public static final Type RIGHTMARGIN = new Type(39);
/*     */ 
/*     */   
/* 380 */   public static final Type TOPMARGIN = new Type(40);
/*     */ 
/*     */   
/* 383 */   public static final Type BOTTOMMARGIN = new Type(41);
/*     */ 
/*     */   
/* 386 */   public static final Type EXTERNNAME = new Type(35);
/*     */ 
/*     */   
/* 389 */   public static final Type PALETTE = new Type(146);
/*     */ 
/*     */   
/* 392 */   public static final Type PLS = new Type(77);
/*     */ 
/*     */   
/* 395 */   public static final Type SCL = new Type(160);
/*     */ 
/*     */   
/* 398 */   public static final Type PANE = new Type(65);
/*     */ 
/*     */   
/* 401 */   public static final Type WEIRD1 = new Type(239);
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 406 */   public static final Type FONTX = new Type(4134);
/*     */ 
/*     */   
/* 409 */   public static final Type IFMT = new Type(4174);
/*     */ 
/*     */   
/* 412 */   public static final Type FBI = new Type(4192);
/*     */ 
/*     */   
/* 415 */   public static final Type UNKNOWN = new Type(65535);
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\biff\Type.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */