/*     */ package jxl.read.biff;
/*     */ 
/*     */ import java.text.DateFormat;
/*     */ import java.util.Date;
/*     */ import jxl.CellType;
/*     */ import jxl.DateCell;
/*     */ import jxl.biff.DoubleHelper;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.FormulaData;
/*     */ import jxl.biff.IntegerHelper;
/*     */ import jxl.biff.formula.FormulaException;
/*     */ import jxl.biff.formula.FormulaParser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SharedDateFormulaRecord
/*     */   extends BaseSharedFormulaRecord
/*     */   implements DateCell, FormulaData
/*     */ {
/*     */   private DateRecord dateRecord;
/*     */   private double value;
/*     */   
/*     */   public SharedDateFormulaRecord(SharedNumberFormulaRecord nfr, FormattingRecords fr, boolean nf, SheetImpl si, int pos) {
/*  67 */     super(nfr.getRecord(), fr, nfr.getExternalSheet(), nfr.getNameTable(), si, pos);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  73 */     this.dateRecord = new DateRecord(nfr, nfr.getXFIndex(), fr, nf, si);
/*  74 */     this.value = nfr.getValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public double getValue() {
/*  84 */     return this.value;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getContents() {
/*  94 */     return this.dateRecord.getContents();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CellType getType() {
/* 104 */     return CellType.NUMBER_FORMULA;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public byte[] getFormulaData() throws FormulaException {
/* 118 */     FormulaParser fp = new FormulaParser(getTokens(), this, getExternalSheet(), getNameTable(), getSheet().getWorkbook().getSettings());
/*     */ 
/*     */ 
/*     */     
/* 122 */     fp.parse();
/* 123 */     byte[] rpnTokens = fp.getBytes();
/*     */     
/* 125 */     byte[] data = new byte[rpnTokens.length + 22];
/*     */ 
/*     */     
/* 128 */     IntegerHelper.getTwoBytes(getRow(), data, 0);
/* 129 */     IntegerHelper.getTwoBytes(getColumn(), data, 2);
/* 130 */     IntegerHelper.getTwoBytes(getXFIndex(), data, 4);
/* 131 */     DoubleHelper.getIEEEBytes(this.value, data, 6);
/*     */ 
/*     */     
/* 134 */     System.arraycopy(rpnTokens, 0, data, 22, rpnTokens.length);
/* 135 */     IntegerHelper.getTwoBytes(rpnTokens.length, data, 20);
/*     */ 
/*     */     
/* 138 */     byte[] d = new byte[data.length - 6];
/* 139 */     System.arraycopy(data, 6, d, 0, data.length - 6);
/*     */     
/* 141 */     return d;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Date getDate() {
/* 151 */     return this.dateRecord.getDate();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isTime() {
/* 162 */     return this.dateRecord.isTime();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public DateFormat getDateFormat() {
/* 175 */     return this.dateRecord.getDateFormat();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\read\biff\SharedDateFormulaRecord.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */