/*     */ package jxl.write.biff;
/*     */ 
/*     */ import common.Assert;
/*     */ import jxl.biff.FontRecord;
/*     */ import jxl.biff.Fonts;
/*     */ import jxl.biff.FormattingRecords;
/*     */ import jxl.biff.NumFormatRecordsException;
/*     */ import jxl.biff.XFRecord;
/*     */ import jxl.write.NumberFormats;
/*     */ import jxl.write.WritableCellFormat;
/*     */ import jxl.write.WritableWorkbook;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WritableFormattingRecords
/*     */   extends FormattingRecords
/*     */ {
/*     */   public static WritableCellFormat normalStyle;
/*     */   
/*     */   public WritableFormattingRecords(Fonts f) {
/*  60 */     super(f);
/*     */ 
/*     */ 
/*     */     
/*     */     try {
/*  65 */       StyleXFRecord sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/*  67 */       sxf.setLocked(true);
/*  68 */       addStyle(sxf);
/*     */       
/*  70 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.DEFAULT);
/*  71 */       sxf.setLocked(true);
/*  72 */       sxf.setCellOptions(62464);
/*  73 */       addStyle(sxf);
/*     */       
/*  75 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.DEFAULT);
/*  76 */       sxf.setLocked(true);
/*  77 */       sxf.setCellOptions(62464);
/*  78 */       addStyle(sxf);
/*     */       
/*  80 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.DEFAULT);
/*  81 */       sxf.setLocked(true);
/*  82 */       sxf.setCellOptions(62464);
/*  83 */       addStyle(sxf);
/*     */       
/*  85 */       sxf = new StyleXFRecord(getFonts().getFont(2), NumberFormats.DEFAULT);
/*  86 */       sxf.setLocked(true);
/*  87 */       sxf.setCellOptions(62464);
/*  88 */       addStyle(sxf);
/*     */       
/*  90 */       sxf = new StyleXFRecord(getFonts().getFont(3), NumberFormats.DEFAULT);
/*  91 */       sxf.setLocked(true);
/*  92 */       sxf.setCellOptions(62464);
/*  93 */       addStyle(sxf);
/*     */       
/*  95 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/*  97 */       sxf.setLocked(true);
/*  98 */       sxf.setCellOptions(62464);
/*  99 */       addStyle(sxf);
/*     */       
/* 101 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 103 */       sxf.setLocked(true);
/* 104 */       sxf.setCellOptions(62464);
/* 105 */       addStyle(sxf);
/*     */       
/* 107 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 109 */       sxf.setLocked(true);
/* 110 */       sxf.setCellOptions(62464);
/* 111 */       addStyle(sxf);
/*     */       
/* 113 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 115 */       sxf.setLocked(true);
/* 116 */       sxf.setCellOptions(62464);
/* 117 */       addStyle(sxf);
/*     */       
/* 119 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 121 */       sxf.setLocked(true);
/* 122 */       sxf.setCellOptions(62464);
/* 123 */       addStyle(sxf);
/*     */       
/* 125 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 127 */       sxf.setLocked(true);
/* 128 */       sxf.setCellOptions(62464);
/* 129 */       addStyle(sxf);
/*     */       
/* 131 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 133 */       sxf.setLocked(true);
/* 134 */       sxf.setCellOptions(62464);
/* 135 */       addStyle(sxf);
/*     */       
/* 137 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 139 */       sxf.setLocked(true);
/* 140 */       sxf.setCellOptions(62464);
/* 141 */       addStyle(sxf);
/*     */       
/* 143 */       sxf = new StyleXFRecord((FontRecord)WritableWorkbookImpl.ARIAL_10_PT, NumberFormats.DEFAULT);
/*     */       
/* 145 */       sxf.setLocked(true);
/* 146 */       sxf.setCellOptions(62464);
/* 147 */       addStyle(sxf);
/*     */ 
/*     */ 
/*     */       
/* 151 */       addStyle((XFRecord)WritableWorkbook.NORMAL_STYLE);
/*     */ 
/*     */       
/* 154 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.FORMAT7);
/*     */       
/* 156 */       sxf.setLocked(true);
/* 157 */       sxf.setCellOptions(63488);
/* 158 */       addStyle(sxf);
/*     */       
/* 160 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.FORMAT5);
/*     */       
/* 162 */       sxf.setLocked(true);
/* 163 */       sxf.setCellOptions(63488);
/* 164 */       addStyle(sxf);
/*     */       
/* 166 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.FORMAT8);
/*     */       
/* 168 */       sxf.setLocked(true);
/* 169 */       sxf.setCellOptions(63488);
/* 170 */       addStyle(sxf);
/*     */       
/* 172 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.FORMAT6);
/*     */       
/* 174 */       sxf.setLocked(true);
/* 175 */       sxf.setCellOptions(63488);
/* 176 */       addStyle(sxf);
/*     */       
/* 178 */       sxf = new StyleXFRecord(getFonts().getFont(1), NumberFormats.PERCENT_INTEGER);
/*     */       
/* 180 */       sxf.setLocked(true);
/* 181 */       sxf.setCellOptions(63488);
/* 182 */       addStyle(sxf);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     }
/* 223 */     catch (NumFormatRecordsException e) {
/*     */ 
/*     */ 
/*     */       
/* 227 */       Assert.verify(false, e.getMessage());
/*     */     } 
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\jxl.jar!\jxl\write\biff\WritableFormattingRecords.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */