/*     */ package oracle.jdbc.driver;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.sql.SQLException;
/*     */ import oracle.net.ns.BreakNetException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ class T4C7Oversion
/*     */   extends T4CTTIfun
/*     */ {
/*  40 */   byte[] rdbmsVersion = new byte[] { 78, 111, 116, 32, 100, 101, 116, 101, 114, 109, 105, 110, 101, 100, 32, 121, 101, 116 };
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   boolean rdbmsVersionO2U = false;
/*     */ 
/*     */ 
/*     */   
/*  49 */   int bufLen = 256;
/*     */   boolean retVerLenO2U = false;
/*  51 */   int retVerLen = 0;
/*     */   boolean retVerNumO2U = false;
/*  53 */   long retVerNum = 0L;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   T4CConnection connection;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   T4C7Oversion(T4CMAREngine paramT4CMAREngine, T4CTTIoer paramT4CTTIoer, T4CConnection paramT4CConnection) throws IOException, SQLException {
/*  64 */     super((byte)3, 0, (short)59);
/*     */     
/*  66 */     setMarshalingEngine(paramT4CMAREngine);
/*     */     
/*  68 */     this.oer = paramT4CTTIoer;
/*     */ 
/*     */     
/*  71 */     this.rdbmsVersionO2U = true;
/*  72 */     this.retVerLenO2U = true;
/*  73 */     this.retVerNumO2U = true;
/*  74 */     this.connection = paramT4CConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void receive() throws SQLException, IOException {
/* 101 */     boolean bool = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     while (true) {
/*     */       try {
/* 114 */         byte b = this.meg.unmarshalSB1();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 120 */         switch (b) {
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           case 8:
/* 126 */             if (bool) {
/* 127 */               DatabaseError.throwSqlException(401);
/*     */             }
/*     */ 
/*     */             
/* 131 */             this.retVerLen = this.meg.unmarshalUB2();
/* 132 */             this.rdbmsVersion = this.meg.unmarshalCHR(this.retVerLen);
/*     */             
/* 134 */             if (this.rdbmsVersion == null) {
/* 135 */               DatabaseError.throwSqlException(438);
/*     */             }
/* 137 */             this.retVerNum = this.meg.unmarshalUB4();
/*     */ 
/*     */             
/* 140 */             bool = true;
/*     */             continue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           case 4:
/* 158 */             this.oer.init();
/* 159 */             this.oer.unmarshal();
/*     */ 
/*     */ 
/*     */             
/* 163 */             this.oer.processError();
/*     */             break;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */           
/*     */           case 9:
/* 171 */             if (getVersionNumber() >= 10000) {
/*     */               
/* 173 */               short s = (short)this.meg.unmarshalUB2();
/*     */               
/* 175 */               this.connection.endToEndECIDSequenceNumber = s;
/*     */             } 
/*     */             break;
/*     */         } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/* 185 */         DatabaseError.throwSqlException(401);
/*     */       }
/* 187 */       catch (BreakNetException breakNetException) {}
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   byte[] getVersion() {
/* 206 */     return this.rdbmsVersion;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   short getVersionNumber() {
/* 221 */     int i = 0;
/*     */     
/* 223 */     i = (int)(i + (this.retVerNum >>> 24L & 0xFFL) * 1000L);
/* 224 */     i = (int)(i + (this.retVerNum >>> 20L & 0xFL) * 100L);
/* 225 */     i = (int)(i + (this.retVerNum >>> 12L & 0xFL) * 10L);
/* 226 */     i = (int)(i + (this.retVerNum >>> 8L & 0xFL));
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 231 */     return (short)i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   long getVersionNumberasIs() {
/* 242 */     return this.retVerNum;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   void marshal() throws IOException {
/* 257 */     marshalFunHeader();
/*     */ 
/*     */     
/* 260 */     this.meg.marshalO2U(this.rdbmsVersionO2U);
/* 261 */     this.meg.marshalSWORD(this.bufLen);
/* 262 */     this.meg.marshalO2U(this.retVerLenO2U);
/* 263 */     this.meg.marshalO2U(this.retVerNumO2U);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 272 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:38_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdbc\driver\T4C7Oversion.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */