/*     */ package oracle.jdbc.util;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RepConversion
/*     */ {
/*     */   public static void printInHex(byte paramByte) {
/*  53 */     System.out.print((char)nibbleToHex((byte)((paramByte & 0xF0) >> 4)));
/*  54 */     System.out.print((char)nibbleToHex((byte)(paramByte & 0xF)));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte nibbleToHex(byte paramByte) {
/*  83 */     paramByte = (byte)(paramByte & 0xF);
/*     */     
/*  85 */     return (byte)((paramByte < 10) ? (paramByte + 48) : (paramByte - 10 + 65));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte asciiHexToNibble(byte paramByte) {
/*     */     byte b;
/* 120 */     if (paramByte >= 97 && paramByte <= 102) {
/* 121 */       b = (byte)(paramByte - 97 + 10);
/*     */     }
/* 123 */     else if (paramByte >= 65 && paramByte <= 70) {
/* 124 */       b = (byte)(paramByte - 65 + 10);
/*     */     }
/* 126 */     else if (paramByte >= 48 && paramByte <= 57) {
/* 127 */       b = (byte)(paramByte - 48);
/*     */     } else {
/*     */       
/* 130 */       b = paramByte;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 147 */     return b;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void bArray2Nibbles(byte[] paramArrayOfbyte1, byte[] paramArrayOfbyte2) {
/* 178 */     for (byte b = 0; b < paramArrayOfbyte1.length; b++) {
/*     */       
/* 180 */       paramArrayOfbyte2[b * 2] = nibbleToHex((byte)((paramArrayOfbyte1[b] & 0xF0) >> 4));
/* 181 */       paramArrayOfbyte2[b * 2 + 1] = nibbleToHex((byte)(paramArrayOfbyte1[b] & 0xF));
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String bArray2String(byte[] paramArrayOfbyte) {
/* 210 */     StringBuffer stringBuffer = new StringBuffer(paramArrayOfbyte.length * 2);
/*     */     
/* 212 */     for (byte b = 0; b < paramArrayOfbyte.length; b++) {
/*     */       
/* 214 */       stringBuffer.append((char)nibbleToHex((byte)((paramArrayOfbyte[b] & 0xF0) >> 4)));
/* 215 */       stringBuffer.append((char)nibbleToHex((byte)(paramArrayOfbyte[b] & 0xF)));
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 233 */     return stringBuffer.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] nibbles2bArray(byte[] paramArrayOfbyte) {
/* 264 */     byte[] arrayOfByte = new byte[paramArrayOfbyte.length / 2];
/*     */ 
/*     */     
/* 267 */     for (byte b = 0; b < arrayOfByte.length; b++) {
/*     */       
/* 269 */       arrayOfByte[b] = (byte)(asciiHexToNibble(paramArrayOfbyte[b * 2]) << 4);
/* 270 */       arrayOfByte[b] = (byte)(arrayOfByte[b] | asciiHexToNibble(paramArrayOfbyte[b * 2 + 1]));
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 289 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printInHex(long paramLong) {
/* 309 */     byte[] arrayOfByte = toHex(paramLong);
/*     */     
/* 311 */     System.out.print(new String(arrayOfByte, 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printInHex(int paramInt) {
/* 331 */     byte[] arrayOfByte = toHex(paramInt);
/*     */     
/* 333 */     System.out.print(new String(arrayOfByte, 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void printInHex(short paramShort) {
/* 353 */     byte[] arrayOfByte = toHex(paramShort);
/*     */     
/* 355 */     System.out.print(new String(arrayOfByte, 0));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toHex(long paramLong) {
/* 375 */     byte b = 16;
/* 376 */     byte[] arrayOfByte = new byte[b];
/*     */     
/* 378 */     for (int i = b - 1; i >= 0; i--) {
/*     */       
/* 380 */       arrayOfByte[i] = nibbleToHex((byte)(int)(paramLong & 0xFL));
/* 381 */       paramLong >>= 4L;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 399 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toHex(int paramInt) {
/* 419 */     byte b = 8;
/* 420 */     byte[] arrayOfByte = new byte[b];
/*     */     
/* 422 */     for (int i = b - 1; i >= 0; i--) {
/*     */       
/* 424 */       arrayOfByte[i] = nibbleToHex((byte)(paramInt & 0xF));
/* 425 */       paramInt >>= 4;
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 443 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static byte[] toHex(short paramShort) {
/* 463 */     byte b = 4;
/* 464 */     byte[] arrayOfByte = new byte[b];
/*     */     
/* 466 */     for (int i = b - 1; i >= 0; i--) {
/*     */       
/* 468 */       arrayOfByte[i] = nibbleToHex((byte)(paramShort & 0xF));
/* 469 */       paramShort = (short)(paramShort >> 4);
/*     */     } 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 487 */     return arrayOfByte;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 493 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:41_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\jdb\\util\RepConversion.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */