/*     */ package oracle.sql;
/*     */ 
/*     */ import java.sql.Connection;
/*     */ import java.sql.SQLException;
/*     */ import oracle.jdbc.OracleConnection;
/*     */ import oracle.jdbc.driver.DatabaseError;
/*     */ import oracle.jdbc.driver.OracleConnection;
/*     */ import oracle.jdbc.driver.OracleDriver;
/*     */ import oracle.jdbc.internal.OracleConnection;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class DatumWithConnection
/*     */   extends Datum
/*     */ {
/*  29 */   private OracleConnection physicalConnection = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   OracleConnection getPhysicalConnection() {
/*  39 */     if (this.physicalConnection == null) {
/*     */       
/*     */       try {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */         
/*  54 */         this.physicalConnection = (OracleConnection)(new OracleDriver()).defaultConnection();
/*     */       
/*     */       }
/*  57 */       catch (SQLException sQLException) {}
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  67 */     return this.physicalConnection;
/*     */   }
/*     */ 
/*     */   
/*     */   public DatumWithConnection(byte[] paramArrayOfbyte) throws SQLException {
/*  72 */     super(paramArrayOfbyte);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public DatumWithConnection() {}
/*     */ 
/*     */ 
/*     */   
/*     */   public static void assertNotNull(Connection paramConnection) throws SQLException {
/*  82 */     if (paramConnection == null) {
/*  83 */       DatabaseError.throwSqlException(68, "Connection is null");
/*     */     }
/*     */   }
/*     */ 
/*     */   
/*     */   public static void assertNotNull(TypeDescriptor paramTypeDescriptor) throws SQLException {
/*  89 */     if (paramTypeDescriptor == null) {
/*  90 */       DatabaseError.throwSqlException(61);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setPhysicalConnectionOf(Connection paramConnection) {
/* 105 */     this.physicalConnection = ((OracleConnection)paramConnection).physicalConnectionWithin();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Connection getJavaSqlConnection() throws SQLException {
/* 126 */     return (Connection)getPhysicalConnection().getWrapper();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnection getOracleConnection() throws SQLException {
/* 145 */     return getPhysicalConnection().getWrapper();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnection getInternalConnection() throws SQLException {
/* 167 */     return getPhysicalConnection();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public OracleConnection getConnection() throws SQLException {
/* 191 */     OracleConnection oracleConnection = null;
/*     */ 
/*     */     
/*     */     try {
/* 195 */       oracleConnection = (OracleConnection)((OracleConnection)this.physicalConnection).getWrapper();
/*     */     }
/* 197 */     catch (ClassCastException classCastException) {
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 202 */       DatabaseError.throwSqlException(103);
/*     */     } 
/*     */ 
/*     */ 
/*     */     
/* 207 */     return oracleConnection;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/* 212 */   private static final String _Copyright_2004_Oracle_All_Rights_Reserved_ = null;
/*     */   public static final boolean TRACE = false;
/*     */   public static final boolean PRIVATE_TRACE = false;
/*     */   public static final String BUILD_DATE = "Sat_Feb__2_11:39:32_PST_2008";
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\lib\ojdbc14.jar!\oracle\sql\DatumWithConnection.class
 * Java compiler version: 2 (46.0)
 * JD-Core Version:       1.1.3
 */