/*     */ package server.admin.statistic;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StatisticManage
/*     */ {
/*  18 */   private MessageSender sender = null;
/*     */   
/*     */   public StatisticMoveInfo statisticMoveInfo(String groupid, String districtcode, String starttime, String endtime, int type) {
/*  21 */     String operation = "SystemAdmin_Statistic";
/*  22 */     String methodname = "statisticMoveInfo";
/*  23 */     String msgType = "short";
/*  24 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*     */     
/*  26 */     messageParameter.put("groupid", groupid);
/*  27 */     messageParameter.put("starttime", starttime);
/*  28 */     messageParameter.put("endtime", endtime);
/*  29 */     messageParameter.put("type", Integer.valueOf(type));
/*  30 */     messageParameter.put("districtcode", districtcode);
/*  31 */     String replyxml = getData(operation, methodname, messageParameter, 
/*  32 */         msgType);
/*  33 */     StatisticMoveInfo sminfo = 
/*  34 */       (StatisticMoveInfo)MessageXML.XMLToObject(replyxml);
/*  35 */     return sminfo;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList statisticofInstauration(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/*  40 */     String operation = "SystemAdmin_Statistic";
/*  41 */     String methodname = "statisticofInstauration";
/*  42 */     String msgType = "xml";
/*  43 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  44 */     messageParameter.put("stime", stime);
/*  45 */     messageParameter.put("etime", etime);
/*  46 */     messageParameter.put("groupid", groupid);
/*  47 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*  48 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/*  50 */     String replyxml = getData(operation, methodname, messageParameter, 
/*  51 */         msgType);
/*     */     
/*  53 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  58 */     String replyxml = "";
/*  59 */     String messagexml = MessageXML.MessageToXML(operation, methodname, messageParameter);
/*     */     try {
/*  61 */       this.sender = new MessageSender(
/*  62 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  63 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  64 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  65 */     } catch (JMSException e) {
/*  66 */       e.printStackTrace();
/*  67 */     } catch (Exception e) {
/*  68 */       e.printStackTrace();
/*     */     } 
/*  70 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticData(String yearinput, int yearselection, int tableselection, String groupid, PageInfo pageInfo) {
/*  76 */     String operation = "SystemAdmin_Statistic";
/*  77 */     String methodname = "statisticData";
/*  78 */     String msgType = "xml";
/*  79 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  80 */     messageParameter.put("yearinput", yearinput);
/*  81 */     messageParameter.put("yearselection", Integer.valueOf(yearselection));
/*  82 */     messageParameter.put("tableselection", Integer.valueOf(tableselection));
/*  83 */     messageParameter.put("groupid", groupid);
/*  84 */     messageParameter.put("pageInfo", MessageXML.getReplyXML(pageInfo));
/*     */     
/*  86 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  88 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticAllData(String yearinput, int yearselection, int tableselection, String groupid) {
/*  94 */     String operation = "SystemAdmin_Statistic";
/*  95 */     String methodname = "statisticAllData";
/*  96 */     String msgType = "xml";
/*  97 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  98 */     messageParameter.put("yearinput", yearinput);
/*  99 */     messageParameter.put("yearselection", Integer.valueOf(yearselection));
/* 100 */     messageParameter.put("tableselection", Integer.valueOf(tableselection));
/* 101 */     messageParameter.put("groupid", groupid);
/*     */     
/* 103 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 105 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualStatistics(int annualtype, String groupid, int searchFlag, PageInfo page, String annualYear) {
/* 111 */     String operation = "SystemAdmin_Statistic";
/* 112 */     String methodname = "getAnnualStatistics";
/* 113 */     String msgType = "xml";
/* 114 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 115 */     messageParameter.put("annualtype", Integer.valueOf(annualtype));
/* 116 */     messageParameter.put("groupid", groupid);
/* 117 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 118 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 119 */     messageParameter.put("annualYear", annualYear);
/*     */     
/* 121 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 123 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAnnualPublishStatistics(int annualtype, String groupid, int searchFlag, PageInfo page, String annualYear) {
/* 130 */     String operation = "SystemAdmin_Statistic";
/* 131 */     String methodname = "getAnnualPublishStatistics";
/* 132 */     String msgType = "xml";
/* 133 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 134 */     messageParameter.put("annualtype", Integer.valueOf(annualtype));
/* 135 */     messageParameter.put("groupid", groupid);
/* 136 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 137 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 138 */     messageParameter.put("annualYear", annualYear);
/*     */     
/* 140 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 142 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisticsAnnualPublish(int annualType, String groupId, int searchFlag, PageInfo page, String annualYear) {
/* 156 */     String operation = "SystemAdmin_Statistic";
/* 157 */     String methodname = "getStatisticsAnnualPublish";
/* 158 */     String msgType = "xml";
/* 159 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 160 */     messageParameter.put("annualType", Integer.valueOf(annualType));
/* 161 */     messageParameter.put("groupId", groupId);
/* 162 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 163 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 164 */     messageParameter.put("annualYear", annualYear);
/* 165 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/* 166 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofAlteration(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/* 172 */     String operation = "SystemAdmin_Statistic";
/* 173 */     String methodname = "statisticofAlteration";
/* 174 */     String msgType = "xml";
/* 175 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 176 */     messageParameter.put("stime", stime);
/* 177 */     messageParameter.put("etime", etime);
/* 178 */     messageParameter.put("groupid", groupid);
/* 179 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 180 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 182 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 184 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofAnnualCheck(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/* 190 */     String operation = "SystemAdmin_Statistic";
/* 191 */     String methodname = "statisticofAnnualCheck";
/* 192 */     String msgType = "xml";
/* 193 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 194 */     messageParameter.put("stime", stime);
/* 195 */     messageParameter.put("etime", etime);
/* 196 */     messageParameter.put("groupid", groupid);
/* 197 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 198 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 200 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 202 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofWrittenoff(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/* 208 */     String operation = "SystemAdmin_Statistic";
/* 209 */     String methodname = "statisticofWrittenoff";
/* 210 */     String msgType = "xml";
/* 211 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 212 */     messageParameter.put("stime", stime);
/* 213 */     messageParameter.put("etime", etime);
/* 214 */     messageParameter.put("groupid", groupid);
/* 215 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 216 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 218 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 220 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofReissue(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/* 226 */     String operation = "SystemAdmin_Statistic";
/* 227 */     String methodname = "statisticofReissue";
/* 228 */     String msgType = "xml";
/* 229 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 230 */     messageParameter.put("stime", stime);
/* 231 */     messageParameter.put("etime", etime);
/* 232 */     messageParameter.put("groupid", groupid);
/* 233 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 234 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 236 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 238 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList statisticofReins(String stime, String etime, String groupid, int searchFlag, PageInfo page) {
/* 244 */     String operation = "SystemAdmin_Statistic";
/* 245 */     String methodname = "statisticofReins";
/* 246 */     String msgType = "xml";
/* 247 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 248 */     messageParameter.put("stime", stime);
/* 249 */     messageParameter.put("etime", etime);
/* 250 */     messageParameter.put("groupid", groupid);
/* 251 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/* 252 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 254 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 256 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllSYDW(String stime, String etime, String groupid, int searchFlag) {
/* 262 */     String operation = "SystemAdmin_StatisticAll";
/* 263 */     String methodname = "getStatisicAllSYDW";
/* 264 */     String msgType = "xml";
/* 265 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 266 */     messageParameter.put("stime", stime);
/* 267 */     messageParameter.put("etime", etime);
/* 268 */     messageParameter.put("groupid", groupid);
/* 269 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */     
/* 271 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 273 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllFDDBR(String stime, String etime, String groupid, int searchFlag) {
/* 279 */     String operation = "SystemAdmin_StatisticAll";
/* 280 */     String methodname = "getStatisicAllFDDBR";
/* 281 */     String msgType = "xml";
/* 282 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 283 */     messageParameter.put("stime", stime);
/* 284 */     messageParameter.put("etime", etime);
/* 285 */     messageParameter.put("groupid", groupid);
/* 286 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */     
/* 288 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 290 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllInst(String stime, String etime, String groupid, int searchFlag) {
/* 297 */     String operation = "SystemAdmin_StatisticAll";
/* 298 */     String methodname = "getStatisicAllInst";
/* 299 */     String msgType = "xml";
/* 300 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 301 */     messageParameter.put("stime", stime);
/* 302 */     messageParameter.put("etime", etime);
/* 303 */     messageParameter.put("groupid", groupid);
/* 304 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */     
/* 306 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 308 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllAlter(String stime, String etime, String groupid, int searchFlag) {
/* 314 */     String operation = "SystemAdmin_StatisticAll";
/* 315 */     String methodname = "getStatisicAllAlter";
/* 316 */     String msgType = "xml";
/* 317 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 318 */     messageParameter.put("stime", stime);
/* 319 */     messageParameter.put("etime", etime);
/* 320 */     messageParameter.put("groupid", groupid);
/* 321 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */     
/* 323 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 325 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllAnnualCheckNP(String stime, String etime, String groupid, int searchFlag) {
/* 331 */     String operation = "SystemAdmin_StatisticAll";
/* 332 */     String methodname = "getStatisicAllAnnualCheckNP";
/* 333 */     String msgType = "xml";
/* 334 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 335 */     messageParameter.put("stime", stime);
/* 336 */     messageParameter.put("etime", etime);
/* 337 */     messageParameter.put("groupid", groupid);
/* 338 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */     
/* 340 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 342 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getStatisicAllWrittenoff(String stime, String etime, String groupid, int searchFlag) {
/* 348 */     String operation = "SystemAdmin_StatisticAll";
/* 349 */     String methodname = "getStatisicAllWrittenoff";
/* 350 */     String msgType = "xml";
/* 351 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 352 */     messageParameter.put("stime", stime);
/* 353 */     messageParameter.put("etime", etime);
/* 354 */     messageParameter.put("groupid", groupid);
/* 355 */     messageParameter.put("searchFlag", Integer.valueOf(searchFlag));
/*     */ 
/*     */     
/* 358 */     String replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 360 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\admin\statistic\StatisticManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */