/*     */ package server.supervise;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.FileModel;
/*     */ import server.sydj.operation.shouli.instauration.InsAttachmentInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SuperviseManage
/*     */ {
/*  18 */   private MessageSender sender = null;
/*  19 */   String operation = "SuperviseManage";
/*     */   
/*  21 */   String messagexml = null;
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getConditionsSupervise(String groupid, String warnstate, String sydwname, String startdate, String enddate, int startNo, int maxCount) {
/*  26 */     String methodname = "getConditionsSupervise";
/*  27 */     String msgType = "xml";
/*  28 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  29 */     String replyxml = null;
/*  30 */     ArrayList result = new ArrayList();
/*  31 */     messageParameter.put("groupid", groupid);
/*  32 */     messageParameter.put("warnstate", warnstate);
/*  33 */     messageParameter.put("sydwname", sydwname);
/*  34 */     messageParameter.put("startdate", startdate);
/*  35 */     messageParameter.put("enddate", enddate);
/*  36 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/*  37 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/*  38 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  39 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  41 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public int doOprtSuperviseNote(SuperviseInfo si, int oprtType) {
/*  46 */     String methodname = "doOperateNote";
/*  47 */     String msgType = "short";
/*  48 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  49 */     String replyxml = null;
/*  50 */     ArrayList result = new ArrayList();
/*  51 */     messageParameter.put("superviseInfo", MessageXML.getReplyXML(si));
/*  52 */     messageParameter.put("oprtType", Integer.valueOf(oprtType));
/*  53 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/*  55 */     int i = -2;
/*     */     try {
/*  57 */       i = Integer.valueOf(replyxml).intValue();
/*  58 */     } catch (Exception e) {
/*  59 */       e.printStackTrace();
/*     */     } 
/*  61 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengInfo(InsAttachmentInfo insinfo) {
/*  66 */     String methodname = "QueryBianGengInfo";
/*  67 */     String msgType = "xml";
/*  68 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  69 */     String replyxml = null;
/*  70 */     ArrayList result = new ArrayList();
/*  71 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  72 */     messageParameter.put("realid", insinfo.getRealid());
/*  73 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  74 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  76 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryBianGengItems(InsAttachmentInfo insinfo) {
/*  81 */     String methodname = "QueryBianGengItems";
/*  82 */     String msgType = "xml";
/*  83 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  84 */     String replyxml = null;
/*  85 */     ArrayList result = new ArrayList();
/*  86 */     messageParameter.put("applyid", insinfo.getApplyid());
/*  87 */     messageParameter.put("realid", insinfo.getRealid());
/*  88 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*  89 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  91 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  96 */     String replyxml = "";
/*  97 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  98 */         messageParameter);
/*     */     try {
/* 100 */       this.sender = new MessageSender(
/* 101 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 102 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 103 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 104 */     } catch (JMSException e) {
/* 105 */       e.printStackTrace();
/* 106 */     } catch (Exception e) {
/* 107 */       e.printStackTrace();
/*     */     } 
/* 109 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getInsAttachmentName(SuperviseInfo si) {
/* 117 */     String methodname = "getInsAttachmentName";
/* 118 */     String msgType = "xml";
/* 119 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 120 */     String replyxml = null;
/* 121 */     ArrayList result = new ArrayList();
/* 122 */     messageParameter.put("applyid", si.getApplyId());
/* 123 */     messageParameter.put("realid", si.getRealId());
/* 124 */     messageParameter.put("groupid", si.getGroupId());
/* 125 */     messageParameter.put("applystate", si.getApplyState());
/* 126 */     messageParameter.put("applydate", si.getApplyDate());
/* 127 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 128 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 130 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getBianGengAttachmentName(SuperviseInfo info) {
/* 135 */     String methodname = "getBianGengAttachmentName";
/* 136 */     String msgType = "xml";
/* 137 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 138 */     String replyxml = null;
/* 139 */     ArrayList result = new ArrayList();
/* 140 */     messageParameter.put("applyid", info.getApplyId());
/* 141 */     messageParameter.put("realid", info.getRealId());
/* 142 */     messageParameter.put("groupid", info.getGroupId());
/* 143 */     messageParameter.put("applystate", info.getApplyState());
/* 144 */     messageParameter.put("applydate", info.getApplyDate());
/* 145 */     messageParameter.put("sydwid", info.getSydwId());
/* 146 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 147 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 149 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryInstaurationInfo(InsAttachmentInfo insinfo) {
/* 154 */     String methodname = "QueryInstaurationInfo";
/* 155 */     String msgType = "xml";
/* 156 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 157 */     String replyxml = null;
/* 158 */     ArrayList result = new ArrayList();
/* 159 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 160 */     messageParameter.put("realid", insinfo.getRealid());
/* 161 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 162 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 164 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrInfo(InsAttachmentInfo insinfo) {
/* 169 */     String methodname = "QueryFddbrInfo";
/* 170 */     String msgType = "xml";
/* 171 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 172 */     String replyxml = null;
/* 173 */     ArrayList result = new ArrayList();
/* 174 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 175 */     messageParameter.put("realid", insinfo.getRealid());
/* 176 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 177 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 179 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList QueryFddbrResume(String frid, String applyid) {
/* 184 */     String methodname = "QueryFddbrResume";
/* 185 */     String msgType = "xml";
/* 186 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 187 */     String replyxml = null;
/* 188 */     ArrayList result = new ArrayList();
/* 189 */     messageParameter.put("frid", frid);
/* 190 */     messageParameter.put("applyid", applyid);
/* 191 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 192 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 194 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   public String QueryFddbrPhoto(InsAttachmentInfo insinfo) {
/* 199 */     String methodname = "QueryFddbrPhoto";
/* 200 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 201 */     String replyxml = null;
/* 202 */     messageParameter.put("applyid", insinfo.getApplyid());
/* 203 */     messageParameter.put("realid", insinfo.getRealid());
/*     */     
/* 205 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 206 */         messageParameter);
/*     */     try {
/* 208 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 209 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 210 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 211 */       replyxml = sender.sendBlobMessage(messagexml, null);
/* 212 */     } catch (JMSException e) {
/* 213 */       e.printStackTrace();
/* 214 */     } catch (Exception e) {
/* 215 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 218 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public String querySydwInfoByID(String sydwid, String isLogOut) {
/* 223 */     String methodname = "querySydwInfoByID";
/* 224 */     String msgType = "xml";
/* 225 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 226 */     String replyxml = null;
/* 227 */     messageParameter.put("sydwid", sydwid);
/* 228 */     messageParameter.put("isLogOut", isLogOut);
/* 229 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 231 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getFileInfos(SuperviseInfo si) {
/* 250 */     String methodname = "getFileInfos";
/* 251 */     String msgType = "xml";
/* 252 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 253 */     String replyxml = null;
/* 254 */     ArrayList result = new ArrayList();
/* 255 */     messageParameter.put("applyId", si.getApplyId());
/* 256 */     messageParameter.put("currentId", si.getRealId());
/* 257 */     messageParameter.put("unitId", si.getSydwId());
/* 258 */     messageParameter.put("applyState", si.getApplyState());
/* 259 */     messageParameter.put("groupId", si.getGroupId());
/* 260 */     messageParameter.put("type", si.getApplyType());
/* 261 */     messageParameter.put("year", si.getApplyDate());
/*     */     
/* 263 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 264 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 266 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAdviceInfo(FileModel file) {
/* 273 */     String methodname = "getAdviceInfo";
/* 274 */     String msgType = "xml";
/* 275 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 276 */     String replyxml = null;
/* 277 */     ArrayList result = new ArrayList();
/* 278 */     messageParameter.put("applyId", file.getApplyId());
/* 279 */     messageParameter.put("currentId", file.getId());
/* 280 */     messageParameter.put("groupId", file.getGroupId());
/* 281 */     messageParameter.put("type", "0");
/*     */     
/* 283 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 284 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 286 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\supervise\SuperviseManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */