/*     */ package server.sydj.documenttransport;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DocumentManage
/*     */ {
/*  17 */   private MessageSender sender = null;
/*  18 */   String operation = "SystemManage_DocumentManage";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String creatDocument(int proflag, int subproflag, int cityflag, int countyflag, int allflag, ArrayList<DocumentReceiver> proal, ArrayList<DocumentReceiver> cityal, ArrayList<DocumentReceiver> countyal, Document doc, String districtcode) {
/*  32 */     String methodname = "creatDocument";
/*  33 */     String msgType = "short";
/*  34 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  35 */     messageParameter.put("proflag", Integer.valueOf(proflag));
/*  36 */     messageParameter.put("subproflag", Integer.valueOf(subproflag));
/*  37 */     messageParameter.put("cityflag", Integer.valueOf(cityflag));
/*  38 */     messageParameter.put("countyflag", Integer.valueOf(countyflag));
/*  39 */     messageParameter.put("allflag", Integer.valueOf(allflag));
/*  40 */     messageParameter.put("proal", MessageXML.getReplyXML(proal));
/*  41 */     messageParameter.put("cityal", MessageXML.getReplyXML(cityal));
/*  42 */     messageParameter.put("countyal", MessageXML.getReplyXML(countyal));
/*  43 */     messageParameter.put("doc", MessageXML.getReplyXML(doc));
/*  44 */     messageParameter.put("districtcode", districtcode);
/*     */     
/*  46 */     String replyxml = getAttachData(this.operation, methodname, 
/*  47 */         messageParameter, msgType);
/*     */     
/*  49 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getAttachData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  54 */     String replyxml = "";
/*  55 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  56 */         messageParameter);
/*     */     try {
/*  58 */       this.sender = new MessageSender(
/*  59 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  60 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  61 */       replyxml = this.sender.sendAttachMessage(messagexml, msgType);
/*  62 */     } catch (JMSException e) {
/*  63 */       e.printStackTrace();
/*  64 */     } catch (Exception e) {
/*  65 */       e.printStackTrace();
/*     */     } 
/*  67 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  72 */     String replyxml = "";
/*  73 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  74 */         messageParameter);
/*     */     try {
/*  76 */       this.sender = new MessageSender(
/*  77 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  78 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  79 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  80 */     } catch (JMSException e) {
/*  81 */       e.printStackTrace();
/*  82 */     } catch (Exception e) {
/*  83 */       e.printStackTrace();
/*     */     } 
/*  85 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int sendAttach(DocumentAttachment doca, String filepath) {
/*  97 */     String methodname = "sendAttach";
/*  98 */     String replyxml = null;
/*  99 */     String messagexml = MessageXML.getReplyXML(doca);
/*     */     try {
/* 101 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 102 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 103 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 104 */       replyxml = sender.uploadDOCBlobMessage(messagexml, filepath, 
/* 105 */           this.operation, methodname);
/* 106 */     } catch (JMSException e) {
/* 107 */       e.printStackTrace();
/* 108 */     } catch (Exception e) {
/* 109 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 112 */     return 0;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getDocuments(String groupid, String districtcode, PageInfo page) {
/* 117 */     String methodname = "getDocuments";
/* 118 */     String msgType = "xml";
/* 119 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 120 */     messageParameter.put("groupid", groupid);
/* 121 */     messageParameter.put("districtcode", districtcode);
/* 122 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 124 */     String replyxml = getAttachData(this.operation, methodname, 
/* 125 */         messageParameter, msgType);
/*     */     
/* 127 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteDocument(String docid) {
/* 140 */     String methodname = "deleteDocument";
/* 141 */     String msgType = "short";
/* 142 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 143 */     messageParameter.put("docid", docid);
/*     */     
/* 145 */     String replyxml = getAttachData(this.operation, methodname, 
/* 146 */         messageParameter, msgType);
/*     */     
/* 148 */     int i = -2;
/*     */     try {
/* 150 */       i = Integer.valueOf(replyxml).intValue();
/* 151 */     } catch (Exception e) {
/* 152 */       e.printStackTrace();
/*     */     } 
/* 154 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getDoc_AttachNames(String docid) {
/* 159 */     String methodname = "getDoc_AttachNames";
/* 160 */     String msgType = "xml";
/* 161 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 162 */     messageParameter.put("docid", docid);
/*     */     
/* 164 */     String replyxml = getAttachData(this.operation, methodname, 
/* 165 */         messageParameter, msgType);
/*     */     
/* 167 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchDocument(String groupid, String districtcode, String title, String stime, String etime, PageInfo page) {
/* 172 */     String methodname = "searchDocument";
/* 173 */     String msgType = "xml";
/* 174 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 175 */     messageParameter.put("groupid", groupid);
/* 176 */     messageParameter.put("districtcode", districtcode);
/* 177 */     messageParameter.put("title", title);
/* 178 */     messageParameter.put("stime", stime);
/* 179 */     messageParameter.put("etime", etime);
/* 180 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 182 */     String replyxml = getAttachData(this.operation, methodname, 
/* 183 */         messageParameter, msgType);
/*     */     
/* 185 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */   
/*     */   public String getDocumentAttach(String docattachid, String filePath) {
/* 190 */     String methodname = "getDocumentAttach";
/* 191 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 192 */     String replyxml = null;
/* 193 */     messageParameter.put("docattachid", docattachid);
/* 194 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 195 */         messageParameter);
/*     */     try {
/* 197 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 198 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 199 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 200 */       replyxml = sender.sendBlobMessage(messagexml, filePath);
/* 201 */     } catch (JMSException e) {
/* 202 */       e.printStackTrace();
/* 203 */     } catch (Exception e) {
/* 204 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 207 */     return replyxml;
/*     */   }
/*     */   
/*     */   public ArrayList<DocumentAttachment> getNewDoc_AttachsName(String docid, String docreceiveid, String username) {
/* 211 */     String methodname = "getNewDoc_AttachsName";
/* 212 */     String msgType = "xml";
/* 213 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 214 */     messageParameter.put("docid", docid);
/* 215 */     messageParameter.put("docreceiveid", docreceiveid);
/* 216 */     messageParameter.put("username", username);
/*     */     
/* 218 */     String replyxml = getAttachData(this.operation, methodname, 
/* 219 */         messageParameter, msgType);
/*     */     
/* 221 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */   
/*     */   public ArrayList getNewDocuments(String groupid, String districtcode) {
/* 225 */     String methodname = "getNewDocuments";
/* 226 */     String msgType = "xml";
/* 227 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 228 */     messageParameter.put("groupid", groupid);
/* 229 */     messageParameter.put("districtcode", districtcode);
/*     */     
/* 231 */     String replyxml = getAttachData(this.operation, methodname, 
/* 232 */         messageParameter, msgType);
/*     */     
/* 234 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getUpperGroup(String groupid) {
/* 240 */     String methodname = "getUpperGroup";
/* 241 */     String msgType = "xml";
/* 242 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 243 */     messageParameter.put("groupid", groupid);
/*     */     
/* 245 */     String replyxml = getAttachData(this.operation, methodname, 
/* 246 */         messageParameter, msgType);
/*     */     
/* 248 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getReceiveDocuments(String groupid, String districtcode, PageInfo page) {
/* 253 */     String methodname = "getReceiveDocuments";
/* 254 */     String msgType = "xml";
/* 255 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 256 */     messageParameter.put("groupid", groupid);
/* 257 */     messageParameter.put("districtcode", districtcode);
/* 258 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 260 */     String replyxml = getAttachData(this.operation, methodname, 
/* 261 */         messageParameter, msgType);
/*     */     
/* 263 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */   
/*     */   public ArrayList searchReceiveDocument(String groupid, String districtcode, String upgroupid, String title, String stime, String etime, PageInfo page) {
/* 267 */     String methodname = "searchReceiveDocument";
/* 268 */     String msgType = "xml";
/* 269 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 270 */     messageParameter.put("groupid", groupid);
/* 271 */     messageParameter.put("upgroupid", upgroupid);
/* 272 */     messageParameter.put("districtcode", districtcode);
/* 273 */     messageParameter.put("title", title);
/* 274 */     messageParameter.put("stime", stime);
/* 275 */     messageParameter.put("etime", etime);
/* 276 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*     */     
/* 278 */     String replyxml = getAttachData(this.operation, methodname, 
/* 279 */         messageParameter, msgType);
/*     */     
/* 281 */     return MessageXML.XMLToList(replyxml);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String checkReceiveNewDocument(String groupId) {
/* 291 */     String methodname = "checkReceiveNewDocument";
/* 292 */     String msgType = "short";
/* 293 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 294 */     String replyxml = null;
/* 295 */     messageParameter.put("groupId", groupId);
/* 296 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 298 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\documenttransport\DocumentManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */