/*     */ package server.sydj.sysmanage.gljg;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.other.GljgExtInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class GLJGInfoManage
/*     */ {
/*  23 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addGLJGInfo(GLJGInfo g) {
/*  35 */     String operation = "SystemManage_DeptManage";
/*  36 */     String methodname = "addGLJGInfo";
/*  37 */     String msgType = "short";
/*  38 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  39 */     String replyxml = null;
/*  40 */     messageParameter.put("gljg", MessageXML.getReplyXML(g));
/*  41 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  43 */     int i = -2;
/*     */     try {
/*  45 */       i = Integer.valueOf(replyxml).intValue();
/*  46 */     } catch (Exception e) {
/*  47 */       e.printStackTrace();
/*     */     } 
/*  49 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteGLJGInfo(String groupid) {
/*  61 */     String operation = "SystemManage_DeptManage";
/*  62 */     String methodname = "deleteGLJGInfo";
/*  63 */     String msgType = "short";
/*  64 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  65 */     String replyxml = null;
/*  66 */     messageParameter.put("groupid", groupid);
/*  67 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  69 */     int i = -2;
/*     */     try {
/*  71 */       i = Integer.valueOf(replyxml).intValue();
/*  72 */     } catch (Exception e) {
/*  73 */       e.printStackTrace();
/*     */     } 
/*  75 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateGLJGInfo(GLJGInfo g, String userdis) {
/*  89 */     String operation = "SystemManage_DeptManage";
/*  90 */     String methodname = "updateGLJGInfo";
/*  91 */     String msgType = "short";
/*  92 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  93 */     String replyxml = null;
/*  94 */     messageParameter.put("gljg", MessageXML.getReplyXML(g));
/*  95 */     messageParameter.put("userdis", userdis);
/*  96 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  98 */     int i = -2;
/*     */     try {
/* 100 */       i = Integer.valueOf(replyxml).intValue();
/* 101 */     } catch (Exception e) {
/* 102 */       e.printStackTrace();
/*     */     } 
/* 104 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveSubGLJGbyID(String groupid, String groupname, String othergroupid, String othergourpname) {
/* 118 */     String operation = "SystemManage_DeptManage";
/* 119 */     String methodname = "moveSubGLJGbyID";
/* 120 */     String msgType = "short";
/* 121 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 122 */     String replyxml = null;
/* 123 */     messageParameter.put("groupid", groupid);
/* 124 */     messageParameter.put("parentid", othergroupid);
/* 125 */     messageParameter.put("groupname", groupname);
/* 126 */     messageParameter.put("othergourpname", othergourpname);
/* 127 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 129 */     int i = -2;
/*     */     try {
/* 131 */       i = Integer.valueOf(replyxml).intValue();
/* 132 */     } catch (Exception e) {
/* 133 */       e.printStackTrace();
/*     */     } 
/* 135 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveGLJGbyID(String groupid, String groupname, String othergroupid, String othergourpname, String ohterparentid, int orderid) {
/* 151 */     String operation = "SystemManage_DeptManage";
/* 152 */     String methodname = "moveGLJGbyID";
/* 153 */     String msgType = "short";
/* 154 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 155 */     String replyxml = null;
/* 156 */     messageParameter.put("groupid", groupid);
/* 157 */     messageParameter.put("parentid", ohterparentid);
/* 158 */     messageParameter.put("groupname", groupname);
/* 159 */     messageParameter.put("othergroupname", othergourpname);
/* 160 */     messageParameter.put("orderid", Integer.valueOf(orderid));
/* 161 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 163 */     int i = -2;
/*     */     try {
/* 165 */       i = Integer.valueOf(replyxml).intValue();
/* 166 */     } catch (Exception e) {
/* 167 */       e.printStackTrace();
/*     */     } 
/* 169 */     return i;
/*     */   }
/*     */   
/*     */   public GLJGInfo getGLJGInfobyID(String groupid) {
/* 173 */     String operation = "SystemManage_DeptManage";
/* 174 */     String methodname = "getGLJGInfobyID";
/* 175 */     String msgType = "xml";
/* 176 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 177 */     String replyxml = null;
/*     */     
/* 179 */     messageParameter.put("groupid", groupid);
/* 180 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 181 */     ArrayList<GLJGInfo> result = new ArrayList();
/* 182 */     result = MessageXML.XMLToList(replyxml);
/* 183 */     if (result.isEmpty())
/* 184 */       return null; 
/* 185 */     return result.get(0);
/*     */   }
/*     */ 
/*     */   
/*     */   public GLJGInfo getGLJGInfobyName(String groupName) {
/* 190 */     String operation = "SystemManage_DeptManage";
/* 191 */     String methodname = "getGLJGInfobyName";
/* 192 */     String msgType = "xml";
/* 193 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 194 */     String replyxml = null;
/*     */     
/* 196 */     messageParameter.put("groupName", groupName);
/* 197 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 198 */     ArrayList<GLJGInfo> result = new ArrayList();
/* 199 */     result = MessageXML.XMLToList(replyxml);
/* 200 */     if (result.isEmpty())
/* 201 */       return null; 
/* 202 */     return result.get(0);
/*     */   }
/*     */ 
/*     */   
/*     */   public GLJGLayerInfo getGLJGLayerInfo(String districtCode) {
/* 207 */     String operation = "SystemManage_DeptManage";
/* 208 */     String methodname = "getGLJGLayerInfo";
/* 209 */     String msgType = "xml";
/* 210 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 211 */     String replyxml = null;
/*     */     
/* 213 */     messageParameter.put("districtCode", districtCode);
/* 214 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 215 */     ArrayList<GLJGLayerInfo> result = new ArrayList();
/* 216 */     result = MessageXML.XMLToList(replyxml);
/* 217 */     if (result.isEmpty())
/* 218 */       return null; 
/* 219 */     return result.get(0);
/*     */   }
/*     */ 
/*     */   
/*     */   public String downFzjgImpTemplate(String savePath) {
/* 224 */     String operation = "WithinputOperation";
/* 225 */     String methodname = "downFzjgImpTemplate";
/* 226 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 227 */     String replyxml = null;
/* 228 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 229 */         messageParameter);
/*     */     
/*     */     try {
/* 232 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 233 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 234 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 235 */       replyxml = sender.getExportData(messagexml, savePath);
/* 236 */     } catch (JMSException e) {
/* 237 */       e.printStackTrace();
/* 238 */     } catch (Exception e) {
/* 239 */       e.printStackTrace();
/*     */     } 
/* 241 */     return replyxml;
/*     */   }
/*     */   
/*     */   public String downChuiguanImpTemplate(String savePath) {
/* 245 */     String operation = "WithinputOperation";
/* 246 */     String methodname = "downChuiguanImpTemplate";
/* 247 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 248 */     String replyxml = null;
/* 249 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 250 */         messageParameter);
/*     */     
/*     */     try {
/* 253 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 254 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 255 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 256 */       replyxml = sender.getExportData(messagexml, savePath);
/* 257 */     } catch (JMSException e) {
/* 258 */       e.printStackTrace();
/* 259 */     } catch (Exception e) {
/* 260 */       e.printStackTrace();
/*     */     } 
/* 262 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 267 */     String replyxml = "";
/* 268 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 269 */         messageParameter);
/*     */     try {
/* 271 */       this.sender = new MessageSender(
/* 272 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 273 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 274 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 275 */     } catch (JMSException e) {
/* 276 */       e.printStackTrace();
/* 277 */     } catch (Exception e) {
/* 278 */       e.printStackTrace();
/*     */     } 
/* 280 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList<GLJGInfo> searchDeptName(String name, String parentid) {
/* 285 */     String operation = "SystemManage_DeptManage";
/* 286 */     String methodname = "searchDeptName";
/* 287 */     String msgType = "xml";
/* 288 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 289 */     String replyxml = null;
/* 290 */     messageParameter.put("parentid", parentid);
/* 291 */     messageParameter.put("name", name);
/*     */     
/* 293 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 294 */     ArrayList<GLJGInfo> result = new ArrayList<GLJGInfo>();
/* 295 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 297 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int[] checkTheSYDW(String groupid) {
/* 307 */     String operation = "SystemManage_DeptManage";
/* 308 */     String methodname = "checkTheSYDW";
/* 309 */     String msgType = "short";
/* 310 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 311 */     String replyxml = null;
/* 312 */     messageParameter.put("groupid", groupid);
/* 313 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */ 
/*     */     
/* 316 */     int[] i = (int[])null;
/*     */     try {
/* 318 */       String[] s = replyxml.split("#");
/* 319 */       i = new int[s.length];
/* 320 */       for (int j = 0; j < s.length; j++) {
/* 321 */         i[j] = Integer.valueOf(s[j]).intValue();
/*     */       }
/* 323 */     } catch (Exception e) {
/* 324 */       e.printStackTrace();
/*     */     } 
/* 326 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateGljgExtInfo(String groupId, String strField, String strFieldValue) {
/* 339 */     String operation = "SystemManage_DeptManage";
/* 340 */     String methodname = "updateGljgExtInfo";
/* 341 */     String msgType = "short";
/* 342 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 343 */     String replyxml = null;
/*     */     
/* 345 */     messageParameter.put("groupId", groupId);
/* 346 */     messageParameter.put("strField", strField);
/* 347 */     messageParameter.put("strFieldValue", strFieldValue);
/* 348 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 349 */     int i = -2;
/*     */     try {
/* 351 */       i = Integer.valueOf(replyxml).intValue();
/* 352 */     } catch (Exception e) {
/* 353 */       e.printStackTrace();
/*     */     } 
/* 355 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public GljgExtInfo getGljgExtInfobyID(String groupid) {
/* 365 */     String operation = "SystemManage_DeptManage";
/* 366 */     String methodname = "getGljgExtInfobyID";
/* 367 */     String msgType = "xml";
/* 368 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 369 */     String replyxml = null;
/*     */     
/* 371 */     messageParameter.put("groupid", groupid);
/* 372 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 373 */     ArrayList<GljgExtInfo> result = new ArrayList();
/* 374 */     result = MessageXML.XMLToList(replyxml);
/* 375 */     if (result.isEmpty())
/* 376 */       return null; 
/* 377 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList<GLJGInfo> searchDeptNameFromView(String name, String parentid) {
/* 389 */     String operation = "SystemManage_DeptManage";
/* 390 */     String methodname = "searchDeptNameFromView";
/* 391 */     String msgType = "xml";
/* 392 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 393 */     String replyxml = null;
/* 394 */     messageParameter.put("parentid", parentid);
/* 395 */     messageParameter.put("name", name);
/* 396 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 397 */     ArrayList<GLJGInfo> result = new ArrayList<GLJGInfo>();
/* 398 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 400 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList<GLJGInfo> getGroupByParentId(String parentId) {
/* 412 */     String operation = "SystemManage_DeptManage";
/* 413 */     String methodname = "getGroupByParentId";
/* 414 */     String msgType = "xml";
/* 415 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 416 */     String replyxml = null;
/* 417 */     messageParameter.put("parentId", parentId);
/* 418 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 419 */     ArrayList<GLJGInfo> result = new ArrayList<GLJGInfo>();
/* 420 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 422 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\gljg\GLJGInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */