/*     */ package server.sydj.sysmanage.hylb;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class HYLBInfoManage
/*     */ {
/*  16 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addHYLBInfo(HYLBtreeItem info) {
/*  28 */     String operation = "SystemManage_HYLBManage";
/*  29 */     String methodname = "addHYLBInfo";
/*  30 */     String msgType = "short";
/*  31 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  32 */     String replyxml = null;
/*  33 */     messageParameter.put("info", MessageXML.getReplyXML(info));
/*  34 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  36 */     int i = -2;
/*     */     try {
/*  38 */       i = Integer.valueOf(replyxml).intValue();
/*  39 */     } catch (Exception e) {
/*  40 */       e.printStackTrace();
/*     */     } 
/*  42 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteHYLBInfo(String id) {
/*  54 */     String operation = "SystemManage_HYLBManage";
/*  55 */     String methodname = "deleteHYLBInfo";
/*  56 */     String msgType = "short";
/*  57 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  58 */     String replyxml = null;
/*  59 */     messageParameter.put("id", id);
/*  60 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  62 */     int i = -2;
/*     */     try {
/*  64 */       i = Integer.valueOf(replyxml).intValue();
/*  65 */     } catch (Exception e) {
/*  66 */       e.printStackTrace();
/*     */     } 
/*  68 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateHYLBInfo(HYLBtreeItem info) {
/*  82 */     String operation = "SystemManage_HYLBManage";
/*  83 */     String methodname = "updateHYLBInfo";
/*  84 */     String msgType = "short";
/*  85 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  86 */     String replyxml = null;
/*  87 */     messageParameter.put("info", MessageXML.getReplyXML(info));
/*  88 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  90 */     int i = -2;
/*     */     try {
/*  92 */       i = Integer.valueOf(replyxml).intValue();
/*  93 */     } catch (Exception e) {
/*  94 */       e.printStackTrace();
/*     */     } 
/*  96 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveSubHYLBbyID(String childid, String parentid) {
/* 109 */     String operation = "SystemManage_HYLBManage";
/* 110 */     String methodname = "moveSubHYLBbyID";
/* 111 */     String msgType = "short";
/* 112 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 113 */     String replyxml = null;
/* 114 */     messageParameter.put("childid", childid);
/* 115 */     messageParameter.put("parentid", parentid);
/* 116 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 118 */     int i = -2;
/*     */     try {
/* 120 */       i = Integer.valueOf(replyxml).intValue();
/* 121 */     } catch (Exception e) {
/* 122 */       e.printStackTrace();
/*     */     } 
/* 124 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveHYLBbyID(HYLBtreeItem info) {
/* 138 */     String operation = "SystemManage_HYLBManage";
/* 139 */     String methodname = "moveHYLBbyID";
/* 140 */     String msgType = "short";
/* 141 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 142 */     String replyxml = null;
/* 143 */     messageParameter.put("info", MessageXML.getReplyXML(info));
/* 144 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 146 */     int i = -2;
/*     */     try {
/* 148 */       i = Integer.valueOf(replyxml).intValue();
/* 149 */     } catch (Exception e) {
/* 150 */       e.printStackTrace();
/*     */     } 
/* 152 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 174 */     String replyxml = "";
/* 175 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 176 */         messageParameter);
/*     */     try {
/* 178 */       this.sender = new MessageSender(
/* 179 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 180 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 181 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 182 */     } catch (JMSException e) {
/* 183 */       e.printStackTrace();
/* 184 */     } catch (Exception e) {
/* 185 */       e.printStackTrace();
/*     */     } 
/* 187 */     return replyxml;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchHYLBName(String name) {
/* 192 */     String operation = "SystemManage_HYLBManage";
/* 193 */     String methodname = "searchHYLBName";
/* 194 */     String msgType = "xml";
/* 195 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 196 */     String replyxml = null;
/* 197 */     messageParameter.put("name", name);
/*     */     
/* 199 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 200 */     ArrayList result = new ArrayList();
/* 201 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 203 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\hylb\HYLBInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */