/*     */ package server.sydj.sysmanage.pic;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.messageTrans.MessageSenderPlus;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class PicInfoManage
/*     */ {
/*  17 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deletePicUserInfo(String userid, String cdpassword) {
/*  28 */     String operation = "SystemManage_PicManage";
/*  29 */     String methodname = "deletePicUserInfo";
/*  30 */     String msgType = "short";
/*  31 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  32 */     String replyxml = null;
/*  33 */     messageParameter.put("userid", userid);
/*  34 */     messageParameter.put("cdpassword", cdpassword);
/*  35 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  37 */     int i = -2;
/*     */     try {
/*  39 */       i = Integer.valueOf(replyxml).intValue();
/*  40 */     } catch (Exception e) {
/*  41 */       e.printStackTrace();
/*     */     } 
/*  43 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int UnbindingPicUserInfo(String userid, String cdpassword, String pictag) {
/*  57 */     String operation = "SystemManage_PicManage";
/*  58 */     String methodname = "UnbindingPicUserInfo";
/*  59 */     String msgType = "short";
/*  60 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  61 */     String replyxml = null;
/*  62 */     messageParameter.put("userid", userid);
/*  63 */     messageParameter.put("cdpassword", cdpassword);
/*  64 */     messageParameter.put("pictag", pictag);
/*  65 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  67 */     int i = -2;
/*     */     try {
/*  69 */       i = Integer.valueOf(replyxml).intValue();
/*  70 */     } catch (Exception e) {
/*  71 */       e.printStackTrace();
/*     */     } 
/*  73 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int bindingPic(PicInfo picinfo, PicUserInfo picuinfo) {
/*  89 */     String operation = "SystemManage_PicManage";
/*  90 */     String methodname = "bindingPic";
/*  91 */     String msgType = "xml";
/*  92 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  93 */     String replyxml = null;
/*     */     
/*  95 */     messageParameter.put("picinfo", MessageXML.getReplyXML(picinfo));
/*  96 */     messageParameter.put("picuinfo", MessageXML.getReplyXML(picuinfo));
/*     */     
/*  98 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  99 */     ArrayList<String> result = new ArrayList();
/* 100 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 102 */     int i = -2;
/*     */     try {
/* 104 */       if (result != null && result.size() > 0) {
/* 105 */         i = Integer.valueOf(result.get(0)).intValue();
/*     */       }
/* 107 */     } catch (Exception e) {
/* 108 */       e.printStackTrace();
/*     */     } 
/* 110 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int bindingPic2(PicInfo picinfo, String pictag) {
/* 125 */     String operation = "SystemManage_PicManage";
/* 126 */     String methodname = "bindingPic2";
/* 127 */     String msgType = "xml";
/* 128 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 129 */     String replyxml = null;
/*     */     
/* 131 */     messageParameter.put("picinfo", MessageXML.getReplyXML(picinfo));
/* 132 */     messageParameter.put("pictag", pictag);
/*     */     
/* 134 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 135 */     ArrayList<String> result = new ArrayList();
/* 136 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 138 */     int i = -2;
/*     */     try {
/* 140 */       if (result != null && result.size() > 0) {
/* 141 */         i = Integer.valueOf(result.get(0)).intValue();
/*     */       }
/* 143 */     } catch (Exception e) {
/* 144 */       e.printStackTrace();
/*     */     } 
/* 146 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String downPic(String cdPass, String filePath, String code) {
/* 159 */     String operation = "SystemManage_PicManage";
/* 160 */     String methodname = "downPic";
/* 161 */     String msgType = "bytes";
/* 162 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 163 */     String replyxml = null;
/* 164 */     messageParameter.put("cdpassword", cdPass);
/* 165 */     messageParameter.put("code", code);
/* 166 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 167 */         messageParameter);
/*     */     
/*     */     try {
/* 170 */       MessageSenderPlus sender = new MessageSenderPlus(
/* 171 */           MessageProxy.getSystemenv("SydjBlobTransQueue"), 
/* 172 */           MessageProxy.getSystemenv("SydjBlobTransReplyQueue"));
/* 173 */       replyxml = sender.sendBytesMessage(messagexml, filePath);
/* 174 */     } catch (JMSException e) {
/* 175 */       e.printStackTrace();
/* 176 */     } catch (Exception e) {
/* 177 */       e.printStackTrace();
/*     */     } 
/* 179 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public PicUserInfo getPicUserInfobyID(String sydw_id, String pictag) {
/* 191 */     String operation = "SystemManage_PicManage";
/* 192 */     String methodname = "getPicUserInfobyID";
/* 193 */     String msgType = "xml";
/* 194 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 195 */     String replyxml = null;
/*     */     
/* 197 */     messageParameter.put("sydw_id", sydw_id);
/* 198 */     messageParameter.put("pictag", pictag);
/* 199 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 200 */     ArrayList<PicUserInfo> result = new ArrayList();
/* 201 */     result = MessageXML.XMLToList(replyxml);
/* 202 */     if (result.isEmpty())
/* 203 */       return null; 
/* 204 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getPicInfo(String groupid, PageInfo page, String pictag) {
/* 218 */     String operation = "SystemManage_PicManage";
/* 219 */     String methodname = "getPicInfo";
/* 220 */     String msgType = "xml";
/* 221 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 222 */     messageParameter.put("groupid", groupid);
/* 223 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 224 */     messageParameter.put("pictag", pictag);
/* 225 */     String replyxml = getData(operation, methodname, messageParameter, 
/* 226 */         msgType);
/* 227 */     ArrayList<PicInfo> result = new ArrayList<PicInfo>();
/* 228 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 230 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getPicInfoWbd(String groupid, PageInfo page, String pictag) {
/* 243 */     String operation = "SystemManage_PicManage";
/* 244 */     String methodname = "getPicInfoWbd";
/* 245 */     String msgType = "xml";
/* 246 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 247 */     messageParameter.put("groupid", groupid);
/* 248 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 249 */     messageParameter.put("pictag", pictag);
/* 250 */     String replyxml = getData(operation, methodname, messageParameter, 
/* 251 */         msgType);
/* 252 */     ArrayList<PicInfo> result = new ArrayList<PicInfo>();
/* 253 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 255 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchPicInfo(PicInfo cd, String groupid, PageInfo page, String pictag) {
/* 270 */     String operation = "SystemManage_PicManage";
/* 271 */     String methodname = "searchPicInfo";
/* 272 */     String msgType = "xml";
/* 273 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 274 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 275 */     messageParameter.put("cdinfo", MessageXML.getReplyXML(cd));
/* 276 */     messageParameter.put("groupid", groupid);
/* 277 */     messageParameter.put("pictag", pictag);
/* 278 */     String replyxml = getData(operation, methodname, messageParameter, 
/* 279 */         msgType);
/* 280 */     ArrayList<PicInfo> result = new ArrayList<PicInfo>();
/* 281 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 283 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList searchPicInfoWbd(PicInfo cd, String groupid, PageInfo page, String pictag) {
/* 298 */     String operation = "SystemManage_PicManage";
/* 299 */     String methodname = "searchPicInfoWbd";
/* 300 */     String msgType = "xml";
/* 301 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 302 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 303 */     messageParameter.put("cdinfo", MessageXML.getReplyXML(cd));
/* 304 */     messageParameter.put("groupid", groupid);
/* 305 */     messageParameter.put("pictag", pictag);
/* 306 */     String replyxml = getData(operation, methodname, messageParameter, 
/* 307 */         msgType);
/* 308 */     ArrayList<PicInfo> result = new ArrayList<PicInfo>();
/* 309 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 311 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 316 */     String replyxml = "";
/* 317 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 318 */         messageParameter);
/*     */     try {
/* 320 */       this.sender = new MessageSender(
/* 321 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 322 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 323 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 324 */     } catch (JMSException e) {
/* 325 */       e.printStackTrace();
/* 326 */     } catch (Exception e) {
/* 327 */       e.printStackTrace();
/*     */     } 
/* 329 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkSydwInfo(PicInfo picinfo) {
/* 347 */     String operation = "SystemManage_PicManage";
/* 348 */     String methodname = "checkSydwInfo";
/* 349 */     String msgType = "xml";
/* 350 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 351 */     String replyxml = null;
/* 352 */     messageParameter.put("picinfo", MessageXML.getReplyXML(picinfo));
/*     */     
/* 354 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 355 */     ArrayList<String> result = new ArrayList();
/* 356 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 358 */     int i = -2;
/*     */     try {
/* 360 */       if (result != null && result.size() > 0) {
/* 361 */         i = Integer.valueOf(result.get(0)).intValue();
/*     */       } else {
/* 363 */         i = -2;
/*     */       } 
/* 365 */     } catch (Exception e) {
/* 366 */       e.printStackTrace();
/*     */     } 
/* 368 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int createPic(String groupid, String pictag) {
/* 387 */     String operation = "SystemManage_PicManage";
/* 388 */     String methodname = "createPic";
/* 389 */     String msgType = "xml";
/* 390 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 391 */     String replyxml = null;
/* 392 */     messageParameter.put("groupid", groupid);
/* 393 */     messageParameter.put("pictag", pictag);
/* 394 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 396 */     ArrayList<String> result = new ArrayList<String>();
/* 397 */     result = MessageXML.XMLToList(replyxml);
/* 398 */     if (result.isEmpty())
/* 399 */       return -2; 
/* 400 */     return Integer.valueOf(result.get(0)).intValue();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getCreateCount(String groupid, String pictag) {
/* 415 */     String operation = "SystemManage_PicManage";
/* 416 */     String methodname = "getCreateCount";
/* 417 */     String msgType = "xml";
/* 418 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 419 */     String replyxml = null;
/* 420 */     messageParameter.put("groupid", groupid);
/* 421 */     messageParameter.put("pictag", pictag);
/* 422 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 424 */     ArrayList<String> result = new ArrayList<String>();
/* 425 */     result = MessageXML.XMLToList(replyxml);
/* 426 */     if (result.isEmpty())
/* 427 */       return -2; 
/* 428 */     return Integer.valueOf(result.get(0)).intValue();
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\pic\PicInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */