/*     */ package server.sydj.sysmanage.process;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.supervise.Holiday;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ProcessManage
/*     */ {
/*  18 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateProcess(SysProcess sp) {
/*  27 */     String operation = "SystemManage_ProcessManage";
/*  28 */     String methodname = "updateProcess";
/*  29 */     String msgType = "short";
/*  30 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  31 */     String replyxml = null;
/*     */     
/*  33 */     messageParameter.put("sp", MessageXML.getReplyXML(sp));
/*     */     
/*  35 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  36 */     int i = -2;
/*     */     try {
/*  38 */       i = Integer.valueOf(replyxml).intValue();
/*  39 */     } catch (Exception e) {
/*  40 */       e.printStackTrace();
/*     */     } 
/*  42 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SysProcess getProcessByDistrictCode(String districtCode) {
/*  53 */     String operation = "SystemManage_ProcessManage";
/*  54 */     String methodname = "getProcessByDistrictCode";
/*  55 */     String msgType = "xml";
/*  56 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  57 */     String replyxml = null;
/*  58 */     ArrayList<SysProcess> result = new ArrayList();
/*  59 */     messageParameter.put("districtCode", districtCode);
/*  60 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  61 */     result = MessageXML.XMLToList(replyxml);
/*  62 */     if (result.isEmpty())
/*  63 */       return null; 
/*  64 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addHoliday(Holiday hd) {
/*  75 */     String operation = "SystemManage_ProcessManage";
/*  76 */     String methodname = "addHoliday";
/*  77 */     String msgType = "short";
/*  78 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  79 */     String replyxml = null;
/*     */     
/*  81 */     messageParameter.put("hd", MessageXML.getReplyXML(hd));
/*     */     
/*  83 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  84 */     int i = -2;
/*     */     try {
/*  86 */       i = Integer.valueOf(replyxml).intValue();
/*  87 */     } catch (Exception e) {
/*  88 */       e.printStackTrace();
/*     */     } 
/*  90 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteHoliday(Holiday hd, String groupId) {
/* 100 */     String operation = "SystemManage_ProcessManage";
/* 101 */     String methodname = "deleteHoliday";
/* 102 */     String msgType = "short";
/* 103 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 104 */     String replyxml = null;
/*     */     
/* 106 */     messageParameter.put("hd", MessageXML.getReplyXML(hd));
/* 107 */     messageParameter.put("groupId", groupId);
/*     */     
/* 109 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 110 */     int i = -2;
/*     */     try {
/* 112 */       i = Integer.valueOf(replyxml).intValue();
/* 113 */     } catch (Exception e) {
/* 114 */       e.printStackTrace();
/*     */     } 
/* 116 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getAllHoliday(String groupId, String holidayYear) {
/* 127 */     String operation = "SystemManage_ProcessManage";
/* 128 */     String methodname = "getAllHoliday";
/* 129 */     String msgType = "xml";
/* 130 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 131 */     String replyxml = null;
/* 132 */     ArrayList result = new ArrayList();
/* 133 */     messageParameter.put("groupId", groupId);
/* 134 */     messageParameter.put("holidayYear", holidayYear);
/* 135 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 136 */     result = MessageXML.XMLToList(replyxml);
/* 137 */     if (result.isEmpty())
/* 138 */       return null; 
/* 139 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 154 */     String replyxml = "";
/* 155 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 156 */         messageParameter);
/*     */     try {
/* 158 */       this.sender = new MessageSender(
/* 159 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 160 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 161 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 162 */     } catch (JMSException e) {
/* 163 */       e.printStackTrace();
/* 164 */     } catch (Exception e) {
/* 165 */       e.printStackTrace();
/*     */     } 
/* 167 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\process\ProcessManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */