/*     */ package server.sydj.sysmanage.sydw;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class OverseeInfoManage
/*     */ {
/*  17 */   private MessageSender sender = null;
/*     */   
/*     */   public ArrayList searchSYDW(OverseeSearchInfo os, PageInfo page) {
/*  20 */     String operation = "SystemManage_OverseeManage";
/*  21 */     String methodname = "searchSYDW";
/*  22 */     String msgType = "xml";
/*  23 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  24 */     String replyxml = null;
/*  25 */     messageParameter.put("searchcondition", MessageXML.getReplyXML(os));
/*  26 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/*  27 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  28 */     ArrayList result = new ArrayList();
/*  29 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  31 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int doOperation(OverseeInfo sydw) {
/*  39 */     String operation = "SystemManage_OverseeManage";
/*  40 */     String methodname = "doOperation";
/*  41 */     String msgType = "short";
/*  42 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  43 */     String replyxml = null;
/*     */     
/*  45 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/*  46 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  48 */     int i = -2;
/*     */     try {
/*  50 */       i = Integer.valueOf(replyxml).intValue();
/*  51 */     } catch (Exception e) {
/*  52 */       e.printStackTrace();
/*     */     } 
/*  54 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int undoOperation(OverseeInfo sydw) {
/*  62 */     String operation = "SystemManage_OverseeManage";
/*  63 */     String methodname = "undoOperation";
/*  64 */     String msgType = "short";
/*  65 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  66 */     String replyxml = null;
/*     */     
/*  68 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/*  69 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/*  71 */     int i = -2;
/*     */     try {
/*  73 */       i = Integer.valueOf(replyxml).intValue();
/*  74 */     } catch (Exception e) {
/*  75 */       e.printStackTrace();
/*     */     } 
/*  77 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  82 */     String replyxml = "";
/*  83 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  84 */         messageParameter);
/*     */     try {
/*  86 */       this.sender = new MessageSender(
/*  87 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  88 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  89 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  90 */     } catch (JMSException e) {
/*  91 */       e.printStackTrace();
/*  92 */     } catch (Exception e) {
/*  93 */       e.printStackTrace();
/*     */     } 
/*  95 */     return replyxml;
/*     */   }
/*     */   public int updateOperation(OverseeInfo sydw) {
/*  98 */     String operation = "SystemManage_OverseeManage";
/*  99 */     String methodname = "updateOperation";
/* 100 */     String msgType = "short";
/* 101 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 102 */     String replyxml = null;
/*     */     
/* 104 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/* 105 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 107 */     int i = -2;
/*     */     try {
/* 109 */       i = Integer.valueOf(replyxml).intValue();
/* 110 */     } catch (Exception e) {
/* 111 */       e.printStackTrace();
/*     */     } 
/* 113 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\sydw\OverseeInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */