/*     */ package server.sydj.sysmanage.sydw;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.operation.login.GljgUserInfo;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.sysmanage.page.PageInfo;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SYDWcetiInfoManage
/*     */ {
/*  18 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 185 */     String replyxml = "";
/* 186 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 187 */         messageParameter);
/*     */     try {
/* 189 */       this.sender = new MessageSender(
/* 190 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 191 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 192 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 193 */     } catch (JMSException e) {
/* 194 */       e.printStackTrace();
/* 195 */     } catch (Exception e) {
/* 196 */       e.printStackTrace();
/*     */     } 
/* 198 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getSYDW(String groupid, PageInfo page) {
/* 243 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 244 */     String methodname = "getSYDW";
/* 245 */     String msgType = "xml";
/* 246 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 247 */     String replyxml = null;
/* 248 */     messageParameter.put("groupid", groupid);
/* 249 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 250 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 251 */     ArrayList result = new ArrayList();
/* 252 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 254 */     return result;
/*     */   }
/*     */   
/*     */   public ArrayList searchSYDW(SYDWcetiInfo sydw, PageInfo page) {
/* 258 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 259 */     String methodname = "searchSYDW";
/* 260 */     String msgType = "xml";
/* 261 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 262 */     String replyxml = null;
/* 263 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/* 264 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 265 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 266 */     ArrayList result = new ArrayList();
/* 267 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 269 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int executeMove(ArrayList<SYDWcetiInfo> al, String moveID, GljgUserInfo user, String SourceGroupName, String DestGroupName, String destcode) {
/* 282 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 283 */     String methodname = "executeMove";
/* 284 */     String msgType = "short";
/* 285 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 286 */     String replyxml = null;
/* 287 */     messageParameter.put("SYDWs", MessageXML.getReplyXML(al));
/*     */     
/* 289 */     messageParameter.put("user", MessageXML.getReplyXML(user.getGLJGUser()));
/*     */     
/* 291 */     messageParameter.put("moveID", moveID);
/* 292 */     messageParameter.put("SourceGroupName", SourceGroupName);
/* 293 */     messageParameter.put("DestGroupName", DestGroupName);
/* 294 */     messageParameter.put("destcode", destcode);
/* 295 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 297 */     int i = -2;
/*     */     try {
/* 299 */       i = Integer.valueOf(replyxml).intValue();
/* 300 */     } catch (Exception e) {
/* 301 */       e.printStackTrace();
/*     */     } 
/* 303 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList searchSYDWwithjbdw(SYDWcetiInfo sydw, String jbdwid, int serchedsub, PageInfo page) {
/* 308 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 309 */     String methodname = "searchSYDWwithjbdw";
/* 310 */     String msgType = "xml";
/* 311 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 312 */     String replyxml = null;
/* 313 */     messageParameter.put("sydw", MessageXML.getReplyXML(sydw));
/* 314 */     messageParameter.put("jbdwid", jbdwid);
/* 315 */     messageParameter.put("serchedsub", Integer.valueOf(serchedsub));
/* 316 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 317 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 318 */     ArrayList result = new ArrayList();
/* 319 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 321 */     return result;
/*     */   }
/*     */   
/*     */   public ArrayList getAllSYDW(String groupid, PageInfo page) {
/* 325 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 326 */     String methodname = "getAllSYDW";
/* 327 */     String msgType = "xml";
/* 328 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 329 */     String replyxml = null;
/* 330 */     messageParameter.put("groupid", groupid);
/* 331 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 332 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 333 */     ArrayList result = new ArrayList();
/* 334 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 336 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkSYDW(String sydwid) {
/* 345 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 346 */     String methodname = "checkSYDW";
/* 347 */     String msgType = "short";
/* 348 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 349 */     String replyxml = null;
/*     */     
/* 351 */     messageParameter.put("sydwid", sydwid);
/* 352 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 354 */     int i = -2;
/*     */     try {
/* 356 */       i = Integer.valueOf(replyxml).intValue();
/* 357 */     } catch (Exception e) {
/* 358 */       e.printStackTrace();
/*     */     } 
/* 360 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int changeSydwcode(String sydwid, String oricode, String newcode) {
/* 369 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 370 */     String methodname = "changeSydwcode";
/* 371 */     String msgType = "short";
/* 372 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 373 */     String replyxml = null;
/*     */     
/* 375 */     messageParameter.put("sydwid", sydwid);
/* 376 */     messageParameter.put("oricode", oricode);
/* 377 */     messageParameter.put("newcode", newcode);
/* 378 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 380 */     int i = -2;
/*     */     try {
/* 382 */       i = Integer.valueOf(replyxml).intValue();
/* 383 */     } catch (Exception e) {
/* 384 */       e.printStackTrace();
/*     */     } 
/* 386 */     return i;
/*     */   }
/*     */   
/*     */   public String getSysReID(String sydwid, String groupid) {
/* 390 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 391 */     String methodname = "getSysReID";
/* 392 */     String msgType = "short";
/* 393 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 394 */     String replyxml = null;
/*     */     
/* 396 */     messageParameter.put("sydwid", sydwid);
/* 397 */     messageParameter.put("groupid", groupid);
/* 398 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */ 
/*     */     
/* 401 */     return replyxml;
/*     */   }
/*     */   
/*     */   public ArrayList checkSYDWWhole(ArrayList<SYDWcetiInfo> al) {
/* 405 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 406 */     String methodname = "checkSYDWWhole";
/* 407 */     String msgType = "xml";
/* 408 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 409 */     String replyxml = null;
/* 410 */     messageParameter.put("SYDWs", MessageXML.getReplyXML(al));
/*     */     
/* 412 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 414 */     ArrayList result = new ArrayList();
/* 415 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 417 */     return result;
/*     */   }
/*     */   
/*     */   public ArrayList searchMoveSYDW(SYDWMoveConInfo moveConInfo, PageInfo page, String groupid, String districtcode) {
/* 421 */     String operation = "SystemManage_SYDWcetiInfoManage";
/* 422 */     String methodname = "searchMoveSYDW";
/* 423 */     String msgType = "xml";
/* 424 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 425 */     String replyxml = null;
/* 426 */     messageParameter.put("moveConInfos", MessageXML.getReplyXML(moveConInfo));
/* 427 */     messageParameter.put("page", MessageXML.getReplyXML(page));
/* 428 */     messageParameter.put("groupid", groupid);
/* 429 */     messageParameter.put("districtcode", districtcode);
/*     */     
/* 431 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*     */     
/* 433 */     ArrayList result = new ArrayList();
/* 434 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 436 */     return result;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\sydw\SYDWcetiInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */