/*     */ package server.sydj.sysmanage.user;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class GLJGUserManage
/*     */ {
/*  16 */   private MessageSender sender = null;
/*     */   
/*     */   public int checkUserName(String name) {
/*  19 */     int result = -1;
/*  20 */     String operation = "SystemManage_GLJGManage";
/*  21 */     String methodname = "getChildInfoList";
/*  22 */     String msgType = "short";
/*  23 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  24 */     String replyxml = null;
/*  25 */     messageParameter.put("name", name);
/*  26 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  27 */     if (replyxml != null && replyxml.length() > 0) {
/*  28 */       result = Integer.valueOf(replyxml).intValue();
/*     */     }
/*     */     
/*  31 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateUserNamebyID(String userid, String name, String isOff) {
/*  41 */     String operation = "SystemManage_GLJGManage";
/*  42 */     String methodname = "updateUserNamebyID";
/*  43 */     String msgType = "short";
/*  44 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  45 */     String replyxml = null;
/*     */     
/*  47 */     messageParameter.put("userid", userid);
/*  48 */     messageParameter.put("name", name);
/*  49 */     messageParameter.put("isOff", isOff);
/*  50 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  51 */     int i = -2;
/*     */     try {
/*  53 */       i = Integer.valueOf(replyxml).intValue();
/*  54 */     } catch (Exception e) {
/*  55 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  58 */     return i;
/*     */   }
/*     */   
/*     */   public GLJGUser getUserbyID(String userid) {
/*  62 */     String operation = "SystemManage_GLJGManage";
/*  63 */     String methodname = "getUserbyID";
/*  64 */     String msgType = "xml";
/*  65 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  66 */     String replyxml = null;
/*  67 */     ArrayList<GLJGUser> result = new ArrayList();
/*  68 */     messageParameter.put("userid", userid);
/*  69 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  70 */     result = MessageXML.XMLToList(replyxml);
/*  71 */     if (result.isEmpty())
/*  72 */       return null; 
/*  73 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteUser(String userid) {
/*  83 */     String operation = "SystemManage_GLJGManage";
/*  84 */     String methodname = "deleteUser";
/*  85 */     String msgType = "short";
/*  86 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  87 */     String replyxml = null;
/*     */     
/*  89 */     messageParameter.put("userid", userid);
/*  90 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  91 */     int i = -2;
/*     */     try {
/*  93 */       i = Integer.valueOf(replyxml).intValue();
/*  94 */     } catch (Exception e) {
/*  95 */       e.printStackTrace();
/*     */     } 
/*  97 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addUser(String groupid, String username, String realname, String mobile, String password, ArrayList<String> actorids) {
/* 113 */     String operation = "SystemManage_GLJGManage";
/* 114 */     String methodname = "addUser";
/* 115 */     String msgType = "short";
/* 116 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 117 */     String replyxml = null;
/*     */     
/* 119 */     messageParameter.put("groupid", groupid);
/* 120 */     messageParameter.put("username", username);
/* 121 */     messageParameter.put("realname", realname);
/* 122 */     messageParameter.put("mobile", mobile);
/* 123 */     messageParameter.put("password", password);
/* 124 */     messageParameter.put("actorids", MessageXML.getReplyXML(actorids));
/* 125 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 126 */     int i = -2;
/*     */     try {
/* 128 */       i = Integer.valueOf(replyxml).intValue();
/* 129 */     } catch (Exception e) {
/* 130 */       e.printStackTrace();
/*     */     } 
/* 132 */     return i;
/*     */   }
/*     */ 
/*     */   
/*     */   public ArrayList getChildInfoList(String id, int onlyGLJG) {
/* 137 */     String operation = "SystemManage_GLJGManage";
/* 138 */     String methodname = "getChildInfoList";
/* 139 */     String msgType = "xml";
/* 140 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 141 */     String replyxml = null;
/* 142 */     ArrayList result = new ArrayList();
/* 143 */     messageParameter.put("id", id);
/* 144 */     messageParameter.put("onlyGLJG", Integer.valueOf(onlyGLJG));
/* 145 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 146 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 148 */     return result;
/*     */   }
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/* 153 */     String replyxml = "";
/* 154 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/* 155 */         messageParameter);
/*     */     try {
/* 157 */       this.sender = new MessageSender(
/* 158 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 159 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 160 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 161 */     } catch (JMSException e) {
/* 162 */       e.printStackTrace();
/* 163 */     } catch (Exception e) {
/* 164 */       e.printStackTrace();
/*     */     } 
/* 166 */     return replyxml;
/*     */   }
/*     */   
/*     */   public UserResult searchUserName(String userName, String groupid) {
/* 170 */     String operation = "SystemManage_GLJGManage";
/* 171 */     String methodname = "searchUserName";
/* 172 */     String msgType = "xml";
/* 173 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 174 */     String replyxml = null;
/* 175 */     messageParameter.put("userName", userName);
/* 176 */     messageParameter.put("groupid", groupid);
/* 177 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 178 */     ArrayList<UserResult> al = null;
/* 179 */     al = MessageXML.XMLToList(replyxml);
/* 180 */     if (al == null || al.isEmpty())
/* 181 */       return new UserResult(); 
/* 182 */     UserResult result = al.get(0);
/* 183 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateUserPINbyName(GLJGUser g) {
/* 193 */     String operation = "SystemManage_GLJGManage";
/* 194 */     String methodname = "updateUserPINbyName";
/* 195 */     String msgType = "short";
/* 196 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 197 */     String replyxml = null;
/*     */     
/* 199 */     messageParameter.put("user", MessageXML.getReplyXML(g));
/* 200 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 201 */     int i = -2;
/*     */     try {
/* 203 */       i = Integer.valueOf(replyxml).intValue();
/* 204 */     } catch (Exception e) {
/* 205 */       e.printStackTrace();
/*     */     } 
/* 207 */     return i;
/*     */   }
/*     */   
/*     */   public int updateUserPINbyID(String userid, String pwd) {
/* 211 */     String operation = "SystemManage_GLJGManage";
/* 212 */     String methodname = "updateUserPINbyID";
/* 213 */     String msgType = "short";
/* 214 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 215 */     String replyxml = null;
/*     */     
/* 217 */     messageParameter.put("userid", userid);
/* 218 */     messageParameter.put("pwd", pwd);
/* 219 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 220 */     int i = -2;
/*     */     try {
/* 222 */       i = Integer.valueOf(replyxml).intValue();
/* 223 */     } catch (Exception e) {
/* 224 */       e.printStackTrace();
/*     */     } 
/* 226 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateUserMobileById(String userid, String mobile) {
/* 236 */     String operation = "SystemManage_GLJGManage";
/* 237 */     String methodname = "updateUserMobileById";
/* 238 */     String msgType = "short";
/* 239 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 240 */     String replyxml = null;
/*     */     
/* 242 */     messageParameter.put("userid", userid);
/* 243 */     messageParameter.put("mobile", mobile);
/* 244 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 245 */     int i = -2;
/*     */     try {
/* 247 */       i = Integer.valueOf(replyxml).intValue();
/* 248 */     } catch (Exception e) {
/* 249 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 252 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanag\\user\GLJGUserManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */