/*     */ package server.sydj.sysmanage.user;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class UserActorManage
/*     */ {
/*  14 */   private MessageSender sender = null;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getActors() {
/*  32 */     String operation = "SystemManage_ActorManage";
/*  33 */     String methodname = "getActors";
/*  34 */     String msgType = "xml";
/*  35 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  36 */     String replyxml = null;
/*  37 */     ArrayList result = new ArrayList();
/*  38 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  39 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  41 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodname, HashMap messageParameter, String msgType) {
/*  47 */     String replyxml = "";
/*  48 */     String messagexml = MessageXML.MessageToXML(operation, methodname, 
/*  49 */         messageParameter);
/*     */     try {
/*  51 */       this.sender = new MessageSender(
/*  52 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/*  53 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/*  54 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/*  55 */     } catch (JMSException e) {
/*  56 */       e.printStackTrace();
/*  57 */     } catch (Exception e) {
/*  58 */       e.printStackTrace();
/*     */     } 
/*  60 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getActorsbyID(String userID) {
/*  66 */     String operation = "SystemManage_ActorManage";
/*  67 */     String methodname = "getActorsbyID";
/*  68 */     String msgType = "xml";
/*  69 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  70 */     String replyxml = null;
/*  71 */     ArrayList result = new ArrayList();
/*  72 */     messageParameter.put("userid", userID);
/*  73 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  74 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/*  76 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int removeActors(String userid, ArrayList actorids) {
/*  86 */     String operation = "SystemManage_ActorManage";
/*  87 */     String methodname = "removeActors";
/*  88 */     String msgType = "short";
/*  89 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  90 */     String replyxml = null;
/*     */     
/*  92 */     messageParameter.put("userid", userid);
/*  93 */     messageParameter.put("actorids", MessageXML.getReplyXML(actorids));
/*  94 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/*  95 */     int i = -2;
/*     */     try {
/*  97 */       i = Integer.valueOf(replyxml).intValue();
/*  98 */     } catch (Exception e) {
/*  99 */       e.printStackTrace();
/*     */     } 
/* 101 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int addActors(String userid, String groupid, ArrayList actorids) {
/* 112 */     String operation = "SystemManage_ActorManage";
/* 113 */     String methodname = "addActors";
/* 114 */     String msgType = "short";
/* 115 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 116 */     String replyxml = null;
/*     */     
/* 118 */     messageParameter.put("userid", userid);
/* 119 */     messageParameter.put("groupid", groupid);
/* 120 */     messageParameter.put("actorids", MessageXML.getReplyXML(actorids));
/* 121 */     replyxml = getData(operation, methodname, messageParameter, msgType);
/* 122 */     int i = -2;
/*     */     try {
/* 124 */       i = Integer.valueOf(replyxml).intValue();
/* 125 */     } catch (Exception e) {
/* 126 */       e.printStackTrace();
/*     */     } 
/* 128 */     return i;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanag\\user\UserActorManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */