/*     */ package server.sydj.sysmanage.zgdw;
/*     */ 
/*     */ import cs.sydj.messageTrans.MessageSender;
/*     */ import cs.sydj.sys.messageconf.MessageProxy;
/*     */ import cs.sydj.util.messageutil.MessageXML;
/*     */ import java.util.ArrayList;
/*     */ import java.util.HashMap;
/*     */ import javax.jms.JMSException;
/*     */ import server.sydj.operation.commons.SydwInfo;
/*     */ import server.sydj.sysmanage.usermanage.entity.InfoEntity;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ZgdwInfoManage
/*     */ {
/*  23 */   private MessageSender sender = null;
/*  24 */   String operation = "SystemManage_ZgdwManage";
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String addZgdwInfo(ZgdwInfo g) {
/*  34 */     String methodName = "addZgdwInfo";
/*  35 */     String msgType = "short";
/*  36 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  37 */     String replyxml = null;
/*  38 */     messageParameter.put("zgdw", MessageXML.getReplyXML(g));
/*  39 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/*  41 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int deleteZgdwInfo(String zgdwId) {
/*  52 */     String methodName = "deleteZgdwInfo";
/*  53 */     String msgType = "short";
/*  54 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  55 */     String replyxml = null;
/*  56 */     messageParameter.put("zgdwId", zgdwId);
/*  57 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/*  59 */     int i = -2;
/*     */     try {
/*  61 */       i = Integer.valueOf(replyxml).intValue();
/*  62 */     } catch (Exception e) {
/*  63 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  66 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int updateZgdwInfo(ZgdwInfo g) {
/*  77 */     String methodName = "updateZgdwInfo";
/*  78 */     String msgType = "short";
/*  79 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/*  80 */     String replyxml = null;
/*  81 */     messageParameter.put("zgdw", MessageXML.getReplyXML(g));
/*  82 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/*  84 */     int i = -2;
/*     */     try {
/*  86 */       i = Integer.valueOf(replyxml).intValue();
/*  87 */     } catch (Exception e) {
/*  88 */       e.printStackTrace();
/*     */     } 
/*     */     
/*  91 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveSubZgdwById(String zgdwId, String otherzgdwId, String namespace, String roottype, String groupId) {
/* 104 */     String methodName = "moveSubZgdwById";
/* 105 */     String msgType = "short";
/* 106 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 107 */     String replyxml = null;
/* 108 */     messageParameter.put("zgdwId", zgdwId);
/* 109 */     messageParameter.put("parentId", otherzgdwId);
/* 110 */     messageParameter.put("groupId", groupId);
/* 111 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/* 113 */     int i = -2;
/*     */     try {
/* 115 */       i = Integer.valueOf(replyxml).intValue();
/* 116 */     } catch (Exception e) {
/* 117 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 120 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveZgdwById(String zgdwId, String otherId, String rootType, String ohterparentId, int orderId, String groupId) {
/* 134 */     String methodName = "moveZgdwById";
/* 135 */     String msgType = "short";
/* 136 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 137 */     String replyxml = null;
/* 138 */     messageParameter.put("zgdwId", zgdwId);
/* 139 */     messageParameter.put("otherId", otherId);
/* 140 */     messageParameter.put("parentId", ohterparentId);
/* 141 */     messageParameter.put("rootType", rootType);
/* 142 */     messageParameter.put("orderId", Integer.valueOf(orderId));
/* 143 */     messageParameter.put("groupId", groupId);
/* 144 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/* 146 */     int i = -2;
/*     */     try {
/* 148 */       i = Integer.valueOf(replyxml).intValue();
/* 149 */     } catch (Exception e) {
/* 150 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 153 */     return i;
/*     */   }
/*     */   
/*     */   public ZgdwInfo getZgdwInfoById(String zgdwId) {
/* 157 */     String methodName = "getZgdwInfoById";
/* 158 */     String msgType = "xml";
/* 159 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 160 */     String replyxml = null;
/*     */     
/* 162 */     messageParameter.put("zgdwId", zgdwId);
/* 163 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/* 164 */     ArrayList<ZgdwInfo> result = new ArrayList();
/* 165 */     result = MessageXML.XMLToList(replyxml);
/* 166 */     if (result.isEmpty())
/* 167 */       return null; 
/* 168 */     return result.get(0);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   private String getData(String operation, String methodName, HashMap messageParameter, String msgType) {
/* 174 */     String replyxml = "";
/* 175 */     String messagexml = MessageXML.MessageToXML(operation, methodName, 
/* 176 */         messageParameter);
/*     */     try {
/* 178 */       this.sender = new MessageSender(
/* 179 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 180 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 181 */       replyxml = this.sender.sendMessage(messagexml, msgType);
/* 182 */     } catch (JMSException e) {
/* 183 */       e.printStackTrace();
/* 184 */     } catch (Exception e) {
/* 185 */       e.printStackTrace();
/*     */     } 
/* 187 */     return replyxml;
/*     */   }
/*     */   
/*     */   public ArrayList<ZgdwInfo> searchZgdwName(String name, String groupId) {
/* 191 */     String methodName = "searchZgdwName";
/* 192 */     String msgType = "xml";
/* 193 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 194 */     String replyxml = null;
/* 195 */     messageParameter.put("groupId", groupId);
/* 196 */     messageParameter.put("name", name);
/* 197 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/* 198 */     ArrayList<ZgdwInfo> result = new ArrayList<ZgdwInfo>();
/* 199 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 201 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkTheSydw(String zgdwId) {
/* 210 */     String methodName = "checkTheSydw";
/* 211 */     String msgType = "short";
/* 212 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 213 */     String replyxml = null;
/* 214 */     messageParameter.put("zgdwId", zgdwId);
/* 215 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/* 217 */     int i = -2;
/*     */     try {
/* 219 */       i = Integer.valueOf(replyxml).intValue();
/* 220 */     } catch (Exception e) {
/* 221 */       e.printStackTrace();
/*     */     } 
/* 223 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int checkUnifyCodeExist(String unifyCode) {
/* 233 */     String methodName = "checkUnifyCodeExist";
/* 234 */     String msgType = "short";
/* 235 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 236 */     String replyxml = null;
/* 237 */     messageParameter.put("unifyCode", unifyCode);
/* 238 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/* 240 */     int i = -2;
/*     */     try {
/* 242 */       i = Integer.valueOf(replyxml).intValue();
/* 243 */     } catch (Exception e) {
/* 244 */       e.printStackTrace();
/*     */     } 
/* 246 */     return i;
/*     */   }
/*     */   
/*     */   public ArrayList<InfoEntity> getZgdwChildList(String zgdwId, int onlyZgdw) {
/* 250 */     String treeOperation = "SystemManage_TreeInfoManage";
/* 251 */     String methodName = "getZgdwChildList";
/* 252 */     String msgType = "xml";
/* 253 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 254 */     String replyxml = null;
/* 255 */     messageParameter.put("zgdwId", zgdwId);
/* 256 */     messageParameter.put("onlyZgdw", Integer.valueOf(onlyZgdw));
/* 257 */     replyxml = getData(treeOperation, methodName, messageParameter, msgType);
/* 258 */     ArrayList<InfoEntity> result = new ArrayList<InfoEntity>();
/* 259 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 261 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int getZgdwChildCount(String zgdwId, int onlyZgdw) {
/* 272 */     String treeOperation = "SystemManage_TreeInfoManage";
/* 273 */     String methodName = "getZgdwChildCount";
/* 274 */     String msgType = "short";
/* 275 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 276 */     String replyxml = null;
/* 277 */     messageParameter.put("zgdwId", zgdwId);
/* 278 */     messageParameter.put("onlyZgdw", Integer.valueOf(onlyZgdw));
/* 279 */     replyxml = getData(treeOperation, methodName, messageParameter, msgType);
/*     */     
/* 281 */     int i = 0;
/*     */     try {
/* 283 */       i = Integer.valueOf(replyxml).intValue();
/* 284 */     } catch (Exception e) {
/* 285 */       e.printStackTrace();
/*     */     } 
/* 287 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getZgdwSydwList(String zgdwId, String groupId, String districtCode) {
/* 301 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 302 */     String replyxml = null;
/* 303 */     String messagexml = null;
/* 304 */     ArrayList result = new ArrayList();
/*     */     
/* 306 */     messageParameter.put("zgdwId", zgdwId);
/* 307 */     messageParameter.put("groupId", groupId);
/* 308 */     messageParameter.put("districtCode", districtCode);
/*     */     
/* 310 */     messagexml = MessageXML.MessageToXML(this.operation, "getZgdwSydwList", 
/* 311 */         messageParameter);
/*     */     try {
/* 313 */       this.sender = new MessageSender(
/* 314 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 315 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 316 */       replyxml = this.sender.sendMessage(messagexml, 
/* 317 */           "xml");
/* 318 */       result = MessageXML.XMLToList(replyxml);
/* 319 */     } catch (JMSException e) {
/* 320 */       e.printStackTrace();
/*     */     }
/* 322 */     catch (Exception e) {
/* 323 */       e.printStackTrace();
/*     */     } 
/* 325 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String moveZgdwSydwOrder(String sydwId, String zgdwId, int pos) {
/* 336 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 337 */     String replyxml = null;
/* 338 */     String messagexml = null;
/*     */     
/* 340 */     messageParameter.put("sydwId", sydwId);
/* 341 */     messageParameter.put("zgdwId", zgdwId);
/* 342 */     messageParameter.put("pos", Integer.valueOf(pos));
/*     */     
/* 344 */     messagexml = MessageXML.MessageToXML(this.operation, "moveZgdwSydwOrder", 
/* 345 */         messageParameter);
/*     */     try {
/* 347 */       this.sender = new MessageSender(
/* 348 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 349 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 350 */       replyxml = this.sender.sendMessage(messagexml, 
/* 351 */           "short");
/* 352 */     } catch (JMSException e) {
/* 353 */       e.printStackTrace();
/*     */     }
/* 355 */     catch (Exception e) {
/* 356 */       e.printStackTrace();
/*     */     } 
/* 358 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public int moveSydwToDesZgdw(String desZgdwId, String sydwIds, String sydwCodes, String groupId, String note) {
/* 373 */     String methodName = "moveSydwToDesZgdw";
/* 374 */     String msgType = "short";
/* 375 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 376 */     String replyxml = null;
/* 377 */     messageParameter.put("desZgdwId", desZgdwId);
/* 378 */     messageParameter.put("sydwIds", sydwIds);
/* 379 */     messageParameter.put("sydwCodes", sydwCodes);
/* 380 */     messageParameter.put("groupId", groupId);
/* 381 */     messageParameter.put("note", note);
/* 382 */     replyxml = getData(this.operation, methodName, messageParameter, msgType);
/*     */     
/* 384 */     int i = -2;
/*     */     try {
/* 386 */       i = Integer.valueOf(replyxml).intValue();
/* 387 */     } catch (Exception e) {
/* 388 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 391 */     return i;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public ArrayList getZgdwPreInsListInfo(String groupId, int startNo, int maxCount, String sydwnameStr) {
/* 406 */     String methodname = "getZgdwPreInsListInfo";
/* 407 */     String msgType = "xml";
/* 408 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 409 */     String replyxml = null;
/* 410 */     ArrayList result = new ArrayList();
/* 411 */     messageParameter.put("groupId", groupId);
/* 412 */     messageParameter.put("startNo", Integer.valueOf(startNo));
/* 413 */     messageParameter.put("maxCount", Integer.valueOf(maxCount));
/* 414 */     messageParameter.put("sydwnameStr", sydwnameStr);
/*     */     
/* 416 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/* 417 */     result = MessageXML.XMLToList(replyxml);
/*     */     
/* 419 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String saveZgdwPreInsInfo(SydwInfo beforeModify, SydwInfo afterModify, String groupId, String userId, String userName, String districtCode, String isNew) {
/* 438 */     String methodname = "saveZgdwPreInsInfo";
/* 439 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 440 */     String replyxml = null;
/* 441 */     messageParameter.put("beforeModify", MessageXML.getReplyXML(beforeModify));
/* 442 */     messageParameter.put("afterModify", MessageXML.getReplyXML(afterModify));
/* 443 */     messageParameter.put("groupId", groupId);
/* 444 */     messageParameter.put("userId", userId);
/* 445 */     messageParameter.put("userName", userName);
/* 446 */     messageParameter.put("districtCode", districtCode);
/* 447 */     messageParameter.put("isNew", isNew);
/* 448 */     String messagexml = MessageXML.MessageToXML(this.operation, methodname, 
/* 449 */         messageParameter);
/*     */     try {
/* 451 */       this.sender = new MessageSender(
/* 452 */           MessageProxy.getSystemenv("SydjOperationQueue"), 
/* 453 */           MessageProxy.getSystemenv("SydjOperationReplyQueue"));
/* 454 */       replyxml = this.sender.sendMessage(messagexml, 
/* 455 */           "short");
/* 456 */     } catch (JMSException e) {
/* 457 */       e.printStackTrace();
/* 458 */     } catch (Exception e) {
/* 459 */       e.printStackTrace();
/*     */     } 
/*     */     
/* 462 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String deleteZgdwPreInsInfo(String preInsId) {
/* 472 */     String methodname = "deleteZgdwPreInsInfo";
/* 473 */     String msgType = "short";
/* 474 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 475 */     String replyxml = null;
/* 476 */     messageParameter.put("preInsId", preInsId);
/*     */     
/* 478 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 480 */     return replyxml;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String checkExistPreIns(String sydwNameFirst, String groupId) {
/* 490 */     String methodname = "checkExistPreIns";
/* 491 */     String msgType = "short";
/* 492 */     HashMap<Object, Object> messageParameter = new HashMap<Object, Object>();
/* 493 */     String replyxml = null;
/* 494 */     messageParameter.put("sydwNameFirst", sydwNameFirst);
/* 495 */     messageParameter.put("groupId", groupId);
/*     */     
/* 497 */     replyxml = getData(this.operation, methodname, messageParameter, msgType);
/*     */     
/* 499 */     return replyxml;
/*     */   }
/*     */ }


/* Location:              C:\Users\WJF\Downloads\W020241206353121127023\sydj\plugins\cs.sydj_3.4.3\!\server\sydj\sysmanage\zgdw\ZgdwInfoManage.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */